<?php

namespace App\Http\Controllers\DriverAdmin;

use App\Http\Controllers\DriverAdmin\DriverAdminController;
use Illuminate\Http\Request;

use App\Models\Bookmark;

class BookmarkController extends DriverAdminController
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    public function store(Request $request){
        $input                  = $request->except(['_token']);
        $allCheck               = 0;
        foreach($request->field as $key => $filed){
            if($filed == 1){
                $allCheck       = 1;
            }
        }
        if($allCheck == 0){
            notification('error', 'Please check at least one checkbox.');
            return redirect()->back();    
        }

        $input['company_id']    = auth()->guard('driver-admin')->user()->company_id;
        $input['user_id']       = auth()->guard('driver-admin')->user()->id;
        $input['user_type']     = 3;
        $input['config']        = serialize($request->field);

        $isCheck                = Bookmark::where('company_id', $input['company_id'])
            ->where('user_id', $input['user_id'])
            ->where('user_type', 3)
            ->where('table_id',$request->table_id)
            ->delete();
        Bookmark::create($input);
        notification('success', $this->crudMessage('update', 'Bookmark'));
        return redirect()->back();
    }
   
}
