<?php

namespace App\Listeners;

use Carbon\Carbon;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;

class LogSendingMessage
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  object  $event
     * @return void
     */
    public function handle($event)
    {
        if(auth()->guard('company-admin')->check()){
           // dd(auth()->guard('company-admin')->user()->company_id, auth()->guard('company-admin')->user()->id, array_keys($event->message->getFrom())[0], key($event->message->getTo()), $event->message->getSubject(), $this->parseBodyText($event->message->getBody()), Carbon::now()->format('Y-m-d H:i:s'), $event);
        }
    }

    private function parseBodyText($body): string
    {
        return preg_replace('~[\r\n]+~', '<br>', $body);
    }
}
