<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class LoadDocument extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    	= 'load_documents';
    protected $fillable 	= [
        'name', 'include_w_billing', 'fixed', 'for_whom', 'status', 'created_at', 'updated_at', 'deleted_at'
    ];
    protected $dates   		= ['deleted_at'];
    // public $timestamps   = false;
}
