<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LoadTrailer extends Model
{
    use HasFactory;

    protected $table        = 'load_trailers';
    protected $fillable     = [
        'company_id', 'load_id', 'trailer_type', 'trailer_number'
    ];

    // public $timestamps   = false;

    /*
     * Scopes
     */
    public function scopeIsCompany($query){
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }
}
