<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

class DriverInformationFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        return [
            'truck_number' => 'DTL88',
            'trailer_number' => '21788',
            'vehicle_type' => 0,
            'joining_trailer_program' => 1,
            'pets' => 0,
            'weekly' => $this->faker->randomNumber(3),
            'passenger' => 0,
            'smoke' => 0,
            'twic' => 0,
            'tanker' => 0,
        ];
    }
}
