<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnInDriverInformationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('driver_informations', function (Blueprint $table) {
            $table->integer('occupancy_commitment')->after('at_cpm')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('driver_informations', function (Blueprint $table) {
            $table->dropColumn('occupancy_commitment');
        });
    }
}
