<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddBolToLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->string('broker_load_number')->nullable()->after('in_transit_reason_rejected');;
            $table->string('bol_number')->nullable()->after('in_transit_reason_rejected');;
            $table->string('pickup_number')->nullable()->after('in_transit_reason_rejected');;
            $table->string('delivery_number')->nullable()->after('in_transit_reason_rejected');;
            $table->string('po_Number')->nullable()->after('in_transit_reason_rejected');;
            $table->string('other_number')->nullable()->after('in_transit_reason_rejected');;
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn('broker_load_number');
            $table->dropColumn('bol_number');
            $table->dropColumn('pickup_number');
            $table->dropColumn('delivery_number');
            $table->dropColumn('po_Number');
            $table->dropColumn('other_number');
        });
    }
}
