<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDriverHosViolationsDataTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('driver_hos_violations_datas', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('driver_hos_violation_id');
            $table->integer('unit_type');
            $table->integer('unit_id');
            $table->string('make')->nullable();
            $table->string('year')->nullable();
            $table->string('vin')->nullable();
            $table->string('oos')->nullable();
            $table->string('violation_code')->nullable();
            $table->longText('description')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('driver_hos_violations_datas');
    }
}
