<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddLoadNumberFieldToDriverHosViolationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('driver_hos_violations', function (Blueprint $table) {
            $table->string('time_weight')->after('image')->nullable();
            $table->string('severity_weight')->after('image')->nullable();
            $table->string('total_weight')->after('image')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('driver_hos_violations', function (Blueprint $table) {
            $table->dropColumn('time_weight');
            $table->dropColumn('severity_weight');
            $table->dropColumn('total_weight');
        });
    }
}
