<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeStatusCommentToLoadStopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        \DB::statement('ALTER TABLE `load_stops` CHANGE `status` `status` TINYINT(4) NOT NULL DEFAULT "0" COMMENT "0=Pending,1=Complete,2=Reject,3=Arrived";');
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        \DB::statement('ALTER TABLE `load_stops` CHANGE `status` `status` TINYINT(4) NOT NULL DEFAULT "0" COMMENT "0=Pending,1=Complete,2=Reject";');
    }
}
