<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddConsigneeFileUploadFieldToLoadStopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->longText('stop_consignee_files_upload')->after('customer_type')->nullable();
            $table->longText('stop_shipper_files_upload')->after('customer_type')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->dropColumn('stop_consignee_files_upload');
            $table->dropColumn('stop_shipper_files_upload');
        });
    }
}
