<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeOwnerFieldToMaintenanceAppointmentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('maintenance_appointments', function (Blueprint $table) {
            $table->string('owner')->nullable()->change();
            $table->string('attendees')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('maintenance_appointments', function (Blueprint $table) {
            $table->integer('owner')->nullable()->change();
            $table->integer('attendees')->nullable()->change();
        });
    }
}
