<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddBrokerViewAtToLoadDetentionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->datetime('broker_view_at')->nullable()->after('broker_emails');
            $table->string('broker_view_ip', 64)->nullable()->after('broker_view_at');
            $table->string('broker_review_status_ip', 64)->nullable()->after('broker_view_ip');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->dropColumn(['broker_view_at','broker_view_ip','broker_review_status_ip']);
        });
    }
}
