<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDeniedIpToLoadDetentionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->string('denied_ip', 64)->nullable()->after('denied_by');
            $table->datetime('amended_at')->nullable()->after('denied_ip');
            $table->unsignedBigInteger('amended_by')->nullable()->after('amended_at');
            $table->string('amended_ip', 64)->nullable()->after('amended_by');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_detentions', function (Blueprint $table) {
            $table->dropColumn(['denied_ip','amended_at','amended_by','amended_ip']);
        });
    }
}
