<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTimezoneOffsetToLoadStopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->string('latitude')->nullable()->after('zip');
            $table->string('longitude')->nullable()->after('latitude');
            $table->string('timezone')->nullable()->after('longitude');
            $table->string('timezone_offset')->nullable()->after('timezone');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_stops', function (Blueprint $table) {
            $table->dropColumn(['latitude','longitude','timezone','timezone_offset']);
        });
    }
}
