<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

class UpdateColumnBrokerageMinimumAmountIntToFloatTableTerminals extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('terminals', function (Blueprint $table) {
            DB::statement('alter table terminals modify truck_commision Float(10,2) DEFAULT NULL');
            DB::statement('alter table terminals modify brokerage_minimum_amount Float(10,2) DEFAULT NULL');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('terminals', function (Blueprint $table) {
            $table->integer('truck_commision')->nullable(true)->default(null)->change();
            $table->integer('brokerage_minimum_amount')->nullable(true)->default(null)->change();
        });
    }
}
