<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\CompanyAccessorial;
use App\Models\Accessorial;
use App\Models\Company;

class InsertDataToAdminAccessorialTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Accessorial::truncate();
        Accessorial::insert([
            ['name' => 'Additional Stops', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Advance Notification Charge', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'After-Hours Delivery', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Border Crossing Fee', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Cargo Disposal Fee', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Chassis Charges', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'COD Fee', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Crane Service', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Credit Card Fee', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Customer Quick Pay Fee', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Detention', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Diversion Miles', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Driver Assist', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Driver Count', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Driver Shunting', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Drop & Hook Fee', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Drop Trailer Fee', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Dry Van Trailer Pool', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Dunnage', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Dunnage Disposal', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Empty Trailer Move', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Escort', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Expedited Fee', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Flag Car', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Flatbed Trailer Pool', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Fuel Surcharge', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Hazardous Materials', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'High Value', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Inaccessible Trailer Charge', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Insurance Rider', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Last Mile Delivery', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Late Delivery', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Layover', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Liftgate', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Limited Access Fee', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Loading Charge', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Lumper Fee', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Metro Pickup/Delivery', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Miscellaneous', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'NYC Surcharge', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Over Dimensional Freight Charge', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Permits', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Pilot Car', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Port Charge', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Reclassification', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Reconsignment', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Redelivery', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Reefer Fuel', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Reefer Trailer Pool', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Residental Delivery', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Scale', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Stop Charge', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Storage Fee', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Tarp', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Team Charge', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Tolls', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'TONU', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Trailer Repair (Damaged)', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Trailer Return Fee', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Trailer Wash', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Transload/Rework', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Truck Detail', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Truck Repair (Damaged)', 'created_at' => now(), 'updated_at' => now()],
            ['name' => 'Unloading Fee', 'created_at' => now(), 'updated_at' => now()],
        ]);

        CompanyAccessorial::truncate();
        $getCompnay = Company::get();
        foreach ($getCompnay as $compnay){
            $accessorials = Accessorial::get();
            foreach($accessorials as $accessorial) {
                CompanyAccessorial::create(['company_id' => $compnay->id, 'name' => $accessorial->name, 'default_amount' => $accessorial->default_amount, 'gl_code' => $accessorial->gl_code]);
            }
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Accessorial::truncate();
        CompanyAccessorial::truncate();
    }
}
