<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTruckNumberToOffersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('offers', function (Blueprint $table) {
            $table->string('truck_number')->nullable()->after('m_trailer_type');
            $table->unsignedBigInteger('trailer_type')->nullable()->after('trailer_number');
            $table->unsignedBigInteger('carrier_id')->nullable()->after('trailer_type');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('offers', function (Blueprint $table) {
            $table->dropColumn(['truck_number','trailer_type','carrier_id']);
        });
    }
}
