<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnOverdimensionalInLoadDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->enum('overdimensional', ['0', '1'])->default('0')->after('rate_confirmation_files');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_details', function (Blueprint $table) {
            $table->dropColumn('overdimensional');
        });
    }
}
