<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\EquipmentTitle;
use App\Models\CompanyEquipmentTitle;
use App\Models\Company;

class InsertDefaultEquipmentTitles extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        EquipmentTitle::truncate();
        CompanyEquipmentTitle::truncate();

        EquipmentTitle::insert([
            ['name' => '8\'Tarps', 'created_at' => now(), 'updated_at' => now()],
        ]);

        $getCompnay = Company::get();
        foreach ($getCompnay as $compnay){
            CompanyEquipmentTitle::insert([
                ['company_id' => $compnay->id, 'name' => '8\'Tarps', 'created_at' => now(), 'updated_at' => now()],
            ]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        EquipmentTitle::truncate();
        CompanyEquipmentTitle::truncate();
    }
}
