<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddRequestSendContactsToLoadDocumentRequestsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_document_requests', function (Blueprint $table) {
            $table->longText('request_send_contacts')->nullable()->after('request_via');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_document_requests', function (Blueprint $table) {
            $table->dropColumn('request_send_contacts');
        });
    }
}
