<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateColumnsInTruckDiagnosticsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('truck_diagnostics', function (Blueprint $table) {
            $table->dropColumn(['diagnostic_key', 'diagnostic_name', 'is_disabled']);
            $table->unsignedInteger('diagnostic_id')->after('truck_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('truck_diagnostics', function (Blueprint $table) {
            //
        });
    }
}
