<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsForPmServiceProfileBuilderInCompanyPmServiceProfilesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('company_pm_service_profiles', function (Blueprint $table) {
            $table->text('types')->change();
            $table->text('service_types')->after('types');
            $table->text('interval_types')->after('service_types');
            $table->text('schedules')->after('interval_types');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('company_pm_service_profiles', function (Blueprint $table) {
            $table->string('types')->change();
            $table->dropColumn(['service_types', 'interval_types', 'schedules']);
        });
    }
}
