<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateColumnInTruckWarrantyPmServicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('truck_warranty_pm_services', function (Blueprint $table) {
            $table->dropColumn(['pm_service_profile']);
            $table->integer('pm_service_warranty_profile')->after('truck_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('truck_warranty_pm_services', function (Blueprint $table) {
            $table->dropColumn(['pm_service_warranty_profile']);
            $table->integer('pm_service_profile')->after('truck_id');
        });
    }
}
