<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateColumnLastPerformedInTruckProfilePmServicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('truck_profile_pm_services', function (Blueprint $table) {
            $table->string('last_performed')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('truck_profile_pm_services', function (Blueprint $table) {
            $table->date('last_performed')->nullable()->change();
        });
    }
}
