<?php

namespace Database\Seeders;

use App\Models\Driver;
use App\Models\DriverFinancial;
use App\Models\DriverInformation;
use App\Models\DriverOnboarding;
use Illuminate\Database\Seeder;

class DriverSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /* Factory for create dummy records - 10/11/2022 - START */
        Driver::factory(3000)->has(
            DriverOnboarding::factory()->count(1), 'driver_onboarding'
        )->has(
            DriverInformation::factory()->count(1), 'driver_information'
        )->has(
            DriverFinancial::factory()->count(1), 'driver_financials'
        )->create();
    }
}
