if (timeFormat == 12){
    var DateTimeFormat          = 'MM/DD/YYYY hh:mm A';
    var TimeFormat              = 'hh:mm A';
    var TimeFormatPlace         = 'HH:MM A';
    var TimeMaskFormat          = '99:99 aa';
    var SetTime12               = '12:00 PM';
}else{
    var DateTimeFormat          = 'MM/DD/YYYY HH:mm';
    var TimeFormat              = 'HH:mm';
    var TimeFormatPlace         = 'HH:MM';
    var TimeMaskFormat          = '99:99';
    var SetTime12               = '12:00';
}

function getCurrentDate(type = 0) {
    if(type == 1){
        var d                   = new Date();
        var day                 = addZero(d.getDate());
        var month               = addZero(d.getMonth() + 1);
        var year                = addZero(d.getFullYear());
        var h                   = addZero(d.getHours());
        var m                   = addZero(d.getMinutes());
        var s                   = addZero(d.getSeconds());
        return month + "/" + day + "/" + year + " " + h + ":" + m;
    }else{
        return moment().format(dateTimeLayout);
    }
}

function addZero(i) {
    if (i < 10) {
        i = "0" + i;
    }
    return i;
}

function driverInfo(id) {
    var token                   = $('meta[name="csrf-token"]').attr('content');
    var existingCarrierId       = ($('#existingCarrierId').val() != "") ? $('#existingCarrierId').val() : "";
    $.ajax({
        url: "/company-admin/loads/driver-info",
        method: "POST",
        data: {
            _token: token,
            id: id
        },
        success: function(response) {
            if(response.success){
                $('input[name=load_type]:checked').trigger('change');

                $('.trucking-company').val(response.data.company);
                $('.trucking-company-hidden').val(response.data.company);
                $('.truck-number').val(response.data.truck_number).trigger('click');

                $('#truckWidth').val(response.data.truck_width);
                $('#truckHeight').val(response.data.truck_height);
                $('#truckLength').val(response.data.truck_length);

                var trailer = response.data.trailer_number;
                if (trailer != null) {
                    var optionExists = ($('.truck-trailer option[value="' + trailer + '"]').length > 0);
                    if(optionExists){
                        $('.truck-trailer option[value="' + trailer + '"]').prop('selected', true).trigger('change');
                    }else{
                        $('.truck-trailer').prop('selectedIndex', 0).trigger('change');
                    }
                } else {
                    $('.truck-trailer').prop('selectedIndex', 0).trigger('change');
                }

                $('.terminal_id').html(response.data.termianl_option);
                $('.carrier_id').html(response.data.carrier_option);

                if(response.data.dispatch_type == '0'){
                    $('.booked-by').select2("val", "0");
                    $('.self-dispatch').prop('checked',true);
                }else{
                    // $('.booked-by').val('').trigger('change');
                    // $('.self-dispatch').prop('checked',false);
                }

                /* Load number base on 'desired_option' added by Dhaval Thakor - 23-12-2022 - Start */
                if(existingCarrierId != "" && existingCarrierId != undefined){
                    if(response.data.carrier_id != existingCarrierId){
                        if(response.data.desired_option != "" && response.data.desired_option != undefined){
                            let identifier = (response.data.identifier != "") ? response.data.identifier + "-" : "";
                            if(response.data.desired_option === "0"){
                                $('[name="identifier"]').val("").val(identifier);
                                $('[name="load_number"]').val("").val("Load Number will be assigned").prop("readonly", true);
                            }else if(response.data.desired_option === "1"){
                                $('[name="identifier"]').val("").val(identifier);
                                if($('[name="load_number"]').val() == "Load Number will be assigned"){
                                    $('[name="load_number"]').val("").prop("readonly", false);
                                }else{
                                    $('[name="load_number"]').prop("readonly", false);
                                }
                            }else{
                                $('[name="identifier"]').val("").val(identifier);
                                if($('[name="load_number"]').val() == "Load Number will be assigned"){
                                    $('[name="load_number"]').val("").prop("readonly", false);
                                }else{
                                    $('[name="load_number"]').prop("readonly", false);
                                }
                            }
                        }else{
                            $('[name="identifier"]').val("");
                            if($('[name="load_number"]').val() == "Load Number will be assigned"){
                                $('[name="load_number"]').val("").prop("readonly", false);
                            }else{
                                $('[name="load_number"]').prop("readonly", false);
                            }
                        }
                    }else{
                        $('[name="identifier"]').val($('[name="identifier"]').attr("value"));
                        if(response.data.desired_option === "0"){
                            $('[name="load_number"]').val($('[name="load_number"]').attr("value")).prop("readonly", true);
                        }else{
                            $('[name="load_number"]').val($('[name="load_number"]').attr("value")).prop("readonly", false);
                        }
                    }
                }else{
                    if(response.data.desired_option != "" && response.data.desired_option != undefined){
                        let identifier = (response.data.identifier != "") ? response.data.identifier + "-" : "";
                        if(response.data.desired_option === "0"){
                            $('[name="identifier"]').val("").val(identifier);
                            $('[name="load_number"]').val("").val("Load Number will be assigned").prop("readonly", true);
                        }else if(response.data.desired_option === "1"){
                            $('[name="identifier"]').val("").val(identifier);
                            if($('[name="load_number"]').val() == "Load Number will be assigned"){
                                $('[name="load_number"]').val("").prop("readonly", false);
                            }else{
                                $('[name="load_number"]').prop("readonly", false);
                            }
                        }else{
                            $('[name="identifier"]').val("").val(identifier);
                            if($('[name="load_number"]').val() == "Load Number will be assigned"){
                                $('[name="load_number"]').val("").prop("readonly", false);
                            }else{
                                $('[name="load_number"]').prop("readonly", false);
                            }
                        }
                    }else{
                        $('[name="identifier"]').val("");
                        if($('[name="load_number"]').val() == "Load Number will be assigned"){
                            $('[name="load_number"]').val("").prop("readonly", false);
                        }else{
                            $('[name="load_number"]').prop("readonly", false);
                        }
                    }
                }
                /* Load number base on 'desired_option' added by Dhaval Thakor - 23-12-2022 - End */
            }else{
                $('input[name=load_type]:checked').trigger('change');

                $('.trucking-company').val('');
                $('.trucking-company-hidden').val('');
                $('.truck-number').val('');

                $('#truckWidth').val('');
                $('#truckHeight').val('');
                $('#truckLength').val('');

                $('.truck-trailer').prop('selectedIndex', 0).trigger('change');
                $('.terminal_id').html('<option value="" selected="selected">Select Terminal</option>');
                $('.carrier_id').html('<option value="" selected="selected">Select Carrier</option>');

                $('[name="identifier"]').val('');
                $('[name="load_number"]').val('').prop("readonly", false);
            }
        }
    });
}

$(document).ready(function() {
    $('.driver-select2').select2();
    $('.bookedby-select2').select2();
    $('.trailer-number-select2').select2({
        tags: true
    });
    $('.tag_auto').autocomplete({
        source: load_requirement
    });
    $('.commodity-select2').select2();
    $('.terms-select2').select2();
    $('.hazardousOptions').select2({
        closeOnSelect: false,
    });
});

$('.financial-form').parsley();
$('.financial-form').on('submit', function(event){
    event.preventDefault();
    var formValues = $(this).serialize();
    $.ajax({
        url: "/company-admin/loads/load-requirement",
        method: "POST",
        data: formValues,
        success: function(response) {
            if(response == '1'){
                $('#finanform')[0].reset();
                $('.cancel-btn').trigger('click');
                LoadRequirementTableView();
            }else{
                toastr.error('year and quarter already use.', 'Already Exists', {timeOut: 5000})
            }
        }
    });
});

$('.truck-number').on('input', function(){
    checkOOSTruck();
});

// Self Dispatch
$('body').on('change', '.self-dispatch', function(e) {
    if ($(this).prop("checked") == true) {
        $('.booked-by').select2("val", "0");
    } else {
        $('.booked-by').val('').trigger('change');
    }
});

// Booked By
$('body').on('change', '.booked-by', function(e) {
    if ($(this).val() == '0') {
        $('.self-dispatch').prop('checked', true);
    } else {
        $('.self-dispatch').prop('checked', false);
    }
});

$('body').on('change', '.truck-trailer, .cutrailterse', function(e) {
    var isOos = $(this).find(":selected").data("oos");
    if(isOos == 'yes'){
        var current_object = $(this);
        Swal.fire({
            title: "Are you Sure?",
            text: " You have selected an OOS Trailer. Would you still like to proceed and create the load?",
            icon: "warning",
            showCancelButton: true,
            confirmButtonColor: "#3085d6",
            cancelButtonColor: "#d33",
            cancelButtonText: "No, change trailer",
            confirmButtonText: "Yes, go ahead!",
        }).then((result) => {
            if (result.value) {
                // console.log(result.value);
            }else{
                $(this).prop("selectedIndex", 0).change();
            }
            checkOOSTruck();
        });
    }else{
        checkOOSTruck();
    }
});

$('body').on('change', '.trailer-number-select2', function(e){
    var token       = $('meta[name="csrf-token"]').attr('content');
    var trailer_id  = $(this).val();
    $.ajax({
        url: "/company-admin/loads/trailer-info",
        method: "POST",
        data: {
            _token: token,
            trailer_id: trailer_id
        },
        success: function(response) {
            if (response.data) {
                $('.trailer-type').val(response.data.type);
                if(checkReefer()){
                    var temp    = $('input[name="temp"]').prop('required', true).attr('aria-describedby');
                    $('#' + temp).show();
                    $('.swichblock').show();
                }else{
                    var temp    = $('input[name="temp"]').prop('disabled', false).prop('required', false).attr('aria-describedby');
                    $('#' + temp).hide();
                    $('.swichblock').hide();
                    $('#temp_is_disable').prop('checked', false);
                }
            } else {
                $('.trailer-type').val('');
            }
        }
    });
});

$('body').on('change', '.cutrailterse', function(){
    var getId       = $(this).parents(".tranumber-coutn").attr('id');
    var token       = $('meta[name="csrf-token"]').attr('content');
    var trailer_id  = $(this).val();
    $.ajax({
        url: "/company-admin/loads/trailer-info",
        method: "POST",
        data: {
            _token: token,
            trailer_id: trailer_id
        },
        success: function(response) {
            if (response.data) {
                $('.trailer-type-custom'+getId+' option[value="' + response.data.type + '"]').prop('selected', true).trigger('change');
                if(checkReefer()){
                    var temp    = $('input[name="temp"]').prop('required', true).attr('aria-describedby');
                    $('#' + temp).show();
                    $('.swichblock').show();
                }else{
                    var temp    = $('input[name="temp"]').prop('disabled', false).prop('required', false).attr('aria-describedby');
                    $('#' + temp).hide();
                    $('.swichblock').hide();
                    $('#temp_is_disable').prop('checked', false);
                }
            } else {
                $('.trailer-type-custom'+getId).prop('selected', false).find('option:first').prop('selected', true);
            }
        }
    });
});

$('#temp_is_disable').on('change', function(e) {
    if (this.checked) {
        var temp        = $('input[name="temp"]').prop('disabled', true).prop('required', false).attr('aria-describedby');
        $('#' + temp).hide();
    } else {
        if(checkReefer()){
            var temp    = $('input[name="temp"]').prop('disabled', false).prop('required', true).attr('aria-describedby');
            $('#' + temp).hide();
        }else{
            var temp    = $('input[name="temp"]').prop('disabled', false).prop('required', false).attr('aria-describedby');
            $('#' + temp).hide();
        }
    }
});

// Add New Contact
$('body').on('click', '.add-btn', function () {
    var counter = $('.add-more-section').find('.add-more').length + 1;
    $('.add-more-copy-section').find('.error').text('');
    var copy    = $('.add-more-copy-section').html().replaceAll('replace_key',counter);
    $('.add-more-section').append(copy);
    //phoneFormat();
});

// Remove Contact
$('body').on('click', '.remove-btn', function () {
    $(this).parents('.add-more').remove();
});

// Add New Contact
$('body').on('click', '.add-tranumber', function () {
    var counter = 1;
    var id      = $('.addtrailernumner .tranumber-coutn:last()').attr('id');
    if(typeof id !== "undefined"){
        counter = parseFloat(id) + 1;
    }

    var copy    = $('.tranumber').html().replaceAll('replace_key',counter).replaceAll('customcce','customcce'+counter).replaceAll('tratypedata',counter);
    $('.addtrailernumner').append(copy);
    $('.customcce'+counter).select2();

    var copy    = $('.trantype').html().replaceAll('replace_key',counter).replaceAll('trailer-type-custom','trailer-type-custom'+counter).replaceAll('tratypedata','tratypedata'+counter);
    $('.addtrailertype').append(copy);
});

// Remove Contact
$('body').on('click', '.remove-tranumber', function () {
    var counter = $('.addtrailernumner').find('.tranumber-coutn').length + 1;
    var getId   = 'tratypedata'+$(this).parents('.tranumber-coutn').attr('id');
    $(this).parents('.tranumber-coutn').remove();
    $('.'+getId).remove();
});

// load requirement
$('body').on('click', '.editrequment', function () {
    $(this).parents('.ehsekeshe').find('td p').hide();
    $(this).parents('.ehsekeshe').find('.editrequment').hide(100);
    $(this).parents('.ehsekeshe').find('.savebeser').show(100);
    $(this).parents('.ehsekeshe').find('.form-control').show(100);
    $(this).parents('.ehsekeshe').find('.select2').show(100);
});

/*
$('body').on('click', '.asdquerymetn', function () {
    $('.norecordfound').remove();
    $('#LoadRequirementTable').append('<tr class="ehsekeshe" data-id=""><td style="width:30%;"><span class="sefqey" style="display: none;"></span> <input type="number" value="" placeholder="Enter Qty" class="qtyvalueacod form-control" style="display: block;"> </td><td style="width:45%;"><span class="sefname" style="display: none;"></span> <input type="text" value="" placeholder="Enter Name" class="namevalueacod form-control tag_auto" style="display: block;"> </td><td><a href="javascript:void(0)" class="savebeser" style="display: inline-block; padding-right: 35px;"><img src="/theme/images/details.png"></a><a href="javascript:void(0)" class="editrequment" style="display: none;"><img src="/theme/images/pen.svg"></a><a href="javascript:void(0)" class="destroyAjax" data-action="#" data-id="67"><img src="/theme/images/delete.svg"></a></td></tr>');
    $('.tag_auto').autocomplete({
        source: load_requirement
    });
});
*/

$('body').on('click', '.savebeser', function () {
    var current_object  = $(this);
    var requ_id         = current_object.parents('.ehsekeshe').attr('data-id');
    var load_id         = $('#load_id').val(); /* loadRequirementModal load_id */
    var is_dummy        = 0;
    if($('#load_id').attr('data-is_dummy')){
        is_dummy        = 1;
    }

    var requ_qty        = current_object.parents('.ehsekeshe').find('.qtyvalueacod').val();
    var requ_name       = current_object.parents('.ehsekeshe').find('.namevalueacod').val();

    var token           = $('meta[name="csrf-token"]').attr('content');
    $.ajax({
        url: "/company-admin/loads/load-requirement",
        method: "POST",
        data: {
            _token: token,
            requ_id: requ_id,
            load_id: load_id,
            qty: requ_qty,
            name: requ_name,
            is_dummy: is_dummy
        },
        success: function(response) {
            if(requ_id){
                current_object.parents('.ehsekeshe').find('td p').show();
                current_object.parents('.ehsekeshe').find('.editrequment').show();
                current_object.parents('.ehsekeshe').find('.savebeser').hide();
                current_object.parents('.ehsekeshe').find('.form-control').hide();
                current_object.parents('.ehsekeshe').find('.select2').hide();
                current_object.parents('.ehsekeshe').find('.sefqey').html(requ_qty);
                current_object.parents('.ehsekeshe').find('.sefname').html(requ_name);
                toastr.success('Updated successfully', 'Success Alert', {timeOut: 5000})
            }else{
                current_object.parents('.ehsekeshe').find('td p').show();
                current_object.parents('.ehsekeshe').find('.editrequment').show();
                current_object.parents('.ehsekeshe').find('.savebeser').hide();
                current_object.parents('.ehsekeshe').find('.form-control').hide();
                current_object.parents('.ehsekeshe').find('.select2').hide();
                current_object.parents('.ehsekeshe').find('.sefqey').html(requ_qty);
                current_object.parents('.ehsekeshe').find('.sefname').html(requ_name);
                toastr.success('Updated successfully', 'Success Alert', {timeOut: 5000})
                current_object.parents('.ehsekeshe').find('.destroyAjaxItem').attr('data-action', BaseURL+'/company-admin/loads/load-requirement-delete/'+response.id).attr('data-id', response.id);
            }
            current_object.parents('.ehsekeshe').attr('data-id', response.id);
        }
    });
});

$('body').on('click', '.destroyAjaxItem', function () {
    var current_object = $(this);
    Swal.fire({
        title: "Are you sure?",
        text: "You won't be able to revert this!",
        icon: "warning",
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Yes, delete it!",
    }).then((result) => {
        if (result.value) {
            var action          = current_object.attr('data-action');
            var id              = current_object.attr('data-id');
            var token           = $('input[name="_token"]').val();

            if(id != ""){
                $('#LoadRequirementTable').html('<tr><td colspan="7" class="text-center"><img src="'+ current_object.attr('data-target') +'" width="50" /></td></tr>');
                $.ajax({
                    url: action,
                    method: "delete",
                    data: { _token : token , id : id},
                    success: function(response) {
                        toastr.success('deleted successfully', 'Success Alert', {timeOut: 5000})
                        /*var take    = $('#take').val();*/
                        var token       = $('meta[name="csrf-token"]').attr('content');
                        var load_id     = $('#load_id').val(); /* loadRequirementModal load_id */
                        var is_dummy    = 0;
                        if($('#load_id').attr('data-is_dummy')){
                            is_dummy    = 1;
                        }

                        $.ajax({
                            url: "/company-admin/loads/load-requirement-view",
                            method: "POST",
                            data: { _token : token, load_id : load_id, is_dummy : is_dummy},
                            success: function(response) {
                                if(response){
                                    $('#LoadRequirementTable').html("").html(response.view);
                                }else{
                                    $('#LoadRequirementTable').html("");
                                }
                            }
                        });
                    }
                });
            }
        }
    });
});

// Load Status
$(document).ready(function() {
    $('#preplaned').click(function() {
        $('.load-status-input').val(2).trigger('change');

        $('.preplaned-driver-acknowledgement').css('display', 'block');

        $('.confirmed-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement2').css('display', 'none');
        $('.delivered-driver-acknowledgement').css('display', 'none');

        $('.reason-ready-to-bill-broker').css('display', 'none');
        $('.reason-on-hold-box').css('display', 'none');

        $('#preplaned').addClass('fill-active').removeClass('cancalled');

        $('#sendToDriver').removeClass('fill-active cancalled');
        $('#confirmed').removeClass('fill-active cancalled');
        $('#inTransit').removeClass('fill-active cancalled');
        $('#delivered').removeClass('fill-active cancalled');
        $('#readyToBill').removeClass('fill-active cancalled');
        if($('#readyToBill').hasClass('isactivebill')){
            $('#readyToBill').removeClass('isactivebill');
        }
        $('#onInvoiced').removeClass('fill-active cancalled');
        $('#complete').removeClass('fill-active cancalled');

        $('.is_on_hold').val(0).trigger('change');

        $('#msform').removeClass('setseonholds');
        $('#onHold').prop('checked', false);

        $('#msform').removeClass('setcnacelte');
        $('#cancelled').prop('checked', false);

        $('#msform').removeClass('setdropped');
        $('#dropped').prop('checked', false);

        $('.preplaned-driver-ack-label:first').trigger('click');
    });
    $('#sendToDriver').click(function() {
        $('.load-status-input').val(11).trigger('change');

        $('.preplaned-driver-acknowledgement').css('display', 'block');

        $('.confirmed-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement2').css('display', 'none');
        $('.delivered-driver-acknowledgement').css('display', 'none');

        $('.reason-ready-to-bill-broker').css('display', 'none');
        $('.reason-on-hold-box').css('display', 'none');

        $('#preplaned').addClass('fill-active').removeClass('cancalled');
        $('#sendToDriver').addClass('fill-active').removeClass('cancalled');

        $('#confirmed').removeClass('fill-active cancalled');
        $('#inTransit').removeClass('fill-active cancalled');
        $('#delivered').removeClass('fill-active cancalled');
        $('#readyToBill').removeClass('fill-active cancalled');
        if($('#readyToBill').hasClass('isactivebill')){
            $('#readyToBill').removeClass('isactivebill');
        }
        $('#onInvoiced').removeClass('fill-active cancalled');
        $('#complete').removeClass('fill-active cancalled');

        $('.is_on_hold').val(0).trigger('change');

        $('#msform').removeClass('setseonholds');
        $('#onHold').prop('checked', false);

        $('#msform').removeClass('setcnacelte');
        $('#cancelled').prop('checked', false);

        $('#msform').removeClass('setdropped');
        $('#dropped').prop('checked', false);

        $('.preplaned-driver-ack-label:first').trigger('click');
    });
    $('#confirmed').click(function() {
        $('.load-status-input').val(3).trigger('change');

        $('.confirmed-driver-acknowledgement').css('display', 'block');

        $('.preplaned-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement2').css('display', 'none');
        $('.delivered-driver-acknowledgement').css('display', 'none');

        $('.reason-on-hold-box').css('display', 'none');
        $('.reason-ready-to-bill-broker').css('display', 'none');

        $('#preplaned').addClass('fill-active').removeClass('cancalled');
        $('#sendToDriver').addClass('fill-active').removeClass('cancalled');
        $('#confirmed').addClass('fill-active').removeClass('cancalled');

        $('#inTransit').removeClass('fill-active cancalled');
        $('#delivered').removeClass('fill-active cancalled');
        $('#readyToBill').removeClass('fill-active cancalled');
        if($('#readyToBill').hasClass('isactivebill')){
            $('#readyToBill').removeClass('isactivebill');
        }
        $('#onInvoiced').removeClass('fill-active cancalled');
        $('#complete').removeClass('fill-active cancalled');

        $('#msform').removeClass('setseonholds');
        $('#msform').removeClass('setcnacelte');

        $('.is_on_hold').val(0).trigger('change');

        $('#msform').removeClass('setseonholds');
        $('#onHold').prop('checked', false);

        $('#msform').removeClass('setcnacelte');
        $('#cancelled').prop('checked', false);

        $('#msform').removeClass('setdropped');
        $('#dropped').prop('checked', false);

        $('.confirmed-driver-ack-label:first').trigger('click');
    });
    $('#inTransit').click(function() {
        $('.load-status-input').val(4).trigger('change');

        $('.inTransit-driver-acknowledgement').css('display', 'block');
        $('.inTransit-driver-acknowledgement2').css('display', 'block');

        $('.preplaned-driver-acknowledgement').css('display', 'none');
        $('.confirmed-driver-acknowledgement').css('display', 'none');
        $('.delivered-driver-acknowledgement').css('display', 'none');

        $('.reason-on-hold-box').css('display', 'none');
        $('.reason-ready-to-bill-broker').css('display', 'none');

        $('#preplaned').addClass('fill-active').removeClass('cancalled');;
        $('#sendToDriver').addClass('fill-active').removeClass('cancalled');;
        $('#confirmed').addClass('fill-active').removeClass('cancalled');;
        $('#inTransit').addClass('fill-active').removeClass('cancalled');;

        $('#delivered').removeClass('fill-active cancalled');
        $('#readyToBill').removeClass('fill-active cancalled');
        if($('#readyToBill').hasClass('isactivebill')){
            $('#readyToBill').removeClass('isactivebill');
        }
        $('#onInvoiced').removeClass('fill-active cancalled');
        $('#complete').removeClass('fill-active cancalled');

        $('.is_on_hold').val(0).trigger('change');

        $('#msform').removeClass('setseonholds');
        $('#onHold').prop('checked', false);

        $('#msform').removeClass('setcnacelte');
        $('#cancelled').prop('checked', false);

        $('#msform').removeClass('setdropped');
        $('#dropped').prop('checked', false);

        $('.in-transit-driver-ack-label:first').trigger('click');
    });
    $('#delivered').click(function() {
        $('.load-status-input').val(5).trigger('change');

        $('.inTransit-driver-acknowledgement2').css('display', 'block');
        $('.delivered-driver-acknowledgement').css('display', 'block');

        $('.preplaned-driver-acknowledgement').css('display', 'none');
        $('.confirmed-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement').css('display', 'none');

        $('.reason-on-hold-box').css('display', 'none');
        $('.reason-ready-to-bill-broker').css('display', 'none');

        $('#preplaned').addClass('fill-active').removeClass('cancalled');;
        $('#sendToDriver').addClass('fill-active').removeClass('cancalled');;
        $('#confirmed').addClass('fill-active').removeClass('cancalled');;
        $('#inTransit').addClass('fill-active').removeClass('cancalled');;
        $('#delivered').addClass('fill-active').removeClass('cancalled');;

        $('#readyToBill').removeClass('fill-active cancalled');
        if($('#readyToBill').hasClass('isactivebill')){
            $('#readyToBill').removeClass('isactivebill');
        }
        $('#onInvoiced').removeClass('fill-active cancalled');
        $('#complete').removeClass('fill-active cancalled');

        $('.is_on_hold').val(0).trigger('change');

        $('#msform').removeClass('setseonholds');
        $('#onHold').prop('checked', false);

        $('#msform').removeClass('setcnacelte');
        $('#cancelled').prop('checked', false);

        $('#msform').removeClass('setdropped');
        $('#dropped').prop('checked', false);
    });
    $('#readyToBill').click(function() {
        $('.load-status-input').val(6).trigger('change');

        $('.inTransit-driver-acknowledgement2').css('display', 'block');
        $('.delivered-driver-acknowledgement').css('display', 'block');

        $('.preplaned-driver-acknowledgement').css('display', 'none');
        $('.confirmed-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement').css('display', 'none');

        $('.reason-on-hold-box').css('display', 'none');
        $('.reason-ready-to-bill-broker').css('display', 'block');
        //$('.brokerage-firm-select2').change();

        $('#preplaned').addClass('fill-active').removeClass('cancalled');
        $('#sendToDriver').addClass('fill-active').removeClass('cancalled');
        $('#confirmed').addClass('fill-active').removeClass('cancalled');
        $('#inTransit').addClass('fill-active').removeClass('cancalled');
        $('#delivered').addClass('fill-active').removeClass('cancalled');
        $('#readyToBill').addClass('fill-active').removeClass('cancalled');
        if (typeof totalPendingDetention !== "undefined" && totalPendingDetention > 0) {
            $('#readyToBill').addClass('isactivebill');
        }else{
            if($('#readyToBill').hasClass('isactivebill')){
                $('#readyToBill').removeClass('isactivebill');
            }
        }

        $('#onInvoiced').removeClass('fill-active cancalled');
        $('#complete').removeClass('fill-active cancalled');

        $('.is_on_hold').val(0).trigger('change');

        $('#msform').removeClass('setseonholds');
        $('#onHold').prop('checked', false);

        $('#msform').removeClass('setcnacelte');
        $('#cancelled').prop('checked', false);

        $('#msform').removeClass('setdropped');
        $('#dropped').prop('checked', false);
    });
    $('#onInvoiced').click(function(e) {
        e.preventDefault();

        if (typeof totalPendingDetention !== "undefined" && totalPendingDetention > 0) {
            $.ajax({
                type: 'POST',
                url: $('.pending_detention_url').data('url'),
                data: {
                    html : true,
                    id: $('input[name="dummyloadid"]').val(), // original load_id
                },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                async: false,
                beforeSend: function () {
                    $('#pendingDetentionModal').modal({backdrop: 'static', keyboard: false}, 'show');
                },
                success: function(response) {
                    var html                    = response.html;
                    if(typeof html !== "undefined"){
                        $('#pendingDetentionModal').find('.append-view').html(html);
                    }else{
                        toastr.error('Oops! Something went wrong..', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    //console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert');
                }
            });
            // code here
            return false;
        }

        $('.load-status-input').val(10).trigger('change');

        $('.inTransit-driver-acknowledgement2').css('display', 'block');
        $('.delivered-driver-acknowledgement').css('display', 'block');

        $('.preplaned-driver-acknowledgement').css('display', 'none');
        $('.confirmed-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement').css('display', 'none');

        $('.reason-on-hold-box').css('display', 'none');
        $('.reason-ready-to-bill-broker').css('display', 'none');

        $('#preplaned').addClass('fill-active').removeClass('cancalled');
        $('#sendToDriver').addClass('fill-active').removeClass('cancalled');
        $('#confirmed').addClass('fill-active').removeClass('cancalled');
        $('#inTransit').addClass('fill-active').removeClass('cancalled');
        $('#delivered').addClass('fill-active').removeClass('cancalled');
        $('#readyToBill').addClass('fill-active').removeClass('cancalled');
        if($('#readyToBill').hasClass('isactivebill')){
            $('#readyToBill').removeClass('isactivebill');
        }
        $('#onInvoiced').addClass('fill-active').removeClass('cancalled');

        $('#complete').removeClass('fill-active cancalled');

        $('.is_on_hold').val(0).trigger('change');

        $('#msform').removeClass('setseonholds');
        $('#onHold').prop('checked', false);

        $('#msform').removeClass('setcnacelte');
        $('#cancelled').prop('checked', false);

        $('#msform').removeClass('setdropped');
        $('#dropped').prop('checked', false);
    });
    $('#complete').click(function(e) {
        e.preventDefault();

        if (typeof totalPendingDetention !== "undefined" && totalPendingDetention > 0) {
            $.ajax({
                type: 'POST',
                url: $('.pending_detention_url').data('url'),
                data: {
                    html : true,
                    id: $('input[name="dummyloadid"]').val(), // original load_id
                },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                async: false,
                beforeSend: function () {
                    $('#pendingDetentionModal').modal({backdrop: 'static', keyboard: false}, 'show');
                },
                success: function(response) {
                    var html                    = response.html;
                    if(typeof html !== "undefined"){
                        $('#pendingDetentionModal').find('.append-view').html(html);
                    }else{
                        toastr.error('Oops! Something went wrong..', {
                            timeOut: 5000
                        });
                    }
                },
                complete: function() {
                    //console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(error, 'Error Alert');
                }
            });
            // code here
            return false;
        }

        $('.load-status-input').val(8).trigger('change');

        $('.inTransit-driver-acknowledgement2').css('display', 'block');
        $('.delivered-driver-acknowledgement').css('display', 'block');

        $('.preplaned-driver-acknowledgement').css('display', 'none');
        $('.confirmed-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement').css('display', 'none');

        $('.reason-on-hold-box').css('display', 'none');
        $('.reason-ready-to-bill-broker').css('display', 'block');

        $('#preplaned').addClass('fill-active').removeClass('cancalled');
        $('#sendToDriver').addClass('fill-active').removeClass('cancalled');
        $('#confirmed').addClass('fill-active').removeClass('cancalled');
        $('#inTransit').addClass('fill-active').removeClass('cancalled');
        $('#delivered').addClass('fill-active').removeClass('cancalled');
        $('#onHold').addClass('fill-active').removeClass('cancalled');
        $('#readyToBill').addClass('fill-active').removeClass('cancalled');
        if($('#readyToBill').hasClass('isactivebill')){
            $('#readyToBill').removeClass('isactivebill');
        }
        $('#onInvoiced').addClass('fill-active').removeClass('cancalled');
        $('#complete').addClass('fill-active').removeClass('cancalled');

        $('.is_on_hold').val(0).trigger('change');

        $('#msform').removeClass('setseonholds');
        $('#onHold').prop('checked', false);

        $('#msform').removeClass('setcnacelte');
        $('#cancelled').prop('checked', false);

        $('#msform').removeClass('setdropped');
        $('#dropped').prop('checked', false);
    });
    $('#cancelled').click(function() {
        $('.preplaned-driver-acknowledgement').css('display', 'none');
        $('.confirmed-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement2').css('display', 'none');
        $('.delivered-driver-acknowledgement').css('display', 'none');

        $('.reason-on-hold-box').css('display', 'none');
        $('.reason-ready-to-bill-broker').css('display', 'none');

        $('#msform').removeClass('setseonholds');
        $('#msform').removeClass('setdropped');
        if($('#readyToBill').hasClass('isactivebill')){
            $('#readyToBill').removeClass('isactivebill');
        }

        if ($(this)[0].checked) {
            $('#msform').addClass('setcnacelte');
            $('.is_on_hold').val(2).trigger('change');
        }else{
            $('#msform').removeClass('setcnacelte');
            $('.is_on_hold').val(0).trigger('change');
            $('.custom-progress-bar li.fill-active:last').trigger('click');
        }

        $('#onHold').prop('checked', false);
        $('#dropped').prop('checked', false);
    });
    $('#onHold').click(function() {
        $('.preplaned-driver-acknowledgement').css('display', 'none');
        $('.confirmed-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement2').css('display', 'none');
        $('.delivered-driver-acknowledgement').css('display', 'none');

        $('.reason-on-hold-box').css('display', 'block');
        $('.reason-ready-to-bill-broker').css('display', 'none');

        $('#msform').removeClass('setcnacelte');
        $('#msform').removeClass('setdropped');
        if($('#readyToBill').hasClass('isactivebill')){
            $('#readyToBill').removeClass('isactivebill');
        }

        if ($(this)[0].checked) {
            var reason_on_hold      = $('textarea[name="reason_on_hold"]').prop('required', true).attr('aria-describedby');
            $('#' + reason_on_hold).show();
            var notification_reason = $('select[name="notification_reason"]').prop('required', true).attr('aria-describedby');
            $('#' + notification_reason).show();

            $('#msform').addClass('setseonholds');
            $('.is_on_hold').val(1).trigger('change');
        }else{
            var reason_on_hold      = $('textarea[name="reason_on_hold"]').prop('required', false).attr('aria-describedby');
            $('#' + reason_on_hold).hide();
            var notification_reason = $('select[name="notification_reason"]').prop('required', false).attr('aria-describedby');
            $('#' + notification_reason).hide();

            $('#msform').removeClass('setseonholds');
            $('.is_on_hold').val(0).trigger('change');
            $('.custom-progress-bar li.fill-active:last').trigger('click');
        }

        $('#cancelled').prop('checked', false);
        $('#dropped').prop('checked', false);
    });
    $('#dropped').click(function() {
        $('.preplaned-driver-acknowledgement').css('display', 'none');
        $('.confirmed-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement').css('display', 'none');
        $('.inTransit-driver-acknowledgement2').css('display', 'none');
        $('.delivered-driver-acknowledgement').css('display', 'none');

        $('.reason-on-hold-box').css('display', 'none');
        $('.reason-ready-to-bill-broker').css('display', 'none');

        $('#msform').removeClass('setcnacelte');
        $('#msform').removeClass('setseonholds');
        if($('#readyToBill').hasClass('isactivebill')){
            $('#readyToBill').removeClass('isactivebill');
        }

        if ($(this)[0].checked) {
            $('#msform').addClass('setdropped');
            $('.is_on_hold').val(3).trigger('change');
        }else{
            $('#msform').removeClass('setdropped');
            $('.is_on_hold').val(0).trigger('change');
            $('.custom-progress-bar li.fill-active:last').trigger('click');
        }

        $('#cancelled').prop('checked', false);
        $('#dropped').prop('checked', false);
    });
});

$(document).ready(function() {
    $('.custom-progress-bar li').click(function() {
        var value                   = $('input[name="load_status"]').val();
        if (value == '5' || value == '6' || value == '8') {
            var dinformation        = $('input[name="delivered_delivery_information"]:checked').val();
            if (dinformation == '0') {
                var CurrentDate     = $('input[name=delivery_date_time]').val();
                $('#defaultStartDeliveryTime').val(CurrentDate);

                var CurrentDate     = $('input[name=shipper_date_time]').val();
                $('#defaultStartShippingTime').val(CurrentDate);
            }
            if (dinformation == '1') {
                var CurrentD        = moment(new Date()).add(0, 'day').format(DateTimeFormat);
                $('#defaultStartDeliveryTime').val(CurrentD);
                $('#defaultStartShippingTime').val(CurrentD);
            }
            $('input[name="intransit_date_time"]').prop('required', true);
            $('input[name="delivered_date_time"]').prop('required', true);
        } else {
            $('input[name="intransit_date_time"]').prop('required', false);
            $('input[name="delivered_date_time"]').prop('required', false);
        }
    });
});

// Load Type
$(document).ready(function() {
    $('.load-type-label').click(function() {
        var load_type   = $(this).find('input').val();
        if (load_type == 0) {
            //$(".broker-div").css("display", "block");
            //$(".load-information-div").css("display", "block");
            //$(".load-information-second-div").css("display", "block");

            // make load staus pending(no-status)
            $('#preplaned').trigger('click');

            // make empty
            $("#shipperDate").val('');
            $("#deliveryDate").val('');
        } else {
            //$(".broker-div").css("display", "none");
            //$(".load-information-div").css("display", "none");
            //$(".load-information-second-div").css("display", "none");

            // make load staus complete
            $('#complete').trigger('click');

            // set current date
            var dt          = new Date();
            //var datetime = (dt.getMonth()+1) + "/" + dt.getDate()  + "/" + dt.getFullYear() + " " + dt.getHours() + ":" + dt.getMinutes();
            var datetime    = moment(dt).add(0, 'day').format(DateTimeFormat);
            $("#shipperDate").val(datetime).change();
            $("#deliveryDate").val(datetime).change();
        }
    });
});

$(document).ready(function() {
    $("input:radio[name='load_type']").change(function(){
        var load_type                           = $(this).val();
        if (load_type == 1 || load_type == 2 || load_type == 3 || load_type == 5) {
            $('.OccupiedPickupDay').hide();
            var temp                            = $('input[name="temp"]').prop('disabled', false).prop('required', false).attr('aria-describedby');
            $('#' + temp).hide();
            $('.swichblock').hide();
            $('#temp_is_disable').prop('checked', false);
        } else {
            $('.OccupiedPickupDay').show();
            if (checkReefer()) {
                var temp                        = $('input[name="temp"]').prop('required', true).attr('aria-describedby');
                $('#' + temp).show();
                $('.swichblock').show();
            }else{
                var temp                        = $('input[name="temp"]').prop('disabled', false).prop('required', false).attr('aria-describedby');
                $('#' + temp).hide();
                $('.swichblock').hide();
                $('#temp_is_disable').prop('checked', false);
            }
        }

        if (load_type == 0) {
            var load_number                     = $('input[name="load_number"]').prop('required', true).attr('aria-describedby');
            $('#' + load_number).show();
            var brokerage_firm                  = $('select[name="brokerage_firm"]').prop('required', true).attr('aria-describedby');
            $('#' + brokerage_firm).show();
            var brokerage_mc                    = $('input[name="brokerage_mc"]').prop('required', true).attr('aria-describedby');
            $('#' + brokerage_mc).show();

            var weight                          = $('input[name="weight"]').prop('required', true).attr('aria-describedby');
            $('#' + weight).show();
            var empty_miles                     = $('input[name="empty_miles"]').prop('required', true).attr('aria-describedby');
            $('#' + empty_miles).show();
            var loaded_miles                    = $('input[name="loaded_miles"]').prop('required', true).attr('aria-describedby');
            $('#' + loaded_miles).show();
            var agreed_upon_rate                = $('input[name="agreed_upon_rate"]').prop('required', true).attr('aria-describedby');
            $('#' + agreed_upon_rate).show();
            var fuel_surcharge_cost_per_mile    = $('input[name="fuel_surcharge_cost_per_mile"]').prop('required', true).attr('aria-describedby');
            $('#' + fuel_surcharge_cost_per_mile).show();

            if($('.driver-change').val()!='0'){
                var truck_number                = $('input[name="truck_number"]').prop('required', true).attr('aria-describedby');
                $('#' + truck_number).show();
                var trailer_number              = $('select[name="trailer_number"]').prop('required', true).attr('aria-describedby');
                $('#' + trailer_number).show();
                var trailer_type                = $('select[name="trailer_type"]').prop('required', true).attr('aria-describedby');
                $('#' + trailer_type).show();
            }else{
                var truck_number                = $('input[name="truck_number"]').prop('required', false).attr('aria-describedby');
                $('#' + truck_number).hide();
                var trailer_number              = $('select[name="trailer_number"]').prop('required', false).attr('aria-describedby');
                $('#' + trailer_number).hide();
                var trailer_type                = $('select[name="trailer_type"]').prop('required', false).attr('aria-describedby');
                $('#' + trailer_type).hide();
            }

            $('#pickup-delivery-collapse .stop').each(function (key, val){
                var that                        = $(this);
                var timezone_abbr               = that.find('.geocoding-abbr').prop('required', true).attr('aria-describedby');
                $('#' + timezone_abbr).show();
                var address_one                 = that.find('.geocoding-address-1').prop('required', true).attr('aria-describedby');
                $('#' + address_one).show();
                var state                       = that.find('.geocoding-state').prop('required', true).attr('aria-describedby');
                $('#' + state).show();
                var zip                         =  that.find('.geocoding-zip').prop('required', true).attr('aria-describedby');
                $('#' + zip).show();
            });
        } else {
            var load_number                     = $('input[name="load_number"]').prop('required', false).attr('aria-describedby');
            $('#' + load_number).hide();
            var brokerage_firm                  = $('select[name="brokerage_firm"]').prop('required', false).attr('aria-describedby');
            $('#' + brokerage_firm).hide();
            var brokerage_mc                    = $('input[name="brokerage_mc"]').prop('required', false).attr('aria-describedby');
            $('#' + brokerage_mc).hide();

            var weight                          = $('input[name="weight"]').prop('required', false).attr('aria-describedby');
            $('#' + weight).hide();
            var empty_miles                     = $('input[name="empty_miles"]').prop('required', false).attr('aria-describedby');
            $('#' + empty_miles).hide();
            var loaded_miles                    = $('input[name="loaded_miles"]').prop('required', false).attr('aria-describedby');
            $('#' + loaded_miles).hide();
            var agreed_upon_rate                = $('input[name="agreed_upon_rate"]').prop('required', false).attr('aria-describedby');
            $('#' + agreed_upon_rate).hide();
            var fuel_surcharge_cost_per_mile    = $('input[name="fuel_surcharge_cost_per_mile"]').prop('required', false).attr('aria-describedby');
            $('#' + fuel_surcharge_cost_per_mile).hide();

            var truck_number                    = $('input[name="truck_number"]').prop('required', false).attr('aria-describedby');
            $('#' + truck_number).hide();
            var trailer_number                  = $('select[name="trailer_number"]').prop('required', false).attr('aria-describedby');
            $('#' + trailer_number).hide();
            var trailer_type                    = $('select[name="trailer_type"]').prop('required', false).attr('aria-describedby');
            $('#' + trailer_type).hide();

            $('#pickup-delivery-collapse .stop').each(function (key, val){
                var that                        = $(this);
                var timezone_abbr               = that.find('.geocoding-abbr').prop('required', false).attr('aria-describedby');
                $('#' + timezone_abbr).hide();
                var address_one                 = that.find('.geocoding-address-1').prop('required', false).attr('aria-describedby');
                $('#' + address_one).hide();
                var state                       = that.find('.geocoding-state').prop('required', false).attr('aria-describedby');
                $('#' + state).hide();
                var zip                         =  that.find('.geocoding-zip').prop('required', false).attr('aria-describedby');
                $('#' + zip).hide();
            });
        }
    });
});

// Preplaned Driver Acknowledgement
$('body').on('click', '.preplaned-driver-ack-label', function() {
    var val = $(this).find(".preplaned-driver-acknowledgement-radio").val();

    $('.is_on_hold').val(0).trigger('change');

    $('#msform').removeClass('setseonholds');
    $('#onHold').prop('checked', false);

    $('#msform').removeClass('setcnacelte');
    $('#cancelled').prop('checked', false);

    $('#msform').removeClass('setdropped');
    $('#dropped').prop('checked', false);

    if (val == 1) {
        $('#confirmed').trigger('click');
    } else if (val == 2) {
        $('#onHold').trigger('click');
    }
});

// Confirmed Driver Acknowledgement
$('body').on('click', '.confirmed-driver-ack-label', function() {
    var val = $(this).find(".confirmed-driver-acknowledgement-radio").val();

    $('.is_on_hold').val(0).trigger('change');

    $('#msform').removeClass('setseonholds');
    $('#onHold').prop('checked', false);

    $('#msform').removeClass('setcnacelte');
    $('#cancelled').prop('checked', false);

    $('#msform').removeClass('setdropped');
    $('#dropped').prop('checked', false);

    if (val == 1) {
        $('#inTransit').trigger('click');
    } else if (val == 2) {
        $('#onHold').trigger('click');
    }
});

// In Transit Driver Acknowledgement
$('body').on('click', '.in-transit-driver-ack-label', function() {
    var val = $(this).find(".intransit-driver-acknowledgement-radio").val();

    $('.is_on_hold').val(0).trigger('change');

    $('#msform').removeClass('setseonholds');
    $('#onHold').prop('checked', false);

    $('#msform').removeClass('setcnacelte');
    $('#cancelled').prop('checked', false);

    $('#msform').removeClass('setdropped');
    $('#dropped').prop('checked', false);

    if (val == 1) {
        $('#delivered').trigger('click');
    } else if (val == 2) {
        $('#onHold').trigger('click');
    }
});

function checkReefer(){
    var myarray                         = [];
    if($('.trailer-type').val()){
        var is_temp_required            = $('.trailer-type option:selected').attr('data-is_temp_required');
        if(is_temp_required==1){
            myarray.push($('.trailer-type option:selected').text().toLowerCase());
        }
        // myarray.push($('.trailer-type option:selected').text().toLowerCase());
    }
    var cutrailterse                    = $(document).find('.cutrailterse').not('.customcce');
    if(cutrailterse.length > 0){
        cutrailterse.each(function(i, obj) {
            var getId                   = $(this).parents(".tranumber-coutn").attr('id');
            var val                     = $('.trailer-type-custom'+getId).val();
            if(val){
                var is_temp_required    = $('.trailer-type-custom'+getId+' option:selected').attr('data-is_temp_required');
                if(is_temp_required==1){
                    myarray.push($('.trailer-type-custom'+getId+' option:selected').text().toLowerCase());
                }
                // myarray.push($('.trailer-type-custom'+getId+' option:selected').text().toLowerCase());
            }
        });
    }
    if(myarray.length > 0){
        return true;
    }else{
        return false;
    }
    // return $.inArray("reefer", myarray) !== -1;
}

function isSorted(arr) {
    let second_index;
        for(let first_index = 0; first_index < arr.length; first_index++){
          second_index = first_index + 1;
          if(arr[second_index] - arr[first_index] < 0) return false;
        }
        return true;
    // var i = 0;
    // var last = arr.length - 1;
    // return (function check() {
    //     return (i >= last) || (arr[i] <= arr[++i] && check());
    // })();
}

$(document).on('change', '#hazardousLoad', function (){
    if($(this).val() == '1'){
        $("#divHazardousOption").removeClass('d-none');
    }else{
        $("#divHazardousOption").addClass('d-none');
    }
});

$(document).on('change', '#is_cod', function (){
    if($(this).is(':checked')){
        $("#rtsCreditScoreDiv").addClass('d-none');
        $("#codDiv").removeClass('d-none');
    }else{
        $("#codDiv").addClass('d-none');
        $("#rtsCreditScoreDiv").removeClass('d-none');
    }
});

$(document).on('click', '.fileUploadIcon', function (){
    setTimeout(function(){
        $("#inputGroupFile01").removeAttr('multiple');
    }, 500);

    if($(this).hasClass('up_front_file') && parseInt($(this).attr('data-upload-status')) == 1){
        $("#ffdupdlsoe").addClass('d-none');
    }else if($(this).hasClass('at_pickup_file') && parseInt($(this).attr('data-upload-status')) == 1){
        $("#ffdupdlsoe").addClass('d-none');
    } else if($(this).hasClass('at_delivery_file') && parseInt($(this).attr('data-upload-status')) == 1){
        $("#ffdupdlsoe").addClass('d-none');
    }else{
        $("#ffdupdlsoe").removeClass('d-none');
    }
});

// Add other Trailer Number
$('body').on('click', '.add-other-tranumber', function () {
    let index = $(this).data('index');

    $(".otherBox-"+ index).removeClass('d-none');
    $(this).addClass('d-none');
});

$('body').on('click', '.remove-other-tranumber', function () {
    let index = $(this).data('index');
    $('.otherBox-'+ index).addClass('d-none');
    $('.addLinkOther-'+ index).removeClass('d-none');
});
