{!! Form::model($accessorial, array('route' => ['admin.accessorial.update', $accessorial->id], 'method'=>'PATCH','files'=>'true','class'=>'updateForm')) !!}
<div class="modal-body">
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label>Name<span>*</span></label>
                {!! Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required')) !!}
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label>Default Amount</label>
                {!! Form::number('default_amount', old('default_amount'), array('class' => 'form-control', 'min' => 0, 'step' => .01)) !!}
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label>GL Code</label>
                {!! Form::text('gl_code', old('gl_code'), array('class' => 'form-control', 'autocomplete' => 'new', 'readonly' => 'readonly')) !!}
            </div>
        </div>
    </div>
</div>
<div class="modal-footer">
    <button class="btn blue-btn">Update</button>
    <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
</div>
{!! Form::close() !!}
