@extends($companyAdminTheme)

@section('title')

@endsection

@section('style')
<link rel="stylesheet" href="{{ asset('theme/css/dataTables.bootstrap4.min.css') }}">
<link rel="stylesheet" href="https://cdn.datatables.net/1.13.7/css/jquery.dataTables.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.5.0/css/responsive.dataTables.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/buttons/2.4.2/css/buttons.dataTables.min.css">
<link rel="stylesheet" href="{{ asset('theme/css/slick.css') }}">
<link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
@endsection

@section('content')
<div class="billing-content ff-Inter">
    <div class="timestats-box ">
        <div class="row g-2">
            <div class="col-xl-custom-20p col-md-4 col-sm-6">
                <div class="card h-100">
                    <div class="d-flex align-items-center justify-content-between mb-1">
                        <div class="">
                            <h3>00%</h3>
                            <strong class="fs-18 text-ganache">Ready To Bill</strong>
                        </div>
                        <div class="">
                            <img src="{{ asset('theme/images/ready-to-bill-icon.png') }}" alt="icon">
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-custom-20p col-md-4 col-sm-6">
                <div class="card h-100">
                    <div class="d-flex align-items-center justify-content-between mb-1">
                        <div class="">
                            <h3>00%</h3>
                            <strong class="fs-18 text-ganache">On Hold</strong>
                        </div>
                        <div class="">
                            <img src="{{ asset('theme/images/on-hold-icon.png') }}" alt="icon">
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-custom-20p col-md-4 col-sm-6">
                <div class="card h-100">
                    <div class="d-flex align-items-center justify-content-between mb-1">
                        <div class="">
                            <h3>00%</h3>
                            <strong class="fs-18 text-ganache">Missing Documents</strong>
                        </div>
                        <div class="">
                            <img src="{{ asset('theme/images/missing-documents-icon.png') }}" alt="icon">
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-custom-20p col-md-4 col-sm-6">
                <div class="card h-100">
                    <div class="d-flex align-items-center justify-content-between mb-1">
                        <div class="">
                            <h3>00%</h3>
                            <strong class="fs-18 text-ganache">Unbilled</strong>
                        </div>
                        <div class="">
                            <img src="{{ asset('theme/images/unbilled-icon.png') }}" alt="icon">
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-custom-20p col-md-4 col-sm-6">
                <div class="card h-100">
                    <div class="d-flex align-items-center justify-content-between mb-1">
                        <div class="">
                            <h3>00%</h3>
                            <strong class="fs-18 text-ganache">Billed</strong>
                        </div>
                        <div class="">
                            <img src="{{ asset('theme/images/billed-icon.png') }}" alt="icon">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="mt-xl-5 mt-3">
        <nav class="inner-navtabs  pb-0">
            <ul class="nav nav-pills " id="pills-tab" role="tablist">
                <li class="nav-item" role="presentation">
                    <a href="#all-loads-tab-content" id="all-loads-tab" data-toggle="pill" role="tab" aria-controls="all-loads" aria-selected="true" class="active">All Loads</a>
                </li>
                <li class="nav-item" role="presentation">
                    <a href="#ready-to-bill-content" id="ready-to-bill-tab" data-toggle="pill" role="tab" aria-controls="ready-to-bill" aria-selected="true">Ready To Bill</a>
                </li>
                <li class="nav-item" role="presentation">
                    <a href="#missing-docs-content" id="missing-docs-tab" data-toggle="pill" role="tab" aria-controls="missing-docs" aria-selected="true">Missing Docs</a>
                </li>
                <li class="nav-item" role="presentation">
                    <a href="#on-hold-content" id="on-hold-tab" data-toggle="pill" role="tab" aria-controls="on-hold" aria-selected="true">On Hold</a>
                </li>
                <li class="nav-item" role="presentation">
                    <a href="#invoiced-content" id="invoiced-tab" data-toggle="pill" role="tab" aria-controls="invoiced" aria-selected="true">Invoiced</a>
                </li>
            </ul>
        </nav>
        <div class="tab-content" id="myTabContent">
            <div class="tab-pane fade show active" id="all-loads-tab-content" role="tabpanel" aria-labelledby="all-loads-tab">
                <div class="pt-5">
                    <div class="billingNew-slider slider">
                        <div class="billingNew-block ">
                            <h5>Load No. DTL40323</h5>
                            <div class="inner ">
                                <div class="embed-responsive">
                                    <a href="#" class="arrow"><img src="{{ asset('theme/img/expand.svg') }}" alt="icon"></a>
                                    <div class="missing">Missing Document<img src="{{ asset('theme/img/exclamation-triangle.png') }}" alt="icon"> </div>
                                    <a href="#" class="btn btn-danger">Pending</a>
                                </div>
                            </div>
                            <p>Stop 1: BOL <span>4 Pages</span> <br> (1 of 4)</p>
                        </div>
                        <div class="billingNew-block ">
                            <h5>Load No. DTL40323</h5>
                            <div class="inner ">
                                <div class="embed-responsive">
                                    <a href="#" class="arrow"><img src="{{ asset('theme/img/expand.svg') }}" alt="icon"></a>
                                    <div class="missing d-none">Missing Document<img src="{{ asset('theme/img/exclamation-triangle.png') }}" alt="icon"> </div>
                                    <div class="received">
                                        <img src="{{ asset('theme/img/check-circle.png') }}" alt="icon">
                                        <p>Mark as Received</p><span>By Christian Snead on 12/27/23 8:00 PM (EST)</span>
                                    </div>
                                    <a href="#" class="btn btn-danger">Pending</a>
                                </div>
                            </div>
                            <p>Stop 1: BOL <span>4 Pages</span> <br> (1 of 4)</p>
                        </div>
                        <div class="billingNew-block">
                            <h5>Load No. DTL40323</h5>
                            <div class="inner ">
                                <div class="embed-responsive">
                                    <a href="#" class="arrow"><img src="{{ asset('theme/img/expand.svg') }}" alt="icon"></a>
                                    <div class="missing d-none">Missing Document<img src="{{ asset('theme/img/exclamation-triangle.png') }}" alt="icon"> </div>
                                    <div class="received d-none">
                                        <img src="{{ asset('theme/img/check-circle.png') }}" alt="icon">
                                        <p>Mark as Received</p><span>By Christian Snead on 12/27/23 8:00 PM (EST)</span>
                                    </div>
                                    <div class="docReg">
                                        <img src="{{ asset('theme/img/exclamation-triangle.png') }}" alt="icon">
                                        <p>Document Requested</p><span>By Christian Snead on 12/27/23 8:00 PM (EST)</span>
                                    </div>
                                    <a href="#" class="btn btn-danger">Pending</a>
                                </div>
                            </div>
                            <p>Stop 1: Lumper Receipt <br> (2 of 4)</p>
                        </div>
                        <div class="billingNew-block">
                            <h5>Load No. DTL40323</h5>
                            <div class="inner ">
                                <div class="embed-responsive">
                                    <a href="#" class="arrow"><img src="{{ asset('theme/img/expand.svg') }}" alt="icon"></a>
                                    <div class="missing d-none">Missing Document<img src="{{ asset('theme/img/exclamation-triangle.png') }}" alt="icon"> </div>
                                    <div class="received ">
                                        <img src="{{ asset('theme/img/check-circle.png') }}" alt="icon">
                                        <p>Document Received</p><span class="text-white">By Christian Snead on 12/27/23 8:00 PM (EST)</span>
                                    </div>
                                    <div class="docReg d-none">
                                        <img src="{{ asset('theme/img/exclamation-triangle.png') }}" alt="icon">
                                        <p>Document Requested</p><span>By Christian Snead on 12/27/23 8:00 PM (EST)</span>
                                    </div>
                                    <a href="#" class="btn btn-success">Approved</a>
                                    <div class="upload-img"> <img src="{{ asset('theme/img/doc.png') }}" alt="image"></div>
                                </div>
                            </div>
                            <p>Stop 99: Bill of Lading <br> (3 of 4)</p>
                        </div>
                        <div class="billingNew-block">
                            <h5>Load No. DTL40323</h5>
                            <div class="inner ">
                                <div class="embed-responsive">
                                    <a href="#" class="arrow"><img src="{{ asset('theme/img/expand.svg') }}" alt="icon"></a>
                                    <div class="invoice">
                                        <h5>Invoice</h5><span>(Click Generate Invoice Button Below)</span>
                                        <div class="bg-white">
                                            <p>Warning</p><span>All documents must be received and all audits complete before invoice can be generated</span>
                                        </div>
                                    </div>
                                    <a href="#" class="btn btn-danger">Pending</a>

                                </div>
                            </div>
                            <p>Load Invoice <br> (4 of 4)</p>
                        </div>
                        <div class="billingNew-block">
                            <h5>Load No. DTL40323</h5>
                            <div class="inner ">
                                <div class="embed-responsive">
                                    <a href="#" class="add-doc" data-toggle="modal" data-target="#addDocument">
                                        <span><i class="fa fa-plus"></i></span>Add Document</a>

                                </div>
                            </div>
                            <p class="op-0">Load Invoice <br> (4 of 4)</p>
                        </div>
                    </div>

                    <div class="progress-row">
                        <div class="row justify-content-center align-items-center">
                            <div class="col-xl-4 pr-xl-5">
                                <div class="progress-box ml-auto">
                                    <div class="d-flex justify-content-between mb-2">
                                        <p class="mb-0">Documents Received (1 of 4)</p>
                                        <span>25%</span>
                                    </div>
                                    <div class="progress my-0">
                                        <div class="progress-bar" role="progressbar" style="width: 25%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-auto">
                                <div class="d-flex justify-content-center">
                                    <a href=" #" class="btn btn-blueBr">Reject</a>
                                    <a href="#" class="btn btn-blue">Approve</a>
                                    <div class="dropdown">
                                        <a class="btn btn-blueBr dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-expanded="false"></a>
                                        <ul class="dropdown-menu dropdown-menu-right">
                                            <li><a class="dropdown-item active" href="#">Select</a></li>
                                            <li><a class="dropdown-item" href="#">Mark as Received (Original)</a></li>
                                            <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#requestDocument">Request Document</a></li>
                                            <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#uploadBilling">Upload</a></li>
                                            <li><a class="dropdown-item" href="#">Print</a></li>
                                            <li><a class="dropdown-item" href="#">Save</a></li>
                                            <li><a class="dropdown-item disabled" href="#">Revert Approval</a></li>
                                            <li><a class="dropdown-item disabled" href="#">Revert Invoicing</a></li>
                                            <li><a class="dropdown-item disabled" href="#">Revert Rejection</a></li>
                                        </ul>
                                    </div>

                                </div>
                            </div>
                            <div class="col-xl-4 pl-xl-5">
                                <div class="progress-box">
                                    <div class="d-flex justify-content-between mb-2">
                                        <p class="mb-0">Audit Complete (0 of 4)</p>
                                        <span>0%</span>
                                    </div>
                                    <div class="progress my-0">
                                        <div class="progress-bar" role="progressbar" style="width: 0%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="table-responsive">
                        <table id="billing-table" class="table  nowrap w-100">
                            <thead>
                                <tr>
                                    <th></th>
                                    <th></th>
                                    <th>Load <i class="fa fa-filter columnFilter table_vendors_id_string ml-2" data-modal="SearchByStringModalid"></i></th>
                                    <th>Customer <i class="fa fa-filter columnFilter table_vendors_id_string ml-2" data-modal="SearchByStringModalid"></i></th>
                                    <th>Pickup Date <i class="fa fa-filter columnFilter table_vendors_id_string ml-2" data-modal="SearchByStringModalid"></i></th>
                                    <th>Origin <i class="fa fa-filter columnFilter table_vendors_id_string ml-2" data-modal="SearchByStringModalid"></i></th>
                                    <th>Delivery Date <i class="fa fa-filter columnFilter table_vendors_id_string ml-2" data-modal="SearchByStringModalid"></i></th>
                                    <th>Destination <i class="fa fa-filter columnFilter table_vendors_id_string ml-2" data-modal="SearchByStringModalid"></i></th>
                                    <th>Status <i class="fa fa-filter columnFilter table_vendors_id_string ml-2" data-modal="SearchByStringModalid"></i></th>
                                    <th>Rate <i class="fa fa-filter columnFilter table_vendors_id_string ml-2" data-modal="SearchByStringModalid"></i></th>
                                    <th>Type <i class="fa fa-filter columnFilter table_vendors_id_string ml-2" data-modal="SearchByStringModalid"></i></th>
                                    <th>Documents <i class="fa fa-filter columnFilter table_vendors_id_string ml-2" data-modal="SearchByStringModalid"></i></th>
                                    <th>Review <i class="fa fa-filter columnFilter table_vendors_id_string ml-2" data-modal="SearchByStringModalid"></i></th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">Audit</a></td>
                                    <td class="align-middle"><a href="#" class="arrow-down-btn"><img src="{{ asset('theme/images/arrow-dropdown-circle.svg') }}" alt="" class="img-fluid"></a></td>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">DTL40323</a></td>
                                    <td class="align-middle">MEGACORP</td>
                                    <td class="align-middle">09/09/2023 12:00 EDT</td>
                                    <td class="align-middle">Groveport, OH</td>
                                    <td class="align-middle">09/09/2023 12:00 EDT</td>
                                    <td class="align-middle">Chelmsford, MA</td>
                                    <td class="align-middle">Confirmed</td>
                                    <td class="align-middle">$ 1,315.60</td>
                                    <td class="align-middle">Factored</td>
                                    <td class="align-middle"><i class="fa fa-file-text-o text-danger" aria-hidden="true"></i></td>
                                    <td class="align-middle">In Review</td>
                                    <td class="align-middle"><a href="#" class="btn invoice-now-btn">Invoice Now</a></td>
                                </tr>
                                <!-- <tr>
                                    <td colspan="14" class="p-0">
                                        <div class="row justify-content-between align-items-top">
                                            <div class="col-lg-7">
                                                <div class="new-addLoad">
                                                    <div class="multi_step_form timeline-menu-vartical">
                                                        <div id="msform" class="">
                                                            <div class="d-flex">
                                                                <ul class=" " id="progressbar">
                                                                    <li id="preplaned" class="fill-active text-left">
                                                                        <div>
                                                                            <h4 class="mb-1 fs-12 fw-600">Delivered</h4>
                                                                            <span class="d-block fs-12 ">09/05/2023</span>
                                                                            <a href="javascript:void(0);">
                                                                            </a>
                                                                        </div>
                                                                    </li>
                                                                    <li id="sendToDriver" class="fill-active text-left">
                                                                        <div>
                                                                            <h4 class="mb-1 fs-12 fw-600">Paperwork Received</h4>
                                                                            <span class="d-block fs-12 ">09/05/2023</span>
                                                                            <a href="javascript:void(0);"></a>
                                                                        </div>
                                                                    </li>
                                                                    <li id="confirmed" class="fill-active text-left">
                                                                        <div>
                                                                            <h4 class="mb-1 fs-12 fw-600">Audit Completed</h4>
                                                                            <span class="d-block fs-12 ">09/05/2023</span>
                                                                            <a href="javascript:void(0);"></a>
                                                                        </div>
                                                                    </li>
                                                                    <li id="inTransit" class="fill-active text-left">
                                                                        <div>
                                                                            <h4 class="mb-1 fs-12 fw-600">Invoiced</h4>
                                                                            <span class="d-block fs-12 ">09/05/2023</span>
                                                                            <a href="javascript:void(0);"></a>
                                                                        </div>
                                                                    </li>
                                                                    <li id="delivered" class="text-left">
                                                                        <div>
                                                                            <h4 class="mb-1 fs-12 fw-600">&nbsp;</h4>
                                                                            <span class="d-block fs-12 ">&nbsp;</span>
                                                                            <a href="javascript:void(0);"></a>
                                                                        </div>
                                                                    </li>
                                                                    <li id="readyToBill" class="text-left">
                                                                        <div>
                                                                            <h4 class="mb-1 fs-12 fw-600">&nbsp;</h4>
                                                                            <span class="d-block fs-12 ">&nbsp;</span>
                                                                            <a href="javascript:void(0);"></a>
                                                                        </div>
                                                                    </li>
                                                                    <li id="Unpaid-bill" class="text-left">
                                                                        <div>
                                                                            <h4 class="mb-1 fs-12 fw-600">&nbsp;</h4>
                                                                            <span class="d-block fs-12 ">&nbsp;</span>
                                                                            <a href="javascript:void(0);" class="fs-12 fw-600">
                                                                                Unpaid
                                                                            </a>
                                                                        </div>
                                                                    </li>

                                                                </ul>

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-2">
                                                <div class="receive-payment-box-billing">
                                                    <a href="#" class="btn btn-blue w-100">Receive Payment</a>

                                                    <div class="row justify-content-between align-items-center">
                                                        <div class="col-auto">
                                                            <p class="text-center fs-14 fw-600 mb-1">Days To Invoice</p>
                                                            <h5>3</h5>
                                                        </div>
                                                        <div class="col-auto">
                                                            <p class="text-center fs-14 fw-600 mb-1">Days to Pay</p>
                                                            <h5>1</h5>
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-5">
                                                <div class="invoice-breakdown-content">
                                                    <div class="row d-flex align-items-center justify-content-between">
                                                        <div class="col-auto">
                                                            <h5 class="fs-14 fw-bold">Invoice Breakdown</h5>
                                                        </div>
                                                        <div class="col-auto">
                                                            <ul class="nav">
                                                                <li class="navbar-item pt-0">
                                                                    <a href="#" class="text-theme-color fs-12 fw-600"><img src="{{ asset('theme/images/invoice-icon.svg') }}" alt="icon" class="img-fluid mr-2">View Invoice</a>
                                                                </li>
                                                                <li class="navbar-item pt-0"><label class=" fs-12 fw-600 mb-0">Status:</label> <a href="#" class="ml-1 badge-lite-grey">Invoice Now</a> </li>
                                                                <li class="navbar-item pt-0"><label class=" fs-12 fw-600 mb-0">Factored:</label><span class="badge badge-success ml-1">Yes</span></li>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                    <div class="lane-rates-tables">
                                                        <div class="table-responsive overflow-y-visible">
                                                            <table id="invoice-breakdown-table" class="table dataTable-th-white nowrap w-100 m-0 table-action">
                                                                <thead>
                                                                    <tr>
                                                                        <th>Description</th>
                                                                        <th>Qty</th>
                                                                        <th>Rate</th>
                                                                        <th>Amount</th>
                                                                    </tr>
                                                                </thead>
                                                                <tbody class="border-bottom">
                                                                    <tr>
                                                                        <td class="">Linehaul</td>
                                                                        <td class="">1</td>
                                                                        <td class="">$ 850.00</td>
                                                                        <td class="">$ 850.00</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="">Fuel Surcharge</td>
                                                                        <td class="">385</td>
                                                                        <td class="">$ .56</td>
                                                                        <td class="">$ 215.60</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="">Detention</td>
                                                                        <td class="">1</td>
                                                                        <td class="">$ 125.00</td>
                                                                        <td class="">$ 125.00</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="">Layover</td>
                                                                        <td class="">1</td>
                                                                        <td class="">$ 250.00</td>
                                                                        <td class="">$ 250.00</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="">Tarp Pay</td>
                                                                        <td class="">1</td>
                                                                        <td class="">$ 75.00</td>
                                                                        <td class="">$ 75.00</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="">Late (Fee)</td>
                                                                        <td class="">1</td>
                                                                        <td class="">($200.00)</td>
                                                                        <td class="">($200.00)</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="">Linehaul</td>
                                                                        <td class="">1</td>
                                                                        <td class="">$ 850.00</td>
                                                                        <td class="">$ 850.00</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="">Fuel Surcharge</td>
                                                                        <td class="">385</td>
                                                                        <td class="">$ .56</td>
                                                                        <td class="">$ 215.60</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="">Detention</td>
                                                                        <td class="">1</td>
                                                                        <td class="">$ 125.00</td>
                                                                        <td class="">$ 125.00</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="">Layover</td>
                                                                        <td class="">1</td>
                                                                        <td class="">$ 250.00</td>
                                                                        <td class="">$ 250.00</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="">Tarp Pay</td>
                                                                        <td class="">1</td>
                                                                        <td class="">$ 75.00</td>
                                                                        <td class="">$ 75.00</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="">Late (Fee)</td>
                                                                        <td class="">1</td>
                                                                        <td class="">($200.00)</td>
                                                                        <td class="">($200.00)</td>
                                                                    </tr>
                                                                </tbody>
                                                                <tfoot>
                                                                    <tr>
                                                                        <th></th>
                                                                        <th></th>
                                                                        <th class="fs-12">Total</th>
                                                                        <th class="fs-12">$ 1,315.60</th>
                                                                    </tr>
                                                                    <tr class="lite-grey">
                                                                        <th colspan="4">
                                                                            <ul class="nav justify-content-center">
                                                                                <li class="navbar-item fw-500 modal-blue">
                                                                                    <label class="fs-14 fw-600 text-dark">Amount Paid:</label>0
                                                                                </li>
                                                                                <li class="navbar-item fw-500 modal-blue">
                                                                                    <label class="fs-14 fw-600 text-dark">Balance:</label>$ 1,315.60
                                                                                </li>
                                                                            </ul>
                                                                        </th>
                                                                    </tr>
                                                                </tfoot>
                                                            </table>
                                                        </div>
                                                    </div>


                                                </div>
                                            </div>
                                            <div class="col-lg-7">
                                                <div class="invoice-breakdown-content pl-lg-5">
                                                    <div class="row d-flex align-items-top justify-content-between mb-3">
                                                        <div class="col-auto">
                                                            <nav class="inner-navtabs  pb-0">
                                                                <ul class="nav nav-pills " id="pills-tab" role="tablist">
                                                                    <li class="nav-item m-0 pt-0" role="presentation">
                                                                        <a href="#collections-history-tab-content" id="collections-history-tab" data-toggle="pill" role="tab" aria-controls="collections-history" aria-selected="true" class="fs-14">Collections History</a>
                                                                    </li>
                                                                    <li class="nav-item m-0 pt-0" role="presentation">
                                                                        <a href="#reminder-history-content" id="reminder-history-tab" data-toggle="pill" role="tab" aria-controls="reminder-history" aria-selected="true" class="active fs-14">Reminder History</a>
                                                                    </li>
                                                                </ul>
                                                            </nav>

                                                        </div>
                                                        <div class="col-auto">
                                                            <ul class="nav">
                                                                <li class="navbar-item pt-0">
                                                                    <a href="#" class="text-theme-color fs-12 fw-600">Add Note +</a>
                                                                </li>
                                                                <li class="navbar-item pt-0">
                                                                    <a href="#" class="text-theme-color fs-12 fw-600">Set Reminder <i class="fa fa-calendar" aria-hidden="true"></i></a>
                                                                </li>
                                                            </ul>
                                                        </div>
                                                    </div>

                                                    <div class="tab-content" id="myTabContent">
                                                        <div class="tab-pane fade" id="collections-history-tab-content" role="tabpanel" aria-labelledby="collections-history-tab">
                                                            <div class="lane-rates-tables">
                                                                <div class="table-responsive">
                                                                    <table id="collections-history-table" class="table dataTable-th-white nowrap w-100 m-0 table-action">
                                                                        <thead>
                                                                            <tr>
                                                                                <th>Date</th>
                                                                                <th>Time</th>
                                                                                <th>Reminder</th>
                                                                                <th>Repeat</th>
                                                                                <th>CC</th>
                                                                                <th>Instruction</th>
                                                                                <th>Created On</th>
                                                                                <th>Created By</th>
                                                                            </tr>
                                                                        </thead>
                                                                        <tbody class="border-bottom">
                                                                            <tr>
                                                                                <td class="">01/01/2023</td>
                                                                                <td class="">0400 PM</td>
                                                                                <td class="">1 Week</td>
                                                                                <td class="">Off</td>
                                                                                <td class=""></td>
                                                                                <td class="">Call Billing Department</td>
                                                                                <td class="">12/15/2023</td>
                                                                                <td class="">Christian Snead</td>
                                                                            </tr>
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="tab-pane fade show active" id="reminder-history-content" role="tabpanel" aria-labelledby="reminder-history-tab">
                                                            <div class="lane-rates-tables">
                                                                <div class="table-responsive">
                                                                    <table id="reminder-history-table" class="table dataTable-th-white nowrap w-100 m-0 table-action">
                                                                        <thead>
                                                                            <tr>
                                                                                <th>Date</th>
                                                                                <th>Time</th>
                                                                                <th>Reminder</th>
                                                                                <th>Repeat</th>
                                                                                <th>CC</th>
                                                                                <th>Instruction</th>
                                                                                <th>Created On</th>
                                                                                <th>Created By</th>
                                                                                <th></th>

                                                                            </tr>
                                                                        </thead>
                                                                        <tbody class="border-bottom">
                                                                            <tr>
                                                                                <td class="">01/01/2023</td>
                                                                                <td class="">0400 PM</td>
                                                                                <td class="">1 Week</td>
                                                                                <td class="">Off</td>
                                                                                <td class=""></td>
                                                                                <td class="">Call Billing Department</td>
                                                                                <td class="">12/15/2023</td>
                                                                                <td class="">Christian Snead</td>
                                                                                <td class="">
                                                                                    <div class="d-flex">
                                                                                        <a href="#" class="mx-2 text-theme-color">
                                                                                            <i class="fa fa-eye" aria-hidden="true"></i>
                                                                                        </a>
                                                                                        <a href="#" class="mx-2 text-theme-color">
                                                                                            <i class="fa fa-pencil" aria-hidden="true"></i>
                                                                                        </a>
                                                                                        <a href="#" class="mx-2 text-theme-color">
                                                                                            <i class="fa fa-refresh" aria-hidden="true"></i>
                                                                                        </a>
                                                                                        <a href="#" class="mx-2 text-theme-color">
                                                                                            <i class="fa fa-trash" aria-hidden="true"></i>
                                                                                        </a>
                                                                                    </div>
                                                                                </td>
                                                                            </tr>
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="lane-rates-tables mt-2 pt-1">
                                                    <div class="table-responsive overflow-y-visible">
                                                        <table id="lane-rates-tab-table" class="table nowrap w-100 m-0">
                                                            <thead class="bg-transparent border-bottom">
                                                                <tr>
                                                                    <th class="border-bottom">Type</th>
                                                                    <th class="border-bottom">Stop No</th>
                                                                    <th class="border-bottom">Upload Date/ Time</th>
                                                                    <th class="border-bottom">Upload Type</th>
                                                                    <th class="border-bottom">Upload By</th>
                                                                    <th class="border-bottom text-center">Include w/Billing</th>
                                                                    <th class="border-bottom text-center">Doc. Received</th>
                                                                    <th class="border-bottom text-center">Review</th>
                                                                    <th class="border-bottom">Audit By</th>
                                                                    <th class="border-bottom"></th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <tr>
                                                                    <td class=""><a href="#" class="text-theme-color text-underline">Invoice</a></td>
                                                                    <td class="">Load</td>
                                                                    <td class="">09/01/2023 0800 PM</td>
                                                                    <td class="">Mobile</td>
                                                                    <td class="">Christian Snead</td>
                                                                    <td class="">
                                                                        <div class="form-check p-0 only-checkbox">
                                                                            <input class="form-check-input" type="checkbox" id="same-as-dispatcher-1" name="same_as_dispatcher" value="1">
                                                                            <label class="form-check-label" for="same-as-dispatcher-1"></label>
                                                                        </div>
                                                                    </td>
                                                                    <td class="text-center"><i class="fa fa-file-text-o text-success fs-18" aria-hidden="true"></i></td>
                                                                    <td class="text-center"><a href="#" class="btn bg-success text-white">Approved<i class="fa fa-check ml-1" aria-hidden="true"></i></a></td>
                                                                    <td class="">Joy Bailey</td>
                                                                    <td class="">
                                                                        <div class="d-flex justify-content-end">
                                                                            <a href="#" class="text-theme-color btn-link mx-1 font-weight-normal text-underline">Review</a>
                                                                            |
                                                                            <a href="#" class="text-theme-color btn-link mx-1 font-weight-normal text-underline">Request Doc</a>
                                                                            <div class="dropdown">
                                                                                <a class="btn btn-link dropdown-toggle p-0 ml-2 text-theme-color" href="#" role="button" data-toggle="dropdown" aria-expanded="false"></a>
                                                                                <ul class="dropdown-menu dropdown-menu-right">
                                                                                    <li><a class="dropdown-item active" href="#">Select</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Mark as Received (Original)</a></li>
                                                                                    <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#requestDocument">Revert as Received (Original)</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Request Document</a></li>
                                                                                    <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#uploadBilling">Upload</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Print</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Save</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Send Via Email</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Send Via SMS</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Approval</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Invoicing</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Rejection</a></li>
                                                                                </ul>
                                                                            </div>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td class=""><a href="#" class="text-theme-color text-underline">Rate Confirmation</a></td>
                                                                    <td class="">Load</td>
                                                                    <td class="">09/01/2023 0800 PM</td>
                                                                    <td class="">Mobile</td>
                                                                    <td class="">Christian Snead</td>
                                                                    <td class="">
                                                                        <div class="form-check p-0 only-checkbox">
                                                                            <input class="form-check-input" type="checkbox" id="same-as-dispatcher-1" name="same_as_dispatcher" value="1">
                                                                            <label class="form-check-label" for="same-as-dispatcher-1"></label>
                                                                        </div>
                                                                    </td>
                                                                    <td class="text-center"><i class="fa fa-file-text-o text-danger fs-18" aria-hidden="true"></i></td>
                                                                    <td class="text-center"><a href="#" class="btn bg-danger text-white">Pending</a></td>
                                                                    <td class="">Joy Bailey</td>
                                                                    <td class="">
                                                                        <div class="d-flex justify-content-end">
                                                                            <a href="#" class="text-theme-color btn-link mx-1 font-weight-normal text-underline">Review</a>
                                                                            |
                                                                            <a href="#" class="text-theme-color btn-link mx-1 font-weight-normal text-underline">Request Doc</a>
                                                                            <div class="dropdown">
                                                                                <a class="btn btn-link dropdown-toggle p-0 ml-2 text-theme-color" href="#" role="button" data-toggle="dropdown" aria-expanded="false"></a>
                                                                                <ul class="dropdown-menu dropdown-menu-right">
                                                                                    <li><a class="dropdown-item active" href="#">Select</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Mark as Received (Original)</a></li>
                                                                                    <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#requestDocument">Revert as Received (Original)</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Request Document</a></li>
                                                                                    <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#uploadBilling">Upload</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Print</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Save</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Send Via Email</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Send Via SMS</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Approval</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Invoicing</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Rejection</a></li>
                                                                                </ul>
                                                                            </div>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td class=""><a href="#" class="text-theme-color text-underline">Bill of Lading</a></td>
                                                                    <td class="">Load</td>
                                                                    <td class="">09/01/2023 0800 PM</td>
                                                                    <td class="">Mobile</td>
                                                                    <td class="">Christian Snead</td>
                                                                    <td class="">
                                                                        <div class="form-check p-0 only-checkbox">
                                                                            <input class="form-check-input" type="checkbox" id="same-as-dispatcher-1" name="same_as_dispatcher" value="1">
                                                                            <label class="form-check-label" for="same-as-dispatcher-1"></label>
                                                                        </div>
                                                                    </td>
                                                                    <td class="text-center"><i class="fa fa-file-text-o text-success fs-18" aria-hidden="true"></i></td>
                                                                    <td class="text-center"><a href="#" class="btn bg-success text-white">Approved<i class="fa fa-check ml-1" aria-hidden="true"></i></a></td>
                                                                    <td class="">Joy Bailey</td>
                                                                    <td class="">
                                                                        <div class="d-flex justify-content-end">
                                                                            <a href="#" class="text-theme-color btn-link mx-1 font-weight-normal text-underline">Review</a>
                                                                            |
                                                                            <a href="#" class="text-theme-color btn-link mx-1 font-weight-normal text-underline">Request Doc</a>
                                                                            <div class="dropdown">
                                                                                <a class="btn btn-link dropdown-toggle p-0 ml-2 text-theme-color" href="#" role="button" data-toggle="dropdown" aria-expanded="false"></a>
                                                                                <ul class="dropdown-menu dropdown-menu-right">
                                                                                    <li><a class="dropdown-item active" href="#">Select</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Mark as Received (Original)</a></li>
                                                                                    <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#requestDocument">Revert as Received (Original)</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Request Document</a></li>
                                                                                    <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#uploadBilling">Upload</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Print</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Save</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Send Via Email</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Send Via SMS</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Approval</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Invoicing</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Rejection</a></li>
                                                                                </ul>
                                                                            </div>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td class=""><a href="#" class="text-theme-color text-underline">Bill of Lading</a></td>
                                                                    <td class="">Load</td>
                                                                    <td class="">09/01/2023 0800 PM</td>
                                                                    <td class="">Mobile</td>
                                                                    <td class="">Christian Snead</td>
                                                                    <td class="">
                                                                        <div class="form-check p-0 only-checkbox">
                                                                            <input class="form-check-input" type="checkbox" id="same-as-dispatcher-1" name="same_as_dispatcher" value="1">
                                                                            <label class="form-check-label" for="same-as-dispatcher-1"></label>
                                                                        </div>
                                                                    </td>
                                                                    <td class="text-center"><i class="fa fa-file-text-o text-success fs-18" aria-hidden="true"></i></td>
                                                                    <td class="text-center"><a href="#" class="btn bg-success text-white">Approved<i class="fa fa-check ml-1" aria-hidden="true"></i></a></td>
                                                                    <td class="">Joy Bailey</td>
                                                                    <td class="">
                                                                        <div class="d-flex justify-content-end">
                                                                            <a href="#" class="text-theme-color btn-link mx-1 font-weight-normal text-underline">Review</a>
                                                                            |
                                                                            <a href="#" class="text-theme-color btn-link mx-1 font-weight-normal text-underline">Request Doc</a>
                                                                            <div class="dropdown">
                                                                                <a class="btn btn-link dropdown-toggle p-0 ml-2 text-theme-color" href="#" role="button" data-toggle="dropdown" aria-expanded="false"></a>
                                                                                <ul class="dropdown-menu dropdown-menu-right">
                                                                                    <li><a class="dropdown-item active" href="#">Select</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Mark as Received (Original)</a></li>
                                                                                    <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#requestDocument">Revert as Received (Original)</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Request Document</a></li>
                                                                                    <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#uploadBilling">Upload</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Print</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Save</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Send Via Email</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Send Via SMS</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Approval</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Invoicing</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Rejection</a></li>
                                                                                </ul>
                                                                            </div>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td class=""><a href="#" class="text-theme-color text-underline">Lumper</a></td>
                                                                    <td class="">Load</td>
                                                                    <td class="">09/01/2023 0800 PM</td>
                                                                    <td class="">Mobile</td>
                                                                    <td class="">Christian Snead</td>
                                                                    <td class="">
                                                                        <div class="form-check p-0 only-checkbox">
                                                                            <input class="form-check-input" type="checkbox" id="same-as-dispatcher-1" name="same_as_dispatcher" value="1">
                                                                            <label class="form-check-label" for="same-as-dispatcher-1"></label>
                                                                        </div>
                                                                    </td>
                                                                    <td class="text-center"><i class="fa fa-file-text-o text-success fs-18" aria-hidden="true"></i></td>
                                                                    <td class="text-center"><a href="#" class="btn bg-success text-white">Approved<i class="fa fa-check ml-1" aria-hidden="true"></i></a></td>
                                                                    <td class="">Joy Bailey</td>
                                                                    <td class="">
                                                                        <div class="d-flex justify-content-end">
                                                                            <a href="#" class="text-theme-color btn-link mx-1 font-weight-normal text-underline">Review</a>
                                                                            |
                                                                            <a href="#" class="text-theme-color btn-link mx-1 font-weight-normal text-underline">Request Doc</a>
                                                                            <div class="dropdown">
                                                                                <a class="btn btn-link dropdown-toggle p-0 ml-2 text-theme-color" href="#" role="button" data-toggle="dropdown" aria-expanded="false"></a>
                                                                                <ul class="dropdown-menu dropdown-menu-right">
                                                                                    <li><a class="dropdown-item active" href="#">Select</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Mark as Received (Original)</a></li>
                                                                                    <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#requestDocument">Revert as Received (Original)</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Request Document</a></li>
                                                                                    <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#uploadBilling">Upload</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Print</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Save</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Send Via Email</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Send Via SMS</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Approval</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Invoicing</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Rejection</a></li>
                                                                                </ul>
                                                                            </div>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td class=""><a href="#" class="text-theme-color text-underline">Bill of Lading</a></td>
                                                                    <td class="">Load</td>
                                                                    <td class="">09/01/2023 0800 PM</td>
                                                                    <td class="">Mobile</td>
                                                                    <td class="">Christian Snead</td>
                                                                    <td class="">
                                                                        <div class="form-check p-0 only-checkbox">
                                                                            <input class="form-check-input" type="checkbox" id="same-as-dispatcher-1" name="same_as_dispatcher" value="1">
                                                                            <label class="form-check-label" for="same-as-dispatcher-1"></label>
                                                                        </div>
                                                                    </td>
                                                                    <td class="text-center"><i class="fa fa-file-text-o text-success fs-18" aria-hidden="true"></i></td>
                                                                    <td class="text-center"><a href="#" class="btn bg-success text-white">Approved<i class="fa fa-check ml-1" aria-hidden="true"></i></a></td>
                                                                    <td class="">Joy Bailey</td>
                                                                    <td class="">
                                                                        <div class="d-flex justify-content-end">
                                                                            <a href="#" class="text-theme-color btn-link mx-1 font-weight-normal text-underline">Review</a>
                                                                            |
                                                                            <a href="#" class="text-theme-color btn-link mx-1 font-weight-normal text-underline">Request Doc</a>
                                                                            <div class="dropdown">
                                                                                <a class="btn btn-link dropdown-toggle p-0 ml-2 text-theme-color" href="#" role="button" data-toggle="dropdown" aria-expanded="false"></a>
                                                                                <ul class="dropdown-menu dropdown-menu-right">
                                                                                    <li><a class="dropdown-item active" href="#">Select</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Mark as Received (Original)</a></li>
                                                                                    <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#requestDocument">Revert as Received (Original)</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Request Document</a></li>
                                                                                    <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#uploadBilling">Upload</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Print</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Save</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Send Via Email</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Send Via SMS</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Approval</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Invoicing</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Rejection</a></li>
                                                                                </ul>
                                                                            </div>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td class=""><a href="#" class="text-theme-color text-underline">Lumper</a></td>
                                                                    <td class="">Load</td>
                                                                    <td class="">09/01/2023 0800 PM</td>
                                                                    <td class="">Mobile</td>
                                                                    <td class="">Christian Snead</td>
                                                                    <td class="">
                                                                        <div class="form-check p-0 only-checkbox">
                                                                            <input class="form-check-input" type="checkbox" id="same-as-dispatcher-1" name="same_as_dispatcher" value="1">
                                                                            <label class="form-check-label" for="same-as-dispatcher-1"></label>
                                                                        </div>
                                                                    </td>
                                                                    <td class="text-center"><i class="fa fa-file-text-o text-danger fs-18" aria-hidden="true"></i></td>
                                                                    <td class="text-center"><a href="#" class="btn bg-danger text-white">Pending</a></td>
                                                                    <td class="">Joy Bailey</td>
                                                                    <td class="">
                                                                        <div class="d-flex justify-content-end text-theme-color">
                                                                            <a href="#" class="text-theme-color btn-link mx-1 font-weight-normal text-underline">Review</a>
                                                                            |
                                                                            <a href="#" class="text-theme-color btn-link mx-1 font-weight-normal text-underline">Request Doc</a>
                                                                            <div class="dropdown">
                                                                                <a class="btn btn-link dropdown-toggle p-0 ml-2 text-theme-color" href="#" role="button" data-toggle="dropdown" aria-expanded="false"></a>
                                                                                <ul class="dropdown-menu dropdown-menu-right">
                                                                                    <li><a class="dropdown-item active" href="#">Select</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Mark as Received (Original)</a></li>
                                                                                    <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#requestDocument">Revert as Received (Original)</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Request Document</a></li>
                                                                                    <li><a class="dropdown-item" href="#" data-toggle="modal" data-target="#uploadBilling">Upload</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Print</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Save</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Send Via Email</a></li>
                                                                                    <li><a class="dropdown-item" href="#">Send Via SMS</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Approval</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Invoicing</a></li>
                                                                                    <li><a class="dropdown-item disabled" href="#">Revert Rejection</a></li>
                                                                                </ul>
                                                                            </div>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr> -->


                                <tr>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">Audit</a></td>
                                    <td class="align-middle"><a href="#" class="arrow-down-btn"><img src="{{ asset('theme/images/arrow-dropdown-circle.svg') }}" alt="" class="img-fluid"></a></td>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">DTL-40341</a></td>
                                    <td class="align-middle">AVENUE LOGISTICS INC.</td>
                                    <td class="align-middle">09/11/2023 15:00 EDT</td>
                                    <td class="align-middle">Counce, TN</td>
                                    <td class="align-middle">09/11/2023 15:00 EDT</td>
                                    <td class="align-middle">Louisville, KY</td>
                                    <td class="align-middle">In Transit</td>
                                    <td class="align-middle">$ 1,200.00</td>
                                    <td class="align-middle">Direct Bill</td>
                                    <td class="align-middle"><i class="fa fa-file-text-o text-success" aria-hidden="true"></i></td>
                                    <td class="align-middle">Complete</td>
                                    <td class="align-middle"><a href="#" class="btn invoice-now-btn bg-success text-white">Invoice Now</a></td>
                                </tr>
                                <tr>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">Audit</a></td>
                                    <td class="align-middle"><a href="#" class="arrow-down-btn"><img src="{{ asset('theme/images/arrow-dropdown-circle.svg') }}" alt="" class="img-fluid"></a></td>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">DTL-40341</a></td>
                                    <td class="align-middle">AVENUE LOGISTICS INC.</td>
                                    <td class="align-middle">09/11/2023 15:00 EDT</td>
                                    <td class="align-middle">Counce, TN</td>
                                    <td class="align-middle">09/11/2023 15:00 EDT</td>
                                    <td class="align-middle">Louisville, KY</td>
                                    <td class="align-middle">In Transit</td>
                                    <td class="align-middle">$ 1,200.00</td>
                                    <td class="align-middle">Direct Bill</td>
                                    <td class="align-middle"><i class="fa fa-file-text-o text-danger" aria-hidden="true"></i></td>
                                    <td class="align-middle">In Review</td>
                                    <td class="align-middle"><a href="#" class="btn invoice-now-btn">Invoice Now</a></td>

                                </tr>
                                <tr>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">Audit</a></td>
                                    <td class="align-middle"><a href="#" class="arrow-down-btn"><img src="{{ asset('theme/images/arrow-dropdown-circle.svg') }}" alt="" class="img-fluid"></a></td>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">DTL-40341</a></td>
                                    <td class="align-middle">AVENUE LOGISTICS INC.</td>
                                    <td class="align-middle">09/11/2023 15:00 EDT</td>
                                    <td class="align-middle">Counce, TN</td>
                                    <td class="align-middle">09/11/2023 15:00 EDT</td>
                                    <td class="align-middle">Louisville, KY</td>
                                    <td class="align-middle">In Transit</td>
                                    <td class="align-middle">$ 1,200.00</td>
                                    <td class="align-middle">Direct Bill</td>
                                    <td class="align-middle"><i class="fa fa-file-text-o text-success" aria-hidden="true"></i></td>
                                    <td class="align-middle">Complete</td>
                                    <td class="align-middle"><a href="#" class="btn invoice-now-btn bg-success text-white">Invoice Now</a></td>

                                </tr>
                                <tr>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">Audit</a></td>
                                    <td class="align-middle"><a href="#" class="arrow-down-btn"><img src="{{ asset('theme/images/arrow-dropdown-circle.svg') }}" alt="" class="img-fluid"></a></td>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">DTL40323</a></td>
                                    <td class="align-middle">MEGACORP</td>
                                    <td class="align-middle">09/09/2023 12:00 EDT</td>
                                    <td class="align-middle">Groveport, OH</td>
                                    <td class="align-middle">09/09/2023 12:00 EDT</td>
                                    <td class="align-middle">Chelmsford, MA</td>
                                    <td class="align-middle">Confirmed</td>
                                    <td class="align-middle">$ 1,315.60</td>
                                    <td class="align-middle">Factored</td>
                                    <td class="align-middle"><i class="fa fa-file-text-o text-danger" aria-hidden="true"></i></td>
                                    <td class="align-middle">In Review</td>
                                    <td class="align-middle"><a href="#" class="btn invoice-now-btn">Invoice Now</a></td>
                                </tr>
                                <tr>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">Audit</a></td>
                                    <td class="align-middle"><a href="#" class="arrow-down-btn"><img src="{{ asset('theme/images/arrow-dropdown-circle.svg') }}" alt="" class="img-fluid"></a></td>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">DTL-40341</a></td>
                                    <td class="align-middle">AVENUE LOGISTICS INC.</td>
                                    <td class="align-middle">09/11/2023 15:00 EDT</td>
                                    <td class="align-middle">Counce, TN</td>
                                    <td class="align-middle">09/11/2023 15:00 EDT</td>
                                    <td class="align-middle">Louisville, KY</td>
                                    <td class="align-middle">In Transit</td>
                                    <td class="align-middle">$ 1,200.00</td>
                                    <td class="align-middle">Direct Bill</td>
                                    <td class="align-middle"><i class="fa fa-file-text-o text-success" aria-hidden="true"></i></td>
                                    <td class="align-middle">Complete</td>
                                    <td class="align-middle"><a href="#" class="btn invoice-now-btn bg-success text-white">Invoice Now</a></td>
                                </tr>
                                <tr>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">Audit</a></td>
                                    <td class="align-middle"><a href="#" class="arrow-down-btn"><img src="{{ asset('theme/images/arrow-dropdown-circle.svg') }}" alt="" class="img-fluid"></a></td>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">DTL-40341</a></td>
                                    <td class="align-middle">AVENUE LOGISTICS INC.</td>
                                    <td class="align-middle">09/11/2023 15:00 EDT</td>
                                    <td class="align-middle">Counce, TN</td>
                                    <td class="align-middle">09/11/2023 15:00 EDT</td>
                                    <td class="align-middle">Louisville, KY</td>
                                    <td class="align-middle">In Transit</td>
                                    <td class="align-middle">$ 1,200.00</td>
                                    <td class="align-middle">Direct Bill</td>
                                    <td class="align-middle"><i class="fa fa-file-text-o text-danger" aria-hidden="true"></i></td>
                                    <td class="align-middle">In Review</td>
                                    <td class="align-middle"><a href="#" class="btn invoice-now-btn">Invoice Now</a></td>

                                </tr>
                                <tr>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">Audit</a></td>
                                    <td class="align-middle"><a href="#" class="arrow-down-btn"><img src="{{ asset('theme/images/arrow-dropdown-circle.svg') }}" alt="" class="img-fluid"></a></td>
                                    <td class="align-middle"><a href="#" class="text-theme-color text-underline">DTL-40341</a></td>
                                    <td class="align-middle">AVENUE LOGISTICS INC.</td>
                                    <td class="align-middle">09/11/2023 15:00 EDT</td>
                                    <td class="align-middle">Counce, TN</td>
                                    <td class="align-middle">09/11/2023 15:00 EDT</td>
                                    <td class="align-middle">Louisville, KY</td>
                                    <td class="align-middle">In Transit</td>
                                    <td class="align-middle">$ 1,200.00</td>
                                    <td class="align-middle">Direct Bill</td>
                                    <td class="align-middle"><i class="fa fa-file-text-o text-success" aria-hidden="true"></i></td>
                                    <td class="align-middle">Complete</td>
                                    <td class="align-middle"><a href="#" class="btn invoice-now-btn bg-success text-white">Invoice Now</a></td>

                                </tr>

                            </tbody>
                        </table>
                    </div>
                    <!-- <div class="border-top">
                        <div class="d-flex justify-content-end p-3">
                            <a href="#" class="btn btn-blue">Save & Continue</a>
                        </div>
                    </div> -->
                </div>
            </div>
            <div class="tab-pane fade" id="ready-to-bill-content" role="tabpanel" aria-labelledby="ready-to-bill-tab">Ready To Bill

            </div>
            <div class="tab-pane fade" id="missing-docs-content" role="tabpanel" aria-labelledby="missing-docs-tab">Missing Docs</div>
            <div class="tab-pane fade" id="on-hold-content" role="tabpanel" aria-labelledby="on-hold-tab">On Hold</div>
            <div class="tab-pane fade" id="invoiced-content" role="tabpanel" aria-labelledby="invoiced-tab">Invoiced</div>
        </div>
    </div>
</div>
<div class="modal  fade" id="requestDocument" tabindex="-1" role="dialog" aria-labelledby="requestDocumentModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl  modal-dialog-centered modal-blue modal-billingNew modal-docReq" role="document">
        <div class="modal-content">
            <div class="modal-header d-block">
                <div class="row justify-content-between">
                    <div class="col-auto">
                        <h5 class="modal-title" id="requestDocumentModalLabel">Documentation Request</h5>
                    </div>
                    <div class="col-auto">
                        <div class="d-flex align-items-center">
                            <label class="text-white mb-0">Load No. DAWS 7154854</label>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-body p-0">
                <div class="modal-padding">
                    <div class="mb-3">
                        <div class="row g-20">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Stop No.</label>
                                    <select class="form-control select2-selectModal ">
                                        <option value="Stop 1: Groveport, Delta Express, OH">Stop 1: Groveport, Delta Express, OH</option>
                                        <option value="aaa">aaa</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>Driver</label>
                                    <select class="form-control select2-selectModal ">
                                        <option value="Queensberry, Micheal">Queensberry, Micheal</option>
                                        <option value="aaa">aaa</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>Document Type</label>
                                    <select class="form-control select2-selectModal ">
                                        <option value="Lumper Receipt">Lumper Receipt</option>
                                        <option value="aaa">aaa</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>Request Via</label>
                                    <select class="form-control select2-selectModal ">
                                        <option value="Request Via">Request Via</option>
                                        <option value="aaa">aaa</option>
                                    </select>
                                </div>
                            </div>
                            <div class=" col-md-6">
                                <p class="address">Delta Express <br>115 East Main Street <br> Groveport, OH 92811</p>
                                <div class="form-group">
                                    <label>Instructions</label>
                                    <textarea class="form-control" rows="8" placeholder="Enter Notes"></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <button type="button" class="history-button">History <i class="fa fa-caret-down"></i></button>
                    <div class="table-responsive table-billingModal text-center">
                        <table>
                            <thead>
                                <tr>
                                    <th>Request No.</th>
                                    <th>Request Time/Date</th>
                                    <th>Upload Time/Date</th>
                                    <th>Requested By</th>
                                    <th>Requested To</th>
                                    <th>Uploaded By</th>
                                    <th>Upload Type</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>1</td>
                                    <td>08/23/2023 05:15 (EST)</td>
                                    <td>------</td>
                                    <td>Christian Snead</td>
                                    <td>Mike Pense</td>
                                    <td>------</td>
                                    <td>------</td>
                                </tr>
                                <tr>
                                    <td>2</td>
                                    <td>08/23/2023 05:15 (EST)</td>
                                    <td>------</td>
                                    <td>Christian Snead</td>
                                    <td>Mike Pense</td>
                                    <td>------</td>
                                    <td>------</td>
                                </tr>
                                <tr>
                                    <td>3</td>
                                    <td>08/23/2023 05:15 (EST)</td>
                                    <td>08/23/2023 05:15 (EST)</td>
                                    <td>Christian Snead</td>
                                    <td>Mike Pense</td>
                                    <td>Mike Pense</td>
                                    <td>Mike Pense</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal-footer d-block">
                <div class="row g-20 align-items-center">
                    <div class="col-sm-4  col-lg-2">
                        <div class=" form-check ">
                            <input type="checkbox" class="form-check-input" id="exampleCheck1">
                            <label class="form-check-label" for="exampleCheck1">Include w/Billing</label>
                        </div>
                    </div>
                    <div class="col-sm-4   col-lg"> <label>Created By:</label><span>aaa</span></div>
                    <div class="col-sm-4   col-lg"> <label>Created At:</label></div>
                    <div class="col-auto ml-auto"><button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button></div>
                    <div class="col-auto"><button type="button" class="btn btn-bluefill" data-dismiss="modal">Request</button></div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal  fade" id="uploadBilling" tabindex="-1" role="dialog" aria-labelledby="uploadBillingModalLabel" aria-hidden="true">
    <div class="modal-dialog   modal-dialog-centered modal-blue modal-billingNew modal-uploadBilling" role="document">
        <div class="modal-content">
            <!-- <div class="modal-header d-block">
                <h5 class="modal-title" id="uploadBillingModalLabel">Upload Document</h5>
            </div> -->
            <div class="modal-body p-3">
                <p class="modal-bodyTitle">Upload Document</p>
                <div class="mb-3">
                    <div class="row g-8New">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Document Name</label>
                                <input type="text" class="form-control" placeholder="Bill of Lading">
                            </div>
                        </div>
                        <div class=" col-md-6">
                            <div class="form-group">
                                <label>Stop Number</label>
                                <select class="form-control select2-selectModal ">
                                    <option value="Stop 99: Cocacola - Roanoke, VA">Stop 99: Cocacola - Roanoke, VA</option>
                                    <option value="aaa">aaa</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="uploadBilling-block">
                                <input type="file">
                                <img src="{{ asset('theme/img/uploadBilling.png') }}" alt="icon">Upload Documents
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row g-4 align-items-center">
                    <div class="col">
                        <div class=" form-check ">
                            <input type="checkbox" class="form-check-input" id="exampleCheck1">
                            <label class="form-check-label" for="exampleCheck1">Include w/Billing</label>
                        </div>
                    </div>
                    <div class="col-auto ml-auto"><button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button></div>
                    <div class="col-auto"><button type="button" class="btn btn-bluefill" data-dismiss="modal">Upload</button></div>

                </div>
            </div>

        </div>
    </div>
</div>
<div class="modal  fade" id="addDocument" tabindex="-1" role="dialog" aria-labelledby="addDocumentModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl  modal-dialog-centered modal-blue modal-billingNew modal-docReq" role="document">
        <div class="modal-content">
            <div class="modal-header d-block">
                <div class="row justify-content-between">
                    <div class="col-auto">
                        <h5 class="modal-title" id="addDocumentModalLabel">Add Documentation</h5>
                    </div>
                    <div class="col-auto">
                        <div class="d-flex align-items-center">
                            <label class="text-white mb-0">Load No. DAWS 7154854</label>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-body p-0">
                <div class="modal-padding">
                    <div class="billingNew-tab">
                        <ul class="nav nav-tabs" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" data-bs-toggle="tab" href="#tab1">Request</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-bs-toggle="tab" href="#tab2">Upload</a>
                            </li>
                        </ul>
                        <!-- Tab panes -->
                        <div class="tab-content">
                            <div id="tab1" class="tab-pane active">
                                <div class="mb-3">
                                    <div class="row g-20">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Stop No.</label>
                                                <select class="form-control select2-selectModal ">
                                                    <option value="Stop 1: Groveport, Delta Express, OH">Stop 1: Groveport, Delta Express, OH</option>
                                                    <option value="aaa">aaa</option>
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label>Driver</label>
                                                <select class="form-control select2-selectModal ">
                                                    <option value="Queensberry, Micheal">Queensberry, Micheal</option>
                                                    <option value="aaa">aaa</option>
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label>Document Type</label>
                                                <select class="form-control select2-selectModal ">
                                                    <option value="Lumper Receipt">Lumper Receipt</option>
                                                    <option value="aaa">aaa</option>
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label>Request Via</label>
                                                <select class="form-control select2-selectModal ">
                                                    <option value="Request Via">Request Via</option>
                                                    <option value="aaa">aaa</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class=" col-md-6">
                                            <p class="address">Delta Express <br>115 East Main Street <br> Groveport, OH 92811</p>
                                            <div class="form-group">
                                                <label>Instructions</label>
                                                <textarea class="form-control" rows="8" placeholder="Enter Notes"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <button type="button" class="history-button">History <i class="fa fa-caret-down"></i></button>
                                <div class="table-responsive table-billingModal text-center">
                                    <table>
                                        <thead>
                                            <tr>
                                                <th>Request No.</th>
                                                <th>Request Time/Date</th>
                                                <th>Upload Time/Date</th>
                                                <th>Requested By</th>
                                                <th>Requested To</th>
                                                <th>Uploaded By</th>
                                                <th>Upload Type</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>1</td>
                                                <td>08/23/2023 05:15 (EST)</td>
                                                <td>------</td>
                                                <td>Christian Snead</td>
                                                <td>Mike Pense</td>
                                                <td>------</td>
                                                <td>------</td>
                                            </tr>
                                            <tr>
                                                <td>2</td>
                                                <td>08/23/2023 05:15 (EST)</td>
                                                <td>------</td>
                                                <td>Christian Snead</td>
                                                <td>Mike Pense</td>
                                                <td>------</td>
                                                <td>------</td>
                                            </tr>
                                            <tr>
                                                <td>3</td>
                                                <td>08/23/2023 05:15 (EST)</td>
                                                <td>08/23/2023 05:15 (EST)</td>
                                                <td>Christian Snead</td>
                                                <td>Mike Pense</td>
                                                <td>Mike Pense</td>
                                                <td>Mike Pense</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            <div id="tab2" class="tab-pane">
                                <p class="modal-bodyTitle">Upload Document</p>
                                <div class="mb-3">
                                    <div class="row g-8New">
                                        <div class="col-lg-4 col-md-6">
                                            <div class="form-group">
                                                <label>Document Name</label>
                                                <input type="text" class="form-control" placeholder="Bill of Lading">
                                            </div>
                                        </div>
                                        <div class=" col-lg-4 col-md-6">
                                            <div class="form-group">
                                                <label>Stop Number</label>
                                                <select class="form-control select2-selectModal ">
                                                    <option value="Stop 99: Cocacola - Roanoke, VA">Stop 99: Cocacola - Roanoke, VA</option>
                                                    <option value="aaa">aaa</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="uploadBilling-block">
                                                <input type="file">
                                                <img src="{{ asset('theme/img/uploadBilling.png') }}" alt="icon">Upload Documents
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer d-block">
                    <div class="row g-20 align-items-center">
                        <div class="col-sm-4  col-lg-2">
                            <div class=" form-check ">
                                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                                <label class="form-check-label" for="exampleCheck1">Include w/Billing</label>
                            </div>
                        </div>
                        <div class="col-sm-4   col-lg"> <label>Created By:</label><span>aaa</span></div>
                        <div class="col-sm-4   col-lg"> <label>Created At:</label></div>
                        <div class="col-auto ml-auto"><button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button></div>
                        <div class="col-auto"><button type="button" class="btn btn-bluefill" data-dismiss="modal">Request</button></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('script')
<script src="{{ asset('theme/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('theme/js/dataTables.colReorder.js') }}"></script>
<script src="{{ asset('theme/js/dataTables.bootstrap4.min.js') }}"></script>
<script src="https://cdn.datatables.net/responsive/2.5.0/js/dataTables.responsive.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.5.0/js/responsive.bootstrap4.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.colVis.min.js"></script>
<script src="{{ asset('theme/js/slick.min.js') }}"></script>
<script src="{{ asset('theme/js/select2.full.min.js') }}"></script>


<script>
    // DataTable js
    $('#billing-table').DataTable({
        responsive: true,
        dom: "<'row mb-2 px-3 py-2  align-items-center' <'col-md-6'<'header'i>><'col-md-6 pr-3'<'row justify-content-end g-2' <'col-auto'f><'col-auto'l><'col-auto'B>>>>",
        // + "<'row'<'col-sm-12'tr>>" + "<'row'<'col-sm-12'p>>",
        oLanguage: {
            "sInfo": "Billing"
        },
        buttons: [
            'colvis', "refresh"
        ],
    });
    $('#requestDocument .select2-selectModal').select2({
        dropdownParent: $("#requestDocument")
    });
    $('#uploadBilling .select2-selectModal').select2({
        dropdownParent: $("#uploadBilling")
    });
    $('#addDocument .select2-selectModal').select2({
        dropdownParent: $("#addDocument")
    });
    $(".billingNew-slider ").slick({
        dots: false,
        infinite: false,
        arrows: true,
        slidesToShow: 1,
        slidesToScroll: 1,
        variableWidth: true,
        centerMode: true,
    });
    $(".history-button").click(function() {
        $(this).siblings(".table-responsive").slideToggle("slow");
        $(this).toggleClass("active");
    });
</script>
<script>
    // let table = new DataTable('#example');
    $('#invoice-breakdown-table').DataTable({
        info: false,
        paging: false,
        scrollCollapse: true,
        scrollX: true,
        scrollY: 252,
        "searching": false
    });


    $('#reminder-history-table').DataTable({
        info: false,
        paging: false,
        scrollCollapse: true,
        scrollX: true,
        scrollY: 340,
        "searching": false
    });
</script>
@endsection