@if($item->broker_accessorials->isNotEmpty())
	@foreach ($item->broker_accessorials as $key => $node)
		<tr>
		    <th scope="row">{{ ++$key }}</th>
		    <td>{{ $node->company_accessorial->name }}</td>
		    <td>{{ isset($node->rate)?'$'.number_format($node->rate, 2, '.', ','):''}}</td>
		    <td class="text-right">
		        <a
		        	class="accessorial-edit"
		        	href="javascript:void(0)"
		        	data-id="{{ $node->id }}"
		        	data-accessorial_id="{{ $node->company_accessorial_id }}"
		        	data-accessorial_name="{{ $node->company_accessorial->name ?? '' }}"
		        	data-default_amount="{{ $node->company_accessorial->default_amount ?? '' }}"
		        	data-rate="{{ $node->rate }}"
		        	data-note="{{ $node->note }}"
		        	data-toggle="tooltip"
		        	data-original-title="Edit">
		            <i class="fa fa-edit" aria-hidden="true"></i>
		        </a>&nbsp;
		        <a
		        	class="accessorial-delete"
		        	href="javascript:void(0)"
		        	data-action="{{ route('company.admin.brokers.accessorial.destroy') }}"
		        	data-id="{{ $node->id }}"
		        	data-toggle="tooltip"
		        	data-original-title="Edit">
		            <i class="fa fa-trash" aria-hidden="true"></i>
		        </a>
		    </td>
		</tr>
	@endforeach
@else
	<tr class="text-center">
		<td colspan="4">
			No data available in table
		</td>
	</tr>
@endif