@php
    $shipper_addresses                      = [];
@endphp
@if(isset($loadDetail->shipper_address_one) && $loadDetail->shipper_address_one!=='')
    @php
        $shipper_addresses[]                = $loadDetail->shipper_address_one;
    @endphp
@endif
@if(isset($loadDetail->shipper_address_two) && $loadDetail->shipper_address_two!=='')
    @php
        $shipper_addresses[]                = $loadDetail->shipper_address_two;
    @endphp
@endif
@if(isset($loadDetail->shipper_city) && $loadDetail->shipper_city!=='')
    @php
        $shipper_addresses[]                = $loadDetail->shipper_city;
    @endphp
@endif
@if(isset($loadDetail->shipper_state) && $loadDetail->shipper_state!=='')
    @php
        $shipper_addresses[]                = $loadDetail->shipper_state;
    @endphp
@endif
@if(isset($loadDetail->shipper_zip) && $loadDetail->shipper_zip!=='')
    @php
        $shipper_addresses[]                = $loadDetail->shipper_zip;
    @endphp
@endif
@php
    $shipper_addresses                      = implode(', ', $shipper_addresses);
    $is_arrived                             = $loadDetail->shipper_is_arrived;
    $arrived_at                             = $loadDetail->shipper_arrived_at;
    if(isset($arrived_at)){
        $arrived_at                         = convertTimeToUSERzone([
            'str'       => $arrived_at,
            'toFormat'  => getTimeLayout(),
            'fromFormat'=> 'Y-m-d H:i:s']
        ).' '.$getTimeZoneId;
    }
    $is_leaves                              = $loadDetail->shipper_is_leaves;
    $leaves_at                              = $loadDetail->shipper_leaves_at;
    if(isset($leaves_at)){
        $leaves_at                          = convertTimeToUSERzone([
            'str'       => $leaves_at,
            'toFormat'  => getTimeLayout(),
            'fromFormat'=> 'Y-m-d H:i:s']
        ).' '.$getTimeZoneId;
    }
@endphp
<div class="card">
    <div class="card-header" id="stopHeading1">
        <h2 class="mb-0">
            <button class="btn btn-link btn-block text-left collapsed"
                type="button" data-toggle="collapse"
                data-target="#stop1-collapse" aria-expanded="true"
                aria-controls="stop1-collapse">
                Stop 1 <div class="badge badge-theme">Pending</div>
                <i class="fa fa-angle-down" aria-hidden="true"></i>
            </button>
        </h2>
    </div>
    <div id="stop1-collapse" class="collapse" aria-labelledby="stopHeading1"
        data-parent="#stops_accrordion">
        <div class="card-body">
            <h6>Address: {{ $shipper_addresses }}</h6>
            @if($is_arrived=='1')
                <h6>Arrival: {{ $arrived_at }}</h6>
                <h6>Departure: {{ $leaves_at }}</h6>
            @else
                <h6 class="eta">ETA: <span></span></h6>
            @endif
        </div>
    </div>
</div>
@php
    $stop_no                                = 2;
@endphp
<!--  -->
@if(isset($loadDetail->loads))
    @php
        $load                               = $loadDetail->loads;
    @endphp
    @if($load->load_stops->isNotEmpty())
        @foreach ($load->load_stops as $key => $stop)
            @php
                $stop_addresses             = [];
            @endphp
            @if(isset($stop->address_one) && $stop->address_one!=='')
                @php
                    $stop_addresses[]       = $stop->address_one;
                @endphp
            @endif
            @if(isset($stop->address_two) && $stop->address_two!=='')
                @php
                    $stop_addresses[]       = $stop->address_two;
                @endphp
            @endif
            @if(isset($stop->city) && $stop->city!=='')
                @php
                    $stop_addresses[]       = $stop->city;
                @endphp
            @endif
            @if(isset($stop->state) && $stop->state!=='')
                @php
                    $stop_addresses[]       = $stop->state;
                @endphp
            @endif
            @if(isset($stop->zip) && $stop->zip!=='')
                @php
                    $stop_addresses[]       = $stop->zip;
                @endphp
            @endif
            @php
                $stop_addresses             = implode(', ', $stop_addresses);
                $is_arrived                 = $stop->is_arrived;
                $arrived_at                 = $stop->arrived_at;
                if(isset($arrived_at)){
                    $arrived_at             = convertTimeToUSERzone([
                        'str'       => $arrived_at,
                        'toFormat'  => getTimeLayout(),
                        'fromFormat'=> 'Y-m-d H:i:s']
                    ).' '.$getTimeZoneId;
                }
                $is_leaves                  = $stop->is_leaves;
                $leaves_at                  = $stop->leaves_at;
                if(isset($leaves_at)){
                    $leaves_at              = convertTimeToUSERzone([
                        'str'       => $leaves_at,
                        'toFormat'  => getTimeLayout(),
                        'fromFormat'=> 'Y-m-d H:i:s']
                    ).' '.$getTimeZoneId;
                }
            @endphp
            <div class="card">
                <div class="card-header" id="stopHeading{{ $stop_no }}">
                    <h2 class="mb-0">
                        <button class="btn btn-link btn-block text-left collapsed"
                            type="button" data-toggle="collapse"
                            data-target="#stop{{ $stop_no }}-collapse" aria-expanded="true"
                            aria-controls="stop{{ $stop_no }}-collapse">
                            Stop {{ $stop_no }} <div class="badge badge-theme">Pending</div>
                            <i class="fa fa-angle-down" aria-hidden="true"></i>
                        </button>
                    </h2>
                </div>
                <div id="stop{{ $stop_no }}-collapse" class="collapse" aria-labelledby="stopHeading{{ $stop_no }}"
                    data-parent="#stops_accrordion">
                    <div class="card-body">
                        <h6>Address: {{ $stop_addresses }}</h6>
                        @if($is_arrived=='1')
                            <h6>Arrival: {{ $arrived_at }}</h6>
                            <h6>Departure: {{ $leaves_at }}</h6>
                        @else
                            <h6 class="eta">ETA: <span></span></h6>
                        @endif
                    </div>
                </div>
            </div>
            @php
                ++$stop_no;
            @endphp
        @endforeach
    @endif
@endif
<!--  -->
@php
    $delivery_addresses                     = [];
@endphp
@if(isset($loadDetail->delivery_address_one) && $loadDetail->delivery_address_one!=='')
    @php
        $delivery_addresses[]               = $loadDetail->delivery_address_one;
    @endphp
@endif
@if(isset($loadDetail->delivery_address_two) && $loadDetail->delivery_address_two!=='')
    @php
        $delivery_addresses[]               = $loadDetail->delivery_address_two;
    @endphp
@endif
@if(isset($loadDetail->delivery_city) && $loadDetail->delivery_city!=='')
    @php
        $delivery_addresses[]               = $loadDetail->delivery_city;
    @endphp
@endif
@if(isset($loadDetail->delivery_state) && $loadDetail->delivery_state!=='')
    @php
        $delivery_addresses[]               = $loadDetail->delivery_state;
    @endphp
@endif
@if(isset($loadDetail->delivery_zip) && $loadDetail->delivery_zip!=='')
    @php
        $delivery_addresses[]               = $loadDetail->delivery_zip;
    @endphp
@endif
@php
    $delivery_addresses                     = implode(', ', $delivery_addresses);
    $is_arrived                             = $loadDetail->delivery_is_arrived;
    $arrived_at                             = $loadDetail->delivery_arrived_at;
    if(isset($arrived_at)){
        $arrived_at                         = convertTimeToUSERzone([
            'str'       => $arrived_at,
            'toFormat'  => getTimeLayout(),
            'fromFormat'=> 'Y-m-d H:i:s']
        ).' '.$getTimeZoneId;
    }
    $is_leaves                              = $loadDetail->delivery_is_leaves;
    $leaves_at                              = $loadDetail->delivery_leaves_at;
    if(isset($leaves_at)){
        $leaves_at                          = convertTimeToUSERzone([
            'str'       => $leaves_at,
            'toFormat'  => getTimeLayout(),
            'fromFormat'=> 'Y-m-d H:i:s']
        ).' '.$getTimeZoneId;
    }
@endphp
<div class="card">
    <div class="card-header" id="stopHeading{{ $stop_no }}">
        <h2 class="mb-0">
            <button class="btn btn-link btn-block text-left collapsed"
                type="button" data-toggle="collapse"
                data-target="#stop{{ $stop_no }}-collapse" aria-expanded="true"
                aria-controls="stop{{ $stop_no }}-collapse">
                Stop {{ $stop_no }} <div class="badge badge-theme">Pending</div>
                <i class="fa fa-angle-down" aria-hidden="true"></i>
            </button>
        </h2>
    </div>
    <div id="stop{{ $stop_no }}-collapse" class="collapse" aria-labelledby="stopHeading{{ $stop_no }}"
        data-parent="#stops_accrordion">
        <div class="card-body">
            <h6>Address: {{ $delivery_addresses }}</h6>
            @if($is_arrived=='1')
                <h6>Arrival: {{ $arrived_at }}</h6>
                <h6>Departure: {{ $leaves_at }}</h6>
            @else
                <h6 class="eta">ETA: <span></span></h6>
            @endif
        </div>
    </div>
</div>