<li class="row mb-0" style="margin-bottom: 20px;">
    <div class="col-7">
        <div class="d-flex align-items-center">
            <div class="form-check all-check">
                <input class="form-check-input" type="checkbox" id="select_all_display_option" value="1">
                <label class="form-check-label" for="select_all_display_option">Select All</label>
            </div>
        </div>
    </div>
    <div class="col-5">
        <p class="text-center Select-Range">Select Range</p>
    </div>
</li>
@foreach($complianceList as $listData)
    <li class="row align-items-center drag-drop list-options {{($listData['isDraggable'] == '0' || is_null($listData['id'])) ? 'fixed' : ''}}" data-id="{{$listData['id']}}" data-index="{{$listData['displayNo']}}" data-name="{{$listData['widget_name']}}">
        <div class="col-7 px-0">
            <div class="form-check">
                <input class="form-check-input updateListView" type="checkbox" id="chk_{{$loop->iteration}}" value="1" {{($listData['isActive'] == '1') ? 'Checked' : ''}}>
                <label class="form-check-label" for="chk_{{$loop->iteration}}">{{$listData['widget_name']}}</label>
            </div>
        </div>
        <div class="col-5 px-0">
            <select class="form-select updateListView select-range-dop" aria-label="">
                @foreach($rangeArr as $range => $rangeName)
                    <option value="{{$range}}" {{($range == $listData['range']) ? 'selected' : ''}}>{{$rangeName}}</option>
                @endforeach
            </select>
        </div>
    </li>
@endforeach
