@extends($companyAdminTheme)

@section('title')
    Dispatch Hub
@endsection

@section('style')
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="{{ asset('theme/css/select2.min.css') }}">
    {{--
    <style type="text/css">
        /*
        .dataTable thead::before {background-color: #c9e1ff;}
        .on-hold-load-title {
            display: inline-block;
        }
        .on-hold-load-title:hover {
            cursor: pointer;
        }
        .load-table tr td:first-child a {
            margin-left: 20px;
        }
        tbody tr.bg-yellow td:first-child:before {
            content: "";
            border: 6px solid !important;
            color: #FFA500;
            border-radius: 50px;
            margin-top: 7px;
            margin-left: 0;
            position: absolute;
        }
        tbody tr.bg-green td:first-child:before {
            content: "";
            border: 6px solid !important;
            color: #6DD400;
            border-radius: 50px;
            margin-top: 7px;
            margin-left: 0;
            position: absolute;
        }
        .coubutton {
            font-size: 14px;
            padding: 2px 14px;
        }
        div.dataTables_wrapper div.dataTables_filter {
            display: none !important;
        }
         */
    </style>
    @if(getColorOption() == 0)
    <style type="text/css">
        .dispahub .load-th3,
        .dispahub .bg-yellow,
        .dispahub .bg-green {
            background-color: transparent !important;
        }
        .dispahub .dataTable .load-th1::before,
        .dispahub .dataTable .load-th5::before,
        .dispahub .dataTable .load-th6::before,
        .dispahub .dataTable .load-th4::before,
        .dispahub .dataTable .load-th3::before {
            background-color: #eff4fa !important;
        }
        .dispahub .text-red {
            color: #212529 !important;
        }
    </style>
    @endif
    @if(getColorOption() == 1)
    <style type="text/css">
        .dispahub .bg-yellow {
            background-color: transparent !important;
        }
        .dispahub .dataTable .load-th1::before,
        .dispahub .dataTable .load-th5::before,
        .dispahub .dataTable .load-th6::before,
        .dispahub .dataTable .load-th4::before,
        .dispahub .dataTable .load-th3::before {
            background-color: #eff4fa !important;
        }
        .dispahub .text-red {
            color: #212529 !important;
        }
    </style>
    @endif
    <style type="text/css">
        .word {
            color: red !important;
            text-decoration-color: red !important;
        }
    </style>
    <style type="text/css">
        .reserved-block .table img {
            max-width: 26px;
            margin-left: 5px;
        }
        .reserved-block .table img.dot-img {
            max-height: 26px;
            margin-left: 0;
            margin-right: 5px;
        }
        .reserved-block .table .btn {
            min-width: 90px;
        }
        .reserved-block .table .badge {
            padding: 4px 6px;
            font-size: 10px;
            color: #fff;
            text-transform: uppercase;
        }
        .reserved-block .table .badge+* {
            text-transform: uppercase;
            font-size: 12px;
            margin-left: 5px;
        }
    </style>
    <style type="text/css">
        .offer-status-block .btn-warning{
            color: #fff;
        }
        .offer-status-block .btn-success{
            background-color: #6dd400;
            border-color: #6dd400;
        }
        .offer-status-block h5 i {
            font-size: 24px;
        }
        .star-icon {
            max-height: 24px;
        }
        .row.g-5 {
            margin-left: -5px;
            margin-right: -5px;
        }
        .row.g-5>* {
            padding-left: 5px;
            padding-right: 5px;
        }
        .row.g-10 {
            margin-left: -10px;
            margin-right: -10px;
        }
        .row.g-10>* {
            padding-left: 10px;
            padding-right: 10px;
        }
        .hours-table .table thead th {
            padding: 10px 5px !important;
            font-size: 14px;
        }
        .hours-table .table thead tr:first-child th {
            padding-bottom: 0 !important;
        }
        .hours-table .table thead tr:last-child th {
            padding-top: 0 !important;
        }
        .hours-table .table tbody td {
            font-size: 14px !important;
            padding: 10px 5px !important;
        }
        .hours-table .table thead th,
        .hours-table .table tbody td {
            text-align: center;
        }
        .hours-table .table .badge {
            padding: 4px 6px;
            font-size: 10px;
            color: #fff;
            text-transform: uppercase;
        }
        .hours-table .table .badge+* {
            text-transform: uppercase;
            font-size: 12px;
            margin-left: 5px;
        }
        .brok-input-block .col-auto {
            width: 16.8%;
            min-width: 140px;
        }
        .brok-input-block .col-auto.small {
            width: 8%;
            min-width: 80px;
        }
        .green-btn.record-btn {
            margin-top: 28px;
            padding: 4px 12px;
            height: 35px;
            background-color: #6dd400;
            border-color: #6dd400;
            color: #fff;
        }
        .table.offer-history-table td {
            font-size: 14px !important;
            padding: 0px 15px !important;
            border: 0;
            color: #ABB4C6;
        }
        .table.offer-history-table td:first-child {
            padding-left: 0 !important;
        }
    </style>
    <style type="text/css">
        .badge-on {
            background-color: #fd9664;
        }
        .form-group .form-check-input {
            margin-top: 0.5rem;
        }
        .flex-all {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            justify-content: center;
        }
        .card.card-new {
            border: 1px solid #ddd;
        }
        .card-new .card--header {
            border-bottom: 1px solid #ddd;
            padding: 12px 15px;
        }
        .card-new .card--body {
            padding: 12px 15px;
        }
    </style>
    <style type="text/css">
        @media (max-width: 1540px) {
            .offer-status-block h5 {
                font-size: 18px;
            }
        }
        @media (max-width: 1365px) {
            .offer-status-block .col-xl-7,
            .offer-status-block .col-xl-5 {
                -ms-flex: 0 0 100%;
                flex: 0 0 100%;
                max-width: 100%;
            }
        }
        @media (max-width: 1279px) {
            .col-custom-1 {
                -ms-flex: 0 0 54%;
                flex: 0 0 54%;
                max-width: 54%;
            }
            .col-custom-2 {
                -ms-flex: 0 0 46%;
                flex: 0 0 46%;
                max-width: 46%;
            }
        }
        @media (max-width: 991px) {
            .col-custom-1 {
                -ms-flex: 0 0 59%;
                flex: 0 0 59%;
                max-width: 59%;
            }
            .col-custom-2 {
                -ms-flex: 0 0 41%;
                flex: 0 0 41%;
                max-width: 41%;
            }
            .offer-status-block .green-btn {
                font-size: 15px;
                line-height: 1.8;
            }
        }
        @media (max-width: 767px) {
            .reserved-block .table .btn {
                line-height: 1.2;
                padding: 4px 8px;
                min-width: 82px;
            }
            .reserved-block .table img {
                max-width: 22px;
            }
            .reserved-block .table img.dot-img {
                max-height: 22px;
            }
            .col-custom-1,
            .col-custom-2 {
                -ms-flex: 0 0 100%;
                flex: 0 0 100%;
                max-width: 100%;
            }
        }
        @media (max-width: 575px) {
            .card-new .card--header,
            .card-new .card--body {
                padding: 12px 10px;
            }
        }
    </style>
    <style type="text/css">
        .select2-container{
            width: 100% !important;
        }
        .select2-container .select2-selection--single{
            height: 39px;
        }
        .select2-container--default .select2-selection--single{
            border: 1px solid #C5CEE0;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            line-height: 36px;
            font-size: 17px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 31px;
        }
        .select2-search .select2-selection__arrow{
            display: none;
        }
        .select2-search i {
            color: #18203a;
            position: absolute;
            right: 10px;
            bottom: 12px;
        }
    </style>
    --}}
    <style>
        .viewReason {
            color: #305F9C;
            font-size: 18px;
        }
        .prevLeft {
            position: relative;
            left: 0;
        }
        .prevRight {
            position: absolute;
            right: 0;
        }
        .table-blueBr tbody td {
            padding: 4px 8px !important;
        }
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }
        .modal-dishpatch label {
            font-size: 13px;
            line-height: 18px;
            letter-spacing: -0.31px;
            color: #342828;
            font-weight: bold;
            margin-bottom: 0px;
            margin-top: 2px;
            padding-left: 5px;
        }
    </style>
    <style>
        .table-dishpatchHub .ui-widget {
            font-size: 14px;
            color: rgb(52 40 40 / 83%);
            border: 1px solid #97B8E3;
            width: 144px;
            height: 36px;
            padding: 3px 7px 4px 7px;
            border-radius: 10px;
            -moz-appearance: none;
            -webkit-appearance: none;
            appearance: none;
            background-size: auto;
            background: #fff no-repeat center right 10px;
        }
        .ui-menu-icons .ui-menu-item {
            padding-left: 1em !important;
        }
        option.avatar {
            background-repeat: no-repeat !important;
            padding-left: 20px;
        }
        .avatar .ui-icon {
            background-position: left top;
        }
        .ui-selectmenu-button .ui-button .ui-widget .ui-selectmenu-button-closed .ui-corner-all .ui-selectmenu-icon {
            rotate: 180deg;
        }
        .img-holder {
            position: relative;
            display: inline-block;
        }
        .img-holder p {
            top: 53%;
            left: 0;
            right: 0;
            position: absolute;
            transform: translate(0, -50%);
            text-align: center;
            color: #fff;
            text-shadow: 0 0 15px;
            font-size: 10px;
        }
        .btn-filter-applied {
            color: #fff !important;
            background-color: #FF6D10 !important;
        }
    </style>
@endsection

@section('content')
    {{---------- New Functionality ----------}}
    <div class="text-right dispatchHub-addBtn">
        <div class="dropdown dropdown-blue-theme btn-widget-2 dropleft">
            <a class="btn btn-blue dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false">
                Add Widget
            </a>
            <form class="dropdown-menu p-0">
                <div class="arrow">
                    <div class="dropdown-hedding">
                        <div>
                            <h6 class="">Select Widgets</h6>
                            <span>Select Up To 5</span>
                        </div>
                    </div>
                    <div class="dropdown-body">
                        @if(count($counterWidgetsList) > 0)
                            <ul id="counterSortable">
                                @foreach($counterWidgetsList as $widgets)
                                    <li class="widgets-item drag-drop" data-index="{{$widgets['display_no']}}" data-name="{{$widgets['widget_name']}}">
                                        <div class="d-flex align-items-center justify-content-between">
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" id="chk_{{$loop->index}}" value="1" {{($widgets['isActive'] == '1') ? 'checked' : ''}}>
                                                <label class="form-check-label" for="chk_{{$loop->index}}">{{$widgets['widget_name']}}</label>
                                            </div>
                                            <img src="{{ asset($widgets['icon']) }}" class="img-fluid float-right" alt="">
                                        </div>
                                    </li>
                                @endforeach
                            </ul>
                        @else
                            <h5 class="m-0 mt-3 text-center text-black font-weight-bold">No found widgets</h5>
                        @endif
                    </div>
                </div>
                <hr class="dropdown-divider">
                <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                    <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                    @if(count($counterWidgetsList) > 0)
                        <button type="button" class="btn btn-blue btn-filter updateCounterFilter">Filter Selected</button>
                    @endif
                </div>
            </form>
        </div>
    </div>

    <div class="dispatchHubNew-block">
        <div class="row" id="dispatchHubCounterDiv" style="{{(count($counterWidgetsList) == 0) ? 'display: block;' : '' }}">
            @if(count($counterWidgetsList) > 0)
                @foreach($counterWidgetsList as $widgets)
                    @if($widgets['isActive'] == '1')
                        <div class="col-xl-3 col-md-4 col-sm-6">
                            <div class="dispatchHubNew-box">
                                <div>
                                    <h2>{{$widgets['count']}}</h2>
                                    <p>{{$widgets['widget_name']}}</p>
                                </div>
                                <div><img src="{{ asset($widgets['icon']) }}" alt="Icon"></div>
                            </div>
                        </div>
                    @endif
                @endforeach
            @else
                <h5 class="mb-5 mt-5 text-center text-black font-weight-bold">No found widgets</h5>
            @endif
        </div>
    </div>

    <div class="dispatchHubNew-btn">
        <ul class="cust-select-2">
            <li>
                <div class="dropdown">
                    <a class="btn btn-filter-applied d-none" href="javascript:void(0);" role="button" id="btnClearFilter"> Clear filters</a>
                </div>
            </li>
            <li>
                <div class="dropdown">
                    <a class="btn dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false" id="btnTeamFilter">
                        Team <img src="{{ asset('theme/images/team.svg') }}" class="" alt="Team" />
                    </a>
                    <form class="dropdown-menu p-0">
                        <div class="arrow">
                            <div class="dropdown-hedding">
                                <h6 class="">Select Team</h6>
                            </div>
                            <div class="dropdown-body">
                                @if(count(getTeamList()) > 0)
                                    <ul>
                                        <li>
                                            <div class="d-flex align-items-center">
                                                <div class="form-check all-check">
                                                    <input class="form-check-input" type="checkbox" id="select_all_team" value="1">
                                                    <label class="form-check-label" for="select_all_team">Select All</label>
                                                </div>
                                            </div>
                                        </li>
                                        @foreach(getTeamList() as $teamId => $teamName)
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="checkbox" id="team_{{$teamId}}" value="{{$teamId}}" {{(isset($filters['teamArr']) && in_array($teamId, $filters['teamArr']) ? 'checked' : '')}}>
                                                    <label class="form-check-label" for="team_{{$teamId}}">{{$teamName}}</label>
                                                </div>
                                            </li>
                                        @endforeach
                                    </ul>
                                @else
                                    <h5 class="m-0 text-center text-black font-weight-bold">No found team</h5>
                                @endif
                            </div>
                        </div>
                        <hr class="dropdown-divider">
                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                            <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                            @if(count(getTeamList()) > 0)
                                <button type="button" class="btn btn-blue btn-filter filterData">Filter Selected</button>
                            @endif
                        </div>
                    </form>
                </div>
            </li>
            <li>
                <div class="dropdown">
                    <a class="btn dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false" id="btnDispatcherFilter">
                        Dispatcher <img src="{{ asset('theme/images/headset.svg') }}" class="mr-2" alt="Dispatcher" />
                    </a>
                    <form class="dropdown-menu p-0">
                        <div class="arrow">
                            <div class="dropdown-hedding">
                                <h6 class="">Select Dispatcher</h6>
                            </div>
                            <div class="dropdown-body">
                                @if(count(getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id)) > 0)
                                    <ul>
                                        <li>
                                            <div class="d-flex align-items-center">
                                                <div class="form-check all-check">
                                                    <input class="form-check-input" type="checkbox" id="select_all_dispatcher" value="1">
                                                    <label class="form-check-label" for="select_all_dispatcher">Select All</label>
                                                </div>
                                            </div>
                                        </li>
                                        @foreach(getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id) as $dispatcherId => $dispatcherName)
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="checkbox" id="dispatcher_{{$dispatcherId}}" value="{{$dispatcherId}}" {{(isset($filters['dispatcherArr']) && in_array($dispatcherId, $filters['dispatcherArr']) ? 'checked' : '')}}>
                                                    <label class="form-check-label" for="dispatcher_{{$dispatcherId}}">{{$dispatcherName}}</label>
                                                </div>
                                            </li>
                                        @endforeach
                                    </ul>
                                @else
                                    <h6 class="m-0 text-center">No found any dispatcher</h6>
                                @endif
                            </div>
                        </div>
                        <hr class="dropdown-divider">
                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                            <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                            @if(count(getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id)) > 0)
                                <button type="button" class="btn btn-blue btn-filter filterData">Filter Selected</button>
                            @endif
                        </div>
                    </form>
                </div>
            </li>
            <li>
                <div class="dropdown">
                    <a class="btn dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false" id="btnEquipmentFilter">
                        Equipment <img src="{{ asset('theme/images/compliance-equipment.svg') }}" class="" alt="Equipment" />
                    </a>
                    <form class="dropdown-menu p-0">
                        <div class="arrow">
                            <div class="dropdown-hedding">
                                <h6 class="">Select Equipment</h6>
                            </div>
                            <div class="dropdown-body">
                                @if(count(getTrailerTypeList()) > 0)
                                    <ul>
                                        <li>
                                            <div class="d-flex align-items-center">
                                                <div class="form-check all-check">
                                                    <input class="form-check-input" type="checkbox" id="select_all_equipment" value="1">
                                                    <label class="form-check-label" for="select_all_equipment">Select All</label>
                                                </div>
                                            </div>
                                        </li>
                                        @foreach(getTrailerTypeList() as $equipmentId => $equipmentName)
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="checkbox" id="equipment_{{$equipmentId}}" value="{{$equipmentId}}" {{(isset($filters['equipmentArr']) && in_array($equipmentId, $filters['equipmentArr']) ? 'checked' : '')}}>
                                                    <label class="form-check-label" for="equipment_{{$equipmentId}}">{{$equipmentName}}</label>
                                                </div>
                                            </li>
                                        @endforeach
                                    </ul>
                                @else
                                    <h6 class="m-0 text-center">No found any equipment</h6>
                                @endif
                            </div>
                        </div>
                        <hr class="dropdown-divider">
                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                            <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                            @if(count(getTrailerTypeList()) > 0)
                                <button type="button" class="btn btn-blue btn-filter filterData">Filter Selected</button>
                            @endif
                        </div>
                    </form>
                </div>
            </li>
            <li>
                <div class="dropdown">
                    <a class="btn dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false" id="btnCarrierFilter">
                        Carrier <img src="{{ asset('theme/images/truck.svg') }}" class="" alt="Carrier" />
                    </a>
                    <form class="dropdown-menu p-0">
                        <div class="arrow">
                            <div class="dropdown-hedding">
                                <h6 class="">Select Carrier</h6>
                            </div>
                            <div class="dropdown-body">
                                @if(count(getCarrierList()) > 0)
                                    <ul>
                                        <li>
                                            <div class="d-flex align-items-center">
                                                <div class="form-check all-check">
                                                    <input class="form-check-input" type="checkbox" id="select_all_carrier" value="1">
                                                    <label class="form-check-label" for="select_all_carrier">Select All</label>
                                                </div>
                                            </div>
                                        </li>
                                        @foreach(getCarrierList() as $carrierId => $carrierName)
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="checkbox" id="carrier_{{$carrierId}}" value="{{$carrierId}}" {{(isset($filters['carrierArr']) && in_array($carrierId, $filters['carrierArr']) ? 'checked' : '')}}>
                                                    <label class="form-check-label" for="carrier_{{$carrierId}}">{{$carrierName}}</label>
                                                </div>
                                            </li>
                                        @endforeach
                                    </ul>
                                @else
                                    <h6 class="m-0 text-center">No found any carrier</h6>
                                @endif
                            </div>
                        </div>
                        <hr class="dropdown-divider">
                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                            <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                            @if(count(getCarrierList()) > 0)
                                <button type="button" class="btn btn-blue btn-filter filterData">Filter Selected</button>
                            @endif
                        </div>
                    </form>
                </div>
            </li>
        </ul>
        <div class="d-inline-block">
            <div class="custom-control custom-switch-blue">
                <input type="checkbox" class="custom-control-input" name="mergeCompactView" id="mergeCompactView" value="1" {{ (!is_null($mergeCompactView) && $mergeCompactView  == '1') ? 'checked' : '' }}>
                <label class="custom-control-label" for="mergeCompactView"></label>
            </div>
            <p>Merge - Compact View</p>
        </div>
    </div>

    <div class="accordion dispatchHubNew-accordion mb-0" id="listingSortable">
        {{-- On Hold --}}
        <div class="card list-item" id="onHoldDiv" data-index="{{$listingOrder[0]['display_no'] ?? ''}}" data-name="{{$listingOrder[0]['name'] ?? ''}}">
            <div class="card-header" id="headingOne">
                <button class="hold mr-15" type="button" data-toggle="collapse" data-target="#one-collapse" aria-expanded="true" aria-controls="one-collapse">
                    {{--{{$listingOrder[0]['name'] ?? 'On Hold'}} <span id="totalOnHoldLoads"> {{ $totalOnHoldLoads }}</span>--}}
                    {{$listingOrder[0]['name'] ?? 'On Hold'}} <span id="totalOnHoldLoads"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button" id="clearAllfilter_table_dispatchhub1" class="btn btn-orange ml-2 clearAll filter_table_dispatchhub1 d-none" data-tab="on-hold-load-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_dispatchhub1 d-none" data-tab="on-hold-load-data-table"><i class="fa fa-refresh"></i> Refresh</a>

                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal1">Column</a>
                    <div class="drag-icon move"><img src="{{asset('theme/images/drag-icon.svg')}}" alt="icon"></div>
                </div>
            </div>
            <div id="one-collapse" class="collapse show" aria-labelledby="headingOne">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub on-hold-load-data-table">
                            <thead>
                                <tr>
                                    @foreach($getField as $key => $filed)
                                        @if($filed == 1 && isset(config('settings.table_dispatchhub1')[$key]['name']))
                                            @if(isset(config('settings.table_dispatchhub1')[$key]['searchBuilderType']))
                                                @if( config('settings.table_dispatchhub1')[$key]['searchBuilderType'] == 'string' )
                                                    <th>{{ config('settings.table_dispatchhub1')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub1_{{$key}}_string" data-table="table1" data-modal="SearchByStringModal{{ $key }}table1"></i></th>
                                                @elseif( config('settings.table_dispatchhub1')[$key]['searchBuilderType'] == 'date' )
                                                    <th>{{ config('settings.table_dispatchhub1')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub1_{{$key}}_date" data-table="table1" data-modal="SearchByDateModal{{ $key }}table1"></i></th>
                                                @elseif( config('settings.table_dispatchhub1')[$key]['searchBuilderType'] == 'status' )
                                                    <th>{{ config('settings.table_dispatchhub1')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub1_{{$key}}_status columnFilter" data-table="table1" data-modal="SearchByStatusModal{{ $key }}table1"></i></th>
                                                @endif
                                            @else
                                                <th>{{ config('settings.table_dispatchhub1')[$key]['name'] }}</th>
                                            @endif
                                        @endif
                                    @endforeach
                                </tr>
                            </thead>
                            <tbody>
                                {{-- Added dynamically data --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal1" tabindex="-1" role="dialog" aria-labelledby="exampleModal1Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub1">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal1Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub1')[$key]['name']))
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                    <input class="form-check-input" type="checkbox" id="Check01{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                    <label class="form-check-label" for="Check01{{ $key }}">{{ config('settings.table_dispatchhub1')[$key]['name'] }}</label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                            {{--
                                            <div class="custom-control custom-checkbox">
                                                <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                <input type="checkbox" class="custom-control-input" id="Check01{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                <label class="custom-control-label" for="Check01{{ $key }}">{{ config('settings.table_dispatchhub1')[$key]['name'] }}</label>
                                            </div>
                                            <i class="fa fa-align-justify drag-icon"></i>
                                            --}}
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- On Hold --}}

        {{-- Available Drivers --}}
        <div class="card list-item" id="availableDriversDiv" data-index="{{$listingOrder[1]['display_no'] ?? ''}}" data-name="{{$listingOrder[1]['name'] ?? ''}}">
            <div class="card-header" id="headingTwo">
                <button class="collapsed mr-15" type="button" data-toggle="collapse" data-target="#two-collapse" aria-expanded="false" aria-controls="two-collapse">
                    {{--{{$listingOrder[1]['name'] ?? 'Available Drivers'}} <span id="totalAvailableDrivers"> {{ $totalAvailableDrivers }}</span>--}}
                    {{$listingOrder[1]['name'] ?? 'Available Drivers'}} <span id="totalAvailableDrivers"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button" id="clearAllfilter_table_dispatchhub3" class="btn btn-orange ml-2 clearAll filter_table_dispatchhub3 d-none" data-tab="available-drivers-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_dispatchhub3 d-none" data-tab="available-drivers-data-table"><i class="fa fa-refresh"></i> Refresh</a>

                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal3">Column</a>
                    <div class="drag-icon move"><img src="{{asset('theme/images/drag-icon.svg')}}" alt="icon"></div>
                </div>
            </div>
            <div id="two-collapse" class="collapse" aria-labelledby="headingTwo">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub table-avaDriver available-drivers-data-table">
                            <thead>
                            <tr>
                                @foreach($getField3 as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_dispatchhub3')[$key]['name']))
                                        @if(isset(config('settings.table_dispatchhub3')[$key]['searchBuilderType']))
                                            @if( config('settings.table_dispatchhub3')[$key]['searchBuilderType'] == 'string' )
                                                <th>{{ config('settings.table_dispatchhub3')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub3_{{$key}}_string" data-table="table3" data-modal="SearchByStringModal{{ $key }}table3"></i></th>
                                            @elseif( config('settings.table_dispatchhub3')[$key]['searchBuilderType'] == 'date' )
                                                <th>{{ config('settings.table_dispatchhub3')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub3_{{$key}}_date" data-table="table3" data-modal="SearchByDateModal{{ $key }}table3"></i></th>
                                            @elseif( config('settings.table_dispatchhub3')[$key]['searchBuilderType'] == 'status' )
                                                <th>{{ config('settings.table_dispatchhub3')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub3_{{$key}}_status columnFilter" data-table="table3" data-modal="SearchByStatusModal{{ $key }}table3"></i></th>
                                            @endif
                                        @else
                                            <th>{{ config('settings.table_dispatchhub3')[$key]['name'] }}</th>
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                            </thead>
                            <tbody>
                                {{-- Added dynamically data --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal3" tabindex="-1" role="dialog" aria-labelledby="exampleModal3Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub3">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal3Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField3 as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub3')[$key]['name']))
                                        @if(!in_array($key,$getField3Hide))
                                            <li class="ui-state-default">
                                                <div class="d-flex justify-content-between">
                                                    <div class="form-check">
                                                        <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                        <input class="form-check-input" type="checkbox" id="Check02{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                        <label class="form-check-label" for="Check02{{ $key }}">{{ config('settings.table_dispatchhub3')[$key]['name'] }}</label>
                                                    </div>
                                                    <i class="fa fa-align-justify drag-icon pt-1"></i>
                                                </div>
                                                {{--
                                                <div class="custom-control custom-checkbox">
                                                    <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                    <input type="checkbox" class="custom-control-input" id="Check02{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                    <label class="custom-control-label" for="Check02{{ $key }}">{{ config('settings.table_dispatchhub3')[$key]['name'] }}</label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon"></i>
                                                --}}
                                            </li>
                                        @endif
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- Available Drivers --}}

        {{-- PrePlanned Loads --}}
        <div class="card list-item" id="prePlannedLoadsDiv" data-index="{{$listingOrder[2]['display_no'] ?? ''}}" data-name="{{$listingOrder[2]['name'] ?? ''}}">
            <div class="card-header" id="headingThree">
                <button class="collapsed  mr-15" type="button" data-toggle="collapse" data-target="#three-collapse" aria-expanded="false" aria-controls="three-collapse">
                    {{--{{$listingOrder[2]['name'] ?? 'PrePlanned Loads'}} <span id="totalPlannedLoads"> {{ $totalPlannedLoads }}</span>--}}
                    {{$listingOrder[2]['name'] ?? 'PrePlanned Loads'}} <span id="totalPlannedLoads"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button"  id="clearAllfilter_table_dispatchhub4" class="btn btn-orange ml-2 clearAll filter_table_dispatchhub4 d-none" data-tab="planned-load-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_dispatchhub4 d-none" data-tab="planned-load-data-table"><i class="fa fa-refresh"></i> Refresh</a>

                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal4">Column</a>
                    <div class="drag-icon move"><img src="{{asset('theme/images/drag-icon.svg')}}" alt="icon"></div>
                </div>
            </div>
            <div id="three-collapse" class="collapse" aria-labelledby="headingThree">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub planned-load-data-table">
                            <thead>
                            <tr>
                                @foreach($getField4 as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_dispatchhub4')[$key]['name']))
                                        @if(isset(config('settings.table_dispatchhub4')[$key]['searchBuilderType']))
                                            @if( config('settings.table_dispatchhub4')[$key]['searchBuilderType'] == 'string' )
                                                <th>{{ config('settings.table_dispatchhub4')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub4_{{$key}}_string" data-table="table4" data-modal="SearchByStringModal{{ $key }}table4"></i></th>
                                            @elseif( config('settings.table_dispatchhub4')[$key]['searchBuilderType'] == 'date' )
                                                <th>{{ config('settings.table_dispatchhub4')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub4_{{$key}}_date" data-table="table4" data-modal="SearchByDateModal{{ $key }}table4"></i></th>
                                            @elseif( config('settings.table_dispatchhub4')[$key]['searchBuilderType'] == 'status' )
                                                <th class=" notsech">{{ config('settings.table_dispatchhub4')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub4_{{$key}}_status columnFilter" data-table="table4" data-modal="SearchByStatusModal{{ $key }}table4"></i></th>
                                            @endif
                                        @else
                                            <th>{{ config('settings.table_dispatchhub4')[$key]['name'] }}</th>
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                            </thead>
                            <tbody>
                                {{-- Added dynamically data --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal4" tabindex="-1" role="dialog" aria-labelledby="exampleModal4Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub4">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal4Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField4 as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub4')[$key]['name']))
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                    <input class="form-check-input" type="checkbox" id="Check03{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                    <label class="form-check-label" for="Check03{{ $key }}">{{ config('settings.table_dispatchhub4')[$key]['name'] }}</label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                            {{--
                                            <div class="custom-control custom-checkbox">
                                                <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                <input type="checkbox" class="custom-control-input" id="Check03{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                <label class="custom-control-label" for="Check03{{ $key }}">{{ config('settings.table_dispatchhub4')[$key]['name'] }}</label>
                                            </div>
                                            <i class="fa fa-align-justify drag-icon"></i>
                                            --}}
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- PrePlanned Loads --}}

        {{-- In Transit --}}
        <div class="card list-item" id="inTransitDiv" data-index="{{$listingOrder[3]['display_no'] ?? ''}}" data-name="{{$listingOrder[3]['name'] ?? 'In Transit'}}">
            <div class="card-header" id="headingFour">
                <button class="collapsed  mr-15" type="button" data-toggle="collapse" data-target="#four-collapse" aria-expanded="false" aria-controls="four-collapse">
                    {{--{{$listingOrder[3]['name'] ?? 'In Transit'}} <span id="totalInTransitLoads"> {{ $totalInTransitLoads }}</span>--}}
                    {{$listingOrder[3]['name'] ?? 'In Transit'}} <span id="totalInTransitLoads"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button" id="clearAllfilter_table_dispatchhub2" class="btn btn-orange ml-2 clearAll filter_table_dispatchhub2 d-none" data-tab="in-transit-loads-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_dispatchhub2 d-none" data-tab="in-transit-loads-data-table"><i class="fa fa-refresh"></i> Refresh</a>

                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal2">Column</a>
                    <div class="drag-icon move"><img src="{{asset('theme/images/drag-icon.svg')}}" alt="icon"></div>
                </div>
            </div>
            <div id="four-collapse" class="collapse" aria-labelledby="headingFour">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub in-transit-loads-data-table">
                            <thead>
                            <tr>
                                @foreach($getField2 as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_dispatchhub2')[$key]['name']))
                                        @if(isset(config('settings.table_dispatchhub2')[$key]['searchBuilderType']))
                                            @if( config('settings.table_dispatchhub2')[$key]['searchBuilderType'] == 'string' )
                                                <th>{{ config('settings.table_dispatchhub2')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub2_{{$key}}_string" data-table="table2" data-modal="SearchByStringModal{{ $key }}table2"></i></th>
                                            @elseif( config('settings.table_dispatchhub2')[$key]['searchBuilderType'] == 'date' )
                                                <th>{{ config('settings.table_dispatchhub2')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub2_{{$key}}_date" data-table="table2" data-modal="SearchByDateModal{{ $key }}table2"></i></th>
                                            @elseif( config('settings.table_dispatchhub2')[$key]['searchBuilderType'] == 'status' )
                                                <th class=" notsech">{{ config('settings.table_dispatchhub2')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub2_{{$key}}_status columnFilter" data-table="table2" data-modal="SearchByStatusModal{{ $key }}table2"></i></th>
                                            @endif
                                        @else
                                            <th>{{ config('settings.table_dispatchhub2')[$key]['name'] }}</th>
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                            </thead>
                            <tbody>
                                {{-- Added dynamically data --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal2" tabindex="-1" role="dialog" aria-labelledby="exampleModal2Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub2">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal2Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField2 as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub2')[$key]['name']))
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                    <input class="form-check-input" type="checkbox" id="Check205{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                    <label class="form-check-label" for="Check205{{ $key }}">{{ config('settings.table_dispatchhub2')[$key]['name'] }}</label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                            {{--
                                            <div class="custom-control custom-checkbox">
                                                <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                <input type="checkbox" class="custom-control-input" id="Check205{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                <label class="custom-control-label" for="Check205{{ $key }}">{{ config('settings.table_dispatchhub2')[$key]['name'] }}</label>
                                            </div>
                                            <i class="fa fa-align-justify drag-icon"></i>
                                            --}}
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- In Transit --}}

        {{-- Available Loads --}}
        <div class="card list-item" id="availableLoadsDiv" data-index="{{$listingOrder[4]['display_no'] ?? ''}}" data-name="{{$listingOrder[4]['name'] ?? 'Available Loads'}}">
            <div class="card-header" id="headingFive">
                <button class="collapsed  mr-15" type="button" data-toggle="collapse" data-target="#five-collapse" aria-expanded="false" aria-controls="five-collapse">
                    {{--{{$listingOrder[4]['name'] ?? 'Available Loads'}} <span id="totalAvailableLoads"> {{ $totalAvailableLoads }}</span>--}}
                    {{$listingOrder[4]['name'] ?? 'Available Loads'}} <span id="totalAvailableLoads"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button" id="clearAllfilter_table_dispatchhub5" class="btn btn-orange ml-2 clearAll filter_table_dispatchhub5 d-none" data-tab="available-load-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_dispatchhub5 d-none" data-tab="available-load-data-table"><i class="fa fa-refresh"></i> Refresh</a>

                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal5">Column</a>
                    <div class="drag-icon move"><img src="{{asset('theme/images/drag-icon.svg')}}" alt="icon"></div>
                </div>
            </div>
            <div id="five-collapse" class="collapse" aria-labelledby="headingFive">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub available-load-data-table">
                            <thead>
                            <tr>
                                @foreach($getField5 as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_dispatchhub5')[$key]['name']))
                                        @if(isset(config('settings.table_dispatchhub5')[$key]['searchBuilderType']))
                                            @if( config('settings.table_dispatchhub5')[$key]['searchBuilderType'] == 'string' )
                                                <th>{{ config('settings.table_dispatchhub5')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub5_{{$key}}_string" data-table="table5" data-modal="SearchByStringModal{{ $key }}table5"></i></th>
                                            @elseif( config('settings.table_dispatchhub5')[$key]['searchBuilderType'] == 'date' )
                                                <th>{{ config('settings.table_dispatchhub5')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub5_{{$key}}_date" data-table="table5" data-modal="SearchByDateModal{{ $key }}table5"></i></th>
                                            @elseif( config('settings.table_dispatchhub5')[$key]['searchBuilderType'] == 'status' )
                                                <th class=" notsech">{{ config('settings.table_dispatchhub5')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub5_{{$key}}_status columnFilter" data-table="table5" data-modal="SearchByStatusModal{{ $key }}table5"></i></th>
                                            @endif
                                        @else
                                            <th>{{ config('settings.table_dispatchhub5')[$key]['name'] }}</th>
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                            </thead>
                            <tbody>
                                {{-- Added dynamically data --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal5" tabindex="-1" role="dialog" aria-labelledby="exampleModal5Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub5">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal5Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField5 as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub5')[$key]['name']))
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                    <input class="form-check-input" type="checkbox" id="Check04{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                    <label class="form-check-label" for="Check04{{ $key }}">{{ config('settings.table_dispatchhub5')[$key]['name'] }}</label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                            {{--
                                            <div class="custom-control custom-checkbox">
                                                <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                <input type="checkbox" class="custom-control-input" id="Check04{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                <label class="custom-control-label" for="Check04{{ $key }}">{{ config('settings.table_dispatchhub5')[$key]['name'] }}</label>
                                            </div>
                                            <i class="fa fa-align-justify drag-icon"></i>
                                            --}}
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- Available Loads --}}

        {{-- All Dispatch --}}
        <div class="card list-item" id="allDispatchDiv" data-index="{{$listingOrder[5]['display_no'] ?? ''}}" data-name="{{$listingOrder[5]['name'] ?? 'All Dispatch'}}">
            <div class="card-header" id="headingSix">
                <button class="collapsed  mr-15" type="button" data-toggle="collapse" data-target="#six-collapse" aria-expanded="false" aria-controls="six-collapse">
                    {{--{{$listingOrder[5]['name'] ?? 'All Dispatch'}} <span id="totalAllDispatch"> {{ $totalAllDispatch }}</span>--}}
                    {{$listingOrder[5]['name'] ?? 'All Dispatch'}} <span id="totalAllDispatch"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button" id="clearAllfilter_table_dispatchhub7" class="btn btn-orange ml-2 clearAll filter_table_dispatchhub7 d-none" data-tab="all-dispatch-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_dispatchhub7 d-none" data-tab="all-dispatch-data-table"><i class="fa fa-refresh"></i> Refresh</a>

                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal7">Column</a>
                    <div class="drag-icon move"><img src="{{asset('theme/images/drag-icon.svg')}}" alt="icon"></div>
                </div>
            </div>
            <div id="six-collapse" class="collapse" aria-labelledby="headingSix">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub all-dispatch-data-table">
                            <thead>
                            <tr>
                                @foreach($getField7 as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_dispatchhub7')[$key]['name']))
                                        @if(isset(config('settings.table_dispatchhub7')[$key]['searchBuilderType']))
                                            @if( config('settings.table_dispatchhub7')[$key]['searchBuilderType'] == 'string' )
                                                <th>{{ config('settings.table_dispatchhub7')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub7_{{$key}}_string" data-table="table7" data-modal="SearchByStringModal{{ $key }}table7"></i></th>
                                            @elseif( config('settings.table_dispatchhub7')[$key]['searchBuilderType'] == 'date' )
                                                <th>{{ config('settings.table_dispatchhub7')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub7_{{$key}}_date" data-table="table7" data-modal="SearchByDateModal{{ $key }}table7"></i></th>
                                            @elseif( config('settings.table_dispatchhub7')[$key]['searchBuilderType'] == 'status' )
                                                <th class=" notsech">{{ config('settings.table_dispatchhub7')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub7_{{$key}}_status columnFilter" data-table="table7" data-modal="SearchByStatusModal{{ $key }}table7"></i></th>
                                            @endif
                                        @else
                                            <th>{{ config('settings.table_dispatchhub7')[$key]['name'] }}</th>
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                            </thead>
                            <tbody>
                                {{-- Added dynamically data --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal7" tabindex="-1" role="dialog" aria-labelledby="exampleModal7Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub7">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal7Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField7 as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub7')[$key]['name']))
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                    <input class="form-check-input" type="checkbox" id="Check04{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                    <label class="form-check-label" for="Check04{{ $key }}">{{ config('settings.table_dispatchhub7')[$key]['name'] }}</label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                            {{--
                                            <div class="custom-control custom-checkbox">
                                                <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                <input type="checkbox" class="custom-control-input" id="Check04{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                <label class="custom-control-label" for="Check04{{ $key }}">{{ config('settings.table_dispatchhub7')[$key]['name'] }}</label>
                                            </div>
                                            <i class="fa fa-align-justify drag-icon"></i>
                                            --}}
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
        {{-- All Dispatch --}}
    </div>

    {{-- Modal --}}
    {{-- Hold Status --}}
    <div class="modal fade" id="holdStatus" tabindex="-1" role="dialog" aria-labelledby="holdStatusLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-dialog-centered modal-dishpatch modal-holdStatus" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="holdStatusLabel">Hold Status</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="#" id="holdStatusForm">
                        <input type="hidden" id="loadId" value="" />
                        <input type="hidden" id="listName" value="" />
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label for="">On Hold Reason</label>
                                    {!! Form::select('reason_on_hold', ['' => 'Select Reason']+getNotificationReason(), null, ['class' => 'custom-select form-control', 'id' => 'reason_on_hold', 'required' => 'required']) !!}
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label for="">Subcategory</label>
                                    {!! Form::select('reason_on_hold_sub_category', ['' => 'Select Subcategory'], null, ['class' => 'custom-select form-control', 'id' => 'reason_on_hold_sub_category']) !!}
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group mb-0">
                                    <label for="reason_on_hold_notes">Notes</label>
                                    <textarea class="form-control" id="reason_on_hold_notes" rows="7" required></textarea>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr cancelOnHoldStatus" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-blue updateOnHoldStatus">Save</button>
                </div>
            </div>
        </div>
    </div>
    {{-- Hold Status --}}

    {{-- View Reason --}}
    <div class="modal fade" id="viewReason" tabindex="-1" role="dialog" aria-labelledby="viewReasonLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-dishpatch modal-viewReason" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="viewReasonLabel">On Hold Reason</h5>
                </div>
                <div class="modal-body"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    {{-- View Reason --}}

    {{-- Load Comparison View --}}
    <div class="modal fade" id="loadCompare" role="dialog" aria-labelledby="loadCompareLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-xl modal-dialog-centered modal-dishpatch modal-loadCompare" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="loadCompareLabel">Load Comparison View</h5>
                </div>
                <div class="modal-body"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    {{-- Load Comparison View --}}

    @include('companyAdmin.dispatchHub.modal.availableDriver')
    {{-- Modal --}}
    {{---------- New Functionality ----------}}

    {{--
    <input type="hidden" name="active_tab" id="active_tab">
    <div class="name-ttl d-none dispahub mt-5">
        <!-- on hold loads -->
        <div class="load-table">
            <div class="ttl-box">
                <div class="row">
                    <div class="col-12 col-sm-12 col-md-6">
                        <h5 class="load-title on-hold-load-title">On Hold Loads - {{ $totalOnHoldLoads }} </h5>
                    </div>
                </div>
            </div>
        </div>
        <div id="on-hold-load-collapsable" class="white-box mb-3 load-table" style="border-radius: 0px;">
            <div class="table-responsive cst-tbl on-hold-load-data-table-div">
                <table class="table on-hold-load-data-table">
                    <thead class="load-th1">
                        <tr class="h-row">
                            @foreach($getField as $key => $filed)
                                @if($filed == 1 && isset(config('settings.table_dispatchhub1')[$key]['name']))
                                    @if(isset(config('settings.table_dispatchhub1')[$key]['searchBuilderType']))
                                        @if( config('settings.table_dispatchhub1')[$key]['searchBuilderType'] == 'string' )
                                        <th>{{ config('settings.table_dispatchhub1')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub1_{{$key}}_string" data-table="table1" data-modal="SearchByStringModal{{ $key }}table1"></i></th>
                                        @elseif( config('settings.table_dispatchhub1')[$key]['searchBuilderType'] == 'date' )
                                        <th>{{ config('settings.table_dispatchhub1')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub1_{{$key}}_date" data-table="table1" data-modal="SearchByDateModal{{ $key }}table1"></i></th>
                                        @elseif( config('settings.table_dispatchhub1')[$key]['searchBuilderType'] == 'status' )
                                        <th class=" notsech">{{ config('settings.table_dispatchhub1')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub1_{{$key}}_status columnFilter" data-table="table1" data-modal="SearchByStatusModal{{ $key }}table1"></i></th>
                                        @endif
                                    @else
                                        <th>{{ config('settings.table_dispatchhub1')[$key]['name'] }}</th>
                                    @endif
                                @endif
                            @endforeach
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="modal fade" id="exampleModal1" tabindex="-1" role="dialog" aria-labelledby="exampleModal1Label" aria-hidden="true">
            <div class="modal-dialog" role="document">
                {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub1">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal1Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub1')[$key]['name']))
                                        <li class="ui-state-default">
                                            <div class="custom-control custom-checkbox">
                                                <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                <input type="checkbox" class="custom-control-input" id="Check01{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                <label class="custom-control-label" for="Check01{{ $key }}">{{ config('settings.table_dispatchhub1')[$key]['name'] }}</label>
                                            </div>
                                            <i class="fa fa-align-justify drag-icon"></i>
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="submit" class="btn btn-primary">Save</button>
                        </div>
                    </div>
                {!! Form::close() !!}
            </div>
        </div>
        <!-- On Hold Loads -->

        <!-- Available Drivers -->
        <div class="load-table">
            <div class="ttl-box">
                <div class="row">
                    <div class="col-12 col-sm-12 col-md-6">
                        <h5 class="load-title title2">Available Drivers - {{ $totalAvailableDrivers }}</h5>
                    </div>
                </div>
            </div>
        </div>
        <div class="two-table mb-3" id="collapsable2" style="display: none;border-radius: 0px;">
            <div class="white-box mb-3 load-table reserved-block">
                <div class="table-responsive cst-tbl">
                    <table class="table available-drivers-data-table">
                        <thead>
                            <tr class="h-row">
                                @foreach($getField3 as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_dispatchhub3')[$key]['name']))
                                    @if(isset(config('settings.table_dispatchhub3')[$key]['searchBuilderType']))
                                        @if( config('settings.table_dispatchhub3')[$key]['searchBuilderType'] == 'string' )
                                        <th>{{ config('settings.table_dispatchhub3')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub3_{{$key}}_string" data-table="table3" data-modal="SearchByStringModal{{ $key }}table3"></i></th>
                                        @elseif( config('settings.table_dispatchhub3')[$key]['searchBuilderType'] == 'date' )
                                        <th>{{ config('settings.table_dispatchhub3')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub3_{{$key}}_date" data-table="table3" data-modal="SearchByDateModal{{ $key }}table3"></i></th>
                                        @endif
                                    @else
                                        <th>{{ config('settings.table_dispatchhub3')[$key]['name'] }}</th>
                                    @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="modal fade" id="exampleModal3" tabindex="-1" role="dialog" aria-labelledby="exampleModal3Label" aria-hidden="true">
            <div class="modal-dialog" role="document">
                {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub3">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal3Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField3 as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub3')[$key]['name']))
                                        @if(!in_array($key,$getField3Hide))
                                            <li class="ui-state-default">
                                                <div class="custom-control custom-checkbox">
                                                    <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                    <input type="checkbox" class="custom-control-input" id="Check02{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                    <label class="custom-control-label" for="Check02{{ $key }}">{{ config('settings.table_dispatchhub3')[$key]['name'] }}</label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon"></i>
                                            </li>
                                        @endif
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="submit" class="btn btn-primary">Save</button>
                        </div>
                    </div>
                {!! Form::close() !!}
            </div>
        </div>
        <!-- Available Drivers -->

        <!-- Planned Loads -->
        <div class="load-table">
            <div class="ttl-box">
                <div class="row">
                    <div class="col-12 col-sm-12 col-md-6">
                        <h5 class="load-title title3">Planned Loads - {{ $totalPlannedLoads }}</h5>
                    </div>
                </div>
            </div>
        </div>
        <div class="white-box mb-3 load-table" id="collapsable3" style="display: none;border-radius: 0px;">
            <div class="table-responsive cst-tbl planned-load-data-table-div">
                <table class="table planned-load-data-table">
                    <thead class="load-th3">
                        <tr class="h-row">
                            @foreach($getField4 as $key => $filed)
                                @if($filed == 1 && isset(config('settings.table_dispatchhub4')[$key]['name']))
                                @if(isset(config('settings.table_dispatchhub4')[$key]['searchBuilderType']))
                                    @if( config('settings.table_dispatchhub4')[$key]['searchBuilderType'] == 'string' )
                                    <th>{{ config('settings.table_dispatchhub4')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub4_{{$key}}_string" data-table="table4" data-modal="SearchByStringModal{{ $key }}table4"></i></th>
                                    @elseif( config('settings.table_dispatchhub4')[$key]['searchBuilderType'] == 'date' )
                                    <th>{{ config('settings.table_dispatchhub4')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub4_{{$key}}_date" data-table="table4" data-modal="SearchByDateModal{{ $key }}table4"></i></th>
                                    @elseif( config('settings.table_dispatchhub4')[$key]['searchBuilderType'] == 'status' )
                                    <th class=" notsech">{{ config('settings.table_dispatchhub4')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub4_{{$key}}_status columnFilter" data-table="table4" data-modal="SearchByStatusModal{{ $key }}table4"></i></th>
                                    @endif
                                @else
                                    <th>{{ config('settings.table_dispatchhub4')[$key]['name'] }}</th>
                                @endif
                                @endif
                            @endforeach
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="modal fade" id="exampleModal4" tabindex="-1" role="dialog" aria-labelledby="exampleModal4Label" aria-hidden="true">
            <div class="modal-dialog" role="document">
                {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub4">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal4Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField4 as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub4')[$key]['name']))
                                    <li class="ui-state-default">
                                        <div class="custom-control custom-checkbox">
                                            <input type='hidden' value='0' name='field[{{ $key }}]'>
                                            <input type="checkbox" class="custom-control-input" id="Check03{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                            <label class="custom-control-label" for="Check03{{ $key }}">{{ config('settings.table_dispatchhub4')[$key]['name'] }}</label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon"></i>
                                    </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="submit" class="btn btn-primary">Save</button>
                        </div>
                    </div>
                {!! Form::close() !!}
            </div>
        </div>
        <!-- Planned Loads -->

        <!-- In Transit Loads -->
        <div class="load-table">
            <div class="ttl-box">
                <div class="row">
                    <div class="col-12 col-sm-12 col-md-6">
                        <h5 class="load-title title5">In Transit Loads - {{ $totalInTransitLoads }}</h5>
                    </div>
                </div>
            </div>
        </div>
        <div class="white-box mb-3 load-table" id="collapsable5" style="display: none;border-radius: 0px;">
            <div class="table-responsive cst-tbl in-transit-loads-data-table-div">
                <table class="table in-transit-loads-data-table">
                    <thead class="load-th5">
                        <tr class="h-row">
                            @foreach($getField2 as $key => $filed)
                                @if($filed == 1 && isset(config('settings.table_dispatchhub2')[$key]['name']))
                                @if(isset(config('settings.table_dispatchhub2')[$key]['searchBuilderType']))
                                    @if( config('settings.table_dispatchhub2')[$key]['searchBuilderType'] == 'string' )
                                    <th>{{ config('settings.table_dispatchhub2')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub2_{{$key}}_string" data-table="table2" data-modal="SearchByStringModal{{ $key }}table2"></i></th>
                                    @elseif( config('settings.table_dispatchhub2')[$key]['searchBuilderType'] == 'date' )
                                    <th>{{ config('settings.table_dispatchhub2')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub2_{{$key}}_date" data-table="table2" data-modal="SearchByDateModal{{ $key }}table2"></i></th>
                                    @elseif( config('settings.table_dispatchhub2')[$key]['searchBuilderType'] == 'status' )
                                    <th class=" notsech">{{ config('settings.table_dispatchhub2')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub2_{{$key}}_status columnFilter" data-table="table2" data-modal="SearchByStatusModal{{ $key }}table2"></i></th>
                                    @endif
                                @else
                                    <th>{{ config('settings.table_dispatchhub2')[$key]['name'] }}</th>
                                @endif
                                @endif
                            @endforeach
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="modal fade" id="exampleModal2" tabindex="-1" role="dialog" aria-labelledby="exampleModal2Label" aria-hidden="true">
            <div class="modal-dialog" role="document">
                {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                    <input type="hidden" name="table_id" value="dispatchhub2">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal2Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                @foreach($getField2 as $key => $filed)
                                    @if(isset(config('settings.table_dispatchhub2')[$key]['name']))
                                        <li class="ui-state-default">
                                            <div class="custom-control custom-checkbox">
                                                <input type='hidden' value='0' name='field[{{ $key }}]'>
                                                <input type="checkbox" class="custom-control-input" id="Check205{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                                <label class="custom-control-label" for="Check205{{ $key }}">{{ config('settings.table_dispatchhub2')[$key]['name'] }}</label>
                                            </div>
                                            <i class="fa fa-align-justify drag-icon"></i>
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="submit" class="btn btn-primary">Save</button>
                        </div>
                    </div>
                {!! Form::close() !!}
            </div>
        </div>
        <!-- In Transit Loads -->

        <!-- Available Loads -->
        <div class="load-table">
            <div class="ttl-box">
                <div class="row">
                    <div class="col-12 col-sm-12 col-md-6">
                        <h5 class="load-title title4">Available Loads - {{ $totalAvailableLoads }}</h5>
                    </div>
                </div>
            </div>
        </div>
        <div class="white-box mb-3 load-table" id="collapsable4" style="display: none;border-radius: 0px;">
            <div class="table-responsive cst-tbl available-load-data-table-div">
                <table class="table available-load-data-table">
                    <thead class="load-th4">
                    <tr class="h-row">
                        @foreach($getField5 as $key => $filed)
                            @if($filed == 1 && isset(config('settings.table_dispatchhub5')[$key]['name']))
                                @if(isset(config('settings.table_dispatchhub5')[$key]['searchBuilderType']))
                                    @if( config('settings.table_dispatchhub5')[$key]['searchBuilderType'] == 'string' )
                                        <th>{{ config('settings.table_dispatchhub5')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub5_{{$key}}_string" data-table="table5" data-modal="SearchByStringModal{{ $key }}table5"></i></th>
                                    @elseif( config('settings.table_dispatchhub5')[$key]['searchBuilderType'] == 'date' )
                                        <th>{{ config('settings.table_dispatchhub5')[$key]['name'] }} <i class="fa fa-filter columnFilter table_dispatchhub5_{{$key}}_date" data-table="table5" data-modal="SearchByDateModal{{ $key }}table5"></i></th>
                                    @elseif( config('settings.table_dispatchhub5')[$key]['searchBuilderType'] == 'status' )
                                        <th class=" notsech">{{ config('settings.table_dispatchhub5')[$key]['name'] }} <i class="fa fa-filter table_dispatchhub5_{{$key}}_status columnFilter" data-table="table5" data-modal="SearchByStatusModal{{ $key }}table5"></i></th>
                                    @endif
                                @else
                                    <th>{{ config('settings.table_dispatchhub5')[$key]['name'] }}</th>
                                @endif
                            @endif
                        @endforeach
                    </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="modal fade" id="exampleModal5" tabindex="-1" role="dialog" aria-labelledby="exampleModal5Label" aria-hidden="true">
            <div class="modal-dialog" role="document">
                {!! Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}
                <input type="hidden" name="table_id" value="dispatchhub5">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModal5Label">Adjust Table Columns</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                            @foreach($getField5 as $key => $filed)
                                @if(isset(config('settings.table_dispatchhub5')[$key]['name']))
                                    <li class="ui-state-default">
                                        <div class="custom-control custom-checkbox">
                                            <input type='hidden' value='0' name='field[{{ $key }}]'>
                                            <input type="checkbox" class="custom-control-input" id="Check04{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed==1) checked @endif>
                                            <label class="custom-control-label" for="Check04{{ $key }}">{{ config('settings.table_dispatchhub5')[$key]['name'] }}</label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon"></i>
                                    </li>
                                @endif
                            @endforeach
                        </ul>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
                {!! Form::close() !!}
            </div>
        </div>
        <!-- Available Loads -->

    </div>
    @include('companyAdmin.dispatchHub.modal.availableDriver')
    <div class="modal fade" id="offerModal" role="dialog" aria-labelledby="offerModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="offerModalLabel">Offer</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body append-view"></div>
            </div>
        </div>
    </div>
    --}}
@endsection

@section('script')
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script src="{{ asset('theme/js/select2.full.min.js') }}"></script>

    {{--
    <script type="text/javascript">
        if (timeFormat == 12){
            var DateTimeFormat      = 'MM/DD/YYYY hh:mm A';
            var TimeFormat          = 'hh:mm A';
            var TimeMaskFormat      = '99:99 aa';
            var SetTime12           = '12:00 PM';
            var TimeFormatPlace     = 'HH:MM A';
        }else{
            var DateTimeFormat      = 'MM/DD/YYYY HH:mm';
            var TimeFormat          = 'HH:mm';
            var TimeMaskFormat      = '99:99';
            var SetTime12           = '12:00';
            var TimeFormatPlace     = 'HH:MM';
        }
    </script>
    <script type="text/javascript">
        var words                   = ['Please click here', 'On Hold Loads - {{ $totalOnHoldLoads }}'],
            part,
            i = 0,
            offset = 0,
            len = words.length,
            forwards = true,
            skip_count = 0,
            skip_delay = 15,
            speed = 70;
        var wordflick               = function() {
            setInterval(function() {
                if (forwards) {
                    if (offset >= words[i].length) {
                        ++skip_count;
                        if (skip_count == skip_delay) {
                            forwards = false;
                            skip_count = 0;
                        }
                    }
                } else {
                    if (offset == 0) {
                        forwards = true;
                        i++;
                        offset = 0;
                        if (i >= len) {
                            i = 0;
                        }
                    }
                }
                part = words[i].substr(0, offset);
                if (skip_count == 0) {
                    if (forwards) {
                        offset++;
                    } else {
                        offset--;
                    }
                }
                $('.word').text(part);
            }, speed);
        };
    </script>
    --}}

    <script type="text/javascript">
        function initializeStatusWidget() {
            $.widget( "custom.selectmenu", $.ui.selectmenu, {
                _setText: function( element, value ) {
                    if(value == "Pending"){
                        element.addClass('d-flex pl-2 pr-0').html('<img src="{!! getStatusCircleIcon('Pending') !!}" alt="" /><span class="ml-1">'+ value +'</span>');
                    }else if(value == "Preplaned"){
                        element.addClass('d-flex pl-2 pr-0').html('<img src="{!! getStatusCircleIcon('Preplaned') !!}" alt="" /><span class="ml-1">'+ value +'</span>');
                    }else if(value == "Confirmed"){
                        element.addClass('d-flex pl-2 pr-0').html('<img src="{!! getStatusCircleIcon('Confirmed') !!}" alt="" /><span class="ml-1">'+ value +'</span>');
                    }else if(value == "In Transit"){
                        element.addClass('d-flex pl-2 pr-0').html('<img src="{!! getStatusCircleIcon('In Transit') !!}" alt="" /><span class="ml-1">'+ value +'</span>');
                    }else if(value == "On Hold"){
                        element.addClass('d-flex pl-2 pr-0').html('<img src="{!! getStatusCircleIcon('On Hold') !!}" alt="" /><span class="ml-1">'+ value +'</span>');
                    }else{
                        element.text(value);
                    }
                },
                _renderItem: function( ul, item ) {
                    let li = $( "<li>" ),
                        wrapper = $("<div>", { text: item.label } );
                    if (item.disabled) {
                        li.addClass( "ui-state-disabled" );
                    }
                    $("<span>", {
                        style: item.element.attr("data-style"),
                        "class": "ui-icon " + item.element.attr("data-class")
                    }).appendTo(wrapper);
                    return li.append(wrapper).appendTo(ul);
                }
            });

            $(".updateStatus").selectmenu({
                change: function( event, ui ) {
                    let status = ui.item.value;
                    let loadId = ui.item.element[0].attributes[3].value;
                    let dataTable = ui.item.element[0].attributes[4].value;

                    //console.log(status, loadId, dataTable);

                    if(status == 7){
                        $("#holdStatus").modal('show');
                        $("#listName").val(dataTable);
                        $("#loadId").val(loadId);
                    }else{
                        $.ajax({
                            type: 'POST',
                            url: '{!! route("company.admin.dispatch.update.load.status") !!}',
                            data: {
                                loadId:loadId,
                                status:status
                            },
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                        }).done(function(response) {
                            if(response.success){
                                toastr.success(response.message, 'Success Alert', { timeOut: 5000 });

                                $('.on-hold-load-data-table').DataTable().ajax.reload(null, false);
                                $('.planned-load-data-table').DataTable().ajax.reload(null, false);
                                $('.in-transit-loads-data-table').DataTable().ajax.reload(null, false);
                                $('.all-dispatch-data-table').DataTable().ajax.reload(null, false);
                            }else{
                                toastr.error(response.message, {
                                    timeOut: 5000
                                });
                            }
                        });
                    }

                    return false;
                }
            }).selectmenu("menuWidget").addClass("ui-menu-icons avatar");
        }
    </script>

    <script type="text/javascript">
        // On Hold Loads DataTable - START
        var onHoldLoadTable = $('.on-hold-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "{{ perPageView() }}",
            ordering: false,
            order: [],
            ajax: {
                url: "{{ route('company.admin.on.hold.loads.list') }}",
                data: function (d) {
                    d.team_id       = $('.planned-team-select').val(),
                    d.equipment     = $('.planned-equipment-select').val(),
                    d.dispatcher    = $('.planned-dispatcher-select').val()
                    <?php foreach($getField as $key => $filed): ?>
                    d.search_string_value_{{$key}} = $('#search_string_{{$key}}_table1').val();
                    d.search_string_name_{{$key}} = $('#stringKey{{$key}}_table1').val();
                    d.search_string_type_{{$key}} = $('#stringType{{$key}}_table1').val();
                    d.search_table_name_{{$key}} = $('#stringTableType{{$key}}_table1').val();
                    d.search_string_condition_{{$key}} = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                    d.search_string_sort_{{$key}} = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                    d.search_string_relation_table_{{$key}} = $('#stringRelationTable{{$key}}_table1').val();
                    d.search_string_col_name1_{{$key}} = $('#stringColName1{{$key}}_table1').val();
                    d.search_string_col_name2_{{$key}} = $('#stringColName2{{$key}}_table1').val();
                    d.search_string_static_{{$key}} = $('#stringStatic{{$key}}_table1').val();

                    d.search_string_having_{{$key}} = $('#stringHaving{{$key}}_table1').val();

                    d.search_date_from_value_{{$key}} = $('#search_date_{{$key}}_table1').val();
                    d.search_date_to_value_{{$key}} = $('#search_date_end_{{$key}}_table1').val();
                    d.search_date_name_{{$key}} = $('#dateKey{{$key}}_table1').val();
                    d.search_date_type_{{$key}} = $('#dateType{{$key}}_table1').val();
                    d.search_date_table_name_{{$key}} = $('#dateTableType{{$key}}_table1').val();
                    d.search_date_condition_{{$key}} = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                    d.search_date_sort_{{$key}} = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                    <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_{{$key}}_{{$ke}} = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                    <?php endforeach; ?>

                    d.search_status_condition_{{$key}} = $('#is_status_condition_applied{{$key}}').val();
                    d.search_status_name_{{$key}} = $('#statusOrgColName{{$key}}').val();
                    d.search_status_table_name_{{$key}} = $('#statusTableType{{$key}}').val();
                    d.search_status_sort_{{$key}} = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                    d.search_status_sort_column_{{$key}} = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalOnHoldLoads").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalOnHoldLoads").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                {{--
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?> {
                        data: '{{ $key }}',
                        name: '{{ $key }}',
                        orderable: @if($filed == 1 && isset(config('settings.table_dispatchhub1')[$key]['orderable'])) {{ ((config('settings.table_dispatchhub1')[$key]['orderable'] == 1) ? 'true' : 'false') }} @endif,
                        searchable: true
                    },
                    <?php endif; ?>
                <?php endforeach; ?>
                --}}
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_dispatchhub1')[$key]['name'])): ?>
                            <?php if(config("settings.table_dispatchhub1")[$key]["orderable"] == 1 && config("settings.table_dispatchhub1")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_dispatchhub1")[$key]["orderable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_dispatchhub1")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
            fnDrawCallback: function( oSettings ) {
                initializeStatusWidget();
            }
        });

        function onHoldLoadChildRows(rowData){
            let div = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
            $.ajax({
                url: '{!! route("company.admin.on.hold.loads.list.child") !!}',
                data: {
                    rowData: rowData.child_content,
                },
                dataType: "json",
                success: function(response) {
                    if(response.success && response.childHtml != ""){
                        div.after($.parseHTML(response.childHtml))
                        div.remove();

                        initializeStatusWidget();
                    }else{
                        div.html('<p class="text-center">No data found</p>');
                    }
                },
                error: function () {
                    div.html('<p class="text-center">Something went wrong!</p>');
                }
            });

            return div;
        }

        $('.on-hold-load-data-table tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = onHoldLoadTable.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:first').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(onHoldLoadChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:first').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });
        // On Hold Loads DataTable - END

        // Available Drivers DataTable - START
        var availableDriversTable   = $('.available-drivers-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "{{ perPageView() }}",
            ordering: false,
            order: [],
            ajax: {
                url: "{{ route('company.admin.available.drivers.list') }}",
                data: function (d) {
                    d.team_id       = $('.available-drivers-team-select').val(),
                        d.equipment     = $('.available-drivers-equipment-select').val(),
                        d.dispatcher    = $('.available-drivers-dispatcher-select').val()
                    <?php foreach($getField3 as $key => $filed): ?>
                        d.search_string_value_{{$key}} = $('#search_string_{{$key}}_table3').val();
                    d.search_string_name_{{$key}} = $('#stringKey{{$key}}_table3').val();
                    d.search_string_type_{{$key}} = $('#stringType{{$key}}_table3').val();
                    d.search_table_name_{{$key}} = $('#stringTableType{{$key}}_table3').val();
                    d.search_string_condition_{{$key}} = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                    d.search_string_sort_{{$key}} = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                    d.search_string_relation_table_{{$key}} = $('#stringRelationTable{{$key}}_table3').val();
                    d.search_string_col_name1_{{$key}} = $('#stringColName1{{$key}}_table3').val();
                    d.search_string_col_name2_{{$key}} = $('#stringColName2{{$key}}_table3').val();
                    d.search_string_static_{{$key}} = $('#stringStatic{{$key}}_table3').val();
                    d.search_string_having_{{$key}} = $('#stringHaving{{$key}}_table3').val();
                    d.search_string_concatws_{{$key}} = $('#stringConcatws{{$key}}_table3').val();
                    d.search_string_orcol2_{{$key}} = $('#stringOrCol2{{$key}}_table3').val();
                    d.search_string_notnull_{{$key}} = $('#stringNotNull{{$key}}_table3').val();

                    d.search_date_from_value_{{$key}} = $('#search_date_{{$key}}').val();
                    d.search_date_to_value_{{$key}} = $('#search_date_end_{{$key}}').val();
                    d.search_date_name_{{$key}} = $('#dateKey{{$key}}').val();
                    d.search_date_type_{{$key}} = $('#dateType{{$key}}').val();
                    d.search_date_table_name_{{$key}} = $('#dateTableType{{$key}}').val();
                    d.search_date_condition_{{$key}} = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                    d.search_date_sort_{{$key}} = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_{{$key}}_{{$ke}} = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                    <?php endforeach; ?>
                        d.search_status_condition_{{$key}} = $('#is_status_condition_applied{{$key}}').val();
                    d.search_status_name_{{$key}} = $('#statusOrgColName{{$key}}').val();
                    d.search_status_table_name_{{$key}} = $('#statusTableType{{$key}}').val();
                    d.search_status_sort_{{$key}} = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                    d.search_status_sort_column_{{$key}} = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalAvailableDrivers").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalAvailableDrivers").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                    <?php foreach($getField3 as $key => $filed): ?>
                        <?php if($filed == 1): ?>
                            <?php if(isset(config('settings.table_dispatchhub3')[$key]['name'])): ?>
                                <?php if(config("settings.table_dispatchhub3")[$key]["orderable"] == 1 && config("settings.table_dispatchhub3")[$key]["searchable"] == 1): ?>
                                    { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                <?php elseif(config("settings.table_dispatchhub3")[$key]["orderable"] == 1): ?>
                                    { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                <?php elseif(config("settings.table_dispatchhub3")[$key]["searchable"] == 1): ?>
                                    { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                <?php else: ?>
                                    { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endforeach; ?>
            ],
            createdRow: function (row, data, index) {
                $(row).attr('data-id', data.id);
            }
        });

        function availableDriversChildRows(rowData) {
            let div = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
            $.ajax({
                url: '{!! route("company.admin.available.drivers.list.child") !!}',
                data: {
                    rowData: rowData.child_content,
                },
                dataType: "json",
                success: function(response) {
                    if(response.success && response.childHtml != ""){
                        div.after($.parseHTML(response.childHtml))
                        div.remove();
                    }else{
                        div.html('<p class="text-center">No data found</p>');
                    }
                },
                error: function () {
                    div.html('<p class="text-center">Something went wrong!</p>');
                }
            });

            return div;
        }

        $('.available-drivers-data-table tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = availableDriversTable.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
            } else {
                row.child(availableDriversChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
            }
        });
        // Available Drivers DataTable - END

        // Planned Loads DataTable - START
        var plannedLoadTable        = $('.planned-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "{{ perPageView() }}",
            ordering: false,
            order: [],
            ajax: {
                url: "{{ route('company.admin.planned.loads.list') }}",
                data: function (d) {
                    d.team_id       = $('.planned-team-select').val(),
                    d.equipment     = $('.planned-equipment-select').val(),
                    d.dispatcher    = $('.planned-dispatcher-select').val()
                    <?php foreach($getField4 as $key => $filed): ?>
                    d.search_string_value_{{$key}} = $('#search_string_{{$key}}_table4').val();
                    d.search_string_name_{{$key}} = $('#stringKey{{$key}}_table4').val();
                    d.search_string_type_{{$key}} = $('#stringType{{$key}}_table4').val();
                    d.search_table_name_{{$key}} = $('#stringTableType{{$key}}_table4').val();
                    d.search_string_condition_{{$key}} = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                    d.search_string_sort_{{$key}} = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                    d.search_string_relation_table_{{$key}} = $('#stringRelationTable{{$key}}_table4').val();
                    d.search_string_col_name1_{{$key}} = $('#stringColName1{{$key}}_table4').val();
                    d.search_string_col_name2_{{$key}} = $('#stringColName2{{$key}}_table4').val();
                    d.search_string_static_{{$key}} = $('#stringStatic{{$key}}_table4').val();
                    d.search_string_having_{{$key}} = $('#stringHaving{{$key}}_table4').val();
                    d.search_string_concatws_{{$key}} = $('#stringConcatws{{$key}}_table4').val();
                    d.search_string_orcol2_{{$key}} = $('#stringOrCol2{{$key}}_table4').val();
                    d.search_string_notnull_{{$key}} = $('#stringNotNull{{$key}}_table4').val();
                    d.search_date_from_value_{{$key}} = $('#search_date_{{$key}}_table4').val();
                    d.search_date_to_value_{{$key}} = $('#search_date_end_{{$key}}_table4').val();
                    d.search_date_name_{{$key}} = $('#dateKey{{$key}}_table4').val();
                    d.search_date_type_{{$key}} = $('#dateType{{$key}}_table4').val();
                    d.search_date_table_name_{{$key}} = $('#dateTableType{{$key}}_table4').val();
                    d.search_date_condition_{{$key}} = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                    d.search_date_sort_{{$key}} = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();
                    <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_{{$key}}_{{$ke}} = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                    <?php endforeach; ?>
                    d.search_status_condition_{{$key}} = $('#is_status_condition_applied{{$key}}').val();
                    d.search_status_name_{{$key}} = $('#statusOrgColName{{$key}}').val();
                    d.search_status_table_name_{{$key}} = $('#statusTableType{{$key}}').val();
                    d.search_status_sort_{{$key}} = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                    d.search_status_sort_column_{{$key}} = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalPlannedLoads").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalPlannedLoads").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                {{--
                <?php foreach($getField4 as $key => $filed): ?>
                    <?php if($filed == 1): ?> {
                        data: '{{ $key }}',
                        name: '{{ $key }}',
                        orderable: @if($filed == 1 && isset(config('settings.table_dispatchhub4')[$key]['orderable'])) {{ ((config('settings.table_dispatchhub4')[$key]['orderable'] == 1) ? 'true' : 'false') }} @endif,
                        searchable: true
                    },
                    <?php endif; ?>
                <?php endforeach; ?>
                --}}
                <?php foreach($getField4 as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_dispatchhub4')[$key]['name'])): ?>
                            <?php if(config("settings.table_dispatchhub4")[$key]["orderable"] == 1 && config("settings.table_dispatchhub4")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_dispatchhub4")[$key]["orderable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_dispatchhub4")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
            createdRow: function(row, data, index) {
                if(data.load_trip_id != null){
                    if(TrimbleMaps.APIKey){
                        $.ajax({
                            type: 'GET',
                            url: "https://tripmanagement.alk.com/api/trip?tripId=" + data.load_trip_id,
                            dataType: 'json',
                            async: true,
                            headers: {
                                'Accept': 'application/json',
                                'Authorization': TrimbleMaps.APIKey
                            },
                            beforeSend: function() {
                                $(row).find('td').eq({!! array_search('eta', array_keys($getField4)) !!}).html('loading...');
                            },
                            success: function(response) {
                                if(response.stops.length > 0){
                                    $format = ('{!!  getTimeLayout()!!}' == "m/d/Y h:i A") ? "MM/DD/YYYY hh:mm A" : "MM/DD/YYYY HH:mm";
                                    let etaDateTime = moment(response.stops[response.stops.length - 1].currentETA).tz('{!! getTimeZone() !!}').format($format);
                                    $(row).find('td').eq({!! array_search('eta', array_keys($getField4)) !!}).html(etaDateTime);
                                }
                            },
                        });
                    }
                }
            },
            fnDrawCallback: function( oSettings ) {
                initializeStatusWidget();
            }
        });

        function plannedLoadChildRows(rowData) {
            let div = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
            $.ajax({
                url: '{!! route("company.admin.planned.loads.list.child") !!}',
                data: {
                    rowData: rowData.child_content,
                },
                dataType: "json",
                success: function(response) {
                    if(response.success && response.childHtml != ""){
                        div.after($.parseHTML(response.childHtml))
                        div.remove();

                        initializeStatusWidget();
                    }else{
                        div.html('<p class="text-center">No data found</p>');
                    }
                },
                error: function () {
                    div.html('<p class="text-center">Something went wrong!</p>');
                }
            });

            return div;
        }

        $('.planned-load-data-table tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = plannedLoadTable.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:first').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(plannedLoadChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:first').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });
        // Planned Loads DataTable - END

        // In Transit Loads DataTable - START
        var inTransitLoadTable      = $('.in-transit-loads-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "{{ perPageView() }}",
            ordering: false,
            order: [],
            ajax: {
                url: "{{ route('company.admin.in.transit.loads.list') }}",
                data: function (d) {
                    d.team_id       = $('.in-transit-team-select').val(),
                        d.equipment     = $('.in-transit-equipment-select').val(),
                        d.dispatcher    = $('.in-transit-dispatcher-select').val()
                    <?php foreach($getField2 as $key => $filed): ?>
                        d.search_string_value_{{$key}} = $('#search_string_{{$key}}_table2').val();
                        d.search_string_name_{{$key}} = $('#stringKey{{$key}}_table2').val();
                        d.search_string_type_{{$key}} = $('#stringType{{$key}}_table2').val();
                        d.search_table_name_{{$key}} = $('#stringTableType{{$key}}_table2').val();
                        d.search_string_condition_{{$key}} = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}} = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                        d.search_string_relation_table_{{$key}} = $('#stringRelationTable{{$key}}_table2').val();
                        d.search_string_col_name1_{{$key}} = $('#stringColName1{{$key}}_table2').val();
                        d.search_string_col_name2_{{$key}} = $('#stringColName2{{$key}}_table2').val();
                        d.search_string_static_{{$key}} = $('#stringStatic{{$key}}_table2').val();
                        d.search_string_having_{{$key}} = $('#stringHaving{{$key}}_table2').val();
                        d.search_string_concatws_{{$key}} = $('#stringConcatws{{$key}}_table2').val();
                        d.search_string_orcol2_{{$key}} = $('#stringOrCol2{{$key}}_table2').val();
                        d.search_string_notnull_{{$key}} = $('#stringNotNull{{$key}}_table2').val();

                        d.search_date_from_value_{{$key}} = $('#search_date_{{$key}}_table2').val();
                        d.search_date_to_value_{{$key}} = $('#search_date_end_{{$key}}_table2').val();
                        d.search_date_name_{{$key}} = $('#dateKey{{$key}}_table2').val();
                        d.search_date_type_{{$key}} = $('#dateType{{$key}}_table2').val();
                        d.search_date_table_name_{{$key}} = $('#dateTableType{{$key}}_table2').val();
                        d.search_date_condition_{{$key}} = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}} = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}} = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>
                        d.search_status_condition_{{$key}} = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}} = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}} = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}} = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}} = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalInTransitLoads").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalInTransitLoads").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                {{--
                    <?php foreach($getField2 as $key => $filed): ?>
                        <?php if($filed == 1): ?> {
                    data: '{{ $key }}',
                    name: '{{ $key }}',
                    orderable: @if($filed == 1 && isset(config('settings.table_dispatchhub2')[$key]['orderable'])) {{ ((config('settings.table_dispatchhub2')[$key]['orderable'] == 1) ? 'true' : 'false') }} @endif,
                    searchable: true
                },
                <?php endif; ?>
                <?php endforeach; ?>
                --}}
                <?php foreach($getField2 as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_dispatchhub2')[$key]['name'])): ?>
                            <?php if(config("settings.table_dispatchhub2")[$key]["orderable"] == 1 && config("settings.table_dispatchhub2")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_dispatchhub2")[$key]["orderable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_dispatchhub2")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
            fnDrawCallback: function( oSettings ) {
                initializeStatusWidget();
            },
            createdRow: function(row, data, index) {
                if(data.load_trip_id != null){
                    if(TrimbleMaps.APIKey) {
                        $.ajax({
                            type: 'GET',
                            url: "https://tripmanagement.alk.com/api/trip?tripId=" + data.load_trip_id,
                            dataType: 'json',
                            async: true,
                            headers: {
                                'Accept': 'application/json',
                                'Authorization': TrimbleMaps.APIKey
                            },
                            beforeSend: function () {
                                $(row).find('td').eq({!! array_search('eta', array_keys($getField2)) !!}).html('loading...');
                            },
                            success: function (response) {
                                if (response.stops.length > 0) {
                                    $format = ('{!!  getTimeLayout()!!}' == "m/d/Y h:i A") ? "MM/DD/YYYY hh:mm A" : "MM/DD/YYYY HH:mm";
                                    let etaDateTime = moment(response.stops[response.stops.length - 1].currentETA).tz('{!! getTimeZone() !!}').format($format);
                                    $(row).find('td').eq({!! array_search('eta', array_keys($getField2)) !!}).html(etaDateTime);
                                }
                            },
                        });
                    }
                }
            }
        });

        function inTransitLoadChildRows(rowData) {
            let div = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
            $.ajax({
                url: '{!! route("company.admin.in.transit.loads.list.child") !!}',
                data: {
                    rowData: rowData.child_content,
                },
                dataType: "json",
                success: function(response) {
                    if(response.success && response.childHtml != ""){
                        div.after($.parseHTML(response.childHtml))
                        div.remove();

                        initializeStatusWidget();
                    }else{
                        div.html('<p class="text-center">No data found</p>');
                    }
                },
                error: function () {
                    div.html('<p class="text-center">Something went wrong!</p>');
                }
            });

            return div;
        }

        $('.in-transit-loads-data-table tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = inTransitLoadTable.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:first').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(inTransitLoadChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:first').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });
        // In Transit Loads DataTable - END

        // Available Loads DataTable - START
        var availableLoadTable      = $('.available-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "{{ perPageView() }}",
            ordering: false,
            order: [],
            ajax: {
                url: "{{ route('company.admin.available.loads.list') }}",
                data: function (d) {
                    d.team_id       = $('.available-load-team-select').val(),
                    d.equipment     = $('.available-load-equipment-select').val(),
                    d.dispatcher    = $('.available-load-dispatcher-select').val()
                    <?php foreach($getField5 as $key => $filed): ?>
                    d.search_string_value_{{$key}} = $('#search_string_{{$key}}_table5').val();
                    d.search_string_name_{{$key}} = $('#stringKey{{$key}}_table5').val();
                    d.search_string_type_{{$key}} = $('#stringType{{$key}}_table5').val();
                    d.search_table_name_{{$key}} = $('#stringTableType{{$key}}_table5').val();
                    d.search_string_condition_{{$key}} = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                    d.search_string_sort_{{$key}} = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                    d.search_string_relation_table_{{$key}} = $('#stringRelationTable{{$key}}_table5').val();
                    d.search_string_col_name1_{{$key}} = $('#stringColName1{{$key}}_table5').val();
                    d.search_string_col_name2_{{$key}} = $('#stringColName2{{$key}}_table5').val();
                    d.search_string_static_{{$key}} = $('#stringStatic{{$key}}_table5').val();
                    d.search_string_having_{{$key}} = $('#stringHaving{{$key}}_table5').val();
                    d.search_date_from_value_{{$key}} = $('#search_date_{{$key}}_table5').val();
                    d.search_date_to_value_{{$key}} = $('#search_date_end_{{$key}}_table5').val();
                    d.search_date_name_{{$key}} = $('#dateKey{{$key}}_table5').val();
                    d.search_date_type_{{$key}} = $('#dateType{{$key}}_table5').val();
                    d.search_date_table_name_{{$key}} = $('#dateTableType{{$key}}_table5').val();
                    d.search_date_condition_{{$key}} = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                    d.search_date_sort_{{$key}} = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();
                    <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_{{$key}}_{{$ke}} = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                    <?php endforeach; ?>
                    d.search_status_condition_{{$key}} = $('#is_status_condition_applied{{$key}}').val();
                    d.search_status_name_{{$key}} = $('#statusOrgColName{{$key}}').val();
                    d.search_status_table_name_{{$key}} = $('#statusTableType{{$key}}').val();
                    d.search_status_sort_{{$key}} = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                    d.search_status_sort_column_{{$key}} = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalAvailableLoads").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalAvailableLoads").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                {{--
                <?php foreach($getField5 as $key => $filed): ?>
                    <?php if($filed == 1): ?> {
                        data: '{{ $key }}',
                        name: '{{ $key }}',
                        orderable: @if($filed == 1 && isset(config('settings.table_dispatchhub5')[$key]['orderable'])) {{ ((config('settings.table_dispatchhub5')[$key]['orderable'] == 1) ? 'true' : 'false') }} @endif,
                        searchable: true
                    },
                    <?php endif; ?>
                <?php endforeach; ?>
                --}}
                <?php foreach($getField5 as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_dispatchhub5')[$key]['name'])): ?>
                            <?php if(config("settings.table_dispatchhub5")[$key]["orderable"] == 1 && config("settings.table_dispatchhub5")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_dispatchhub5")[$key]["orderable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_dispatchhub5")[$key]["searchable"] == 1): ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });
        // Available Loads DataTable - END

        // All Dispatch - START
        var allDispatchLoadTable      = $('.all-dispatch-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "{{ perPageView() }}",
            ordering: false,
            order: [],
            ajax: {
                url: "{{ route('company.admin.all.dispatch.loads.list') }}",
                data: function (d) {
                        d.team_id       = $('.in-transit-team-select').val(),
                        d.equipment     = $('.in-transit-equipment-select').val(),
                        d.dispatcher    = $('.in-transit-dispatcher-select').val()
                    <?php foreach($getField7 as $key => $filed): ?>
                        d.search_string_value_{{$key}} = $('#search_string_{{$key}}_table7').val();
                        d.search_string_name_{{$key}} = $('#stringKey{{$key}}_table7').val();
                        d.search_string_type_{{$key}} = $('#stringType{{$key}}_table7').val();
                        d.search_table_name_{{$key}} = $('#stringTableType{{$key}}_table7').val();
                        d.search_string_condition_{{$key}} = $("input[type='radio'][name='condition{{$key}}']:checked").val();
                        d.search_string_sort_{{$key}} = $("input[type='radio'][name='string_sort_{{$key}}']:checked").val();
                        d.search_string_relation_table_{{$key}} = $('#stringRelationTable{{$key}}_table7').val();
                        d.search_string_col_name1_{{$key}} = $('#stringColName1{{$key}}_table7').val();
                        d.search_string_col_name2_{{$key}} = $('#stringColName2{{$key}}_table7').val();
                        d.search_string_static_{{$key}} = $('#stringStatic{{$key}}_table7').val();
                        d.search_string_having_{{$key}} = $('#stringHaving{{$key}}_table7').val();
                        d.search_string_concatws_{{$key}} = $('#stringConcatws{{$key}}_table7').val();
                        d.search_string_orcol2_{{$key}} = $('#stringOrCol2{{$key}}_table7').val();
                        d.search_string_notnull_{{$key}} = $('#stringNotNull{{$key}}_table7').val();
                        d.search_date_from_value_{{$key}} = $('#search_date_{{$key}}_table7').val();
                        d.search_date_to_value_{{$key}} = $('#search_date_end_{{$key}}_table7').val();
                        d.search_date_name_{{$key}} = $('#dateKey{{$key}}_table7').val();
                        d.search_date_type_{{$key}} = $('#dateType{{$key}}_table7').val();
                        d.search_date_table_name_{{$key}} = $('#dateTableType{{$key}}_table7').val();
                        d.search_date_condition_{{$key}} = $("input[type='radio'][name='conditiondate{{$key}}']:checked").val();
                        d.search_date_sort_{{$key}} = $("input[type='radio'][name='date_sort_{{$key}}']:checked").val();
                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_{{$key}}_{{$ke}} = $("#conditionstatus_{{$key}}_{{$ke}}:checked").val();
                        <?php endforeach; ?>
                        d.search_status_condition_{{$key}} = $('#is_status_condition_applied{{$key}}').val();
                        d.search_status_name_{{$key}} = $('#statusOrgColName{{$key}}').val();
                        d.search_status_table_name_{{$key}} = $('#statusTableType{{$key}}').val();
                        d.search_status_sort_{{$key}} = $("input[type='radio'][name='status_sort_{{$key}}']:checked").val();
                        d.search_status_sort_column_{{$key}} = $("#statusOrderColName{{$key}}").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalAllDispatch").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalAllDispatch").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                    {{--
                    <?php foreach($getField7 as $key => $filed): ?>
                        <?php if($filed == 1): ?> {
                            data: '{{ $key }}',
                            name: '{{ $key }}',
                            orderable: @if($filed == 1 && isset(config('settings.table_dispatchhub7')[$key]['orderable'])) {{ ((config('settings.table_dispatchhub7')[$key]['orderable'] == 1) ? 'true' : 'false') }} @endif,
                            searchable: true
                        },
                        <?php endif; ?>
                    <?php endforeach; ?>
                    --}}
                    <?php foreach($getField7 as $key => $filed): ?>
                        <?php if($filed == 1): ?>
                            <?php if(isset(config('settings.table_dispatchhub7')[$key]['name'])): ?>
                                <?php if(config("settings.table_dispatchhub7")[$key]["orderable"] == 1 && config("settings.table_dispatchhub7")[$key]["searchable"] == 1): ?>
                                    { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                                <?php elseif(config("settings.table_dispatchhub7")[$key]["orderable"] == 1): ?>
                                    { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                                <?php elseif(config("settings.table_dispatchhub7")[$key]["searchable"] == 1): ?>
                                    { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                                <?php else: ?>
                                    { className: '{{ $key }}', data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endforeach; ?>

            ],
            fnDrawCallback: function( oSettings ) {
                initializeStatusWidget();
            },
            createdRow: function(row, data, index) {
                if(data.load_trip_id != null){
                    if(TrimbleMaps.APIKey) {
                        $.ajax({
                            type: 'GET',
                            url: "https://tripmanagement.alk.com/api/trip?tripId=" + data.load_trip_id,
                            dataType: 'json',
                            async: true,
                            headers: {
                                'Accept': 'application/json',
                                'Authorization': TrimbleMaps.APIKey
                            },
                            beforeSend: function () {
                                $(row).find('td').eq({!! array_search('eta', array_keys($getField7)) !!}).html('loading...');
                            },
                            success: function (response) {
                                if (response.stops.length > 0) {
                                    $format = ('{!!  getTimeLayout()!!}' == "m/d/Y h:i A") ? "MM/DD/YYYY hh:mm A" : "MM/DD/YYYY HH:mm";
                                    let etaDateTime = moment(response.stops[response.stops.length - 1].currentETA).tz('{!! getTimeZone() !!}').format($format);
                                    $(row).find('td').eq({!! array_search('eta', array_keys($getField7)) !!}).html(etaDateTime);
                                }
                            },
                        });
                    }
                }
            }
        });

        function allDispatchLoadChildRows(rowData) {
            let div = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
            $.ajax({
                url: '{!! route("company.admin.all.dispatch.loads.list.child") !!}',
                data: {
                    rowData: rowData.child_content,
                },
                dataType: "json",
                success: function(response) {
                    if(response.success && response.childHtml != ""){
                        div.after($.parseHTML(response.childHtml))
                        div.remove();

                        initializeStatusWidget();
                    }else{
                        div.html('<p class="text-center">No data found</p>');
                    }
                },
                error: function () {
                    div.html('<p class="text-center">Something went wrong!</p>');
                }
            });

            return div;
        }

        $('.all-dispatch-data-table tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = allDispatchLoadTable.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:first').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(allDispatchLoadChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:first').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });
        // All Dispatch - END

        {{--
        $('<li><button type="button" class="btn btn-primary coubutton" data-toggle="modal" data-target="#exampleModal1">Columns</button></li>').appendTo(".filte1");
        // On Hold Loads DataTable Filter
        $(".on-hold-team-select, .on-hold-equipment-select, .on-hold-dispatcher-select").change(function() {
            onHoldLoadTable.draw();
        });

        $('<li><button type="button" class="btn btn-primary coubutton" data-toggle="modal" data-target="#exampleModal4">Columns</button></li>').appendTo(".filte3");
        // Planned Loads DataTable Filter
        $(".planned-team-select, .planned-equipment-select, .planned-dispatcher-select").change(function() {
            plannedLoadTable.draw();
        });

        $('<li><button type="button" class="btn btn-primary coubutton" data-toggle="modal" data-target="#exampleModal5">Columns</button></li>').appendTo(".filte4");
        // Available Loads DataTable Filter
        $(".available-load-team-select, .available-load-equipment-select, .available-load-dispatcher-select").change(function() {
            availableLoadTable.draw();
        });

        $('<li><button type="button" class="btn btn-primary coubutton" data-toggle="modal" data-target="#exampleModal2">Columns</button></li>').appendTo(".filte5");
        // In Transit Loads DataTable Filter
        $(".in-transit-team-select, .in-transit-equipment-select, .in-transit-dispatcher-select").change(function() {
            inTransitLoadTable.draw();
        });

        $('<li><button type="button" class="btn btn-primary coubutton" data-toggle="modal" data-target="#exampleModal3">Columns</button></li>').appendTo(".filte2");
        // Available Drivers DataTable Filter
        $(".available-drivers-team-select, .available-drivers-equipment-select, .available-drivers-dispatcher-select").change(function() {
            availableDriversTable.draw();
        });

        $('<a type="button" class="refreshAll btn btn-primary ml-3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
        $('<a type="button" id="clearAll{{str_replace("settings.","",$tableName1)}}" class="clearAll filter_{{str_replace("settings.","",$tableName1)}} d-none btn btn-orange ml-3 {{str_replace("settings.","",$tableName1)}}">Clear filters</a>').prependTo(".dataTables_filter");

        $('<button type="button" class="btn btn-primary ml-2" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".cusotdiv");
        --}}
    </script>

    {{--
    <script type="text/javascript">
        $(document).on('click', '.offerButton', function(event) {
            event.preventDefault();
            // console.log('offerButton');
            // return false;
            let href        = $(this).attr('data-href');
            let id          = $(this).attr('data-id');
            let offer_id    = $(this).attr('data-offer_id');
            var formData    = {};
            formData['id']  = id;
            if (typeof offer_id !== "undefined") {
                formData['offer_id'] = offer_id;
            }
            $.ajax({
                type: 'POST',
                url: href,
                data: formData,
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                beforeSend: function() {
                    $('#offerModal').modal({backdrop: 'static', keyboard: false}, 'show');
                },
                success: function(response) {
                    if(response.success){
                        var html = response.html;
                        if(typeof html !== "undefined"){
                            $('#offerModal').find('.append-view').html(html);

                            setTimeout(function() {
                                setPhoneNumber();

                                var modalForm       = $('#offerModal #offerForm');

                                var brokerage_firm  = modalForm.find('select[name="brokerage_firm"]');
                                if(brokerage_firm.hasClass("select2-hidden-accessible")) {
                                    brokerage_firm.select2('destroy');
                                }
                                brokerage_firm.select2({
                                    dropdownParent: $("#offerModal")
                                }).on("select2:select", function(event) {
                                    var value   = $(event.currentTarget).find("option:selected").val();
                                    if(value!=''){
                                        $.ajax({
                                            url: "/company-admin/loads/broker-info",
                                            method: "POST",
                                            data: { id: value},
                                            dataType: 'json',
                                            headers: {
                                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                            },
                                            success: function(response) {
                                                if (response.data) {
                                                    modalForm.find('input[name="brokerage_mc"]').val(response.data.mc_number);
                                                } else {
                                                    modalForm.find('input[name="brokerage_mc"]').val('');
                                                }
                                            }
                                        });
                                    }else{
                                        modalForm.find('input[name="brokerage_mc"]').val('');
                                    }
                                });

                                modalForm.find('input[name="shipper_date_time"]').datetimepicker({
                                    format: DateTimeFormat,
                                    useCurrent: false,
                                }).on('dp.change', function(e) {
                                    getWeeklyFuelSurcharge();
                                });

                                modalForm.find('input[name="delivery_date_time"]').datetimepicker({
                                    format: DateTimeFormat,
                                    useCurrent: false,
                                });
                            }, 250);
                        }else{
                            toastr.error(
                                'Oops! Something went wrong..',
                                'Error Alert', {
                                    timeOut: 1000,
                                    fadeOut: 1000,
                                    onHidden: function () {
                                        $('#offerModal').modal('hide');
                                    }
                                }
                            );
                        }
                    }else{
                        toastr.error(
                            response.message,
                            'Error Alert', {
                                timeOut: 1000,
                                fadeOut: 1000,
                                onHidden: function () {
                                    $('#offerModal').modal('hide');
                                }
                            }
                        );
                    }
                },
                complete: function() {
                    //console.log('complete');
                },
                error: function(jqXHR, status, exception) {
                    if (jqXHR.status === 0) {
                        error = 'Not connected.\nPlease verify your network connection.';
                    } else if (jqXHR.status == 404) {
                        error = 'The requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        error = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        error = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        error = 'Time out error.';
                    } else if (exception === 'abort') {
                        error = 'Ajax request aborted.';
                    } else {
                        error = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    toastr.error(
                        error,
                        'Error Alert', {
                            timeOut: 1000,
                            fadeOut: 1000,
                            onHidden: function () {
                                $('#offerModal').modal('hide');
                            }
                        }
                    );
                }
            });
        });
        $(document).on('click', '#offerModal .star-icon', function(event) {
            event.preventDefault();
            var that = $(this);
            if (that.hasClass("active")) {
                that.attr("src", "{{ asset('theme/img/star.png') }}").removeClass('active');
            }else{
                that.attr("src", "{{ asset('theme/img/star-1.png') }}").addClass('active');
            }
        });
        $(document).on('keypress', '#offerModal .number', function(event) {
            if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
                event.preventDefault();
            }
        });
        $(document).on('click', 'img[data-datepickerimage]', function(event) {
            event.preventDefault();
            var that    = $(this);
            if (that.attr('data-datepickerimage') == '1') {
                var ele = $(this).parent().find('input');
                ele.focus();
                that.attr('data-datepickerimage', '0');
            } else {
                that.attr('data-datepickerimage', '1');
            }
        });
        $(document).on("keyup change", ".evalute-miles", function(event) {
            var sum         = 0;
            $('.evalute-miles').each(function() {
                var val = $(this).val();
                if (val != "") {
                    sum += parseFloat(val);
                }
            });
            $('#offerModal input[name="total_miles"]').val(sum);
        });
        $(document).on("click", ".save-offer-btn", function(e) {
            event.preventDefault();
            // console.log('save-offer-btn');
            // return false;
            var that                = $(this);
            var btnTxt              = that.text();

            var form                = $('#offerModal #offerForm');
            var status              = form.find('.status-txt').attr('data-status');
            var parsley             = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var favorite        = 'No';
                if(form.find('.star-icon').hasClass('active')){
                    favorite        = 'Yes'
                }
                var formData        = new FormData(form[0]);
                formData.append('favorite', favorite);
                $.ajax({
                    type: 'POST',
                    url: "{{ route('company.admin.book.offer.save') }}",
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if(response.success){
                            var offer = response.offer;
                            if (typeof offer !== "undefined") {
                                form.find('input[name="offer_id"]').val(offer.id);
                                form.find('.status-txt').attr('data-status', offer.status);
                                if(offer.status==0){
                                    form.find('.status-txt').html('Pending');
                                }
                                form.find('.offer-history-table').html(response.offerHistory);
                                if(form.find('input[name="rate_offered"]').val()!=''){
                                    form.find('input[name="counter_offer"]').prop("disabled", false);
                                }else{
                                    form.find('input[name="counter_offer"]').prop("disabled", true).val('');
                                }
                                toastr.success(
                                    response.message,
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            $('#offerModal').modal('hide');
                                        }
                                    }
                                );
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert');
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert');
                    }
                });
                return false;
            }
        });
        $(document).on("click", ".reserve-offer-btn", function(e) {
            event.preventDefault();
            // console.log('reserve-offer-btn');
            // return false;
            var that                = $(this);
            var btnTxt              = that.text();

            var form                = $('#offerModal #offerForm');
            var status              = form.find('.status-txt').attr('data-status');
            var parsley             = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var favorite        = 'No';
                if(form.find('.star-icon').hasClass('active')){
                    favorite        = 'Yes'
                }
                var formData        = new FormData(form[0]);
                formData.append('favorite', favorite);
                formData.append('status', 2); //Reserved
                $.ajax({
                    type: 'POST',
                    url: "{{ route('company.admin.book.offer.save') }}",
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if(response.success){
                            that.prop('disabled', false).html('Cancel Reservation').addClass('cancel-reserve-offer-btn').removeClass('reserve-offer-btn');
                            var offer = response.offer;
                            if (typeof offer !== "undefined") {
                                form.find('input[name="offer_id"]').val(offer.id);
                                form.find('.status-txt').attr('data-status', offer.status);
                                if(offer.status==2){
                                    form.find('.status-txt').html('Reserved');
                                }
                                form.find('.offer-history-table').html(response.offerHistory);
                                if(form.find('input[name="rate_offered"]').val()!=''){
                                    form.find('input[name="counter_offer"]').prop("disabled", false);
                                }else{
                                    form.find('input[name="counter_offer"]').prop("disabled", true).val('');
                                }
                                toastr.success(
                                    'Offer reserved successfully.',
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            $('#offerModal').modal('hide');
                                        }
                                    }
                                );
                            }
                        }else{
                            that.prop('disabled', false).html(btnTxt);
                            toastr.error(response.message, 'Error Alert');
                        }
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        that.prop('disabled', false).html(btnTxt);
                        toastr.error(error, 'Error Alert');
                    }
                });
                return false;
            }
        });
        $(document).on("click", ".book-load-btn", function(e) {
            event.preventDefault();
            // console.log('book-load-btn');
            // return false;
            var that                = $(this);
            var btnTxt              = that.text();

            var form                = $('#offerModal #offerForm');
            var status              = form.find('.status-txt').attr('data-status');
            var parsley             = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var favorite        = 'No';
                if(form.find('.star-icon').hasClass('active')){
                    favorite        = 'Yes'
                }
                var formData        = new FormData(form[0]);
                formData.append('favorite', favorite);
                $.ajax({
                    type: 'POST',
                    url: "{{ route('company.admin.book.offer.save') }}",
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if(response.success){
                            var offer = response.offer;
                            if (typeof offer !== "undefined") {
                                form.find('input[name="offer_id"]').val(offer.id);
                                form.find('.status-txt').attr('data-status', offer.status);
                                if(offer.status==0){
                                    form.find('.status-txt').html('Pending');
                                }
                                form.find('.offer-history-table').html(response.offerHistory);
                                if(form.find('input[name="rate_offered"]').val()!=''){
                                    form.find('input[name="counter_offer"]').prop("disabled", false);
                                }else{
                                    form.find('input[name="counter_offer"]').prop("disabled", true).val('');
                                }
                                toastr.success(
                                    'Book load successfully.',
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            window.location.href = "{{ route('company.admin.loads.create')}}?offer_id="+offer.id;
                                        }
                                    }
                                );
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert');
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert');
                    }
                });
                return false;
            }
        });
        $(document).on("click", ".counter-btn", function(e) {
            event.preventDefault();
            // console.log('counter-btn');
            // return false;
            var that                = $(this);
            var btnTxt              = that.text();

            var form                = $('#offerModal #offerForm');
            var offer_id            = form.find('input[name="offer_id"]').val();
            var counter_offer       = form.find('input[name="counter_offer"]');
            var counter_offer_val   = counter_offer.val();
            var isDisabled          = counter_offer.is(':disabled');
            if (!isDisabled){
                if(counter_offer_val==''){
                    toastr.error('Please enter counter Offer.', 'Error Alert', { timeOut: 5000 });
                    return false;
                }
                $.ajax({
                    type: 'POST',
                    url: "{{ route('company.admin.counter.offer.save') }}",
                    data: { offer_id:offer_id, counter_offer:counter_offer_val },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        that.prop('disabled', false).html(btnTxt);
                        if(response.success){
                            var offerHistory = response.offerHistory;
                            if (typeof offerHistory !== "undefined") {
                                form.find('.offer-history-table').html(response.offerHistory);
                                form.find('input[name="counter_offer"]').val('');
                                toastr.success(response.message, 'Success Alert');
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert');
                        }
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        that.prop('disabled', false).html(btnTxt);
                        toastr.error(error, 'Error Alert');
                    }
                });
                return false;
            }
        });
        $(document).on("click", ".confirm-btn", function(e) {
            event.preventDefault();
            // console.log('confirm-btn');
            // return false;
            var that                = $(this);
            var btnTxt              = that.text();

            var form                = $('#offerModal #offerForm');
            var offer_id            = form.find('input[name="offer_id"]').val();
            var agreed_upon_rate    = form.find('input[name="agreed_upon_rate"]').val();
            if(agreed_upon_rate==''){
                toastr.error('Please enter final rate.', 'Error Alert', { timeOut: 5000 });
                return false;
            }
            var parsley             = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var favorite        = 'No';
                if(form.find('.star-icon').hasClass('active')){
                    favorite        = 'Yes'
                }
                var formData        = new FormData(form[0]);
                formData.append('favorite', favorite);
                formData.append('is_final_rate', 1);
                $.ajax({
                    type: 'POST',
                    url: "{{ route('company.admin.book.offer.save') }}",
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if(response.success){
                            var offer = response.offer;
                            if (typeof offer !== "undefined") {
                                form.find('input[name="offer_id"]').val(offer.id);
                                form.find('.status-txt').attr('data-status', offer.status);
                                if(offer.status==0){
                                    form.find('.status-txt').html('Pending');
                                }
                                form.find('.offer-history-table').html(response.offerHistory);
                                if(form.find('input[name="rate_offered"]').val()!=''){
                                    form.find('input[name="counter_offer"]').prop("disabled", false);
                                }else{
                                    form.find('input[name="counter_offer"]').prop("disabled", true).val('');
                                }
                                toastr.success(
                                    'Final rate confirm successfully.',
                                    'Success Alert', {
                                        timeOut: 1000,
                                        fadeOut: 1000,
                                        onHidden: function () {
                                            //$('#offerModal').modal('hide');
                                        }
                                    }
                                );
                            }
                        }else{
                            toastr.error(response.message, 'Error Alert');
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert');
                    }
                });
                return false;
            }
        });
        $(document).on("click", ".cancel-reserve-offer-btn", function(e) {
            event.preventDefault();
            // console.log('cancel-reserve-offer-btn');
            // return false;
            var that                = $(this);
            var btnTxt              = that.text();

            var form                = $('#offerModal #offerForm');
            var offer_id            = form.find('input[name="offer_id"]').val();
            if(offer_id){
                $.ajax({
                    type: 'POST',
                    url: "{{ route('company.admin.cancel.reservation.offer') }}",
                    data: { offer_id:offer_id },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if(response.success){
                            form.find('.status-txt').attr('data-status', 0).html('Pending');
                            that.prop('disabled', false).html('Reserve Offer').addClass('reserve-offer-btn').removeClass('cancel-reserve-offer-btn');
                            toastr.success(response.message, 'Success Alert');
                        }else{
                            that.prop('disabled', false).html(btnTxt);
                            toastr.error(response.message, 'Error Alert');
                        }
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        that.prop('disabled', false).html(btnTxt);
                        toastr.error(error, 'Error Alert');
                    }
                });
                return false;
            }
        });
        $('#offerModal').on('hidden.bs.modal', function () {
            //console.log('Offer modal hidden');
            availableDriversTable.ajax.reload(null, false);
            $('#offerModal').find('.append-view').html('');
        });
        $('#offerModal').on('shown.bs.modal', function (e) {
            //console.log('Offer modal shown');
        });
        $('#offerModal').on('hide.bs.modal', function () {
            //console.log('Offer modal hide');
        });
        $('#offerModal').on('show.bs.modal', function (e) {
            //console.log('Offer modal show');
            $('#offerModal').find('.append-view').html(`
                <div class="loadingdiv">
                    <img src="{{ asset('theme/img/loading.gif') }}">
                </div>
            `);
        })
        function getWeeklyFuelSurcharge() {
            var modalForm   = $('#offerModal #offerForm');
            var start_date  = modalForm.find('input[name="shipper_date_time"]').val();
            var end_date    = "";
            $.ajax({
                type: 'POST',
                url: "/company-admin/loads/fuel-surcharge-info",
                data: {
                    start_date: start_date,
                    end_date: end_date
                },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                success: function(response) {
                    var modalForm                       = $('#offerModal #offerForm');
                    var fuel_surcharge_cost_per_mile    = modalForm.find('input[name="fuel_surcharge_cost_per_mile"]');
                    if (response.data) {
                        fuel_surcharge_cost_per_mile.val(response.data.fuel_surcharge);
                    } else {
                        fuel_surcharge_cost_per_mile.val('');
                    }
                }
            });
        }
        function getSamsaraData(row){
            var that    = $(row);
            var id      = that.attr('data-id');
            $.ajax({
                type: 'POST',
                url: '{!! route("company.admin.available.driver.samsara.data") !!}',
                data: { id: id },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                //async: false
            }).done(function(response) {
                if(response.success){
                    $.each(response.data, function (key, val) {
                        that.find('.'+key).text(val);
                    });
                }
            });
        }
    </script>
    <script type="text/javascript">
        // Available Driver View Modal
        $("body").on("click", ".show-available-driver", function() {
            var token       = $('meta[name="csrf-token"]').attr('content');
            var driver_id   = $(this).data('driver-id');
            $.ajax({
                url: "/company-admin/dispatch-hub/available-driver/view",
                method: "POST",
                data: {
                    _token: token,
                    driver_id: driver_id
                },
                success: function(response) {
                    $('#availableDriverModal').find('.append-view').html(response.view);
                }
            });
        });
        // On Hold Load Table Collapse
        $("body").on("click", ".on-hold-load-title", function() {
            $("#on-hold-load-collapsable").slideToggle();
            $(".filte1").slideToggle();
        });
        // Available Drivers Table Collapse
        $("body").on("click", ".title2", function() {
            $("#collapsable2").slideToggle();
            $(".filte2").slideToggle();
        });
        // Planned Load Table Collapse
        $("body").on("click", ".title3", function() {
            $("#collapsable3").slideToggle();
            $(".filte3").slideToggle();
        });
        // Available Load Table Collapse
        $("body").on("click", ".title4", function() {
            $("#collapsable4").slideToggle();
            $(".filte4").slideToggle();
        });
        // In Transit Load Table Collapse
        $("body").on("click", ".title5", function() {
            $("#collapsable5").slideToggle();
            $(".filte5").slideToggle();
        });

        $(function() {
            $(".sortableList").sortable();
        });
    </script>
    --}}

    {{---------- New Functionality ----------}}
    <script type="text/javascript">
        function reArrangeIndexNo(type){
            var index = 1;

            if(type == 'counter'){
                $('#counterSortable .widgets-item').each(function (key, val){
                    var that = $(this);
                    that.attr('data-index', index);
                    index++;
                });
            }else if(type == 'listing'){
                $('#listingSortable .list-item').each(function (key, val){
                    var that = $(this);
                    that.attr('data-index', index);
                    index++;
                });
            }
        }

        function filterData(isReload, isMerge, teamArr, dispatcherArr, equipmentArr, carrierArr) {
            $.ajax({
                type: 'POST',
                url: '{!! route("company.admin.dispatch.filter.data") !!}',
                data: {
                    isMerge: isMerge,
                    teamArr: teamArr,
                    dispatcherArr: dispatcherArr,
                    equipmentArr: equipmentArr,
                    carrierArr: carrierArr,
                },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
            }).done(function(response) {
                if(response.success){
                    if(isReload){
                        onHoldLoadTable.draw();
                        availableDriversTable.draw();
                        plannedLoadTable.draw();
                        inTransitLoadTable.draw();
                        availableLoadTable.draw();
                        allDispatchLoadTable.draw();
                    }
                    toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                }else{
                    toastr.error(response.message, {
                        timeOut: 5000
                    });
                }
            });
            return false;
        }

        function updateListingOrder(){
            let dataArr = [];
            $('#listingSortable .list-item').each(function (key, val){
                let that = $(this);
                let index = that.attr('data-index');
                let itemName = that.attr('data-name');
                dataArr.push({'displayNo': index, 'itemName': itemName});
            });

            $.ajax({
                type: 'POST',
                url: '{!! route("company.admin.dispatch.listing.order") !!}',
                data: { dataArr: JSON.stringify(dataArr) },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
            }).done(function(response) {
                if(response.success){
                    toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                }else{
                    toastr.error(response.message, {
                        timeOut: 5000
                    });
                }
            });
            return false;
        }

        function viewLoadComparison(driverId){
            $.ajax({
                type: 'POST',
                url: "{{ route('company.admin.dispatch.load.comparison.view') }}",
                data: { id: driverId },
                dataType: 'json',
                async: true,
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                success: function(response) {
                    if(response.success){
                        $("#loadCompare .modal-body").html('').html(response.htmlView);
                        $("#loadCompare").modal('show');
                    }
                },
            });
        }

        function changeBtnOnFilter() {
            if($("[id^='team_']").filter(':checked').length > 0 || $("[id^='dispatcher_']").filter(':checked').length > 0 || $("[id^='equipment_']").filter(':checked').length > 0 || $("[id^='carrier_']").filter(':checked').length > 0){
                if($("[id^='team_']").filter(':checked').length > 0){
                    $("#btnTeamFilter").addClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/team-white.svg') }}');
                }else{
                    $("#btnTeamFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/team.svg') }}');
                }

                if($("[id^='dispatcher_']").filter(':checked').length > 0){
                    $("#btnDispatcherFilter").addClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/headset-white.svg') }}');
                }else{
                    $("#btnDispatcherFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/headset.svg') }}');
                }

                if($("[id^='equipment_']").filter(':checked').length > 0){
                    $("#btnEquipmentFilter").addClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/compliance-equipment-white.svg') }}');
                }else{
                    $("#btnEquipmentFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/compliance-equipment.svg') }}');
                }

                if($("[id^='carrier_']").filter(':checked').length > 0){
                    $("#btnCarrierFilter").addClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/truck-white.svg') }}');
                }else{
                    $("#btnCarrierFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/truck.svg') }}');
                }

                $("#btnClearFilter").removeClass('d-none');
            }else{
                if($("[id^='team_']").filter(':checked').length == 0){
                    $("#btnTeamFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/team.svg') }}');
                }

                if($("[id^='dispatcher_']").filter(':checked').length == 0){
                    $("#btnDispatcherFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/headset.svg') }}');
                }

                if($("[id^='equipment_']").filter(':checked').length == 0){
                    $("#btnEquipmentFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/compliance-equipment.svg') }}');
                }

                if($("[id^='carrier_']").filter(':checked').length == 0){
                    $("#btnCarrierFilter").removeClass('btn-filter-applied').find('img').attr('src', '{{ asset('theme/images/truck.svg') }}');
                }

                $("#btnClearFilter").addClass('d-none');
            }
        }

        $(function () {
            $(window).load(function () {
                changeBtnOnFilter();
            });

            $(".sortableList").sortable();

            // Available Driver View Modal
            $("body").on("click", ".show-available-driver", function() {
                var token       = $('meta[name="csrf-token"]').attr('content');
                var driver_id   = $(this).data('driver-id');
                $.ajax({
                    url: "/company-admin/dispatch-hub/available-driver/view",
                    method: "POST",
                    data: {
                        _token: token,
                        driver_id: driver_id
                    },
                    success: function(response) {
                        $('#availableDriverModal').find('.append-view').html(response.view);
                    }
                });
            });

            $(document).on("click", ".btn-filter, .btn-cancel", function (){
                $(this).parent().parent().parent().find('a').trigger('click');
            });

            //New Functionalitys
            $('#counterSortable').sortable({
                items: '.widgets-item:not(.fixed)',
                axis: "y",
                cursor: 'move',
                placeholder: "movable-placeholder", //placeholder: "ui-state-highlight",
                opacity: 0.7,
                revert: 300,
                delay: 150,
                disableSelection: true,
                start: function(e, ui) {
                    ui.placeholder.height(ui.helper.outerHeight());
                },
                stop: function(e, ui) {
                },
                update:function(e, ui) {
                    reArrangeIndexNo('counter');
                }
            });

            $(document).on("click", ".updateCounterFilter", function (){
                let dataArr = []; let chkChecked = 0;
                $('#counterSortable .widgets-item').each(function (key, val){
                    let that = $(this);
                    let index = that.attr('data-index');
                    let itemName = that.attr('data-name');
                    let isActive = that.find('.form-check-input').is(':checked');
                    if(isActive){
                        chkChecked++;
                    }
                    dataArr.push({'displayNo': index, 'itemName': itemName, 'isActive': (isActive) ? '1' : '0'});
                });

                if(chkChecked < 5 || chkChecked > 5){
                    Swal.fire({
                        title: "Error!",
                        html: "<h4>Please select up to 5 widget</h4>",
                        icon: "warning",
                        confirmButtonText: "&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;",
                    });
                }else{
                    $.ajax({
                        type: 'POST',
                        url: '{!! route("company.admin.dispatch.widget.data") !!}',
                        data: { dataArr: JSON.stringify(dataArr) },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                    }).done(function(response) {
                        if(response.success){
                            let widgetData = response.widgetData;
                            $("#dispatchHubCounterDiv").html("").html(widgetData);
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        }else{
                            toastr.error(response.message, {
                                timeOut: 5000
                            });
                        }
                    });
                    return false;
                }
            });

            $('#listingSortable').sortable({
                items: '.list-item',
                handle: ".move",
                tolerance: "pointer",
                cursor: 'move',
                axis: "y",
                opacity: 0.7,
                revert: 300,
                delay: 150,
                disableSelection: true,
                placeholder: "movable-placeholder", //placeholder: "ui-state-highlight",
                start: function(e, ui) {
                    ui.placeholder.height(ui.helper.outerHeight());
                    $(ui.item).css("left", "115px");
                },
                stop: function(e, ui) {

                },
                update:function(e, ui) {
                    reArrangeIndexNo('listing');
                    updateListingOrder();
                }
            });

            // soring listing cards when page load
            $("#listingSortable .list-item").sort(function(a, b) {
                return $(a).attr("data-index") - $(b).attr("data-index");
            }).appendTo("#listingSortable");

            // Team Filter
            $(document).on("change", "#select_all_team", function (){
                if($(this).is(':checked')){
                    $('[id^="team_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="team_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='team_']", function() {
                if ($("[id^='team_']").filter(':checked').length === $("[id^='team_']").length) {
                    $("#select_all_team").prop('checked', true);
                    $("#select_all_team").parent().removeClass('select-all-dash');
                } else {
                    $("#select_all_team").prop('checked', false);

                    if($("[id^='team_']").filter(':checked').length > 0){
                        $("#select_all_team").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_team").parent().removeClass('select-all-dash');
                    }
                }
            });

            // Dispatcher Filter
            $(document).on("change", "#select_all_dispatcher", function (){
                if($(this).is(':checked')){
                    $('[id^="dispatcher_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="dispatcher_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='dispatcher_']", function (){
                if($("[id^='dispatcher_']").filter(':checked').length === $("[id^='dispatcher_']").length){
                    $("#select_all_dispatcher").prop('checked', true);
                    $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_dispatcher").prop('checked', false);

                    if($("[id^='dispatcher_']").filter(':checked').length > 0){
                        $("#select_all_dispatcher").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                    }
                }
            });

            // Equipment Filter
            $(document).on("change", "#select_all_equipment", function (){
                if($(this).is(':checked')){
                    $('[id^="equipment_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="equipment_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='equipment_']", function (){
                if($("[id^='equipment_']").filter(':checked').length === $("[id^='equipment_']").length){
                    $("#select_all_equipment").prop('checked', true);
                    $("#select_all_equipment").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_equipment").prop('checked', false);

                    if($("[id^='equipment_']").filter(':checked').length > 0){
                        $("#select_all_equipment").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_equipment").parent().removeClass('select-all-dash');
                    }
                }
            });

            //Carrier Filter
            $(document).on("change", "#select_all_carrier", function (){
                if($(this).is(':checked')){
                    $('[id^="carrier_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="carrier_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='carrier_']", function (){
                if($("[id^='carrier_']").filter(':checked').length === $("[id^='carrier_']").length){
                    $("#select_all_carrier").prop('checked', true);
                    $("#select_all_carrier").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_carrier").prop('checked', false);

                    if($("[id^='carrier_']").filter(':checked').length > 0){
                        $("#select_all_carrier").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_carrier").parent().removeClass('select-all-dash');
                    }
                }
            });

            $(document).on("change", "#mergeCompactView", function (){
                let isMerge = ($("#mergeCompactView").is(':checked')) ? 1 : 0;

                changeBtnOnFilter();

                if(isMerge){
                    $("#onHoldDiv").addClass('d-none');
                    $("#prePlannedLoadsDiv").addClass('d-none');
                    $("#inTransitDiv").addClass('d-none');
                    $("#allDispatchDiv").removeClass('d-none');
                }else{
                    $("#onHoldDiv").removeClass('d-none');
                    $("#prePlannedLoadsDiv").removeClass('d-none');
                    $("#inTransitDiv").removeClass('d-none');
                    $("#allDispatchDiv").addClass('d-none');
                }

                let teamArr = [];
                $.each($("[id^='team_']:checked"), function() { teamArr.push($(this).val()); });

                let dispatcherArr = [];
                $.each($("[id^='dispatcher_']:checked"), function() { dispatcherArr.push($(this).val()); });

                let equipmentArr = [];
                $.each($("[id^='equipment_']:checked"), function() { equipmentArr.push($(this).val()); });

                let carrierArr = [];
                $.each($("[id^='carrier_']:checked"), function() { carrierArr.push($(this).val()); });

                filterData(false, isMerge, teamArr, dispatcherArr, equipmentArr, carrierArr);
            });
            $(document).on("click", ".filterData", function (){
                let isMerge = ($("#mergeCompactView").is(':checked')) ? 1 : 0;

                changeBtnOnFilter();

                let teamArr = [];
                $.each($("[id^='team_']:checked"), function() { teamArr.push($(this).val()); });

                let dispatcherArr = [];
                $.each($("[id^='dispatcher_']:checked"), function() { dispatcherArr.push($(this).val()); });

                let equipmentArr = [];
                $.each($("[id^='equipment_']:checked"), function() { equipmentArr.push($(this).val()); });

                let carrierArr = [];
                $.each($("[id^='carrier_']:checked"), function() { carrierArr.push($(this).val()); });

                filterData(true, isMerge, teamArr, dispatcherArr, equipmentArr, carrierArr);
            });

            $(document).on("click", ".addCoDriver", function (){
                $(this).addClass('d-none');
                $(this).next('.coDriverDiv').removeClass('d-none');
            });

            $(document).on("click", ".removeCoDriver", function (){
                if($(this).prev().prev().val() != ""){
                    $(this).prev().prev().val("").trigger('change');
                }
                $(this).parent().addClass('d-none');
                $(this).parent().prev('.addCoDriver').removeClass('d-none');
            });

            $(document).on("change", ".updateCoDriver", function (){
                let loadId = $(this).attr('data-load');
                let dataTabel = $(this).attr('data-tabel');
                let coDriver = $(this).val();

                $.ajax({
                    type: 'POST',
                    url: '{!! route("company.admin.dispatch.update.load.codriver") !!}',
                    data: {
                        loadId:loadId,
                        coDriver:coDriver
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                }).done(function(response) {
                    if(response.success){
                        //$('.'+dataTabel).DataTable().ajax.reload(null, false);

                        toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                    }else{
                        toastr.error(response.message, {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            });

            {{--
            $(document).on("change", ".updateStatus", function (){
                let status = $(this).val();
                let loadId = $(this).attr('data-load');
                let dataTabel = $(this).attr('data-tabel');

                if(status == 7){
                    $("#holdStatus").modal('show');
                    $("#listName").val(dataTabel);
                    $("#loadId").val(loadId);
                }else{
                    $.ajax({
                        type: 'POST',
                        url: '{!! route("company.admin.dispatch.update.load.status") !!}',
                        data: {
                            loadId:loadId,
                            status:status
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                    }).done(function(response) {
                        if(response.success){
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });

                            $('.on-hold-load-data-table').DataTable().ajax.reload(null, false);
                            $('.planned-load-data-table').DataTable().ajax.reload(null, false);
                            $('.in-transit-loads-data-table').DataTable().ajax.reload(null, false);
                            $('.all-dispatch-data-table').DataTable().ajax.reload(null, false);
                        }else{
                            toastr.error(response.message, {
                                timeOut: 5000
                            });
                        }
                    });
                }
                return false;
            });
            --}}

            $(document).on("click", ".updateOnHoldStatus", function (){
                let loadId = $("#loadId").val();
                let listName = $('#listName').val();
                let reasonOnHold = $('#reason_on_hold').val();
                let reasonOnHoldSubCategory = $('#reason_on_hold_sub_category').val();
                let reasonOnHoldNotes = $('#reason_on_hold_notes').val();

                if($("#holdStatusForm").parsley().validate()){
                    $.ajax({
                        type: 'POST',
                        url: '{!! route("company.admin.dispatch.update.load.status") !!}',
                        data: {
                            isOnHoldPopup: true,
                            loadId: loadId,
                            reasonOnHold: reasonOnHold,
                            reasonOnHoldSubCategory: reasonOnHoldSubCategory,
                            reasonOnHoldNotes: reasonOnHoldNotes,
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                    }).done(function(response) {
                        if(response.success){
                            $("#holdStatus").modal('hide');
                            $('#loadId').val("");
                            $('#listName').val("");
                            $('#reason_on_hold').val("");
                            $('#reason_on_hold_sub_category').val("");
                            $('#reason_on_hold_notes').val("");

                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });

                            $('.'+listName).DataTable().ajax.reload(null, false);
                            $('.on-hold-load-data-table').DataTable().ajax.reload(null, false);
                        }else{
                            toastr.error(response.message, {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on("click", ".cancelOnHoldStatus", function (){
                let listName = $('#listName').val();
                $('.'+listName).DataTable().ajax.reload(null, false);

                $('#loadId').val("");
                $('#listName').val("");
                $('#reason_on_hold').val("");
                $('#reason_on_hold_sub_category').val("");
                $('#reason_on_hold_notes').val("");
            });

            $(document).on("click", ".viewReason", function (){
                $("#viewReason .modal-body").html('').html('<p class="font-weight-bold">'+ $(this).attr('data-reason') +'</p>');
                $("#viewReason").modal('show');
            });

            $(document).on("click", ".destroyOffer", function (){
                let url = $(this).attr('data-action');
                let driverId = $(this).attr('data-driver');

                if(url != ""){
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You won't be able to revert this!",
                        icon: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#3085d6",
                        cancelButtonColor: "#d33",
                        confirmButtonText: "Yes, delete it!",
                    }).then((result) => {
                        if (result.value) {
                            $.ajax({
                                type: 'DELETE',
                                url: url,
                                data: {},
                                dataType: 'json',
                                async: true,
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                success: function(response) {
                                    if(response.success){
                                        viewLoadComparison(driverId);
                                        toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                                        $('.available-drivers-data-table').DataTable().ajax.reload(null, false);
                                    }
                                },
                            });
                        }
                    });
                }
            });

            $(document).on("click", ".loadComparison", function (){
                let driverId = $(this).attr('data-driver');
                viewLoadComparison(driverId);
            });

            $(document).on("click", ".refreshDriverSamsaraInfo", function (){
                let parentTr = $(this).closest('tr');
                let driverId = parentTr.attr('data-id');

                $.ajax({
                    type: 'POST',
                    url: "{{ route('company.admin.dispatch.refresh.samsara.info') }}",
                    data: { id: driverId },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    success: function(response) {
                        if(response.success){
                            if(!$.isEmptyObject(response.data)){
                                if(response.data.duty_status == "sleeperBed"){
                                    parentTr.find('.duty_status').html('<span class="badge badge-theme">SB</span> ' + response.data.duty_status);
                                }else if(response.data.duty_status == "offDuty"){
                                    parentTr.find('.duty_status').html('<span class="badge badge-danger">OF</span> ' + response.data.duty_status);
                                }else if(response.data.duty_status == "onDuty"){
                                    parentTr.find('.duty_status').html('<span class="badge badge-themeOrange">on</span> ' + response.data.duty_status);
                                }else if(response.data.duty_status == "driving"){
                                    parentTr.find('.duty_status').html('<span class="badge badge-success">D</span> ' + response.data.duty_status);
                                }else{
                                    parentTr.find('.duty_status').html(response.data.duty_status);
                                }
                                parentTr.find('.drive').text(response.data.drive);
                                parentTr.find('.shift').text(response.data.shift);
                                parentTr.find('.cycle').text(response.data.cycle);
                                parentTr.find('.cycle_tom').text(response.data.cycle_tom);
                                parentTr.find('.time_until_break').text(response.data.time_in_unit_break);
                                parentTr.find('.updated_at').html(response.data.updated_at + '<a href="javascript:void(0);" class="refreshDriverSamsaraInfo ml-3" data-driver="'+ driverId +'">Refresh</a>');
                            }
                        }
                    }
                });
            });

            $(document).on("click", ".clearAll", function (){
                let tab = $(this).attr('data-tab');
                $('.'+ tab).DataTable().ajax.reload();
            });

            $(document).on("click", ".refreshAll", function (){
                let tab = $(this).attr('data-tab');
                $('.'+ tab).DataTable().ajax.reload(null, false);
            });

            $(document).on("click", "#btnClearFilter", function (){
                $("#select_all_team").prop('checked', false).parent().removeClass('select-all-dash');
                $('[id^="team_"]').prop('checked', false);

                $("#select_all_dispatcher").prop('checked', false).parent().removeClass('select-all-dash');
                $('[id^="dispatcher_"]').prop('checked', false);

                $("#select_all_equipment").prop('checked', false).parent().removeClass('select-all-dash');
                $('[id^="equipment_"]').prop('checked', false);

                $("#select_all_carrier").prop('checked', false).parent().removeClass('select-all-dash');
                $('[id^="carrier_"]').prop('checked', false);

                let isMerge = ($("#mergeCompactView").is(':checked')) ? 1 : 0;

                changeBtnOnFilter();

                filterData(true, isMerge, [], [], [], []);

                $("#btnClearFilter").addClass('d-none');
            });

            @if(!is_null($mergeCompactView))
                if($("#mergeCompactView").is(':checked')){
                    $("#onHoldDiv").addClass('d-none');
                    $("#prePlannedLoadsDiv").addClass('d-none');
                    $("#inTransitDiv").addClass('d-none');
                    $("#allDispatchDiv").removeClass('d-none');
                }else{
                    $("#onHoldDiv").removeClass('d-none');
                    $("#prePlannedLoadsDiv").removeClass('d-none');
                    $("#inTransitDiv").removeClass('d-none');
                    $("#allDispatchDiv").addClass('d-none');
                }
            @else
                $("#onHoldDiv").removeClass('d-none');
                $("#prePlannedLoadsDiv").removeClass('d-none');
                $("#inTransitDiv").removeClass('d-none');
                $("#allDispatchDiv").addClass('d-none');
            @endif

            @if(!empty($filters))
                let teamFilterCount = '{!! (isset($filters['teamArr'])) ? count($filters['teamArr']) : 0 !!}';
                let dispatcherFilterCount = '{!! (isset($filters['dispatcherArr'])) ? count($filters['dispatcherArr']) : 0 !!}';
                let equipmentFilterCount = '{!! (isset($filters['equipmentArr'])) ? count($filters['equipmentArr']) : 0 !!}';
                let carrierFilterCount = '{!! (isset($filters['carrierArr'])) ? count($filters['carrierArr']) : 0 !!}';

                if(teamFilterCount == $("[id^='team_']").length){
                    $("#select_all_team").prop('checked', true);
                    $("#select_all_team").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_team").prop('checked', false);

                    if($("[id^='team_']").filter(':checked').length > 0){
                        $("#select_all_team").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_team").parent().removeClass('select-all-dash');
                    }
                }

                if(dispatcherFilterCount == $("[id^='dispatcher_']").length){
                    $("#select_all_dispatcher").prop('checked', true);
                    $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_dispatcher").prop('checked', false);

                    if($("[id^='dispatcher_']").filter(':checked').length > 0){
                        $("#select_all_dispatcher").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                    }
                }

                if(equipmentFilterCount == $("[id^='equipment_']").length){
                    $("#select_all_equipment").prop('checked', true);
                    $("#select_all_equipment").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_equipment").prop('checked', false);

                    if($("[id^='equipment_']").filter(':checked').length > 0){
                        $("#select_all_equipment").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_equipment").parent().removeClass('select-all-dash');
                    }
                }

                if(carrierFilterCount == $("[id^='carrier_']").length){
                    $("#select_all_carrier").prop('checked', true);
                    $("#select_all_carrier").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_carrier").prop('checked', false);

                    if($("[id^='carrier_']").filter(':checked').length > 0){
                        $("#select_all_carrier").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_carrier").parent().removeClass('select-all-dash');
                    }
                }

                if(teamFilterCount == $("[id^='team_']").length && dispatcherFilterCount == $("[id^='dispatcher_']").length && equipmentFilterCount == $("[id^='equipment_']").length && carrierFilterCount == $("[id^='carrier_']").length){
                    $("#select_all_filter").prop('checked', true);
                    $("#select_all_filter").parent().removeClass('filter-select-all-dash');
                }else{
                    $("#select_all_filter").prop('checked', false);
                    $("#select_all_filter").parent().addClass('filter-select-all-dash');
                }
            @endif
        });
    </script>
    {{---------- New Functionality ----------}}
@endsection

@push('after-scripts')
    <script src="{{ asset('theme/js/trimble.js') }}"></script>
@endpush
