@if(count($getFile))
<?php $i=1; ?>
<table class="table load-table" >
  @foreach ($getFile as $file)
    <tr>
      <td>{{ $i }}</td>
      <td>
        <a href="javascript:void(0);" data-toggle="modal" data-target="#loadModal{{$i}}">{{ $file->name }}</a>
        <div class="modal fade teamModal" id="loadModal{{$i}}" tabindex="-1" aria-labelledby="loadModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="loadModalLabel">{{ $file->name }}</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body  text-left mulimagbu">
                        @php
                            if(!empty($file->document)){
                                $documents = unserialize($file->document);
                            }else{
                                $documents = [];
                            }
                        @endphp
                        @if(is_array($documents) && count($documents) > 0)
                            @foreach($documents as $document)
                                @php
                                    $file_path = 'storage/companyAdmin/documents/'.$document;
                                    $type = \File::extension($file_path);
                                @endphp
                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                   <a href="{{ asset($file_path) }}" target="_blank" class="mb-3 d-block" ><img src="{{ asset($file_path) }}" alt="" class="img-fluid"></a>
                                @else
                                    <a href="{{ asset($file_path) }}" target="_blank" class="btn btn-outline-primary mb-3 d-block">{{ $document }}</a>
                                @endif
                            @endforeach
                            <hr>

                        @endif
                        
                        <p class="teswrap"><strong>Note: </strong>{{ $file->note }}</p>
                    </div>
                </div>
            </div>
        </div>
      </td>
      <td><a href="javascript:void(0);" class="destroyAjax" data-action="{{ route('company.admin.documents.destroy',$file->id) }}" data-id="3"><img class="delete-icon" src="{{ asset('theme/img/delete-icon.png') }}" alt=""></a></td>

    </tr>
    <?php $i++; ?>
  @endforeach
</table>
@else
<p><strong>Files Record Not Found.</strong></p>
@endif

<script type="text/javascript">
  $("body").on("click", ".destroyAjax", function () {
    var current_object = $(this);
    Swal.fire({
        title: "Are you sure?",
        text: "You won't be able to revert this!",
        icon: "warning",
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Yes, delete it!",
    }).then((result) => {
        if (result.value) {
            $("#loadfile").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            var action = current_object.attr('data-action');
            var id = current_object.attr('data-id');
            var token = $("input[name='_token']").val();

            $.ajax({
              url: action,
              method: "delete",
              data: { _token : token , id : id},
              success: function(response) {
                 toastr.success('deleted successfully', 'Success Alert', {timeOut: 5000})
                 loadFileView();
              }
           }); 
        }
    });
});
</script>