<div class="row">
    <div class="col-md-3">
        <div class="white-box-small ">
            <h4 class="box-title">Driver</h4>
            <div class="box-padding">
                <div class="filter-box">
                    <div class="filter-box">
                        <div class="form-group" style="display: none;">
                            <label>Select Driver</label>
                            <select class="form-control driver_id">
                                @php
                                    $driverlist = getDriverListByCompany(auth()->guard('company-admin')->user()->company_id);
                                @endphp
                                @foreach($driverlist as $key => $dlist)
                                    @if($key == $driver->id)
                                        <option selected value="{{ $key }}">{{ $dlist }}</option>
                                    @else
                                        <option  value="{{ $key }}">{{ $dlist }}</option>
                                    @endif
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group">
                            <label>Select View</label>
                            <select class="form-control showtype">
                                <option value="weekly">Weekly</option>
                                <option selected value="month">Month</option>
                                <option value="quarterly">Quarterly</option>
                                <option value="year">Annual</option>
                                <!--option selected value="linear">Linear Fleet</option-->
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="white-box-small">
            <h4 class="box-title">Occupancy Tracker Calendar</h4>
            <div class="box-padding">
                <div class="filter-box">
                    <div class="d-flex" style="flex-wrap: wrap;">
                        <div class="col-lg-6  pl-lg-0 pr-lg-3 px-0">
                            <p>Driver</p>
                            <p>Show Holidays <input type="checkbox" class="holidychecked" /></p>
                        </div>
                        <div class="col-lg-6  pr-lg-0 pl-lg-3 px-0">
                            <p class="driver_name">{{ $driver->last_name }}, {{ $driver->first_name }}</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="white-box-small occupanytype"></div>

        <div class="white-box-small performanceSummary"></div>

    </div>
    <div class="col-md-9">
        <div class="white-box target-calendar append-view">
        </div>
        
    </div>


</div>
