<div class="row">
    <div class="col-md-3 col-sm-6">
        <div class="white-box mb-4">
            <div class="box-padding employee-box">
                <span>Currently Onboarding</span>
                <h5 id="topfiler1">0</h5>
            </div>
        </div>
    </div>
    <div class="col-md-3 col-sm-6">
        <div class="white-box mb-4">
            <div class="box-padding employee-box">
                <span>Hired</span>
                <h5 id="topfiler2">0</h5>
            </div>
        </div>
    </div>
    <div class="col-md-3 col-sm-6">
        <div class="white-box mb-4">
            <div class="box-padding employee-box">
                <span>Rejected</span>
                <h5 id="topfiler3">0</h5>
            </div>
        </div>
    </div>
    <div class="col-md-3 col-sm-6">
        <div class="white-box mb-4">
            <div class="box-padding employee-box">
                <span>Terminated</span>
                <h5 id="topfiler4">0</h5>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="table-responsive stage-listing">
            <table width="100%" class="table border-0">
{{--                {{dd($driverOnboardings)}}--}}

            </table>
        </div>
    </div>
</div>
<table width="100%" class="table border-0">
    @if (count(driverOnboardingSetting()))
        @php $si = 1; $cc=0; @endphp
        @foreach (driverOnboardingSetting() as $key => $stage)

            @if (!is_null($driverOnboarding) && !is_null($driverOnboarding->detail))
                {{-- {{info($stage->stage_name)}}
                {{info($driverOnboarding->detail)}} --}}

                <tr>
                    {{-- yes/no --}}
                    @if (array_key_exists($stage->stage_name, $driverOnboarding->detail_json) && $driverOnboarding->detail_json[$stage->stage_name]['yes_no'] == 1)
                        <td>
                            <div class="custom-control custom-switch">
                                {!! Form::checkbox('detail['.$stage->stage_name.'][yes_no]', $driverOnboarding->detail_json[$stage->stage_name]['yes_no'], null , array('class' => 'custom-control-input yes-no-checkbox', 'id' => 'yes-no-'.$key, 'onchange' => 'driverOnboardingFormSubmit()', 'checked' => 'checked', 'data-stage-name' => $stage->stage_name, 'data-stage-no' => $si)) !!}
                                <label class="custom-control-label" for="yes-no-{{ $key }}"></label>
                            </div>
                        </td>
                    @else
                        <td>
                            <div class="custom-control custom-switch">
                                {!! Form::checkbox('detail['.$stage->stage_name.'][yes_no]', 1, null, array('class' => 'custom-control-input yes-no-checkbox', 'id' => 'yes-no-'.$key, 'onchange' => 'driverOnboardingFormSubmit()', 'data-stage-name' => $stage->stage_name, 'data-stage-no' => $si)) !!}
                                <label class="custom-control-label" for="yes-no-{{ $key }}"></label>
                            </div>
                        </td>
                    @endif
                    <td>Stage {{ ++$key }}</td>
                    <td>{{ $stage->title }}</td>
                    @if ($stage->date == 1)
                        @php
                            if (isset($driverOnboarding->detail_json[$stage->stage_name]) && isset($driverOnboarding->detail_json[$stage->stage_name]['date']) &&!is_null($driverOnboarding->detail_json[$stage->stage_name]['date'])) {
                                $date = \Carbon\Carbon::createFromFormat('Y-m-d',$driverOnboarding->detail_json[$stage->stage_name]['date'])->format('m/d/Y');
                            } else{
                                $date = null;
                            }
                        @endphp
                        <td>
                            <div class="form-group w-f-content EEEE">
                                {!! Form::text('detail['.$stage->stage_name.'][date]', $date, array('class' => 'form-control date', 'autocomplete' => 'new', 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                                <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                            </div>
                        </td>
                    @endif


                    @if ($stage->file == 1)
                        <td>
                            <div class="custom-brws">
                                {!! Form::file('detail['.$stage->stage_name.'][file]', ['id' => 'upload-2', 'onchange' => 'driverOnboardingFormSubmit()']) !!}
                            </div>
                        </td>
                    @endif
                    @if ($stage->date == 0 && $stage->file == 0)
                        <td></td>
                    @endif

                    <td>
                        @if (isset($driverOnboarding->detail_json[$stage->stage_name]['completed_on']))
                            Completed on {{ \Carbon\Carbon::parse($driverOnboarding->detail_json[$stage->stage_name]['completed_on'])->format('m/d/Y') }}
                        @endif
                    </td>
                    <td>
                        @if (isset($driverOnboarding->detail_json[$stage->stage_name]['completed_by']))
                            Completed By: {{ App\Models\CompanyAdmin::find($driverOnboarding->detail_json[$stage->stage_name]['completed_by'])->full_name  }}
                        @endif
                    </td>
                    <td>
                        @if ($stage->file == 1)
                            <img src="{{ asset('theme/img/save-icon.png') }}" data-driver-id="{{ $driver->id }}" data-stage-name="{{ $stage->stage_name }}" class="show-onboarding-file-btn" data-toggle="modal" data-target="#onboardingFileModal">
                        @endif
                    </td>
                </tr>
                {{-- sub stages --}}
                @if (count($stage->sub_stages))

                    @foreach ($stage->sub_stages as $skey => $subStage)
                        @php
                            $subStageName = str_replace(' ', '_', strtolower($subStage->title));
                        @endphp
                        @if (isset($driverOnboarding->detail_json[$stage->stage_name][$subStageName]))
                            <tr>
                                <td></td>
                                {{-- yes/no --}}
                                <td>
                                    @if (array_key_exists($subStageName, $driverOnboarding->detail_json[$stage->stage_name]) && $driverOnboarding->detail_json[$stage->stage_name][$subStageName]['yes_no'] == 1)
                                        <div class="custom-control custom-switch">
                                            {!! Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', $driverOnboarding->detail_json[$stage->stage_name][$subStageName]['yes_no'], null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit('.$cc.')', 'checked' => 'checked')) !!}
                                            <label class="custom-control-label" for="yes-no-sub-{{$skey.$stage->id}}"></label>
                                        </div>
                                    @else
                                        <div class="custom-control custom-switch">
                                            {!! Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', 1, null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit('.$cc.')')) !!}
                                            <label class="custom-control-label" for="yes-no-sub-{{$skey.$stage->id}}"></label>
                                        </div>
                                    @endif
                                </td>
                                <td>{{ $subStage->title }}</td>

                                @if ($stage->date == 1)
                                    @php
                                        if (isset($driverOnboarding->detail_json[$stage->stage_name]) && isset($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['date']) &&!is_null($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['date'])) {
                                            $date = \Carbon\Carbon::createFromFormat('Y-m-d',$driverOnboarding->detail_json[$stage->stage_name][$subStageName]['date'])->format('m/d/Y');
                                        } else{
                                            $date = null;
                                        }
                                    @endphp
                                @endif

                                @if($subStage->date == 1)
                                    <td>
                                        <div class="form-group w-f-content TTTTT">
                                            {!! Form::text('detail['.$stage->stage_name.']['.$subStageName.'][date]', $date, array('class' => 'form-control date', 'autocomplete' => 'new', 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                                            <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                        </div>
                                    </td>
                                @endif
                                @if ($subStage->date == 0)
                                    <td></td>
                                @endif

                                @if ($subStage->file == 1)
                                    <td>
                                        <div class="custom-brws">
                                            {!! Form::file('detail['.$stage->stage_name.']['.$subStageName.'][file]', ['id' => 'upload-2', 'onchange' => 'driverOnboardingFormSubmit()']) !!}
                                        </div>
                                    </td>
                                @endif

                                @if ($subStage->file == 0)
                                    <td></td>
                                @endif
                                <td>
                                    @if (isset($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['completed_on']))
                                        Completed on {{ \Carbon\Carbon::parse($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['completed_on'])->format('m/d/Y') }}
                                    @endif
                                </td>
                                <td>
                                    @if (isset($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['completed_by']))
                                        Completed By: {{ App\Models\CompanyAdmin::find($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['completed_by'])->full_name  }}
                                    @endif
                                </td>
                                <td>
                                    @if (
                                        $stage->file == 1
                                    )
                                        <img src="{{ asset('theme/img/save-icon.png') }}" data-driver-id="{{ $driver->id }}" data-stage-name="{{ $stage->stage_name }}&&&&{{ $subStageName }}" class="show-onboarding-file-btn" data-toggle="modal" data-target="#onboardingFileModal">
                                    @endif
                                </td>
                            </tr>
                        @else
                            <tr>
                                <td></td>
                                <td>
                                    <div class="custom-control custom-switch">
                                        {!! Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', 1, null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                                        <label class="custom-control-label" for="yes-no-sub-{{$skey.$stage->id}}"></label>
                                    </div>
                                </td>
                                <td>{{ $subStage->title }}</td>
                                @if ($stage->date == 1)
                                    @php
                                        if (isset($driverOnboarding->detail_json[$stage->stage_name]) && isset($driverOnboarding->detail_json[$stage->stage_name]['date']) &&!is_null($driverOnboarding->detail_json[$stage->stage_name]['date'])) {
                                            $date = \Carbon\Carbon::createFromFormat('Y-m-d',$driverOnboarding->detail_json[$stage->stage_name]['date'])->format('m/d/Y');
                                        } else{
                                            $date = null;
                                        }
                                    @endphp
                                    <td>
                                        <div class="form-group w-f-content">
                                            {!! Form::text('detail['.$stage->stage_name.']['.$subStageName.'][date]', $date, array('class' => 'form-control date', 'autocomplete' => 'new', 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                                            <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                        </div>
                                    </td>
                                @endif


                                @if ($stage->file == 1)
                                    <td>
                                        <div class="custom-brws">
                                            {!! Form::file('detail['.$stage->stage_name.']['.$subStageName.'][file]', ['id' => 'upload-2', 'onchange' => 'driverOnboardingFormSubmit()']) !!}
                                        </div>
                                    </td>
                                @endif
                                @if ($stage->date == 0 && $stage->file == 0)
                                    <td></td>
                                    <td></td>
                                @endif
                                <td></td>
                                <td></td>
                            </tr>
                        @endif

                    @endforeach

                @endif











            @else

                <tr>
                    <td>
                        <div class="custom-control custom-switch">
                            {!! Form::checkbox('detail['.$stage->stage_name.'][yes_no]', 1, null, array('class' => 'custom-control-input yes-no-checkbox', 'id' => 'yes-no-'.$key, 'onchange' => 'driverOnboardingFormSubmit()', 'data-stage-name' => $stage->stage_name, 'data-stage-no' => $si)) !!}
                            <label class="custom-control-label" for="yes-no-{{ $key }}"></label>
                        </div>
                    </td>
                    <td>Stage {{ ++$key }}</td>
                    <td>{{ $stage->title }}</td>
                    {{-- date --}}
                    @if ($stage->date == 1)
                        <td>
                            <div class="form-group w-f-content">
                                {!! Form::text('detail['.$stage->stage_name.'][date]', null, array('class' => 'form-control date', 'autocomplete' => 'new', 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                                <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                            </div>
                        </td>
                    @endif
                    {{-- file --}}
                    @if ($stage->file == 1)
                        <td>
                            <div class="custom-brws">
                                {!! Form::file('detail['.$stage->stage_name.'][file]', ['id' => 'upload-2', 'onchange' => 'driverOnboardingFormSubmit()']) !!}
                            </div>
                        </td>
                    @endif
                    @if ($stage->date == 0 && $stage->file == 0)
                        <td></td>
                        <td></td>
                    @endif
                    {{-- yes/no --}}

                    <td></td>
                    <td></td>
                    <td></td>
                </tr>
                {{-- sub stages --}}
                @if (count($stage->sub_stages))
                    @foreach ($stage->sub_stages as $skey => $subStage)
                        @php
                            $subStageName = str_replace(' ', '_', strtolower($subStage->title));
                        @endphp
                        <tr>
                            <td></td>
                            <td>
                                <div class="custom-control custom-switch">
                                    {!! Form::checkbox('detail['.$stage->stage_name.']['.$subStageName.'][yes_no]', 1, null, array('class' => 'custom-control-input child'.$cc, 'id' => 'yes-no-sub-'.$skey.$stage->id, 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                                    <label class="custom-control-label" for="yes-no-sub-{{$skey.$stage->id}}"></label>
                                </div>
                            </td>
                            <td>{{ $subStage->title }}</td>
                            @if ($stage->date == 1)
                                @php
                                    if (isset($driverOnboarding->detail_json[$stage->stage_name][$subStageName]) && isset($driverOnboarding->detail_json[$stage->stage_name]['date']) &&!is_null($driverOnboarding->detail_json[$stage->stage_name][$subStageName]['date'])) {
                                        $date = \Carbon\Carbon::createFromFormat('Y-m-d',$driverOnboarding->detail_json[$stage->stage_name][$subStageName]['date'])->format('m/d/Y');
                                    } else{
                                        $date = null;
                                    }
                                @endphp

                            @endif
                            @if($subStage->date == 1)
                                <td>
                                    <div class="form-group w-f-content">
                                        {!! Form::text('detail['.$stage->stage_name.']['.$subStageName.'][date]', $date, array('class' => 'form-control date', 'autocomplete' => 'new', 'onchange' => 'driverOnboardingFormSubmit()')) !!}
                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="">
                                    </div>
                                </td>
                            @endif
                            @if ($subStage->date == 0)
                                <td></td>
                            @endif

                            @if ($subStage->file == 1)
                                <td>
                                    <div class="custom-brws">
                                        {!! Form::file('detail['.$stage->stage_name.']['.$subStageName.'][file]', ['id' => 'upload-2', 'onchange' => 'driverOnboardingFormSubmit()']) !!}
                                    </div>
                                </td>
                            @endif

                            @if ($subStage->file == 0)
                                <td></td>
                            @endif
                            <td></td>
                            <td></td>
                            <td></td>
                        </tr>
                    @endforeach
                @endif
            @endif
            @php $si = $si+1; $cc++; @endphp
        @endforeach
    @endif
</table>
