@foreach($driverOnboardings as $driverOnboarding)
    <tr>
        <td colspan="12"
            style="background: #eff4fa!important;padding-top: 14px!important;padding-left: 5px!important;padding-right: 5px!important;width: 1157px">
            <ul class="imp-cls custom-progress-bar onboard-progress-bar">
                <?php
                $filtered_collection = null;
                if (!is_null($driverOnboarding)) {
                    $t = collect($driverOnboarding->detail_json);
                    $filtered_collection = $t->filter(function ($item) {
                        return $item['yes_no'] == 1 && $item['is_complete'] == 1;
                    })->last();
                }

                ?>
                @if (count(driverOnboardingSetting()))
                    @php $i = 1; @endphp
                    @foreach (driverOnboardingSetting() as $key => $stage)
                        {!! Form::hidden('detail['.$stage->stage_name.'][stage_no]', $i) !!}

                        @if (!is_null($driverOnboarding) && !is_null($driverOnboarding->detail))
                            @if (
                                isset($driverOnboarding->detail_json[$stage->stage_name]) &&
                                $driverOnboarding->detail_json[$stage->stage_name]['is_complete'] == 1
                            )
                                <li class="fill-active"
                                    data-stage-name="{{ $stage->stage_name }}"
                                    data-stage-no="{{ $i }}"><span
                                        class="p-value">Stage {{ ++$key }}</span>
                                </li>
                            @elseif(
                                isset($driverOnboarding->detail_json[$stage->stage_name]) &&
                                $driverOnboarding->detail_json[$stage->stage_name]['is_complete'] == 0 &&
                                !is_null($filtered_collection) &&
                                $driverOnboarding->detail_json[$stage->stage_name]['stage_no'] <= $filtered_collection['stage_no']
                            )
                                <li class="fill-inactive"
                                    data-stage-name="{{ $stage->stage_name }}"
                                    data-stage-no="{{ $i }}"><span
                                        class="p-value">Stage {{ ++$key }}</span>
                                </li>
                            @else
                                <li data-stage-name="{{ $stage->stage_name }}"
                                    data-stage-no="{{ $i }}"><span
                                        class="p-value">Stage {{ ++$key }}</span>
                                </li>
                            @endif
                        @else
                            <li data-stage-name="{{ $stage->stage_name }}"
                                data-stage-no="{{ $i }}"><span
                                    class="p-value">Stage {{ ++$key }}</span>
                            </li>
                        @endif
                        @php $i = $i+1; @endphp
                    @endforeach
                @endif
            </ul>
        </td>
    </tr>
@endforeach
