@extends($companyAdminTheme)

@section('title')
    Citations Violation Code
@endsection

@section('header-title')
    Citations Violation Code
@endsection

@section('content')
{!! Form::model($manageCompanyType, array('route' => ['company.admin.driver-citations-violation-code.update',$manageCompanyType->id],'method'=>'PATCH','files'=>'true','class'=>'post-form')) !!}
    <input type="hidden" name="company_id" value="{{ auth()->guard('company-admin')->user()->company_id }}" />
    <div class="row">
        <div class="col-lg-12">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">General Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Code<span>*</span></label>
                                {!! Form::text('code', old('code'), array('class' => 'form-control', 'id' => 'name-autocomplete', 'placeholder' => '', 'autocomplete' => 'new_address','required' => 'required')) !!}
                            </div>
                            @error('code')
                                <span class="text-danger" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Description<span>*</span></label>
                                {!! Form::textarea('description', old('description'), array('class' => 'form-control', 'id' => 'name-autocomplete', 'placeholder' => '', 'autocomplete' => 'new_address','required' => 'required')) !!}
                            </div>
                            @error('description')
                                <span class="text-danger" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
    </div>
    <div class="button-bottom">
        <a href="{{ route('admin.companies.index') }}" class="cancel-btn">Cancel</a>
        <button class="submit-btn">Submit</button>
    </div>
    
{!! Form::close() !!}
@endsection

@section('script')
<script type="text/javascript">
$('.post-form').parsley();
</script>
@endsection