<div class="table-responsive">
    <table class="table table-event">
        <tbody>
            @foreach($events as $key => $event)
                <tr class="table-active">
                    @php
                        $href       = route('company.admin.cadmin.viewProfile');
                        $date       = \Carbon\Carbon::createFromFormat('Y-m-d', $key);
                        $month      = $date->format('m');
                        $year       = $date->format('Y');
                        $href      .= '?activeTab=EventsCalendar&year='.$year.'&month='.$month;
                    @endphp
                    <td><a href="{{ $href }}">{{ date('F d, Y l', strtotime($key))." ".$getTimeZoneId }}</a></td>
                </tr>
                @foreach($event as $vkey => $value)
                    <tr>
                        <td>
                            @php
                                $start          = '';
                                $end            = '';
                                $checkTime      = date('H:i', strtotime($value['end']));
                                if($checkTime!='00:00'){
                                    $start      = date('g:i a.', strtotime($value['start']));
                                    $end        = date('g:i a.', strtotime($value['end']));
                                }
                            @endphp
                            @if($start!='')
                                {{ $value['title'].' ( '.$start.' - '.$end.' )' }}
                            @else
                                {{ $value['title'] }}
                            @endif
                        </td>
                    </tr>
                @endforeach
            @endforeach
        </tbody>
    </table>
</div>
