@if($formData['type']=='additional_details')
	@if($formData['is_stop']==1)
    	@if(isset($item->loads->load_detail->itemize) && $item->loads->load_detail->itemize == 1)
	    	<div class="row justify-content-between mb-2">
	    		<div class="col">
	    			<div class="form-group mb-0">
	    				<label class="control-label">Commodity</label>
	    			</div>
	    			<span>{{ isset($item->load_commodity) ? $item->load_commodity->name : '' }}</span>
	    		</div>
	    		<div class="col">
	    			<div class="form-group mb-0">
	    				<label class="control-label">Stop Value</label>
	    			</div>
	    			<span>{{ isset($item->stop_value) ? '$'.number_format($item->stop_value, 2, '.', ',') : '' }}</span>
	    		</div>
	    		<div class="col">
	    			<div class="form-group mb-0">
	    				<label class="control-label">Stop Weight</label>
	    			</div>
	    			<span>{{ isset($item->stop_weight) ? number_format($item->stop_weight, 2, '.', ',').' lbs' : '' }}</span>
	    		</div>
	    		<div class="col">
	    			<div class="form-group mb-0">
	    				<label class="control-label">Reefer Mode</label>
	    			</div>
	    			<span>
	    				@if(isset($item->reefer_mode))
	    					@if($item->reefer_mode == 1)
	    						Continuous
	    					@elseif($item->reefer_mode == 2)
	    						Cycle
	    					@endif
	    				@endif
	    			</span>
	    		</div>
	    		<div class="col">
	    			<div class="form-group mb-0">
	    				<label class="control-label">Reefer Temp</label>
	    			</div>
	    			<span>
	    				@if(isset($item->reefer_temp))
	    					{{ $item->reefer_temp }}
	    					@if($item->reefer_temp_type == 1)
	    						°F
	    					@else
	    						°C
	    					@endif
	    				@endif
	    			</span>
	    		</div>
	    	</div>
	    	<div class="row justify-content-between mb-2">
	    		<div class="col">
	    			<div class="form-group mb-0">
	    				<label class="control-label">{{ $item->customer_type == '1'? 'Pickup Number' : 'Delivery Number' }}</label>
	    			</div>
	    			<span>{{ $item->pickup_number ?? '' }}</span>
	    		</div>
	    	</div>
    	@endif
    	<!--  -->
    	@php
    		$dimensions 						= [];
    	@endphp
    	@if(isset($item->dimension) && is_serialized($item->dimension) && !empty($item->dimension))
    	    @php
    	        $dimensions 					= unserialize($item->dimension);
    	    @endphp
    	@endif
    	@if(!empty($dimensions))
    		<div class="row justify-content-between">
    			<div class="col">
    				<div class="form-group mb-0">
    					<label class="control-label">Dimensions</label>
    				</div>
    				<!-- <span></span> -->
    			</div>
    		</div>
    		@foreach($dimensions as $key => $dimension)
    			<div class="row justify-content-between @if($loop->last) mb-2 @endif">
    				<div class="col">
    					<span>Length: {{ isset($dimension['length']) ? $dimension['length'].' (ft)' : '' }}</span>
    				</div>
    				<div class="col">
    					<span>Width: {{ isset($dimension['width']) ? $dimension['width'].' (in)' : '' }}</span>
    				</div>
    				<div class="col">
    					<span>Height: {{ isset($dimension['height']) ? $dimension['height'].' (in)' : '' }}</span>
    				</div>
    				<div class="col">
    					<span>Cubic Volume: {{ isset($dimension['cubic_volume_in']) ? $dimension['cubic_volume_in'].' (in)' : '' }}</span>
    				</div>
    				<div class="col">
    					<span>Cubic Volume: {{ isset($dimension['cubic_volume_ft']) ? $dimension['cubic_volume_ft'].' (ft)' : '' }}</span>
    				</div>
    				<div class="col">
    					<span>Pallets: {{ isset($dimension['pallets']) ? $dimension['pallets'].' (ct)' : '' }}</span>
    				</div>
    			</div>
    		@endforeach
    	@endif
    	<!--  -->
    	@php
		    $is_arrived            				= $item->is_arrived;
		    $arrived_at          				= $item->arrived_at;
		    if(isset($arrived_at)){
		        $arrived_at     				= convertTimeToUSERzone([
		            'str'       => $arrived_at,
		            'toFormat'  => getTimeLayout(),
		            'fromFormat'=> 'Y-m-d H:i:s']
		        ).' '.$param['getTimeZoneId'];
		    }
		    $leaves_at            				= $item->leaves_at;
		    if(isset($leaves_at)){
		        $leaves_at          			= convertTimeToUSERzone([
		            'str'       => $leaves_at,
		            'toFormat'  => getTimeLayout(),
		            'fromFormat'=> 'Y-m-d H:i:s']
		        ).' '.$param['getTimeZoneId'];
		    }
		@endphp
    	<div class="row justify-content-between">
    		<div class="col">
    			<div class="form-group mb-0">
    				<label class="control-label">Logs</label>
    			</div>
    			<p class="mb-0">Arrival date & time : {{ isset($arrived_at)?$arrived_at:'' }}</p>
    			<p class="mb-0">Departure date & time : {{ isset($leaves_at)?$leaves_at:'' }}</p>
    		</div>
    	</div>
	@else
		@if($formData['customer_type']==1)
        	@if(isset($item->itemize) && $item->itemize == 1)
            	<div class="row justify-content-between mb-2">
            		<div class="col">
            			<div class="form-group mb-0">
            				<label class="control-label">Commodity</label>
            			</div>
            			<span>{{ isset($item->load_shipper_commodity) ? $item->load_shipper_commodity->name : '' }}</span>
            		</div>
            		<div class="col">
            			<div class="form-group mb-0">
            				<label class="control-label">Stop Value</label>
            			</div>
            			<span>{{ isset($item->shipper_stop_value) ? '$'.number_format($item->shipper_stop_value, 2, '.', ',') : '' }}</span>
            		</div>
            		<div class="col">
            			<div class="form-group mb-0">
            				<label class="control-label">Stop Weight</label>
            			</div>
            			<span>{{ isset($item->shipper_stop_weight) ? number_format($item->shipper_stop_weight, 2, '.', ',').' lbs' : '' }}</span>
            		</div>
            		<div class="col">
            			<div class="form-group mb-0">
            				<label class="control-label">Reefer Mode</label>
            			</div>
            			<span>
            				@if(isset($item->shipper_reefer_mode))
            					@if($item->shipper_reefer_mode == 1)
            						Continuous
            					@elseif($item->shipper_reefer_mode == 2)
            						Cycle
            					@endif
            				@endif
            			</span>
            		</div>
            		<div class="col">
            			<div class="form-group mb-0">
            				<label class="control-label">Reefer Temp</label>
            			</div>
            			<span>
            				@if(isset($item->shipper_reefer_temp))
            					{{ $item->shipper_reefer_temp }}
            					@if($item->shipper_reefer_temp_type == 1)
            						°F
            					@else
            						°C
            					@endif
            				@endif
            			</span>
            		</div>
            	</div>
            	<div class="row justify-content-between mb-2">
            		<div class="col">
            			<div class="form-group mb-0">
            				<label class="control-label">Pickup Number</label>
            			</div>
            			<span>{{ $item->shipper_pickup_number ?? '' }}</span>
            		</div>
            	</div>
        	@endif
        	<!--  -->
        	@php
        		$dimensions 					= [];
        	@endphp
        	@if(isset($item->shipper_dimension) && is_serialized($item->shipper_dimension) && !empty($item->shipper_dimension))
        	    @php
        	        $dimensions 				= unserialize($item->shipper_dimension);
        	    @endphp
        	@endif
        	@if(!empty($dimensions))
        		<div class="row justify-content-between">
        			<div class="col">
        				<div class="form-group mb-0">
        					<label class="control-label">Dimensions</label>
        				</div>
        				<!-- <span></span> -->
        			</div>
        		</div>
        		@foreach($dimensions as $key => $dimension)
        			<div class="row justify-content-between @if($loop->last) mb-2 @endif">
        				<div class="col">
        					<span>Length: {{ isset($dimension['length']) ? $dimension['length'].' (ft)' : '' }}</span>
        				</div>
        				<div class="col">
        					<span>Width: {{ isset($dimension['width']) ? $dimension['width'].' (in)' : '' }}</span>
        				</div>
        				<div class="col">
        					<span>Height: {{ isset($dimension['height']) ? $dimension['height'].' (in)' : '' }}</span>
        				</div>
        				<div class="col">
        					<span>Cubic Volume: {{ isset($dimension['cubic_volume_in']) ? $dimension['cubic_volume_in'].' (in)' : '' }}</span>
        				</div>
        				<div class="col">
        					<span>Cubic Volume: {{ isset($dimension['cubic_volume_ft']) ? $dimension['cubic_volume_ft'].' (ft)' : '' }}</span>
        				</div>
        				<div class="col">
        					<span>Pallets: {{ isset($dimension['pallets']) ? $dimension['pallets'].' (ct)' : '' }}</span>
        				</div>
        			</div>
        		@endforeach
        	@endif
        	<!--  -->
        	@php
        		$is_arrived                  	= $item->shipper_is_arrived ?? 0;
        		$arrived_at                  	= $item->shipper_arrived_at ?? null;
        		if(isset($arrived_at)){
        		    $arrived_at              	= convertTimeToUSERzone([
        		        'str'       => $arrived_at,
        		        'toFormat'  => getTimeLayout(),
        		        'fromFormat'=> 'Y-m-d H:i:s']
        		    ).' '.$param['getTimeZoneId'];
        		}
        		$leaves_at                   	= $item->shipper_leaves_at ?? null;
        		if(isset($leaves_at)){
        		    $leaves_at               	= convertTimeToUSERzone([
        		        'str'       => $leaves_at,
        		        'toFormat'  => getTimeLayout(),
        		        'fromFormat'=> 'Y-m-d H:i:s']
        		    ).' '.$param['getTimeZoneId'];
        		}
        	@endphp
        	<div class="row justify-content-between">
        		<div class="col">
        			<div class="form-group mb-0">
        				<label class="control-label">Logs</label>
        			</div>
        			<p class="mb-0">Arrival date & time : {{ isset($arrived_at)?$arrived_at:'' }}</p>
        			<p class="mb-0">Departure date & time : {{ isset($leaves_at)?$leaves_at:'' }}</p>
        		</div>
        	</div>
		@else
        	@if(isset($item->itemize) && $item->itemize == 1)
            	<div class="row justify-content-between mb-2">
            		<div class="col">
            			<div class="form-group mb-0">
            				<label class="control-label">Commodity</label>
            			</div>
            			<span>{{ isset($item->load_receiver_commodity) ? $item->load_receiver_commodity->name : '' }}</span>
            		</div>
            		<div class="col">
            			<div class="form-group mb-0">
            				<label class="control-label">Stop Value</label>
            			</div>
            			<span>{{ isset($item->delivery_stop_value) ? '$'.number_format($item->delivery_stop_value, 2, '.', ',') : '' }}</span>
            		</div>
            		<div class="col">
            			<div class="form-group mb-0">
            				<label class="control-label">Stop Weight</label>
            			</div>
            			<span>{{ isset($item->delivery_stop_weight) ? number_format($item->delivery_stop_weight, 2, '.', ',').' lbs' : '' }}</span>
            		</div>
            		<div class="col">
            			<div class="form-group mb-0">
            				<label class="control-label">Reefer Mode</label>
            			</div>
            			<span>
            				@if(isset($item->delivery_reefer_mode))
            					@if($item->delivery_reefer_mode == 1)
            						Continuous
            					@elseif($item->delivery_reefer_mode == 2)
            						Cycle
            					@endif
            				@endif
            			</span>
            		</div>
            		<div class="col">
            			<div class="form-group mb-0">
            				<label class="control-label">Reefer Temp</label>
            			</div>
            			<span>
            				@if(isset($item->delivery_reefer_temp))
            					{{ $item->delivery_reefer_temp }}
            					@if($item->delivery_reefer_temp_type == 1)
            						°F
            					@else
            						°C
            					@endif
            				@endif
            			</span>
            		</div>
            	</div>
            	<div class="row justify-content-between mb-2">
            		<div class="col">
            			<div class="form-group mb-0">
            				<label class="control-label">Delivery Number</label>
            			</div>
            			<span>{{ $item->delivery_pickup_number ?? '' }}</span>
            		</div>
            	</div>
        	@endif
        	<!--  -->
        	@php
        		$dimensions 					= [];
        	@endphp
        	@if(isset($item->delivery_dimension) && is_serialized($item->delivery_dimension) && !empty($item->delivery_dimension))
        	    @php
        	        $dimensions 				= unserialize($item->delivery_dimension);
        	    @endphp
        	@endif
        	@if(!empty($dimensions))
        		<div class="row justify-content-between">
        			<div class="col">
        				<div class="form-group mb-0">
        					<label class="control-label">Dimensions</label>
        				</div>
        				<!-- <span></span> -->
        			</div>
        		</div>
        		@foreach($dimensions as $key => $dimension)
        			<div class="row justify-content-between @if($loop->last) mb-2 @endif">
        				<div class="col">
        					<span>Length: {{ isset($dimension['length']) ? $dimension['length'].' (ft)' : '' }}</span>
        				</div>
        				<div class="col">
        					<span>Width: {{ isset($dimension['width']) ? $dimension['width'].' (in)' : '' }}</span>
        				</div>
        				<div class="col">
        					<span>Height: {{ isset($dimension['height']) ? $dimension['height'].' (in)' : '' }}</span>
        				</div>
        				<div class="col">
        					<span>Cubic Volume: {{ isset($dimension['cubic_volume_in']) ? $dimension['cubic_volume_in'].' (in)' : '' }}</span>
        				</div>
        				<div class="col">
        					<span>Cubic Volume: {{ isset($dimension['cubic_volume_ft']) ? $dimension['cubic_volume_ft'].' (ft)' : '' }}</span>
        				</div>
        				<div class="col">
        					<span>Pallets: {{ isset($dimension['pallets']) ? $dimension['pallets'].' (ct)' : '' }}</span>
        				</div>
        			</div>
        		@endforeach
        	@endif
        	<!--  -->
        	@php
        	    $is_arrived                 	= $item->delivery_is_arrived ?? 0;
        	    $arrived_at                   	= $item->delivery_arrived_at ?? null;
        	    if(isset($arrived_at)){
        	        $arrived_at            		= convertTimeToUSERzone([
        	            'str'       => $arrived_at,
        	            'toFormat'  => getTimeLayout(),
        	            'fromFormat'=> 'Y-m-d H:i:s']
        	        ).' '.$param['getTimeZoneId'];
        	    }
        	    $leaves_at                   	= $item->delivery_leaves_at ?? null;
        	    if(isset($leaves_at)){
        	        $leaves_at              	= convertTimeToUSERzone([
        	            'str'       => $leaves_at,
        	            'toFormat'  => getTimeLayout(),
        	            'fromFormat'=> 'Y-m-d H:i:s']
        	        ).' '.$param['getTimeZoneId'];
        	    }
        	@endphp
        	<div class="row justify-content-between">
        		<div class="col">
        			<div class="form-group mb-0">
        				<label class="control-label">Logs</label>
        			</div>
        			<p class="mb-0">Arrival date & time : {{ isset($arrived_at)?$arrived_at:'' }}</p>
        			<p class="mb-0">Departure date & time : {{ isset($leaves_at)?$leaves_at:'' }}</p>
        		</div>
        	</div>
		@endif
	@endif
@elseif($formData['type']=='required_documents')
    @if($formData['is_stop']==1)
        @if($formData['customer_type']==1)
            @php
                $required_uploads                       = [];
                if(!empty($item->stop_shipper_files_upload)){
                    $required_uploads                   = unserialize($item->stop_shipper_files_upload);
                    $required_uploads                   = array_filter($required_uploads, function ($var) {
                        return isset($var['name_id']) && $var['name_id'] !== null;
                    });
                }else{
                    if(isset($param['broker_shipper_files']) && !empty($param['broker_shipper_files'])){
                        $required_uploads               = $param['broker_shipper_files'];
                    }
                }
                $required_uploads                       = array_filter($required_uploads, function ($var) {
                    return (isset($var['is_required']) && $var['is_required'] == 'on');
                });
            @endphp
        @else
            @php
                $required_uploads                       = [];
                if(!empty($item->stop_consignee_files_upload)){
                    $required_uploads                   = unserialize($item->stop_consignee_files_upload);
                    $required_uploads                   = array_filter($required_uploads, function ($var) {
                        return isset($var['name_id']) && $var['name_id'] !== null;
                    });
                }else{
                    if(isset($param['broker_consignee_files']) && !empty($param['broker_consignee_files'])){
                        $required_uploads               = $param['broker_consignee_files'];
                    }
                }
                $required_uploads                       = array_filter($required_uploads, function ($var) {
                    return (isset($var['is_required']) && $var['is_required'] == 'on');
                });
            @endphp
        @endif
    @else
        @if($formData['customer_type']==1)
            @php
                $required_uploads                       = [];
                if(!empty($item->shipper_files_upload)){
                    $required_uploads                   = unserialize($item->shipper_files_upload);
                    $required_uploads                   = array_filter($required_uploads, function ($var) {
                        return isset($var['name_id']) && $var['name_id'] !== null;
                    });
                }else{
                    if(isset($param['broker_shipper_files']) && !empty($param['broker_shipper_files'])){
                        $required_uploads               = $param['broker_shipper_files'];
                    }
                }
                $required_uploads                       = array_filter($required_uploads, function ($var) {
                    return (isset($var['is_required']) && $var['is_required'] == 'on');
                });
            @endphp
        @else
            @php
                $required_uploads                       = [];
                if(!empty($item->consignee_files_upload)){
                    $required_uploads                   = unserialize($item->consignee_files_upload);
                    $required_uploads                   = array_filter($required_uploads, function ($var) {
                        return isset($var['name_id']) && $var['name_id'] !== null;
                    });
                }else{
                    if(isset($param['broker_consignee_files']) && !empty($param['broker_consignee_files'])){
                        $required_uploads               = $param['broker_consignee_files'];
                    }
                }
                $required_uploads                       = array_filter($required_uploads, function ($var) {
                    return (isset($var['is_required']) && $var['is_required'] == 'on');
                });
            @endphp
        @endif
    @endif
    <div class="table-responsive requiredLoad-table">
        <!-- check document status code -->
        <table class="addLoad-table mt-0">
            <thead>
                <tr>
                    <th>Status</th>
                    <th>Name</th>
                    <th>Type</th>
                    <th>Received</th>
                    <th>Required</th>
                    <th class="text-right">Action</th>
                </tr>
            </thead>
            <tbody>
                @if(isset($required_uploads) && !empty($required_uploads))
                    @foreach ($required_uploads as $key => $upload)
                        @php
                            $name_id                    = $upload['name_id'] ?? '';
                            $name                       = $upload['name'];
                            $is_required                = (isset($upload['is_required']) && $upload['is_required']=="on")? "on" : "off";
                            $type                       = $upload['type'];
                            $fixed                      = $upload['fixed'];
                            $include_w_billing          = (isset($upload['include_w_billing']) && $upload['include_w_billing']=="yes")? "yes" : "no";
                            $custom                     = (isset($upload['custom']) && $upload['custom']=="yes")? "yes" : "no";

                            $hide_from_driver           = (isset($upload['hide_from_driver']) && $upload['hide_from_driver']=="yes")? "yes" : "no";

                            $documents                  = [];
                            $is_received                = (isset($upload['is_received']) && $upload['is_received']=="on")? "on" : "off";
                            $file_not_provided          = (isset($upload['file_not_provided']) && $upload['file_not_provided']=="on")? "on" : "off";
                            $status                     = 'Pending';
                        @endphp

                        @if($type==1)
                            @php
                                $filelabel              = 'Copy';
                                if(isset($upload['file']) && !empty($upload['file'])){
                                    $documents          = $upload['file'];
                                    $is_received        = "on";
                                    $file_not_provided  = "off";
                                    $status             = 'Complete';
                                }else{
                                    $is_received        = "off";
                                    if($file_not_provided == 'on'){
                                        $status         = 'Not provided';
                                    }else{
                                        $status         = 'Pending';
                                    }
                                }
                            @endphp
                        @else
                            @php
                                $filelabel              = 'Original';
                                if($is_received == 'on'){
                                    $status             = 'Complete';
                                }else{
                                    $status             = 'Pending';
                                }
                            @endphp
                        @endif
                        <tr>
                            <td><span class="status">{{ $status }}</span></td>
                            <td class="name">
                                @if($name_id == '0')
                                    Other <br>
                                @endif
                                {{ $name }}
                            </td>
                            <td class="type">{{ $filelabel }}</td>
                            @if($filelabel=='Copy')
                                <td class="is_received">
                                    <div class="custom-control custom-checkbox d-inline-block text-left">
                                        <input type="checkbox" class="custom-control-input is_received-input" name="upload[is_received][{{ $key }}]" id="upload_is_received_{{ $key }}" onclick="return false" {{ $is_received=="on"? "checked" : "" }}>
                                        <label class="custom-control-label" for="upload_is_received_{{ $key }}"></label>
                                    </div>
                                </td>
                            @else
                                <td class="is_received">
                                    <div class="custom-control custom-checkbox d-inline-block text-left">
                                        <input type="checkbox" class="custom-control-input is_received-input" name="upload[is_received][{{ $key }}]" id="upload_is_received_{{ $key }}" {{ $is_received=="on"? "checked" : "" }}>
                                        <label class="custom-control-label" for="upload_is_received_{{ $key }}"></label>
                                    </div>
                                </td>
                            @endif
                            <td class="is_required">
                                <div class="custom-control custom-checkbox d-inline-block text-left">
                                    <input type="checkbox" class="custom-control-input is_required-input" name="upload[is_required][{{ $key }}]" id="upload_is_required_{{ $key }}" onclick="return false" {{ $is_required=="on"? "checked" : "" }}>
                                    <label class="custom-control-label" for="upload_is_required_{{ $key }}"></label>
                                </div>
                            </td>
                            @if($filelabel=='Copy')
                                @if(!empty($documents))
                                    <td class="text-right">
                                        <div>
                                            @php
                                                $total_documents    = count($documents);
                                            @endphp
                                            @foreach ($documents as $dkey => $document)
                                                @php
                                                    $file_path      = 'storage/companyAdmin/load_detail_document/'.$document;
                                                    $type           = \File::extension($file_path);
                                                @endphp
                                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                    <a href="{{ asset($file_path) }}" target="_blank" class="a-link">
                                                        View
                                                    </a>
                                                @else
                                                    <a href="{{ asset($file_path) }}" target="_blank" class="a-link">
                                                        View
                                                    </a>
                                                @endif
                                                @if($total_documents > 1)
                                                    <br/>
                                                @endif
                                            @endforeach
                                        </div>
                                    </td>
                                @else
                                    <td class="text-right">
                                        <div class="required-documents-upload">
                                            <a class="a-link" href="javascript:void(0);">Upload</a>
                                        </div>
                                    </td>
                                @endif
                            @else
                                <td></td>
                            @endif
                        </tr>
                    @endforeach
                @else
                    <tr>
                        <td colspan="6">
                            No data available in table
                        </td>
                    </tr>
                @endif
            </tbody>
        </table>
    </div>
@endif