@if(isset($results) && $results->isNotEmpty())
    @foreach ($results as $key => $node)
        @php
            $last_updated_at        = '';
            if(isset($node->created_at)){
                $last_updated_at    = convertTimeToUSERzone([
                    'str'           => $node->created_at,
                    'toFormat'      => 'M d, h:iA',
                    'fromFormat'    => 'Y-m-d H:i:s']
                ).' '.$getTimeZoneId;
            }
        @endphp
        <tr>
            <td>{{ $last_updated_at }}</td>
            <td>{{ $node->location }}</td>
            <td>{{ $node->longitude }}</td>
            <td>{{ $node->latitude }}</td>
            <td>{{ isset($node->speed_mph) ? number_format($node->speed_mph, 2, '.', '').' MPH' : '' }}</td>
            <td>{{ isset($node->obd_odometer_miles) ? number_format($node->obd_odometer_miles, 2, '.', '') : '' }}</td>
        </tr>
    @endforeach
@else
    <tr>
        <td class="text-center" colspan="6">No record found</td>
    </tr>
@endif