{!! Form::model($load_document, array('route' => ['company.admin.load-document.update', $load_document->id], 'method'=>'PATCH','files'=>'true','class'=>'updateForm')) !!}
    <div class="modal-body">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label>Name<span>*</span></label>
                    {!! Form::text('name', old('name', $load_document->name), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required')) !!}
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label for="eld_include_w_billing">Include With Billing</label>
                    <div class="custom-control custom-switch">
                        {!! Form::checkbox('include_w_billing', 'yes', $load_document->include_w_billing == 'yes', array('class' => 'custom-control-input', 'id' => 'eld_include_w_billing')) !!}
                        <label class="custom-control-label" for="eld_include_w_billing"></label>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label for="eld_fixed">Default</label>
                    <div class="custom-control custom-switch">
                        {!! Form::checkbox('fixed', 'yes', $load_document->fixed == 'yes', array('class' => 'custom-control-input', 'id' => 'eld_fixed')) !!}
                        <label class="custom-control-label" for="eld_fixed"></label>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label>For</label>
                    <div class="row">
                        <div class="col-auto">
                            <div class="custom-control custom-radio">
                                {!! Form::radio('for_whom', 'shipper', $load_document->for_whom == 'shipper', array('class' => 'custom-control-input', 'id' => 'eld_for_whom_shipper')) !!}
                                <label class="custom-control-label" for="eld_for_whom_shipper">Shipper</label>
                            </div>
                        </div>
                        <div class="col-auto">
                            <div class="custom-control custom-radio">
                                {!! Form::radio('for_whom', 'consignee', $load_document->for_whom == 'consignee', array('class' => 'custom-control-input', 'id' => 'eld_for_whom_consignee')) !!}
                                <label class="custom-control-label" for="eld_for_whom_consignee">Consignee</label>
                            </div>
                        </div>
                        <div class="col-auto">
                            <div class="custom-control custom-radio">
                                {!! Form::radio('for_whom', 'both', $load_document->for_whom == 'both', array('class' => 'custom-control-input', 'id' => 'eld_for_whom_both')) !!}
                                <label class="custom-control-label" for="eld_for_whom_both">Both</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
        <button class="btn blue-btn">Update</button>
    </div>
{!! Form::close() !!}
