@extends($companyAdminTheme)

@section('title')
    Loads
@endsection
<script src="https://code.highcharts.com/highcharts.js"></script>
<script src="https://code.highcharts.com/highcharts-more.js"></script>
<script src="https://code.highcharts.com/modules/solid-gauge.js"></script>
<script src="https://code.highcharts.com/modules/exporting.js"></script>
<script src="https://code.highcharts.com/modules/export-data.js"></script>
<script src="https://code.highcharts.com/modules/accessibility.js"></script>
@section('style')
    <style type="text/css">
        .load-btn label {
            width: 99px !important;
        }

        .load-edit-link {
            text-decoration: underline;
        }


        .highcharts-figure,
        .highcharts-data-table table {
            min-width: 320px;
            max-width: 660px;
            margin: 1em auto;
        }

        .highcharts-data-table table {
            font-family: Verdana, sans-serif;
            border-collapse: collapse;
            border: 1px solid #ebebeb;
            margin: 10px auto;
            text-align: center;
            width: 100%;
            max-width: 500px;
        }

        .highcharts-data-table caption {
            padding: 1em 0;
            font-size: 1.2em;
            color: #555;
        }

        .highcharts-data-table th {
            font-weight: 600;
            padding: 0.5em;
        }

        .highcharts-data-table td,
        .highcharts-data-table th,
        .highcharts-data-table caption {
            padding: 0.5em;
        }

        .highcharts-data-table thead tr,
        .highcharts-data-table tr:nth-child(even) {
            background: #f8f8f8;
        }

        .highcharts-data-table tr:hover {
            background: #f1f7ff;
        }

        .highcharts-container {
            height: 170px !important;
            margin: auto;
            left: -7px;
            top: 20px;
        }
    </style>

    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/modules/data.js"></script>
    <script src="https://code.highcharts.com/modules/drilldown.js"></script>
    <script src="https://code.highcharts.com/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script src="https://code.highcharts.com/modules/accessibility.js"></script>


    <style type="text/css">
        .load-detail {
            position: absolute;
            background-color: #ffffff;
            z-index: 1;
            padding: 5px 15px 5px 30px;
            box-shadow: 0 0 5px rgb(0 0 0 / 50%);
            border-radius: 5px;
            max-height: 120px;
            overflow: auto;
            overflow-x: hidden;
            left: 0;
            top: 26px;
            min-width: 100%;
            width: auto;
        }

        .load-detail ul, .load-detail ul li {
            list-style: disc;
            text-align: left;
        }

        .multiple-loads {
            cursor: pointer;
        }
        /*Manish-13-04-22*/
        #cover-spin {
            position: fixed;
            width: 100%;
            left: 0;
            right: 0;
            top: 0;
            bottom: 0;
            background-color: rgba(255, 255, 255, 0.7);
            z-index: 9999;
            display: none;
        }

        @-webkit-keyframes spin {
            from {
                -webkit-transform: rotate(0deg);
            }
            to {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            from {
                transform: rotate(0deg);
            }
            to {
                transform: rotate(360deg);
            }
        }

        #cover-spin::after {
            display: block;
            position: absolute;
            left: 48%;
            top: 40%;
            border:5px solid #f3f3f3;
            border-radius: 50%;
            border-top: 5px solid #3498db;
            width: 50px;
            height: 50px;
            -webkit-animation: spin 2s linear infinite; /* Safari */
            animation: spin 2s linear infinite;
            content: '';

        }
        /*end*/
    </style>
@endsection

@section('content')
    <!-- <pre id="tsv" style="display:none"></pre>
    <div class="name-ttl welopage">
    <div class="white-box mb-3 spl-mrg">
        <div class="ttl-box disabled-click">
            <div class="row">
                <div class="col-12 col-sm-12 col-lg-4 col-md-6">
                    <div class="search-cmn left"> -->
    <!--    <input type="text" class="header-search srch-2" id="driversearch" placeholder="Search...">
                        <img src="{{ asset('theme/img/header-search.png') }}" class="search-icon2 t-35" alt=""> -->
    <!--  </div>
     <div class="load-info"> -->
    <!--   <i class="fa fa-info-circle"></i> -->
    <!--  <ul>
        <li>Yellow -  Preplanned no driver acknowledgment</li>
        <li>Green - Confirmed, In Transit</li>
        <li>Orange -  Delivered</li>
        <li>Blue - Ready to Bill</li>
        <li>Red - On Hold</li>
        <li>Gray - Complete</li>
     </ul> -->
    <!--    </div>
  </div>
  <div class="col-12 col-sm-12 col-lg-4 col-md-6"> -->
    <!-- <ul class="cust-select">
                      <li>
                        <a href="javascript:void(0);" class="prev-arrow">
                           <img src="{{ asset('theme/img/lft-arrow.png') }}" class="" alt="">
                        </a>
                      </li>
                      <li class="year-week" data-start-date="{{ \Carbon\Carbon::now()->startOfWeek()->subDay()->format('Y-m-d') }}" data-end-date="{{ \Carbon\Carbon::now()->endOfWeek()->subDay()->format('Y-m-d') }}"></li>
                      <li>
                        <a href="javascript:void(0);" class="next-arrow">
                           <img src="{{ asset('theme/img/rgt-arrow.png') }}" class="" alt="">
                        </a>
                      </li>
                   </ul> -->
    <!--    </div>
                <div class="col-12 col-sm-12 col-lg-4 col-md-6">
                   <ul class="cust-select-2">
                      <li>Filter</li>
                      <li>
                        <div class="form-group">
                           {!! Form::select('equipment', ['' => 'Select Equipment']+getTrailerTypeList(), null, ['class' => 'form-control cust-box equipment-select']) !!}
        </div>
      </li>
     <li>Current Week</li>
      <li>This Week</li>
   </ul>
   <input type="hidden" name="skip" id="skip" value="0" />
   <input type="hidden" name="take" id="take" value="10" />
</div>
</div>
</div>
<div class="table-responsive cst-tbl append-view">
</div>
</div>
</div> -->
    <div class="row">
        <div class="col-md-2">

        <!-- <a href="{{route('company.admin.revenue.tracker.index')}}" class="btn-gray">< Back </a> -->

            <a href="{{route('company.admin.revenue.tracker.getbackdataindex',[@$id,@$current_startdate,@$current_enddate])}}"
               class="btn-gray">< Back </a>

        <!--  <div class="col-md-12">revenue.tracker.getbackdataindex
                            <div class="form-group mt-2">
                                    <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
                                        <label class="btn btn-secondary active shippingTime">
                                            <input type="radio" name="shipping" id="shipping1" checked=""> Set Time
                                        </label>
                                        <label class="btn btn-secondary shippingRange">
                                            <input type="radio" name="shipping" id="shipping2"> Range
                                        </label>

                                    </div>
                            </div>
            </div>
                            <form id="SubmitForm">
                                <div class=" custom-width">
                                    <div class="form-group">
                                        <label>Start Date/Time</label>
                                        <input type="text"  name="start_date" class="form-control" id="shipperDate">
                                        <img src="images/calendar.png" alt="">
                                    </div>
                                </div>
                                <div class=" custom-width">
                                    <div class="form-group shippingEnd">
                                        <label>End Date/Time </label>
                                        <input type="text" name="end_date" class="form-control" id="shipperDateEnd">
                                        <img src="images/calendar.png" alt="">
                                    </div>
                                </div>
                                <div class="row">
                                <div class="col-md-6 custom-width">

                                        <div class="form-group  d-block  button-bottom m-0">

                                            <button  type="submit" class="submit-btn">Submit</button>
                                        </div>
                                </div>
                                <div class="col-md-6 custom-width">
                                        <div class="form-group  d-block btn btn-secondary m-0">

                                            <a href="{{route('company.admin.revenue.tracker.index')}}"
                                            class="submit-btn btn-clear mt-0"> Clear</a>
                                        </div>
                                </div>
                                </div>
                            </form> -->
        </div>
    </div>

    <div class="cs-report">
        <div class="row form-block">
            <div class="col-md-3 ">
                <form>
                    <div class="form-group">
                        <label class="invisible">test</label>
                        <select class="select_id custom-select form-control  " id="select_id" name="actors">
                            <option value="CurrentWeek">Current Week</option>
                            <option value="LastWeek">Last Week</option>
                            <option value="CurrentMonth">Current Month</option>
                            <option value="LastMonth">Last Month</option>
                            <option value="ThisYear">This Year</option>
                            <option value="LastYear">Last Year</option>
                        </select>
                    </div>
                </form>
            </div>
            {{--Manish-13-04-22--}}
            <div id="cover-spin"></div>
            {{--end--}}
            <div class="col-md-9">
                <form id="SubmitForm">


                    <div class="row">
                        <div class="col-md-4 custom-width">
                            <div class="form-group">
                                <label>Start Date</label>
                                <input type="text" name="start_date" class="form-control" id="date_picker1" required
                                       autocomplete="off" placeholder="00/00/0000">
                                <img src="images/calendar.png" alt="">
                            </div>
                        </div>
                        <div class="col-md-4 custom-width">
                            <div class="form-group shippingEnd d-block">
                                <label>End Date</label>
                                <input type="text" name="end_date" class="form-control" id="date_picker2" required
                                       autocomplete="off" placeholder="00/00/0000">
                                <img src="images/calendar.png" alt="">
                            </div>
                        </div>
                        <div class="col-md-2 custom-width">

                            <div class="form-group shippingEnd d-block  button-bottom mt-27">

                                <button type="submit" class="submit-btn">Submit</button>
                            </div>

                        </div>
                        <div class="col-md-2 custom-width"> @php $diDecode = base64_encode($teameId); @endphp
                            <div class="form-group  d-block  button-bottom mt-27">
                                <a href="{{route('company.admin.revenue.tracker.driverDatagetdatewised',[@$diDecode,@$startDate,@$endDate])}}"
                                   class="submit-btn btn-clear"> Clear</a></div>


                        </div>
                    </div>

                </form>
            </div>
        </div>
        <script type="text/javascript">

        </script>
        <div class="row widthclass" id="incompletebehavior">
            <div class="col-12">
{{--                {{dd($backIdstartdate,$backIdenddate)}}--}}
                <label> This report is for the period starting from {{$backIdstartdate}} to {{$backIdenddate}} </label>
            </div>
            <div class="col-md-6 col-lg-3 md-4">
                <div class="card">
                    <div class="card-header " style="background-color:red">
                        {{$loadDriverdata['0']['teamName']}}
                    </div>

                    <!-- <ul class="list-group list-group-flush">
                            <li class="list-group-item text-center p-0">Fleet Totals</li>Total Target Revenue
                        </ul> -->
                    <table class="cs-table   w-100 fleet-content">

                        <tbody>
                        <tr>
                            <td>Total Target Revenue</td>
                            <td class="text-right  ">
                                ${{number_format((float)$tot_count_revenue_target_new, 2, '.', '')}}
                            </td>
                        </tr>
                        <tr>
                            <td>Total Target Miles</td>
                            <td class="text-right  ">

                                {{number_format((float)$sum_driverdivide_tot_quarterly_target_milesData, 2, '.', '')}}
                            </td>
                        </tr>

                        </tbody>
                    </table>

                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                        <tr>
                            <th colspan="2" class="text-center">
                                <h5> Driver Count</h5>
                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>Active Driver Count</td>
                            <td class="text-right  ">
                                {{$sum_activeDriverData}}

                            </td>
                        </tr>
                        <tr>
                            <td>Inactive Driver Count</td>
                            <td class="text-right  ">
                                {{$sum_InactiveDriverData}}
                            </td>
                        </tr>
                        <tr class="lineclass">
                            <td>Net</td>
                            <td class="text-right">
                                <div class="valu-content "> {{@$sum_activeDriverData + $sum_InactiveDriverData}} </div>
                            </td>
                        </tr>

                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                        <tr>
                            <th colspan="2" class="text-center">
                                <h5>Unit Average</h5>
                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>Revenue Per Unit</td>
                            <td class="text-right  ">
                                ${{number_format((float)@$sum_count_revenueperUnit_totalTeam, 2, '.', '')}}
                            </td>
                        </tr>
                        <tr>
                            <td>Mileage Per Unit</td>
                            <td class="text-right">

                                {{number_format((float)@$sum_count_mileagePerunit_totalTeam, 2, '.', '')}}
                            </td>
                        </tr>
                        <tr class="lineclass">
                            <td>CPM Per Unit</td>
                            <td class="text-right">
                                    ${{number_format((float)@$cpm_per_unit_count, 2, '.', '')}}
                            </td>
                        </tr>

                        </tbody>
                    </table>

                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                        <tr>
                            <th colspan="2" class="text-center table-head">
                                <h5 class="table-heading"> Revenue </h5>

                                @if($sum_total_reveDataactual < $sumtot_occreveData)

                                    <div class="valu-content  r-tike"></div>

                                @endif

                                @if($sum_total_reveDataactual > $sumtot_occreveData)

                                    <div class="valu-content  l-tike"></div>

                            @endif

                            <!--  @if($sum_count_OccupancyreveData > $sum_count_revenueperUnit_totalTeam)

                                <div class="valu-content  y-tike"> </div>

@endif -->
                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>Occupancy Revenue</td>
                            <td class="text-right  ">

                                ${{number_format((float)@$sumtot_occreveData, 2, '.', '')}}
                            </td>
                        </tr>
                        <tr>
                            <td>Actual Revenue</td>
                            <td class="text-right">
                                ${{number_format((float)@$sum_total_reveDataactual, 2, '.', '')}}
                            </td>
                        </tr>
                        <tr class="lineclass">
                            <td></td>
                            <td class="text-right">
                                @php $revenTotDataallActual = $sumtot_occreveData - $sum_total_reveDataactual; @endphp
                                {{@number_format((float)$revenTotDataallActual, 2, '.', '')}}
                            </td>
                        </tr>

                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                        <tr>
                            <th colspan="2" class="text-center table-head">
                                <h5 class="table-heading"> Mileage</h5>

                                @if($all_count_total_occupancy_miles < $active_driverData)

                                    <div class="valu-content  r-tike"></div>

                                @endif

                                @if($all_count_total_occupancy_miles > $active_driverData)

                                    <div class="valu-content  l-tike"></div>

                            @endif

                            <!--    @if($all_count_total_occupancy_miles > $active_driverData)

                                <div class="valu-content  y-tike"> </div>

@endif -->
                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>Occupancy Miles</td>
                            <td class="text-right">
                              {{number_format((float)@$all_count_total_occupancy_miles, 2, '.', '')}}
                            </td>
                        </tr>
                        <tr>
                            <td>Actual Miles</td>
                            <td class="text-right">

                                {{number_format((float)@$active_driverData, 2, '.', '')}}
                            </td>
                        </tr>
                        <tr class="lineclass">
                            <td></td>
                            <td class="text-right">
                                @php $actualMileData = $active_driverData - $all_count_total_occupancy_miles;  @endphp
                                {{number_format((float)@$actualMileData, 2, '.', '')}}
                            </td>
                        </tr>

                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                        <tr>
                            <th colspan="2" class="text-center table-head">
                                <h5 class="table-heading"> Cent Per Mile </h5>

                                @if($totalCPM_driver < $sum_count_getLoadCPM_data)

                                    <div class="valu-content  r-tike"></div>

                                @endif

                                @if($totalCPM_driver > $sum_count_getLoadCPM_data)

                                    <div class="valu-content  l-tike"></div>

                            @endif

                            <!--   @if($totalCPM_driver > $sum_count_getLoadCPM_data)

                                <div class="valu-content  y-tike"> </div>

@endif -->
                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>Target CPM</td>
                            <td class="text-right  ">

                                {{number_format((float)@$totalCPM_driver, 2, '.', '')}}
                            </td>
                        </tr>
                        <tr>
                            <td>Actual CPM</td>
                            <td class="text-right">
                                @php
                                    $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                                @endphp

                                {{@round($sum_count_getLoadCPM_data)}}
                            </td>
                        </tr>
                        <tr class="lineclass">
                            <td></td>
                            <td class="text-right">
                                @php $minCPM = $sum_count_getLoadCPM_data - $totalCPM_driver; @endphp

                                {{@number_format((float)@$minCPM, 2, '.', '')}}
                            </td>
                        </tr>

                        </tbody>
                    </table>

                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                        <tr>
                            <th colspan="2" class="text-center table-head">
                                <h5 class="table-heading"> % of Goal </h5>

                                @if($main_unitatgoal < $tot_fleetoccpancy_goal)

                                    <div class="valu-content  r-tike"></div>

                                @endif

                                @if($main_unitatgoal > $tot_fleetoccpancy_goal)

                                    <div class="valu-content  l-tike"></div>

                            @endif

                            <!--   @if($main_unitatgoal > $tot_fleetoccpancy_goal)

                                <div class="valu-content  y-tike"> </div>

@endif -->
                            </th>
                        </tr>
                        </thead>
                        <tbody class="border-bottom-2">
                        <tr>
                            <td class="text-center w-50">% of Units At Goal</td>
                            <td class="text-center w-50">
                                <strong>{{@number_format((float)@$main_unitatgoal, 2, '.', '')}}</strong></td>
                        </tr>
                        <tr>
                            <td class="text-center w-50">Fleet Occupancy</td>
                            <td class="text-center w-50"><strong> {{@round($tot_fleetoccpancy_goal)}}%</strong></td>
                        </tr>
                        <tr>
                            <td class="text-center w-50">% of Revenue Goal</td>
                            <td class="text-center w-50">
                                <strong><!-- {{@number_format((float)@$sum_tot_revenue_goal, 2, '.', '')}} --> {{@round($sum_tot_revenue_goal)}}
                                    %</strong></td>
                        </tr>

                        <tr>
                            <td class="text-center w-50">Occupancy (-/+)</td>
                            <td class="text-center w-50 text-danger "><strong>
                                @php $occupanDatacount = $sum_tot_revenue_goal - $tot_fleetoccpancy_goal; @endphp

                                <!--  {{@number_format((float)@$occupanDatacount, 2, '.', '')}} -->{{@round($occupanDatacount)}}
                                    %</strong></td>
                        </tr>


                        </tbody>
                    </table>
                    <table class="cs-table   w-100 fleet-content">
                        <thead>
                        <tr>
                            <th colspan="2" class="text-center table-head">
                                <h5 class="table-heading"> Occupancy </h5>

                                @if($sum_tot_occupancy_datatot < $totalfleet_occupancy)

                                    <div class="valu-content  r-tike"></div>

                                @endif

                                @if($sum_tot_occupancy_datatot > $totalfleet_occupancy)

                                    <div class="valu-content  l-tike"></div>

                            @endif

                            <!-- @if($all_sum_quarterly_occupancy > $all_count_fleetOccupancyData)

                                <div class="valu-content  y-tike"> </div>

@endif -->
                            </th>
                        </tr>
                        </thead>
                        <tbody class="border-bottom-2">
                        <tr>
                            <td class="text-center w-50">Occupancy Goal</td>
                            <td class="text-center w-50">
                                <strong><!-- {{number_format((float)$sum_tot_occupancy_datatot, 2, '.', '')}} --> {{@round($sum_tot_occupancy_datatot)}}
                                    %</strong></td>
                        </tr>

                        <tr>
                            <td class="text-center w-50">Fleet Occupancy</td>
                            <td class="text-center w-50"><strong>{{@round($tot_fleetoccpancy_goal)}}%</strong></td>
                        </tr>
                        <tr>
                            <td class="text-center w-50">Occupancy (-/+)</td>
                            <td class="text-center w-50 text-danger "><strong>
                                @php @$minusoccu = $totalfleet_occupancy - $sum_tot_occupancy_datatot; @endphp
                                <!-- {{number_format((float)$minusoccu, 2, '.', '')}} --> {{@round($minusoccu)}}
                                    %</strong></td>
                        </tr>


                        </tbody>
                    </table>

                    <table class="cs-table gauge-table   w-100 table-bordered">

                        <tbody>
                        <tr>
                            <td class="text-center w-50">
                                <div> <!-- Gauge 1 --> <span> Revenue</span>

                                    <figure class="highcharts-figure1">
                                        <div id="maincontainer1"></div>

                                    </figure>
                                </div>
                            </td>
                            <td class="text-center w-50">
                                <div> <!-- Gauge 2 --> <span> Mileage</span>

                                    <figure class="highcharts-figure2">
                                        <div id="maincontainer2"></div>

                                    </figure>

                                </div>
                            </td>
                        </tr>

                        <tr>
                            <td class="text-center w-50">
                                <div> <!-- Gauge 3 --> <span> CPM</span>

                                    <figure class="highcharts-figure3">
                                        <div id="maincontainer3"></div>

                                    </figure>
                                </div>
                            </td>
                            <td class="text-center w-50">
                                <div> <!-- Gauge 4 --> <span> Occupancy</span>

                                    <figure class="highcharts-figure4">
                                        <div id="maincontainer4"></div>

                                    </figure>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>

                    <div style="border: 1px solid black; margin:8px 0">
                        <table class="cs-table  revenue-band-table m-0 w-100 ">
                            <thead>
                            <tr>
                                <th colspan="2" class="text-center">
                                    <h5> Units By Revenue Band </h5>
                                </th>
                            </tr>
                            <tr class="bg-secondary">
                                <th class="text-center text-white py-1">Range</th>
                                <th class="text-center text-white py-1">Driver(s)</th>

                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td class="text-center w-50"><strong> &lt;$3,000.00</strong></td>
                                <td class="text-center w-50"><strong>{{$all_sum_3000Lower}}</strong></td>
                            </tr>

                            <tr>
                                <td class="text-center w-50"><strong>$3000-$4,000</strong></td>
                                <td class="text-center w-50"><strong>{{$all_3000to4000}}</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50"><strong>$4000-$5,000</strong></td>
                                <td class="text-center w-50"><strong>{{$all_4000to5000}}</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50"><strong>$5000-$6,000</strong></td>
                                <td class="text-center w-50"><strong>{{$all_5000to6000}}</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50"><strong>$6000-$7,000</strong></td>
                                <td class="text-center w-50"><strong>{{$all_6000to7000}}</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50"><strong> &gt; $7,000.00</strong></td>
                                <td class="text-center w-50"><strong>{{$all_greater_then_seven}}</strong></td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>


            @php  $i='1';  //dd($loadDriverdata); @endphp
            @foreach($loadDriverdata as $dataArrayset)


                @php
                    //dd($dataArrayset);
                    $colorcode = "#" . rand(100,1000);
                         $base_enco = base64_encode($dataArrayset['teamId']);
                @endphp

                <div class="col-md-6 col-lg-3 md-4">
                    <div class="card">
                        <div class="card-header " style="background-color:{{@$colorcode}}">
                            {{@$dataArrayset['Drivername']}}
                        </div>
                        <table class="cs-table   w-100 fleet-content">

                            <tbody>
                            <tr>
                                <td>Total Target Revenue</td>
                                <td class="text-right  ">
                                    ${{number_format((float)$dataArrayset['revenue_target_new'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Total Target Miles</td>
                                <td class="text-right">
                                    {{number_format((float)$dataArrayset['quarterly_target_milesData'], 2, '.', '')}}
                                </td>
                            </tr>

                            </tbody>
                        </table>

                        <table class="cs-table   w-100 fleet-content">
                            <thead>
                            <tr>
                                <th colspan="2" class="text-center">
                                    <h5> Driver Count</h5>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>Active Driver Count</td>
                                <td class="text-right  ">
                                    {{$dataArrayset['activedriver']}}
                                </td>
                            </tr>
                            <tr>
                                <td>Inactive Driver Count</td>
                                <td class="text-right">
                                    {{$dataArrayset['inactivedriver']}}
                                </td>
                            </tr>
                            <tr class="lineclass">
                                <td>Net</td>
                                <td class="text-right">
                                    <div
                                        class="valu-content "> {{@($dataArrayset['activedriver']) + ($dataArrayset['inactivedriver'])}} </div>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                        <table class="cs-table   w-100 fleet-content">
                            <thead>
                            <tr>
                                <th colspan="2" class="text-center">
                                    <h5>Unit Average</h5>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>Revenue Per Unit</td>
                                <td class="text-right  ">

                                    ${{@number_format((float)$dataArrayset['revenueperUnit'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Mileage Per Unit</td>
                                <td class="text-right">

                                    {{number_format((float)@$dataArrayset['mileagePerunit'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr class="lineclass">
                                <td>CPM Per Unit ff</td>
                                <td class="text-right">
                                    ${{number_format((float)@$dataArrayset['cpm_per_unit_count'], 2, '.', '')}}

                                </td>
                            </tr>

                            </tbody>
                        </table>

                        <table class="cs-table   w-100 fleet-content">
                            <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Revenue

                                        @if(@$dataArrayset['occreveData'] < @$dataArrayset['revenueperUnit'])

                                            <div class="valu-content  r-tike"></div>

                                        @endif

                                        @if(@$dataArrayset['occreveData'] > @$dataArrayset['revenueperUnit'])

                                            <div class="valu-content  l-tike"></div>

                                    @endif

                                    <!--      @if(@$dataArrayset['OccupancyreveData'] > @$dataArrayset['revenue'])

                                        <div class="valu-content  y-tike"> </div>

@endif -->
                                    </h5>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>Occupancy Revenue</td>
                                <td class="text-right  ">
                                    ${{@number_format((float)$dataArrayset['occreveData'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual Revenue</td>
                                <td class="text-right">
                                    ${{@number_format((float)$dataArrayset['revenueperUnit'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr class="lineclass">
                                <td></td>
                                <td class="text-right">
                                    @php $counttotRev = ($dataArrayset['revenueperUnit']) - ($dataArrayset['occreveData']);  @endphp
                                    {{@number_format((float)$counttotRev, 2, '.', '')}}
                                </td>
                            </tr>


                            </tbody>
                        </table>
                        <table class="cs-table   w-100 fleet-content">
                            <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Mileage

                                        @if(@$dataArrayset['total_occupancy_miles'] < @$dataArrayset['actual_milecount_total_occupancy_miles_datanew'])

                                            <div class="valu-content  r-tike"></div>

                                        @endif

                                        @if(@$dataArrayset['total_occupancy_miles'] > @$dataArrayset['actual_milecount_total_occupancy_miles_datanew'])

                                            <div class="valu-content  l-tike"></div>

                                    @endif

                                    <!--   @if(@$dataArrayset['total_occupancy_miles'] > @$dataArrayset['actual_milecount_total_occupancy_miles_datanew'])

                                        <div class="valu-content  y-tike"> </div>

@endif -->

                                    </h5>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>Occupancy Miles</td>
                                <td class="text-right  ">
                                    {{@number_format((float)$dataArrayset['total_occupancy_miles'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual Miles</td>
                                <td class="text-right">
                                    {{@number_format((float)$dataArrayset['actual_milecount_total_occupancy_miles_datanew'], 2, '.', '')}}
                                </td>
                            </tr>
                            <tr class="lineclass">
                                <td></td>
                                <td class="text-right">
                                    @php $actualMileDataall = ($dataArrayset['actual_milecount_total_occupancy_miles_datanew']) - ($dataArrayset['total_occupancy_miles']);  @endphp
                                    {{number_format((float)@$actualMileDataall, 2, '.', '')}}
                                </td>
                            </tr>


                            </tbody>
                        </table>
                        <table class="cs-table   w-100 fleet-content">
                            <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Cent Per Mile

                                        @if(@intval($dataArrayset['target_CPM']) < intval(@$dataArrayset['getLoadCPM_data']))

                                            <div class="valu-content  r-tike"></div>

                                        @endif

                                        @if(@intval($dataArrayset['target_CPM']) > intval(@$dataArrayset['getLoadCPM_data']))

                                            <div class="valu-content  l-tike"></div>

                                    @endif
                                    <!--
                                    @if(@$dataArrayset['target_CPM'] > @$dataArrayset['getLoadCPM_data'])

                                        <div class="valu-content  y-tike"> </div>

@endif -->
                                    </h5>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>Target CPM</td>
                                <td class="text-right  ">

                                    {{number_format((float)@intval($dataArrayset['target_CPM']), 2, '.', '')}}
                                </td>
                            </tr>
                            <tr>
                                <td>Actual CPM</td>
                                <td class="text-right">
                                    @php
                                        $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
                                    @endphp

                                    {{@number_format((float)@intval($dataArrayset['getLoadCPM_data']), 2, '.', '')}}
                                </td>
                            </tr>
                            <tr class="lineclass">
                                <td></td>
                                <td class="text-right">
                                    @php


                                        //dd($dataArrayset['getLoadCPM_data'],);
                                         $totactulatar = intval($dataArrayset['getLoadCPM_data']) - intval( $dataArrayset['target_CPM']); @endphp

                                    {{@number_format((float)@$totactulatar, 2, '.', '')}}
                                </td>
                            </tr>


                            </tbody>
                        </table>

                        <table class="cs-table   w-100 fleet-content">
                            <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> % of Goal

                                        @if(intval(@$dataArrayset['unitatgoalData']) < @$dataArrayset['fleetoccpancy_goal'])

                                            <div class="valu-content  r-tike"></div>

                                        @endif

                                        @if(intval(@$dataArrayset['unitatgoalData']) > @$dataArrayset['fleetoccpancy_goal'])

                                            <div class="valu-content  l-tike"></div>

                                    @endif

                                    <!--    @if(@$dataArrayset['unitatgoalData'] > @$dataArrayset['fleetoccpancy_goal'])

                                        <div class="valu-content  y-tike"> </div>

@endif
                                        -->
                                    </h5>
                                </th>
                            </tr>
                            </thead>
                            <tbody class="border-bottom-2">
                            <tr>
                                <td class="text-center w-50">% of Units At Goal</td>
                                <td class="text-center w-50">
                                    <strong>{{@number_format((float)intval(@$dataArrayset['unitatgoalData']), 2, '.', '')}}</strong>
                                </td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">Fleet Occupancy</td>
                                <td class="text-center w-50"><strong>
                                        {{@round($dataArrayset['fleetoccpancy_goal'])}}%</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">% of Revenue Goal</td>
                                <td class="text-center w-50"><strong>{{@round($dataArrayset['revenue_goal'])}}%</strong>
                                </td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">Occupancy (-/+)</td>
                                <td class="text-center w-50 text-danger "><strong>

                                        @php $countoccReve = ($dataArrayset['revenue_goal']) - ($dataArrayset['fleetoccpancy_goal']); @endphp

                                        {{@round($countoccReve)}}%</strong></td>
                            </tr>


                            </tbody>
                        </table>
                        <table class="cs-table   w-100 fleet-content">
                            <thead>
                            <tr>
                                <th colspan="2" class="text-center table-head">
                                    <h5 class="table-heading"> Occupancy

                                        @if($dataArrayset['occupancy_datatot'] < @$dataArrayset['fleet_occupancy'])

                                            <div class="valu-content  r-tike"></div>

                                        @endif

                                        @if($dataArrayset['occupancy_datatot'] > @$dataArrayset['fleet_occupancy'])

                                            <div class="valu-content  l-tike"></div>

                                    @endif

                                    <!--   @if($dataArrayset['fleet_occupancy'] > @$dataArrayset['quarterly_occupancy'])

                                        <div class="valu-content  y-tike"> </div>

@endif -->
                                    </h5>
                                </th>
                            </tr>
                            </thead>
                            <tbody class="border-bottom-2">
                            <tr>
                                <td class="text-center w-50">Occupancy Goal</td>
                                <td class="text-center w-50"><strong>{{@round($dataArrayset['occupancy_datatot'])}}
                                        %</strong></td>
                            </tr>

                            <tr>
                                <td class="text-center w-50">Fleet Occupancy</td>
                                <td class="text-center w-50"><strong>
                                        {{@round($dataArrayset['fleetoccpancy_goal'])}}%</strong></td>
                            </tr>
                            <tr>
                                <td class="text-center w-50">Occupancy (-/+)</td>
                                <td class="text-center w-50 text-danger "><strong> @php $fleet_occ = ($dataArrayset['fleetoccpancy_goal']);

                                     $quarterly_occ = ($dataArrayset['occupancy_datatot']);

                                     $minsOcc = $fleet_occ - $quarterly_occ;
                                        @endphp

                                        {{@round($minsOcc)}}%</strong></td>
                            </tr>


                            </tbody>
                        </table>

                        <table class="cs-table gauge-table   w-100 table-bordered">

                            <tbody>
                            <tr>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 1 --> <span> Revenue</span>


                                        <figure class="highcharts-figure1">
                                            <div id="container1{{@$dataArrayset['DriverId']}}"></div>

                                        </figure>
                                    </div>
                                </td>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 2 --> <span> Mileage</span>

                                        <figure class="highcharts-figure2">
                                            <div id="container2{{@$dataArrayset['DriverId']}}"></div>

                                        </figure>
                                    </div>
                                </td>
                            </tr>

                            <tr>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 3 --> <span> CPM</span>

                                        <figure class="highcharts-figure3">
                                            <div id="container3{{@$dataArrayset['DriverId']}}"></div>

                                        </figure>

                                    </div>
                                </td>
                                <td class="text-center w-50">
                                    <div> <!-- Gauge 4 --> <span> Occupancy</span>

                                        <figure class="highcharts-figure4">
                                            <div id="container4{{@$dataArrayset['DriverId']}}"></div>

                                        </figure>

                                    </div>
                                </td>
                            </tr>

                            </tbody>
                        </table>
                        <div style="border: 1px solid black; margin:8px 0">
                            <table class="cs-table  revenue-band-table m-0 w-100  ">
                                <thead>
                                <tr>
                                    <th colspan="2" class="text-center">
                                        <h5> Units By Revenue Band </h5>
                                    </th>
                                </tr>
                                <tr class="bg-secondary">
                                    <th class="text-center text-white py-1">Range</th>
                                    <th class="text-center text-white py-1">Driver(s)</th>

                                </tr>
                                </thead>
                                <tbody>
                                <tr>
                                    <td class="text-center w-50"><strong> &lt;$3,000.00</strong></td>
                                    <td class="text-center w-50"><strong>{{$dataArrayset['three_Lower']}}</strong></td>
                                </tr>

                                <tr>
                                    <td class="text-center w-50"><strong>$3000-$4,000</strong></td>
                                    <td class="text-center w-50"><strong>{{$dataArrayset['threeTofour']}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$4000-$5,000</strong></td>
                                    <td class="text-center w-50"><strong>{{$dataArrayset['fourTofive']}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$5000-$6,000</strong></td>
                                    <td class="text-center w-50"><strong>{{$dataArrayset['fiveTosix']}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong>$6000-$7,000</strong></td>
                                    <td class="text-center w-50"><strong>{{$dataArrayset['sixToseven']}}</strong></td>
                                </tr>
                                <tr>
                                    <td class="text-center w-50"><strong> &gt; $7,000.00</strong></td>
                                    <td class="text-center w-50">
                                        <strong>{{$dataArrayset['greater_then_seven']}}</strong></td>
                                </tr>
                                </tbody>
                            </table>
                        </div>

                    </div>

                </div>

                <script type="text/javascript">

                    // Highcharts.chart("container1{{@$dataArrayset['DriverId']}}", {
                    //   chart: {
                    //     plotBackgroundColor: null,
                    // plotBorderWidth: 0,
                    //     plotShadow: false
                    //   },
                    //   title: {
                    //     text: '',
                    //     align: 'center',
                    //     verticalAlign: 'middle',
                    //     y: 60
                    //   },
                    //   tooltip: {
                    //     pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                    //   },
                    //   accessibility: {
                    //     point: {
                    //       valueSuffix: '%'
                    //     }
                    //   },
                    //   plotOptions: {
                    //     pie: {
                    //       dataLabels: {
                    //         enabled: true,
                    //         distance: -50,
                    //         style: {
                    //           fontWeight: 'bold',
                    //           color: 'white'
                    //         }
                    //       },
                    //       startAngle: -90,
                    //       endAngle: 90,
                    //       center: ['50%', '20%'],
                    //       size: '100%'
                    //     }
                    //   },
                    //   series: [{
                    //     type: 'pie',
                    //     name: '',
                    //     innerSize: '50%',
                    //     data: [
                    //       ['Actual Revenue', {{$dataArrayset['revenue']}}],
                    //       ['Occupancy Revenue', {{$dataArrayset['OccupancyreveData']}}],
                    //     ]
                    //   }]
                    // });

                    ///// start 1st /////

                    var gaugeOptions = {
                        chart: {
                            type: 'solidgauge',
                            spacingBottom: 0,
                            height: 100,
                            width: 100,
                            marginRight: 0,
                            marginBottom: 0,
                        },

                        title: null,

                        pane: {
                            center: ['50%', '50%'],
                            size: '100%',
                            startAngle: -130,
                            endAngle: 130,
                            background: {
                                backgroundColor:
                                    Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                                innerRadius: '60%',
                                outerRadius: '100%',
                                shape: 'arc'
                            }
                        },

                        exporting: {
                            enabled: false
                        },

                        tooltip: {
                            enabled: true
                        },

                        // the value axis
                        yAxis: {
                            stops: [
                                [0.1, '#DF5353'], // red
                                [0.4, '#DDDF0D'], // yellow
                                [0.5, '#55BF3B'], // green


                            ],
                            lineWidth: 1,
                            tickWidth: 1,
                            minorTickInterval: null,
                            tickAmount: 1,
                            title: {
                                y: -70
                            },
                            labels: {
                                y: 16
                            }
                        },

                        plotOptions: {
                            solidgauge: {
                                dataLabels: {
                                    y: 5,
                                    borderWidth: 0,
                                    useHTML: true
                                }
                            }
                        }
                    };
                    var chartSpeed = Highcharts.chart('container1{{@$dataArrayset['DriverId']}}', Highcharts.merge(gaugeOptions, {
                        yAxis: {
                            min: 0,
                            max: {{number_format((float)$dataArrayset['revenue_target_new'], 2, '.', '')}},
                        },
                        credits: {
                            enabled: false
                        },
                        tooltip: {
                            shared: true,
                            useHTML: true,
                            headerFormat: '',
                            pointFormat: '<strong> Target Revenue: ${{number_format((float)$dataArrayset['revenue_target_new'], 2, '.', '')}}</strong><strong> Actual Revenue: ${{number_format((float)@$dataArrayset['revenueperUnit'], 2, '.', '')}}</strong>',
                            footerFormat: '',
                            valueDecimals: 2,
                            outside: true,
                            hideDelay: 0
                        },
                        series: [{
                            data: [{{@number_format((float)$dataArrayset['revenueperUnit'], 2, '.', '')}}],
                            // data: [{{@number_format((float)$dataArrayset['OccupancyreveData'], 2, '.', '')}}],
                            dataLabels: {
                                format:
                                    '<div style="margin-top:-25px;text-align:center">' +
                                    '<span style="font-size:12px">{{@number_format((float)$dataArrayset['revenueperUnit'], 2, '.', '')}}</span>$<br/>' +
                                    '</div>'
                            }
                        }]

                    }));

                    /// end 1st //
                    // Highcharts.chart("container2{{@$dataArrayset['DriverId']}}", {
                    //   chart: {
                    //     plotBackgroundColor: null,
                    //     plotBorderWidth: 0,
                    //     plotShadow: false
                    //   },
                    //   title: {
                    //     text: '',
                    //     align: 'center',
                    //     verticalAlign: 'middle',
                    //     y: 60
                    //   },
                    //   tooltip: {
                    //     pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                    //   },
                    //   accessibility: {
                    //     point: {
                    //       valueSuffix: '%'
                    //     }
                    //   },
                    //   plotOptions: {
                    //     pie: {
                    //       dataLabels: {
                    //         enabled: true,
                    //         distance: -50,
                    //         style: {
                    //           fontWeight: 'bold',
                    //           color: 'white'
                    //         }
                    //       },
                    //       startAngle: -90,
                    //       endAngle: 90,
                    //       center: ['50%', '20%'],
                    //       size: '100%'
                    //     }
                    //   },
                    //   series: [{
                    //     type: 'pie',
                    //     name: '',
                    //     innerSize: '50%',
                    //     data: [
                    //       ['Occupancy Miles', {{@$dataArrayset['total_occupancy_miles']}}],
                    //       ['Actual Miles',{{@$dataArrayset['actual_milecount_total_occupancy_miles_datanew']}}],
                    //     ]
                    //   }]
                    // });


                    ///// start 2nd /////

                    var gaugeOptions = {
                        chart: {
                            type: 'solidgauge',
                            spacingBottom: 0,
                            height: 100,
                            width: 100,
                            marginRight: 0,
                            marginBottom: 0,
                        },

                        title: null,

                        pane: {
                            center: ['50%', '50%'],
                            size: '100%',
                            startAngle: -130,
                            endAngle: 130,
                            background: {
                                backgroundColor:
                                    Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                                innerRadius: '60%',
                                outerRadius: '100%',
                                shape: 'arc'
                            }
                        },

                        exporting: {
                            enabled: false
                        },

                        tooltip: {
                            enabled: true
                        },

                        // the value axis
                        yAxis: {
                            stops: [
                                [0.1, '#DF5353'], // red
                                [0.4, '#DDDF0D'], // yellow
                                [0.5, '#55BF3B'], // green


                            ],
                            lineWidth: 1,
                            tickWidth: 1,
                            minorTickInterval: null,
                            tickAmount: 1,
                            title: {
                                y: -70
                            },
                            labels: {
                                y: 16
                            }
                        },

                        plotOptions: {
                            solidgauge: {
                                dataLabels: {
                                    y: 5,
                                    borderWidth: 0,
                                    useHTML: true
                                }
                            }
                        }
                    };
                    var chartSpeed = Highcharts.chart('container2{{@$dataArrayset['DriverId']}}', Highcharts.merge(gaugeOptions, {
                        yAxis: {
                            min: 0,
                            max: {{number_format((float)$dataArrayset['quarterly_target_milesData'], 2, '.', '')}},
                        },
                        credits: {
                            enabled: false
                        },
                        tooltip: {
                            shared: true,
                            useHTML: true,
                            headerFormat: '',
                            pointFormat: '<strong> Target Mileage: {{number_format((float)$dataArrayset['quarterly_target_milesData'], 2, '.', '')}}  </strong><strong> Actual Mileage: {{@number_format((float)$dataArrayset['actual_milecount_total_occupancy_miles_datanew'], 2, '.', '')}}</strong>',
                            footerFormat: '',
                            valueDecimals: 2,
                            outside: true,
                            hideDelay: 0
                        },
                        series: [{
                            data: [{{@number_format((float)$dataArrayset['actual_milecount_total_occupancy_miles_datanew'], 2, '.', '')}}],
                            // data: [{{@number_format((float)$active_driverData, 2, '.', '')}}],
                            dataLabels: {
                                format:
                                    '<div style="margin-top:-25px;text-align:center">' +
                                    '<span style="font-size:12px">{{@number_format((float)$dataArrayset['actual_milecount_total_occupancy_miles_datanew'], 2, '.', '')}}</span><br/>' +
                                    '</div>'
                            }
                        }]

                    }));

                    /// end 2nd //


                    // Highcharts.chart("container3{{@$dataArrayset['DriverId']}}", {
                    //   chart: {
                    //     plotBackgroundColor: null,
                    //     plotBorderWidth: 0,
                    //     plotShadow: false
                    //   },
                    //   title: {
                    //     text: '',
                    //     align: 'center',
                    //     verticalAlign: 'middle',
                    //     y: 60
                    //   },
                    //   tooltip: {
                    //     pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                    //   },
                    //   accessibility: {
                    //     point: {
                    //       valueSuffix: '%'
                    //     }
                    //   },
                    //   plotOptions: {
                    //     pie: {
                    //       dataLabels: {
                    //         enabled: true,
                    //         distance: -50,
                    //         style: {
                    //           fontWeight: 'bold',
                    //           color: 'white'
                    //         }
                    //       },
                    //       startAngle: -90,
                    //       endAngle: 90,
                    //       center: ['50%', '20%'],
                    //       size: '100%'
                    //     }
                    //   },
                    //   series: [{
                    //     type: 'pie',
                    //     name: '',
                    //     innerSize: '50%',
                    //     data: [
                    //       ['Target CPM', {{@$dataArrayset['target_CPM']}}],
                    //       ['Actual CPM', {{@$dataArrayset['getLoadCPM_data']}}],
                    //     ]
                    //   }]
                    // });


                    ///// start 3rd /////

                    var gaugeOptions = {
                        chart: {
                            type: 'solidgauge',
                            spacingBottom: 0,
                            height: 100,
                            width: 100,
                            marginRight: 0,
                            marginBottom: 0,
                        },

                        title: null,

                        pane: {
                            center: ['50%', '50%'],
                            size: '100%',
                            startAngle: -130,
                            endAngle: 130,
                            background: {
                                backgroundColor:
                                    Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                                innerRadius: '60%',
                                outerRadius: '100%',
                                shape: 'arc'
                            }
                        },

                        exporting: {
                            enabled: false
                        },

                        tooltip: {
                            enabled: true
                        },

                        // the value axis
                        yAxis: {
                            stops: [
                                [0.1, '#DF5353'], // red
                                [0.4, '#DDDF0D'], // yellow
                                [0.5, '#55BF3B'], // green


                            ],
                            lineWidth: 1,
                            tickWidth: 1,
                            minorTickInterval: null,
                            tickAmount: 1,
                            title: {
                                y: -70
                            },
                            labels: {
                                y: 16
                            }
                        },

                        plotOptions: {
                            solidgauge: {
                                dataLabels: {
                                    y: 5,
                                    borderWidth: 0,
                                    useHTML: true
                                }
                            }
                        }
                    };
                    var chartSpeed = Highcharts.chart('container3{{@$dataArrayset['DriverId']}}', Highcharts.merge(gaugeOptions, {
                        yAxis: {
                            min: 0,
                            max: 100,
                        },
                        credits: {
                            enabled: false
                        },
                        tooltip: {
                            shared: true,
                            useHTML: true,
                            headerFormat: '',
                            pointFormat: '<strong> CPM: {{@number_format((float)$totactulatar, 2, '.', '')}} </strong>',
                            footerFormat: '',
                            valueDecimals: 2,
                            outside: true,
                            hideDelay: 0
                        },
                        series: [{
                            data: [{{@number_format((float)$totactulatar, 2, '.', '')}}],
                            //data: [{{@number_format((float)$dataArrayset['getLoadCPM_data'], 2, '.', '')}}],
                            dataLabels: {
                                format:
                                    '<div style="margin-top:-25px;text-align:center">' +
                                    '<span style="font-size:12px">{{@number_format((float)$totactulatar, 2, '.', '')}}</span><br/>' +
                                    '</div>'
                            }
                        }]

                    }));

                    /// end 3rd //

                    //  Highcharts.chart("container4{{@$dataArrayset['DriverId']}}", {
                    //   chart: {
                    //     plotBackgroundColor: null,
                    //     plotBorderWidth: 0,
                    //     plotShadow: false
                    //   },
                    //   title: {
                    //     text: '',
                    //     align: 'center',
                    //     verticalAlign: 'middle',
                    //     y: 60
                    //   },
                    //   tooltip: {
                    //     pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                    //   },
                    //   accessibility: {
                    //     point: {
                    //       valueSuffix: '%'
                    //     }
                    //   },
                    //   plotOptions: {
                    //     pie: {
                    //       dataLabels: {
                    //         enabled: true,
                    //         distance: -50,
                    //         style: {
                    //           fontWeight: 'bold',
                    //           color: 'white'
                    //         }
                    //       },
                    //       startAngle: -90,
                    //       endAngle: 90,
                    //       center: ['50%', '20%'],
                    //       size: '100%'
                    //     }
                    //   },
                    //   series: [{
                    //     type: 'pie',
                    //     name: '',
                    //     innerSize: '50%',
                    //     data: [
                    //       ['Occupancy Goal', {{@$dataArrayset['quarterly_occupancy']}}],
                    //       ['Fleet Occupancy', {{@$dataArrayset['fleet_occupancy']}}],
                    //     ]
                    //   }]
                    // });


                    ///// start 4th /////

                    var gaugeOptions = {
                        chart: {
                            type: 'solidgauge',
                            spacingBottom: 0,
                            height: 100,
                            width: 100,
                            marginRight: 0,
                            marginBottom: 0,
                        },

                        title: null,

                        pane: {
                            center: ['50%', '50%'],
                            size: '100%',
                            startAngle: -130,
                            endAngle: 130,
                            background: {
                                backgroundColor:
                                    Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                                innerRadius: '60%',
                                outerRadius: '100%',
                                shape: 'arc'
                            }
                        },

                        exporting: {
                            enabled: false
                        },

                        tooltip: {
                            enabled: true
                        },

                        // the value axis
                        yAxis: {
                            stops: [
                                [0.1, '#DF5353'], // red
                                [0.4, '#DDDF0D'], // yellow
                                [0.5, '#55BF3B'], // green


                            ],
                            lineWidth: 1,
                            tickWidth: 1,
                            minorTickInterval: null,
                            tickAmount: 1,
                            title: {
                                y: -70
                            },
                            labels: {
                                y: 16
                            }
                        },

                        plotOptions: {
                            solidgauge: {
                                dataLabels: {
                                    y: 5,
                                    borderWidth: 0,
                                    useHTML: true
                                }
                            }
                        }
                    };
                    var chartSpeed = Highcharts.chart('container4{{@$dataArrayset['DriverId']}}', Highcharts.merge(gaugeOptions, {
                        yAxis: {
                            min: 0,
                            max: {{@number_format((float)$dataArrayset['occupancy_datatot'], 2, '.', '')}},
                        },
                        credits: {
                            enabled: false
                        },
                        tooltip: {
                            shared: true,
                            useHTML: true,
                            headerFormat: '',
                            pointFormat: '<strong> Occupancy: {{@number_format((float)$dataArrayset['occupancy_datatot'], 2, '.', '')}} %</strong><strong> Fleet Occupancy: {{@number_format((float)$dataArrayset['fleetoccpancy_goal'], 2, '.', '')}} %</strong>',
                            footerFormat: '',
                            valueDecimals: 2,
                            outside: true,
                            hideDelay: 0
                        },
                        series: [{
                            data: [{{@number_format((float)$dataArrayset['fleetoccpancy_goal'], 2, '.', '')}}],
                            //   data: [{{@number_format((float)$totalfleet_occupancy, 2, '.', '')}}],
                            dataLabels: {
                                format:
                                    '<div style="margin-top:-25px;text-align:center">' +
                                    '<span style="font-size:12px">{{@number_format((float)$dataArrayset['fleetoccpancy_goal'], 2, '.', '')}}</span>%<br/>' +
                                    '</div>'
                            }
                        }]

                    }));

                    /// end 4th //
                </script>

                @php $i++; @endphp
            @endforeach
        </div>


        @endsection

        @section('script')

            <script type="text/javascript">
                ///////////

                // Highcharts.chart('maincontainer1', {
                //   chart: {
                //     plotBackgroundColor: null,
                //     plotBorderWidth: 0,
                //     plotShadow: false
                //   },
                //   title: {
                //     text: '',
                //     align: 'center',
                //     verticalAlign: 'middle',
                //     y: 60
                //   },
                //   tooltip: {
                //     pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                //   },
                //   accessibility: {
                //     point: {
                //       valueSuffix: '%'
                //     }
                //   },
                //   plotOptions: {
                //     pie: {
                //       dataLabels: {
                //         enabled: true,
                //         distance: -50,
                //         style: {
                //           fontWeight: 'bold',
                //           color: 'white'
                //         }
                //       },
                //       startAngle: -90,
                //       endAngle: 90,
                //       center: ['50%', '20%'],
                //       size: '100%'
                //     }
                //   },
                //   series: [{
                //     type: 'pie',
                //     name: '',
                //     innerSize: '50%',
                //     data: [
                //       ['Actual Revenue',{{@$sum_count_revenueperUnit_totalTeam}}],
                //       ['Occupancy Revenue',{{@$sum_count_OccupancyreveData}}],
                //     ]
                //   }]
                // });
                ///// start 1st /////

                var gaugeOptions = {
                    chart: {
                        type: 'solidgauge',
                        spacingBottom: 0,
                        height: 100,
                        width: 100,
                        marginRight: 0,
                        marginBottom: 0,
                    },

                    title: null,

                    pane: {
                        center: ['50%', '50%'],
                        size: '100%',
                        startAngle: -130,
                        endAngle: 130,
                        background: {
                            backgroundColor:
                                Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                            innerRadius: '60%',
                            outerRadius: '100%',
                            shape: 'arc'
                        }
                    },

                    exporting: {
                        enabled: false
                    },

                    tooltip: {
                        enabled: true
                    },

                    // the value axis
                    yAxis: {
                        stops: [
                            [0.1, '#DF5353'], // red
                            [0.4, '#DDDF0D'], // yellow
                            [0.5, '#55BF3B'], // green


                        ],
                        lineWidth: 1,
                        tickWidth: 1,
                        minorTickInterval: null,
                        tickAmount: 1,
                        title: {
                            y: -70
                        },
                        labels: {
                            y: 16
                        }
                    },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
                var chartSpeed = Highcharts.chart('maincontainer1', Highcharts.merge(gaugeOptions, {
                    yAxis: {
                        min: 0,
                        max: {{number_format((float)$tot_count_revenue_target_new, 2, '.', '')}},
                    },
                    credits: {
                        enabled: false
                    },
                    tooltip: {
                        shared: true,
                        useHTML: true,
                        headerFormat: '',
                        pointFormat: '<strong> Target Revenue: ${{number_format((float)$tot_count_revenue_target_new, 2, '.', '')}}</strong><strong> Actual Revenue: ${{number_format((float)$sum_total_reveDataactual, 2, '.', '')}}</strong>',
                        footerFormat: '',
                        valueDecimals: 2,
                        outside: true,
                        hideDelay: 0
                    },
                    series: [{
                        data: [{{@number_format((float)$sum_total_reveDataactual, 2, '.', '')}}],
                        //  data: [{{@number_format((float)$sum_count_OccupancyreveData, 2, '.', '')}}],
                        dataLabels: {
                            format:
                                '<div style="margin-top:-25px;text-align:center">' +
                                '<span style="font-size:12px">{{@number_format((float)$sum_total_reveDataactual, 2, '.', '')}}</span>$<br/>' +
                                '</div>'
                        }
                    }]

                }));

                /// end 1st //

                // Highcharts.chart('maincontainer2', {
                //   chart: {
                //     plotBackgroundColor: null,
                //     plotBorderWidth: 0,
                //     plotShadow: false
                //   },
                //   title: {
                //     text: '',
                //     align: 'center',
                //     verticalAlign: 'middle',
                //     y: 60
                //   },
                //   tooltip: {
                //     pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                //   },
                //   accessibility: {
                //     point: {
                //       valueSuffix: '%'
                //     }
                //   },
                //   plotOptions: {
                //     pie: {
                //       dataLabels: {
                //         enabled: true,
                //         distance: -50,
                //         style: {
                //           fontWeight: 'bold',
                //           color: 'white'
                //         }
                //       },
                //       startAngle: -90,
                //       endAngle: 90,
                //       center: ['50%', '20%'],
                //       size: '100%'
                //     }
                //   },
                //   series: [{
                //     type: 'pie',
                //     name: 'Mileage',
                //     innerSize: '50%',
                //     data: [
                //       ['Occupancy Miles', {{@$all_count_total_occupancy_miles}}],
                //       ['Actual Miles', {{@$active_driverData}}],
                //     ]
                //   }]
                // });

                ///// start 2nd /////

                var gaugeOptions = {
                    chart: {
                        type: 'solidgauge',
                        spacingBottom: 0,
                        height: 100,
                        width: 100,
                        marginRight: 0,
                        marginBottom: 0,
                    },

                    title: null,

                    pane: {
                        center: ['50%', '50%'],
                        size: '100%',
                        startAngle: -130,
                        endAngle: 130,
                        background: {
                            backgroundColor:
                                Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                            innerRadius: '60%',
                            outerRadius: '100%',
                            shape: 'arc'
                        }
                    },

                    exporting: {
                        enabled: false
                    },

                    tooltip: {
                        enabled: true
                    },

                    // the value axis
                    yAxis: {
                        stops: [
                            [0.1, '#DF5353'], // red
                            [0.4, '#DDDF0D'], // yellow
                            [0.5, '#55BF3B'], // green


                        ],
                        lineWidth: 1,
                        tickWidth: 1,
                        minorTickInterval: null,
                        tickAmount: 1,
                        title: {
                            y: -70
                        },
                        labels: {
                            y: 16
                        }
                    },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
                var chartSpeed = Highcharts.chart('maincontainer2', Highcharts.merge(gaugeOptions, {
                    yAxis: {
                        min: 0,
                        max: {{number_format((float)$sum_driverdivide_tot_quarterly_target_milesData, 2, '.', '')}},
                    },
                    credits: {
                        enabled: false
                    },
                    tooltip: {
                        shared: true,
                        useHTML: true,
                        headerFormat: '',
                        pointFormat: '<strong> Target Miles: {{number_format((float)$sum_driverdivide_tot_quarterly_target_milesData, 2, '.', '')}} </strong><strong> Actual Miles: {{number_format((float)$active_driverData, 2, '.', '')}} </strong>',
                        footerFormat: '',
                        valueDecimals: 2,
                        outside: true,
                        hideDelay: 0
                    },
                    series: [{
                        data: [{{@number_format((float)$active_driverData, 2, '.', '')}}],
                        // data: [{{@number_format((float)$dataArrayset['actual_milecount_total_occupancy_miles_datanew'], 2, '.', '')}}],
                        dataLabels: {
                            format:
                                '<div style="margin-top:-25px;text-align:center">' +
                                '<span style="font-size:12px">{{@number_format((float)$active_driverData, 2, '.', '')}}</span><br/>' +
                                '</div>'
                        }
                    }]

                }));

                /// end 2nd //


                // Highcharts.chart('maincontainer3', {
                //   chart: {
                //     plotBackgroundColor: null,
                //     plotBorderWidth: 0,
                //     plotShadow: false
                //   },
                //   title: {
                //     text: '',
                //     align: 'center',
                //     verticalAlign: 'middle',
                //     y: 60
                //   },
                //   tooltip: {
                //     pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                //   },
                //   accessibility: {
                //     point: {
                //       valueSuffix: '%'
                //     }
                //   },
                //   plotOptions: {
                //     pie: {
                //       dataLabels: {
                //         enabled: true,
                //         distance: -50,
                //         style: {
                //           fontWeight: 'bold',
                //           color: 'white'
                //         }
                //       },
                //       startAngle: -90,
                //       endAngle: 90,
                //       center: ['50%', '20%'],
                //       size: '100%'
                //     }
                //   },
                //   series: [{
                //     type: 'pie',
                //     name: 'CPM',
                //     innerSize: '50%',
                //     data: [
                //       ['Target CPM', {{@$totalCPM_driver}}],
                //       ['Actual CPM', {{@$sum_count_getLoadCPM_data}}],
                //     ]
                //   }]
                // });
                ///// start 3rd /////

                var gaugeOptions = {
                    chart: {
                        type: 'solidgauge',
                        spacingBottom: 0,
                        height: 100,
                        width: 100,
                        marginRight: 0,
                        marginBottom: 0,
                    },

                    title: null,

                    pane: {
                        center: ['50%', '50%'],
                        size: '100%',
                        startAngle: -130,
                        endAngle: 130,
                        background: {
                            backgroundColor:
                                Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                            innerRadius: '60%',
                            outerRadius: '100%',
                            shape: 'arc'
                        }
                    },

                    exporting: {
                        enabled: false
                    },

                    tooltip: {
                        enabled: true
                    },

                    // the value axis
                    yAxis: {
                        stops: [
                            [0.1, '#DF5353'], // red
                            [0.4, '#DDDF0D'], // yellow
                            [0.5, '#55BF3B'], // green


                        ],
                        lineWidth: 1,
                        tickWidth: 1,
                        minorTickInterval: null,
                        tickAmount: 1,
                        title: {
                            y: -70
                        },
                        labels: {
                            y: 16
                        }
                    },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
                var chartSpeed = Highcharts.chart('maincontainer3', Highcharts.merge(gaugeOptions, {
                    yAxis: {
                        min: 0,
                        max: 100,
                    },
                    credits: {
                        enabled: false
                    },
                    tooltip: {
                        shared: true,
                        useHTML: true,
                        headerFormat: '',
                        pointFormat: '<strong> CPM: {{@number_format((float)$minCPM, 2, '.', '')}} </strong>',
                        footerFormat: '',
                        valueDecimals: 2,
                        outside: true,
                        hideDelay: 0
                    },
                    series: [{
                        data: [{{@number_format((float)$minCPM, 2, '.', '')}}],
                        //data: [{{@number_format((float)$minCPM, 2, '.', '')}}],
                        dataLabels: {
                            format:
                                '<div style="margin-top:-25px;text-align:center">' +
                                '<span style="font-size:12px">{{@number_format((float)$minCPM, 2, '.', '')}}</span><br/>' +
                                '</div>'
                        }
                    }]

                }));

                /// end 3rd //

                // Highcharts.chart('maincontainer4', {
                //   chart: {
                //     plotBackgroundColor: null,
                //     plotBorderWidth: 0,
                //     plotShadow: false
                //   },
                //   title: {
                //     text: '',
                //     align: 'center',
                //     verticalAlign: 'middle',
                //     y: 60
                //   },
                //   tooltip: {
                //     pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                //   },
                //   accessibility: {
                //     point: {
                //       valueSuffix: '%'
                //     }
                //   },
                //   plotOptions: {
                //     pie: {
                //       dataLabels: {
                //         enabled: true,
                //         distance: -50,
                //         style: {
                //           fontWeight: 'bold',
                //           color: 'white'
                //         }
                //       },
                //       startAngle: -90,
                //       endAngle: 90,
                //       center: ['50%', '20%'],
                //       size: '100%'
                //     }
                //   },
                //   series: [{
                //     type: 'pie',
                //     name: 'Occupancy',
                //     innerSize: '50%',
                //     data: [
                //        ['Occupancy Goal', {{@$all_sum_quarterly_occupancy}}],
                //       ['Fleet Occupancy', {{@$totalfleet_occupancy}}],
                //     ]
                //   }]
                // });
                ///// start 4th /////

                var gaugeOptions = {
                    chart: {
                        type: 'solidgauge',
                        spacingBottom: 0,
                        height: 100,
                        width: 100,
                        marginRight: 0,
                        marginBottom: 0,
                    },

                    title: null,

                    pane: {
                        center: ['50%', '50%'],
                        size: '100%',
                        startAngle: -130,
                        endAngle: 130,
                        background: {
                            backgroundColor:
                                Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                            innerRadius: '60%',
                            outerRadius: '100%',
                            shape: 'arc'
                        }
                    },

                    exporting: {
                        enabled: false
                    },

                    tooltip: {
                        enabled: true
                    },

                    // the value axis
                    yAxis: {
                        stops: [
                            [0.1, '#DF5353'], // red
                            [0.4, '#DDDF0D'], // yellow
                            [0.5, '#55BF3B'], // green


                        ],
                        lineWidth: 1,
                        tickWidth: 1,
                        minorTickInterval: null,
                        tickAmount: 1,
                        title: {
                            y: -70
                        },
                        labels: {
                            y: 16
                        }
                    },

                    plotOptions: {
                        solidgauge: {
                            dataLabels: {
                                y: 5,
                                borderWidth: 0,
                                useHTML: true
                            }
                        }
                    }
                };
                var chartSpeed = Highcharts.chart('maincontainer4', Highcharts.merge(gaugeOptions, {
                    yAxis: {
                        min: 0,
                        max: {{@round($sum_tot_occupancy_datatot)}},
                    },
                    credits: {
                        enabled: false
                    },
                    tooltip: {
                        shared: true,
                        useHTML: true,
                        headerFormat: '',
                        pointFormat: '<strong> Occupancy: {{@round($sum_tot_occupancy_datatot)}} %</strong><strong> Fleet Occupancy: {{@round($tot_fleetoccpancy_goal)}} %</strong>',
                        footerFormat: '',
                        valueDecimals: 2,
                        outside: true,
                        hideDelay: 0
                    },
                    series: [{
                        data: [{{@number_format((float)$tot_fleetoccpancy_goal, 2, '.', '')}}],
                        //data: [{{@number_format((float)$dataArrayset['fleet_occupancy'], 2, '.', '')}}],
                        dataLabels: {
                            format:
                                '<div style="margin-top:-25px;text-align:center">' +
                                '<span style="font-size:12px">{{@number_format((float)$tot_fleetoccpancy_goal, 2, '.', '')}}</span>%<br/>' +
                                '</div>'
                        }
                    }]

                }));

                /// end 4th //


                $(document).ready(function () {

                    jQuery.browser = {};
                    $(function () {
                        $("[id*=txtFrom]").datepicker({
                            // dateFormat: 'dd-mm-yy',
                            minDate: new Date(1999, 10 - 1, 25),
                            onSelect: function (selected) {
                                var dt = new Date(selected);
                                dt.setDate(dt.getDate() + 1);
                                $("[id*=txtTo]").datepicker("option", "minDate", dt);
                            }
                        });
                        $("[id*=txtTo]").datepicker({
                            // dateFormat: 'dd-mm-yy',
                            onSelect: function (selected) {
                                var dt = new Date(selected);
                                dt.setDate(dt.getDate() - 1);
                                $("[id*=txtFrom]").datepicker("option", "maxDate", dt);
                            }
                        });
                    });


                    var startDate;
                    var endDate;
                    $("#date_picker1").datepicker({
                        dateFormat: 'mm-dd-yy'
                    })
                    ///////
                    ///////
                    $("#date_picker2").datepicker({
                        dateFormat: 'mm-dd-yy'
                    });
                    ///////
                    $('#date_picker1').change(function () {
                        startDate = $(this).datepicker('getDate');
                        $("#date_picker2").datepicker("option", "minDate", startDate);
                    })

                    ///////
                    $('#date_picker2').change(function () {
                        endDate = $(this).datepicker('getDate');
                        $("#date_picker1").datepicker("option", "maxDate", endDate);
                    })


                    $('#SubmitForm').on('submit', function (e) {

                        e.preventDefault();

                        let startDate = $('#date_picker1').val();
                        let endDate = $('#date_picker2').val();

                        var id = 'datefilter';

                        var teameId = "{{$teameId}}";

                        $.ajax({
                            url: "{{route('company.admin.revenue.tracker.getdriverfilterdata')}}",
                            type: "POST",
                            data: {
                                "_token": "{{ csrf_token() }}",
                                startDate: startDate,
                                endDate: endDate,
                                id: id,
                                teameId: teameId,
                            },
                            success: function (response) {
                                // $('#successMsg').show();
                                // console.log(response);

                                $("#incompletebehavior").html(response);
                            },
                            error: function (response) {
                                $('#nameErrorMsg').text(response.responseJSON.errors.name);
                                $('#emailErrorMsg').text(response.responseJSON.errors.email);
                                $('#mobileErrorMsg').text(response.responseJSON.errors.mobile);
                                $('#messageErrorMsg').text(response.responseJSON.errors.message);
                            },
                        });
                    });

                    ////
                    $(function () {
                        $('#shipperDate').datetimepicker();
                        $('#shipperDateEnd').datetimepicker();

                    });

                    $('.shippingRange').click(function () {
                        $('.shippingEnd').addClass('d-block');
                    });

                    $('.shippingTime').click(function () {
                        $('.shippingEnd').removeClass('d-block');
                    });

                });

                jQuery(document).ready(function () {
                    jQuery('.select_id').change(function (e) {
                        e.preventDefault();

                        var id = this.value;
// alert(id);
                        var teameId = "{{$teameId}}";
                        $('#cover-spin').show();
                        jQuery.ajax({
                            url: "{{route('company.admin.revenue.tracker.getdriverfilterdata')}}",
                            method: 'post',
                            data: {"_token": "{{ csrf_token() }}", "id": id, "teameId": teameId},
                            success: function (result) {
                                $('#cover-spin').hide();
                                $("#incompletebehavior").html(result);


                            }
                        });
                    });
                });
                //Manish 19-04-22 comment this code
                // Manish-13-04-22
                {{--jQuery(document).ready(function () {--}}
                {{--    var id = "CurrentWeek";--}}
                {{--    $('#cover-spin').show();--}}
                {{--    var teameId = "{{$teameId}}";--}}
                {{--    jQuery.ajax({--}}
                {{--        url: "{{route('company.admin.revenue.tracker.getdriverfilterdata')}}",--}}
                {{--        method: 'post',--}}
                {{--        data: {"_token": "{{ csrf_token() }}", "id": id, "teameId": teameId},--}}
                {{--        success: function (result) {--}}
                {{--            $('#cover-spin').hide();--}}
                {{--            $("#incompletebehavior").html(result);--}}


                {{--        }--}}
                {{--    });--}}
                {{--});--}}
                //end
                // $('select[name="actors"]').on('change', function() {
                //   $('#select_id').text(this.value);

                //   alert('dss');
                // });

            </script>
            <script>
                var table = $('.data-table').DataTable({
                    stateSave: true,
                    language: {
                        search: "",
                        searchPlaceholder: "Search...",
                    },
                    processing: true,
                    serverSide: true,
                    bJQueryUI: true,
                    pageLength: "{{ perPageView() }}",
                    ordering: false,
                    //order: [[25, "desc"]],
                    info: false,
                    lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                    dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                    ajax: {
                        url: "{{ route('company.admin.active.loads.index') }}",
                        type:'POST',
                        dataType: "json",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    },
                    columns: [
                        {data: 'load_number', name: 'load_number'},
                        {data: 'driver', name: 'driver'},
                        {data: 'truck_number', name: 'truck_number', orderable: false},
                        {data: 'trailer_number', name: 'trailer_number', orderable: false},
                        {data: 'phone_number', name: 'phone_number', orderable: false},
                        {data: 'dispatcher', name: 'dispatcher'},
                        {data: 'shipper_location', name: 'shipper_location', orderable: false},
                        {data: 'delivery_location', name: 'delivery_location', orderable: false},
                        {data: 'status', name: 'status', orderable: false},
                        {data: 'last_location', name: 'last_location', orderable: false},
                        {data: 'total_bill', name: 'total_bill', orderable: false},
                        {data: 'created_at', name: 'created_at', visible: false, searchable: false},
                        {data: 'action', name: 'action', orderable: false, searchable: false}
                    ]
                });

                var table = $('.new-load-data-table').DataTable({
                    stateSave: true,
                    language: {
                        search: "",
                        searchPlaceholder: "Search...",
                    },
                    processing: true,
                    serverSide: true,
                    bJQueryUI: true,
                    ordering: false,
                    // pageLength: 1,
                    //order: [[12, "desc"]],
                    pageLength: "{{ perPageView() }}",
                    lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                    dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                    ajax: {
                        url: "{{ route('company.admin.new.loads.index') }}",
                        type:'POST',
                        dataType: "json",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    },
                    columns: [
                        {data: 'load_number', name: 'load_number'},
                        {data: 'driver', name: 'driver'},
                        {data: 'truck_number', name: 'truck_number', orderable: false},
                        {data: 'trailer_number', name: 'trailer_number', orderable: false},
                        {data: 'phone_number', name: 'phone_number', orderable: false},
                        {data: 'dispatcher', name: 'dispatcher'},
                        {data: 'shipper_location', name: 'shipper_location', orderable: false},
                        {data: 'delivery_location', name: 'delivery_location', orderable: false},
                        {data: 'status', name: 'status', orderable: false},
                        {data: 'last_location', name: 'last_location', orderable: false},
                        {data: 'total_bill', name: 'total_bill', orderable: false},
                        {data: 'created_at', name: 'created_at', visible: false, searchable: false},
                        {data: 'action', name: 'action', orderable: false, searchable: false}
                    ]
                });

                var table = $('.delivered-data-table').DataTable({
                    stateSave: true,
                    language: {
                        search: "",
                        searchPlaceholder: "Search...",
                    },
                    processing: true,
                    serverSide: true,
                    bJQueryUI: true,
                    ordering: false,
                    // pageLength: 1,
                    //order: [[12, "desc"]],
                    pageLength: "{{ perPageView() }}",
                    lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                    dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                    ajax: {
                        url: "{{ route('company.admin.delivered.loads.index') }}",
                        type:'POST',
                        dataType: "json",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    },
                    columns: [
                        {data: 'load_number', name: 'load_number'},
                        {data: 'driver', name: 'driver'},
                        {data: 'truck_number', name: 'truck_number', orderable: false},
                        {data: 'trailer_number', name: 'trailer_number', orderable: false},
                        {data: 'phone_number', name: 'phone_number', orderable: false},
                        {data: 'dispatcher', name: 'dispatcher'},
                        {data: 'shipper_location', name: 'shipper_location', orderable: false},
                        {data: 'delivery_location', name: 'delivery_location', orderable: false},
                        {data: 'status', name: 'status', orderable: false},
                        {data: 'last_location', name: 'last_location', orderable: false},
                        {data: 'total_bill', name: 'total_bill', orderable: false},
                        {data: 'created_at', name: 'created_at', visible: false, searchable: false},
                        {data: 'action', name: 'action', orderable: false, searchable: false}
                    ]
                });

                var table = $('.complete-load-data-table').DataTable({
                    stateSave: true,
                    language: {
                        search: "",
                        searchPlaceholder: "Search...",
                    },
                    processing: true,
                    serverSide: true,
                    bJQueryUI: true,
                    ordering: false,
                    // pageLength: 1,
                    //order: [[12, "desc"]],
                    pageLength: "{{ perPageView() }}",
                    lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                    dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                    ajax: {
                        url: "{{ route('company.admin.complete.loads.index') }}",
                        type:'POST',
                        dataType: "json",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    },
                    columns: [
                        {data: 'load_number', name: 'load_number'},
                        {data: 'driver', name: 'driver'},
                        {data: 'truck_number', name: 'truck_number', orderable: false},
                        {data: 'trailer_number', name: 'trailer_number', orderable: false},
                        {data: 'phone_number', name: 'phone_number', orderable: false},
                        {data: 'dispatcher', name: 'dispatcher'},
                        {data: 'shipper_location', name: 'shipper_location', orderable: false},
                        {data: 'delivery_location', name: 'delivery_location', orderable: false},
                        {data: 'status', name: 'status', orderable: false},
                        {data: 'last_location', name: 'last_location', orderable: false},
                        {data: 'total_bill', name: 'total_bill', orderable: false},
                        {data: 'created_at', name: 'created_at', visible: false, searchable: false},
                        {data: 'action', name: 'action', orderable: false, searchable: false}
                    ]
                });

                var table = $('.onhold-load-data-table').DataTable({
                    stateSave: true,
                    language: {
                        search: "",
                        searchPlaceholder: "Search...",
                    },
                    processing: true,
                    serverSide: true,
                    bJQueryUI: true,
                    ordering: false,
                    // pageLength: 1,
                    //order: [[12, "desc"]],
                    pageLength: "{{ perPageView() }}",
                    lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                    dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                    ajax: {
                        url: "{{ route('company.admin.onhold.loads.index') }}",
                        type:'POST',
                        dataType: "json",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    },
                    columns: [
                        {data: 'load_number', name: 'load_number'},
                        {data: 'driver', name: 'driver'},
                        {data: 'truck_number', name: 'truck_number', orderable: false},
                        {data: 'trailer_number', name: 'trailer_number', orderable: false},
                        {data: 'phone_number', name: 'phone_number', orderable: false},
                        {data: 'dispatcher', name: 'dispatcher'},
                        {data: 'shipper_location', name: 'shipper_location', orderable: false},
                        {data: 'delivery_location', name: 'delivery_location', orderable: false},
                        {data: 'status', name: 'status', orderable: false},
                        {data: 'last_location', name: 'last_location', orderable: false},
                        {data: 'total_bill', name: 'total_bill', orderable: false},
                        {data: 'created_at', name: 'created_at', visible: false, searchable: false},
                        {data: 'action', name: 'action', orderable: false, searchable: false}
                    ]
                });

                var table = $('.cancel-load-data-table').DataTable({
                    stateSave: true,
                    language: {
                        search: "",
                        searchPlaceholder: "Search...",
                    },
                    processing: true,
                    serverSide: true,
                    bJQueryUI: true,
                    ordering: false,
                    // pageLength: 1,
                    //order: [[12, "desc"]],
                    pageLength: "{{ perPageView() }}",
                    lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                    dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                    ajax: {
                        url: "{{ route('company.admin.cancel.loads.index') }}",
                        type:'POST',
                        dataType: "json",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    },
                    columns: [
                        {data: 'load_number', name: 'load_number'},
                        {data: 'driver', name: 'driver'},
                        {data: 'truck_number', name: 'truck_number', orderable: false},
                        {data: 'trailer_number', name: 'trailer_number', orderable: false},
                        {data: 'phone_number', name: 'phone_number', orderable: false},
                        {data: 'dispatcher', name: 'dispatcher'},
                        {data: 'shipper_location', name: 'shipper_location', orderable: false},
                        {data: 'delivery_location', name: 'delivery_location', orderable: false},
                        {data: 'status', name: 'status', orderable: false},
                        {data: 'last_location', name: 'last_location', orderable: false},
                        {data: 'total_bill', name: 'total_bill', orderable: false},
                        {data: 'created_at', name: 'created_at', visible: false, searchable: false},
                        {data: 'action', name: 'action', orderable: false, searchable: false}
                    ]
                });

                var table = $('.unoccupied-load-data-table').DataTable({
                    stateSave: true,
                    language: {
                        search: "",
                        searchPlaceholder: "Search...",
                    },
                    processing: true,
                    serverSide: true,
                    bJQueryUI: true,
                    ordering: false,
                    // pageLength: 1,
                    //order: [[12, "desc"]],
                    pageLength: "{{ perPageView() }}",
                    lengthMenu: [[10, 20, 50, 100, -1], [10, 20, 50, 100, "All"]],
                    dom: "<'row cusotdiv'<'col-sm-2 col-md-2'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                    ajax: {
                        url: "{{ route('company.admin.unoccupied.loads.index') }}",
                        type:'POST',
                        dataType: "json",
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    },
                    columns: [
                        {data: 'load_number', name: 'load_number'},
                        {data: 'driver', name: 'driver'},
                        {data: 'truck_number', name: 'truck_number', orderable: false},
                        {data: 'trailer_number', name: 'trailer_number', orderable: false},
                        {data: 'phone_number', name: 'phone_number', orderable: false},
                        {data: 'dispatcher', name: 'dispatcher'},
                        {data: 'shipper_location', name: 'shipper_location', orderable: false},
                        {data: 'delivery_location', name: 'delivery_location', orderable: false},
                        {data: 'status', name: 'status', orderable: false},
                        {data: 'last_location', name: 'last_location', orderable: false},
                        {data: 'total_bill', name: 'total_bill', orderable: false},
                        {data: 'created_at', name: 'created_at', visible: false, searchable: false},
                        {data: 'action', name: 'action', orderable: false, searchable: false}
                    ]
                });
            </script>
@endsection
