<div class="table-control">
    <button class="green-btn create-btn" data-toggle="modal" data-target="#otherDocModal">New Document</button>
    <button class="green-btn create-btn ml-2" data-toggle="modal" data-target="#requestDocModal">Request Document</button>
</div>
<div class="white-box table-view scroll-data-table">
    <h3 class="table-title">Documents</h3>
    <div class="table-responsive">
      <table class="table request-documents-data-table">
        <thead>
          <tr>
            <th>Name</th>
            <th>Created By</th>
            <th>Date</th>
            <th>Status</th>
            <th>Requested By</th>
            <th>Approved By</th>
            <th>Access</th>
            <th>Action</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
</div>

<div class="modal fade bd-example-modal-lg file-request-modal" id="requestDocModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="newTeamModalLabel">File Request</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class=" px-3 py-2 mb-4">
                    {!! Form::open(array('route' => 'company.admin.request.documents.save','method'=>'POST','files'=>'true','class'=>'storeForm')) !!}
                    <input type="hidden" name="action_id" value="{{ $trailer->id }}" />
                    <input type="hidden" name="source" value="trailers" />
                            <div id="newRow">
                                <div class="form-row">
                                    <div class="form-group col-lg-4 col-sm-6">
                                        <label>Files</label>
                                        <select class="form-control cfile_name" name="field_name[]" required>
                                            <option value="">Select Files Name</option>
                                            @foreach(getRequestDocumentsList() as $fdata)
                                            @if($fdata['source'] == 'trailer')
                                              <option value="{{ $fdata['field_name'] }}" class="{{ $fdata['source'] }}">{{ $fdata['name'] }}</option>
                                            @endif
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="form-group col-lg-6">
                                        <label for="inputEmail4">Name</label>
                                        {!! Form::text('file_name[]', null, array('class' => 'form-control', 'placeholder' => 'File Name','required' => 'required')) !!}
                                    </div>
                                    <div class="form-group col-lg-2 ">
                                        <label for="inputEmail4" class="invisible d-lg-block d-none">125</label>
                                        <a href="#" class="btn green-btn addmorefile"><i class="fa fa-plus"></i></a>
                                    </div>
                                </div>
                            </div>

                        <div class="form-row">
                            <div class="form-group col-12">
                                <label for="inputEmail4">Request Notes</label>
                                <textarea class="form-control" rows="4" name="notes" placeholder="Enter your message"></textarea>
                            </div>
                            <div class="form-group col-lg-8">
                                <label>Send Request To</label>
                                {!! Form::select('share', ['' => 'Select Option','1' => 'Drivers','2' => 'Dispatchers'], null, ['class' => 'form-control','required' => 'required']) !!}
                                <div class="form-group driversediv mt-3">
                                    <label>Drivers</label>
                                    {!! Form::select('setdriver', ['' => 'Select Driver']+getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), request()->get('driver_id'), ['class' => 'select2 form-control driverse']) !!}
                                </div>
                                <div class="form-group dispasediv mt-3">
                                    <label>Dispatchers</label>
                                    {!! Form::select('setdispatcher', ['' => 'Select Dispatcher']+getDispatcherListByCompany(auth()->guard('company-admin')->user()->company_id), request()->get('driver_id'), ['class' => 'select2 form-control dispase']) !!}
                                </div>
                            </div>
                            <div class="form-group col-lg-4">
                                <label>Requires Approval </label>
                                {!! Form::select('requires_approval', ['' => 'Select Option','1' => 'Yes','2' => 'No'], null, ['class' => 'form-control','required' => 'required']) !!}
                            </div>
                            <div class="col-lg-2 col-sm-4"><button class="btn btn-danger w-100">Cancel</button> </div>
                            <div class="col-lg-10 col-sm-8"><button type="submit" name="submit" class="btn green-btn w-100">Send Request</button> </div>
                        </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
</div>


<div class="modal fade bd-example-modal-lg file-request-modal" id="otherDocModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="newTeamModalLabel">New Document</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class=" px-3 py-2 mb-4">

                    {!! Form::open(array('route' => 'company.admin.request-documents.store','method'=>'POST','files'=>'true','class'=>'storeGalleryImage')) !!}
                      <input type="hidden" name="action_id" value="{{ $trailer->id }}" />
                      <input type="hidden" name="source" value="trailers" />

                      <input type="hidden" name="company_id" value="{{ auth()->guard('company-admin')->user()->company_id }}" />
                      <input type="hidden" name="requested_by" value="{{ auth()->guard('company-admin')->user()->id }}" />
                      <input type="hidden" name="requested_by_type" value="{{ auth()->guard('company-admin')->user()->type }}" />
                      <input type="hidden" name="date" value="{{ date('m/d/Y') }}" />


                      <div class="row ">
                        <div class="col-lg-10">
                            <div class="form-row">
                                <div class="form-group col-lg-4 col-sm-6">
                                    <label>Files</label>
                                    <select class="form-control cfile_name" name="field_name" required>
                                        <option value="">Select Files Name</option>
                                        @foreach(getRequestDocumentsList() as $fdata)
                                        @if($fdata['source'] == 'trailer')
                                          <option value="{{ $fdata['field_name'] }}" class="{{ $fdata['source'] }}">{{ $fdata['name'] }}</option>
                                        @endif
                                        @endforeach
                                    </select>
                                </div>
                                <div class="form-group col-lg-4  ">
                                    <label>Driver Files</label>
                                    <input type="file" class="form-control" name="image[]" id="inputGroupFile01" multiple accept="image/png,image/gif,image/jpeg,application/pdf,application/vnd.ms-excel" required>
                                </div>
                                <div class="form-group col-lg-4 ">
                                    <label>Name</label>
                                    {!! Form::text('file_name', old('file_name'), array('class' => 'form-control', 'placeholder' => 'Enter File Name','required' => 'required')) !!}
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-lg-2 ">
                            <label class="invisible d-lg-block d-none ">Upload</label>
                            <button type="submit " class="green-btn">Upload</button>
                        </div>
                      </div>
                    {!! Form::close() !!}

                </div>
            </div>
        </div>
    </div>
</div>
