@foreach($events as $event)
    <div class="col-2 event">
        <div class="d-flex">
            <div class="p-2">
                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon" width="34" height="39">
            </div>
            <div class="d-flex flex-column">
                <div class="pt-2">
                    {{ \Carbon\Carbon::parse($event['start'])->format('F d, Y') }}
                </div>
                <div>
                    <span title="{{ ($event['sub_title'] != "") ? $event['sub_title'] : '' }}">
                        @if($event['icon'] != "")
                            <i class="fa {{ $event['icon'] }}"></i>
                        @endif
                        {{ $event['title'] }}
                    </span>
                </div>
            </div>
        </div>
    </div>
@endforeach
