@if(isset($pmServiceWarrantyProfile) && isset($pmServiceWarrantyProviders))
    <div class="row pt-2">
        <div class="col-md-12">
            <div class="form-group">
                <h6 class="section-heading">{!! $pmServiceWarrantyProfile !!}</h6>
            </div>
        </div>
    </div>
    @foreach($pmServiceWarrantyProviders as $pmServiceWarrantyProvider)
        <div class="row pb-2">
            <div class="col-md-2 pr-1 warranty-pm-service-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="warranty-pm-service-profile pr-1">Warranty Provider</label>
                    @endif
                    {!! Form::select('warranty_provider[]', ['' => 'Select Warranty Provider'] + getCompanyPmServiceWarrantyProviders(), $pmServiceWarrantyProvider ?? null, ['class' => 'form-control select2']) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="warranty-pm-service-profile pr-1">Description</label>
                    @endif
                    {!! Form::text('description[]', null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="warranty-pm-service-profile pr-1">Type</label>
                    @endif
                    {!! Form::select('type[]', ['' => 'Select Type'] + getTruckPmServiceIntervalType(), null, ['class' => 'form-control warrantyTypes select2']) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="warranty-pm-service-profile pr-1">Term</label>
                    @endif
                    {!! Form::text('term[]', $truckWarrantyPmService->term ?? null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="warranty-pm-service-profile pr-1">Warranty Start</label>
                    @endif
                    {!! Form::text('warranty_start[]', $truckWarrantyPmService->warranty_start ?? null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="warranty-pm-service-profile pr-1">Warranty Expiration</label>
                    @endif
                    {!! Form::text('warranty_exp[]', $truckWarrantyPmService->warranty_exp ?? null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
                </div>
            </div>
            @if($loop->index == 0)
                <div class="pl-1 mt-4">
                    <div class="form-group d-flex">
                        <div>
                            <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceAdditionalRows">
                                <i class="fa fa-minus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>
            @else
                <div class="pl-1 mt-1">
                    <div class="form-group d-flex">
                        <div>
                            <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceAdditionalRows">
                                <i class="fa fa-minus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>
            @endif
        </div>
    @endforeach
@elseif(isset($truckWarrantyPmServices))
    <div class="row pt-2">
        <div class="col-md-12">
            <div class="form-group">
                <h6 class="section-heading">{!! $pmServiceWarrantyProfile !!}</h6>
            </div>
        </div>
    </div>
    @foreach($truckWarrantyPmServices as $truckWarrantyPmService)
        <div class="row pb-2">
            <div class="col-md-2 pr-1 warranty-pm-service-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="warranty-pm-service-profile pr-1">Warranty Provider</label>
                    @endif
                    {!! Form::select('warranty_provider[]', ['' => 'Select Warranty Provider'] + getCompanyPmServiceWarrantyProviders(), $truckWarrantyPmService->warranty_provider ?? null, ['class' => 'form-control select2']) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="warranty-pm-service-profile pr-1">Description</label>
                    @endif
                    {!! Form::text('description[]', $truckWarrantyPmService->description ?? null, array('class' => 'form-control', 'placeholder' => 'Enter')) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                <div class="form-group">
                    @if($loop->index == 0)
                        <label for="warranty-pm-service-profile pr-1">Type</label>
                    @endif
                    {!! Form::select('type[]', ['' => 'Select Type'] + getTruckPmServiceIntervalType(), $truckWarrantyPmService->type ?? null, ['class' => 'form-control warrantyTypes select2']) !!}
                </div>
            </div>
            @if(isset($truckWarrantyPmService->type))
                @if($truckWarrantyPmService->type == "1" || $truckWarrantyPmService->type == "2")
                    <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                        <div class="form-group">
                            @if($loop->index == 0)
                                <label for="warranty-pm-service-profile pr-1">Term</label>
                            @endif
                            {!! Form::text('term[]', $truckWarrantyPmService->term ?? null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                        <div class="form-group">
                            @if($loop->index == 0)
                                <label for="warranty-pm-service-profile pr-1">Warranty Start</label>
                            @endif
                            {!! Form::text('warranty_start[]', $truckWarrantyPmService->warranty_start ?? null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                        <div class="form-group">
                            @if($loop->index == 0)
                                <label for="warranty-pm-service-profile pr-1">Warranty Expiration</label>
                            @endif
                            {!! Form::text('warranty_exp[]', $truckWarrantyPmService->warranty_exp ?? null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
                        </div>
                    </div>
                @else
                    <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                        <div class="form-group">
                            @if($loop->index == 0)
                                <label for="warranty-pm-service-profile pr-1">Term</label>
                            @endif
                            {!! Form::select('term[]', ['' => 'Select', '30_days' => '30 Days', '60_days' => '60 Days', '90_days' => '90 Days', '120_days' => '120 Days', '180_days' => '180 Days', '1_year' => '1 year', '2_year' => '2 year', '3_year' => '3 year', '4_year' => '4 year', '5_year' => '5 year'], $truckWarrantyPmService->term ?? null, ['class' => 'form-control term select2']) !!}
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                        <div class="form-group">
                            @if($loop->index == 0)
                                <label for="warranty-pm-service-profile pr-1">Warranty Start</label>
                            @endif
                            <div class="input-group">
                                {!! Form::text('warranty_start[]', $truckWarrantyPmService->warranty_start ?? null, array('class' => 'form-control warrantyStart date', 'placeholder' => 'Enter')) !!}
                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                        <div class="form-group">
                            @if($loop->index == 0)
                                <label for="warranty-pm-service-profile pr-1">Warranty Expiration</label>
                            @endif
                            <div class="input-group">
                                {!! Form::text('warranty_exp[]', $truckWarrantyPmService->warranty_exp ?? null, array('class' => 'form-control warrantyExp date', 'placeholder' => 'Enter')) !!}
                                <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                            </div>
                        </div>
                    </div>
                @endif
            @else
                <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="warranty-pm-service-profile pr-1">Term</label>
                        @endif
                        {!! Form::text('term[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="warranty-pm-service-profile pr-1">Warranty Start</label>
                        @endif
                        {!! Form::text('warranty_start[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
                    </div>
                </div>
                <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
                    <div class="form-group">
                        @if($loop->index == 0)
                            <label for="warranty-pm-service-profile pr-1">Warranty Expiration</label>
                        @endif
                        {!! Form::text('warranty_exp[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
                    </div>
                </div>
            @endif
            @if($loop->index == 0)
                <div class="pl-1 mt-4">
                    <div class="form-group d-flex">
                        <div>
                            <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceAdditionalRows">
                                <i class="fa fa-minus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>
            @else
                <div class="pl-1 mt-1">
                    <div class="form-group d-flex">
                        <div>
                            <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceAdditionalRows">
                                <i class="fa fa-minus-square" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>
            @endif
        </div>
    @endforeach
@else
    <div class="row px-3 py-4 pt-3">
        <div class="col-md-3 warranty-pm-service-custom-grid">
            <label for="warranty-pm-service-profile pr-1">Warranty Profile Name</label>
            <div class="form-group mb-1">
                {!! Form::text('warranty_profile_name', null, array('class' => 'form-control', 'placeholder' => 'Enter Warranty Profile Name', 'id' => 'warranty-profile-name', 'required' => 'required')) !!}
            </div>
        </div>
    </div>
    <div class="row px-3">
        <div class="col-md-2 warranty-pm-service-custom-grid">
            <label for="warranty-pm-service-profile pr-1">Warranty Provider</label>
        </div>
        <div class="col-md-2 warranty-pm-service-custom-grid">
            <label for="warranty-pm-service-profile pr-1">Description</label>
        </div>
        <div class="col-md-2 warranty-pm-service-custom-grid">
            <label for="warranty-pm-service-profile pr-1">Type</label>
        </div>
        <div class="col-md-2 warranty-pm-service-custom-grid">
            <label for="warranty-pm-service-profile pr-1">Term</label>
        </div>
        <div class="col-md-2 warranty-pm-service-custom-grid">
            <label for="warranty-pm-service-profile pr-1">Warranty Start</label>
        </div>
        <div class="col-md-2 warranty-pm-service-custom-grid">
            <label for="warranty-pm-service-profile pr-1">Warranty Expiration</label>
        </div>
    </div>
    <hr class="mt-1 mb-3" />
    <div class="row px-3 pb-2">
        <div class="col-md-2 pr-1 warranty-pm-service-custom-grid">
            <div class="form-group">
                {!! Form::select('warranty_provider[]', ['' => 'Select Warranty Provider'] + getCompanyPmServiceWarrantyProviders(), null, ['class' => 'form-control select2']) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
            <div class="form-group">
                {!! Form::text('description[]', null, array('class' => 'form-control', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
            <div class="form-group">
                {!! Form::select('type[]', ['' => 'Select Type'], null, ['class' => 'form-control select2', 'disabled' => 'disabled']) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
            <div class="form-group">
                {!! Form::text('term[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
            <div class="form-group">
                {!! Form::text('warranty_start[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 warranty-pm-service-custom-grid">
            <div class="form-group">
                {!! Form::text('warranty_exp[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter', 'disabled' => 'disabled')) !!}
            </div>
        </div>
        <div class="pl-1">
            <div class="form-group d-flex">
                <div>
                    <a href="javascript:void(0);" class="addMoreBtn addWarrantyPmServiceBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            </div>
        </div>
    </div>
@endif

