@if(getCompanyAdminAnnouncements() > 0)
    @foreach(getCompanyAdminAnnouncements() as $companyAdminAnnouncement)
        <div class="alert dispatch-pro-announcements" role="alert" style="background-color: {{ $companyAdminAnnouncement->bg_color }}">
            @if($companyAdminAnnouncement->sticky == '0')
                <button type="button" class="close alert-close" data-dismiss="alert" aria-label="Close" data-id="{{ $companyAdminAnnouncement->id }}">
                    <span aria-hidden="true">&times;</span>
                </button>
            @endif
            <h6>
                <a href="{{ route('company.admin.compel.announcement.show', base64Encode($companyAdminAnnouncement->id)) }}" target="_blank">
                    {{ date('m/d/Y H:i', strtotime($companyAdminAnnouncement->created_at)) }} - {{ $companyAdminAnnouncement->name ?? '' }}
                </a>
            </h6>
            <hr/>
            {!! $companyAdminAnnouncement->description ?? '' !!}
        </div>
    @endforeach
@endif
