@extends($driverAdminTheme)

@section('title')
    Loads
@endsection

@section('style')
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <style type="text/css">
        .load-btn label{width: 99px !important;}
        .load-edit-link{text-decoration: underline;}
    </style>
    <style type="text/css">
        .dataTables_length {display: block;}
        .cusotdiv2 {display: flex;justify-content: end;align-items: center;}
        .dataTables_length label {margin-bottom: 0;padding-left: 10px!important;}
    </style>
@endsection

@section('content')
    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item" role="presentation">
            <a class="nav-link active" id="pending-tab" data-toggle="tab" href="#pending" role="tab" aria-controls="pending" aria-selected="true">Pending</a>
        </li>
        <li class="nav-item" role="presentation">
            <a class="nav-link" id="accepted-tab" data-toggle="tab" href="#accepted" role="tab" aria-controls="accepted" aria-selected="false">Accepted</a>
        </li>
        <li class="nav-item" role="presentation">
            <a class="nav-link" id="intransit-tab" data-toggle="tab" href="#intransit" role="tab" aria-controls="intransit" aria-selected="false">In Transit</a>
        </li>
        <li class="nav-item" role="presentation">
            <a class="nav-link" id="rejected-tab" data-toggle="tab" href="#rejected" role="tab" aria-controls="rejected" aria-selected="false">Rejected</a>
        </li>
        <li class="nav-item" role="presentation">
            <a class="nav-link" id="complete-tab" data-toggle="tab" href="#complete" role="tab" aria-controls="complete" aria-selected="false">Complete</a>
        </li>
        <li class="nav-item" role="presentation">
            <a class="nav-link" id="cancelled-tab" data-toggle="tab" href="#cancelled" role="tab" aria-controls="cancelled" aria-selected="false">Cancelled</a>
        </li>
        <li class="nav-item" role="presentation">
            <a class="nav-link" id="unoccupied-tab" data-toggle="tab" href="#unoccupied" role="tab" aria-controls="unoccupied" aria-selected="false">Unoccupied</a>
        </li>
        <li class="nav-item" role="presentation">
            <a class="nav-link" id="all-tab" data-toggle="tab" href="#all" role="tab" aria-controls="all" aria-selected="false">All Loads</a>
        </li>
    </ul>
    <div class="tab-content" id="myTabContent">
        <div class="tab-pane fade show active" id="pending" role="tabpanel" aria-labelledby="pending-tab">
            <!-- Pending -->
            <div class="white-box table-view scroll-data-table">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table pending-data-table">
                        <thead>
                            <tr>
                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @php
                                            $colheadName        = config('settings.table_loads_active')[$key]['name'];
                                        @endphp
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class="notsech">{{ $colheadName }}</th>
                                        @else
                                            <th>{{ $colheadName }}</th>
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="tab-pane fade" id="accepted" role="tabpanel" aria-labelledby="accepted-tab">
            <!-- Accepted -->
            <div class="white-box table-view scroll-data-table">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table accepted-data-table">
                        <thead>
                            <tr>
                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @php
                                            $colheadName        = config('settings.table_loads_active')[$key]['name'];
                                        @endphp
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class="notsech">{{ $colheadName }}</th>
                                        @else
                                            <th>{{ $colheadName }}</th>
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="tab-pane fade" id="intransit" role="tabpanel" aria-labelledby="intransit-tab">
            <!-- In Transit -->
            <div class="white-box table-view scroll-data-table">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table intransit-data-table">
                        <thead>
                            <tr>
                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @php
                                            $colheadName        = config('settings.table_loads_active')[$key]['name'];
                                        @endphp
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class="notsech">{{ $colheadName }}</th>
                                        @else
                                            <th>{{ $colheadName }}</th>
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="tab-pane fade" id="rejected" role="tabpanel" aria-labelledby="rejected-tab">
            <!-- Rejected -->
            <div class="white-box table-view scroll-data-table">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table rejected-data-table">
                        <thead>
                            <tr>
                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @php
                                            $colheadName        = config('settings.table_loads_active')[$key]['name'];
                                        @endphp
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class="notsech">{{ $colheadName }}</th>
                                        @else
                                            <th>{{ $colheadName }}</th>
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="tab-pane fade" id="complete" role="tabpanel" aria-labelledby="complete-tab">
            <!-- Complete -->
            <div class="white-box table-view scroll-data-table">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table complete-data-table">
                        <thead>
                            <tr>
                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @php
                                            $colheadName        = config('settings.table_loads_active')[$key]['name'];
                                        @endphp
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class="notsech">{{ $colheadName }}</th>
                                        @else
                                            <th>{{ $colheadName }}</th>
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="tab-pane fade" id="cancelled" role="tabpanel" aria-labelledby="cancelled-tab">
            <!-- Cancelled -->
            <div class="white-box table-view scroll-data-table">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table cancelled-data-table">
                        <thead>
                            <tr>
                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @php
                                            $colheadName        = config('settings.table_loads_active')[$key]['name'];
                                        @endphp
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class="notsech">{{ $colheadName }}</th>
                                        @else
                                            <th>{{ $colheadName }}</th>
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="tab-pane fade" id="unoccupied" role="tabpanel" aria-labelledby="unoccupied-tab">
            <!-- Unoccupied -->
            <div class="white-box table-view scroll-data-table">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table unoccupied-data-table">
                        <thead>
                            <tr>
                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @php
                                            $colheadName        = config('settings.table_loads_active')[$key]['name'];
                                        @endphp
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class="notsech">{{ $colheadName }}</th>
                                        @else
                                            <th>{{ $colheadName }}</th>
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="tab-pane fade" id="all" role="tabpanel" aria-labelledby="all-tab">
            <!-- All Loads -->
            <div class="white-box table-view scroll-data-table">
                <h3 class="table-title">Loads</h3>
                <div class="table-responsive">
                    <table class="table all-data-table">
                        <thead>
                            <tr>
                                @foreach($getField as $key => $filed)
                                    @if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name']))
                                        @php
                                            $colheadName        = config('settings.table_loads_active')[$key]['name'];
                                        @endphp
                                        @if(config('settings.table_loads_active')[$key]['col_search'] == 0)
                                            <th class="notsech">{{ $colheadName }}</th>
                                        @else
                                            <th>{{ $colheadName }}</th>
                                        @endif
                                    @endif
                                @endforeach
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!--  -->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            {!! Form::open(array('route' => 'driver.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')) !!}          
            <input type="hidden" name="table_id" value="loads_active">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                        @foreach($getField as $key => $filed)
                            @if(isset(config('settings.table_loads_active')[$key]['name']))
                                @php
                                    $colheadName        = config('settings.table_loads_active')[$key]['name'];
                                @endphp
                                <li class="ui-state-default">
                                    <div class="custom-control custom-checkbox">
                                        <input type='hidden' value='0' name='field[{{ $key }}]'>
                                        <input type="checkbox" class="custom-control-input" id="Check{{ $key }}" name="field[{{ $key }}]" value="1" @if($filed == 1) checked @endif>
                                        <label class="custom-control-label" for="Check{{ $key }}">{{ $colheadName }}</label>
                                    </div>
                                    <i class="fa fa-align-justify drag-icon"></i>
                                </li>
                            @endif
                        @endforeach
                    </ul>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">Save</button>
                </div>
            </div>
            {!! Form::close() !!}
        </div>
    </div>
    <!--  -->
@endsection

@section('script')
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script>
        var tablePending    = $('.pending-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6 cusotdiv2'fl>><''><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            pageLength: "{{ perPageView() }}", 
            //order: [[0, "desc"]],
            ajax: "{{ route('driver.admin.loads.pending') }}",
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });
        var tableAccepted   = $('.accepted-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            pageLength: "{{ perPageView() }}", 
            //order: [[0, "desc"]],
            ajax: "{{ route('driver.admin.loads.accepted') }}",
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });
        var tableInTransit  = $('.intransit-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            pageLength: "{{ perPageView() }}", 
            //order: [[0, "desc"]],
            ajax: "{{ route('driver.admin.loads.in.transit') }}",
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });
        var tableRejected   = $('.rejected-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            pageLength: "{{ perPageView() }}", 
            //order: [[0, "desc"]],
            ajax: "{{ route('driver.admin.loads.rejected') }}",
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });
        var tableComplete   = $('.complete-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            pageLength: "{{ perPageView() }}", 
            //order: [[0, "desc"]],
            ajax: "{{ route('driver.admin.loads.complete') }}",
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });
        var tableCancelled  = $('.cancelled-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            pageLength: "{{ perPageView() }}", 
            //order: [[0, "desc"]],
            ajax: "{{ route('driver.admin.loads.cancelled') }}",
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });
        var tableUnOccupied = $('.unoccupied-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            pageLength: "{{ perPageView() }}", 
            //order: [[0, "desc"]],
            ajax: "{{ route('driver.admin.loads.unoccupied') }}",
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });
        var tableAll        = $('.all-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            pageLength: "{{ perPageView() }}", 
            //order: [[0, "desc"]],
            ajax: "{{ route('driver.admin.loads.all') }}",
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '{{ $key }}', name: '{{ $key }}', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });
    </script>
    <script>
        $('<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".cusotdiv");
        
        $(document).ready(function() {
            $('.pending-data-table thead tr').clone(true).appendTo('.pending-data-table thead');
            $('.pending-data-table thead tr:eq(1) th').each( function (i) {
                var title               = $(this).text();
                var getClass            = $(this).attr("class");
            
                if(getClass == 'sorting'){
                    var search_value    = tablePending.column(i).search();
            
                    if(title == 'Trailer Type'){
                        $(this).html( '<select class="sercol esejo'+i+'" onclick="stopPropagation(event);"><option value="">Select Trailer Type</option><option value="0">Van</option><option value="1">Reefer</option><option value="2">Flatbed</option><option value="3">Stepdeck</option><option value="4">Power Only</option><option value="5">Other</option></select>' );
                        $(this).find('.esejo'+i+' option[value="'+search_value+'"]').prop('selected', true);
                    }else{
                        $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );
                    }
            
                    $( 'input,select', this ).on( 'keyup change', function () {
                        if ( tablePending.column(i).search() !== this.value ) {
                            tablePending.column(i).search( this.value ).draw();
                        }
                    });  
                }else{
                    $(this).html('');          
                }
            });
        });

        $(document).ready(function() {
            $('.accepted-data-table thead tr').clone(true).appendTo('.accepted-data-table thead');
            $('.accepted-data-table thead tr:eq(1) th').each( function (i) {
                var title               = $(this).text();
                var getClass            = $(this).attr("class");
            
                if(getClass == 'sorting'){
                    var search_value    = tableAccepted.column(i).search();
            
                    if(title == 'Trailer Type'){
                        $(this).html( '<select class="sercol esejo'+i+'" onclick="stopPropagation(event);"><option value="">Select Trailer Type</option><option value="0">Van</option><option value="1">Reefer</option><option value="2">Flatbed</option><option value="3">Stepdeck</option><option value="4">Power Only</option><option value="5">Other</option></select>' );
                        $(this).find('.esejo'+i+' option[value="'+search_value+'"]').prop('selected', true);
                    }else{
                        $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );
                    }
            
                    $( 'input,select', this ).on( 'keyup change', function () {
                        if ( tableAccepted.column(i).search() !== this.value ) {
                            tableAccepted.column(i).search( this.value ).draw();
                        }
                    });  
                }else{
                    $(this).html('');          
                }
            });
        });

        $(document).ready(function() {
            $('.intransit-data-table thead tr').clone(true).appendTo('.intransit-data-table thead');
            $('.intransit-data-table thead tr:eq(1) th').each( function (i) {
                var title               = $(this).text();
                var getClass            = $(this).attr("class");
            
                if(getClass == 'sorting'){
                    var search_value    = tableInTransit.column(i).search();
            
                    if(title == 'Trailer Type'){
                        $(this).html( '<select class="sercol esejo'+i+'" onclick="stopPropagation(event);"><option value="">Select Trailer Type</option><option value="0">Van</option><option value="1">Reefer</option><option value="2">Flatbed</option><option value="3">Stepdeck</option><option value="4">Power Only</option><option value="5">Other</option></select>' );
                        $(this).find('.esejo'+i+' option[value="'+search_value+'"]').prop('selected', true);
                    }else{
                        $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );
                    }
            
                    $( 'input,select', this ).on( 'keyup change', function () {
                        if ( tableInTransit.column(i).search() !== this.value ) {
                            tableInTransit.column(i).search( this.value ).draw();
                        }
                    });  
                }else{
                    $(this).html('');          
                }
            });
        });

        $(document).ready(function() {
            $('.rejected-data-table thead tr').clone(true).appendTo('.rejected-data-table thead');
            $('.rejected-data-table thead tr:eq(1) th').each( function (i) {
                var title               = $(this).text();
                var getClass            = $(this).attr("class");
            
                if(getClass == 'sorting'){
                    var search_value    = tableRejected.column(i).search();
            
                    if(title == 'Trailer Type'){
                        $(this).html( '<select class="sercol esejo'+i+'" onclick="stopPropagation(event);"><option value="">Select Trailer Type</option><option value="0">Van</option><option value="1">Reefer</option><option value="2">Flatbed</option><option value="3">Stepdeck</option><option value="4">Power Only</option><option value="5">Other</option></select>' );
                        $(this).find('.esejo'+i+' option[value="'+search_value+'"]').prop('selected', true);
                    }else{
                        $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );
                    }
            
                    $( 'input,select', this ).on( 'keyup change', function () {
                        if ( tableRejected.column(i).search() !== this.value ) {
                            tableRejected.column(i).search( this.value ).draw();
                        }
                    });  
                }else{
                    $(this).html('');          
                }
            });
        });

        $(document).ready(function() {
            $('.complete-data-table thead tr').clone(true).appendTo('.complete-data-table thead');
            $('.complete-data-table thead tr:eq(1) th').each( function (i) {
                var title               = $(this).text();
                var getClass            = $(this).attr("class");
            
                if(getClass == 'sorting'){
                    var search_value    = tableComplete.column(i).search();
            
                    if(title == 'Trailer Type'){
                        $(this).html( '<select class="sercol esejo'+i+'" onclick="stopPropagation(event);"><option value="">Select Trailer Type</option><option value="0">Van</option><option value="1">Reefer</option><option value="2">Flatbed</option><option value="3">Stepdeck</option><option value="4">Power Only</option><option value="5">Other</option></select>' );
                        $(this).find('.esejo'+i+' option[value="'+search_value+'"]').prop('selected', true);
                    }else{
                        $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );
                    }
            
                    $( 'input,select', this ).on( 'keyup change', function () {
                        if ( tableComplete.column(i).search() !== this.value ) {
                            tableComplete.column(i).search( this.value ).draw();
                        }
                    });  
                }else{
                    $(this).html('');          
                }
            });
        });

        $(document).ready(function() {
            $('.cancelled-data-table thead tr').clone(true).appendTo('.cancelled-data-table thead');
            $('.cancelled-data-table thead tr:eq(1) th').each( function (i) {
                var title               = $(this).text();
                var getClass            = $(this).attr("class");
            
                if(getClass == 'sorting'){
                    var search_value    = tableCancelled.column(i).search();
            
                    if(title == 'Trailer Type'){
                        $(this).html( '<select class="sercol esejo'+i+'" onclick="stopPropagation(event);"><option value="">Select Trailer Type</option><option value="0">Van</option><option value="1">Reefer</option><option value="2">Flatbed</option><option value="3">Stepdeck</option><option value="4">Power Only</option><option value="5">Other</option></select>' );
                        $(this).find('.esejo'+i+' option[value="'+search_value+'"]').prop('selected', true);
                    }else{
                        $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );
                    }
            
                    $( 'input,select', this ).on( 'keyup change', function () {
                        if ( tableCancelled.column(i).search() !== this.value ) {
                            tableCancelled.column(i).search( this.value ).draw();
                        }
                    });  
                }else{
                    $(this).html('');          
                }
            });
        });

        $(document).ready(function() {
            $('.unoccupied-data-table thead tr').clone(true).appendTo('.unoccupied-data-table thead');
            $('.unoccupied-data-table thead tr:eq(1) th').each( function (i) {
                var title               = $(this).text();
                var getClass            = $(this).attr("class");
            
                if(getClass == 'sorting'){
                    var search_value    = tableUnOccupied.column(i).search();
            
                    if(title == 'Trailer Type'){
                        $(this).html( '<select class="sercol esejo'+i+'" onclick="stopPropagation(event);"><option value="">Select Trailer Type</option><option value="0">Van</option><option value="1">Reefer</option><option value="2">Flatbed</option><option value="3">Stepdeck</option><option value="4">Power Only</option><option value="5">Other</option></select>' );
                        $(this).find('.esejo'+i+' option[value="'+search_value+'"]').prop('selected', true);
                    }else{
                        $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );
                    }
            
                    $( 'input,select', this ).on( 'keyup change', function () {
                        if ( tableUnOccupied.column(i).search() !== this.value ) {
                            tableUnOccupied.column(i).search( this.value ).draw();
                        }
                    });  
                }else{
                    $(this).html('');          
                }
            });
        });

        $(document).ready(function() {
            $('.all-data-table thead tr').clone(true).appendTo('.all-data-table thead');
            $('.all-data-table thead tr:eq(1) th').each( function (i) {
                var title               = $(this).text();
                var getClass            = $(this).attr("class");
            
                if(getClass == 'sorting'){
                    var search_value    = tableAll.column(i).search();
            
                    if(title == 'Trailer Type'){
                        $(this).html( '<select class="sercol esejo'+i+'" onclick="stopPropagation(event);"><option value="">Select Trailer Type</option><option value="0">Van</option><option value="1">Reefer</option><option value="2">Flatbed</option><option value="3">Stepdeck</option><option value="4">Power Only</option><option value="5">Other</option></select>' );
                        $(this).find('.esejo'+i+' option[value="'+search_value+'"]').prop('selected', true);
                    }else{
                        $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );
                    }
            
                    $( 'input,select', this ).on( 'keyup change', function () {
                        if ( tableAll.column(i).search() !== this.value ) {
                            tableAll.column(i).search( this.value ).draw();
                        }
                    });  
                }else{
                    $(this).html('');          
                }
            });
        });
        
        $(function() {
            $("#sortable").sortable();
        });
    </script>
@endsection
