<div class="col-12">
    <div class="white-box mb-3">
        @if(isset($collapse))
            <h4 class="box-title clear-bt accordion-toggle" data-toggle="collapse" data-parent="#accordion-load" href="#collapse_notes"><i class="fa fa-plus"></i> Notes</h4>
        @else
            <h4 class="box-title clear-bt">Notes</h4>
        @endif
        @if(isset($collapse))
            <div class="box-padding pt-3 collapse {{ (isset($show) && $show=='true')?'show':'' }}" id="collapse_notes">
        @else
            <div class="box-padding pt-3">
        @endif
            @if($notes->count() > 0)
                @foreach ($notes as $key => $note)
                    <div class="notes-block @if($note->type == 2) bg-yellow @endif mb-3">
                        <div class="table-responsive">
                            <table class="table m-0 ">
                                <tr>
                                    <td>
                                        @if($note->created_by_type == 3)
                                            {{ $note->createdDriverBy->full_name }}
                                        @else
                                            {{ $note->createdBy->full_name }}
                                        @endif
                                    </td>
                                    <td class="text-center">
                                        @if(!empty($note->request_type))
                                            {{ getNoteRequestType()[$note->request_type] }}
                                        @endif
                                    </td>
                                    <td class="text-right">
                                        @if(!empty($note->created_at))
                                            {{ \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $note->created_at)->setTimezone($getTimeZone)->format(getTimeLayout())." ".$getTimeZoneId }}
                                        @endif
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        @if(empty($note->type))
                                            <p>{{ $note->note }}</p>
                                        @else
                                            {{ getLoadNoteType()[$note->type] }}
                                            <p>{{ $note->note }}</p>
                                        @endif
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                @endforeach
            @else
                <p><strong>Notes Record Not Found.</strong></p>
            @endif
        </div>
    </div>
</div>