@php
    $totalPendingDetention                      = 0;
    if(isset($load_detail->detentions)){
        $totalPendingDetention                  = $load_detail->detentions()->whereNotIn('review_status', ['Completed','Denied'])->count();
    }
@endphp
@php
    $load_status                                = $load_detail->load_status ?? 2;
    $is_on_hold                                 = $load_detail->is_on_hold ?? 0;

    $msclass                                    = '';
    if($is_on_hold == '3'){
        $msclass                                = 'setdropped';
    }elseif($is_on_hold == '2'){
        $msclass                                = 'setcnacelte';
    }elseif($is_on_hold == '1'){
        $msclass                                = 'setseonholds';
    }

    $load_status_preplanned                     = '';
    $load_status_send_to_drive                  = '';
    $load_status_confirmed                      = '';
    $load_status_in_transit                     = '';
    $load_status_delivered                      = '';
    $load_status_ready_to_bill                  = '';

    if($load_status == 2){
        $load_status_preplanned                 = 'fill-active';
    }
    if($load_status == 11){
        $load_status_preplanned                 = 'fill-active';
        $load_status_send_to_drive              = 'fill-active';
    }
    if($load_status == 3){
        $load_status_preplanned                 = 'fill-active';
        $load_status_send_to_drive              = 'fill-active';
        $load_status_confirmed                  = 'fill-active';
    }
    if($load_status == 4){
        $load_status_preplanned                 = 'fill-active';
        $load_status_send_to_drive              = 'fill-active';
        $load_status_confirmed                  = 'fill-active';
        $load_status_in_transit                 = 'fill-active';
    }
    if($load_status == 5){
        $load_status_preplanned                 = 'fill-active';
        $load_status_send_to_drive              = 'fill-active';
        $load_status_confirmed                  = 'fill-active';
        $load_status_in_transit                 = 'fill-active';
        $load_status_delivered                  = 'fill-active';
    }
    if($load_status == 6){
        $load_status_preplanned                 = 'fill-active';
        $load_status_send_to_drive              = 'fill-active';
        $load_status_confirmed                  = 'fill-active';
        $load_status_in_transit                 = 'fill-active';
        $load_status_delivered                  = 'fill-active';
        $load_status_ready_to_bill              = 'fill-active';
        if(isset($totalPendingDetention) && $totalPendingDetention > 0){
            $load_status_ready_to_bill          .= ' isactivebill';
        }
    }
@endphp
@php
    $total_pay                                  = (float)$load_detail->agreed_upon_rate;
@endphp
<div class="padd-custome border-bottom">
    <div class="current-dispatch-hedding">
        <div class="row">
            <div class="col-auto current-dispatch-h-left">
                <div class="cd-hedding-left">
                    <h2 class="text-dark-blue load-detail-id" data-id="{{ $load_detail->id ?? '' }}">Loan Number: {{ $load_detail->load_number ?? '' }}</h2>
                    <p class="fs-14 fw-500">
                        <strong class="font-weight-bold">Status:</strong>
                        @if($is_on_hold == '1')
                            <span class="load-status-txt text-danger">On Hold</span>
                        @elseif($is_on_hold == '2')
                            <span class="load-status-txt">Cancelled</span>
                        @elseif($is_on_hold == '3')
                            <span class="load-status-txt">Dropped</span>
                        @else
                            <span class="load-status-txt">
                                {{-- getLoadStatusList()[$load_status] ?? '' --}}
                                @if(isset($truckStopArry) && !empty($truckStopArry))
                                    {{ $truckStopArry['status'] ?? 'Pending' }}
                                @else
                                    Pending
                                @endif
                            </span>
                        @endif
                    </p>
                    <div class="progress miles-progressbar">
                        <div class="progress-bar" role="progressbar" style="width: 0%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                    </div>
                    <p class="fs-14 font-weight-bold"><span class="completed-miles">0</span> of <span class="total-miles">{{ number_format(floatval($load_detail->total_miles), 2, '.', '') }}</span> Miles Completed</p>
                    <div class="d-flex">
                        <button class="btn btn-blue" disabled>Request Detention</button>
                        <button class="btn btn-blue ml-2" disabled>Report claim</button>
                    </div>
                </div>
            </div>
            <div class="col-auto current-dispatch-h-right">
                <div class="dishpatchPlan-content mb-2 pb-2">
                    <div class="dishpatchPlan-hedding">
                        <h3 class="fs-14 font-weight-bold text-dark-blue">{{ $load_detail->broker->name ?? '' }}</h3>
                    </div>
                    <div class="dishpatchPlan-block ">
                        <div>
                            <label class="fs-14 font-weight-bold text-dark-blue">MC Number:</label>
                            <span>{{ $load_detail->broker->mc_number ?? '' }}</span>
                        </div>
                        <div>
                            <label class="fs-14 font-weight-bold text-dark-blue">Representative:</label>
                            <span>{{ $load_detail->rep ?? '' }}</span>
                        </div>
                        <div>
                            <label class="fs-14 font-weight-bold text-dark-blue">Phone:</label>
                            <span>{{ $load_detail->phone ?? '' }}</span>
                        </div>
                        <div>
                            <label class="fs-14 font-weight-bold text-dark-blue">Ext:</label>
                            <span>{{ $load_detail->ext ?? '' }}</span>
                        </div>
                        <div>
                            <label class="fs-14 font-weight-bold text-dark-blue">
                                ProChat <img src="{{ asset('theme/images/comment.svg') }}" alt="Comment" class="ml-1">
                            </label>
                            <a href="javascript:void(0);" class="text-dark-blue text-underline fs-14 fw-500">Chat</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="current-dispatch-body">
    <div class="row">
        <div class="col-auto current-dispatch-body-left">
            <div id="carouselExampleControlsNoTouching" class="carousel slide" data-touch="false" data-interval="false">
                @include('driverAdmin.mytrips.ajax.current_dispatch.carousel_content')
            </div>
        </div>
        <div class="col-auto current-dispatch-body-right">
            <div class="dishpatchPlan-content new-addLoad mb-2">
                <div class="multi_step_form">
                    <div id="msform" class="{{ $msclass }}">
                        <div class="d-flex">
                            <ul class="custom-progress-bar" id="progressbar">
                                <li id="preplaned" class="{{ $load_status_preplanned }}">
                                    <a href="javascript:void(0);">
                                        <span class="progress-no">1</span>
                                        PREPLANNED
                                    </a>
                                </li>
                                <li id="sendToDriver" class="{{ $load_status_send_to_drive }}">
                                    <a href="javascript:void(0);">
                                        <span class="progress-no">1</span>
                                        SEND TO DRIVER
                                    </a>
                                </li>
                                <li id="confirmed" class="{{ $load_status_confirmed }}">
                                    <a href="javascript:void(0);">
                                        <span class="progress-no">1</span>
                                        CONFIRMED
                                    </a>
                                </li>
                                <li id="inTransit" class="{{ $load_status_in_transit }}">
                                    <a href="javascript:void(0);">
                                        <span class="progress-no">1</span>
                                        IN TRANSIT
                                    </a>
                                </li>
                                <li id="delivered" class="{{ $load_status_delivered }}">
                                    <a href="javascript:void(0);">
                                        <span class="progress-no">1</span>
                                        DELIVERED
                                    </a>
                                </li>
                                <li id="readyToBill" class="{{ $load_status_ready_to_bill }}">
                                    <a href="javascript:void(0);">
                                        <span class="progress-no">1</span>
                                        READY TO BILL
                                    </a>
                                </li>

                            </ul>

                        </div>
                    </div>
                </div>
            </div>
            <div class="dishpatchPlan-content load-requirements mb-2 pb-2">
                <div class="dishpatchPlan-hedding">
                    <h6>Load Requirements</h6>
                </div>
                <table class="w-100 mt-0">
                    <thead class="bg-white border-bottom">
                        <tr>
                            <th class="text-left text-dark-blue fw-600 fs-14">Qty</th>
                            <th class="text-right text-dark-blue fw-600 fs-14">Item</th>
                        </tr>
                    </thead>
                    <tbody>
                        @if(isset($load_detail->loads->load_requirements) && $load_detail->loads->load_requirements->isNotEmpty())
                            @foreach ($load_detail->loads->load_requirements as $key => $requirement)
                                <tr>
                                    <td class="text-left fw-500 fs-14">{{ $requirement->qty }}</td>
                                    <td class="text-right fw-500 fs-14">{{ $requirement->name }}</td>
                                </tr>
                            @endforeach
                        @else
                            <tr>
                                <td class="text-left fw-500 fs-14" colspan="2">No data available in table</td>
                            </tr>
                        @endif
                    </tbody>
                </table>
            </div>
            <div class="dishpatchPlan-content mb-2 pb-2">
                <div class="dishpatchPlan-hedding">
                    <h6>Load Pay</h6>
                </div>
                <div class="dishpatchPlan-block text-left">
                    <ul class="nav flex-column w-100 align-items-start border-bottom pb-2">
                        <li class="border-bottom">
                            <div class="">
                                <label class="text-dark-grey font-weight-bold">Load Gross:</label>
                                <span class="text-dark-grey font-weight-bold">{{ isset($load_detail->agreed_upon_rate) ? '$'.number_format($load_detail->agreed_upon_rate, 2, '.', ',') : '' }}</span>
                            </div>
                        </li>
                        <li class="py-0">
                            <ul class="nav flex-column w-100 d-block">
                                <li class="w-100">
                                    <div class="">
                                        <label class="text-dark-blue font-weight-bold">Fuel Surcharge Cost Per Mile</label>
                                        <span class="fw-500">{{ isset($load_detail->fuel_surcharge_cost_per_mile) ? '$'.number_format($load_detail->fuel_surcharge_cost_per_mile, 2, '.', ',') : '' }}</span>
                                    </div>
                                </li>
                                <li class="w-100">
                                    <div class="">
                                        <label class="text-dark-blue font-weight-bold">Fuel Surcharge</label>
                                        <span class="fw-500">{{ isset($load_detail->fuel_surcharge) ? '$'.number_format($load_detail->fuel_surcharge, 2, '.', ',') : '' }}</span>
                                    </div>
                                </li>
                                <li class="w-100">
                                    <div class="">
                                        <label class="text-dark-blue font-weight-bold">Line Haul</label>
                                        <span class="fw-500">{{ isset($load_detail->line_haul) ? '$'.number_format($load_detail->line_haul, 2, '.', ',') : '' }}</span>
                                    </div>
                                </li>
                                @if(isset($load_detail->detentions) && $load_detail->detentions->isNotEmpty())
                                    @php
                                        $detention_due                          = 0;
                                    @endphp
                                    @foreach ($load_detail->detentions as $key => $load_detention)
                                        @php
                                            if(in_array($load_detention->detention_status,[2,3]) && $load_detention->review_status!='Denied'){
                                                $detention_due                  += (float)$load_detention->detention_due;
                                            }
                                        @endphp
                                    @endforeach
                                    @if($detention_due > 0)
                                        <li class="w-100">
                                            <div class="">
                                                <label class="text-dark-blue font-weight-bold">Detention</label>
                                                <span class="fw-500">{{ '$'.number_format($detention_due, 2, '.', ',') }}</span>
                                            </div>
                                        </li>
                                    @endif
                                    @php
                                        $total_pay                              += $detention_due;
                                    @endphp
                                @endif
                            </ul>
                        </li>
                        @if(isset($load_detail->load_accessorials) && $load_detail->load_accessorials->isNotEmpty())
                            @php
                                $mileage_accessorial_array                      = [];
                            @endphp
                            @foreach ($load_detail->load_accessorials as $key => $load_accessorial)
                                @php
                                    $mileage_accessorial_array[]                = [
                                        'company_accessorial_id'                => $load_accessorial->company_accessorial_id,
                                        'company_accessorial_name'              => $load_accessorial->company_accessorial->name ?? '',
                                        'charge_deduct'                         => $load_accessorial->charge_deduct,
                                        'qty'                                   => $load_accessorial->qty,
                                        'rate'                                  => $load_accessorial->rate,
                                        'total'                                 => $load_accessorial->total,
                                    ];
                                @endphp
                            @endforeach
                            @php
                                $mileage_accessorial_array                      = array_reduce($mileage_accessorial_array, function ($carry, $item) {
                                    $key           = $item['company_accessorial_name'];
                                    $carry[$key][] = $item;
                                    return $carry;
                                }, []);
                            @endphp
                            @if(!empty($mileage_accessorial_array))
                                <li>
                                    <div class="">
                                        <label class="text-dark-grey font-weight-bold">Accessorial</label>
                                    </div>
                                </li>
                                <li class="py-0">
                                    <ul class="nav flex-column w-100 d-block">
                                        @foreach ($mileage_accessorial_array as $company_accessorial_name => $accessorials_array)
                                            @php
                                                $total                          = 0;
                                            @endphp
                                            @foreach ($accessorials_array as $key => $accessorial_array)
                                                @php
                                                    if($accessorial_array['charge_deduct']==1){
                                                        $total                  += $accessorial_array['total'];
                                                    }else if($accessorial_array['charge_deduct']==2){
                                                        $total                  -= $accessorial_array['total'];
                                                    }
                                                @endphp
                                            @endforeach
                                            @if($total >= 0)
                                                @php
                                                    $total_pay                  += $total;
                                                @endphp
                                            @else
                                                @php
                                                    $total_pay                  -= abs($total);
                                                @endphp
                                            @endif
                                            <li class="w-100">
                                                <div class="">
                                                    <label class="text-dark-blue font-weight-bold">{{ $company_accessorial_name }}</label>
                                                    <span class="fw-500">
                                                        @if($total >= 0)
                                                            {{ '$'.number_format($total, 2, '.', ',') }}
                                                        @else
                                                            {{ '-$'.number_format(abs($total), 2, '.', ',') }}
                                                        @endif
                                                    </span>
                                                </div>
                                            </li>
                                        @endforeach
                                    </ul>
                                </li>
                            @endif
                        @endif
                    </ul>
                    <div class="">
                        <label class="text-dark-blue font-weight-bold">Total Pay</label>
                        <span class="fw-500">{{ '$'.number_format($total_pay, 2, '.', ',') }}</span>
                    </div>
                </div>
            </div>
            <div class="dishpatchPlan-content mb-2 pb-2">
                <div class="dishpatchPlan-hedding">
                    <h6>General Details</h6>
                </div>
                <div class="dishpatchPlan-block">
                    <div>
                        <label>Load Type:</label>
                        <span>
                            @if(isset($load_detail->load_type_2))
                                @if($load_detail->load_type_2 == 1)
                                    LTL
                                @else
                                    Full Truck
                                @endif
                            @endif
                        </span>
                    </div>
                    @if(isset($load_detail->itemize) && $load_detail->itemize != 1)
                        <div>
                            <label>Gross Weight:</label>
                            <span>{{ isset($load_detail->weight) ? number_format($load_detail->weight, 2, '.', ',').' lbs' : '' }}</span>
                        </div>
                        <div>
                            <label>Load Value:</label>
                            <span>{{ isset($load_detail->load_value) ? '$'.number_format($load_detail->load_value, 2, '.', ',') : '' }}</span>
                        </div>
                        <div>
                            <label>Commodity:</label>
                            <span>{{ $load_detail->load_commodity->name ?? '' }}</span>
                        </div>
                        <div>
                            <label>Temperature:</label>
                            <span>
                                @if(isset($load_detail->temp))
                                    {{ $load_detail->temp }}
                                    @if($load_detail->temp_type == 1)
                                        °F
                                    @else
                                        °C
                                    @endif
                                @else
                                    Not Applicable
                                @endif
                            </span>
                        </div>
                    @endif
                    <div class="dishpatchPlan-f-link">
                        <label></label>
                        <a href="javascript:void(0);" class="btn-link text-underline disabled">More Details</a>
                    </div>
                </div>
            </div>
            <div class="dishpatchPlan-content mb-2 pb-2">
                <div class="dishpatchPlan-hedding">
                    <h6>Mileage & Rating</h6>
                </div>
                <div class="dishpatchPlan-block border-bottom">
                    <div>
                        <label>Deadhead Miles</label>
                        <span>{{ isset($load_detail->empty_miles) ? number_format($load_detail->empty_miles, 2, '.', ',') : '' }}</span>
                    </div>
                    <div>
                        <label>Loaded Miles</label>
                        <span>{{ isset($load_detail->loaded_miles) ? number_format($load_detail->loaded_miles, 2, '.', ',') : '' }}</span>
                    </div>
                    <div>
                        <label>Total Miles</label>
                        <span>{{ isset($load_detail->total_miles) ? number_format($load_detail->total_miles, 2, '.', ',') : '' }}</span>
                    </div>
                </div>
                <div class="dishpatchPlan-block">
                    <div>
                        <label>CPM</label>
                        <span>
                            @php
                                $cpm        = 0.00;
                                if($load_detail->agreed_upon_rate > 0 && $load_detail->total_miles > 0){
                                    $cpm    = round($load_detail->agreed_upon_rate / $load_detail->total_miles, 2);
                                }
                            @endphp
                            {{ getPrice($cpm) }}
                        </span>
                    </div>
                </div>
            </div>
            <div class="dishpatchPlan-content mb-2 pb-2">
                <div class="dishpatchPlan-hedding">
                    <h6>Driver & Equipment</h6>
                </div>
                <div class="dishpatchPlan-block">
                    <div>
                        <label>Driver</label>
                        <span>{{ $load_detail->driver->full_name ?? '' }}</span>
                    </div>
                    @if(isset($load_detail->co_driver))
                        <div>
                            <label>Co Driver:</label>
                            <span>{{ $load_detail->co_driver->full_name ?? '' }}</span>
                        </div>
                    @endif
                    <div>
                        <label>Truck Number</label>
                        <span>{{ $load_detail->truck_number ?? '' }}</span>
                    </div>
                    @if(isset($load_detail->loads->load_trailers) && $load_detail->loads->load_trailers->isNotEmpty())
                        <div>
                            <label>Trailer Number 1:</label>
                            <span>
                                @php
                                    $trailer            = [];
                                @endphp
                                @if(isset($load_detail->trailer_number))
                                    @php
                                        $trailer[]      = $load_detail->trailer_number;
                                    @endphp
                                @endif
                                @php
                                    $gtypeLabel         = 'Not specified';
                                    if (isset($load_detail->trailer_type) && $load_detail->trailer_type!='' && isset(getTrailerTypeList()[$load_detail->trailer_type])) {
                                        $gtypeLabel = getTrailerTypeList()[$load_detail->trailer_type];
                                    }
                                    $trailer[]          = $gtypeLabel;
                                @endphp
                                {{ implode(' | ', $trailer) }}
                            </span>
                        </div>
                        @php
                            $ti                         = 2;
                        @endphp
                        @foreach ($load_detail->loads->load_trailers as $key => $load_trailer)
                            <div>
                                <label>Trailer Number {{ $ti }}:</label>
                                <span>
                                    @php
                                        $trailer        = [];
                                    @endphp
                                    @if(isset($load_trailer->trailer_number))
                                        @php
                                            $trailer[]  = $load_trailer->trailer_number;
                                        @endphp
                                    @endif
                                    @php
                                        $gtypeLabel     = 'Not specified';
                                        if (isset($load_trailer->trailer_type) && $load_trailer->trailer_type!='' && isset(getTrailerTypeList()[$load_trailer->trailer_type])) {
                                            $gtypeLabel = getTrailerTypeList()[$load_trailer->trailer_type];
                                        }
                                        $trailer[]      = $gtypeLabel;
                                    @endphp
                                    {{ implode(' | ', $trailer) }}
                                </span>
                            </div>
                            @php
                                ++$ti;
                            @endphp
                        @endforeach
                    @else
                        <div>
                            <label>Trailer Number:</label>
                            <span>
                                @php
                                    $trailer            = [];
                                @endphp
                                @if(isset($load_detail->trailer_number))
                                    @php
                                        $trailer[]      = $load_detail->trailer_number;
                                    @endphp
                                @endif
                                @php
                                    $gtypeLabel         = 'Not specified';
                                    if (isset($load_detail->trailer_type) && $load_detail->trailer_type!='' && isset(getTrailerTypeList()[$load_detail->trailer_type])) {
                                        $gtypeLabel     = getTrailerTypeList()[$load_detail->trailer_type];
                                    }
                                    $trailer[]          = $gtypeLabel;
                                @endphp
                                {{ implode(' | ', $trailer) }}
                            </span>
                        </div>
                    @endif
                    <div>
                        <label>Carrier:</label>
                        <span>{{ $load_detail->carrier->name ?? '' }}</span>
                    </div>
                    <div>
                        <label>Terminal:</label>
                        <span>{{ $load_detail->terminal->name ?? '' }}</span>
                    </div>
                    <div>
                        <label>Load Planner</label>
                        <span>{{ $load_detail->company_admin->full_name ?? '' }}</span>
                    </div>
                    <div>
                        <label>Dispatcher</label>
                        <span>{{ $load_detail->driver->dispatcher->full_name ?? '' }}</span>
                    </div>
                    <div>
                        <label>Team</label>
                        <span>{{ $load_detail->driver->team->name ?? '' }}</span>
                    </div>
                    <div>
                        <label>Overdimensional:</label>
                        <span>
                            @if($load_detail->overdimensional == '1')
                                Yes
                            @else
                                No
                            @endif
                        </span>
                    </div>
                    <div>
                        <label>Hazardous:</label>
                        <span>
                            @if($load_detail->hazardous_load == '1')
                                {{ getHazardousOptions()[$load_detail->hazardous_options] ?? 'Not Specified' }}
                            @else
                                No
                            @endif
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>