<form class="detentionForm" name="detentionForm" id="detentionForm" autocomplete="off">
	<div class="modal-body p-0">
		<div class="modal-padding border-bottom">
		    <div class="row mb-2">
		        <div class="col-sm-3">
		            <label class="text-dark fw-600 fs-16 mb-0">Drive Name:</label>
		        </div>
		        <div class="col-sm-9">
		            <p class="fs-16 fw-600">{{ isset($driver)?$driver->full_name:''}}</p>
		        </div>
		    </div>
		    <div class="row mb-2">
		        <div class="col-sm-3">
		            <label class="text-dark fw-600 fs-16 mb-0">Broker:</label>
		        </div>
		        <div class="col-sm-9">
		            <p class="fs-16 fw-600">{{ isset($broker->name) ? $broker->name : '' }}</p>
		        </div>
		    </div>
		    <div class="row mb-2">
		        <div class="col-sm-3">
		            <label class="text-dark fw-600 fs-16 mb-0">Address:</label>
		        </div>
		        <div class="col-sm-9">
		            <p class="fs-16 fw-600">
		            	@if(isset($formData['is_stop']) && $formData['is_stop']==1)
		            		@php
		            			$addresses 				= [];
		            		@endphp
		            		@if(isset($item->address_one) && $item->address_one!=='')
		            			@php
		            				$addresses[] 		= $item->address_one;
		            			@endphp
		            		@endif
		            		@if(isset($item->address_two) && $item->address_two!=='')
		            			@php
		            				$addresses[] 		= $item->address_two;
		            			@endphp
		            		@endif
		            		@if(isset($item->city) && $item->city!=='')
		            			@php
		            				$addresses[] 		= $item->city;
		            			@endphp
		            		@endif
		            		@if(isset($item->state) && $item->state!=='')
		            			@php
		            				$addresses[] 		= $item->state;
		            			@endphp
		            		@endif
		            		@if(isset($item->zip) && $item->zip!=='')
		            			@php
		            				$addresses[] 		= $item->zip;
		            			@endphp
		            		@endif
		            		{{ implode(', ', $addresses) }}
		            	@else
		            		@if(isset($formData['customer_type']) && $formData['customer_type']==1)
		            			@php
		            				$addresses 			= [];
		            			@endphp
		            			@if(isset($item->shipper_address_one) && $item->shipper_address_one!=='')
		            				@php
		            					$addresses[] 	= $item->shipper_address_one;
		            				@endphp
		            			@endif
		            			@if(isset($item->shipper_address_two) && $item->shipper_address_two!=='')
		            				@php
		            					$addresses[] 	= $item->shipper_address_two;
		            				@endphp
		            			@endif
		            			@if(isset($item->shipper_city) && $item->shipper_city!=='')
		            				@php
		            					$addresses[] 	= $item->shipper_city;
		            				@endphp
		            			@endif
		            			@if(isset($item->shipper_state) && $item->shipper_state!=='')
		            				@php
		            					$addresses[] 	= $item->shipper_state;
		            				@endphp
		            			@endif
		            			@if(isset($item->shipper_zip) && $item->shipper_zip!=='')
		            				@php
		            					$addresses[] 	= $item->shipper_zip;
		            				@endphp
		            			@endif
		            			{{ implode(', ', $addresses) }}
		            		@else
		            			@php
		            				$addresses 			= [];
		            			@endphp
		            			@if(isset($item->delivery_address_one) && $item->delivery_address_one!=='')
		            				@php
		            					$addresses[] 	= $item->delivery_address_one;
		            				@endphp
		            			@endif
		            			@if(isset($item->delivery_address_two) && $item->delivery_address_two!=='')
		            				@php
		            					$addresses[] 	= $item->delivery_address_two;
		            				@endphp
		            			@endif
		            			@if(isset($item->delivery_city) && $item->delivery_city!=='')
		            				@php
		            					$addresses[] 	= $item->delivery_city;
		            				@endphp
		            			@endif
		            			@if(isset($item->delivery_state) && $item->delivery_state!=='')
		            				@php
		            					$addresses[] 	= $item->delivery_state;
		            				@endphp
		            			@endif
		            			@if(isset($item->delivery_zip) && $item->delivery_zip!=='')
		            				@php
		            					$addresses[] 	= $item->delivery_zip;
		            				@endphp
		            			@endif
		            			{{ implode(', ', $addresses) }}
		            		@endif
		            	@endif
		            </p>
		        </div>
		    </div>
		    @if(isset($gpsLocation) && $gpsLocation!='')
		    	<div class="row mb-2">
		    	    <div class="col-sm-3">
		    	        <label class="text-dark fw-600 fs-16 mb-0">GPS Location:</label>
		    	    </div>
		    	    <div class="col-sm-9">
		    	    	<p class="fs-16 fw-600">{{ $gpsLocation }}</p>
		    	    </div>
		    	</div>
		    @endif
		</div>
		<div class="modal-padding">
			@if(isset($formData['is_stop']) && $formData['is_stop']==1)
				@php
					$timezone_abbr              	= isset($item->timezone_abbr) ? $item->timezone_abbr : '';
					if($timezone_abbr == '')
					    $timezone_abbr        		= \Carbon\Carbon::now()->timezone($getGeoTimeZone)->format('T');
					$bracket      					= '('.$timezone_abbr.')';

					$arrived_at         			= isset($item->arrived_at) ? convertTimeToUSERzone([
					    'str'                   	=> $item->arrived_at,
					    'toFormat'              	=> getTimeLayout(),
					    'fromFormat'            	=> 'Y-m-d H:i:s',
					    'abbr'                  	=> $timezone_abbr
					]) : '';

					$detention_arrival_time 		= isset($detention->detention_arrival_time) ? convertTimeToUSERzone([
						'str' 						=> $detention->detention_arrival_time,
						'toFormat' 					=> getTimeLayout(),
						'fromFormat' 				=> 'Y-m-d H:i:s',
						'abbr' 						=> $timezone_abbr
					]) : '';
				@endphp
			@else
				@if($formData['customer_type'] == 1)
					@php
						$timezone_abbr              	= isset($item->shipper_timezone_abbr) ? $item->shipper_timezone_abbr : '';
						if($timezone_abbr == '')
						    $timezone_abbr        		= \Carbon\Carbon::now()->timezone($getGeoTimeZone)->format('T');
						$bracket      					= '('.$timezone_abbr.')';

						$arrived_at         			= isset($item->shipper_arrived_at) ? convertTimeToUSERzone([
						    'str'                   	=> $item->shipper_arrived_at,
						    'toFormat'              	=> getTimeLayout(),
						    'fromFormat'            	=> 'Y-m-d H:i:s',
						    'abbr'                  	=> $timezone_abbr
						]) : '';

						$detention_arrival_time 		= isset($detention->detention_arrival_time) ? convertTimeToUSERzone([
							'str' 						=> $detention->detention_arrival_time,
							'toFormat' 					=> getTimeLayout(),
							'fromFormat' 				=> 'Y-m-d H:i:s',
							'abbr' 						=> $timezone_abbr
						]) : '';
					@endphp
				@else
					@php
						$timezone_abbr              	= isset($item->delivery_timezone_abbr) ? $item->delivery_timezone_abbr : '';
						if($timezone_abbr == '')
						    $timezone_abbr        		= \Carbon\Carbon::now()->timezone($getGeoTimeZone)->format('T');
						$bracket      					= '('.$timezone_abbr.')';

						$arrived_at         			= isset($item->delivery_arrived_at) ? convertTimeToUSERzone([
						    'str'                   	=> $item->delivery_arrived_at,
						    'toFormat'              	=> getTimeLayout(),
						    'fromFormat'            	=> 'Y-m-d H:i:s',
						    'abbr'                  	=> $timezone_abbr
						]) : '';

						$detention_arrival_time 		= isset($detention->detention_arrival_time) ? convertTimeToUSERzone([
							'str' 						=> $detention->detention_arrival_time,
							'toFormat' 					=> getTimeLayout(),
							'fromFormat' 				=> 'Y-m-d H:i:s',
							'abbr' 						=> $timezone_abbr
						]) : '';
					@endphp
				@endif
			@endif
			<!--  -->
			@php
				$detention_status 						= isset($detention->detention_status) ? $detention->detention_status : 0;

				if($detention_arrival_time == ''){
					$detention_arrival_time     		= $arrived_at != '' ? $arrived_at : convertTimeToUSERzone([
					    'str'                   		=> \Carbon\Carbon::now()->format(getTimeLayout()),
					    'toFormat'              		=> getTimeLayout(),
					    'abbr'                  		=> $timezone_abbr
					]);
				}

				$detention_start_time 					= isset($detention->detention_start_time) ? convertTimeToUSERzone([
					'str' 								=> $detention->detention_start_time,
					'toFormat' 							=> getTimeLayout(),
					'fromFormat' 						=> 'Y-m-d H:i:s',
					'abbr' 								=> $timezone_abbr
				]) : convertTimeToUSERzone([
                    'str'                   			=> \Carbon\Carbon::now()->format(getTimeLayout()),
                    'toFormat'              			=> getTimeLayout(),
                    'abbr'                  			=> $timezone_abbr
                ]);

				$detention_end_time 					= isset($detention->detention_end_time) ? convertTimeToUSERzone([
					'str' 								=> $detention->detention_end_time,
					'toFormat' 							=> getTimeLayout(),
					'fromFormat' 						=> 'Y-m-d H:i:s',
					'abbr' 								=> $timezone_abbr
				]) : convertTimeToUSERzone([
                    'str'                   			=> \Carbon\Carbon::now()->format(getTimeLayout()),
                    'toFormat'              			=> getTimeLayout(),
                    'abbr'                  			=> $timezone_abbr
                ]);
			@endphp
			<!--  -->
			<input type="hidden" name="detention_id" value="{{ isset($detention) ? $detention->id : '' }}">

			<input type="hidden" name="id" value="{{ $item->id }}">
			<input type="hidden" name="is_stop" value="{{ isset($formData['is_stop']) && $formData['is_stop']==1 ? 1 : 0 }}">
			<input type="hidden" name="customer_type" value="{{ $formData['customer_type'] }}">
			<!-- // Type => Customer Type ( 1 = Pickup, 2 = Delivery ) -->

			<input type="hidden" name="timezone_abbr" value="{{ $timezone_abbr }}">
			<input type="hidden" name="timezone" value="{{ timezone_name_from_abbr($timezone_abbr) }}">

			<input type="hidden" name="driver_id" value="{{ isset($driver) ? $driver->id : '' }}">
			<input type="hidden" name="broker_id" value="{{ isset($broker) ? $broker->id : '' }}">
			@php
				$broker_emails 							= [];
			@endphp
			@if(isset($detention->broker_emails) && is_serialized($detention->broker_emails) && !empty(unserialize($detention->broker_emails)))
				@php
		    		$broker_emails                		= array_filter(unserialize($detention->broker_emails), function ($var) {
	    			    return $var !== null && $var !== '';
	    			});
				@endphp
			@endif
			@if(empty($broker_emails))
				@php
					$broker_emails 						= array(isset($broker->email) ? $broker->email : '');
				@endphp
				@if($item->getTable() == 'load_details')
					@if(isset($item->broker_email) && $item->broker_email!='')
						@php
							$broker_emails 				= array($item->broker_email);
						@endphp
					@endif
				@elseif($item->getTable() == 'load_stops')
					@if(isset($item->loads->load_detail->broker_email) && $item->loads->load_detail->broker_email!='')
						@php
							$broker_emails 				= array($item->loads->load_detail->broker_email);
						@endphp
					@endif
				@endif
			@endif
			@foreach ($broker_emails as $key => $broker_email)
				<input type="hidden" name="broker_email[]" value="{{ $broker_email }}">
			@endforeach

			<input type="hidden" name="gpsLocation" value="{{ $gpsLocation ?? '' }}">
			<!--  -->
			<div class="row align-items-center mb-2">
			    <div class="col-sm-5">
			        <label class="text-dark fw-600 fs-16 detention_arrival_time_label" data-val="{{ $detention_arrival_time }}">Arrival Time {{ $bracket }}</label>
			    </div>
			    <div class="col-sm-7">
			        <div class="form-group mb-0">
			            <div class="position-relative position-group">
			                <input type="text" class="form-control" name="detention_arrival_time" value="{{ $detention_arrival_time }}" onPaste="return false" readonly="true">
			                <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
			            </div>
			        </div>
			    </div>
			</div>
			@if($detention_status == 0)
				<div class="row align-items-center mb-2">
				    <div class="col-sm-5">
				        <label class="text-dark fw-600 fs-16 detention_start_time_label" data-val="{{ $detention_start_time }}">Start Time {{ $bracket }}</label>
				    </div>
				    <div class="col-sm-7">
				        <div class="form-group mb-0">
				            <div class="position-relative position-group">
				                <input type="text" class="form-control" name="detention_start_time" value="{{ $detention_start_time }}" onPaste="return false" data-parsley-errors-container="#detention_start_time-errors" required>
				                <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
				            </div>
				            <div id="detention_start_time-errors"></div>
				        </div>
				    </div>
				</div>
			@elseif($detention_status == 1)
				<div class="row align-items-center mb-2">
				    <div class="col-sm-5">
				        <label class="text-dark fw-600 fs-16 detention_start_time_label" data-val="{{ $detention_start_time }}">Start Time {{ $bracket }}</label>
				    </div>
				    <div class="col-sm-7">
				        <div class="form-group mb-0">
				            <div class="position-relative position-group">
				                <input type="text" class="form-control" name="detention_start_time" value="{{ $detention_start_time }}" onPaste="return false" data-parsley-errors-container="#detention_start_time-errors" required>
				                <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
				            </div>
				            <div id="detention_start_time-errors"></div>
				        </div>
				    </div>
				</div>
				<div class="row align-items-center mb-2 detention_end_time_div d-none">
				    <div class="col-sm-5">
				        <label class="text-dark fw-600 fs-16 detention_end_time_label">End Time {{ $bracket }}</label>
				    </div>
				    <div class="col-sm-7">
				        <div class="form-group mb-0">
				            <div class="position-relative position-group">
				                <input type="text" class="form-control" name="detention_end_time" value="" onPaste="return false" data-parsley-errors-container="#detention_end_time-errors">
				                <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
				            </div>
				            <div id="detention_end_time-errors"></div>
				        </div>
				    </div>
				</div>
			@elseif($detention_status == 2)
				<div class="row align-items-center mb-2">
				    <div class="col-sm-5">
				        <label class="text-dark fw-600 fs-16 detention_start_time_label" data-val="{{ $detention_start_time }}">Start Time {{ $bracket }}</label>
				    </div>
				    <div class="col-sm-7">
				        <div class="form-group mb-0">
				            <div class="position-relative position-group">
				                <input type="text" class="form-control" name="detention_start_time" value="{{ $detention_start_time }}" onPaste="return false" data-parsley-errors-container="#detention_start_time-errors" required>
				                <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
				            </div>
				            <div id="detention_start_time-errors"></div>
				        </div>
				    </div>
				</div>
				<div class="row align-items-center mb-2">
				    <div class="col-sm-5">
				        <label class="text-dark fw-600 fs-16 detention_end_time_label" data-val="{{ $detention_end_time }}">End Time {{ $bracket }}</label>
				    </div>
				    <div class="col-sm-7">
				        <div class="form-group mb-0">
				            <div class="position-relative position-group">
				                <input type="text" class="form-control" name="detention_end_time" value="{{ $detention_end_time }}" onPaste="return false" data-parsley-errors-container="#detention_end_time-errors" required>
				                <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
				            </div>
				            <div id="detention_end_time-errors"></div>
				        </div>
				    </div>
				</div>
			@elseif($detention_status == 3)
				<div class="row align-items-center mb-2">
				    <div class="col-sm-5">
				        <label class="text-dark fw-600 fs-16 detention_start_time_label" data-val="{{ $detention_start_time }}">Start Time {{ $bracket }}</label>
				    </div>
				    <div class="col-sm-7">
				        <div class="form-group mb-0">
				            <div class="position-relative position-group">
				                <input type="text" class="form-control" name="detention_start_time" value="{{ $detention_start_time }}" onPaste="return false" readonly="true" data-parsley-errors-container="#detention_start_time-errors">
				                <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
				            </div>
				            <div id="detention_start_time-errors"></div>
				        </div>
				    </div>
				</div>
				<div class="row align-items-center mb-2">
				    <div class="col-sm-5">
				        <label class="text-dark fw-600 fs-16 detention_end_time_label" data-val="{{ $detention_end_time }}">End Time {{ $bracket }}</label>
				    </div>
				    <div class="col-sm-7">
				        <div class="form-group mb-0">
				            <div class="position-relative position-group">
				                <input type="text" class="form-control" name="detention_end_time" value="{{ $detention_end_time }}" onPaste="return false" readonly="true" data-parsley-errors-container="#detention_end_time-errors">
				                <img src="{{ asset('theme/images/proRouter-date.svg') }}" alt="icon">
				            </div>
				            <div id="detention_end_time-errors"></div>
				        </div>
				    </div>
				</div>
			@endif
			<div class="row align-items-center mb-2 ">
			    <div class="col-sm-5">
			        <label class="text-dark fw-600 fs-16">Detained Time</label>
			    </div>
			    <div class="col-sm-7">
			        <div class="form-group mb-0">
			            <div class=" position-relative position-group">
			                <input type="text" class="form-control detained-time" name="detained_time" value="00 hr 00 min" disabled="true">
			            </div>
			        </div>
			    </div>
			</div>
			<div class="mt-2 pt-1">
			    <div class="form-group">
			        <label class="fs-14 fw-bold mb-1">Driver Comments</label>
			        <textarea class="form-control" name="driver_comment" rows="5">{{ isset($detention->driver_comment) ? $detention->driver_comment: '' }}</textarea>
			    </div>
			</div>
		</div>
	</div>
	@if($detention_status == 0)
		<div class="modal-footer justify-content-between">
			<p class="fs-16 text-dark fw-600 mb-0">Status: New</p>
			<div>
				<!-- Cancel Detention Request -->
				<button type="button" class="btn btn-blueBr" data-dismiss="modal">Close</button>
				<button type="button" class="btn btn-blue detention-submit" data-detention_status="1">Start</button>
			</div>
		</div>
	@elseif($detention_status == 1)
		<div class="modal-footer justify-content-between">
			<p class="fs-16 text-dark fw-600 mb-0">Status: In Progress</p>
			<div>
				<button type="button" class="btn btn-blueBr detention-continue" data-dismiss="modal">Continue</button>
				@if(isset($detention->review_status) && in_array($detention->review_status, ['In Progress', 'Detention Stopped - Pending Approval']))
					<button type="button" class="btn btn-blueBr detention-submit detention-cancel-and-submit" data-detention_status="0">Cancel Detention Request</button>
				@endif
				<button type="button" class="btn btn-blue detention-submit detention-stop-and-submit" data-detention_status="2">Stop</button>
				<button type="button" class="btn btn-blue detention-submit detention-submit-for-review d-none" data-detention_status="3">Submit for review</button>
			</div>
		</div>
	@elseif($detention_status == 2)
		<div class="modal-footer justify-content-between">
			<p class="fs-16 text-dark fw-600 mb-0">Status: In Progress</p>
			<div>
				@if(isset($detention->review_status) && in_array($detention->review_status, ['In Progress', 'Detention Stopped - Pending Approval']))
					<button type="button" class="btn btn-blueBr detention-submit" data-detention_status="0">Cancel Detention Request</button>
				@endif
				<button type="button" class="btn btn-blue detention-submit" data-detention_status="3">Submit for review</button>
			</div>
		</div>
	@elseif($detention_status == 3)
		<div class="modal-footer justify-content-between">
			@if(isset($detention->review_status))
				@if(in_array($detention->review_status, ['In Progress', 'Detention Stopped - Pending Approval']))
					<p class="fs-16 text-dark fw-600 mb-0">Status: Detention Complete - Pending Approval</p>
				@else
					<p class="fs-16 text-dark fw-600 mb-0">Review Status: {{ $detention->review_status }}</p>
				@endif
			@else
				<p class="fs-16 text-dark fw-600 mb-0">Status: Detention Complete - Pending Approval</p>
			@endif
		</div>
	@endif
</form>