@if(!isset($formdata['status']))
    <div class="dishpatchPlan-main p-0 mb-3">
        <div class="row justify-content-end historic-dispatch-content">
            <div class="col-lg-2 col-md-3 documents-options">
                <select class="form-control paperwork-options my-3 w-100" data-id="{{ $load_detail->id }}">
                    <!-- <option value="">Select</option> -->
                    <option value="0">Missing Paperwork</option>
                    <option value="1" selected>All Paperwork</option>
                </select>
            </div>
            <div class="col-lg-10 col-md-9 documents-body">
                <div class="row g-2">
                    @if(
                        !empty($static_documents) ||
                        !empty($required_documents) ||
                        !empty($requested_documents) ||
                        !empty($accessorial_documents) ||
                        !empty($other_documents) ||
                        !empty($cod_documents)
                    )
                        <!-- Static Documents -->
                        @php
                            $i                  = 1;
                        @endphp
                        @foreach ($static_documents as $key => $node)
                            @php
                                $random_id      = 'static_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);
                            @endphp
                            <div class="col-xl-3 col-md-6">
                                <div class="dishpatchPlan-content {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                                    <div class="dishpatchPlan-block">
                                        <div>
                                            <label>Status</label>
                                            <span class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</span>
                                        </div>
                                        <div>
                                            <label>Stop</label>
                                            <span>{{ $node['stop']['name'] ?? '' }}</span>
                                        </div>
                                        <div>
                                            <label>Stop Details</label>
                                            <span></span>
                                        </div>

                                        <div>
                                            <label>Location</label>
                                            <span></span>
                                        </div>
                                        <div>
                                            <label>Document Name</label>
                                            <span>
                                                {{ $node['filename'] }}
                                            </span>
                                        </div>
                                        <div>
                                            <label>Type</label>
                                            <span>Copy</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            @php
                                $i++;
                            @endphp
                        @endforeach
                        <!-- Required Documents -->
                        @php
                            $i                  = 1;
                        @endphp
                        @foreach ($required_documents as $key => $node)
                            @php
                                $random_id      = 'required_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                                $action         = 1;
                                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                                        $action = 0;
                                    }
                                }
                            @endphp
                            <div class="col-xl-3 col-md-6">
                                <div class="dishpatchPlan-content {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                                    <div class="dishpatchPlan-block border-bottom">
                                        <div>
                                            <label>Status</label>
                                            <span class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</span>
                                        </div>
                                        <div>
                                            <label>Stop</label>
                                            <span>{{ $node['stop']['name'] ?? '' }}</span>
                                        </div>
                                        <div>
                                            <label>Stop Details</label>
                                            <span>{{ $node['stop']['customer_name'] ?? '' }}</span>
                                        </div>

                                        <div>
                                            <label>Location</label>
                                            <span>{{ $node['stop']['addresses'] ?? '' }}</span>
                                        </div>
                                        <div>
                                            <label>Document Name</label>
                                            <span>
                                                @if(isset($node['filename_id']) && $node['filename_id']=='0')
                                                    Other - {{ $node['filename'] }}
                                                @else
                                                    {{ $node['filename'] }}
                                                @endif
                                            </span>
                                        </div>
                                        <div>
                                            <label>Type</label>
                                            <span>{{ $node['type'] == '1' ? 'Copy' : 'Original' }}</span>
                                        </div>
                                    </div>
                                    <div class="dishpatchPlan-block">
                                        <div>
                                            <label></label>
                                            @if($action == 1)
                                                @if($node['status'] == 'Complete')
                                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                                        Remove
                                                    </a>
                                                @else
                                                    @if($node['type'] == '1')
                                                        <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                                            <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                                            <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                                        </a>
                                                    @else
                                                        <div class="custom-control custom-checkbox-blue pl-sm-0 my-0 d-flex align-items-center">
                                                            <input type="checkbox" class="custom-control-input" id="is_received_{{ $random_id }}">
                                                            <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_{{ $random_id }}">Received</label>
                                                        </div>
                                                    @endif
                                                @endif
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                            @php
                                $i++;
                            @endphp
                        @endforeach
                        <!-- Requested Documents -->
                        @php
                            $i                  = 1;
                        @endphp
                        @foreach ($requested_documents as $key => $node)
                            @php
                                $random_id      = 'requested_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                                $action         = 1;
                                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                                        $action = 0;
                                    }
                                }
                            @endphp
                            <div class="col-xl-3 col-md-6">
                                <div class="dishpatchPlan-content {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                                    <div class="dishpatchPlan-block border-bottom">
                                        <div>
                                            <label>Status</label>
                                            <span class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</span>
                                        </div>
                                        <div>
                                            <label>Stop</label>
                                            <span>{{ $node['stop']['name'] ?? '' }}</span>
                                        </div>
                                        <div>
                                            <label>Stop Details</label>
                                            <span>{{ $node['stop']['customer_name'] ?? '' }}</span>
                                        </div>

                                        <div>
                                            <label>Location</label>
                                            <span>{{ $node['stop']['addresses'] ?? '' }}</span>
                                        </div>
                                        <div>
                                            <label>Document Name</label>
                                            <span>
                                                @if(isset($node['filename_id']) && $node['filename_id']=='0')
                                                    Other - {{ $node['filename'] }}
                                                @else
                                                    {{ $node['filename'] }}
                                                @endif
                                            </span>
                                        </div>
                                        <div>
                                            <label>Type</label>
                                            <span>{{ $node['type'] == '1' ? 'Copy' : 'Original' }}</span>
                                        </div>
                                    </div>
                                    <div class="dishpatchPlan-block">
                                        <div>
                                            <label></label>
                                            @if($action == 1)
                                                @if($node['status'] == 'Complete')
                                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                                        Remove
                                                    </a>
                                                @else
                                                    @if($node['type'] == '1')
                                                        <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                                            <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                                            <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                                        </a>
                                                    @else
                                                        <div class="custom-control custom-checkbox-blue pl-sm-0 my-0 d-flex align-items-center">
                                                            <input type="checkbox" class="custom-control-input" id="is_received_{{ $random_id }}">
                                                            <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_{{ $random_id }}">Received</label>
                                                        </div>
                                                    @endif
                                                @endif
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                            @php
                                $i++;
                            @endphp
                        @endforeach
                        <!-- Accessorial Documents -->
                        @php
                            $i                  = 1;
                        @endphp
                        @foreach ($accessorial_documents as $key => $node)
                            @php
                                $random_id      = 'accessorial_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                                $action         = 1;
                                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                                        $action = 0;
                                    }
                                }
                            @endphp
                            <div class="col-xl-3 col-md-6">
                                <div class="dishpatchPlan-content {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                                    <div class="dishpatchPlan-block border-bottom">
                                        <div>
                                            <label>Status</label>
                                            <span class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</span>
                                        </div>
                                        <div>
                                            <label>Stop</label>
                                            <span>{{ $node['stop']['name'] ?? '' }}</span>
                                        </div>
                                        <div>
                                            <label>Stop Details</label>
                                            <span>{{ $node['stop']['customer_name'] ?? '' }}</span>
                                        </div>

                                        <div>
                                            <label>Location</label>
                                            <span>{{ $node['stop']['addresses'] ?? '' }}</span>
                                        </div>
                                        <div>
                                            <label>Document Name</label>
                                            <span>
                                                {{ $node['filename'] }}
                                            </span>
                                        </div>
                                        <div>
                                            <label>Type</label>
                                            <span>Copy</span>
                                        </div>
                                    </div>
                                    <div class="dishpatchPlan-block">
                                        <div>
                                            <label></label>
                                            @if($action == 1)
                                                @if($node['status'] == 'Complete')
                                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                                        Remove
                                                    </a>
                                                @else
                                                    <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                                        <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                                        <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                                    </a>
                                                @endif
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                            @php
                                $i++;
                            @endphp
                        @endforeach
                        <!-- Other Documents -->
                        @php
                            $i                  = 1;
                        @endphp
                        @foreach ($other_documents as $key => $node)
                            @php
                                $random_id      = 'other_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                                $action         = 1;
                                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                                        $action = 0;
                                    }
                                }
                            @endphp
                            <div class="col-xl-3 col-md-6">
                                <div class="dishpatchPlan-content {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                                    <div class="dishpatchPlan-block border-bottom">
                                        <div>
                                            <label>Status</label>
                                            <span class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</span>
                                        </div>
                                        <div>
                                            <label>Stop</label>
                                            <span>{{ $node['stop']['name'] ?? '' }}</span>
                                        </div>
                                        <div>
                                            <label>Stop Details</label>
                                            <span></span>
                                        </div>

                                        <div>
                                            <label>Location</label>
                                            <span></span>
                                        </div>
                                        <div>
                                            <label>Document Name</label>
                                            <span>
                                                {{ $node['filename'] }}
                                            </span>
                                        </div>
                                        <div>
                                            <label>Type</label>
                                            <span>Copy</span>
                                        </div>
                                    </div>
                                    <div class="dishpatchPlan-block">
                                        <div>
                                            <label></label>
                                            @if($action == 1)
                                                @if($node['status'] == 'Complete')
                                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                                        Remove
                                                    </a>
                                                @else
                                                    <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                                        <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                                        <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                                    </a>
                                                @endif
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                            @php
                                $i++;
                            @endphp
                        @endforeach
                        <!-- COD Documents -->
                        @php
                            $i                  = 1;
                        @endphp
                        @foreach ($cod_documents as $key => $node)
                            @php
                                $random_id      = 'cod_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);
                            @endphp
                            <div class="col-xl-3 col-md-6">
                                <div class="dishpatchPlan-content {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                                    <div class="dishpatchPlan-block">
                                        <div>
                                            <label>Status</label>
                                            <span class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</span>
                                        </div>
                                        <div>
                                            <label>Stop</label>
                                            <span>{{ $node['stop']['name'] ?? '' }}</span>
                                        </div>
                                        <div>
                                            <label>Stop Details</label>
                                            <span></span>
                                        </div>

                                        <div>
                                            <label>Location</label>
                                            <span></span>
                                        </div>
                                        <div>
                                            <label>Document Name</label>
                                            <span>
                                                {{ $node['filename'] }}
                                            </span>
                                        </div>
                                        <div>
                                            <label>Type</label>
                                            <span>Copy</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            @php
                                $i++;
                            @endphp
                        @endforeach
                    @else
                        <div class="col-12 py-3">
                            <p class="text-center mt-1">No data available in table</p>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
@else
    @if(
        !empty($static_documents) ||
        !empty($required_documents) ||
        !empty($requested_documents) ||
        !empty($accessorial_documents) ||
        !empty($other_documents) ||
        !empty($cod_documents)
    )
        <!-- Static Documents -->
        @php
            $i                  = 1;
        @endphp
        @foreach ($static_documents as $key => $node)
            @php
                $random_id      = 'static_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);
            @endphp
            <div class="col-xl-3 col-md-6">
                <div class="dishpatchPlan-content {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                    <div class="dishpatchPlan-block">
                        <div>
                            <label>Status</label>
                            <span class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</span>
                        </div>
                        <div>
                            <label>Stop</label>
                            <span>{{ $node['stop']['name'] ?? '' }}</span>
                        </div>
                        <div>
                            <label>Stop Details</label>
                            <span></span>
                        </div>

                        <div>
                            <label>Location</label>
                            <span></span>
                        </div>
                        <div>
                            <label>Document Name</label>
                            <span>
                                {{ $node['filename'] }}
                            </span>
                        </div>
                        <div>
                            <label>Type</label>
                            <span>Copy</span>
                        </div>
                    </div>
                </div>
            </div>
            @php
                $i++;
            @endphp
        @endforeach
        <!-- Required Documents -->
        @php
            $i                  = 1;
        @endphp
        @foreach ($required_documents as $key => $node)
            @php
                $random_id      = 'required_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                $action         = 1;
                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                        $action = 0;
                    }
                }
            @endphp
            <div class="col-xl-3 col-md-6">
                <div class="dishpatchPlan-content {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                    <div class="dishpatchPlan-block border-bottom">
                        <div>
                            <label>Status</label>
                            <span class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</span>
                        </div>
                        <div>
                            <label>Stop</label>
                            <span>{{ $node['stop']['name'] ?? '' }}</span>
                        </div>
                        <div>
                            <label>Stop Details</label>
                            <span>{{ $node['stop']['customer_name'] ?? '' }}</span>
                        </div>

                        <div>
                            <label>Location</label>
                            <span>{{ $node['stop']['addresses'] ?? '' }}</span>
                        </div>
                        <div>
                            <label>Document Name</label>
                            <span>
                                @if(isset($node['filename_id']) && $node['filename_id']=='0')
                                    Other - {{ $node['filename'] }}
                                @else
                                    {{ $node['filename'] }}
                                @endif
                            </span>
                        </div>
                        <div>
                            <label>Type</label>
                            <span>{{ $node['type'] == '1' ? 'Copy' : 'Original' }}</span>
                        </div>
                    </div>
                    <div class="dishpatchPlan-block">
                        <div>
                            <label></label>
                            @if($action == 1)
                                @if($node['status'] == 'Complete')
                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                        Remove
                                    </a>
                                @else
                                    @if($node['type'] == '1')
                                        <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                            <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                            <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                        </a>
                                    @else
                                        <div class="custom-control custom-checkbox-blue pl-sm-0 my-0 d-flex align-items-center">
                                            <input type="checkbox" class="custom-control-input" id="is_received_{{ $random_id }}">
                                            <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_{{ $random_id }}">Received</label>
                                        </div>
                                    @endif
                                @endif
                            @endif
                        </div>
                    </div>
                </div>
            </div>
            @php
                $i++;
            @endphp
        @endforeach
        <!-- Requested Documents -->
        @php
            $i                  = 1;
        @endphp
        @foreach ($requested_documents as $key => $node)
            @php
                $random_id      = 'requested_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                $action         = 1;
                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                        $action = 0;
                    }
                }
            @endphp
            <div class="col-xl-3 col-md-6">
                <div class="dishpatchPlan-content {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                    <div class="dishpatchPlan-block border-bottom">
                        <div>
                            <label>Status</label>
                            <span class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</span>
                        </div>
                        <div>
                            <label>Stop</label>
                            <span>{{ $node['stop']['name'] ?? '' }}</span>
                        </div>
                        <div>
                            <label>Stop Details</label>
                            <span>{{ $node['stop']['customer_name'] ?? '' }}</span>
                        </div>

                        <div>
                            <label>Location</label>
                            <span>{{ $node['stop']['addresses'] ?? '' }}</span>
                        </div>
                        <div>
                            <label>Document Name</label>
                            <span>
                                @if(isset($node['filename_id']) && $node['filename_id']=='0')
                                    Other - {{ $node['filename'] }}
                                @else
                                    {{ $node['filename'] }}
                                @endif
                            </span>
                        </div>
                        <div>
                            <label>Type</label>
                            <span>{{ $node['type'] == '1' ? 'Copy' : 'Original' }}</span>
                        </div>
                    </div>
                    <div class="dishpatchPlan-block">
                        <div>
                            <label></label>
                            @if($action == 1)
                                @if($node['status'] == 'Complete')
                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                        Remove
                                    </a>
                                @else
                                    @if($node['type'] == '1')
                                        <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                            <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                            <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                        </a>
                                    @else
                                        <div class="custom-control custom-checkbox-blue pl-sm-0 my-0 d-flex align-items-center">
                                            <input type="checkbox" class="custom-control-input" id="is_received_{{ $random_id }}">
                                            <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_{{ $random_id }}">Received</label>
                                        </div>
                                    @endif
                                @endif
                            @endif
                        </div>
                    </div>
                </div>
            </div>
            @php
                $i++;
            @endphp
        @endforeach
        <!-- Accessorial Documents -->
        @php
            $i                  = 1;
        @endphp
        @foreach ($accessorial_documents as $key => $node)
            @php
                $random_id      = 'accessorial_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                $action         = 1;
                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                        $action = 0;
                    }
                }
            @endphp
            <div class="col-xl-3 col-md-6">
                <div class="dishpatchPlan-content {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                    <div class="dishpatchPlan-block border-bottom">
                        <div>
                            <label>Status</label>
                            <span class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</span>
                        </div>
                        <div>
                            <label>Stop</label>
                            <span>{{ $node['stop']['name'] ?? '' }}</span>
                        </div>
                        <div>
                            <label>Stop Details</label>
                            <span>{{ $node['stop']['customer_name'] ?? '' }}</span>
                        </div>

                        <div>
                            <label>Location</label>
                            <span>{{ $node['stop']['addresses'] ?? '' }}</span>
                        </div>
                        <div>
                            <label>Document Name</label>
                            <span>
                                {{ $node['filename'] }}
                            </span>
                        </div>
                        <div>
                            <label>Type</label>
                            <span>Copy</span>
                        </div>
                    </div>
                    <div class="dishpatchPlan-block">
                        <div>
                            <label></label>
                            @if($action == 1)
                                @if($node['status'] == 'Complete')
                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                        Remove
                                    </a>
                                @else
                                    <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                        <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                        <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                    </a>
                                @endif
                            @endif
                        </div>
                    </div>
                </div>
            </div>
            @php
                $i++;
            @endphp
        @endforeach
        <!-- Other Documents -->
        @php
            $i                  = 1;
        @endphp
        @foreach ($other_documents as $key => $node)
            @php
                $random_id      = 'other_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                $action         = 1;
                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                        $action = 0;
                    }
                }
            @endphp
            <div class="col-xl-3 col-md-6">
                <div class="dishpatchPlan-content {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                    <div class="dishpatchPlan-block border-bottom">
                        <div>
                            <label>Status</label>
                            <span class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</span>
                        </div>
                        <div>
                            <label>Stop</label>
                            <span>{{ $node['stop']['name'] ?? '' }}</span>
                        </div>
                        <div>
                            <label>Stop Details</label>
                            <span></span>
                        </div>

                        <div>
                            <label>Location</label>
                            <span></span>
                        </div>
                        <div>
                            <label>Document Name</label>
                            <span>
                                {{ $node['filename'] }}
                            </span>
                        </div>
                        <div>
                            <label>Type</label>
                            <span>Copy</span>
                        </div>
                    </div>
                    <div class="dishpatchPlan-block">
                        <div>
                            <label></label>
                            @if($action == 1)
                                @if($node['status'] == 'Complete')
                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                        Remove
                                    </a>
                                @else
                                    <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                        <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                        <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                    </a>
                                @endif
                            @endif
                        </div>
                    </div>
                </div>
            </div>
            @php
                $i++;
            @endphp
        @endforeach
        <!-- COD Documents -->
        @php
            $i                  = 1;
        @endphp
        @foreach ($cod_documents as $key => $node)
            @php
                $random_id      = 'cod_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);
            @endphp
            <div class="col-xl-3 col-md-6">
                <div class="dishpatchPlan-content {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                    <div class="dishpatchPlan-block">
                        <div>
                            <label>Status</label>
                            <span class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</span>
                        </div>
                        <div>
                            <label>Stop</label>
                            <span>{{ $node['stop']['name'] ?? '' }}</span>
                        </div>
                        <div>
                            <label>Stop Details</label>
                            <span></span>
                        </div>

                        <div>
                            <label>Location</label>
                            <span></span>
                        </div>
                        <div>
                            <label>Document Name</label>
                            <span>
                                {{ $node['filename'] }}
                            </span>
                        </div>
                        <div>
                            <label>Type</label>
                            <span>Copy</span>
                        </div>
                    </div>
                </div>
            </div>
            @php
                $i++;
            @endphp
        @endforeach
    @else
        <div class="col-12 py-3">
            <p class="text-center mt-1">No data available in table</p>
        </div>
    @endif
@endif