@extends($driverAdminTheme)

@section('title')
My Trips
@endsection

@section('style')
@endsection

@section('content')
<div class="my-trips-content">
    <div class="trips-tabs ">
        <div class="msg-box ">
            <a href="#" class="btn-msg-box d-flex"><img src="{{ asset('theme/images/comment.svg') }}" alt="Comment"> <span class="d-block"> Minimize <br> ProChat</span></a>
        </div>
        <nav class="">
            <ul class="nav nav-tabs" id="nav-tab" role="tablist">
                <li class="nav-item">
                    <a class="nav-link active" id="nav-current-dispatch-tab" data-toggle="tab" href="#nav-current-dispatch" type="button" role="tab" aria-controls="nav-current-dispatch" aria-selected="true">Current Dispatch</a>
                </li>
                <li class="nav-item">
                    <span class="badge badge-custome-danger">
                        1
                    </span>
                    <a class="nav-link " id="nav-upcoming-dispatch-tab" data-toggle="tab" href="#nav-upcoming-dispatch" type="button" role="tab" aria-controls="nav-upcoming-dispatch" aria-selected="false">Upcoming Dispatch</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" id="nav-historic-dispatch-tab" data-toggle="tab" href="#nav-historic-dispatch" type="button" role="tab" aria-controls="nav-historic-dispatch" aria-selected="false">Historic Dispatch</a>
                </li>
            </ul>
        </nav>
    </div>
    <div class="tab-content" id="nav-tabContent">
        <div class="tab-pane fade show active" id="nav-current-dispatch" role="tabpanel" aria-labelledby="nav-current-dispatch-tab">
            <div class="padd-custome border-bottom">

                <!-- <p class="nodata-txt">No dispatch listed. Review upcoming dispatch tab.</p> -->
                <div class="current-dispatch-hedding ">
                    <div class="row">
                        <div class="col-auto current-dispatch-h-left">
                            <div class="cd-hedding-left">
                                <h2 class="text-dark-blue ">Loan Number: MEKR458751</h2>
                                <p class="fs-14 fw-500"> <strong class="font-weight-bold">Status:</strong> Confirmed</p>
                                <div class="progress">
                                    <div class="progress-bar" role="progressbar" style="width: 86%" aria-valuenow="86" aria-valuemin="0" aria-valuemax="100"></div>
                                </div>
                                <p class="fs-14 font-weight-bold">289 of 325 Miles Completed</p>
                                <div class="d-flex">
                                    <button class="btn btn-blue" disabled>Request Detention</button>
                                    <button class="btn btn-blue ml-2">Report claim</button>
                                </div>
                            </div>
                        </div>
                        <div class="col-auto current-dispatch-h-right">
                            <div class="dishpatchPlan-content mb-2 pb-2">
                                <div class="dishpatchPlan-hedding">
                                    <h3 class="fs-14 font-weight-bold text-dark-blue">Total Quality Logistics </h3>
                                </div>
                                <div class="dishpatchPlan-block ">
                                    <div>
                                        <label class="fs-14 font-weight-bold text-dark-blue">Load No:</label>
                                        <span>TOL905471-GE</span>
                                    </div>
                                    <div>
                                        <label class="fs-14 font-weight-bold text-dark-blue">Representative:</label>
                                        <span>Stan Lee</span>
                                    </div>
                                    <div>
                                        <label class="fs-14 font-weight-bold text-dark-blue">Phone:</label>
                                        <span>(800) 531-8090</span>
                                    </div>
                                    <div>
                                        <label class="fs-14 font-weight-bold text-dark-blue">Ext:</label>
                                        <span>x87162</span>
                                    </div>
                                    <div>
                                        <label class="fs-14 font-weight-bold text-dark-blue">ProChat <img src="http://127.0.0.1:8001/theme/images/comment.svg" alt="Comment" class="ml-1"></label>
                                        <a href="#" class="text-dark-blue text-underline fs-14 fw-500">Chat</a>
                                    </div>

                                </div>

                            </div>
                        </div>

                    </div>
                </div>

            </div>
            <div class="current-dispatch-body">
                <div class="row">
                    <div class="col-auto current-dispatch-body-left">
                        <div id="carouselExampleControlsNoTouching" class="carousel slide" data-touch="false" data-interval="false">
                            <div class="carousel-inner">
                                <div class="carousel-item active">
                                    <div class="carousel-stop-content">
                                        <h3 class="text-center">Stop 1</h3>
                                        <div class="row ">
                                            <div class="col-md-6">
                                                <div class="dishpatchPlan-content">
                                                    <div class="dishpatchPlan-hedding">
                                                        <h6>Stop 1 </h6>
                                                    </div>
                                                    <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                        <div>
                                                            <label>Type:</label>
                                                            <span>Pickup I Drop &amp; Hook Trailer</span>
                                                        </div>
                                                        <div>
                                                            <label>Pickup Type:</label>
                                                            <span>Appointment</span>
                                                        </div>
                                                        <div>
                                                            <label>Appointment Time:</label>
                                                            <span>07/06/2023 10:30 AM</span>
                                                        </div>
                                                        <div>
                                                            <label>Close Date/Time:</label>
                                                            <span>07/06/2023 10:30 AM</span>
                                                        </div>
                                                        <div>
                                                            <label>Shipper:</label>
                                                            <span>Michaels Retail Giant</span>
                                                        </div>
                                                        <div>
                                                            <label>Address 1:</label>
                                                            <span>154617 West Wards Road</span>
                                                        </div>
                                                        <div>
                                                            <label>Address 2:</label>
                                                            <span>N/A</span>
                                                        </div>
                                                        <div>
                                                            <label>City:</label>
                                                            <span>Lynchburg</span>
                                                        </div>
                                                        <div>
                                                            <label>State:</label>
                                                            <span>Virginia</span>
                                                        </div>
                                                        <div>
                                                            <label>Zip</label>
                                                            <span>19874</span>
                                                        </div>

                                                        <div class="dishpatchPlan-f-link">
                                                            <label></label>
                                                            <a href="#" class=" btn-link text-underline">Get Directions</a>
                                                        </div>
                                                    </div>
                                                    <div class="border-bottom  mb-2 pb-2">
                                                        <div class="dishpatchPlan-content drop-hook-content border-bottom overflow-hidden ">
                                                            <!-- <div class="dishpatchPlan-hedding">
                                                                    <h6>Mileage & Rating</h6>
                                                                </div> -->
                                                            <div class="dishpatchPlan-block direct-table ">
                                                                <div class="table-responsive p-0">
                                                                    <table class="mt-0 text-left">
                                                                        <thead class="border-bottom">
                                                                            <tr>
                                                                                <th class=""><strong class="fw-bold"> Drop & Hook Trailer Details</strong></th>
                                                                                <th class="text-center">Dispatch Assigned</th>
                                                                                <th class="text-center">Driver Verified</th>
                                                                            </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                            <tr>
                                                                                <td><strong class="fw-bold mr-2">Drop Trailer</strong><a href="#" class="text-dark-blue fs-12">View Images</a></td>
                                                                                <td class="text-center">21788</td>
                                                                                <td class="text-center"></td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td><strong class="fw-bold mr-2">Hook Trailer</strong><a href="#" class="text-dark-blue fs-12">View Images</a></td>
                                                                                <td class="text-center">21876</td>
                                                                                <td class="text-center"></td>
                                                                            </tr>
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>

                                                        </div>
                                                    </div>
                                                    <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                        <div>
                                                            <label>Contact:</label>
                                                            <span>Thomas Hardy</span>
                                                        </div>
                                                        <div>
                                                            <label>Phone:</label>
                                                            <span>(817) 234-0918</span>
                                                        </div>
                                                    </div>
                                                    <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                        <div>
                                                            <label>Pickup Number:</label>
                                                            <div> <span><a href="#" class="text-underline text-dark-blue font-weight-bold fs-14 mr-2">View all</a> 174AB</span></div>
                                                        </div>
                                                        <div>
                                                            <label>Dimensions:</label>
                                                            <span>N/A</span>
                                                        </div>
                                                        <div>
                                                            <label>Load Type:</label>
                                                            <span>Full Truck</span>
                                                        </div>
                                                        <div>
                                                            <label>Gross Weight:</label>
                                                            <span>12,000 lb</span>
                                                        </div>
                                                        <div>
                                                            <label>Load Value:</label>
                                                            <span>$100,000</span>
                                                        </div>
                                                        <div>
                                                            <label>Commodity:</label>
                                                            <span>Aluminum Cans</span>
                                                        </div>
                                                        <div>
                                                            <label>Temperature:</label>
                                                            <span>Not Applicable</span>
                                                        </div>
                                                        <div class="dishpatchPlan-f-link ">
                                                            <label></label>
                                                            <a href="#" class=" btn-link text-underline">More Details</a>
                                                        </div>
                                                    </div>
                                                    <div class="dishpatchPlan-notes-box text-left border-bottom">
                                                        <div class="form-group">
                                                            <select class="form-control selectbox-link">
                                                                <option>Notes1</option>
                                                                <option>Notes2</option>
                                                                <option>Notes3</option>
                                                            </select>
                                                        </div>
                                                        <h6 class=" font-weight-bold fs-14 text-dark-blue">Stop 1</h6>
                                                        <p class="fw-500 fs-14">Open trailer doors & place load locks in trailer before backing into the dock.</p>
                                                    </div>
                                                    <div class="dishpatchPlan-block nots-l-button-content">
                                                        <a href="#" class="btn btn-orange w-100 d-flex align-items-center justify-content-center">Arrive</a>
                                                    </div>
                                                </div>

                                            </div>
                                            <div class="col-md-6">
                                                <div class="dishpatchPlan-content mb-2 ">
                                                    <div class="dishpatchPlan-hedding d-flex justify-content-between align-items-center">
                                                        <h6>Required Documents </h6>
                                                        <a href="#" class="text-dark-grey fs-14 fs-600 position-relative d-flex align-items-center">(Completed 0 of 5)<img src="{{ asset('theme/images/export.svg') }}" alt="" class="ml-1"> <span class="position-absolute active-bot"></span></a>
                                                    </div>
                                                    <div class="dishpatchPlan-block  required-documents-content  mb-2 pb-2">
                                                        <div>
                                                            <label>Stop 1</label>
                                                        </div>
                                                        <div class="d-block ">
                                                            <p class="fw-500">BOL (Original)</p>

                                                            <ul class="nav required-documents-check">
                                                                <li>

                                                                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                                        <input type="checkbox" class="custom-control-input" id="received_check-1" name="received_check">
                                                                        <label class="custom-control-label" for="received_check-1">Received</label>
                                                                    </div>
                                                                </li>
                                                                <li>

                                                                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                                        <input type="checkbox" class="custom-control-input" id="not-received-check-21" name="not-received-check-21">
                                                                        <label class="custom-control-label" for="not-received-check-21">Not Received</label>
                                                                    </div>
                                                                </li>

                                                            </ul>
                                                        </div>

                                                        <div class="d-block ">
                                                            <p class="fw-500">Loaded Scale Ticket</p>

                                                            <ul class="nav required-documents-check">
                                                                <li>
                                                                    <button class="btn btn-blue font-weight-bold custom-file file-upload">
                                                                        <span class="  font-weight-bold fs-14 ml-0">Upload</span>
                                                                        <input type="file" class="custom-file-input" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01">
                                                                    </button>
                                                                </li>
                                                                <li>
                                                                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                                        <input type="checkbox" class="custom-control-input" id="not-received-check-22" name="not-received-check">
                                                                        <label class="custom-control-label" for="not-received-check-22">Not Provided</label>
                                                                    </div>
                                                                </li>

                                                            </ul>
                                                        </div>
                                                        <div class="d-block ">
                                                            <p class="fw-500">Purchase Order</p>

                                                            <ul class="nav required-documents-check">
                                                                <li>
                                                                    <button class="btn btn-blue font-weight-bold custom-file file-upload">
                                                                        <span class="  font-weight-bold fs-14 ml-0">Upload</span>
                                                                        <input type="file" class="custom-file-input" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01">
                                                                    </button>
                                                                </li>
                                                                <li>

                                                                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                                        <input type="checkbox" class="custom-control-input" id="not-received-check-23" name="not-received-check-23">
                                                                        <label class="custom-control-label" for="not-received-check-23">Not Provided</label>
                                                                    </div>
                                                                </li>

                                                            </ul>
                                                        </div>
                                                        <div class="d-block ">
                                                            <p class="fw-500">Detention Confirmation</p>

                                                            <ul class="nav required-documents-check">
                                                                <li>
                                                                    <button class="btn btn-blue font-weight-bold custom-file file-upload">
                                                                        <span class="  font-weight-bold fs-14 ml-0">Upload</span>
                                                                        <input type="file" class="custom-file-input" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01">
                                                                    </button>
                                                                </li>
                                                                <li>
                                                                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                                        <input type="checkbox" class="custom-control-input" id="not-received-check-24" name="not-received-check-24">
                                                                        <label class="custom-control-label" for="not-received-check-24">Not Provided</label>
                                                                    </div>
                                                                </li>

                                                            </ul>
                                                        </div>
                                                        <div class="d-block ">
                                                            <p class="fw-500">Packing Slip</p>

                                                            <ul class="nav required-documents-check">
                                                                <li>
                                                                    <button class="btn btn-blue font-weight-bold custom-file file-upload">
                                                                        <span class="  font-weight-bold fs-14 ml-0">Upload</span>
                                                                        <input type="file" class="custom-file-input" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01">
                                                                    </button>
                                                                </li>
                                                                <li>
                                                                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                                        <input type="checkbox" class="custom-control-input" id="not-received-check-25" name="not-received-check-25">
                                                                        <label class="custom-control-label" for="not-received-check-25">Not Provided</label>
                                                                    </div>
                                                                </li>

                                                            </ul>
                                                        </div>

                                                        <div>
                                                            <p class="d-flex fw-500 align-items-center mb-0">
                                                                <a href="#" class="btn btn-blue btn-add mr-2">
                                                                    <i class="fa fa-plus" aria-hidden="true"></i>
                                                                </a>
                                                                Add More Documents
                                                            </p>
                                                        </div>

                                                    </div>

                                                </div>

                                                <div class="dishpatchPlan-content">
                                                    <div class="dishpatchPlan-hedding">
                                                        <h6>Detention </h6>
                                                    </div>
                                                    <div class="dishpatchPlan-block detention-content border-bottom mb-2 pb-2">
                                                        <div class="align-items-center">
                                                            <label>Arrival Time (EDT):</label>
                                                            <div class="form-group mb-0">
                                                                <div class=" position-relative position-group">
                                                                    <input type="text" class="form-control shipper-date-time" id="shipperDate">
                                                                    <img src="http://127.0.0.1:8001/theme/images/proRouter-date.svg" alt="icon">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="align-items-center">
                                                            <label>Time Lapsed:</label>
                                                            <div class="form-group mb-0">
                                                                <input type="text" class="form-control" />
                                                            </div>
                                                        </div>
                                                        <div>
                                                            <button class="btn btn-grey ">Start Detention</button>
                                                        </div>

                                                    </div>

                                                    <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                        <div>
                                                            <label>Address::</label>

                                                        </div>
                                                        <div>
                                                            <label>GPS Location:</label>
                                                        </div>
                                                    </div>
                                                    <div class="dishpatchPlan-block  pb-2">

                                                        <div>

                                                            <span class="fw-600">Status: None</span>
                                                        </div>

                                                    </div>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="carousel-item">
                                    <div class="carousel-stop-content">
                                        <h3 class="text-center">Stop 1</h3>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="dishpatchPlan-content">
                                                    <div class="dishpatchPlan-hedding">
                                                        <h6>Stop 1 </h6>
                                                    </div>
                                                    <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                        <div>
                                                            <label>Type:</label>
                                                            <span>Pickup I Drop &amp; Hook Trailer</span>
                                                        </div>
                                                        <div>
                                                            <label>Pickup Type:</label>
                                                            <span>Appointment</span>
                                                        </div>
                                                        <div>
                                                            <label>Appointment Time:</label>
                                                            <span>07/06/2023 10:30 AM</span>
                                                        </div>
                                                        <div>
                                                            <label>Close Date/Time:</label>
                                                            <span>07/06/2023 10:30 AM</span>
                                                        </div>
                                                        <div>
                                                            <label>Shipper:</label>
                                                            <span>Michaels Retail Giant</span>
                                                        </div>
                                                        <div>
                                                            <label>Address 1:</label>
                                                            <span>154617 West Wards Road</span>
                                                        </div>
                                                        <div>
                                                            <label>Address 2:</label>
                                                            <span>N/A</span>
                                                        </div>
                                                        <div>
                                                            <label>City:</label>
                                                            <span>Lynchburg</span>
                                                        </div>
                                                        <div>
                                                            <label>State:</label>
                                                            <span>Virginia</span>
                                                        </div>
                                                        <div>
                                                            <label>Zip</label>
                                                            <span>19874</span>
                                                        </div>

                                                        <div class="dishpatchPlan-f-link">
                                                            <label></label>
                                                            <a href="#" class=" btn-link text-underline">Get Directions</a>
                                                        </div>
                                                    </div>
                                                    <div class="border-bottom  mb-2 pb-2">
                                                        <div class="dishpatchPlan-content drop-hook-content border-bottom overflow-hidden ">
                                                            <!-- <div class="dishpatchPlan-hedding">
                                                                    <h6>Mileage & Rating</h6>
                                                                </div> -->
                                                            <div class="dishpatchPlan-block direct-table ">
                                                                <div class="table-responsive p-0">
                                                                    <table class="mt-0 text-left ">
                                                                        <thead class="border-bottom">
                                                                            <tr>
                                                                                <th class=""><strong class="fw-bold"> Drop & Hook Trailer Details</strong></th>
                                                                                <th class="text-center">Dispatch Assigned</th>
                                                                                <th class="text-center">Driver Verified</th>
                                                                            </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                            <tr>
                                                                                <td><strong class="fw-bold mr-2">Drop Trailer</strong><a href="#" class="text-dark-blue fs-12">View Images</a></td>
                                                                                <td class="text-center">21788</td>
                                                                                <td class="text-center"></td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td><strong class="fw-bold mr-2">Hook Trailer</strong><a href="#" class="text-dark-blue fs-12">View Images</a></td>
                                                                                <td class="text-center">21876</td>
                                                                                <td class="text-center"></td>
                                                                            </tr>
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>

                                                        </div>
                                                    </div>
                                                    <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                        <div>
                                                            <label>Contact:</label>
                                                            <span>Thomas Hardy</span>
                                                        </div>
                                                        <div>
                                                            <label>Phone:</label>
                                                            <span>(817) 234-0918</span>
                                                        </div>
                                                    </div>
                                                    <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                        <div>
                                                            <label>Pickup Number:</label>
                                                            <div> <span><a href="#" class="text-underline text-dark-blue font-weight-bold fs-14 mr-2">View all</a> 174AB</span></div>
                                                        </div>
                                                        <div>
                                                            <label>Dimensions:</label>
                                                            <span>N/A</span>
                                                        </div>
                                                        <div>
                                                            <label>Load Type:</label>
                                                            <span>Full Truck</span>
                                                        </div>
                                                        <div>
                                                            <label>Gross Weight:</label>
                                                            <span>12,000 lb</span>
                                                        </div>
                                                        <div>
                                                            <label>Load Value:</label>
                                                            <span>$100,000</span>
                                                        </div>
                                                        <div>
                                                            <label>Commodity:</label>
                                                            <span>Aluminum Cans</span>
                                                        </div>
                                                        <div>
                                                            <label>Temperature:</label>
                                                            <span>Not Applicable</span>
                                                        </div>
                                                        <div class="dishpatchPlan-f-link ">
                                                            <label></label>
                                                            <a href="#" class=" btn-link text-underline">More Details</a>
                                                        </div>
                                                    </div>
                                                    <div class="dishpatchPlan-notes-box text-left border-bottom">
                                                        <div class="form-group">
                                                            <select class="form-control selectbox-link">
                                                                <option>Notes1</option>
                                                                <option>Notes2</option>
                                                                <option>Notes3</option>
                                                            </select>
                                                        </div>
                                                        <h6 class=" font-weight-bold fs-14 text-dark-blue">Stop 1</h6>
                                                        <p class="fw-500 fs-14">Open trailer doors & place load locks in trailer before backing into the dock.</p>
                                                    </div>
                                                    <div class="dishpatchPlan-block nots-l-button-content">
                                                        <a href="#" class="btn btn-orange w-100 d-flex align-items-center justify-content-center">Arrive</a>
                                                    </div>
                                                </div>

                                            </div>
                                            <div class="col-md-6">
                                                <div class="dishpatchPlan-content mb-2">
                                                    <div class="dishpatchPlan-hedding d-flex justify-content-between align-items-center">
                                                        <h6>Required Documents </h6>
                                                        <a href="#" class="text-dark-grey fs-14 fs-600 position-relative d-flex align-items-center">(Completed 0 of 5)<img src="{{ asset('theme/images/export.svg') }}" alt="" class="ml-1"> <span class="position-absolute active-bot"></span></a>
                                                    </div>
                                                    <div class="dishpatchPlan-block  required-documents-content  mb-2 pb-2">
                                                        <div>
                                                            <label>Stop 1</label>
                                                        </div>
                                                        <div class="d-block ">
                                                            <p class="fw-500">BOL (Original)</p>

                                                            <ul class="nav required-documents-check">
                                                                <li>

                                                                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                                        <input type="checkbox" class="custom-control-input" id="received_check" name="received_check">
                                                                        <label class="custom-control-label" for="remember">Received</label>
                                                                    </div>
                                                                </li>
                                                                <li>

                                                                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                                        <input type="checkbox" class="custom-control-input" id="not-received-check" name="not-received-check">
                                                                        <label class="custom-control-label" for="not-received-check">Not Received</label>
                                                                    </div>
                                                                </li>

                                                            </ul>
                                                        </div>
                                                        <div class="d-block ">
                                                            <p class="fw-500">Loaded Scale Ticket</p>

                                                            <ul class="nav required-documents-check">
                                                                <li>
                                                                    <button class="btn btn-blue font-weight-bold custom-file file-upload">
                                                                        <span class="  font-weight-bold fs-14 ml-0">Upload</span>
                                                                        <input type="file" class="custom-file-input" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01">
                                                                    </button>
                                                                </li>
                                                                <li>
                                                                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                                        <input type="checkbox" class="custom-control-input" id="not-received-check-1" name="not-received-check">
                                                                        <label class="custom-control-label" for="not-received-check-1">Not Provided</label>
                                                                    </div>
                                                                </li>

                                                            </ul>
                                                        </div>
                                                        <div class="d-block ">
                                                            <p class="fw-500">Purchase Order</p>

                                                            <ul class="nav required-documents-check">
                                                                <li>
                                                                    <button class="btn btn-blue font-weight-bold custom-file file-upload">
                                                                        <span class="  font-weight-bold fs-14 ml-0">Upload</span>
                                                                        <input type="file" class="custom-file-input" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01">
                                                                    </button>
                                                                </li>
                                                                <li>

                                                                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                                        <input type="checkbox" class="custom-control-input" id="not-received-check-2" name="not-received-check-2">
                                                                        <label class="custom-control-label" for="not-received-check-2">Not Provided</label>
                                                                    </div>
                                                                </li>

                                                            </ul>
                                                        </div>
                                                        <div class="d-block ">
                                                            <p class="fw-500">Detention Confirmation</p>

                                                            <ul class="nav required-documents-check">
                                                                <li>
                                                                    <button class="btn btn-blue font-weight-bold custom-file file-upload">
                                                                        <span class="  font-weight-bold fs-14 ml-0">Upload</span>
                                                                        <input type="file" class="custom-file-input" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01">
                                                                    </button>
                                                                </li>
                                                                <li>
                                                                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                                        <input type="checkbox" class="custom-control-input" id="not-received-check-3" name="not-received-check-3">
                                                                        <label class="custom-control-label" for="not-received-check-3">Not Provided</label>
                                                                    </div>
                                                                </li>

                                                            </ul>
                                                        </div>
                                                        <div class="d-block ">
                                                            <p class="fw-500">Packing Slip</p>

                                                            <ul class="nav required-documents-check">
                                                                <li>
                                                                    <button class="btn btn-blue font-weight-bold custom-file file-upload">
                                                                        <span class="  font-weight-bold fs-14 ml-0">Upload</span>
                                                                        <input type="file" class="custom-file-input" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01">
                                                                    </button>
                                                                </li>
                                                                <li>
                                                                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                                                                        <input type="checkbox" class="custom-control-input" id="not-received-check-4" name="not-received-check-4">
                                                                        <label class="custom-control-label" for="not-received-check-4">Not Provided</label>
                                                                    </div>
                                                                </li>

                                                            </ul>
                                                        </div>

                                                        <div>
                                                            <p class="d-flex fw-500 align-items-center">
                                                                <a href="#" class="btn btn-blue btn-add mr-2">
                                                                    <i class="fa fa-plus" aria-hidden="true"></i>
                                                                </a>
                                                                Add More Documents
                                                            </p>
                                                        </div>

                                                    </div>

                                                </div>

                                                <div class="dishpatchPlan-content">
                                                    <div class="dishpatchPlan-hedding">
                                                        <h6>Detention </h6>
                                                    </div>
                                                    <div class="dishpatchPlan-block detention-content border-bottom mb-2 pb-2">
                                                        <div class="align-items-center">
                                                            <label>Arrival Time (EDT):</label>
                                                            <div class="form-group mb-0">
                                                                <div class=" position-relative position-group">
                                                                    <input type="text" class="form-control shipper-date-time" id="shipperDate">
                                                                    <img src="http://127.0.0.1:8001/theme/images/proRouter-date.svg" alt="icon">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="align-items-center">
                                                            <label>Time Lapsed:</label>
                                                            <div class="form-group mb-0">
                                                                <input type="text" class="form-control" />
                                                            </div>
                                                        </div>
                                                        <div>
                                                            <button class="btn btn-grey ">Start Detention</button>
                                                        </div>

                                                    </div>

                                                    <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                        <div>
                                                            <label>Address::</label>

                                                        </div>
                                                        <div>
                                                            <label>GPS Location:</label>
                                                        </div>
                                                    </div>
                                                    <div class="dishpatchPlan-block  pb-2">

                                                        <div>

                                                            <span class="fw-600">Status: None</span>
                                                        </div>

                                                    </div>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <button class="carousel-button carousel-control-prev" type="button" data-target="#carouselExampleControlsNoTouching" data-slide="prev">
                                <img src="{{ asset('theme/images/arrow-left.svg') }}" alt="arrow left">
                                <span class="sr-only">Previous</span>
                            </button>
                            <button class="carousel-button carousel-control-next" type="button" data-target="#carouselExampleControlsNoTouching" data-slide="next">
                                <img src="{{ asset('theme/images/arrow-right.svg') }}" alt="arrow right">
                                <span class="sr-only">Next</span>
                            </button>
                        </div>
                    </div>
                    <div class="col-auto current-dispatch-body-right">
                        <div class="dishpatchPlan-content load-requirements mb-2 new-addLoad">
                            <div class="multi_step_form">
                                <div id="msform" class="">
                                    <div class="d-flex">
                                        <input type="hidden" name="load_status" class="load-status-input" value="2">
                                        <input type="hidden" name="is_on_hold" class="is_on_hold" value="0">
                                        <ul class="custom-progress-bar" id="progressbar">
                                            <li id="preplaned" class="fill-active">
                                                <a href="javascript:void(0)">
                                                    <span class="progress-no">1</span>
                                                    PREPLANNED
                                                </a>
                                            </li>
                                            <li id="sendToDriver" class="">
                                                <a href="javascript:void(0)">
                                                    <span class="progress-no">1</span>
                                                    SEND TO DRIVER
                                                </a>
                                            </li>
                                            <li id="confirmed" class="">
                                                <a href="javascript:void(0)">
                                                    <span class="progress-no">1</span>
                                                    CONFIRMED
                                                </a>
                                            </li>
                                            <li id="inTransit" class="">
                                                <a href="javascript:void(0)">
                                                    <span class="progress-no">1</span>
                                                    IN TRANSIT
                                                </a>
                                            </li>
                                            <li id="delivered" class="">
                                                <a href="javascript:void(0)">
                                                    <span class="progress-no">1</span>
                                                    DELIVERED
                                                </a>
                                            </li>
                                            <li id="readyToBill" class="">
                                                <a href="javascript:void(0)">
                                                    <span class="progress-no">1</span>
                                                    READY TO BILL
                                                </a>
                                            </li>

                                        </ul>

                                    </div>
                                </div>
                            </div>
                            <!-- <div class="multi_step_form">
                                    <div id="msform" class="">
                                        <div class="d-flex">
                                            <input type="hidden" name="load_status" class="load-status-input" value="2">
                                            <ul class="custom-progress-bar" id="progressbar">
                                                <li id="preplaned">
                                                    <a href="javascript:void(0)"><span class="progress-no">1</span>Preplanned</a>
                                                </li>
                                                <li id="sendToDriver" class="">
                                                    <a href="javascript:void(0)"><span class="progress-no">1</span>Send To Driver</a>
                                                </li>
                                                <li id="confirmed" class="">
                                                    <a href="javascript:void(0)"><span class="progress-no">1</span>Confirmed</a>
                                                </li>
                                                <li id="inTransit" class="">
                                                    <a href="javascript:void(0)"><span class="progress-no">1</span>In Transit</a>
                                                </li>
                                                <li id="delivered" class="">
                                                    <a href="javascript:void(0)"><span class="progress-no">1</span>Delivered</a>
                                                </li>
                                                <li id="readyToBill" class="">
                                                    <a href="javascript:void(0)"><span class="progress-no">1</span>Ready to Bill</a>
                                                </li>

                                            </ul>

                                        </div>
                                    </div>
                                </div> -->
                        </div>

                        <div class="dishpatchPlan-content load-requirements mb-2 pb-2">
                            <div class="dishpatchPlan-hedding">
                                <h6>Load Requirements</h6>
                            </div>
                            <table class="w-100 mt-0">
                                <thead class="bg-white border-bottom">
                                    <tr>
                                        <th class="text-left text-dark-blue fw-600 fs-14">Qty</th>
                                        <th class="text-right text-dark-blue fw-600 fs-14">Item</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td class="text-left fw-500 fs-14">12</td>
                                        <td class="text-right fw-500 fs-14">Straps</td>
                                    </tr>
                                    <tr>
                                        <td class="text-left fw-500 fs-14">2</td>
                                        <td class="text-right fw-500 fs-14">Bungies</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="dishpatchPlan-content mb-2 pb-2">
                            <div class="dishpatchPlan-hedding">
                                <h6>Load Pay</h6>
                            </div>
                            <div class="dishpatchPlan-block text-left">

                                <ul class="nav flex-column w-100 align-items-start border-bottom pb-2">
                                    <li class="border-bottom">
                                        <div class="">
                                            <label class="text-dark-grey font-weight-bold">Load Gross:</label>
                                            <span class="text-dark-grey font-weight-bold">$1,500.00</span>
                                        </div>
                                    </li>
                                    <li class="py-0">
                                        <ul class="nav flex-column w-100 d-block">
                                            <li class="w-100">
                                                <div class="">
                                                    <label class="text-dark-blue font-weight-bold">Linehaul (72%)</label>
                                                    <span class=" fw-500">$928.80</span>
                                                </div>
                                            </li>
                                            <li class="w-100">
                                                <div class="">
                                                    <label class="text-dark-blue font-weight-bold">Fuel Surcharge (100%)</label>
                                                    <span class="fw-500">$210.00</span>
                                                </div>
                                            </li>
                                        </ul>
                                    </li>
                                    <li>
                                        <div class="">
                                            <label class="text-dark-grey font-weight-bold">Accessorial</label>
                                        </div>
                                    </li>
                                    <li class="py-0">
                                        <ul class="nav flex-column w-100 d-block">
                                            <li class="w-100">
                                                <div class="">
                                                    <label class="text-dark-blue font-weight-bold">Lumper</label>
                                                    <span class=" fw-500">$450.00</span>
                                                </div>
                                            </li>
                                        </ul>
                                    </li>
                                </ul>
                                <div class="">
                                    <label class="text-dark-blue font-weight-bold">Total Pay</label>
                                    <span class=" fw-500">$1 ,683.80</span>
                                </div>
                            </div>

                        </div>
                        <div class="dishpatchPlan-content mb-2 pb-2">
                            <div class="dishpatchPlan-hedding">
                                <div class="form-group mb-0">
                                    <select class="form-control  selectbox-link ">
                                        <option>Mileage & Rating</option>
                                        <option>Mileage</option>
                                        <option>Rating</option>
                                    </select>
                                </div>
                            </div>
                            <div class="dishpatchPlan-block border-bottom">
                                <div>
                                    <label>Empty Miles</label>
                                    <span>85</span>
                                </div>
                                <div>
                                    <label>Loaded Miles</label>
                                    <span>515</span>
                                </div>
                                <div>
                                    <label>Total Miles</label>
                                    <span>600</span>
                                </div>
                            </div>
                            <div class="dishpatchPlan-block ">
                                <div>
                                    <label>CPM</label>
                                    <span>$ 2.50</span>
                                </div>
                            </div>
                        </div>
                        <div class="dishpatchPlan-content mb-2 pb-2">
                            <div class="dishpatchPlan-hedding">
                                <div class="form-group mb-0">
                                    <select class="form-control  selectbox-link ">
                                        <option>Driver & Equipment</option>
                                        <option>Driver</option>
                                        <option>Equipment</option>
                                    </select>
                                </div>
                            </div>
                            <div class="dishpatchPlan-block ">
                                <div>
                                    <label>Driver</label>
                                    <span>William Roger Falin</span>
                                </div>
                                <div>
                                    <label>Truck Number</label>
                                    <span>DTL88</span>
                                </div>
                                <div>
                                    <label>Trailer number</label>
                                    <span>21788</span>
                                </div>
                                <div>
                                    <label>Trailer Type</label>
                                    <span>Dry Van</span>
                                </div>
                                <div>
                                    <label>Load planner</label>
                                    <span>Josh Smothers</span>
                                </div>
                                <div>
                                    <label>Dispatcher</label>
                                    <span>Jeanie Wilson</span>
                                </div>
                                <div>
                                    <label>Team</label>
                                    <span>Blue Devils</span>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

            </div>





        </div>
        <div class="tab-pane fade " id="nav-upcoming-dispatch" role="tabpanel" aria-labelledby="nav-upcoming-dispatch-tab">
            <div class="padd-custome">
                <div class="table-responsive">
                    <table id="intAlerts" class="display table m-0 table-blue table-upcoming-dispatch favorites-data-table  table-dishpatchHub on-hold-load-data-table" style="width:100%">
                        <thead>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>Status</th>
                                <th>Load</th>
                                <th>DH </th>
                                <th>Loaded </th>
                                <th>Total </th>
                                <th>Rate </th>
                                <th>CPM</th>
                                <th>Pickup Date</th>
                                <th>Delivery Date </th>
                                <th>Origin</th>
                                <th>Destination</th>
                                <th>Trailer </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td class="dt-control">
                                    <a href="#">
                                        <i class="fa fa-angle-down" aria-hidden="true"></i>
                                    </a>
                                </td>
                                <td>
                                    <a href="#" class="btn btn-blue">Dispatch Now</a>
                                </td>
                                <td>
                                    <div class="d-flex text-dark-grey align-items-center"><img src="{{ asset('theme/images/green-circle-icon.svg') }}" alt="Comment" class="mr-1 status-img"> Confirmed</div>
                                </td>
                                <td>
                                    <a href="#" class="text-dark-blue">2132822</a>
                                </td>
                                <td>45 </td>
                                <td>500</td>
                                <td>545</td>
                                <td>$1,500.00</td>
                                <td>$2.75</td>
                                <td>12/22/2022 19:00</td>
                                <td>12/28/2022 00:07</td>
                                <td>Tinker AFB, 0K</td>
                                <td>Hill AFB, UT</td>
                                <td>W06302</td>
                            </tr>
                            <tr>
                                <td style="min-width: 53px;"></td>
                                <td colspan="13" class="py-0" style="padding-top: 0 !important;padding-bottom: 0 !important;">
                                    <div class=" dishpatchPlan-main p-0">
                                        <table class="table m-0">
                                            <tbody>
                                                <tr>
                                                    <!-- <td style="min-width: 53px;">

                                                        </td> -->

                                                    <td>
                                                        <div class="dishpatchPlan-content mb-2 pb-2">
                                                            <div class="dishpatchPlan-hedding">
                                                                <h6>Total Quality Logistics </h6>
                                                            </div>
                                                            <div class="dishpatchPlan-block ">
                                                                <div>
                                                                    <label>Load No:</label>
                                                                    <span>TOL905471-GE</span>
                                                                </div>
                                                                <div>
                                                                    <label>Representative:</label>
                                                                    <span>Stan Lee</span>
                                                                </div>
                                                                <div>
                                                                    <label>Phone:</label>
                                                                    <span>(800) 531-8090</span>
                                                                </div>
                                                                <div>
                                                                    <label>Ext:</label>
                                                                    <span>x87162</span>
                                                                </div>
                                                                <div>
                                                                    <label>ProChat <img src="{{ asset('theme/images/comment.svg') }}" alt="Comment" class="ml-1"></label>
                                                                    <span></span>
                                                                </div>

                                                            </div>

                                                        </div>

                                                        <div class="dishpatchPlan-content load-requirements mb-2 pb-2">
                                                            <div class="dishpatchPlan-hedding">
                                                                <h6>Load Requirements</h6>
                                                            </div>
                                                            <table class="w-100 mt-0">
                                                                <thead class="bg-white border-bottom">
                                                                    <tr>
                                                                        <th class="text-left text-dark-blue fw-600">Qty</th>
                                                                        <th class="text-right text-dark-blue fw-600">Item</th>
                                                                    </tr>
                                                                </thead>
                                                                <tbody>
                                                                    <tr>
                                                                        <td class="text-left fw-500">12</td>
                                                                        <td class="text-right fw-500">Straps</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="text-left fw-500">2</td>
                                                                        <td class="text-right fw-500">Bungies</td>
                                                                    </tr>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                        <div class="dishpatchPlan-content mb-2 pb-2">
                                                            <div class="dishpatchPlan-hedding">
                                                                <h6>Load Pay</h6>
                                                            </div>
                                                            <div class="dishpatchPlan-block text-left">

                                                                <ul class="nav flex-column w-100 align-items-start border-bottom pb-2">
                                                                    <li class="border-bottom">
                                                                        <div class="">
                                                                            <label class="text-dark-grey font-weight-bold">Load Gross:</label>
                                                                            <span class="text-dark-grey font-weight-bold">$1,500.00</span>
                                                                        </div>
                                                                    </li>
                                                                    <li class="py-0">
                                                                        <ul class="nav flex-column w-100 d-block">
                                                                            <li class="w-100">
                                                                                <div class="">
                                                                                    <label class="text-dark-blue font-weight-bold">Linehaul (72%)</label>
                                                                                    <span class=" fw-500">$928.80</span>
                                                                                </div>
                                                                            </li>
                                                                            <li class="w-100">
                                                                                <div class="">
                                                                                    <label class="text-dark-blue font-weight-bold">Fuel Surcharge (100%)</label>
                                                                                    <span class="fw-500">$210.00</span>
                                                                                </div>
                                                                            </li>
                                                                        </ul>
                                                                    </li>
                                                                    <li>
                                                                        <div class="">
                                                                            <label class="text-dark-grey font-weight-bold">Accessorial</label>
                                                                        </div>
                                                                    </li>
                                                                    <li class="py-0">
                                                                        <ul class="nav flex-column w-100 d-block">
                                                                            <li class="w-100">
                                                                                <div class="">
                                                                                    <label class="text-dark-blue font-weight-bold">Lumper</label>
                                                                                    <span class=" fw-500">$450.00</span>
                                                                                </div>
                                                                            </li>
                                                                        </ul>
                                                                    </li>
                                                                </ul>
                                                                <div class="">
                                                                    <label class="text-dark-blue font-weight-bold">Total Pay</label>
                                                                    <span class=" fw-500">$1 ,683.80</span>
                                                                </div>
                                                            </div>

                                                        </div>
                                                        <div class="dishpatchPlan-content  pb-2">
                                                            <div class="dishpatchPlan-hedding">
                                                                <h6>General Details</h6>
                                                            </div>
                                                            <div class="dishpatchPlan-block ">
                                                                <div>
                                                                    <label>Type:</label>
                                                                    <span>Full Truck</span>
                                                                </div>
                                                                <div>
                                                                    <label>Gross Weight:</label>
                                                                    <span>12,000 lb</span>
                                                                </div>
                                                                <div>
                                                                    <label>Load Value:</label>
                                                                    <span>$100,000</span>
                                                                </div>
                                                                <div>
                                                                    <label>Commodity:</label>
                                                                    <span>Aluminum Can</span>
                                                                </div>
                                                                <div>
                                                                    <label>Temperature:</label>
                                                                    <span>Not Applicable</span>
                                                                </div>
                                                                <div class="dishpatchPlan-f-link ">
                                                                    <label></label>
                                                                    <a href="#" class=" btn-link text-underline">More Details</a>
                                                                </div>

                                                            </div>

                                                        </div>



                                                    </td>
                                                    <td>
                                                        <div class="dishpatchPlan-content">
                                                            <div class="dishpatchPlan-hedding">
                                                                <h6>Stop 1 </h6>
                                                            </div>
                                                            <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                                <div>
                                                                    <label>Type:</label>
                                                                    <span>Pickup I Drop & Hook Trailer</span>
                                                                </div>
                                                                <div>
                                                                    <label>Pickup Type:</label>
                                                                    <span>Appointment</span>
                                                                </div>
                                                                <div>
                                                                    <label>Appointment Time:</label>
                                                                    <span>07/06/2023 10:30 AM</span>
                                                                </div>
                                                                <div>
                                                                    <label>Shipper:</label>
                                                                    <span>Michaels Retail Giant</span>
                                                                </div>
                                                                <div>
                                                                    <label>Address 1:</label>
                                                                    <span>154617 West Wards Road</span>
                                                                </div>
                                                                <div>
                                                                    <label>Address 2:</label>
                                                                    <span>N/A</span>
                                                                </div>
                                                                <div>
                                                                    <label>City:</label>
                                                                    <span>Lynchburg</span>
                                                                </div>
                                                                <div>
                                                                    <label>State:</label>
                                                                    <span>Virginia</span>
                                                                </div>
                                                                <div>
                                                                    <label>Zip</label>
                                                                    <span>19874</span>
                                                                </div>

                                                                <div class="dishpatchPlan-f-link">
                                                                    <label></label>
                                                                    <a href="#" class=" btn-link text-underline">Get Directions</a>
                                                                </div>
                                                            </div>
                                                            <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                                <div>
                                                                    <label>Contact:</label>
                                                                    <span>Thomas Hardy</span>
                                                                </div>
                                                                <div>
                                                                    <label>Phone:</label>
                                                                    <span>(817) 234-0918</span>
                                                                </div>
                                                            </div>
                                                            <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                                <div>
                                                                    <label>Pickup Number:</label>
                                                                    <div><a href="#" class="text-underline text-dark-blue font-weight-bold fs-14 mr-4">View all</a> <span>174AB</span></div>
                                                                </div>
                                                                <div>
                                                                    <label>Dimensions:</label>
                                                                    <span>N/A</span>
                                                                </div>
                                                                <div>
                                                                    <label>Load Type:</label>
                                                                    <span>Full Truck</span>
                                                                </div>
                                                                <div>
                                                                    <label>Gross Weight:</label>
                                                                    <span>12,000 lb</span>
                                                                </div>
                                                                <div>
                                                                    <label>Load Value:</label>
                                                                    <span>$100,000</span>
                                                                </div>
                                                                <div>
                                                                    <label>Commodity:</label>
                                                                    <span>Aluminum Cans</span>
                                                                </div>
                                                                <div>
                                                                    <label>Temperature:</label>
                                                                    <span>Not Applicable</span>
                                                                </div>
                                                                <div class="dishpatchPlan-f-link mt-sm-3 mt-2">
                                                                    <label></label>
                                                                    <a href="#" class=" btn-link text-underline">More Details</a>
                                                                </div>
                                                            </div>
                                                            <div class="dishpatchPlan-notes-box text-left">
                                                                <div class="form-group">
                                                                    <select class="form-control mb-2">
                                                                        <option>Notes1</option>
                                                                        <option>Notes2</option>
                                                                        <option>Notes3</option>
                                                                    </select>
                                                                </div>
                                                                <h6 class=" font-weight-bold fs-14 text-dark-blue">Stop 1</h6>
                                                                <p class="fw-500 fs-14">Tell them Big Mike sent you and keep a $20.00 in your pocket. Pizza party will also get him to stay late to unload.</p>
                                                            </div>
                                                        </div>

                                                    </td>
                                                    <td>
                                                        <div class="dishpatchPlan-content">
                                                            <div class="dishpatchPlan-hedding">
                                                                <h6>Stop 2 </h6>
                                                            </div>
                                                            <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                                <div>
                                                                    <label>Type:</label>
                                                                    <span>Delivery I Drop & Hook</span>
                                                                </div>
                                                                <div>
                                                                    <label>Pickup Type:</label>
                                                                    <span>Appointment</span>
                                                                </div>
                                                                <div>
                                                                    <label>Appointment Time:</label>
                                                                    <span>07/06/2023 11:30 AM</span>
                                                                </div>
                                                                <div>
                                                                    <label>Shipper:</label>
                                                                    <span>Space Force Pvt Ltd</span>
                                                                </div>
                                                                <div>
                                                                    <label>Address 1:</label>
                                                                    <span>1354 2nd Street Road</span>
                                                                </div>
                                                                <div>
                                                                    <label>Address 2:</label>
                                                                    <span>N/A</span>
                                                                </div>
                                                                <div>
                                                                    <label>City:</label>
                                                                    <span>Lynchburg</span>
                                                                </div>
                                                                <div>
                                                                    <label>State:</label>
                                                                    <span>Virginia</span>
                                                                </div>
                                                                <div>
                                                                    <label>Zip</label>
                                                                    <span>19874</span>
                                                                </div>

                                                                <div class="dishpatchPlan-f-link">
                                                                    <label></label>
                                                                    <a href="#" class=" btn-link text-underline">Get Directions</a>
                                                                </div>
                                                            </div>
                                                            <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                                <div>
                                                                    <label>Contact:</label>
                                                                    <span>Mark Naird</span>
                                                                </div>
                                                                <div>
                                                                    <label>Phone:</label>
                                                                    <span>(817) 234-1118</span>
                                                                </div>
                                                            </div>
                                                            <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                                <div>
                                                                    <label>Pickup Number:</label>
                                                                    <div><a href="#" class="text-underline text-dark-blue font-weight-bold fs-14 mr-4">View all</a> <span>174AB</span></div>
                                                                </div>
                                                                <div>
                                                                    <label>Dimensions:</label>
                                                                    <span>N/A</span>
                                                                </div>
                                                                <div>
                                                                    <label>Load Type:</label>
                                                                    <span>Full Truck</span>
                                                                </div>
                                                                <div>
                                                                    <label>Gross Weight:</label>
                                                                    <span>12,000 lb</span>
                                                                </div>
                                                                <div>
                                                                    <label>Load Value:</label>
                                                                    <span>$100,000</span>
                                                                </div>
                                                                <div>
                                                                    <label>Commodity:</label>
                                                                    <span>Aluminum Cans</span>
                                                                </div>
                                                                <div>
                                                                    <label>Temperature:</label>
                                                                    <span>Not Applicable</span>
                                                                </div>
                                                                <div class="dishpatchPlan-f-link mt-sm-3 mt-2">
                                                                    <label></label>
                                                                    <a href="#" class=" btn-link text-underline">More Details</a>
                                                                </div>
                                                            </div>
                                                            <div class="dishpatchPlan-notes-box text-left">


                                                                <div class="form-group">
                                                                    <select class="form-control mb-2">
                                                                        <option>Notes1</option>
                                                                        <option>Notes2</option>
                                                                        <option>Notes3</option>
                                                                    </select>
                                                                </div>
                                                                <h6 class=" font-weight-bold fs-14 text-dark-blue">Stop 2</h6>
                                                                <p class="fw-500 fs-14">Tell them Big Mike sent you and keep a $20.00 in your pocket. Pizza party will also get him to stay late to unload.</p>

                                                            </div>
                                                        </div>

                                                    </td>
                                                    <td>
                                                        <div class="dishpatchPlan-content">
                                                            <div class="dishpatchPlan-hedding">
                                                                <h6>Stop 99 </h6>
                                                            </div>
                                                            <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                                <div>
                                                                    <label>Type:</label>
                                                                    <span>Delivery I Drop</span>
                                                                </div>
                                                                <div>
                                                                    <label>Pickup Type:</label>
                                                                    <span>Appointment</span>
                                                                </div>
                                                                <div>
                                                                    <label>Appointment Time:</label>
                                                                    <span>07/06/2023 14:00 PM</span>
                                                                </div>
                                                                <div>
                                                                    <label>Shipper:</label>
                                                                    <span>Winchesters Garage</span>
                                                                </div>
                                                                <div>
                                                                    <label>Address 1:</label>
                                                                    <span>1876 Lombard Street</span>
                                                                </div>
                                                                <div>
                                                                    <label>Address 2:</label>
                                                                    <span>N/A</span>
                                                                </div>
                                                                <div>
                                                                    <label>City:</label>
                                                                    <span>Lynchburg</span>
                                                                </div>
                                                                <div>
                                                                    <label>State:</label>
                                                                    <span>Virginia</span>
                                                                </div>
                                                                <div>
                                                                    <label>Zip</label>
                                                                    <span>19874</span>
                                                                </div>

                                                                <div class="dishpatchPlan-f-link">
                                                                    <label></label>
                                                                    <a href="#" class=" btn-link text-underline">Get Directions</a>
                                                                </div>
                                                            </div>
                                                            <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                                <div>
                                                                    <label>Contact:</label>
                                                                    <span>Dean Winchester</span>
                                                                </div>
                                                                <div>
                                                                    <label>Phone:</label>
                                                                    <span>(817) 283-0918</span>
                                                                </div>
                                                            </div>
                                                            <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                                                <div>
                                                                    <label>Pickup Number:</label>
                                                                    <div><a href="#" class="text-underline text-dark-blue font-weight-bold fs-14 mr-4">View all</a> <span>174AB</span></div>
                                                                </div>
                                                                <div>
                                                                    <label>Dimensions:</label>
                                                                    <span>N/A</span>
                                                                </div>
                                                                <div>
                                                                    <label>Load Type:</label>
                                                                    <span>Full Truck</span>
                                                                </div>
                                                                <div>
                                                                    <label>Gross Weight:</label>
                                                                    <span>12,000 lb</span>
                                                                </div>
                                                                <div>
                                                                    <label>Load Value:</label>
                                                                    <span>$100,000</span>
                                                                </div>
                                                                <div>
                                                                    <label>Commodity:</label>
                                                                    <span>Aluminum Cans</span>
                                                                </div>
                                                                <div>
                                                                    <label>Temperature:</label>
                                                                    <span>Not Applicable</span>
                                                                </div>
                                                                <div class="dishpatchPlan-f-link mt-sm-3 mt-2">
                                                                    <label></label>
                                                                    <a href="#" class=" btn-link text-underline">More Details</a>
                                                                </div>
                                                            </div>
                                                            <div class="dishpatchPlan-notes-box text-left">


                                                                <div class="form-group">
                                                                    <select class="form-control mb-2">
                                                                        <option>Notes1</option>
                                                                        <option>Notes2</option>
                                                                        <option>Notes3</option>
                                                                    </select>
                                                                </div>
                                                                <h6 class=" font-weight-bold fs-14 text-dark-blue">Stop 99</h6>
                                                                <p class="fw-500 fs-14">Tell them Big Mike sent you and keep a $20.00 in your pocket. Pizza party will also get him to stay late to unload.</p>

                                                            </div>
                                                        </div>

                                                    </td>
                                                    <td style="width: 134px;"></td>

                                                </tr>
                                                <tr>
                                                    <td>
                                                        <div class="dishpatchPlan-content mb-2 pb-2">
                                                            <div class="dishpatchPlan-hedding">
                                                                <h6>Driver & Equipment</h6>
                                                            </div>
                                                            <div class="dishpatchPlan-block ">
                                                                <div>
                                                                    <label>Driver</label>
                                                                    <span>William Roger Falin</span>
                                                                </div>
                                                                <div>
                                                                    <label>Truck Number</label>
                                                                    <span>DTL88</span>
                                                                </div>
                                                                <div>
                                                                    <label>Trailer Number</label>
                                                                    <span>21788</span>
                                                                </div>
                                                                <div>
                                                                    <label>Trailer Type</label>
                                                                    <span>Dry Van</span>
                                                                </div>
                                                                <div>
                                                                    <label>Load Planner</label>
                                                                    <span>Josh Smothers</span>
                                                                </div>
                                                                <div>
                                                                    <label>Dispatcher</label>
                                                                    <span>Jeanie Wilson</span>
                                                                </div>
                                                                <div>
                                                                    <label>Team</label>
                                                                    <span>Blue Devils</span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="dishpatchPlan-content mb-2 pb-2">
                                                            <div class="dishpatchPlan-hedding">
                                                                <h6>Mileage & Rating</h6>
                                                            </div>
                                                            <div class="dishpatchPlan-block border-bottom">
                                                                <div>
                                                                    <label>Empty Miles</label>
                                                                    <span>85</span>
                                                                </div>
                                                                <div>
                                                                    <label>Loaded Miles</label>
                                                                    <span>515</span>
                                                                </div>
                                                                <div>
                                                                    <label>Total Miles</label>
                                                                    <span>600</span>
                                                                </div>
                                                            </div>
                                                            <div class="dishpatchPlan-block ">
                                                                <div>
                                                                    <label>CPM</label>
                                                                    <span>$ 2.50</span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td colspan="2">
                                                        <div class="dishpatchPlan-content drop-hook-content mb-2 overflow-hidden pb-2">
                                                            <!-- <div class="dishpatchPlan-hedding">
                                                                    <h6>Mileage & Rating</h6>
                                                                </div> -->
                                                            <div class="dishpatchPlan-block direct-table ">
                                                                <table class="mt-0 text-left">
                                                                    <thead class="border-bottom">
                                                                        <tr>
                                                                            <th class=""><strong class="fw-bold"> Drop & Hook Trailer Details</strong></th>
                                                                            <th class="text-center">Dispatch Assigned</th>
                                                                            <th class="text-center">Driver Verified</th>
                                                                        </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                        <tr>
                                                                            <td><strong class="fw-bold mr-2">Drop Trailer</strong><a href="#" class="text-dark-blue fs-12">View Images</a></td>
                                                                            <td class="text-center">21788</td>
                                                                            <td class="text-center"></td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td><strong class="fw-bold mr-2">Hook Trailer</strong><a href="#" class="text-dark-blue fs-12">View Images</a></td>
                                                                            <td class="text-center">21876</td>
                                                                            <td class="text-center"></td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>

                                                        </div>
                                                    </td>
                                                    <td style="width: 134px;"></td>

                                                </tr>
                                                <tr>
                                                    <td colspan="5">
                                                        <div class="d-flex justify-content-end">
                                                            <a href="#" class="btn btn-outline-blue btn-cancel">Cancel</a>
                                                            <a href="#" class="btn btn-blue ml-1">Dispatch Now</a>
                                                        </div>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>

                                    </div>

                                </td>
                            </tr>
                            <tr>
                                <td class="dt-control">
                                    <a href="#">
                                        <i class="fa fa-angle-down" aria-hidden="true"></i>
                                    </a>
                                </td>
                                <td>
                                    <button disabled class="btn btn-blue" disabled>Dispatch Now</button>
                                </td>
                                <td>
                                    <div class="d-flex text-dark-grey align-items-center"><img src="{{ asset('theme/images/green-circle-icon.svg') }}" alt="Comment" class="mr-1 status-img"> Confirmed</div>
                                </td>
                                <td>
                                    <a href="#" class="text-dark-blue">MEKR-458751</a>
                                </td>
                                <td>9 </td>
                                <td>212</td>
                                <td>221</td>
                                <td>$1,100.00</td>
                                <td>$5.16</td>
                                <td>07/06/2023 14:00</td>
                                <td>07/07/2023 11:00</td>
                                <td>Pocola, OK</td>
                                <td>Nebraska City, NE</td>
                                <td>W06302</td>
                            </tr>
                            <tr>
                                <td class="dt-control">
                                    <a href="#">
                                        <i class="fa fa-angle-down" aria-hidden="true"></i>
                                    </a>
                                </td>
                                <td>

                                    <button disabled class="btn btn-blue" disabled>Dispatch Now</button>

                                </td>
                                <td>
                                    <div class="d-flex text-dark-grey align-items-center"><img src="{{ asset('theme/images/green-circle-icon.svg') }}" alt="Comment" class="mr-1 status-img"> Confirmed</div>
                                </td>
                                <td>
                                    <a href="#" class="text-dark-blue">2132822</a>
                                </td>
                                <td>45 </td>
                                <td>500</td>
                                <td>545</td>
                                <td>$1,100.00</td>
                                <td>$5.16</td>
                                <td>07/06/2023 09:30</td>
                                <td>07/07/2023 03:00</td>
                                <td>Winchester, VA</td>
                                <td>Washington Courthouse, OH</td>
                                <td>V5359</td>
                            </tr>
                            <tr>
                                <td class="dt-control">
                                    <a href="#">
                                        <i class="fa fa-angle-down" aria-hidden="true"></i>
                                    </a>
                                </td>
                                <td>
                                    <button disabled class="btn btn-blue">View Details</button>

                                </td>
                                <td>
                                    <div class="d-flex text-dark-grey align-items-center"><img src="{{ asset('theme/images/yellow-circle-icon.svg') }}" alt="Comment" class="mr-1 status-img"> Confirmed</div>
                                </td>
                                <td>
                                    <a href="#" class="text-dark-blue">2132822</a>
                                </td>
                                <td>45 </td>
                                <td>500</td>
                                <td>545</td>
                                <td>$1,100.00</td>
                                <td>$5.16</td>
                                <td>07/07/2023 04:24</td>
                                <td>07/07/2023 08:00</td>
                                <td>Groveport, OH</td>
                                <td>Lee, MA</td>
                                <td>V5359</td>
                            </tr>
                            <tr>
                                <td class="dt-control">
                                    <a href="#">
                                        <i class="fa fa-angle-down" aria-hidden="true"></i>
                                    </a>
                                </td>
                                <td>
                                    <button disabled class="btn btn-blue">View Details</button>

                                </td>
                                <td>
                                    <div class="d-flex text-dark-grey align-items-center"><img src="{{ asset('theme/images/yellow-circle-icon.svg') }}" alt="Comment" class="mr-1 status-img"> Confirmed</div>
                                </td>
                                <td>
                                    <a href="#" class="text-dark-blue">2132822</a>
                                </td>
                                <td>45 </td>
                                <td>500</td>
                                <td>545</td>
                                <td>$1,100.00</td>
                                <td>$5.16</td>
                                <td>07/07/2023 09:30</td>
                                <td>07/07/2023 03:00</td>
                                <td>Winchester, VA</td>
                                <td>Washington Courthouse, OH</td>
                                <td>V5359</td>
                            </tr>
                            <tr>
                                <td class="dt-control">
                                    <a href="#">
                                        <i class="fa fa-angle-down" aria-hidden="true"></i>
                                    </a>
                                </td>
                                <td>
                                    <button disabled class="btn btn-blue">View Details</button>

                                </td>
                                <td>
                                    <div class="d-flex text-dark-grey align-items-center"><img src="{{ asset('theme/images/yellow-circle-icon.svg') }}" alt="Comment" class="mr-1 status-img"> Confirmed</div>
                                </td>
                                <td>
                                    <a href="#" class="text-dark-blue">2132822</a>
                                </td>
                                <td>45 </td>
                                <td>500</td>
                                <td>545</td>
                                <td>$1,100.00</td>
                                <td>$5.16</td>
                                <td>07/07/2023 04:24</td>
                                <td>07/07/2023 08:00</td>
                                <td>Groveport, OH</td>
                                <td>Lee, MA</td>
                                <td>W06302</td>
                            </tr>
                            <tr>
                                <td class="dt-control">
                                    <a href="#">
                                        <i class="fa fa-angle-down" aria-hidden="true"></i>
                                    </a>
                                </td>
                                <td>
                                    <button disabled class="btn btn-blue">View Details</button>

                                </td>
                                <td>
                                    <div class="d-flex text-dark-grey align-items-center"><img src="{{ asset('theme/images/yellow-circle-icon.svg') }}" alt="Comment" class="mr-1 status-img"> Confirmed</div>
                                </td>
                                <td>
                                    <a href="#" class="text-dark-blue">2132822</a>
                                </td>
                                <td>45 </td>
                                <td>500</td>
                                <td>545</td>
                                <td>$1,100.00</td>
                                <td>$5.16</td>
                                <td>07/07/2023 09:30</td>
                                <td>07/08/2023 03:00</td>
                                <td>Winchester, VA</td>
                                <td>Washington Courthouse, OH</td>
                                <td>W06302</td>
                            </tr>
                            <tr>
                                <td class="dt-control">
                                    <a href="#">
                                        <i class="fa fa-angle-down" aria-hidden="true"></i>
                                    </a>
                                </td>
                                <td>
                                    <button disabled class="btn btn-blue">View Details</button>

                                </td>
                                <td>
                                    <div class="d-flex text-dark-grey align-items-center"><img src="{{ asset('theme/images/yellow-circle-icon.svg') }}" alt="Comment" class="mr-1 status-img"> Confirmed</div>
                                </td>
                                <td>
                                    <a href="#" class="text-dark-blue">2132822</a>
                                </td>
                                <td>45 </td>
                                <td>500</td>
                                <td>545</td>
                                <td>$1,100.00</td>
                                <td>$5.16</td>
                                <td>07/07/2023 04:24</td>
                                <td>07/07/2023 8:00</td>
                                <td>Groveport, OH</td>
                                <td>Lee, MA</td>
                                <td>W06302</td>
                            </tr>
                            <tr>
                                <td class="dt-control">
                                    <a href="#">
                                        <i class="fa fa-angle-down" aria-hidden="true"></i>
                                    </a>
                                </td>
                                <td>
                                    <button disabled class="btn btn-blue">View Details</button>

                                </td>
                                <td>
                                    <div class="d-flex text-dark-grey align-items-center"><img src="{{ asset('theme/images/yellow-circle-icon.svg') }}" alt="Comment" class="mr-1 status-img"> Confirmed</div>
                                </td>
                                <td>
                                    <a href="#" class="text-dark-blue">2132822</a>
                                </td>
                                <td>45 </td>
                                <td>500</td>
                                <td>545</td>
                                <td>$1,100.00</td>
                                <td>$5.16</td>
                                <td>07/07/2023 09:30</td>
                                <td>07/08/2023 03:00</td>
                                <td>Winchester, VA</td>
                                <td>Washington Courthouse, OH</td>
                                <td>W06302</td>
                            </tr>
                            <tr>
                                <td class="dt-control">
                                    <a href="#">
                                        <i class="fa fa-angle-down" aria-hidden="true"></i>
                                    </a>
                                </td>
                                <td>
                                    <button disabled class="btn btn-blue">View Details</button>
                                </td>
                                <td>
                                    <div class="d-flex text-dark-grey align-items-center"><img src="{{ asset('theme/images/yellow-circle-icon.svg') }}" alt="Comment" class="mr-1 status-img"> Confirmed</div>
                                </td>
                                <td>
                                    <a href="#" class="text-dark-blue">2132822</a>
                                </td>
                                <td>45 </td>
                                <td>500</td>
                                <td>545</td>
                                <td>$1,100.00</td>
                                <td>$5.16</td>
                                <td>07/06/2023 14:00</td>
                                <td>07/07/2023 11:00</td>
                                <td>Pocola, OK</td>
                                <td>Nebraska City, NE</td>
                                <td>W06302</td>
                            </tr>
                            <tr>
                                <td class="dt-control">
                                    <a href="#">
                                        <i class="fa fa-angle-down" aria-hidden="true"></i>
                                    </a>
                                </td>
                                <td>
                                    <button disabled class="btn btn-blue">View Details</button>
                                </td>
                                <td>
                                    <div class="d-flex text-dark-grey align-items-center"><img src="{{ asset('theme/images/yellow-circle-icon.svg') }}" alt="Comment" class="mr-1 status-img"> Confirmed</div>
                                </td>
                                <td>
                                    <a href="#" class="text-dark-blue">2132822</a>
                                </td>
                                <td>45 </td>
                                <td>500</td>
                                <td>545</td>
                                <td>$1,100.00</td>
                                <td>$5.16</td>
                                <td>07/07/2023 09:30</td>
                                <td>07/08/2023 03:00</td>
                                <td>Winchester, VA</td>
                                <td>Washington Courthouse, OH</td>
                                <td>W06302</td>
                            </tr>


                        </tbody>

                    </table>
                </div>

            </div>
        </div>
        <div class="tab-pane fade" id="nav-historic-dispatch" role="tabpanel" aria-labelledby="nav-historic-dispatch-tab">Historic Dispatch</div>
    </div>
</div>
@endsection

@section('script')
@endsection