@if(getDriverAdminAnnouncements() > 0)
    @foreach(getDriverAdminAnnouncements() as $driverAdminAnnouncement)
        <div class="alert dispatch-pro-announcements" role="alert" style="background-color: {{ $driverAdminAnnouncement->bg_color }}">
            @if($driverAdminAnnouncement->sticky == '0')
                <button type="button" class="close alert-close" data-dismiss="alert" aria-label="Close" data-id="{{ $driverAdminAnnouncement->id }}">
                    <span aria-hidden="true">&times;</span>
                </button>
            @endif
            <h6>
                <a href="{{ route('driver.admin.compel.announcement.show', base64Encode($driverAdminAnnouncement->id)) }}" target="_blank">
                    {{ date('m/d/Y H:i', strtotime($driverAdminAnnouncement->created_at)) }} - {{ $driverAdminAnnouncement->name ?? '' }}
                </a>
            </h6>
            <hr/>
            {!! $driverAdminAnnouncement->description ?? '' !!}
        </div>
    @endforeach
@endif
