<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title> @yield('title') </title>
    {{-- style --}}
        @include('managerTheme.style')
        @yield('style')
    {{-- style --}}
</head>
<body cz-shortcut-listen="true">

    {{-- header --}}
        @include('managerTheme.header')
    {{-- header --}}

    {{-- sidebar --}}
        @include('managerTheme.sidebar')
    {{-- sidebar --}}

    {{-- sidebar open --}}
        @include('managerTheme.sidebarOpen')
    {{-- sidebar open --}}

    {{-- content --}}
        @yield('content')
    {{-- content --}}

    {{-- script --}}
        @include('managerTheme.script')
        @yield('script')
    {{-- script --}}
    
    {{-- alert --}}
        @include('managerTheme.alert')
    {{-- alert --}}
</body>
</html>