

<?php $__env->startSection('title'); ?>
    Dispatch Hub
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/select2.min.css')); ?>">
    
    <style>
        .viewReason {
            color: #305F9C;
            font-size: 18px;
        }
        .prevLeft {
            position: relative;
            left: 0;
        }
        .prevRight {
            position: absolute;
            right: 0;
        }
        .table-blueBr tbody td {
            padding: 4px 8px !important;
        }
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }
        .modal-dishpatch label {
            font-size: 13px;
            line-height: 18px;
            letter-spacing: -0.31px;
            color: #342828;
            font-weight: bold;
            margin-bottom: 0px;
            margin-top: 2px;
            padding-left: 5px;
        }
    </style>
    <style>
        .table-dishpatchHub .ui-widget {
            font-size: 14px;
            color: rgb(52 40 40 / 83%);
            border: 1px solid #97B8E3;
            width: 144px;
            height: 36px;
            padding: 3px 7px 4px 7px;
            border-radius: 10px;
            -moz-appearance: none;
            -webkit-appearance: none;
            appearance: none;
            background-size: auto;
            background: #fff no-repeat center right 10px;
        }
        .ui-menu-icons .ui-menu-item {
            padding-left: 1em !important;
        }
        option.avatar {
            background-repeat: no-repeat !important;
            padding-left: 20px;
        }
        .avatar .ui-icon {
            background-position: left top;
        }
        .ui-selectmenu-button .ui-button .ui-widget .ui-selectmenu-button-closed .ui-corner-all .ui-selectmenu-icon {
            rotate: 180deg;
        }
        .img-holder {
            position: relative;
            display: inline-block;
        }
        .img-holder p {
            top: 53%;
            left: 0;
            right: 0;
            position: absolute;
            transform: translate(0, -50%);
            text-align: center;
            color: #fff;
            text-shadow: 0 0 15px;
            font-size: 10px;
        }
        .btn-filter-applied {
            color: #fff !important;
            background-color: #FF6D10 !important;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    
    <div class="text-right dispatchHub-addBtn">
        <div class="dropdown dropdown-blue-theme btn-widget-2 dropleft">
            <a class="btn btn-blue dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false">
                Add Widget
            </a>
            <form class="dropdown-menu p-0">
                <div class="arrow">
                    <div class="dropdown-hedding">
                        <div>
                            <h6 class="">Select Widgets</h6>
                            <span>Select Up To 5</span>
                        </div>
                    </div>
                    <div class="dropdown-body">
                        <?php if(count($counterWidgetsList) > 0): ?>
                            <ul id="counterSortable">
                                <?php $__currentLoopData = $counterWidgetsList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $widgets): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li class="widgets-item drag-drop" data-index="<?php echo e($widgets['display_no']); ?>" data-name="<?php echo e($widgets['widget_name']); ?>">
                                        <div class="d-flex align-items-center justify-content-between">
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" id="chk_<?php echo e($loop->index); ?>" value="1" <?php echo e(($widgets['isActive'] == '1') ? 'checked' : ''); ?>>
                                                <label class="form-check-label" for="chk_<?php echo e($loop->index); ?>"><?php echo e($widgets['widget_name']); ?></label>
                                            </div>
                                            <img src="<?php echo e(asset($widgets['icon'])); ?>" class="img-fluid float-right" alt="">
                                        </div>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        <?php else: ?>
                            <h5 class="m-0 mt-3 text-center text-black font-weight-bold">No found widgets</h5>
                        <?php endif; ?>
                    </div>
                </div>
                <hr class="dropdown-divider">
                <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                    <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                    <?php if(count($counterWidgetsList) > 0): ?>
                        <button type="button" class="btn btn-blue btn-filter updateCounterFilter">Filter Selected</button>
                    <?php endif; ?>
                </div>
            </form>
        </div>
    </div>

    <div class="dispatchHubNew-block">
        <div class="row" id="dispatchHubCounterDiv" style="<?php echo e((count($counterWidgetsList) == 0) ? 'display: block;' : ''); ?>">
            <?php if(count($counterWidgetsList) > 0): ?>
                <?php $__currentLoopData = $counterWidgetsList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $widgets): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if($widgets['isActive'] == '1'): ?>
                        <div class="col-xl-3 col-md-4 col-sm-6">
                            <div class="dispatchHubNew-box">
                                <div>
                                    <h2><?php echo e($widgets['count']); ?></h2>
                                    <p><?php echo e($widgets['widget_name']); ?></p>
                                </div>
                                <div><img src="<?php echo e(asset($widgets['icon'])); ?>" alt="Icon"></div>
                            </div>
                        </div>
                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
                <h5 class="mb-5 mt-5 text-center text-black font-weight-bold">No found widgets</h5>
            <?php endif; ?>
        </div>
    </div>

    <div class="dispatchHubNew-btn">
        <ul class="cust-select-2">
            <li>
                <div class="dropdown">
                    <a class="btn btn-filter-applied d-none" href="javascript:void(0);" role="button" id="btnClearFilter"> Clear filters</a>
                </div>
            </li>
            <li>
                <div class="dropdown">
                    <a class="btn dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false" id="btnTeamFilter">
                        Team <img src="<?php echo e(asset('theme/images/team.svg')); ?>" class="" alt="Team" />
                    </a>
                    <form class="dropdown-menu p-0">
                        <div class="arrow">
                            <div class="dropdown-hedding">
                                <h6 class="">Select Team</h6>
                            </div>
                            <div class="dropdown-body">
                                <?php if(count(getTeamList()) > 0): ?>
                                    <ul>
                                        <li>
                                            <div class="d-flex align-items-center">
                                                <div class="form-check all-check">
                                                    <input class="form-check-input" type="checkbox" id="select_all_team" value="1">
                                                    <label class="form-check-label" for="select_all_team">Select All</label>
                                                </div>
                                            </div>
                                        </li>
                                        <?php $__currentLoopData = getTeamList(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $teamId => $teamName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="checkbox" id="team_<?php echo e($teamId); ?>" value="<?php echo e($teamId); ?>" <?php echo e((isset($filters['teamArr']) && in_array($teamId, $filters['teamArr']) ? 'checked' : '')); ?>>
                                                    <label class="form-check-label" for="team_<?php echo e($teamId); ?>"><?php echo e($teamName); ?></label>
                                                </div>
                                            </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                <?php else: ?>
                                    <h5 class="m-0 text-center text-black font-weight-bold">No found team</h5>
                                <?php endif; ?>
                            </div>
                        </div>
                        <hr class="dropdown-divider">
                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                            <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                            <?php if(count(getTeamList()) > 0): ?>
                                <button type="button" class="btn btn-blue btn-filter filterData">Filter Selected</button>
                            <?php endif; ?>
                        </div>
                    </form>
                </div>
            </li>
            <li>
                <div class="dropdown">
                    <a class="btn dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false" id="btnDispatcherFilter">
                        Dispatcher <img src="<?php echo e(asset('theme/images/headset.svg')); ?>" class="mr-2" alt="Dispatcher" />
                    </a>
                    <form class="dropdown-menu p-0">
                        <div class="arrow">
                            <div class="dropdown-hedding">
                                <h6 class="">Select Dispatcher</h6>
                            </div>
                            <div class="dropdown-body">
                                <?php if(count(getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id)) > 0): ?>
                                    <ul>
                                        <li>
                                            <div class="d-flex align-items-center">
                                                <div class="form-check all-check">
                                                    <input class="form-check-input" type="checkbox" id="select_all_dispatcher" value="1">
                                                    <label class="form-check-label" for="select_all_dispatcher">Select All</label>
                                                </div>
                                            </div>
                                        </li>
                                        <?php $__currentLoopData = getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dispatcherId => $dispatcherName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="checkbox" id="dispatcher_<?php echo e($dispatcherId); ?>" value="<?php echo e($dispatcherId); ?>" <?php echo e((isset($filters['dispatcherArr']) && in_array($dispatcherId, $filters['dispatcherArr']) ? 'checked' : '')); ?>>
                                                    <label class="form-check-label" for="dispatcher_<?php echo e($dispatcherId); ?>"><?php echo e($dispatcherName); ?></label>
                                                </div>
                                            </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                <?php else: ?>
                                    <h6 class="m-0 text-center">No found any dispatcher</h6>
                                <?php endif; ?>
                            </div>
                        </div>
                        <hr class="dropdown-divider">
                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                            <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                            <?php if(count(getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id)) > 0): ?>
                                <button type="button" class="btn btn-blue btn-filter filterData">Filter Selected</button>
                            <?php endif; ?>
                        </div>
                    </form>
                </div>
            </li>
            <li>
                <div class="dropdown">
                    <a class="btn dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false" id="btnEquipmentFilter">
                        Equipment <img src="<?php echo e(asset('theme/images/compliance-equipment.svg')); ?>" class="" alt="Equipment" />
                    </a>
                    <form class="dropdown-menu p-0">
                        <div class="arrow">
                            <div class="dropdown-hedding">
                                <h6 class="">Select Equipment</h6>
                            </div>
                            <div class="dropdown-body">
                                <?php if(count(getTrailerTypeList()) > 0): ?>
                                    <ul>
                                        <li>
                                            <div class="d-flex align-items-center">
                                                <div class="form-check all-check">
                                                    <input class="form-check-input" type="checkbox" id="select_all_equipment" value="1">
                                                    <label class="form-check-label" for="select_all_equipment">Select All</label>
                                                </div>
                                            </div>
                                        </li>
                                        <?php $__currentLoopData = getTrailerTypeList(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $equipmentId => $equipmentName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="checkbox" id="equipment_<?php echo e($equipmentId); ?>" value="<?php echo e($equipmentId); ?>" <?php echo e((isset($filters['equipmentArr']) && in_array($equipmentId, $filters['equipmentArr']) ? 'checked' : '')); ?>>
                                                    <label class="form-check-label" for="equipment_<?php echo e($equipmentId); ?>"><?php echo e($equipmentName); ?></label>
                                                </div>
                                            </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                <?php else: ?>
                                    <h6 class="m-0 text-center">No found any equipment</h6>
                                <?php endif; ?>
                            </div>
                        </div>
                        <hr class="dropdown-divider">
                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                            <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                            <?php if(count(getTrailerTypeList()) > 0): ?>
                                <button type="button" class="btn btn-blue btn-filter filterData">Filter Selected</button>
                            <?php endif; ?>
                        </div>
                    </form>
                </div>
            </li>
            <li>
                <div class="dropdown">
                    <a class="btn dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false" id="btnCarrierFilter">
                        Carrier <img src="<?php echo e(asset('theme/images/truck.svg')); ?>" class="" alt="Carrier" />
                    </a>
                    <form class="dropdown-menu p-0">
                        <div class="arrow">
                            <div class="dropdown-hedding">
                                <h6 class="">Select Carrier</h6>
                            </div>
                            <div class="dropdown-body">
                                <?php if(count(getCarrierList()) > 0): ?>
                                    <ul>
                                        <li>
                                            <div class="d-flex align-items-center">
                                                <div class="form-check all-check">
                                                    <input class="form-check-input" type="checkbox" id="select_all_carrier" value="1">
                                                    <label class="form-check-label" for="select_all_carrier">Select All</label>
                                                </div>
                                            </div>
                                        </li>
                                        <?php $__currentLoopData = getCarrierList(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $carrierId => $carrierName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="checkbox" id="carrier_<?php echo e($carrierId); ?>" value="<?php echo e($carrierId); ?>" <?php echo e((isset($filters['carrierArr']) && in_array($carrierId, $filters['carrierArr']) ? 'checked' : '')); ?>>
                                                    <label class="form-check-label" for="carrier_<?php echo e($carrierId); ?>"><?php echo e($carrierName); ?></label>
                                                </div>
                                            </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                <?php else: ?>
                                    <h6 class="m-0 text-center">No found any carrier</h6>
                                <?php endif; ?>
                            </div>
                        </div>
                        <hr class="dropdown-divider">
                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                            <button type="button" class="btn btn-outline-blue btn-cancel">Cancel</button>
                            <?php if(count(getCarrierList()) > 0): ?>
                                <button type="button" class="btn btn-blue btn-filter filterData">Filter Selected</button>
                            <?php endif; ?>
                        </div>
                    </form>
                </div>
            </li>
        </ul>
        <div class="d-inline-block">
            <div class="custom-control custom-switch-blue">
                <input type="checkbox" class="custom-control-input" name="mergeCompactView" id="mergeCompactView" value="1" <?php echo e((!is_null($mergeCompactView) && $mergeCompactView  == '1') ? 'checked' : ''); ?>>
                <label class="custom-control-label" for="mergeCompactView"></label>
            </div>
            <p>Merge - Compact View</p>
        </div>
    </div>

    <div class="accordion dispatchHubNew-accordion mb-0" id="listingSortable">
        
        <div class="card list-item" id="onHoldDiv" data-index="<?php echo e($listingOrder[0]['display_no'] ?? ''); ?>" data-name="<?php echo e($listingOrder[0]['name'] ?? ''); ?>">
            <div class="card-header" id="headingOne">
                <button class="hold mr-15" type="button" data-toggle="collapse" data-target="#one-collapse" aria-expanded="true" aria-controls="one-collapse">
                    
                    <?php echo e($listingOrder[0]['name'] ?? 'On Hold'); ?> <span id="totalOnHoldLoads"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button" id="clearAllfilter_table_dispatchhub1" class="btn btn-orange ml-2 clearAll filter_table_dispatchhub1 d-none" data-tab="on-hold-load-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_dispatchhub1 d-none" data-tab="on-hold-load-data-table"><i class="fa fa-refresh"></i> Refresh</a>

                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal1">Column</a>
                    <div class="drag-icon move"><img src="<?php echo e(asset('theme/images/drag-icon.svg')); ?>" alt="icon"></div>
                </div>
            </div>
            <div id="one-collapse" class="collapse show" aria-labelledby="headingOne">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub on-hold-load-data-table">
                            <thead>
                                <tr>
                                    <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($filed == 1 && isset(config('settings.table_dispatchhub1')[$key]['name'])): ?>
                                            <?php if(isset(config('settings.table_dispatchhub1')[$key]['searchBuilderType'])): ?>
                                                <?php if( config('settings.table_dispatchhub1')[$key]['searchBuilderType'] == 'string' ): ?>
                                                    <th><?php echo e(config('settings.table_dispatchhub1')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_dispatchhub1_<?php echo e($key); ?>_string" data-table="table1" data-modal="SearchByStringModal<?php echo e($key); ?>table1"></i></th>
                                                <?php elseif( config('settings.table_dispatchhub1')[$key]['searchBuilderType'] == 'date' ): ?>
                                                    <th><?php echo e(config('settings.table_dispatchhub1')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_dispatchhub1_<?php echo e($key); ?>_date" data-table="table1" data-modal="SearchByDateModal<?php echo e($key); ?>table1"></i></th>
                                                <?php elseif( config('settings.table_dispatchhub1')[$key]['searchBuilderType'] == 'status' ): ?>
                                                    <th><?php echo e(config('settings.table_dispatchhub1')[$key]['name']); ?> <i class="fa fa-filter table_dispatchhub1_<?php echo e($key); ?>_status columnFilter" data-table="table1" data-modal="SearchByStatusModal<?php echo e($key); ?>table1"></i></th>
                                                <?php endif; ?>
                                            <?php else: ?>
                                                <th><?php echo e(config('settings.table_dispatchhub1')[$key]['name']); ?></th>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tr>
                            </thead>
                            <tbody>
                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal1" tabindex="-1" role="dialog" aria-labelledby="exampleModal1Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    <?php echo Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')); ?>

                    <input type="hidden" name="table_id" value="dispatchhub1">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal1Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(isset(config('settings.table_dispatchhub1')[$key]['name'])): ?>
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type='hidden' value='0' name='field[<?php echo e($key); ?>]'>
                                                    <input class="form-check-input" type="checkbox" id="Check01<?php echo e($key); ?>" name="field[<?php echo e($key); ?>]" value="1" <?php if($filed==1): ?> checked <?php endif; ?>>
                                                    <label class="form-check-label" for="Check01<?php echo e($key); ?>"><?php echo e(config('settings.table_dispatchhub1')[$key]['name']); ?></label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                            
                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    <?php echo Form::close(); ?>

                </div>
            </div>
        </div>
        

        
        <div class="card list-item" id="availableDriversDiv" data-index="<?php echo e($listingOrder[1]['display_no'] ?? ''); ?>" data-name="<?php echo e($listingOrder[1]['name'] ?? ''); ?>">
            <div class="card-header" id="headingTwo">
                <button class="collapsed mr-15" type="button" data-toggle="collapse" data-target="#two-collapse" aria-expanded="false" aria-controls="two-collapse">
                    
                    <?php echo e($listingOrder[1]['name'] ?? 'Available Drivers'); ?> <span id="totalAvailableDrivers"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button" id="clearAllfilter_table_dispatchhub3" class="btn btn-orange ml-2 clearAll filter_table_dispatchhub3 d-none" data-tab="available-drivers-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_dispatchhub3 d-none" data-tab="available-drivers-data-table"><i class="fa fa-refresh"></i> Refresh</a>

                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal3">Column</a>
                    <div class="drag-icon move"><img src="<?php echo e(asset('theme/images/drag-icon.svg')); ?>" alt="icon"></div>
                </div>
            </div>
            <div id="two-collapse" class="collapse" aria-labelledby="headingTwo">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub table-avaDriver available-drivers-data-table">
                            <thead>
                            <tr>
                                <?php $__currentLoopData = $getField3; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($filed == 1 && isset(config('settings.table_dispatchhub3')[$key]['name'])): ?>
                                        <?php if(isset(config('settings.table_dispatchhub3')[$key]['searchBuilderType'])): ?>
                                            <?php if( config('settings.table_dispatchhub3')[$key]['searchBuilderType'] == 'string' ): ?>
                                                <th><?php echo e(config('settings.table_dispatchhub3')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_dispatchhub3_<?php echo e($key); ?>_string" data-table="table3" data-modal="SearchByStringModal<?php echo e($key); ?>table3"></i></th>
                                            <?php elseif( config('settings.table_dispatchhub3')[$key]['searchBuilderType'] == 'date' ): ?>
                                                <th><?php echo e(config('settings.table_dispatchhub3')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_dispatchhub3_<?php echo e($key); ?>_date" data-table="table3" data-modal="SearchByDateModal<?php echo e($key); ?>table3"></i></th>
                                            <?php elseif( config('settings.table_dispatchhub3')[$key]['searchBuilderType'] == 'status' ): ?>
                                                <th><?php echo e(config('settings.table_dispatchhub3')[$key]['name']); ?> <i class="fa fa-filter table_dispatchhub3_<?php echo e($key); ?>_status columnFilter" data-table="table3" data-modal="SearchByStatusModal<?php echo e($key); ?>table3"></i></th>
                                            <?php endif; ?>
                                        <?php else: ?>
                                            <th><?php echo e(config('settings.table_dispatchhub3')[$key]['name']); ?></th>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                            </thead>
                            <tbody>
                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal3" tabindex="-1" role="dialog" aria-labelledby="exampleModal3Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    <?php echo Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')); ?>

                    <input type="hidden" name="table_id" value="dispatchhub3">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal3Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                <?php $__currentLoopData = $getField3; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(isset(config('settings.table_dispatchhub3')[$key]['name'])): ?>
                                        <?php if(!in_array($key,$getField3Hide)): ?>
                                            <li class="ui-state-default">
                                                <div class="d-flex justify-content-between">
                                                    <div class="form-check">
                                                        <input type='hidden' value='0' name='field[<?php echo e($key); ?>]'>
                                                        <input class="form-check-input" type="checkbox" id="Check02<?php echo e($key); ?>" name="field[<?php echo e($key); ?>]" value="1" <?php if($filed==1): ?> checked <?php endif; ?>>
                                                        <label class="form-check-label" for="Check02<?php echo e($key); ?>"><?php echo e(config('settings.table_dispatchhub3')[$key]['name']); ?></label>
                                                    </div>
                                                    <i class="fa fa-align-justify drag-icon pt-1"></i>
                                                </div>
                                                
                                            </li>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    <?php echo Form::close(); ?>

                </div>
            </div>
        </div>
        

        
        <div class="card list-item" id="prePlannedLoadsDiv" data-index="<?php echo e($listingOrder[2]['display_no'] ?? ''); ?>" data-name="<?php echo e($listingOrder[2]['name'] ?? ''); ?>">
            <div class="card-header" id="headingThree">
                <button class="collapsed  mr-15" type="button" data-toggle="collapse" data-target="#three-collapse" aria-expanded="false" aria-controls="three-collapse">
                    
                    <?php echo e($listingOrder[2]['name'] ?? 'PrePlanned Loads'); ?> <span id="totalPlannedLoads"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button"  id="clearAllfilter_table_dispatchhub4" class="btn btn-orange ml-2 clearAll filter_table_dispatchhub4 d-none" data-tab="planned-load-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_dispatchhub4 d-none" data-tab="planned-load-data-table"><i class="fa fa-refresh"></i> Refresh</a>

                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal4">Column</a>
                    <div class="drag-icon move"><img src="<?php echo e(asset('theme/images/drag-icon.svg')); ?>" alt="icon"></div>
                </div>
            </div>
            <div id="three-collapse" class="collapse" aria-labelledby="headingThree">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub planned-load-data-table">
                            <thead>
                            <tr>
                                <?php $__currentLoopData = $getField4; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($filed == 1 && isset(config('settings.table_dispatchhub4')[$key]['name'])): ?>
                                        <?php if(isset(config('settings.table_dispatchhub4')[$key]['searchBuilderType'])): ?>
                                            <?php if( config('settings.table_dispatchhub4')[$key]['searchBuilderType'] == 'string' ): ?>
                                                <th><?php echo e(config('settings.table_dispatchhub4')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_dispatchhub4_<?php echo e($key); ?>_string" data-table="table4" data-modal="SearchByStringModal<?php echo e($key); ?>table4"></i></th>
                                            <?php elseif( config('settings.table_dispatchhub4')[$key]['searchBuilderType'] == 'date' ): ?>
                                                <th><?php echo e(config('settings.table_dispatchhub4')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_dispatchhub4_<?php echo e($key); ?>_date" data-table="table4" data-modal="SearchByDateModal<?php echo e($key); ?>table4"></i></th>
                                            <?php elseif( config('settings.table_dispatchhub4')[$key]['searchBuilderType'] == 'status' ): ?>
                                                <th class=" notsech"><?php echo e(config('settings.table_dispatchhub4')[$key]['name']); ?> <i class="fa fa-filter table_dispatchhub4_<?php echo e($key); ?>_status columnFilter" data-table="table4" data-modal="SearchByStatusModal<?php echo e($key); ?>table4"></i></th>
                                            <?php endif; ?>
                                        <?php else: ?>
                                            <th><?php echo e(config('settings.table_dispatchhub4')[$key]['name']); ?></th>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                            </thead>
                            <tbody>
                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal4" tabindex="-1" role="dialog" aria-labelledby="exampleModal4Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    <?php echo Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')); ?>

                    <input type="hidden" name="table_id" value="dispatchhub4">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal4Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                <?php $__currentLoopData = $getField4; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(isset(config('settings.table_dispatchhub4')[$key]['name'])): ?>
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type='hidden' value='0' name='field[<?php echo e($key); ?>]'>
                                                    <input class="form-check-input" type="checkbox" id="Check03<?php echo e($key); ?>" name="field[<?php echo e($key); ?>]" value="1" <?php if($filed==1): ?> checked <?php endif; ?>>
                                                    <label class="form-check-label" for="Check03<?php echo e($key); ?>"><?php echo e(config('settings.table_dispatchhub4')[$key]['name']); ?></label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                            
                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    <?php echo Form::close(); ?>

                </div>
            </div>
        </div>
        

        
        <div class="card list-item" id="inTransitDiv" data-index="<?php echo e($listingOrder[3]['display_no'] ?? ''); ?>" data-name="<?php echo e($listingOrder[3]['name'] ?? 'In Transit'); ?>">
            <div class="card-header" id="headingFour">
                <button class="collapsed  mr-15" type="button" data-toggle="collapse" data-target="#four-collapse" aria-expanded="false" aria-controls="four-collapse">
                    
                    <?php echo e($listingOrder[3]['name'] ?? 'In Transit'); ?> <span id="totalInTransitLoads"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button" id="clearAllfilter_table_dispatchhub2" class="btn btn-orange ml-2 clearAll filter_table_dispatchhub2 d-none" data-tab="in-transit-loads-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_dispatchhub2 d-none" data-tab="in-transit-loads-data-table"><i class="fa fa-refresh"></i> Refresh</a>

                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal2">Column</a>
                    <div class="drag-icon move"><img src="<?php echo e(asset('theme/images/drag-icon.svg')); ?>" alt="icon"></div>
                </div>
            </div>
            <div id="four-collapse" class="collapse" aria-labelledby="headingFour">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub in-transit-loads-data-table">
                            <thead>
                            <tr>
                                <?php $__currentLoopData = $getField2; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($filed == 1 && isset(config('settings.table_dispatchhub2')[$key]['name'])): ?>
                                        <?php if(isset(config('settings.table_dispatchhub2')[$key]['searchBuilderType'])): ?>
                                            <?php if( config('settings.table_dispatchhub2')[$key]['searchBuilderType'] == 'string' ): ?>
                                                <th><?php echo e(config('settings.table_dispatchhub2')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_dispatchhub2_<?php echo e($key); ?>_string" data-table="table2" data-modal="SearchByStringModal<?php echo e($key); ?>table2"></i></th>
                                            <?php elseif( config('settings.table_dispatchhub2')[$key]['searchBuilderType'] == 'date' ): ?>
                                                <th><?php echo e(config('settings.table_dispatchhub2')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_dispatchhub2_<?php echo e($key); ?>_date" data-table="table2" data-modal="SearchByDateModal<?php echo e($key); ?>table2"></i></th>
                                            <?php elseif( config('settings.table_dispatchhub2')[$key]['searchBuilderType'] == 'status' ): ?>
                                                <th class=" notsech"><?php echo e(config('settings.table_dispatchhub2')[$key]['name']); ?> <i class="fa fa-filter table_dispatchhub2_<?php echo e($key); ?>_status columnFilter" data-table="table2" data-modal="SearchByStatusModal<?php echo e($key); ?>table2"></i></th>
                                            <?php endif; ?>
                                        <?php else: ?>
                                            <th><?php echo e(config('settings.table_dispatchhub2')[$key]['name']); ?></th>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                            </thead>
                            <tbody>
                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal2" tabindex="-1" role="dialog" aria-labelledby="exampleModal2Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    <?php echo Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')); ?>

                    <input type="hidden" name="table_id" value="dispatchhub2">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal2Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                <?php $__currentLoopData = $getField2; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(isset(config('settings.table_dispatchhub2')[$key]['name'])): ?>
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type='hidden' value='0' name='field[<?php echo e($key); ?>]'>
                                                    <input class="form-check-input" type="checkbox" id="Check205<?php echo e($key); ?>" name="field[<?php echo e($key); ?>]" value="1" <?php if($filed==1): ?> checked <?php endif; ?>>
                                                    <label class="form-check-label" for="Check205<?php echo e($key); ?>"><?php echo e(config('settings.table_dispatchhub2')[$key]['name']); ?></label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                            
                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    <?php echo Form::close(); ?>

                </div>
            </div>
        </div>
        

        
        <div class="card list-item" id="availableLoadsDiv" data-index="<?php echo e($listingOrder[4]['display_no'] ?? ''); ?>" data-name="<?php echo e($listingOrder[4]['name'] ?? 'Available Loads'); ?>">
            <div class="card-header" id="headingFive">
                <button class="collapsed  mr-15" type="button" data-toggle="collapse" data-target="#five-collapse" aria-expanded="false" aria-controls="five-collapse">
                    
                    <?php echo e($listingOrder[4]['name'] ?? 'Available Loads'); ?> <span id="totalAvailableLoads"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button" id="clearAllfilter_table_dispatchhub5" class="btn btn-orange ml-2 clearAll filter_table_dispatchhub5 d-none" data-tab="available-load-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_dispatchhub5 d-none" data-tab="available-load-data-table"><i class="fa fa-refresh"></i> Refresh</a>

                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal5">Column</a>
                    <div class="drag-icon move"><img src="<?php echo e(asset('theme/images/drag-icon.svg')); ?>" alt="icon"></div>
                </div>
            </div>
            <div id="five-collapse" class="collapse" aria-labelledby="headingFive">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub available-load-data-table">
                            <thead>
                            <tr>
                                <?php $__currentLoopData = $getField5; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($filed == 1 && isset(config('settings.table_dispatchhub5')[$key]['name'])): ?>
                                        <?php if(isset(config('settings.table_dispatchhub5')[$key]['searchBuilderType'])): ?>
                                            <?php if( config('settings.table_dispatchhub5')[$key]['searchBuilderType'] == 'string' ): ?>
                                                <th><?php echo e(config('settings.table_dispatchhub5')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_dispatchhub5_<?php echo e($key); ?>_string" data-table="table5" data-modal="SearchByStringModal<?php echo e($key); ?>table5"></i></th>
                                            <?php elseif( config('settings.table_dispatchhub5')[$key]['searchBuilderType'] == 'date' ): ?>
                                                <th><?php echo e(config('settings.table_dispatchhub5')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_dispatchhub5_<?php echo e($key); ?>_date" data-table="table5" data-modal="SearchByDateModal<?php echo e($key); ?>table5"></i></th>
                                            <?php elseif( config('settings.table_dispatchhub5')[$key]['searchBuilderType'] == 'status' ): ?>
                                                <th class=" notsech"><?php echo e(config('settings.table_dispatchhub5')[$key]['name']); ?> <i class="fa fa-filter table_dispatchhub5_<?php echo e($key); ?>_status columnFilter" data-table="table5" data-modal="SearchByStatusModal<?php echo e($key); ?>table5"></i></th>
                                            <?php endif; ?>
                                        <?php else: ?>
                                            <th><?php echo e(config('settings.table_dispatchhub5')[$key]['name']); ?></th>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                            </thead>
                            <tbody>
                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal5" tabindex="-1" role="dialog" aria-labelledby="exampleModal5Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    <?php echo Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')); ?>

                    <input type="hidden" name="table_id" value="dispatchhub5">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal5Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                <?php $__currentLoopData = $getField5; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(isset(config('settings.table_dispatchhub5')[$key]['name'])): ?>
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type='hidden' value='0' name='field[<?php echo e($key); ?>]'>
                                                    <input class="form-check-input" type="checkbox" id="Check04<?php echo e($key); ?>" name="field[<?php echo e($key); ?>]" value="1" <?php if($filed==1): ?> checked <?php endif; ?>>
                                                    <label class="form-check-label" for="Check04<?php echo e($key); ?>"><?php echo e(config('settings.table_dispatchhub5')[$key]['name']); ?></label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                            
                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    <?php echo Form::close(); ?>

                </div>
            </div>
        </div>
        

        
        <div class="card list-item" id="allDispatchDiv" data-index="<?php echo e($listingOrder[5]['display_no'] ?? ''); ?>" data-name="<?php echo e($listingOrder[5]['name'] ?? 'All Dispatch'); ?>">
            <div class="card-header" id="headingSix">
                <button class="collapsed  mr-15" type="button" data-toggle="collapse" data-target="#six-collapse" aria-expanded="false" aria-controls="six-collapse">
                    
                    <?php echo e($listingOrder[5]['name'] ?? 'All Dispatch'); ?> <span id="totalAllDispatch"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button" id="clearAllfilter_table_dispatchhub7" class="btn btn-orange ml-2 clearAll filter_table_dispatchhub7 d-none" data-tab="all-dispatch-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_dispatchhub7 d-none" data-tab="all-dispatch-data-table"><i class="fa fa-refresh"></i> Refresh</a>

                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal7">Column</a>
                    <div class="drag-icon move"><img src="<?php echo e(asset('theme/images/drag-icon.svg')); ?>" alt="icon"></div>
                </div>
            </div>
            <div id="six-collapse" class="collapse" aria-labelledby="headingSix">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub all-dispatch-data-table">
                            <thead>
                            <tr>
                                <?php $__currentLoopData = $getField7; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($filed == 1 && isset(config('settings.table_dispatchhub7')[$key]['name'])): ?>
                                        <?php if(isset(config('settings.table_dispatchhub7')[$key]['searchBuilderType'])): ?>
                                            <?php if( config('settings.table_dispatchhub7')[$key]['searchBuilderType'] == 'string' ): ?>
                                                <th><?php echo e(config('settings.table_dispatchhub7')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_dispatchhub7_<?php echo e($key); ?>_string" data-table="table7" data-modal="SearchByStringModal<?php echo e($key); ?>table7"></i></th>
                                            <?php elseif( config('settings.table_dispatchhub7')[$key]['searchBuilderType'] == 'date' ): ?>
                                                <th><?php echo e(config('settings.table_dispatchhub7')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_dispatchhub7_<?php echo e($key); ?>_date" data-table="table7" data-modal="SearchByDateModal<?php echo e($key); ?>table7"></i></th>
                                            <?php elseif( config('settings.table_dispatchhub7')[$key]['searchBuilderType'] == 'status' ): ?>
                                                <th class=" notsech"><?php echo e(config('settings.table_dispatchhub7')[$key]['name']); ?> <i class="fa fa-filter table_dispatchhub7_<?php echo e($key); ?>_status columnFilter" data-table="table7" data-modal="SearchByStatusModal<?php echo e($key); ?>table7"></i></th>
                                            <?php endif; ?>
                                        <?php else: ?>
                                            <th><?php echo e(config('settings.table_dispatchhub7')[$key]['name']); ?></th>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                            </thead>
                            <tbody>
                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal7" tabindex="-1" role="dialog" aria-labelledby="exampleModal7Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    <?php echo Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')); ?>

                    <input type="hidden" name="table_id" value="dispatchhub7">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal7Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                <?php $__currentLoopData = $getField7; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(isset(config('settings.table_dispatchhub7')[$key]['name'])): ?>
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type='hidden' value='0' name='field[<?php echo e($key); ?>]'>
                                                    <input class="form-check-input" type="checkbox" id="Check04<?php echo e($key); ?>" name="field[<?php echo e($key); ?>]" value="1" <?php if($filed==1): ?> checked <?php endif; ?>>
                                                    <label class="form-check-label" for="Check04<?php echo e($key); ?>"><?php echo e(config('settings.table_dispatchhub7')[$key]['name']); ?></label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                            
                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    <?php echo Form::close(); ?>

                </div>
            </div>
        </div>
        
    </div>

    
    
    <div class="modal fade" id="holdStatus" tabindex="-1" role="dialog" aria-labelledby="holdStatusLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-dialog-centered modal-dishpatch modal-holdStatus" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="holdStatusLabel">Hold Status</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form action="#" id="holdStatusForm">
                        <input type="hidden" id="loadId" value="" />
                        <input type="hidden" id="listName" value="" />
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label for="">On Hold Reason</label>
                                    <?php echo Form::select('reason_on_hold', ['' => 'Select Reason']+getNotificationReason(), null, ['class' => 'custom-select form-control', 'id' => 'reason_on_hold', 'required' => 'required']); ?>

                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label for="">Subcategory</label>
                                    <?php echo Form::select('reason_on_hold_sub_category', ['' => 'Select Subcategory'], null, ['class' => 'custom-select form-control', 'id' => 'reason_on_hold_sub_category']); ?>

                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group mb-0">
                                    <label for="reason_on_hold_notes">Notes</label>
                                    <textarea class="form-control" id="reason_on_hold_notes" rows="7" required></textarea>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr cancelOnHoldStatus" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-blue updateOnHoldStatus">Save</button>
                </div>
            </div>
        </div>
    </div>
    

    
    <div class="modal fade" id="viewReason" tabindex="-1" role="dialog" aria-labelledby="viewReasonLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-dishpatch modal-viewReason" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="viewReasonLabel">On Hold Reason</h5>
                </div>
                <div class="modal-body"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    

    
    <div class="modal fade" id="loadCompare" role="dialog" aria-labelledby="loadCompareLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-xl modal-dialog-centered modal-dishpatch modal-loadCompare" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="loadCompareLabel">Load Comparison View</h5>
                </div>
                <div class="modal-body"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    

    <?php echo $__env->make('companyAdmin.dispatchHub.modal.availableDriver', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    
    

    
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script src="<?php echo e(asset('theme/js/select2.full.min.js')); ?>"></script>

    

    <script type="text/javascript">
        function initializeStatusWidget() {
            $.widget( "custom.selectmenu", $.ui.selectmenu, {
                _setText: function( element, value ) {
                    if(value == "Pending"){
                        element.addClass('d-flex pl-2 pr-0').html('<img src="<?php echo getStatusCircleIcon('Pending'); ?>" alt="" /><span class="ml-1">'+ value +'</span>');
                    }else if(value == "Preplaned"){
                        element.addClass('d-flex pl-2 pr-0').html('<img src="<?php echo getStatusCircleIcon('Preplaned'); ?>" alt="" /><span class="ml-1">'+ value +'</span>');
                    }else if(value == "Confirmed"){
                        element.addClass('d-flex pl-2 pr-0').html('<img src="<?php echo getStatusCircleIcon('Confirmed'); ?>" alt="" /><span class="ml-1">'+ value +'</span>');
                    }else if(value == "In Transit"){
                        element.addClass('d-flex pl-2 pr-0').html('<img src="<?php echo getStatusCircleIcon('In Transit'); ?>" alt="" /><span class="ml-1">'+ value +'</span>');
                    }else if(value == "On Hold"){
                        element.addClass('d-flex pl-2 pr-0').html('<img src="<?php echo getStatusCircleIcon('On Hold'); ?>" alt="" /><span class="ml-1">'+ value +'</span>');
                    }else{
                        element.text(value);
                    }
                },
                _renderItem: function( ul, item ) {
                    let li = $( "<li>" ),
                        wrapper = $("<div>", { text: item.label } );
                    if (item.disabled) {
                        li.addClass( "ui-state-disabled" );
                    }
                    $("<span>", {
                        style: item.element.attr("data-style"),
                        "class": "ui-icon " + item.element.attr("data-class")
                    }).appendTo(wrapper);
                    return li.append(wrapper).appendTo(ul);
                }
            });

            $(".updateStatus").selectmenu({
                change: function( event, ui ) {
                    let status = ui.item.value;
                    let loadId = ui.item.element[0].attributes[3].value;
                    let dataTable = ui.item.element[0].attributes[4].value;

                    //console.log(status, loadId, dataTable);

                    if(status == 7){
                        $("#holdStatus").modal('show');
                        $("#listName").val(dataTable);
                        $("#loadId").val(loadId);
                    }else{
                        $.ajax({
                            type: 'POST',
                            url: '<?php echo route("company.admin.dispatch.update.load.status"); ?>',
                            data: {
                                loadId:loadId,
                                status:status
                            },
                            dataType: 'json',
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                        }).done(function(response) {
                            if(response.success){
                                toastr.success(response.message, 'Success Alert', { timeOut: 5000 });

                                $('.on-hold-load-data-table').DataTable().ajax.reload(null, false);
                                $('.planned-load-data-table').DataTable().ajax.reload(null, false);
                                $('.in-transit-loads-data-table').DataTable().ajax.reload(null, false);
                                $('.all-dispatch-data-table').DataTable().ajax.reload(null, false);
                            }else{
                                toastr.error(response.message, {
                                    timeOut: 5000
                                });
                            }
                        });
                    }

                    return false;
                }
            }).selectmenu("menuWidget").addClass("ui-menu-icons avatar");
        }
    </script>

    <script type="text/javascript">
        // On Hold Loads DataTable - START
        var onHoldLoadTable = $('.on-hold-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "<?php echo e(perPageView()); ?>",
            ordering: false,
            order: [],
            ajax: {
                url: "<?php echo e(route('company.admin.on.hold.loads.list')); ?>",
                data: function (d) {
                    d.team_id       = $('.planned-team-select').val(),
                    d.equipment     = $('.planned-equipment-select').val(),
                    d.dispatcher    = $('.planned-dispatcher-select').val()
                    <?php foreach($getField as $key => $filed): ?>
                    d.search_string_value_<?php echo e($key); ?> = $('#search_string_<?php echo e($key); ?>_table1').val();
                    d.search_string_name_<?php echo e($key); ?> = $('#stringKey<?php echo e($key); ?>_table1').val();
                    d.search_string_type_<?php echo e($key); ?> = $('#stringType<?php echo e($key); ?>_table1').val();
                    d.search_table_name_<?php echo e($key); ?> = $('#stringTableType<?php echo e($key); ?>_table1').val();
                    d.search_string_condition_<?php echo e($key); ?> = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                    d.search_string_sort_<?php echo e($key); ?> = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                    d.search_string_relation_table_<?php echo e($key); ?> = $('#stringRelationTable<?php echo e($key); ?>_table1').val();
                    d.search_string_col_name1_<?php echo e($key); ?> = $('#stringColName1<?php echo e($key); ?>_table1').val();
                    d.search_string_col_name2_<?php echo e($key); ?> = $('#stringColName2<?php echo e($key); ?>_table1').val();
                    d.search_string_static_<?php echo e($key); ?> = $('#stringStatic<?php echo e($key); ?>_table1').val();

                    d.search_string_having_<?php echo e($key); ?> = $('#stringHaving<?php echo e($key); ?>_table1').val();

                    d.search_date_from_value_<?php echo e($key); ?> = $('#search_date_<?php echo e($key); ?>_table1').val();
                    d.search_date_to_value_<?php echo e($key); ?> = $('#search_date_end_<?php echo e($key); ?>_table1').val();
                    d.search_date_name_<?php echo e($key); ?> = $('#dateKey<?php echo e($key); ?>_table1').val();
                    d.search_date_type_<?php echo e($key); ?> = $('#dateType<?php echo e($key); ?>_table1').val();
                    d.search_date_table_name_<?php echo e($key); ?> = $('#dateTableType<?php echo e($key); ?>_table1').val();
                    d.search_date_condition_<?php echo e($key); ?> = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                    d.search_date_sort_<?php echo e($key); ?> = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();

                    <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?> = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                    <?php endforeach; ?>

                    d.search_status_condition_<?php echo e($key); ?> = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                    d.search_status_name_<?php echo e($key); ?> = $('#statusOrgColName<?php echo e($key); ?>').val();
                    d.search_status_table_name_<?php echo e($key); ?> = $('#statusTableType<?php echo e($key); ?>').val();
                    d.search_status_sort_<?php echo e($key); ?> = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                    d.search_status_sort_column_<?php echo e($key); ?> = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalOnHoldLoads").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalOnHoldLoads").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_dispatchhub1')[$key]['name'])): ?>
                            <?php if(config("settings.table_dispatchhub1")[$key]["orderable"] == 1 && config("settings.table_dispatchhub1")[$key]["searchable"] == 1): ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_dispatchhub1")[$key]["orderable"] == 1): ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_dispatchhub1")[$key]["searchable"] == 1): ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
            fnDrawCallback: function( oSettings ) {
                initializeStatusWidget();
            }
        });

        function onHoldLoadChildRows(rowData){
            let div = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
            $.ajax({
                url: '<?php echo route("company.admin.on.hold.loads.list.child"); ?>',
                data: {
                    rowData: rowData.child_content,
                },
                dataType: "json",
                success: function(response) {
                    if(response.success && response.childHtml != ""){
                        div.after($.parseHTML(response.childHtml))
                        div.remove();

                        initializeStatusWidget();
                    }else{
                        div.html('<p class="text-center">No data found</p>');
                    }
                },
                error: function () {
                    div.html('<p class="text-center">Something went wrong!</p>');
                }
            });

            return div;
        }

        $('.on-hold-load-data-table tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = onHoldLoadTable.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:first').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(onHoldLoadChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:first').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });
        // On Hold Loads DataTable - END

        // Available Drivers DataTable - START
        var availableDriversTable   = $('.available-drivers-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "<?php echo e(perPageView()); ?>",
            ordering: false,
            order: [],
            ajax: {
                url: "<?php echo e(route('company.admin.available.drivers.list')); ?>",
                data: function (d) {
                    d.team_id       = $('.available-drivers-team-select').val(),
                        d.equipment     = $('.available-drivers-equipment-select').val(),
                        d.dispatcher    = $('.available-drivers-dispatcher-select').val()
                    <?php foreach($getField3 as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?> = $('#search_string_<?php echo e($key); ?>_table3').val();
                    d.search_string_name_<?php echo e($key); ?> = $('#stringKey<?php echo e($key); ?>_table3').val();
                    d.search_string_type_<?php echo e($key); ?> = $('#stringType<?php echo e($key); ?>_table3').val();
                    d.search_table_name_<?php echo e($key); ?> = $('#stringTableType<?php echo e($key); ?>_table3').val();
                    d.search_string_condition_<?php echo e($key); ?> = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                    d.search_string_sort_<?php echo e($key); ?> = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                    d.search_string_relation_table_<?php echo e($key); ?> = $('#stringRelationTable<?php echo e($key); ?>_table3').val();
                    d.search_string_col_name1_<?php echo e($key); ?> = $('#stringColName1<?php echo e($key); ?>_table3').val();
                    d.search_string_col_name2_<?php echo e($key); ?> = $('#stringColName2<?php echo e($key); ?>_table3').val();
                    d.search_string_static_<?php echo e($key); ?> = $('#stringStatic<?php echo e($key); ?>_table3').val();
                    d.search_string_having_<?php echo e($key); ?> = $('#stringHaving<?php echo e($key); ?>_table3').val();
                    d.search_string_concatws_<?php echo e($key); ?> = $('#stringConcatws<?php echo e($key); ?>_table3').val();
                    d.search_string_orcol2_<?php echo e($key); ?> = $('#stringOrCol2<?php echo e($key); ?>_table3').val();
                    d.search_string_notnull_<?php echo e($key); ?> = $('#stringNotNull<?php echo e($key); ?>_table3').val();

                    d.search_date_from_value_<?php echo e($key); ?> = $('#search_date_<?php echo e($key); ?>').val();
                    d.search_date_to_value_<?php echo e($key); ?> = $('#search_date_end_<?php echo e($key); ?>').val();
                    d.search_date_name_<?php echo e($key); ?> = $('#dateKey<?php echo e($key); ?>').val();
                    d.search_date_type_<?php echo e($key); ?> = $('#dateType<?php echo e($key); ?>').val();
                    d.search_date_table_name_<?php echo e($key); ?> = $('#dateTableType<?php echo e($key); ?>').val();
                    d.search_date_condition_<?php echo e($key); ?> = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                    d.search_date_sort_<?php echo e($key); ?> = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?> = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                    <?php endforeach; ?>
                        d.search_status_condition_<?php echo e($key); ?> = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                    d.search_status_name_<?php echo e($key); ?> = $('#statusOrgColName<?php echo e($key); ?>').val();
                    d.search_status_table_name_<?php echo e($key); ?> = $('#statusTableType<?php echo e($key); ?>').val();
                    d.search_status_sort_<?php echo e($key); ?> = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                    d.search_status_sort_column_<?php echo e($key); ?> = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalAvailableDrivers").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalAvailableDrivers").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                    <?php foreach($getField3 as $key => $filed): ?>
                        <?php if($filed == 1): ?>
                            <?php if(isset(config('settings.table_dispatchhub3')[$key]['name'])): ?>
                                <?php if(config("settings.table_dispatchhub3")[$key]["orderable"] == 1 && config("settings.table_dispatchhub3")[$key]["searchable"] == 1): ?>
                                    { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                                <?php elseif(config("settings.table_dispatchhub3")[$key]["orderable"] == 1): ?>
                                    { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                                <?php elseif(config("settings.table_dispatchhub3")[$key]["searchable"] == 1): ?>
                                    { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                                <?php else: ?>
                                    { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endforeach; ?>
            ],
            createdRow: function (row, data, index) {
                $(row).attr('data-id', data.id);
            }
        });

        function availableDriversChildRows(rowData) {
            let div = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
            $.ajax({
                url: '<?php echo route("company.admin.available.drivers.list.child"); ?>',
                data: {
                    rowData: rowData.child_content,
                },
                dataType: "json",
                success: function(response) {
                    if(response.success && response.childHtml != ""){
                        div.after($.parseHTML(response.childHtml))
                        div.remove();
                    }else{
                        div.html('<p class="text-center">No data found</p>');
                    }
                },
                error: function () {
                    div.html('<p class="text-center">Something went wrong!</p>');
                }
            });

            return div;
        }

        $('.available-drivers-data-table tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = availableDriversTable.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
            } else {
                row.child(availableDriversChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
            }
        });
        // Available Drivers DataTable - END

        // Planned Loads DataTable - START
        var plannedLoadTable        = $('.planned-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "<?php echo e(perPageView()); ?>",
            ordering: false,
            order: [],
            ajax: {
                url: "<?php echo e(route('company.admin.planned.loads.list')); ?>",
                data: function (d) {
                    d.team_id       = $('.planned-team-select').val(),
                    d.equipment     = $('.planned-equipment-select').val(),
                    d.dispatcher    = $('.planned-dispatcher-select').val()
                    <?php foreach($getField4 as $key => $filed): ?>
                    d.search_string_value_<?php echo e($key); ?> = $('#search_string_<?php echo e($key); ?>_table4').val();
                    d.search_string_name_<?php echo e($key); ?> = $('#stringKey<?php echo e($key); ?>_table4').val();
                    d.search_string_type_<?php echo e($key); ?> = $('#stringType<?php echo e($key); ?>_table4').val();
                    d.search_table_name_<?php echo e($key); ?> = $('#stringTableType<?php echo e($key); ?>_table4').val();
                    d.search_string_condition_<?php echo e($key); ?> = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                    d.search_string_sort_<?php echo e($key); ?> = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                    d.search_string_relation_table_<?php echo e($key); ?> = $('#stringRelationTable<?php echo e($key); ?>_table4').val();
                    d.search_string_col_name1_<?php echo e($key); ?> = $('#stringColName1<?php echo e($key); ?>_table4').val();
                    d.search_string_col_name2_<?php echo e($key); ?> = $('#stringColName2<?php echo e($key); ?>_table4').val();
                    d.search_string_static_<?php echo e($key); ?> = $('#stringStatic<?php echo e($key); ?>_table4').val();
                    d.search_string_having_<?php echo e($key); ?> = $('#stringHaving<?php echo e($key); ?>_table4').val();
                    d.search_string_concatws_<?php echo e($key); ?> = $('#stringConcatws<?php echo e($key); ?>_table4').val();
                    d.search_string_orcol2_<?php echo e($key); ?> = $('#stringOrCol2<?php echo e($key); ?>_table4').val();
                    d.search_string_notnull_<?php echo e($key); ?> = $('#stringNotNull<?php echo e($key); ?>_table4').val();
                    d.search_date_from_value_<?php echo e($key); ?> = $('#search_date_<?php echo e($key); ?>_table4').val();
                    d.search_date_to_value_<?php echo e($key); ?> = $('#search_date_end_<?php echo e($key); ?>_table4').val();
                    d.search_date_name_<?php echo e($key); ?> = $('#dateKey<?php echo e($key); ?>_table4').val();
                    d.search_date_type_<?php echo e($key); ?> = $('#dateType<?php echo e($key); ?>_table4').val();
                    d.search_date_table_name_<?php echo e($key); ?> = $('#dateTableType<?php echo e($key); ?>_table4').val();
                    d.search_date_condition_<?php echo e($key); ?> = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                    d.search_date_sort_<?php echo e($key); ?> = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();
                    <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?> = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                    <?php endforeach; ?>
                    d.search_status_condition_<?php echo e($key); ?> = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                    d.search_status_name_<?php echo e($key); ?> = $('#statusOrgColName<?php echo e($key); ?>').val();
                    d.search_status_table_name_<?php echo e($key); ?> = $('#statusTableType<?php echo e($key); ?>').val();
                    d.search_status_sort_<?php echo e($key); ?> = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                    d.search_status_sort_column_<?php echo e($key); ?> = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalPlannedLoads").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalPlannedLoads").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                
                <?php foreach($getField4 as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_dispatchhub4')[$key]['name'])): ?>
                            <?php if(config("settings.table_dispatchhub4")[$key]["orderable"] == 1 && config("settings.table_dispatchhub4")[$key]["searchable"] == 1): ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_dispatchhub4")[$key]["orderable"] == 1): ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_dispatchhub4")[$key]["searchable"] == 1): ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
            createdRow: function(row, data, index) {
                if(data.load_trip_id != null){
                    if(TrimbleMaps.APIKey){
                        $.ajax({
                            type: 'GET',
                            url: "https://tripmanagement.alk.com/api/trip?tripId=" + data.load_trip_id,
                            dataType: 'json',
                            async: true,
                            headers: {
                                'Accept': 'application/json',
                                'Authorization': TrimbleMaps.APIKey
                            },
                            beforeSend: function() {
                                $(row).find('td').eq(<?php echo array_search('eta', array_keys($getField4)); ?>).html('loading...');
                            },
                            success: function(response) {
                                if(response.stops.length > 0){
                                    $format = ('<?php echo getTimeLayout(); ?>' == "m/d/Y h:i A") ? "MM/DD/YYYY hh:mm A" : "MM/DD/YYYY HH:mm";
                                    let etaDateTime = moment(response.stops[response.stops.length - 1].currentETA).tz('<?php echo getTimeZone(); ?>').format($format);
                                    $(row).find('td').eq(<?php echo array_search('eta', array_keys($getField4)); ?>).html(etaDateTime);
                                }
                            },
                        });
                    }
                }
            },
            fnDrawCallback: function( oSettings ) {
                initializeStatusWidget();
            }
        });

        function plannedLoadChildRows(rowData) {
            let div = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
            $.ajax({
                url: '<?php echo route("company.admin.planned.loads.list.child"); ?>',
                data: {
                    rowData: rowData.child_content,
                },
                dataType: "json",
                success: function(response) {
                    if(response.success && response.childHtml != ""){
                        div.after($.parseHTML(response.childHtml))
                        div.remove();

                        initializeStatusWidget();
                    }else{
                        div.html('<p class="text-center">No data found</p>');
                    }
                },
                error: function () {
                    div.html('<p class="text-center">Something went wrong!</p>');
                }
            });

            return div;
        }

        $('.planned-load-data-table tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = plannedLoadTable.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:first').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(plannedLoadChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:first').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });
        // Planned Loads DataTable - END

        // In Transit Loads DataTable - START
        var inTransitLoadTable      = $('.in-transit-loads-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "<?php echo e(perPageView()); ?>",
            ordering: false,
            order: [],
            ajax: {
                url: "<?php echo e(route('company.admin.in.transit.loads.list')); ?>",
                data: function (d) {
                    d.team_id       = $('.in-transit-team-select').val(),
                        d.equipment     = $('.in-transit-equipment-select').val(),
                        d.dispatcher    = $('.in-transit-dispatcher-select').val()
                    <?php foreach($getField2 as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?> = $('#search_string_<?php echo e($key); ?>_table2').val();
                        d.search_string_name_<?php echo e($key); ?> = $('#stringKey<?php echo e($key); ?>_table2').val();
                        d.search_string_type_<?php echo e($key); ?> = $('#stringType<?php echo e($key); ?>_table2').val();
                        d.search_table_name_<?php echo e($key); ?> = $('#stringTableType<?php echo e($key); ?>_table2').val();
                        d.search_string_condition_<?php echo e($key); ?> = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_string_sort_<?php echo e($key); ?> = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_string_relation_table_<?php echo e($key); ?> = $('#stringRelationTable<?php echo e($key); ?>_table2').val();
                        d.search_string_col_name1_<?php echo e($key); ?> = $('#stringColName1<?php echo e($key); ?>_table2').val();
                        d.search_string_col_name2_<?php echo e($key); ?> = $('#stringColName2<?php echo e($key); ?>_table2').val();
                        d.search_string_static_<?php echo e($key); ?> = $('#stringStatic<?php echo e($key); ?>_table2').val();
                        d.search_string_having_<?php echo e($key); ?> = $('#stringHaving<?php echo e($key); ?>_table2').val();
                        d.search_string_concatws_<?php echo e($key); ?> = $('#stringConcatws<?php echo e($key); ?>_table2').val();
                        d.search_string_orcol2_<?php echo e($key); ?> = $('#stringOrCol2<?php echo e($key); ?>_table2').val();
                        d.search_string_notnull_<?php echo e($key); ?> = $('#stringNotNull<?php echo e($key); ?>_table2').val();

                        d.search_date_from_value_<?php echo e($key); ?> = $('#search_date_<?php echo e($key); ?>_table2').val();
                        d.search_date_to_value_<?php echo e($key); ?> = $('#search_date_end_<?php echo e($key); ?>_table2').val();
                        d.search_date_name_<?php echo e($key); ?> = $('#dateKey<?php echo e($key); ?>_table2').val();
                        d.search_date_type_<?php echo e($key); ?> = $('#dateType<?php echo e($key); ?>_table2').val();
                        d.search_date_table_name_<?php echo e($key); ?> = $('#dateTableType<?php echo e($key); ?>_table2').val();
                        d.search_date_condition_<?php echo e($key); ?> = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                        d.search_date_sort_<?php echo e($key); ?> = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?> = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                        <?php endforeach; ?>
                        d.search_status_condition_<?php echo e($key); ?> = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                        d.search_status_name_<?php echo e($key); ?> = $('#statusOrgColName<?php echo e($key); ?>').val();
                        d.search_status_table_name_<?php echo e($key); ?> = $('#statusTableType<?php echo e($key); ?>').val();
                        d.search_status_sort_<?php echo e($key); ?> = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_status_sort_column_<?php echo e($key); ?> = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalInTransitLoads").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalInTransitLoads").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                
                <?php foreach($getField2 as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_dispatchhub2')[$key]['name'])): ?>
                            <?php if(config("settings.table_dispatchhub2")[$key]["orderable"] == 1 && config("settings.table_dispatchhub2")[$key]["searchable"] == 1): ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_dispatchhub2")[$key]["orderable"] == 1): ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_dispatchhub2")[$key]["searchable"] == 1): ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ],
            fnDrawCallback: function( oSettings ) {
                initializeStatusWidget();
            },
            createdRow: function(row, data, index) {
                if(data.load_trip_id != null){
                    if(TrimbleMaps.APIKey) {
                        $.ajax({
                            type: 'GET',
                            url: "https://tripmanagement.alk.com/api/trip?tripId=" + data.load_trip_id,
                            dataType: 'json',
                            async: true,
                            headers: {
                                'Accept': 'application/json',
                                'Authorization': TrimbleMaps.APIKey
                            },
                            beforeSend: function () {
                                $(row).find('td').eq(<?php echo array_search('eta', array_keys($getField2)); ?>).html('loading...');
                            },
                            success: function (response) {
                                if (response.stops.length > 0) {
                                    $format = ('<?php echo getTimeLayout(); ?>' == "m/d/Y h:i A") ? "MM/DD/YYYY hh:mm A" : "MM/DD/YYYY HH:mm";
                                    let etaDateTime = moment(response.stops[response.stops.length - 1].currentETA).tz('<?php echo getTimeZone(); ?>').format($format);
                                    $(row).find('td').eq(<?php echo array_search('eta', array_keys($getField2)); ?>).html(etaDateTime);
                                }
                            },
                        });
                    }
                }
            }
        });

        function inTransitLoadChildRows(rowData) {
            let div = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
            $.ajax({
                url: '<?php echo route("company.admin.in.transit.loads.list.child"); ?>',
                data: {
                    rowData: rowData.child_content,
                },
                dataType: "json",
                success: function(response) {
                    if(response.success && response.childHtml != ""){
                        div.after($.parseHTML(response.childHtml))
                        div.remove();

                        initializeStatusWidget();
                    }else{
                        div.html('<p class="text-center">No data found</p>');
                    }
                },
                error: function () {
                    div.html('<p class="text-center">Something went wrong!</p>');
                }
            });

            return div;
        }

        $('.in-transit-loads-data-table tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = inTransitLoadTable.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:first').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(inTransitLoadChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:first').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });
        // In Transit Loads DataTable - END

        // Available Loads DataTable - START
        var availableLoadTable      = $('.available-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "<?php echo e(perPageView()); ?>",
            ordering: false,
            order: [],
            ajax: {
                url: "<?php echo e(route('company.admin.available.loads.list')); ?>",
                data: function (d) {
                    d.team_id       = $('.available-load-team-select').val(),
                    d.equipment     = $('.available-load-equipment-select').val(),
                    d.dispatcher    = $('.available-load-dispatcher-select').val()
                    <?php foreach($getField5 as $key => $filed): ?>
                    d.search_string_value_<?php echo e($key); ?> = $('#search_string_<?php echo e($key); ?>_table5').val();
                    d.search_string_name_<?php echo e($key); ?> = $('#stringKey<?php echo e($key); ?>_table5').val();
                    d.search_string_type_<?php echo e($key); ?> = $('#stringType<?php echo e($key); ?>_table5').val();
                    d.search_table_name_<?php echo e($key); ?> = $('#stringTableType<?php echo e($key); ?>_table5').val();
                    d.search_string_condition_<?php echo e($key); ?> = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                    d.search_string_sort_<?php echo e($key); ?> = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                    d.search_string_relation_table_<?php echo e($key); ?> = $('#stringRelationTable<?php echo e($key); ?>_table5').val();
                    d.search_string_col_name1_<?php echo e($key); ?> = $('#stringColName1<?php echo e($key); ?>_table5').val();
                    d.search_string_col_name2_<?php echo e($key); ?> = $('#stringColName2<?php echo e($key); ?>_table5').val();
                    d.search_string_static_<?php echo e($key); ?> = $('#stringStatic<?php echo e($key); ?>_table5').val();
                    d.search_string_having_<?php echo e($key); ?> = $('#stringHaving<?php echo e($key); ?>_table5').val();
                    d.search_date_from_value_<?php echo e($key); ?> = $('#search_date_<?php echo e($key); ?>_table5').val();
                    d.search_date_to_value_<?php echo e($key); ?> = $('#search_date_end_<?php echo e($key); ?>_table5').val();
                    d.search_date_name_<?php echo e($key); ?> = $('#dateKey<?php echo e($key); ?>_table5').val();
                    d.search_date_type_<?php echo e($key); ?> = $('#dateType<?php echo e($key); ?>_table5').val();
                    d.search_date_table_name_<?php echo e($key); ?> = $('#dateTableType<?php echo e($key); ?>_table5').val();
                    d.search_date_condition_<?php echo e($key); ?> = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                    d.search_date_sort_<?php echo e($key); ?> = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();
                    <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                        d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?> = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                    <?php endforeach; ?>
                    d.search_status_condition_<?php echo e($key); ?> = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                    d.search_status_name_<?php echo e($key); ?> = $('#statusOrgColName<?php echo e($key); ?>').val();
                    d.search_status_table_name_<?php echo e($key); ?> = $('#statusTableType<?php echo e($key); ?>').val();
                    d.search_status_sort_<?php echo e($key); ?> = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                    d.search_status_sort_column_<?php echo e($key); ?> = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalAvailableLoads").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalAvailableLoads").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                
                <?php foreach($getField5 as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_dispatchhub5')[$key]['name'])): ?>
                            <?php if(config("settings.table_dispatchhub5")[$key]["orderable"] == 1 && config("settings.table_dispatchhub5")[$key]["searchable"] == 1): ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_dispatchhub5")[$key]["orderable"] == 1): ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_dispatchhub5")[$key]["searchable"] == 1): ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });
        // Available Loads DataTable - END

        // All Dispatch - START
        var allDispatchLoadTable      = $('.all-dispatch-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "<?php echo e(perPageView()); ?>",
            ordering: false,
            order: [],
            ajax: {
                url: "<?php echo e(route('company.admin.all.dispatch.loads.list')); ?>",
                data: function (d) {
                        d.team_id       = $('.in-transit-team-select').val(),
                        d.equipment     = $('.in-transit-equipment-select').val(),
                        d.dispatcher    = $('.in-transit-dispatcher-select').val()
                    <?php foreach($getField7 as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?> = $('#search_string_<?php echo e($key); ?>_table7').val();
                        d.search_string_name_<?php echo e($key); ?> = $('#stringKey<?php echo e($key); ?>_table7').val();
                        d.search_string_type_<?php echo e($key); ?> = $('#stringType<?php echo e($key); ?>_table7').val();
                        d.search_table_name_<?php echo e($key); ?> = $('#stringTableType<?php echo e($key); ?>_table7').val();
                        d.search_string_condition_<?php echo e($key); ?> = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_string_sort_<?php echo e($key); ?> = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_string_relation_table_<?php echo e($key); ?> = $('#stringRelationTable<?php echo e($key); ?>_table7').val();
                        d.search_string_col_name1_<?php echo e($key); ?> = $('#stringColName1<?php echo e($key); ?>_table7').val();
                        d.search_string_col_name2_<?php echo e($key); ?> = $('#stringColName2<?php echo e($key); ?>_table7').val();
                        d.search_string_static_<?php echo e($key); ?> = $('#stringStatic<?php echo e($key); ?>_table7').val();
                        d.search_string_having_<?php echo e($key); ?> = $('#stringHaving<?php echo e($key); ?>_table7').val();
                        d.search_string_concatws_<?php echo e($key); ?> = $('#stringConcatws<?php echo e($key); ?>_table7').val();
                        d.search_string_orcol2_<?php echo e($key); ?> = $('#stringOrCol2<?php echo e($key); ?>_table7').val();
                        d.search_string_notnull_<?php echo e($key); ?> = $('#stringNotNull<?php echo e($key); ?>_table7').val();
                        d.search_date_from_value_<?php echo e($key); ?> = $('#search_date_<?php echo e($key); ?>_table7').val();
                        d.search_date_to_value_<?php echo e($key); ?> = $('#search_date_end_<?php echo e($key); ?>_table7').val();
                        d.search_date_name_<?php echo e($key); ?> = $('#dateKey<?php echo e($key); ?>_table7').val();
                        d.search_date_type_<?php echo e($key); ?> = $('#dateType<?php echo e($key); ?>_table7').val();
                        d.search_date_table_name_<?php echo e($key); ?> = $('#dateTableType<?php echo e($key); ?>_table7').val();
                        d.search_date_condition_<?php echo e($key); ?> = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                        d.search_date_sort_<?php echo e($key); ?> = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();
                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?> = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                        <?php endforeach; ?>
                        d.search_status_condition_<?php echo e($key); ?> = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                        d.search_status_name_<?php echo e($key); ?> = $('#statusOrgColName<?php echo e($key); ?>').val();
                        d.search_status_table_name_<?php echo e($key); ?> = $('#statusTableType<?php echo e($key); ?>').val();
                        d.search_status_sort_<?php echo e($key); ?> = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_status_sort_column_<?php echo e($key); ?> = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON) {
                        if (data.responseJSON.recordsTotal < 10) {
                            $("#totalAllDispatch").text('0' + data.responseJSON.recordsTotal); // Update Count
                        } else {
                            $("#totalAllDispatch").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                    
                    <?php foreach($getField7 as $key => $filed): ?>
                        <?php if($filed == 1): ?>
                            <?php if(isset(config('settings.table_dispatchhub7')[$key]['name'])): ?>
                                <?php if(config("settings.table_dispatchhub7")[$key]["orderable"] == 1 && config("settings.table_dispatchhub7")[$key]["searchable"] == 1): ?>
                                    { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                                <?php elseif(config("settings.table_dispatchhub7")[$key]["orderable"] == 1): ?>
                                    { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                                <?php elseif(config("settings.table_dispatchhub7")[$key]["searchable"] == 1): ?>
                                    { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                                <?php else: ?>
                                    { className: '<?php echo e($key); ?>', data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endforeach; ?>

            ],
            fnDrawCallback: function( oSettings ) {
                initializeStatusWidget();
            },
            createdRow: function(row, data, index) {
                if(data.load_trip_id != null){
                    if(TrimbleMaps.APIKey) {
                        $.ajax({
                            type: 'GET',
                            url: "https://tripmanagement.alk.com/api/trip?tripId=" + data.load_trip_id,
                            dataType: 'json',
                            async: true,
                            headers: {
                                'Accept': 'application/json',
                                'Authorization': TrimbleMaps.APIKey
                            },
                            beforeSend: function () {
                                $(row).find('td').eq(<?php echo array_search('eta', array_keys($getField7)); ?>).html('loading...');
                            },
                            success: function (response) {
                                if (response.stops.length > 0) {
                                    $format = ('<?php echo getTimeLayout(); ?>' == "m/d/Y h:i A") ? "MM/DD/YYYY hh:mm A" : "MM/DD/YYYY HH:mm";
                                    let etaDateTime = moment(response.stops[response.stops.length - 1].currentETA).tz('<?php echo getTimeZone(); ?>').format($format);
                                    $(row).find('td').eq(<?php echo array_search('eta', array_keys($getField7)); ?>).html(etaDateTime);
                                }
                            },
                        });
                    }
                }
            }
        });

        function allDispatchLoadChildRows(rowData) {
            let div = $('<div/>').addClass('mt-5').addClass('mb-5').html('<p class="text-center">Please wait loading...</p>');
            $.ajax({
                url: '<?php echo route("company.admin.all.dispatch.loads.list.child"); ?>',
                data: {
                    rowData: rowData.child_content,
                },
                dataType: "json",
                success: function(response) {
                    if(response.success && response.childHtml != ""){
                        div.after($.parseHTML(response.childHtml))
                        div.remove();

                        initializeStatusWidget();
                    }else{
                        div.html('<p class="text-center">No data found</p>');
                    }
                },
                error: function () {
                    div.html('<p class="text-center">Something went wrong!</p>');
                }
            });

            return div;
        }

        $('.all-dispatch-data-table tbody').on('click', '.details-control', function () {
            var tr = $(this).closest('tr');
            var row = allDispatchLoadTable.row(tr);

            if (row.child.isShown()) {
                row.child.hide();
                tr.removeClass('shown');
                tr.children('td:first').find('.fa-caret-down').removeClass('fa-caret-up');
            } else {
                row.child(allDispatchLoadChildRows(row.data())).show();
                tr.addClass('shown');
                tr.next('tr').children('td').addClass('p-0');
                tr.children('td:first').find('.fa-caret-down').addClass('fa-caret-up');
            }
        });
        // All Dispatch - END

        
    </script>

    

    
    <script type="text/javascript">
        function reArrangeIndexNo(type){
            var index = 1;

            if(type == 'counter'){
                $('#counterSortable .widgets-item').each(function (key, val){
                    var that = $(this);
                    that.attr('data-index', index);
                    index++;
                });
            }else if(type == 'listing'){
                $('#listingSortable .list-item').each(function (key, val){
                    var that = $(this);
                    that.attr('data-index', index);
                    index++;
                });
            }
        }

        function filterData(isReload, isMerge, teamArr, dispatcherArr, equipmentArr, carrierArr) {
            $.ajax({
                type: 'POST',
                url: '<?php echo route("company.admin.dispatch.filter.data"); ?>',
                data: {
                    isMerge: isMerge,
                    teamArr: teamArr,
                    dispatcherArr: dispatcherArr,
                    equipmentArr: equipmentArr,
                    carrierArr: carrierArr,
                },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
            }).done(function(response) {
                if(response.success){
                    if(isReload){
                        onHoldLoadTable.draw();
                        availableDriversTable.draw();
                        plannedLoadTable.draw();
                        inTransitLoadTable.draw();
                        availableLoadTable.draw();
                        allDispatchLoadTable.draw();
                    }
                    toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                }else{
                    toastr.error(response.message, {
                        timeOut: 5000
                    });
                }
            });
            return false;
        }

        function updateListingOrder(){
            let dataArr = [];
            $('#listingSortable .list-item').each(function (key, val){
                let that = $(this);
                let index = that.attr('data-index');
                let itemName = that.attr('data-name');
                dataArr.push({'displayNo': index, 'itemName': itemName});
            });

            $.ajax({
                type: 'POST',
                url: '<?php echo route("company.admin.dispatch.listing.order"); ?>',
                data: { dataArr: JSON.stringify(dataArr) },
                dataType: 'json',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
            }).done(function(response) {
                if(response.success){
                    toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                }else{
                    toastr.error(response.message, {
                        timeOut: 5000
                    });
                }
            });
            return false;
        }

        function viewLoadComparison(driverId){
            $.ajax({
                type: 'POST',
                url: "<?php echo e(route('company.admin.dispatch.load.comparison.view')); ?>",
                data: { id: driverId },
                dataType: 'json',
                async: true,
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                success: function(response) {
                    if(response.success){
                        $("#loadCompare .modal-body").html('').html(response.htmlView);
                        $("#loadCompare").modal('show');
                    }
                },
            });
        }

        function changeBtnOnFilter() {
            if($("[id^='team_']").filter(':checked').length > 0 || $("[id^='dispatcher_']").filter(':checked').length > 0 || $("[id^='equipment_']").filter(':checked').length > 0 || $("[id^='carrier_']").filter(':checked').length > 0){
                if($("[id^='team_']").filter(':checked').length > 0){
                    $("#btnTeamFilter").addClass('btn-filter-applied').find('img').attr('src', '<?php echo e(asset('theme/images/team-white.svg')); ?>');
                }else{
                    $("#btnTeamFilter").removeClass('btn-filter-applied').find('img').attr('src', '<?php echo e(asset('theme/images/team.svg')); ?>');
                }

                if($("[id^='dispatcher_']").filter(':checked').length > 0){
                    $("#btnDispatcherFilter").addClass('btn-filter-applied').find('img').attr('src', '<?php echo e(asset('theme/images/headset-white.svg')); ?>');
                }else{
                    $("#btnDispatcherFilter").removeClass('btn-filter-applied').find('img').attr('src', '<?php echo e(asset('theme/images/headset.svg')); ?>');
                }

                if($("[id^='equipment_']").filter(':checked').length > 0){
                    $("#btnEquipmentFilter").addClass('btn-filter-applied').find('img').attr('src', '<?php echo e(asset('theme/images/compliance-equipment-white.svg')); ?>');
                }else{
                    $("#btnEquipmentFilter").removeClass('btn-filter-applied').find('img').attr('src', '<?php echo e(asset('theme/images/compliance-equipment.svg')); ?>');
                }

                if($("[id^='carrier_']").filter(':checked').length > 0){
                    $("#btnCarrierFilter").addClass('btn-filter-applied').find('img').attr('src', '<?php echo e(asset('theme/images/truck-white.svg')); ?>');
                }else{
                    $("#btnCarrierFilter").removeClass('btn-filter-applied').find('img').attr('src', '<?php echo e(asset('theme/images/truck.svg')); ?>');
                }

                $("#btnClearFilter").removeClass('d-none');
            }else{
                if($("[id^='team_']").filter(':checked').length == 0){
                    $("#btnTeamFilter").removeClass('btn-filter-applied').find('img').attr('src', '<?php echo e(asset('theme/images/team.svg')); ?>');
                }

                if($("[id^='dispatcher_']").filter(':checked').length == 0){
                    $("#btnDispatcherFilter").removeClass('btn-filter-applied').find('img').attr('src', '<?php echo e(asset('theme/images/headset.svg')); ?>');
                }

                if($("[id^='equipment_']").filter(':checked').length == 0){
                    $("#btnEquipmentFilter").removeClass('btn-filter-applied').find('img').attr('src', '<?php echo e(asset('theme/images/compliance-equipment.svg')); ?>');
                }

                if($("[id^='carrier_']").filter(':checked').length == 0){
                    $("#btnCarrierFilter").removeClass('btn-filter-applied').find('img').attr('src', '<?php echo e(asset('theme/images/truck.svg')); ?>');
                }

                $("#btnClearFilter").addClass('d-none');
            }
        }

        $(function () {
            $(window).load(function () {
                changeBtnOnFilter();
            });

            $(".sortableList").sortable();

            // Available Driver View Modal
            $("body").on("click", ".show-available-driver", function() {
                var token       = $('meta[name="csrf-token"]').attr('content');
                var driver_id   = $(this).data('driver-id');
                $.ajax({
                    url: "/company-admin/dispatch-hub/available-driver/view",
                    method: "POST",
                    data: {
                        _token: token,
                        driver_id: driver_id
                    },
                    success: function(response) {
                        $('#availableDriverModal').find('.append-view').html(response.view);
                    }
                });
            });

            $(document).on("click", ".btn-filter, .btn-cancel", function (){
                $(this).parent().parent().parent().find('a').trigger('click');
            });

            //New Functionalitys
            $('#counterSortable').sortable({
                items: '.widgets-item:not(.fixed)',
                axis: "y",
                cursor: 'move',
                placeholder: "movable-placeholder", //placeholder: "ui-state-highlight",
                opacity: 0.7,
                revert: 300,
                delay: 150,
                disableSelection: true,
                start: function(e, ui) {
                    ui.placeholder.height(ui.helper.outerHeight());
                },
                stop: function(e, ui) {
                },
                update:function(e, ui) {
                    reArrangeIndexNo('counter');
                }
            });

            $(document).on("click", ".updateCounterFilter", function (){
                let dataArr = []; let chkChecked = 0;
                $('#counterSortable .widgets-item').each(function (key, val){
                    let that = $(this);
                    let index = that.attr('data-index');
                    let itemName = that.attr('data-name');
                    let isActive = that.find('.form-check-input').is(':checked');
                    if(isActive){
                        chkChecked++;
                    }
                    dataArr.push({'displayNo': index, 'itemName': itemName, 'isActive': (isActive) ? '1' : '0'});
                });

                if(chkChecked < 5 || chkChecked > 5){
                    Swal.fire({
                        title: "Error!",
                        html: "<h4>Please select up to 5 widget</h4>",
                        icon: "warning",
                        confirmButtonText: "&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;",
                    });
                }else{
                    $.ajax({
                        type: 'POST',
                        url: '<?php echo route("company.admin.dispatch.widget.data"); ?>',
                        data: { dataArr: JSON.stringify(dataArr) },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                    }).done(function(response) {
                        if(response.success){
                            let widgetData = response.widgetData;
                            $("#dispatchHubCounterDiv").html("").html(widgetData);
                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                        }else{
                            toastr.error(response.message, {
                                timeOut: 5000
                            });
                        }
                    });
                    return false;
                }
            });

            $('#listingSortable').sortable({
                items: '.list-item',
                handle: ".move",
                tolerance: "pointer",
                cursor: 'move',
                axis: "y",
                opacity: 0.7,
                revert: 300,
                delay: 150,
                disableSelection: true,
                placeholder: "movable-placeholder", //placeholder: "ui-state-highlight",
                start: function(e, ui) {
                    ui.placeholder.height(ui.helper.outerHeight());
                    $(ui.item).css("left", "115px");
                },
                stop: function(e, ui) {

                },
                update:function(e, ui) {
                    reArrangeIndexNo('listing');
                    updateListingOrder();
                }
            });

            // soring listing cards when page load
            $("#listingSortable .list-item").sort(function(a, b) {
                return $(a).attr("data-index") - $(b).attr("data-index");
            }).appendTo("#listingSortable");

            // Team Filter
            $(document).on("change", "#select_all_team", function (){
                if($(this).is(':checked')){
                    $('[id^="team_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="team_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='team_']", function() {
                if ($("[id^='team_']").filter(':checked').length === $("[id^='team_']").length) {
                    $("#select_all_team").prop('checked', true);
                    $("#select_all_team").parent().removeClass('select-all-dash');
                } else {
                    $("#select_all_team").prop('checked', false);

                    if($("[id^='team_']").filter(':checked').length > 0){
                        $("#select_all_team").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_team").parent().removeClass('select-all-dash');
                    }
                }
            });

            // Dispatcher Filter
            $(document).on("change", "#select_all_dispatcher", function (){
                if($(this).is(':checked')){
                    $('[id^="dispatcher_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="dispatcher_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='dispatcher_']", function (){
                if($("[id^='dispatcher_']").filter(':checked').length === $("[id^='dispatcher_']").length){
                    $("#select_all_dispatcher").prop('checked', true);
                    $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_dispatcher").prop('checked', false);

                    if($("[id^='dispatcher_']").filter(':checked').length > 0){
                        $("#select_all_dispatcher").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                    }
                }
            });

            // Equipment Filter
            $(document).on("change", "#select_all_equipment", function (){
                if($(this).is(':checked')){
                    $('[id^="equipment_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="equipment_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='equipment_']", function (){
                if($("[id^='equipment_']").filter(':checked').length === $("[id^='equipment_']").length){
                    $("#select_all_equipment").prop('checked', true);
                    $("#select_all_equipment").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_equipment").prop('checked', false);

                    if($("[id^='equipment_']").filter(':checked').length > 0){
                        $("#select_all_equipment").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_equipment").parent().removeClass('select-all-dash');
                    }
                }
            });

            //Carrier Filter
            $(document).on("change", "#select_all_carrier", function (){
                if($(this).is(':checked')){
                    $('[id^="carrier_"]').prop('checked', true);
                    $(this).parent().removeClass('select-all-dash');
                }else{
                    $('[id^="carrier_"]').prop('checked', false);
                }
            });
            $(document).on("change", "[id^='carrier_']", function (){
                if($("[id^='carrier_']").filter(':checked').length === $("[id^='carrier_']").length){
                    $("#select_all_carrier").prop('checked', true);
                    $("#select_all_carrier").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_carrier").prop('checked', false);

                    if($("[id^='carrier_']").filter(':checked').length > 0){
                        $("#select_all_carrier").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_carrier").parent().removeClass('select-all-dash');
                    }
                }
            });

            $(document).on("change", "#mergeCompactView", function (){
                let isMerge = ($("#mergeCompactView").is(':checked')) ? 1 : 0;

                changeBtnOnFilter();

                if(isMerge){
                    $("#onHoldDiv").addClass('d-none');
                    $("#prePlannedLoadsDiv").addClass('d-none');
                    $("#inTransitDiv").addClass('d-none');
                    $("#allDispatchDiv").removeClass('d-none');
                }else{
                    $("#onHoldDiv").removeClass('d-none');
                    $("#prePlannedLoadsDiv").removeClass('d-none');
                    $("#inTransitDiv").removeClass('d-none');
                    $("#allDispatchDiv").addClass('d-none');
                }

                let teamArr = [];
                $.each($("[id^='team_']:checked"), function() { teamArr.push($(this).val()); });

                let dispatcherArr = [];
                $.each($("[id^='dispatcher_']:checked"), function() { dispatcherArr.push($(this).val()); });

                let equipmentArr = [];
                $.each($("[id^='equipment_']:checked"), function() { equipmentArr.push($(this).val()); });

                let carrierArr = [];
                $.each($("[id^='carrier_']:checked"), function() { carrierArr.push($(this).val()); });

                filterData(false, isMerge, teamArr, dispatcherArr, equipmentArr, carrierArr);
            });
            $(document).on("click", ".filterData", function (){
                let isMerge = ($("#mergeCompactView").is(':checked')) ? 1 : 0;

                changeBtnOnFilter();

                let teamArr = [];
                $.each($("[id^='team_']:checked"), function() { teamArr.push($(this).val()); });

                let dispatcherArr = [];
                $.each($("[id^='dispatcher_']:checked"), function() { dispatcherArr.push($(this).val()); });

                let equipmentArr = [];
                $.each($("[id^='equipment_']:checked"), function() { equipmentArr.push($(this).val()); });

                let carrierArr = [];
                $.each($("[id^='carrier_']:checked"), function() { carrierArr.push($(this).val()); });

                filterData(true, isMerge, teamArr, dispatcherArr, equipmentArr, carrierArr);
            });

            $(document).on("click", ".addCoDriver", function (){
                $(this).addClass('d-none');
                $(this).next('.coDriverDiv').removeClass('d-none');
            });

            $(document).on("click", ".removeCoDriver", function (){
                if($(this).prev().prev().val() != ""){
                    $(this).prev().prev().val("").trigger('change');
                }
                $(this).parent().addClass('d-none');
                $(this).parent().prev('.addCoDriver').removeClass('d-none');
            });

            $(document).on("change", ".updateCoDriver", function (){
                let loadId = $(this).attr('data-load');
                let dataTabel = $(this).attr('data-tabel');
                let coDriver = $(this).val();

                $.ajax({
                    type: 'POST',
                    url: '<?php echo route("company.admin.dispatch.update.load.codriver"); ?>',
                    data: {
                        loadId:loadId,
                        coDriver:coDriver
                    },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                }).done(function(response) {
                    if(response.success){
                        //$('.'+dataTabel).DataTable().ajax.reload(null, false);

                        toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                    }else{
                        toastr.error(response.message, {
                            timeOut: 5000
                        });
                    }
                });
                return false;
            });

            

            $(document).on("click", ".updateOnHoldStatus", function (){
                let loadId = $("#loadId").val();
                let listName = $('#listName').val();
                let reasonOnHold = $('#reason_on_hold').val();
                let reasonOnHoldSubCategory = $('#reason_on_hold_sub_category').val();
                let reasonOnHoldNotes = $('#reason_on_hold_notes').val();

                if($("#holdStatusForm").parsley().validate()){
                    $.ajax({
                        type: 'POST',
                        url: '<?php echo route("company.admin.dispatch.update.load.status"); ?>',
                        data: {
                            isOnHoldPopup: true,
                            loadId: loadId,
                            reasonOnHold: reasonOnHold,
                            reasonOnHoldSubCategory: reasonOnHoldSubCategory,
                            reasonOnHoldNotes: reasonOnHoldNotes,
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                    }).done(function(response) {
                        if(response.success){
                            $("#holdStatus").modal('hide');
                            $('#loadId').val("");
                            $('#listName').val("");
                            $('#reason_on_hold').val("");
                            $('#reason_on_hold_sub_category').val("");
                            $('#reason_on_hold_notes').val("");

                            toastr.success(response.message, 'Success Alert', { timeOut: 5000 });

                            $('.'+listName).DataTable().ajax.reload(null, false);
                            $('.on-hold-load-data-table').DataTable().ajax.reload(null, false);
                        }else{
                            toastr.error(response.message, {
                                timeOut: 5000
                            });
                        }
                    });
                }
            });

            $(document).on("click", ".cancelOnHoldStatus", function (){
                let listName = $('#listName').val();
                $('.'+listName).DataTable().ajax.reload(null, false);

                $('#loadId').val("");
                $('#listName').val("");
                $('#reason_on_hold').val("");
                $('#reason_on_hold_sub_category').val("");
                $('#reason_on_hold_notes').val("");
            });

            $(document).on("click", ".viewReason", function (){
                $("#viewReason .modal-body").html('').html('<p class="font-weight-bold">'+ $(this).attr('data-reason') +'</p>');
                $("#viewReason").modal('show');
            });

            $(document).on("click", ".destroyOffer", function (){
                let url = $(this).attr('data-action');
                let driverId = $(this).attr('data-driver');

                if(url != ""){
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You won't be able to revert this!",
                        icon: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#3085d6",
                        cancelButtonColor: "#d33",
                        confirmButtonText: "Yes, delete it!",
                    }).then((result) => {
                        if (result.value) {
                            $.ajax({
                                type: 'DELETE',
                                url: url,
                                data: {},
                                dataType: 'json',
                                async: true,
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                success: function(response) {
                                    if(response.success){
                                        viewLoadComparison(driverId);
                                        toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                                        $('.available-drivers-data-table').DataTable().ajax.reload(null, false);
                                    }
                                },
                            });
                        }
                    });
                }
            });

            $(document).on("click", ".loadComparison", function (){
                let driverId = $(this).attr('data-driver');
                viewLoadComparison(driverId);
            });

            $(document).on("click", ".refreshDriverSamsaraInfo", function (){
                let parentTr = $(this).closest('tr');
                let driverId = parentTr.attr('data-id');

                $.ajax({
                    type: 'POST',
                    url: "<?php echo e(route('company.admin.dispatch.refresh.samsara.info')); ?>",
                    data: { id: driverId },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    success: function(response) {
                        if(response.success){
                            if(!$.isEmptyObject(response.data)){
                                if(response.data.duty_status == "sleeperBed"){
                                    parentTr.find('.duty_status').html('<span class="badge badge-theme">SB</span> ' + response.data.duty_status);
                                }else if(response.data.duty_status == "offDuty"){
                                    parentTr.find('.duty_status').html('<span class="badge badge-danger">OF</span> ' + response.data.duty_status);
                                }else if(response.data.duty_status == "onDuty"){
                                    parentTr.find('.duty_status').html('<span class="badge badge-themeOrange">on</span> ' + response.data.duty_status);
                                }else if(response.data.duty_status == "driving"){
                                    parentTr.find('.duty_status').html('<span class="badge badge-success">D</span> ' + response.data.duty_status);
                                }else{
                                    parentTr.find('.duty_status').html(response.data.duty_status);
                                }
                                parentTr.find('.drive').text(response.data.drive);
                                parentTr.find('.shift').text(response.data.shift);
                                parentTr.find('.cycle').text(response.data.cycle);
                                parentTr.find('.cycle_tom').text(response.data.cycle_tom);
                                parentTr.find('.time_until_break').text(response.data.time_in_unit_break);
                                parentTr.find('.updated_at').html(response.data.updated_at + '<a href="javascript:void(0);" class="refreshDriverSamsaraInfo ml-3" data-driver="'+ driverId +'">Refresh</a>');
                            }
                        }
                    }
                });
            });

            $(document).on("click", ".clearAll", function (){
                let tab = $(this).attr('data-tab');
                $('.'+ tab).DataTable().ajax.reload();
            });

            $(document).on("click", ".refreshAll", function (){
                let tab = $(this).attr('data-tab');
                $('.'+ tab).DataTable().ajax.reload(null, false);
            });

            $(document).on("click", "#btnClearFilter", function (){
                $("#select_all_team").prop('checked', false).parent().removeClass('select-all-dash');
                $('[id^="team_"]').prop('checked', false);

                $("#select_all_dispatcher").prop('checked', false).parent().removeClass('select-all-dash');
                $('[id^="dispatcher_"]').prop('checked', false);

                $("#select_all_equipment").prop('checked', false).parent().removeClass('select-all-dash');
                $('[id^="equipment_"]').prop('checked', false);

                $("#select_all_carrier").prop('checked', false).parent().removeClass('select-all-dash');
                $('[id^="carrier_"]').prop('checked', false);

                let isMerge = ($("#mergeCompactView").is(':checked')) ? 1 : 0;

                changeBtnOnFilter();

                filterData(true, isMerge, [], [], [], []);

                $("#btnClearFilter").addClass('d-none');
            });

            <?php if(!is_null($mergeCompactView)): ?>
                if($("#mergeCompactView").is(':checked')){
                    $("#onHoldDiv").addClass('d-none');
                    $("#prePlannedLoadsDiv").addClass('d-none');
                    $("#inTransitDiv").addClass('d-none');
                    $("#allDispatchDiv").removeClass('d-none');
                }else{
                    $("#onHoldDiv").removeClass('d-none');
                    $("#prePlannedLoadsDiv").removeClass('d-none');
                    $("#inTransitDiv").removeClass('d-none');
                    $("#allDispatchDiv").addClass('d-none');
                }
            <?php else: ?>
                $("#onHoldDiv").removeClass('d-none');
                $("#prePlannedLoadsDiv").removeClass('d-none');
                $("#inTransitDiv").removeClass('d-none');
                $("#allDispatchDiv").addClass('d-none');
            <?php endif; ?>

            <?php if(!empty($filters)): ?>
                let teamFilterCount = '<?php echo (isset($filters['teamArr'])) ? count($filters['teamArr']) : 0; ?>';
                let dispatcherFilterCount = '<?php echo (isset($filters['dispatcherArr'])) ? count($filters['dispatcherArr']) : 0; ?>';
                let equipmentFilterCount = '<?php echo (isset($filters['equipmentArr'])) ? count($filters['equipmentArr']) : 0; ?>';
                let carrierFilterCount = '<?php echo (isset($filters['carrierArr'])) ? count($filters['carrierArr']) : 0; ?>';

                if(teamFilterCount == $("[id^='team_']").length){
                    $("#select_all_team").prop('checked', true);
                    $("#select_all_team").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_team").prop('checked', false);

                    if($("[id^='team_']").filter(':checked').length > 0){
                        $("#select_all_team").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_team").parent().removeClass('select-all-dash');
                    }
                }

                if(dispatcherFilterCount == $("[id^='dispatcher_']").length){
                    $("#select_all_dispatcher").prop('checked', true);
                    $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_dispatcher").prop('checked', false);

                    if($("[id^='dispatcher_']").filter(':checked').length > 0){
                        $("#select_all_dispatcher").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                    }
                }

                if(equipmentFilterCount == $("[id^='equipment_']").length){
                    $("#select_all_equipment").prop('checked', true);
                    $("#select_all_equipment").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_equipment").prop('checked', false);

                    if($("[id^='equipment_']").filter(':checked').length > 0){
                        $("#select_all_equipment").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_equipment").parent().removeClass('select-all-dash');
                    }
                }

                if(carrierFilterCount == $("[id^='carrier_']").length){
                    $("#select_all_carrier").prop('checked', true);
                    $("#select_all_carrier").parent().removeClass('select-all-dash');
                }else{
                    $("#select_all_carrier").prop('checked', false);

                    if($("[id^='carrier_']").filter(':checked').length > 0){
                        $("#select_all_carrier").parent().addClass('select-all-dash');
                    }else{
                        $("#select_all_carrier").parent().removeClass('select-all-dash');
                    }
                }

                if(teamFilterCount == $("[id^='team_']").length && dispatcherFilterCount == $("[id^='dispatcher_']").length && equipmentFilterCount == $("[id^='equipment_']").length && carrierFilterCount == $("[id^='carrier_']").length){
                    $("#select_all_filter").prop('checked', true);
                    $("#select_all_filter").parent().removeClass('filter-select-all-dash');
                }else{
                    $("#select_all_filter").prop('checked', false);
                    $("#select_all_filter").parent().addClass('filter-select-all-dash');
                }
            <?php endif; ?>
        });
    </script>
    
<?php $__env->stopSection(); ?>

<?php $__env->startPush('after-scripts'); ?>
    <script src="<?php echo e(asset('theme/js/trimble.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/dispatchHub/index.blade.php ENDPATH**/ ?>