<?php
    $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
?>
<?php if($showtype == 'month'): ?>
    <h5 class="box-title">Monthly Performance Summary</h5>
    <div class="box-padding">
        <div class="filter-box">
            <div class="">
                <p>Total Monthly Revenue <span><?php echo e($fmt->formatCurrency($getLoadGrossRevenue, "USD")); ?></span></p>
                <p>Total Monthly Miles (Deadhead) <span><?php echo e($getLoadDeadheadMileage); ?></span></p>
                <p>Total Monthly Miles (Loaded) <span><?php echo e($getLoadLoadedMileage); ?></span></p>
                <p>Total Monthly Miles (Total) <span><?php echo e($getLoadTotalMileage); ?></span></p>

                <p>Average Revenue Per Day <span><?php echo e($fmt->formatCurrency($verageRevenuePerDay, "USD")); ?></span></p>
                <p>Average Miles Per Day (Deadhead) <span><?php echo e($AverageDeadheadMilePerDay); ?></span></p>
                <p>Average Miles Per Day (Loaded) <span><?php echo e($AverageLoadedMilePerDay); ?></span></p>
                <p>Average Miles Per Day (Total) <span><?php echo e($AverageTotalMilePerDay); ?></span></p>

                <p>Cent Per Mile (Loaded) <span><?php echo e($fmt->formatCurrency($CentLoadedPerMile, "USD")); ?></span></p>
                <p>Cent Per Mile (Total) <span><?php echo e($fmt->formatCurrency($CentTotalPerMile, "USD")); ?></span></p>

                <p>Monthly Target (% of $ Goal) <span><?php echo e($getDriverTargetRevenue); ?>%</span></p>
                <p>Monthly Occupancy Target <span><?php echo e($getDriverTargetOccupancy); ?>%</span></p>
            </div>
        </div>
    </div>
<?php endif; ?>

<?php if($showtype == 'year'): ?>
    <h5 class="box-title">Yearly Performance Summary</h5>
    <div class="box-padding">
        <div class="filter-box">
            <div class="">
                <p>Total Yearly Revenue <span><?php echo e($fmt->formatCurrency($getLoadGrossRevenue, "USD")); ?></span></p>
                <p>Total Yearly Miles (Deadhead) <span><?php echo e($getLoadDeadheadMileage); ?></span></p>
                <p>Total Yearly Miles (Loaded) <span><?php echo e($getLoadLoadedMileage); ?></span></p>
                <p>Total Yearly Mile (Total) <span><?php echo e($getLoadTotalMileage); ?></span></p>

                <p>Average Revenue Per Day <span><?php echo e($fmt->formatCurrency($verageRevenuePerDay, "USD")); ?></span></p>
                <p>Average Miles Per Day (Deadhead) <span><?php echo e($AverageDeadheadMilePerDay); ?></span></p>
                <p>Average Miles Per Day (Loaded) <span><?php echo e($AverageLoadedMilePerDay); ?></span></p>
                <p>Average Mile Per Day (Total) <span><?php echo e($AverageTotalMilePerDay); ?></span></p>

                <p>Cent Per Mile (Loaded) <span><?php echo e($fmt->formatCurrency($CentLoadedPerMile, "USD")); ?></span></p>
                <p>Cent Per Mile (Total) <span><?php echo e($fmt->formatCurrency($CentTotalPerMile, "USD")); ?></span></p>

                <p>Yearly Target (% of $ Goal) <span><?php echo e($getDriverTargetRevenue); ?>%</span></p>
                <p>Yearly Occupancy Target <span><?php echo e($getDriverTargetOccupancy); ?>%</span></p>
            </div>
        </div>
    </div>
<?php endif; ?>

<?php if($showtype == 'quarterly'): ?>
    <h5 class="box-title">Quarterly Performance Summary</h5>
    <div class="box-padding">
        <div class="filter-box">
            <div class="">
                <p>Total Quarterly Revenue <span><?php echo e($fmt->formatCurrency($getLoadGrossRevenue, "USD")); ?></span></p>
                <p>Total Quarterly Miles (Deadhead) <span><?php echo e($getLoadDeadheadMileage); ?></span></p>
                <p>Total Quarterly Miles (Loaded) <span><?php echo e($getLoadLoadedMileage); ?></span></p>
                <p>Total Quarterly Mile (Total) <span><?php echo e($getLoadTotalMileage); ?></span></p>

                <p>Average Revenue Per Day <span><?php echo e($fmt->formatCurrency($verageRevenuePerDay, "USD")); ?></span></p>
                <p>Average Miles Per Day (Deadhead) <span><?php echo e($AverageDeadheadMilePerDay); ?></span></p>
                <p>Average Miles Per Day (Loaded) <span><?php echo e($AverageLoadedMilePerDay); ?></span></p>
                <p>Average Mile Per Day (Total) <span><?php echo e($AverageTotalMilePerDay); ?></span></p>

                <p>Cent Per Mile (Loaded) <span><?php echo e($fmt->formatCurrency($CentLoadedPerMile, "USD")); ?></span></p>
                <p>Cent Per Mile (Total) <span><?php echo e($fmt->formatCurrency($CentTotalPerMile, "USD")); ?></span></p>

                <p>Quarterly Target (% of $ Goal) <span><?php echo e($getDriverTargetRevenue); ?>%</span></p>
                <p>Quarterly Occupancy Target <span><?php echo e($getDriverTargetOccupancy); ?>%</span></p>
            </div>
        </div>
    </div>
<?php endif; ?>

<?php if($showtype == 'weekly'): ?>
    <h5 class="box-title">Weekly Performance Summary</h5>
    <div class="box-padding">
        <div class="filter-box">
            <div class="">
                <p>Total Weekly Revenue <span><?php echo e($fmt->formatCurrency($getLoadGrossRevenue, "USD")); ?></span></p>
                <p>Total Weekly Miles (Deadhead) <span><?php echo e($getLoadDeadheadMileage); ?></span></p>
                <p>Total Weekly Miles (Loaded) <span><?php echo e($getLoadLoadedMileage); ?></span></p>
                <p>Total Weekly Mile (Total) <span><?php echo e($getLoadTotalMileage); ?></span></p>

                <p>Average Revenue Per Day <span><?php echo e($fmt->formatCurrency($verageRevenuePerDay, "USD")); ?></span></p>
                <p>Average Miles Per Day (Deadhead) <span><?php echo e($AverageDeadheadMilePerDay); ?></span></p>
                <p>Average Miles Per Day (Loaded) <span><?php echo e($AverageLoadedMilePerDay); ?></span></p>
                <p>Average Mile Per Day (Total) <span><?php echo e($AverageTotalMilePerDay); ?></span></p>

                <p>Cent Per Mile (Loaded) <span><?php echo e($fmt->formatCurrency($CentLoadedPerMile, "USD")); ?></span></p>
                <p>Cent Per Mile (Total) <span><?php echo e($fmt->formatCurrency($CentTotalPerMile, "USD")); ?></span></p>

                <p>Weekly Target (% of $ Goal) <span><?php echo e($getDriverTargetRevenue); ?>%</span></p>
                <p>Weekly Occupancy Target <span><?php echo e($getDriverTargetOccupancy); ?>%</span></p>
            </div>
        </div>
    </div>
<?php endif; ?>


<?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/occupancyCalendar/view/OccupancyCalendarPerformanceSummary.blade.php ENDPATH**/ ?>