

<?php $__env->startSection('title'); ?>
    ProRoutes
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/select2.min.css')); ?>">
    <style>
        .prevLeft {
            position: relative;
            left: 0;
        }
        .prevRight {
            position: absolute;
            right: 0;
        }
        .table-blueBr tbody td {
            padding: 4px 8px !important;
        }
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }
        .modal-dishpatch label {
            font-size: 13px;
            line-height: 18px;
            letter-spacing: -0.31px;
            color: #342828;
            font-weight: bold;
            margin-bottom: 0px;
            margin-top: 2px;
            padding-left: 5px;
        }
        .btn-blue {
            padding: 0.375rem 0.75rem;
        }
        .font-16 {
            font-size: 16px;
            color: inherit;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="text-right dispatchHub-addBtn">
        <a href="<?php echo e(route('company.admin.book.offer')); ?>" class="btn btn-blue" target="_blank"> Add Offer</a>
    </div>

    <div class="accordion dispatchHubNew-accordion mb-0" id="listingSortable">
        
        <div class="card list-item" id="offersDiv">
            <div class="card-header" id="headingOne">
                <button class="mr-15" type="button" data-toggle="collapse" data-target="#one-collapse" aria-expanded="true" aria-controls="one-collapse">
                    Offers <span id="totalOffers"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button" id="clearAllfilter_table_offers1" class="btn btn-orange ml-2 clearAll filter_table_offers1 d-none" data-tab="offers-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_offers1 d-none" data-tab="offers-data-table"><i class="fa fa-refresh"></i> Refresh</a>
                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal1">Column</a>
                </div>
            </div>
            <div id="one-collapse" class="collapse show" aria-labelledby="headingOne">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub offers-data-table">
                            <thead>
                            <tr>
                                <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($filed == 1 && isset(config('settings.table_offers1')[$key]['name'])): ?>
                                        <?php if(isset(config('settings.table_offers1')[$key]['searchBuilderType'])): ?>
                                            <?php if( config('settings.table_offers1')[$key]['searchBuilderType'] == 'string' ): ?>
                                                <th><?php echo e(config('settings.table_offers1')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_offers1_<?php echo e($key); ?>_string" data-table="table1" data-modal="SearchByStringModal<?php echo e($key); ?>table1"></i></th>
                                            <?php elseif( config('settings.table_offers1')[$key]['searchBuilderType'] == 'date' ): ?>
                                                <th><?php echo e(config('settings.table_offers1')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_offers1_<?php echo e($key); ?>_date" data-table="table1" data-modal="SearchByDateModal<?php echo e($key); ?>table1"></i></th>
                                            <?php elseif( config('settings.table_offers1')[$key]['searchBuilderType'] == 'status' ): ?>
                                                <th><?php echo e(config('settings.table_offers1')[$key]['name']); ?> <i class="fa fa-filter table_offers1_<?php echo e($key); ?>_status columnFilter" data-table="table1" data-modal="SearchByStatusModal<?php echo e($key); ?>table1"></i></th>
                                            <?php endif; ?>
                                        <?php else: ?>
                                            <th><?php echo e(config('settings.table_offers1')[$key]['name']); ?></th>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                            </thead>
                            <tbody>
                            
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal1" tabindex="-1" role="dialog" aria-labelledby="exampleModal1Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    <?php echo Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')); ?>

                    <input type="hidden" name="table_id" value="offers1">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal1Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(isset(config('settings.table_offers1')[$key]['name'])): ?>
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type='hidden' value='0' name='field[<?php echo e($key); ?>]'>
                                                    <input class="form-check-input" type="checkbox" id="Check01<?php echo e($key); ?>" name="field[<?php echo e($key); ?>]" value="1" <?php if($filed==1): ?> checked <?php endif; ?>>
                                                    <label class="form-check-label" for="Check01<?php echo e($key); ?>"><?php echo e(config('settings.table_offers1')[$key]['name']); ?></label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    <?php echo Form::close(); ?>

                </div>
            </div>
        </div>
        

        
        <div class="card list-item" id="favoritesDiv">
            <div class="card-header" id="headingTwo">
                <button class="collapsed mr-15" type="button" data-toggle="collapse" data-target="#two-collapse" aria-expanded="false" aria-controls="two-collapse">
                    Favorites <span id="totalFavorites"> 00</span>
                    <i class="fa fa-chevron-circle-down" aria-hidden="true"></i>
                </button>
                <div class="d-flex align-items-center">
                    <a type="button" id="clearAllfilter_table_offers2" class="btn btn-orange ml-2 clearAll filter_table_offers2 d-none" data-tab="favorites-data-table"> Clear filters</a>
                    <a type="button" class="btn btn-primary ml-2 refreshAll refresh_table_offers2 d-none" data-tab="favorites-data-table"><i class="fa fa-refresh"></i> Refresh</a>
                    <a href="javascript:void(0);" class="btn btn-blueTheme ml-2" data-toggle="modal" data-target="#exampleModal2">Column</a>
                </div>
            </div>
            <div id="two-collapse" class="collapse" aria-labelledby="headingTwo">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table m-0 table-blue table-dishpatchHub favorites-data-table">
                            <thead>
                            <tr>
                                <?php $__currentLoopData = $getField2; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($filed == 1 && isset(config('settings.table_offers2')[$key]['name'])): ?>
                                        <?php if(isset(config('settings.table_offers2')[$key]['searchBuilderType'])): ?>
                                            <?php if( config('settings.table_offers2')[$key]['searchBuilderType'] == 'string' ): ?>
                                                <th><?php echo e(config('settings.table_offers2')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_offers2_<?php echo e($key); ?>_string" data-table="table2" data-modal="SearchByStringModal<?php echo e($key); ?>table2"></i></th>
                                            <?php elseif( config('settings.table_offers2')[$key]['searchBuilderType'] == 'date' ): ?>
                                                <th><?php echo e(config('settings.table_offers2')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_offers2_<?php echo e($key); ?>_date" data-table="table2" data-modal="SearchByDateModal<?php echo e($key); ?>table2"></i></th>
                                            <?php elseif( config('settings.table_offers2')[$key]['searchBuilderType'] == 'status' ): ?>
                                                <th><?php echo e(config('settings.table_offers2')[$key]['name']); ?> <i class="fa fa-filter table_offers2_<?php echo e($key); ?>_status columnFilter" data-table="table2" data-modal="SearchByStatusModal<?php echo e($key); ?>table2"></i></th>
                                            <?php endif; ?>
                                        <?php else: ?>
                                            <th><?php echo e(config('settings.table_offers2')[$key]['name']); ?></th>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                            </thead>
                            <tbody>
                            
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal fade columReorderModal" id="exampleModal2" tabindex="-1" role="dialog" aria-labelledby="exampleModal2Label" aria-hidden="true">
                <div class="modal-dialog modal-dishpatch" role="document">
                    <?php echo Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')); ?>

                    <input type="hidden" name="table_id" value="offers2">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModal2Label">Adjust Table Columns</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                                <?php $__currentLoopData = $getField2; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(isset(config('settings.table_offers2')[$key]['name'])): ?>
                                        <li class="ui-state-default">
                                            <div class="d-flex justify-content-between">
                                                <div class="form-check">
                                                    <input type='hidden' value='0' name='field[<?php echo e($key); ?>]'>
                                                    <input class="form-check-input" type="checkbox" id="Check02<?php echo e($key); ?>" name="field[<?php echo e($key); ?>]" value="1" <?php if($filed==1): ?> checked <?php endif; ?>>
                                                    <label class="form-check-label" for="Check02<?php echo e($key); ?>"><?php echo e(config('settings.table_offers2')[$key]['name']); ?></label>
                                                </div>
                                                <i class="fa fa-align-justify drag-icon pt-1"></i>
                                            </div>
                                        </li>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-blue">Save</button>
                        </div>
                    </div>
                    <?php echo Form::close(); ?>

                </div>
            </div>
        </div>
        
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script src="<?php echo e(asset('theme/js/select2.full.min.js')); ?>"></script>

    <script type="text/javascript">
        // offers DataTable - START
        var offersTable = $('.offers-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "<?php echo e(perPageView()); ?>",
            ordering: false,
            order: [],
            ajax: {
                url: "<?php echo e(route('company.admin.pro-routes.offer.list')); ?>",
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?> = $('#search_string_<?php echo e($key); ?>_table1').val();
                        d.search_string_name_<?php echo e($key); ?> = $('#stringKey<?php echo e($key); ?>_table1').val();
                        d.search_string_type_<?php echo e($key); ?> = $('#stringType<?php echo e($key); ?>_table1').val();
                        d.search_table_name_<?php echo e($key); ?> = $('#stringTableType<?php echo e($key); ?>_table1').val();
                        d.search_string_condition_<?php echo e($key); ?> = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_string_sort_<?php echo e($key); ?> = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_string_relation_table_<?php echo e($key); ?> = $('#stringRelationTable<?php echo e($key); ?>_table1').val();
                        d.search_string_col_name1_<?php echo e($key); ?> = $('#stringColName1<?php echo e($key); ?>_table1').val();
                        d.search_string_col_name2_<?php echo e($key); ?> = $('#stringColName2<?php echo e($key); ?>_table1').val();
                        d.search_string_static_<?php echo e($key); ?> = $('#stringStatic<?php echo e($key); ?>_table1').val();

                        d.search_string_having_<?php echo e($key); ?> = $('#stringHaving<?php echo e($key); ?>_table1').val();

                        d.search_date_from_value_<?php echo e($key); ?> = $('#search_date_<?php echo e($key); ?>_table1').val();
                        d.search_date_to_value_<?php echo e($key); ?> = $('#search_date_end_<?php echo e($key); ?>_table1').val();
                        d.search_date_name_<?php echo e($key); ?> = $('#dateKey<?php echo e($key); ?>_table1').val();
                        d.search_date_type_<?php echo e($key); ?> = $('#dateType<?php echo e($key); ?>_table1').val();
                        d.search_date_table_name_<?php echo e($key); ?> = $('#dateTableType<?php echo e($key); ?>_table1').val();
                        d.search_date_condition_<?php echo e($key); ?> = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                        d.search_date_sort_<?php echo e($key); ?> = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?> = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_<?php echo e($key); ?> = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                        d.search_status_name_<?php echo e($key); ?> = $('#statusOrgColName<?php echo e($key); ?>').val();
                        d.search_status_table_name_<?php echo e($key); ?> = $('#statusTableType<?php echo e($key); ?>').val();
                        d.search_status_sort_<?php echo e($key); ?> = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_status_sort_column_<?php echo e($key); ?> = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON){
                        if(data.responseJSON.recordsTotal < 10){
                            $("#totalOffers").text('0'+data.responseJSON.recordsTotal); // Update Count
                        }else{
                            $("#totalOffers").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                    <?php foreach($getField as $key => $filed): ?>
                        <?php if($filed == 1): ?> {
                    data: '<?php echo e($key); ?>',
                    name: '<?php echo e($key); ?>',
                    orderable: <?php if($filed == 1 && isset(config('settings.table_offers1')[$key]['orderable'])): ?> <?php echo e(((config('settings.table_offers1')[$key]['orderable'] == 1) ? 'true' : 'false')); ?> <?php endif; ?>,
                    searchable: true
                },
                <?php endif; ?>
                <?php endforeach; ?>
            ],
            createdRow: function(row, data, index) {
                //$(row).find('td').eq(<?php echo array_search('action', array_keys($getField)); ?>).addClass('offerActionBtn');
            }
        });
        // offers DataTable - END

        // favorites DataTable - START
        var favoritesTable = $('.favorites-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            processing: true,
            serverSide: true,
            fixedHeader: true,
            searching: false,
            bLengthChange : false,
            pageLength: "<?php echo e(perPageView()); ?>",
            ordering: false,
            order: [],
            ajax: {
                url: "<?php echo e(route('company.admin.pro-routes.favorite.list')); ?>",
                data: function (d) {
                    <?php foreach($getField2 as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?> = $('#search_string_<?php echo e($key); ?>_table2').val();
                        d.search_string_name_<?php echo e($key); ?> = $('#stringKey<?php echo e($key); ?>_table2').val();
                        d.search_string_type_<?php echo e($key); ?> = $('#stringType<?php echo e($key); ?>_table2').val();
                        d.search_table_name_<?php echo e($key); ?> = $('#stringTableType<?php echo e($key); ?>_table2').val();
                        d.search_string_condition_<?php echo e($key); ?> = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_string_sort_<?php echo e($key); ?> = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_string_relation_table_<?php echo e($key); ?> = $('#stringRelationTable<?php echo e($key); ?>_table2').val();
                        d.search_string_col_name1_<?php echo e($key); ?> = $('#stringColName1<?php echo e($key); ?>_table2').val();
                        d.search_string_col_name2_<?php echo e($key); ?> = $('#stringColName2<?php echo e($key); ?>_table2').val();
                        d.search_string_static_<?php echo e($key); ?> = $('#stringStatic<?php echo e($key); ?>_table2').val();

                        d.search_string_having_<?php echo e($key); ?> = $('#stringHaving<?php echo e($key); ?>_table2').val();

                        d.search_date_from_value_<?php echo e($key); ?> = $('#search_date_<?php echo e($key); ?>_table2').val();
                        d.search_date_to_value_<?php echo e($key); ?> = $('#search_date_end_<?php echo e($key); ?>_table2').val();
                        d.search_date_name_<?php echo e($key); ?> = $('#dateKey<?php echo e($key); ?>_table2').val();
                        d.search_date_type_<?php echo e($key); ?> = $('#dateType<?php echo e($key); ?>_table2').val();
                        d.search_date_table_name_<?php echo e($key); ?> = $('#dateTableType<?php echo e($key); ?>_table2').val();
                        d.search_date_condition_<?php echo e($key); ?> = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                        d.search_date_sort_<?php echo e($key); ?> = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?> = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_<?php echo e($key); ?> = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                        d.search_status_name_<?php echo e($key); ?> = $('#statusOrgColName<?php echo e($key); ?>').val();
                        d.search_status_table_name_<?php echo e($key); ?> = $('#statusTableType<?php echo e($key); ?>').val();
                        d.search_status_sort_<?php echo e($key); ?> = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_status_sort_column_<?php echo e($key); ?> = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                complete: function (data) {
                    if(data.responseJSON){
                        if(data.responseJSON.recordsTotal < 10){
                            $("#totalFavorites").text('0'+data.responseJSON.recordsTotal); // Update Count
                        }else{
                            $("#totalFavorites").text(data.responseJSON.recordsTotal); // Update Count
                        }
                    }
                },
            },
            columns: [
                    <?php foreach($getField2 as $key => $filed): ?>
                        <?php if($filed == 1): ?> {
                    data: '<?php echo e($key); ?>',
                    name: '<?php echo e($key); ?>',
                    orderable: <?php if($filed == 1 && isset(config('settings.table_offers2')[$key]['orderable'])): ?> <?php echo e(((config('settings.table_offers2')[$key]['orderable'] == 1) ? 'true' : 'false')); ?> <?php endif; ?>,
                    searchable: true
                },
                <?php endif; ?>
                <?php endforeach; ?>
            ],
            createdRow: function(row, data, index) {
                //$(row).find('td').eq(<?php echo array_search('action', array_keys($getField2)); ?>).addClass('offerActionBtn');
            }
        });
        // favorites DataTable - END

        $(function() {
            $(".sortableList").sortable();

            $(document).on("click", ".clearAll", function (){
                let tab = $(this).attr('data-tab');
                $('.'+ tab).DataTable().ajax.reload();
            });

            $(document).on("click", ".refreshAll", function (){
                let tab = $(this).attr('data-tab');
                $('.'+ tab).DataTable().ajax.reload(null, false);
            });

            $(document).on("click", ".destroyOffer", function (){
                let url = $(this).attr('data-action');
                let driverId = $(this).attr('data-driver');
                let tableName = $(this).attr('data-table');

                if(url != ""){
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You won't be able to revert this!",
                        icon: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#3085d6",
                        cancelButtonColor: "#d33",
                        confirmButtonText: "Yes, delete it!",
                    }).then((result) => {
                        if (result.value) {
                            $.ajax({
                                type: 'DELETE',
                                url: url,
                                data: {},
                                dataType: 'json',
                                async: true,
                                headers: {
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                },
                                success: function(response) {
                                    if(response.success){
                                        toastr.success(response.message, 'Success Alert', { timeOut: 5000 });
                                        $('.' + tableName).DataTable().ajax.reload(null, false);
                                    }
                                },
                            });
                        }
                    });
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('after-scripts'); ?>
    <script src="<?php echo e(asset('theme/js/trimble.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/proRoutes/index.blade.php ENDPATH**/ ?>