<!--
    data-id = // Load detail id or Load Stop
    data-customer_type = // 1 = Pickup, 2 = Delivery
    data-is_stop = // 1 = Stop, 0 = No Stop
    data-type = // 1 = Arrive, 2 = Depart
    data-stop_no = // Active Stop no
 -->
<?php if(isset($pendingDocuments)): ?>
    <?php if(!empty($pendingDocuments)): ?>
        <div class="modal-body">
            <p class="fs-16 text-theme-color mb-md-4 pb-1 mb-3 fw-600">Congratulations! <?php echo e($item->load_number ?? '#########'); ?> is completed.</p>
            <p class="fs-16 text-theme-color fw-600">You've completed load <?php echo e($item->load_number ?? '#########'); ?>. The following documents are needed for billing and payment</p>
            <ul class="ml-3 pending-documents">
                <?php $__currentLoopData = $pendingDocuments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li class="fs-16 text-theme-color mb-3 fw-600"><?php echo e($node); ?></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
            <div class="col-12">
                <?php if(isset($next)): ?>
                    <!-- action = 1 I'll upload the documents later. - Load Next Dispatch  -->
                    <button
                        type="button"
                        class="btn btn-blue w-100 mb-2 text-center fs-16 fw-semi-bold depart-request-btn"
                        data-action="1"
                        data-next_id="<?php echo e($next->id); ?>"
                        data-id="<?php echo e($formData['id']); ?>"
                        data-customer_type="<?php echo e($formData['customer_type']); ?>"
                        data-is_stop="<?php echo e($formData['is_stop']); ?>"
                        data-type="<?php echo e($formData['type']); ?>"
                        data-stop_no="<?php echo e($formData['stop_no']); ?>">I'll upload the documents later.</button>
                <?php endif; ?>
                <!-- action = 2 // Upload missing documents - go to historic-dispatch  -->
                <button
                    type="button"
                    class="btn btn-blue w-100 mb-2 text-center fs-16 fw-semi-bold depart-request-btn"
                    data-action="2"
                    data-id="<?php echo e($formData['id']); ?>"
                    data-customer_type="<?php echo e($formData['customer_type']); ?>"
                    data-is_stop="<?php echo e($formData['is_stop']); ?>"
                    data-type="<?php echo e($formData['type']); ?>"
                    data-stop_no="<?php echo e($formData['stop_no']); ?>">Upload missing documents</button>
                <!-- go to upcoming-dispatch  -->
                <button
                    type="button"
                    class="btn btn-blueBr w-100 text-center fs-16 fw-semi-bold depart-request-btn"
                    data-id="<?php echo e($formData['id']); ?>"
                    data-customer_type="<?php echo e($formData['customer_type']); ?>"
                    data-is_stop="<?php echo e($formData['is_stop']); ?>"
                    data-type="<?php echo e($formData['type']); ?>"
                    data-stop_no="<?php echo e($formData['stop_no']); ?>">Go to all dispatches</button>
            </div>
            <div class="mt-md-4 mt-3 pt-1 dispatch-update-feedback">
                <?php if($formData['is_stop'] == 1): ?>
                    <?php
                        $load_stop_review       = isset($item->review) ? $item->review : null;
                    ?>
                <?php else: ?>
                    <?php if($formData['customer_type'] == 1): ?>
                        <?php
                            $load_stop_review   = isset($item->shipper_review) ? $item->shipper_review : null;
                        ?>
                    <?php else: ?>
                        <?php
                            $load_stop_review   = isset($item->receiver_review) ? $item->receiver_review : null;
                        ?>
                    <?php endif; ?>
                <?php endif; ?>
                <?php if(!is_null($load_stop_review)): ?>
                    <a href="javascript:void(0);" class="text-theme-color fs-16 fw-600 text-center mb-3 d-block dispatch-update-thank-you">Thank you for your feedback!</a>
                    <?php if(!isset($load_stop_review->review) || $load_stop_review->review == ''): ?>
                        <a
                            href="javascript:void(0);"
                            class="text-theme-color fs-16 fw-600 text-center text-underline d-block dispatch-update-review"
                            data-id="<?php echo e($formData['id']); ?>"
                            data-customer_type="<?php echo e($formData['customer_type']); ?>"
                            data-is_stop="<?php echo e($formData['is_stop']); ?>"
                            data-stop_no="<?php echo e($formData['stop_no']); ?>"
                            data-rating="<?php echo e($load_stop_review->rating ?? 0); ?>">Write a Review</a>
                    <?php endif; ?>
                <?php else: ?>
                    <a href="javascript:void(0);" class="text-theme-color fs-16 fw-600 text-center mb-3 d-none dispatch-update-thank-you">Thank you for your feedback!</a>
                    <div id="dispatch-update-rating" class="rating mx-auto">
                        <input type="radio" name="rating" id="mr5" value="5">
                        <label for="mr5"></label>

                        <input type="radio" name="rating" id="mr4" value="4">
                        <label for="mr4"></label>

                        <input type="radio" name="rating" id="mr3" value="3">
                        <label for="mr3"></label>

                        <input type="radio" name="rating" id="mr2" value="2">
                        <label for="mr2"></label>

                        <input type="radio" name="rating" id="mr1" value="1">
                        <label for="mr1"></label>
                    </div>
                    <a
                        href="javascript:void(0);"
                        class="text-theme-color fs-16 fw-600 text-center text-underline d-block dispatch-update-review"
                        data-id="<?php echo e($formData['id']); ?>"
                        data-customer_type="<?php echo e($formData['customer_type']); ?>"
                        data-is_stop="<?php echo e($formData['is_stop']); ?>"
                        data-stop_no="<?php echo e($formData['stop_no']); ?>"
                        data-rating="0">Write a Review</a>
                <?php endif; ?>
            </div>
        </div>
    <?php else: ?>
        <div class="modal-body p-0" data-dispatch="update">
            <div class="modal-padding border-bottom">
                <p class="fs-16 fw-600 text-theme-color mb-2 pb-1">Congratulations! <?php echo e($item->load_number ?? '#########'); ?> is completed.</p>
                <?php if(isset($next)): ?>
                    <p class="fs-16 fw-600 text-theme-color">Next load</p>
                    <div class="row justify-content-center">
                        <div class="col-12">
                            <div class="row align-items-center">
                                <div class="col-lg-4 col-md-4">
                                    <div class="text-end">
                                        <strong class="text-theme-color fw-600 mb-1">Pickup</strong>
                                        <ul>
                                            <!-- // D n/j/Y - Mon 6/20/2023 -->
                                            <li class="mb-1 fs-14 fw-500"><?php echo e(date('D n/j', strtotime($next->getRawOriginal('shipper_date_time')))); ?></li>
                                            <?php
                                                $sttt                               = [];
                                                $stime                              = [];
                                                if($next->shipping_time_range == 0){
                                                    $stime[]                        = date(getTimeLayout(0), strtotime($next->getRawOriginal('shipper_date_time')));
                                                }else{
                                                    $stime[]                        = date(getTimeLayout(0), strtotime($next->getRawOriginal('shipper_date_time')));
                                                    $stime[]                        = date(getTimeLayout(0), strtotime($next->getRawOriginal('shipper_date_time_end')));
                                                }
                                                $sttt[]                             = implode('-', $stime);
                                                if(isset($next->shipper_timezone_abbr)){
                                                    $sttt[]                         = $next->shipper_timezone_abbr;
                                                }
                                                if($next->shipping_time_range == 0){
                                                    $sttt[]                         = 'Appointment';
                                                }else{
                                                    $sttt[]                         = 'Range';
                                                }
                                            ?>
                                            <li class="mb-1 fs-14 fw-500"><?php echo e(implode(' ', $sttt)); ?></li>
                                            <li class="mb-1 fs-14 text-dark fw-600">
                                                <?php
                                                    $shipper_addresses              = [];
                                                ?>
                                                <?php if(isset($next->shipper_address_one) && $next->shipper_address_one!==''): ?>
                                                    <?php
                                                        $shipper_addresses[]        = $next->shipper_address_one;
                                                    ?>
                                                <?php endif; ?>
                                                <?php if(isset($next->shipper_address_two) && $next->shipper_address_two!==''): ?>
                                                    <?php
                                                        $shipper_addresses[]        = $next->shipper_address_two;
                                                    ?>
                                                <?php endif; ?>
                                                <?php if(isset($next->shipper_city) && $next->shipper_city!==''): ?>
                                                    <?php
                                                        $shipper_addresses[]        = $next->shipper_city;
                                                    ?>
                                                <?php endif; ?>
                                                <?php if(isset($next->shipper_state) && $next->shipper_state!==''): ?>
                                                    <?php
                                                        $shipper_addresses[]        = $next->shipper_state;
                                                    ?>
                                                <?php endif; ?>
                                                <?php if(isset($next->shipper_zip) && $next->shipper_zip!==''): ?>
                                                    <?php
                                                        $shipper_addresses[]        = $next->shipper_zip;
                                                    ?>
                                                <?php endif; ?>
                                                <?php
                                                    $shipper_addresses              = implode(', ', $shipper_addresses);
                                                ?>
                                                <?php echo e($shipper_addresses); ?>

                                            </li>
                                            <li class="mb-1 fs-12 fw-500">
                                                <a href="javascript:void(0);" class="text-theme-color">
                                                    <?php if($next->shipper_drop_trailer_schedule == 1): ?>
                                                        Drop Trailer
                                                    <?php elseif($next->shipper_drop_trailer_schedule == 2): ?>
                                                        Drop & Hook
                                                    <?php else: ?>
                                                        Live
                                                    <?php endif; ?>
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-4">
                                    <div class="row text-center my-3">
                                        <div class="col-12">
                                            <span class="fs-12 text-dark fw-500"><?php echo e(isset($next->total_miles) ? number_format($next->total_miles, 2, '.', ',').' mi' : ''); ?></span>
                                        </div>
                                        <hr class="w-100">
                                        <div class="col-12">
                                            <span class="fs-12 text-dark fw-500">
                                                <?php
                                                    $total_stops                    = 0;
                                                ?>
                                                <?php if(isset($next->loads->load_stops) && $next->loads->load_stops->isNotEmpty()): ?>
                                                    <?php
                                                        $total_stops                += $next->loads->load_stops->count();
                                                    ?>
                                                <?php endif; ?>
                                                <?php if($total_stops > 0): ?>
                                                    <?php if($total_stops >= 2): ?>
                                                        <?php echo e($total_stops); ?> Stops
                                                    <?php else: ?>
                                                        <?php echo e($total_stops); ?> Stop
                                                    <?php endif; ?>
                                                <?php else: ?>
                                                    Non Stop
                                                <?php endif; ?>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-4">
                                    <div class="text-start">
                                        <strong class=" text-theme-color fw-600 mb-1">Delivery</strong>
                                        <ul>
                                            <!-- // D n/j/Y - Mon 6/20/2023 -->
                                            <li class="mb-1 fs-14 fw-500 "><?php echo e(date('D n/j', strtotime($next->getRawOriginal('delivery_date_time')))); ?></li>
                                            <?php
                                                $dttt                               = [];
                                                $dtime                              = [];
                                                if($next->delivery_time_range == 0){
                                                    $dtime[]                        = date(getTimeLayout(0), strtotime($next->getRawOriginal('delivery_date_time')));
                                                }else{
                                                    $dtime[]                        = date(getTimeLayout(0), strtotime($next->getRawOriginal('delivery_date_time')));
                                                    $dtime[]                        = date(getTimeLayout(0), strtotime($next->getRawOriginal('delivery_date_time_end')));
                                                }
                                                $dttt[]                             = implode('-', $dtime);
                                                if(isset($next->delivery_timezone_abbr)){
                                                    $dttt[]                         = $next->delivery_timezone_abbr;
                                                }
                                                if($next->delivery_time_range == 0){
                                                    $dttt[]                         = 'Appointment';
                                                }else{
                                                    $dttt[]                         = 'Range';
                                                }
                                            ?>
                                            <li class="mb-1 fs-14 fw-500"><?php echo e(implode(' ', $dttt)); ?></li>
                                            <li class="mb-1 fs-14 text-dark fw-600">
                                                <?php
                                                    $delivery_addresses             = [];
                                                ?>
                                                <?php if(isset($next->delivery_address_one) && $next->delivery_address_one!==''): ?>
                                                    <?php
                                                        $delivery_addresses[]       = $next->delivery_address_one;
                                                    ?>
                                                <?php endif; ?>
                                                <?php if(isset($next->delivery_address_two) && $next->delivery_address_two!==''): ?>
                                                    <?php
                                                        $delivery_addresses[]       = $next->delivery_address_two;
                                                    ?>
                                                <?php endif; ?>
                                                <?php if(isset($next->delivery_city) && $next->delivery_city!==''): ?>
                                                    <?php
                                                        $delivery_addresses[]       = $next->delivery_city;
                                                    ?>
                                                <?php endif; ?>
                                                <?php if(isset($next->delivery_state) && $next->delivery_state!==''): ?>
                                                    <?php
                                                        $delivery_addresses[]       = $next->delivery_state;
                                                    ?>
                                                <?php endif; ?>
                                                <?php if(isset($next->delivery_zip) && $next->delivery_zip!==''): ?>
                                                    <?php
                                                        $delivery_addresses[]       = $next->delivery_zip;
                                                    ?>
                                                <?php endif; ?>
                                                <?php
                                                    $delivery_addresses             = implode(', ', $delivery_addresses);
                                                ?>
                                                <?php echo e($delivery_addresses); ?>

                                            </li>
                                            <li class="mb-1 fs-12 text-theme-color fw-500">
                                                <a href="javascript:void(0);" class="text-theme-color">
                                                    <?php if($next->delivery_drop_trailer_schedule == 1): ?>
                                                        Drop Trailer
                                                    <?php elseif($next->delivery_drop_trailer_schedule == 2): ?>
                                                        Drop & Hook
                                                    <?php else: ?>
                                                        Live
                                                    <?php endif; ?>
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
            <div class="modal-padding">
                <div class="row justify-content-center">
                    <div class="col-8">
                        <?php if(isset($next)): ?>
                            <!-- action = 1 Load Next Dispatch  -->
                            <button
                                type="button"
                                class="btn btn-blue w-100 mb-1 text-center fs-16 fw-semi-bold depart-request-btn"
                                data-action="1"
                                data-next_id="<?php echo e($next->id); ?>"
                                data-id="<?php echo e($formData['id']); ?>"
                                data-customer_type="<?php echo e($formData['customer_type']); ?>"
                                data-is_stop="<?php echo e($formData['is_stop']); ?>"
                                data-type="<?php echo e($formData['type']); ?>"
                                data-stop_no="<?php echo e($formData['stop_no']); ?>">Load Next Dispatch</button>
                        <?php endif; ?>
                        <!-- go to upcoming-dispatch  -->
                        <button
                            type="button"
                            class="btn btn-blueBr w-100 text-center fs-16 fw-semi-bold depart-request-btn"
                            data-id="<?php echo e($formData['id']); ?>"
                            data-customer_type="<?php echo e($formData['customer_type']); ?>"
                            data-is_stop="<?php echo e($formData['is_stop']); ?>"
                            data-type="<?php echo e($formData['type']); ?>"
                            data-stop_no="<?php echo e($formData['stop_no']); ?>">See All Loads</button>
                        <div class="mt-md-4 mt-3 pt-1 dispatch-update-feedback">
                            <?php if($formData['is_stop'] == 1): ?>
                                <?php
                                    $load_stop_review       = isset($item->review) ? $item->review : null;
                                ?>
                            <?php else: ?>
                                <?php if($formData['customer_type'] == 1): ?>
                                    <?php
                                        $load_stop_review   = isset($item->shipper_review) ? $item->shipper_review : null;
                                    ?>
                                <?php else: ?>
                                    <?php
                                        $load_stop_review   = isset($item->receiver_review) ? $item->receiver_review : null;
                                    ?>
                                <?php endif; ?>
                            <?php endif; ?>
                            <?php if(!is_null($load_stop_review)): ?>
                                <a href="javascript:void(0);" class="text-theme-color fs-16 fw-600 text-center mb-3 d-block dispatch-update-thank-you">Thank you for your feedback!</a>
                                <?php if(!isset($load_stop_review->review) || $load_stop_review->review == ''): ?>
                                    <a
                                        href="javascript:void(0);"
                                        class="text-theme-color fs-16 fw-600 text-center text-underline d-block dispatch-update-review"
                                        data-id="<?php echo e($formData['id']); ?>"
                                        data-customer_type="<?php echo e($formData['customer_type']); ?>"
                                        data-is_stop="<?php echo e($formData['is_stop']); ?>"
                                        data-stop_no="<?php echo e($formData['stop_no']); ?>"
                                        data-rating="<?php echo e($load_stop_review->rating ?? 0); ?>">Write a Review</a>
                                <?php endif; ?>
                            <?php else: ?>
                                <a href="javascript:void(0);" class="text-theme-color fs-16 fw-600 text-center mb-3 d-none dispatch-update-thank-you">Thank you for your feedback!</a>
                                <div id="dispatch-update-rating" class="rating mx-auto">
                                    <input type="radio" name="rating" id="mr5" value="5">
                                    <label for="mr5"></label>

                                    <input type="radio" name="rating" id="mr4" value="4">
                                    <label for="mr4"></label>

                                    <input type="radio" name="rating" id="mr3" value="3">
                                    <label for="mr3"></label>

                                    <input type="radio" name="rating" id="mr2" value="2">
                                    <label for="mr2"></label>

                                    <input type="radio" name="rating" id="mr1" value="1">
                                    <label for="mr1"></label>
                                </div>
                                <a
                                    href="javascript:void(0);"
                                    class="text-theme-color fs-16 fw-600 text-center text-underline d-block dispatch-update-review"
                                    data-id="<?php echo e($formData['id']); ?>"
                                    data-customer_type="<?php echo e($formData['customer_type']); ?>"
                                    data-is_stop="<?php echo e($formData['is_stop']); ?>"
                                    data-stop_no="<?php echo e($formData['stop_no']); ?>"
                                    data-rating="0">Write a Review</a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
<?php else: ?>
    <div class="modal-body">
        <div class="col-12">
            <button
                type="button"
                class="btn btn-blue w-100 mb-2 text-left fs-16 fw-semi-bold depart-request-btn"
                data-id="<?php echo e($formData['id']); ?>"
                data-customer_type="<?php echo e($formData['customer_type']); ?>"
                data-is_stop="<?php echo e($formData['is_stop']); ?>"
                data-type="<?php echo e($formData['type']); ?>"
                data-stop_no="<?php echo e($formData['stop_no']); ?>">I'm on my way!</button>
        </div>
    </div>
    <div class="modal-footer align-items-center justify-content-between">
        <div class="dispatch-update-feedback">
            <?php if($formData['is_stop'] == 1): ?>
                <?php
                    $load_stop_review       = isset($item->review) ? $item->review : null;
                ?>
            <?php else: ?>
                <?php if($formData['customer_type'] == 1): ?>
                    <?php
                        $load_stop_review   = isset($item->shipper_review) ? $item->shipper_review : null;
                    ?>
                <?php else: ?>
                    <?php
                        $load_stop_review   = isset($item->receiver_review) ? $item->receiver_review : null;
                    ?>
                <?php endif; ?>
            <?php endif; ?>
            <?php if(!is_null($load_stop_review)): ?>
                <a href="javascript:void(0);" class="fs-16 text-theme-color fw-600 mb-0 d-block dispatch-update-thank-you">Thank you for your feedback!</a>
                <?php if(!isset($load_stop_review->review) || $load_stop_review->review == ''): ?>
                    <a
                        href="javascript:void(0);"
                        class="fs-16 text-theme-color fw-600 mb-0 mt-3 text-underline d-block dispatch-update-review"
                        data-id="<?php echo e($formData['id']); ?>"
                        data-customer_type="<?php echo e($formData['customer_type']); ?>"
                        data-is_stop="<?php echo e($formData['is_stop']); ?>"
                        data-stop_no="<?php echo e($formData['stop_no']); ?>"
                        data-rating="<?php echo e($load_stop_review->rating ?? 0); ?>">Write a Review</a>
                <?php endif; ?>
            <?php else: ?>
                <a href="javascript:void(0);" class="fs-16 text-theme-color fw-600 mb-0 d-none dispatch-update-thank-you">Thank you for your feedback!</a>
                <div id="dispatch-update-rating" class="rating">
                    <input type="radio" name="rating" id="mr5" value="5">
                    <label for="mr5"></label>

                    <input type="radio" name="rating" id="mr4" value="4">
                    <label for="mr4"></label>

                    <input type="radio" name="rating" id="mr3" value="3">
                    <label for="mr3"></label>

                    <input type="radio" name="rating" id="mr2" value="2">
                    <label for="mr2"></label>

                    <input type="radio" name="rating" id="mr1" value="1">
                    <label for="mr1"></label>
                </div>
                <a
                    href="javascript:void(0);"
                    class="fs-16 text-theme-color fw-600 mb-0 mt-3 text-underline d-block dispatch-update-review"
                    data-id="<?php echo e($formData['id']); ?>"
                    data-customer_type="<?php echo e($formData['customer_type']); ?>"
                    data-is_stop="<?php echo e($formData['is_stop']); ?>"
                    data-stop_no="<?php echo e($formData['stop_no']); ?>"
                    data-rating="0">Write a Review</a>
            <?php endif; ?>
        </div>
        <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
    </div>
<?php endif; ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/driverAdmin/mytrips/ajax/current_dispatch/dispatch_update.blade.php ENDPATH**/ ?>