

<?php $__env->startSection('title'); ?>
    Vendor Show
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<style type="text/css">
	h5 {
		font-size: 18px;
	}
</style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-lg-6">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">General Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Name</label>
                            <h5><?php echo e($vendor->name); ?></h5>
                        </div>
                    </div>
                    <?php
                        $addresses         = [];
                    ?>
                    <?php if(isset($vendor->address) && $vendor->address!==''): ?>
                        <?php
                            $addresses[]   = $vendor->address;
                        ?>
                    <?php endif; ?>
                    <?php if(isset($vendor->address_2) && $vendor->address_2!==''): ?>
                        <?php
                            $addresses[]   = $vendor->address_2;
                        ?>
                    <?php endif; ?>
                    <?php if(isset($vendor->city) && $vendor->city!==''): ?>
                        <?php
                            $addresses[]   = $vendor->city;
                        ?>
                    <?php endif; ?>
                    <?php if(isset($vendor->state) && $vendor->state!==''): ?>
                        <?php
                            $addresses[]   = $vendor->state;
                        ?>
                    <?php endif; ?>
                    <?php if(isset($vendor->zip) && $vendor->zip!==''): ?>
                        <?php
                            $addresses[]   = $vendor->zip;
                        ?>
                    <?php endif; ?>
                    <?php
                        $addresses         = implode(', ', $addresses);
                    ?>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Address</label>
                            <h5><?php echo e($addresses); ?></h5>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group m-0">
                            <label>Rep Name</label>
                            <h5><?php echo e($vendor->rep_name); ?></h5>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="white-box mb-4 generalAccount">
            <h4 class="box-title">Account Information</h4>
            <div class="box-padding">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group m-0">
                            <label>Phone Number</label>
                        </div>
                        <?php if($vendor->phone_number): ?>
                            <h5><a href="tel:<?php echo e($vendor->phone_number); ?>"><?php echo e($vendor->phone_number); ?></a></h5>
                        <?php else: ?>   
                            <h5> - </h5>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6 col-sm-9">
                        <div class="form-group">
                            <label>MC Number</label>
                            <h5><?php echo e($vendor->mc_number); ?></h5>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>Ext</label>
                            <h5><?php echo e($vendor->ext); ?></h5>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>800 Number</label>
                            <h5><?php echo e($vendor->eight_hundred_number); ?></h5>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/vendor/show.blade.php ENDPATH**/ ?>