

<?php $__env->startSection('title'); ?> Driver Admin Dashboard <?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
    <link rel='stylesheet' href="<?php echo e(asset('companyAdmin/companyDashboard/css/gridstack.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('companyAdmin/companyDashboard/css/gridstack-extra.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('companyAdmin/companyDashboard/css/dashboard.css')); ?>">

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="company-dashboard">
        <div class="row justify-content-between">
            <div>
                <h1 class="mb-4">
                    Welcome <?php echo e(auth()->guard('driver-admin')->user()->first_name); ?> <?php echo e(auth()->guard('driver-admin')->user()->last_name); ?>

                </h1>
            </div>
            <?php if(isset($widgetData) && !empty($widgetData)): ?>
            <div>
                <a href="javascript:void(0)" class="btn green-btn green-link-btn mb-4" data-toggle="modal" data-target="#modalOneModal" style="font-size: 15px">Add Widget
                </a>
            </div>
            <?php endif; ?>
        </div>
        <div>
            <div class="mb-5">
                <main class="grid-container">
                    <div class="grid-stack">
                    </div>
                </main>
            </div>
        </div>

        <!-- Modal -->
        <?php if(isset($widgetData) && !empty($widgetData)): ?>
        <div class="modal fade bg-info" id="modalOneModal" tabindex="-1" role="dialog" aria-labelledby="modalOneLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                        <h4 class="modal-title" id="modalOneLabel"></h4>
                    </div>
                    <div id="thismodalOne" class="modal-body">
                        <?php
                        	$numberOfColsNeeded  	= 6;
                            $totalCounter        	= count($widgetData);
                            $itemCounter         	= 1;
                        ?>
                        <?php $__currentLoopData = $widgetData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $wkey => $widget): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    		<?php if($itemCounter % $numberOfColsNeeded == 1): ?>
                    			<div class="row">
                    		<?php endif; ?>
	                    		<div class="col-sm-2" style="padding: 12px;">
	                    		    <div
	                    		        class="card w_<?php echo e(isset($widget['slug'])?$widget['slug']:''); ?>"
	                    		        data-id="<?php echo e(isset($widget['id'])?$widget['id']:''); ?>"
	                    		        data-slug="<?php echo e(isset($widget['slug'])?$widget['slug']:''); ?>"
	                    		        data-is_delete="<?php echo e(isset($widget['is_delete'])?$widget['is_delete']:'0'); ?>"
	                    		        style="align-items: center;cursor: pointer;">
	                    		        <img
	                    		            src="<?php echo e(isset($widget['is_delete'])?$widget['inactive_image']:$widget['active_image']); ?>"
	                    		            alt="<?php echo e($widget['name']); ?>"
	                    		            style="text-align: end;">
	                    		        <b style="text-align: center"><?php echo e($widget['name']); ?></b>
	                    		    </div>
	                    		</div>
                           	<?php if(($itemCounter % $numberOfColsNeeded == 0) || (($itemCounter) == $totalCounter)): ?>
                           		</div>
                            <?php endif; ?>
                        	<?php
                                $itemCounter++;
                        	?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
        </div>
        <?php endif; ?>
        <!-- End Form Modals -->
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
	<script src="<?php echo e(asset('theme/js/ckeditor/build/ckeditor.js')); ?>"></script>

    <script src="<?php echo e(asset('companyAdmin/js/highstock.js')); ?>"></script>

    <script src="<?php echo e(asset('companyAdmin/js/data.js')); ?>"></script>
    <script src="<?php echo e(asset('companyAdmin/js/exporting.js')); ?>"></script>
    <script src="<?php echo e(asset('companyAdmin/js/export-data.js')); ?>"></script>
    <script src="<?php echo e(asset('companyAdmin/js/accessibility.js')); ?>"></script>
    <script src="<?php echo e(asset('companyAdmin/js/highcharts-more.js')); ?>"></script>
    <script src="<?php echo e(asset('companyAdmin/js/d3.min.js')); ?>" charset="utf-8"></script>

    <script src="<?php echo e(asset('companyAdmin/companyDashboard/js/gridstack-h5.min.js')); ?>"></script>

    <script type="text/javascript">
        var inTransitLoadTable;
        var loadimg                 = "<?php echo e(asset('theme/img/loading.gif')); ?>";

        let grid                    = GridStack.init({
            cellHeight: 'initial', // start square but will set to % of window width later
            alwaysShowResizeHandle: /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent),
            animate: true, // show immediate (animate: true is nice for user dragging though)
            width: 12,
            disableOneColumnMode: true, // will manually do 1 column
            acceptWidgets: true,// for jfiddle small window size
            float: false,
            autoPosition: true,
            draggable: {
                handle: '.card-header',
                scroll: false,
                appendTo: 'body'
            }
        });
        let serializedArry          = [];
        <?php if(!empty($widgetData)): ?>
            <?php $__currentLoopData = $widgetData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $wkey => $widget): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if(!isset($widget['is_delete'])): ?>
                    var obj         = {};
                    obj['x']        = '<?php echo e(json_decode($widget["properties"])->x); ?>';
                    obj['y']        = '<?php echo e(json_decode($widget["properties"])->y); ?>';
                    obj['w']        = '<?php echo e(json_decode($widget["properties"])->w); ?>';
                    obj['h']        = '<?php echo e(json_decode($widget["properties"])->h); ?>';
                    obj['id']       = '<?php echo e($widget["id"]); ?>';
                    obj['content']  = `<?php echo json_decode($widget["properties"])->content; ?>`;
                    <?php if($widget['slug']=='occupancy' || $widget['slug']=='revenue' || $widget['slug']=='cpm'): ?>
                        obj['minW']       = 3;
                        obj['minH']       = 3;
                    <?php elseif($widget['slug']=='trailer_type'): ?>
                        obj['minW']       = 3;
                        obj['minH']       = 3;
                    <?php elseif($widget['slug']=='company_stats'): ?>
                        obj['noResize']   = false;
                        obj['minW']       = 3;
                        obj['minH']       = 3;
                    <?php elseif($widget['slug']=='driver_per_team'): ?>
                        obj['minW']       = 6;
                        obj['minH']       = 3;
                    <?php elseif($widget['slug']=='target_actual_revenue'): ?>
                        obj['minW']       = 12;
                        obj['minH']       = 3;
                    <?php elseif($widget['slug']=='loads_in_transit'): ?>
                        obj['noResize']   = true;
                        obj['minW']       = 12;
                        obj['minH']       = 3;
                    <?php elseif($widget['slug']=='revenue_by_team'): ?>
                        obj['minW']       = 6;
                        obj['minH']       = 3;
                    <?php elseif($widget['slug']=='revenue_by_trailer_type'): ?>
                        obj['minW']       = 6;
                        obj['minH']       = 3;
                    <?php elseif($widget['slug']=='loads_stats'): ?>
                        obj['noResize']   = false;
                        obj['minW']       = 3;
                        obj['minH']       = 3;
                    <?php elseif($widget['slug']=='revenue_actual_vs_goal' || $widget['slug']=='revenue_occupancy_vs_goal' || $widget['slug']=='revenue_occupancy'): ?>
                        obj['minW']       = 12;
                        obj['minH']       = 3;
                    <?php elseif($widget['slug']=='events'): ?>
                        obj['minW']       = 3;
                        obj['minH']       = 3;
                    <?php elseif($widget['slug']=='notes'): ?>
                        obj['noResize']   = false;
                        obj['minW']       = 3;
                        obj['minH']       = 3;
                    <?php elseif($widget['slug']=='compel_announcements'): ?>
                        obj['minW']       = 3;
                        obj['minH']       = 3;
                    <?php elseif($widget['slug']=='company_announcements'): ?>
                        obj['minW']       = 3;
                        obj['minH']       = 3;
                    <?php endif; ?>
                    serializedArry.push(obj);
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>
        grid.load(serializedArry);

        let layout                  = 'moveScale';
        function resizeGrid() {
            let width   			= document.body.clientWidth;
            if (width < 700) {
                grid.column(1, layout).cellHeight('100vw');
            } else if (width < 850) {
                grid.column(3, layout).cellHeight('33.3333vw');
            } else if (width < 950) {
                grid.column(6, layout).cellHeight('16.6666vw');
            } else if (width < 1100) {
                grid.column(8, layout).cellHeight('12.25vw');
            } else {
                grid.column(12, layout).cellHeight('8.3333vw');
            }
        };
        resizeGrid();
        window.addEventListener('resize', function() {resizeGrid()});

        grid.on('resizestop', function(event, elem) {
            var card = $(elem).find('.card');
            var slug = card.attr('data-slug');
            if(slug=='occupancy' || slug=='revenue' || slug=='cpm' || slug=='trailer_type' || slug=='driver_per_team' || slug=='revenue_by_team' || slug=='revenue_by_trailer_type' || slug=='revenue_actual_vs_goal' || slug=='revenue_occupancy_vs_goal' || slug=='revenue_occupancy' || slug=='target_actual_revenue'){
                setTimeout(function() {
                    $('#w_'+slug).highcharts().reflow();
                }, 250);
            }
        });

        grid.on('added removed change', function(e, items) {
            var widgets = [];
            items.forEach(function(item) {
                var widgetsObj = {'type': e.type,'id': item.id,'x': item.x,'y': item.y,'w': item.w,'h': item.h}
                widgets.push(widgetsObj);
            });

            widgets.sort(function (a, b){
                return a.id - b.id;
            });

            if(e.type=='removed'){
                $.ajax({
                    type: 'POST',
                    url: '<?php echo route("driver.admin.widget.delete"); ?>',
                    data: { widgets: widgets },
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    async: false
                }).done(function(response) {
                    if(response.success){
                        toastr.success('Deleted successfully', 'Success Alert', { timeOut: 5000 });

                        var modal           = $("#modalOneModal");
                        $.each(response.widgetData, function( index, widget ) {
                            var card        = modal.find('.w_'+widget.slug);
                            if(card.length > 0){
                                card.attr('data-is_delete', widget.is_delete);
                                var img     = card.find('img');
                                if(img.length > 0)
                                    img.attr('src', widget.inactive_image);
                            }
                        });
                    }else{
                        toastr.error(response.message, {
                            timeOut: 5000
                        });
                    }
                });
            }else if (e.type=='change') {
                $.ajax({
                    type: 'POST',
                    url: '<?php echo route("driver.admin.scrollInsertData"); ?>',
                    data: { widgets: widgets},
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    async: false
                });
            }else if (e.type=='added') {
                setTimeout(function(){
                    $.each(widgets, function (index,value) {
                        var card        = $('.grid-stack-item-content').find('.card[data-id="'+value.id+'"]');
                        if(card.length > 0){
                            var id      = card.data('id');
                            var slug    = card.data('slug');
                            let objData = [];
                            objData.push({
                                id: id,
                                slug: slug,
                                load: 1
                            });
                            getAjaxData(objData);
                        }
                    });
                }, 800);
            }
        });
    </script>
    <script type="text/javascript">
        let ajaxArry                = [];
        $(document).ready(function () {
            $('.grid-stack-item').each(function(index) {
                var that            = $(this);
                ajaxArry.push({
                    id: that.attr('gs-id'),
                    slug: that.find('.card').attr('data-slug'),
                    load: 1
                });
            });

            if(ajaxArry.length > 0){
                $.each(ajaxArry, function (index,value) {
                    var objData     = [];
                    objData.push(value);
                    getAjaxData(objData);
                });
            }

            $('body').on('click', 'a[data-type="filter"]', function (event) {
                event.preventDefault(); //event.stopPropagation(); event.stopImmediatePropagation();
                var that    = $(this);
                var id      = that.data('id');
                var slug    = that.data('slug');
                var range   = that.data('range');
                if(slug){
                    var filterData = [];
                    filterData.push({
                        id: id,
                        slug: slug,
                        range: range
                    });
                    getFilterData(filterData);
                }
            });

            $('body').on('click', 'a[data-type="delete"]', function (event) {
                event.preventDefault(); //event.stopPropagation(); event.stopImmediatePropagation();
                var that    = $(this);
                var id      = that.data('id');
                var slug    = that.data('slug');
                var range   = that.data('range');
                if(slug){
                    Swal.fire({
                        title: "Are you sure?",
                        text: "You won't be able to revert this!",
                        icon: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#3085d6",
                        cancelButtonColor: "#d33",
                        confirmButtonText: "Yes, delete it!",
                    }).then((result) => {
                        if (result.value) {
                            grid.removeWidget((this).closest('.grid-stack-item'));
                        }
                    });
                }
            });
        });
    </script>
    <script type="text/javascript">
        function getAjaxData(obj){
        	$.ajax({
        	    type: 'POST',
        	    url: '<?php echo route("driver.admin.chart.data"); ?>',
        	    data: { obj: obj },
        	    dataType: 'json',
        	    headers: {
        	        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        	    },
        	    cache: false,
        	    async: true,
        	    timeout: 600000,
        	}).done(function(response) {
        	    if(response.success){
        	        if(!$.isEmptyObject(response.data)){
        	            var data        = response.data;

        	            var slug        = data.slug;
        	            var contentId   = '#w_'+slug;
        	            var chartId     = contentId.substring(1, contentId.length);
        	            if(slug!='target_actual_revenue'){
        	                $(contentId).html('');
        	            }

        	            var chartData   = data.chartData;
        	            if(!$.isEmptyObject(chartData)){
        	                if(slug=='occupancy'){
        	                    var headingDate                                 = '';
        	                    if(chartData.startDate){
        	                        headingDate                                 += chartData.startDate;
        	                    }
        	                    if(chartData.endDate){
        	                        headingDate                                 += ' - '+chartData.endDate;
        	                    }
        	                    var card                                        = $(contentId).closest('.card');
        	                    if(card.find('.headingDate').length > 0){
        	                        card.find('.headingDate').html(headingDate);
        	                    }

        	                    var chartObject                                 = {};
        	                    chartObject['chartId']                          = chartId;
        	                    chartObject['fleetOccupancy']                   = chartData.fleetOccupancy;
        	                    chartObject['occupancyGoal']                    = chartData.occupancyGoal;
        	                    occupancyHighChart(chartObject);
        	                }else if (slug=='revenue'){
        	                    var headingDate                                 = '';
        	                    if(chartData.startDate){
        	                        headingDate                                 += chartData.startDate;
        	                    }
        	                    if(chartData.endDate){
        	                        headingDate                                 += ' - '+chartData.endDate;
        	                    }
        	                    var card                                        = $(contentId).closest('.card');
        	                    if(card.find('.headingDate').length > 0){
        	                        card.find('.headingDate').html(headingDate);
        	                    }

        	                    var chartObject                                 = {};
        	                    chartObject['chartId']                          = chartId;
        	                    chartObject['actualRevenue']                    = chartData.actualRevenue;
        	                    chartObject['targetRevenue']                    = chartData.targetRevenue;
        	                    revenueHighChart(chartObject);
        	                }else if (slug=='cpm'){
        	                    var headingDate                                 = '';
        	                    if(chartData.startDate){
        	                        headingDate                                 += chartData.startDate;
        	                    }
        	                    if(chartData.endDate){
        	                        headingDate                                 += ' - '+chartData.endDate;
        	                    }
        	                    var card                                        = $(contentId).closest('.card');
        	                    if(card.find('.headingDate').length > 0){
        	                        card.find('.headingDate').html(headingDate);
        	                    }

        	                    var chartObject                                 = {};
        	                    chartObject['chartId']                          = chartId;
        	                    chartObject['actualCPM']                        = chartData.actualCPM;
        	                    chartObject['targetCPM']                        = chartData.targetCPM;
        	                    cpmHighChart(chartObject);
        	                }else if (slug=='trailer_type'){
        	                    var chartObject                                 = {};
        	                    chartObject['chartId']                          = chartId;
        	                    chartObject['trailerType']                      = chartData.trailerType;
        	                    chartObject['trailerTypeData']                  = JSON.parse(chartData.trailerTypeData);
        	                    trailerTypeHighChart(chartObject);
        	                }else if (slug=='target_actual_revenue'){
        	                    var seriesOptions = [],
        	                        seriesCounter = 0,
        	                        names = ['TARGETREVENUE', 'ACTUALREVENUE'];

        	                    /**
        	                     * Create the chart when all data is loaded
        	                     * @return  {undefined}
        	                     */
        	                    function createChart() {
        	                        Highcharts.stockChart(chartId, {
        	                            rangeSelector: {
        	                                selected: 4
        	                            },
        	                            exporting: {
        	                                enabled: false
        	                            },
        	                            plotOptions: {
        	                                series: {
        	                                    showInNavigator: true
        	                                }
        	                            },
        	                            tooltip: {
        	                                pointFormatter: function() {
        	                                    return "\u003cspan style=\"color:" + this.series.color + "\"\u003e■\u003c/span\u003e " + this.series.name + ": \u003cb\u003e$" + Highcharts.numberFormat(this.y, 2, '.', ',') + "\u003c/b\u003e\u003cbr/\u003e"
        	                                },
        	                                valueDecimals: 2,
        	                            },
        	                            scrollbar: {
        	                                //enabled: false,
        	                                barBackgroundColor: '#bbb',
        	                                barBorderRadius: 7,
        	                                barBorderWidth: 0,
        	                                barHeight: 7,
        	                                buttonBackgroundColor: '#bbb',
        	                                buttonBorderWidth: 0,
        	                                buttonBorderRadius: 7,
        	                                trackBackgroundColor: '#dadada',
        	                                trackBorderWidth: 1,
        	                                trackBorderRadius: 8,
        	                                trackBorderColor: '#bbb',
        	                            },
        	                            series: seriesOptions
        	                        });
        	                    }

        	                    function success(data) {
        	                        var name = this.url.match(/(targetRevenue|actualRevenue)/)[0].toUpperCase();
        	                        var i = names.indexOf(name);
        	                        seriesOptions[i] = {
        	                            name: name,
        	                            data: data
        	                        };
        	                        // console.log(seriesOptions[i].name,seriesOptions[i].data[0]);
        	                        // As we're loading the data asynchronously, we don't know what order it
        	                        // will arrive. So we keep a counter and create the chart when all the data is loaded.
        	                        seriesCounter += 1;

        	                        if (seriesCounter === names.length) {
        	                            $(contentId).html('');
        	                            createChart();
        	                        }
        	                    }

        	                    var targetRevenueUrl                            = '<?php echo e(route("driver.admin.targetRevenue")); ?>';
        	                    Highcharts.getJSON(
        	                        targetRevenueUrl,
        	                        success
        	                    );
        	                    var actualRevenueUrl                            = '<?php echo e(route("driver.admin.actualRevenue")); ?>';
        	                    Highcharts.getJSON(
        	                        actualRevenueUrl,
        	                        success
        	                    );
        	                }else if (slug=='loads_in_transit'){
        	                    $(contentId).html(chartData);
        	                    $('.in-transit-loads-data-table').DataTable({
        	                        stateSave: true,
        	                        language: {
        	                            search: "",
        	                            searchPlaceholder: "Search...",
        	                        },
        	                        processing: false,
        	                        serverSide: true,
        	                        bJQueryUI: true,
        	                        searching: false,
        	                        pageLength: 5,
        	                        order: [
        	                            [9, "desc"]
        	                        ],
        	                        ajax: {
        	                            url: '<?php echo e(route("driver.admin.inTransitLoads")); ?>'
        	                        },
        	                        columns: [
        	                            { data: 'load_number',name: 'load_number',orderable: false},
        	                            { data: 'truck_number',name: 'truck_number',orderable: false},
        	                            { data: 'trailer_number',name: 'trailer_number',orderable: false},
        	                            { data: 'dispatcher',name: 'booked_by',orderable: false},
        	                            { data: 'origin',name: 'origin',orderable: false},
        	                            { data: 'destination',name: 'destination',orderable: false},
        	                            { data: 'status',name: 'status',orderable: false},
        	                            { data: 'load_date',name: 'actual_shipper_date',orderable: false},
        	                            { data: 'delivery_date',name: 'actual_delivery_date',orderable: false},
        	                            { data: 'created_at',name: 'created_at',visible: false,searchable: false},
        	                        ]
        	                    });
        	                }else if (slug=='revenue_by_trailer_type'){
        	                    var headingDate                                 = '';
        	                    if(chartData.startDate){
        	                        headingDate                                 += chartData.startDate;
        	                    }
        	                    if(chartData.endDate){
        	                        headingDate                                 += ' - '+chartData.endDate;
        	                    }
        	                    var card                                        = $(contentId).closest('.card');
        	                    if(card.find('.headingDate').length > 0){
        	                        card.find('.headingDate').html(headingDate);
        	                    }

        	                    var chartObject                                 = {};
        	                    chartObject['chartId']                          = chartId;
        	                    chartObject['revenueByTrailerType']             = chartData.revenueByTrailerType;
        	                    chartObject['revenueByTrailerTypeData']         = JSON.parse(chartData.revenueByTrailerTypeData);
        	                    revenueByTrailerTypeHighChart(chartObject);
        	                }else if (slug=='loads_stats'){
        	                    $(contentId).html(chartData);
        	                }else if (slug=='revenue_actual_vs_goal'){
        	                    var chartObject                                 = {};
        	                    chartObject['chartId']                          = chartId;
        	                    chartObject['weeks']                            = JSON.parse(chartData.weeks);
        	                    chartObject['actualRevenue']                    = JSON.parse(chartData.actualRevenue);
        	                    chartObject['targetRevenue']                    = JSON.parse(chartData.targetRevenue);
        	                    revenueActualVsGoalHighChart(chartObject);
        	                }else if (slug=='revenue_occupancy_vs_goal'){
        	                    var chartObject                                 = {};
        	                    chartObject['chartId']                          = chartId;
        	                    chartObject['weeks']                            = JSON.parse(chartData.weeks);
        	                    chartObject['fleetOccupancy']                   = JSON.parse(chartData.fleetOccupancy);
        	                    chartObject['occupancyGoal']                    = JSON.parse(chartData.occupancyGoal);
        	                    revenueOccupancyVsGoalHighChart(chartObject);
        	                }else if (slug=='revenue_occupancy'){
        	                    var chartObject                                 = {};
        	                    chartObject['chartId']                          = chartId;
        	                    chartObject['weeks']                            = JSON.parse(chartData.weeks);
        	                    chartObject['actualRevenue']                    = JSON.parse(chartData.actualRevenue);
        	                    chartObject['fleetOccupancy']                   = JSON.parse(chartData.fleetOccupancy);
        	                    revenueOccupancyHighChart(chartObject);
        	                }else if (slug=='events'){
        	                    $(contentId).html(chartData);
        	                }else if (slug=='notes'){
        	                    $(contentId).html(chartData);
        	                    ClassicEditor
        	                        .create(document.querySelector('#notes'), {
        	                            autosave: {
        	                                save(editor) {
        	                                    return saveData(editor.getData());
        	                                }
        	                            }
        	                        });
        	                }else if (slug=='compel_announcements'){
        	                    $(contentId).html(chartData);
        	                }else if (slug=='company_announcements'){
        	                    $(contentId).html(chartData);
        	                }
        	            }
        	        }else{
        	            toastr.error(response.message, {
        	                timeOut: 5000
        	            });
        	        }
        	    }else{
        	        toastr.error(response.message, {
        	            timeOut: 5000
        	        });
        	    }
        	});
        	return false;
        }
        function getFilterData(obj){
        	$.ajax({
        	    type: 'POST',
        	    url: '<?php echo route("driver.admin.chart.data"); ?>',
        	    data: { obj: obj },
        	    dataType: 'json',
        	    headers: {
        	        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        	    },
        	    beforeSend: function () { // Before we send the request, remove the .hidden class from the spinner and default to inline-block.
        	        var loaderHtml      =
        	            `<div class="loadingdiv">
        	                <img src="`+loadimg+`">
        	            </div>`;
        	        $.each(obj, function (index,value) {
        	            $('#w_'+value.slug).html(loaderHtml);
        	        });
        	    },
        	}).done(function(response) {
        	    if(response.success){
        	        if(!$.isEmptyObject(response.data)){
        	            var data        = response.data;

        	            var slug        = data.slug;
        	            var contentId   = '#w_'+slug;
        	            var chartId     = contentId.substring(1, contentId.length);
        	            $(contentId).html('');

        	            var chartData   = data.chartData;
        	            if(!$.isEmptyObject(chartData)){
        	                if(slug=='occupancy'){
        	                    var headingDate                                 = '';
        	                    if(chartData.startDate){
        	                        headingDate                                 += chartData.startDate;
        	                    }
        	                    if(chartData.endDate){
        	                        headingDate                                 += ' - '+chartData.endDate;
        	                    }
        	                    var card                                        = $(contentId).closest('.card');
        	                    if(card.find('.headingDate').length > 0){
        	                        card.find('.headingDate').html(headingDate);
        	                    }

        	                    var chartObject                                 = {};
        	                    chartObject['chartId']                          = chartId;
        	                    chartObject['fleetOccupancy']                   = chartData.fleetOccupancy;
        	                    chartObject['occupancyGoal']                    = chartData.occupancyGoal;
        	                    occupancyHighChart(chartObject);
        	                }else if (slug=='revenue'){
        	                    var headingDate                                 = '';
        	                    if(chartData.startDate){
        	                        headingDate                                 += chartData.startDate;
        	                    }
        	                    if(chartData.endDate){
        	                        headingDate                                 += ' - '+chartData.endDate;
        	                    }
        	                    var card                                        = $(contentId).closest('.card');
        	                    if(card.find('.headingDate').length > 0){
        	                        card.find('.headingDate').html(headingDate);
        	                    }

        	                    var chartObject                                 = {};
        	                    chartObject['chartId']                          = chartId;
        	                    chartObject['actualRevenue']                    = chartData.actualRevenue;
        	                    chartObject['targetRevenue']                    = chartData.targetRevenue;
        	                    revenueHighChart(chartObject);
        	                }else if (slug=='cpm'){
        	                    var headingDate                                 = '';
        	                    if(chartData.startDate){
        	                        headingDate                                 += chartData.startDate;
        	                    }
        	                    if(chartData.endDate){
        	                        headingDate                                 += ' - '+chartData.endDate;
        	                    }
        	                    var card                                        = $(contentId).closest('.card');
        	                    if(card.find('.headingDate').length > 0){
        	                        card.find('.headingDate').html(headingDate);
        	                    }

        	                    var chartObject                                 = {};
        	                    chartObject['chartId']                          = chartId;
        	                    chartObject['actualCPM']                        = chartData.actualCPM;
        	                    chartObject['targetCPM']                        = chartData.targetCPM;
        	                    cpmHighChart(chartObject);
        	                }else if (slug=='revenue_by_trailer_type'){
        	                    var headingDate                                 = '';
        	                    if(chartData.startDate){
        	                        headingDate                                 += chartData.startDate;
        	                    }
        	                    if(chartData.endDate){
        	                        headingDate                                 += ' - '+chartData.endDate;
        	                    }
        	                    var card                                        = $(contentId).closest('.card');
        	                    if(card.find('.headingDate').length > 0){
        	                        card.find('.headingDate').html(headingDate);
        	                    }

        	                    var chartObject                                 = {};
        	                    chartObject['chartId']                          = chartId;
        	                    chartObject['revenueByTrailerType']             = chartData.revenueByTrailerType;
        	                    chartObject['revenueByTrailerTypeData']         = JSON.parse(chartData.revenueByTrailerTypeData);
        	                    revenueByTrailerTypeHighChart(chartObject);
        	                }
        	            }
        	        }else{
        	            toastr.error(response.message, {
        	                timeOut: 5000
        	            });
        	        }
        	    }else{
        	        toastr.error(response.message, {
        	            timeOut: 5000
        	        });
        	    }
        	}).fail(function(jqXHR, status, exception)  {
        	    if (jqXHR.status === 0) {
        	        error = 'Not connected.\nPlease verify your network connection.';
        	    } else if (jqXHR.status == 404) {
        	        error = 'The requested page not found. [404]';
        	    } else if (jqXHR.status == 500) {
        	        error = 'Internal Server Error [500].';
        	    } else if (exception === 'parsererror') {
        	        error = 'Requested JSON parse failed.';
        	    } else if (exception === 'timeout') {
        	        error = 'Time out error.';
        	    } else if (exception === 'abort') {
        	        error = 'Ajax request aborted.';
        	    } else {
        	        error = 'Uncaught Error.\n' + jqXHR.responseText;
        	    }
        	    toastr.error(error, {
        	        timeOut: 5000
        	    });
        	});
        	return false;
        }
        // Save the data to a fake HTTP server (emulated here with a setTimeout()).
        function saveData(data) {
            return new Promise(resolve => {
                setTimeout(() => {
                    //console.log( 'Saved', data );
                    $.ajax({
                        type: 'POST',
                        url: '<?php echo route("driver.admin.widget.notes.store"); ?>',
                        data: {
                            notes: data
                        },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    });
                    resolve();
                }, 500);
            });
        }
    </script>
    <script type="text/javascript">
        function occupancyHighChart(chartData){
            var plotColor       = "#E02020";
            var fleetOccupancy  = parseInt(chartData.fleetOccupancy);
            var occupancyGoal   = parseInt(chartData.occupancyGoal);
            if(fleetOccupancy >= occupancyGoal){
                plotColor       =  "#99cc01";
            }
            Highcharts.chart(chartData.chartId, {
                chart: {
                    type: 'gauge',
                    plotBackgroundColor: null,
                    //plotBackgroundImage: null,
                    plotBorderWidth: 0,
                    plotShadow: false,
                    //backgroundColor: null,
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: false
                },
                //background: null,
                credits: {
                    enabled: false
                },
                pane: [{
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null,
                }, {
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null
                }],
                yAxis: [{
                    min: 0,
                    max: 100,
                    lineColor: null,
                    minorTickInterval: 'auto',
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    minorTickPosition: 'outside',
                    minorTickColor: '#fff',
                    tickPixelInterval: '10',
                    tickWidth: 1,
                    tickLength: 10,
                    tickPosition: 'inside',
                    tickColor: '#fff',
                    labels: {
                        step: 10,
                        distance: -40,
                        useHTML: true,
                        style: {
                            fontFamily: 'Roboto',
                            fontWeight: '400',
                            fontSize: '75%',
                            left: '100%',
                            textShadow: '0',
                            color: '#aaaaaa'
                        }
                    },
                    title: {
                        text: null
                    },
                    plotBands: [
                        {
                            from: 0,
                            to: 100,
                            color: '#e7f2f8',
                            innerRadius: '85%',
                            outerRadius: '105%'
                        },
                        {
                            from: 0,
                            to: fleetOccupancy,
                            color: plotColor,
                            innerRadius: '85%',
                            outerRadius: '105%',
                        }
                    ]
                }, {
                    pane: 1,
                    min: 0,
                    max: 100,
                    labels: {
                        enabled: false
                    },
                    tickWidth: 0,
                    tickLength: 0,
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    lineWidth: 0
                }],
                plotOptions: {
                    gauge: {
                        dataLabels: {
                            enabled: true,
                            useHTML: true,
                            formatter: function () {
                                var mbps = this.y;
                                return '<span class="rpGaugeLabel" style="text-align:center;display:block;">' + mbps + '%<span style="font-size:88%;text-align:center;display:block;">Occupancy</span></span>';
                            },
                            style: {
                                fontFamily: 'Roboto',
                                fontWeight: '300',
                                fontSize: '113%',
                                textShadow: '0',
                                color: '#666'
                            },
                            borderColor: 'transparent',
                        },
                        dial: {
                            radius: '95%',
                            backgroundColor: '#ccc',
                            borderWidth: 0,
                            baseWidth: 5,
                            topWidth: 1,
                            baseLength: '40%', // of radius
                            rearLength: '0%'
                        },
                        pivot: {
                            backgroundColor: '#bbb',
                            radius: 7
                        }
                    }
                },
                series: [
                    {
                        yAxis: 1,
                        name: 'Occupancy',
                        data: [fleetOccupancy],
                        tooltip: {
                            valueSuffix: '%'
                        },
                    },
                    {
                        name: 'Goal',
                        isRectanglePoint: false,
                        type: 'gauge',
                        data: [occupancyGoal],
                        tooltip: {
                            valueSuffix: '%'
                        },
                        dial: {
                            backgroundColor: Highcharts.getOptions().colors[2],
                            rearLength: '-81%',
                            topWidth: '4',
                            borderWidth: '0',
                            radius: '105%',
                            baseLength: '90%'
                        },
                        dataLabels: {
                            enabled: true
                        },
                        pivot: {
                            radius: 0
                        }
                    }
                ]
            });
        }
        function revenueHighChart(chartData){
            var plotColor       = "#E02020";
            var actualRevenue   = parseFloat(chartData.actualRevenue);
            var targetRevenue   = parseFloat(chartData.targetRevenue);
            if(actualRevenue >= targetRevenue){
                plotColor       =  "#99cc01";
            }
            var maxRevenue      = 100;
            if(targetRevenue > actualRevenue){
                if(targetRevenue > 0){
                    maxRevenue  = targetRevenue;
                }
            }else{
                if(actualRevenue > 0){
                    maxRevenue  = actualRevenue;
                }
            }

            Highcharts.chart(chartData.chartId, {
                chart: {
                    type: 'gauge',
                    plotBackgroundColor: null,
                    //plotBackgroundImage: null,
                    plotBorderWidth: 0,
                    plotShadow: false,
                    //backgroundColor: null,
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: false
                },
                //background: null,
                credits: {
                    enabled: false
                },
                pane: [{
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null,
                }, {
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null
                }],
                yAxis: [{
                    min: 0,
                    max: maxRevenue,
                    lineColor: null,
                    minorTickInterval: 'auto',
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    minorTickPosition: 'outside',
                    minorTickColor: '#fff',
                    tickPixelInterval: '10',
                    tickWidth: 1,
                    tickLength: 10,
                    tickPosition: 'inside',
                    tickColor: '#fff',
                    labels: {
                        step: 5,
                        distance: -35,
                        useHTML: true,
                        style: {
                            fontFamily: 'Roboto',
                            fontWeight: '400',
                            fontSize: '75%',
                            left: '100%',
                            textShadow: '0',
                            color: '#aaaaaa'
                        }
                    },
                    title: {
                        text: null
                    },
                    plotBands: [
                        {
                            from: 0,
                            to: maxRevenue,
                            color: '#e7f2f8',
                            innerRadius: '85%',
                            outerRadius: '105%'
                        },
                        {
                            from: 0,
                            to: actualRevenue,
                            color: plotColor,
                            innerRadius: '85%',
                            outerRadius: '105%',
                        }
                    ]
                }, {
                    pane: 1,
                    min: 0,
                    max: maxRevenue,
                    labels: {
                        enabled: false
                    },
                    tickWidth: 0,
                    tickLength: 0,
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    lineWidth: 0
                }],
                plotOptions: {
                    gauge: {
                        dataLabels: {
                            enabled: true,
                            useHTML: true,
                            formatter: function () {
                                var revenue = this.y;
                                return '$'+Highcharts.numberFormat(revenue, 2, '.', ',');
                            },
                            style: {
                                fontFamily: 'Roboto',
                                fontWeight: '300',
                                fontSize: '113%',
                                textShadow: '0',
                                color: '#666'
                            },
                            borderColor: 'transparent',
                        },
                        dial: {
                            radius: '95%',
                            backgroundColor: '#ccc',
                            borderWidth: 0,
                            baseWidth: 5,
                            topWidth: 1,
                            baseLength: '40%', // of radius
                            rearLength: '0%'
                        },
                        pivot: {
                            backgroundColor: '#bbb',
                            radius: 7
                        }
                    }
                },
                series: [
                    {
                        yAxis: 1,
                        name: 'Revenue',
                        data: [actualRevenue],
                        tooltip: {
                            valuePrefix: '$'
                        },
                    },
                    {
                        name: 'Goal',
                        isRectanglePoint: false,
                        type: 'gauge',
                        data: [targetRevenue],
                        tooltip: {
                            shared: true,
                            headerFormat: "",
                            pointFormatter: function() {
                                return "\u003cspan style=\"color:" + this.series.color + "\"\u003e■\u003c/span\u003e " + this.series.name + ": \u003cb\u003e$" + Highcharts.numberFormat(this.y, 2, '.', ',') + "\u003c/b\u003e\u003cbr/\u003e"
                            }
                        },
                        dial: {
                            backgroundColor: Highcharts.getOptions().colors[2],
                            rearLength: '-81%',
                            topWidth: '4',
                            borderWidth: '0',
                            radius: '105%',
                            baseLength: '90%'
                        },
                        dataLabels: {
                            enabled: true
                        },
                        pivot: {
                            radius: 0
                        }
                    }
                ]
            });
        }
        function cpmHighChart(chartData){
            var plotColor       = "#E02020";
            var targetCPM       = parseFloat(chartData.targetCPM);
            var actualCPM       = parseFloat(chartData.actualCPM);
            if(actualCPM >= targetCPM){
                plotColor       =  "#99cc01";
            }
            var maxCPM          = 100;
            if(targetCPM > actualCPM){
                if(targetCPM > 0){
                    maxCPM      = targetCPM;
                }
            }else{
                if(actualCPM > 0){
                    maxCPM      = actualCPM;
                }
            }

            Highcharts.chart(chartData.chartId, {
                chart: {
                    type: 'gauge',
                    plotBackgroundColor: null,
                    //plotBackgroundImage: null,
                    plotBorderWidth: 0,
                    plotShadow: false,
                    //backgroundColor: null,
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: false
                },
                //background: null,
                credits: {
                    enabled: false
                },
                pane: [{
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null,
                }, {
                    startAngle: -100,
                    endAngle: 100,
                    center: ['50%', '60%'],
                    background: null
                }],
                yAxis: [{
                    min: 0,
                    max: maxCPM,
                    lineColor: null,
                    minorTickInterval: 'auto',
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    minorTickPosition: 'outside',
                    minorTickColor: '#fff',
                    tickPixelInterval: '30',
                    tickWidth: 1,
                    tickLength: 10,
                    tickPosition: 'inside',
                    tickColor: '#fff',
                    labels: {
                        step: 5,
                        distance: -40,
                        useHTML: true,
                        style: {
                            fontFamily: 'Roboto',
                            fontWeight: '400',
                            fontSize: '75%',
                            left: '100%',
                            textShadow: '0',
                            color: '#aaaaaa'
                        }
                    },
                    title: {
                        text: null
                    },
                    plotBands: [
                        {
                            from: 0,
                            to: maxCPM,
                            color: '#e7f2f8',
                            innerRadius: '85%',
                            outerRadius: '105%'

                        },
                        {
                            from: 0,
                            to:  actualCPM,
                            color: plotColor,
                            innerRadius: '85%',
                            outerRadius: '105%',
                        }
                    ]
                }, {
                    pane: 1,
                    min: 0,
                    max: maxCPM,
                    labels: {
                        enabled: false
                    },
                    tickWidth: 0,
                    tickLength: 0,
                    minorTickWidth: 0,
                    minorTickLength: 0,
                    lineWidth: 0
                }],
                plotOptions: {
                    gauge: {
                        dataLabels: {
                            enabled: true,
                            useHTML: true,
                            formatter: function () {
                                var cpm = this.y;
                                return '$'+Highcharts.numberFormat(cpm, 2, '.', ',');
                            },
                            style: {
                                fontFamily: 'Roboto',
                                fontWeight: '300',
                                fontSize: '113%',
                                textShadow: '0',
                                color: '#666'
                            },
                            borderColor: 'transparent',
                        },
                        dial: {
                            radius: '95%',
                            backgroundColor: '#ccc',
                            borderWidth: 0,
                            baseWidth: 5,
                            topWidth: 1,
                            baseLength: '40%', // of radius
                            rearLength: '0%'
                        },
                        pivot: {
                            backgroundColor: '#bbb',
                            radius: 7
                        }
                    }
                },
                series: [{
                        yAxis: 1,
                        name: 'CPM',
                        data: [actualCPM],
                        tooltip: {
                            valuePrefix: '$'
                        },
                    },
                    {
                        name: 'Goal',
                        isRectanglePoint: false,
                        type: 'gauge',
                        data: [targetCPM],
                        tooltip: {
                            shared: true,
                            headerFormat: "",
                            pointFormatter: function() {
                                return "\u003cspan style=\"color:" + this.series.color + "\"\u003e■\u003c/span\u003e " + this.series.name + ": \u003cb\u003e$" + Highcharts.numberFormat(this.y, 2, '.', ',') + "\u003c/b\u003e\u003cbr/\u003e"
                            }
                        },
                        dial: {
                            backgroundColor: Highcharts.getOptions().colors[2],
                            rearLength: '-81%',
                            topWidth: '4',
                            borderWidth: '0',
                            radius: '105%',
                            baseLength: '90%'
                        },
                        dataLabels: {
                            enabled: true
                        },
                        pivot: {
                            radius: 0
                        }
                    }
                ]
            });
        }
        function trailerTypeHighChart(chartData) {
            var trailerType     = parseInt(chartData.trailerType);
            var trailerTypeData = chartData.trailerTypeData;

            var arraData        = [];
            $.each(trailerTypeData, function(key, value) {
                arraData.push([key, parseFloat(value)]);
            });

            var chart           = new Highcharts.Chart({
                chart: {
                    renderTo: chartData.chartId,
                    type: 'pie',
                    events: {
                        load: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text(trailerType+'<br>Trailers', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        },
                        redraw: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text(trailerType+'<br>Trailers', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        }
                    },
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                },
                title: {
                    text: "",
                    margin: 0,
                    y: 0,
                    x: 0,
                    align: 'center',
                    verticalAlign: 'middle',
                },
                exporting: {
                    enabled: false
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: true
                        },
                        showInLegend: true,
                        innerSize: '60%'
                    }
                },
                legend: {
                    align: 'right',
                    verticalAlign: 'middle',
                    layout: 'vertical'
                },
                series: [{
                    data: arraData
                }],
                responsive: {
                    rules: [{
                        condition: {
                            maxWidth: 500
                        },
                        chartOptions: {
                            legend: {
                                align: 'center',
                                verticalAlign: 'bottom',
                                layout: 'horizontal'
                            }
                        }
                    }]
                }
            });
        }
        function revenueByTrailerTypeHighChart(chartData) {
            var revenueByTrailerType        = parseFloat(chartData.revenueByTrailerType);
            var revenueByTrailerTypeData    = chartData.revenueByTrailerTypeData;

            var arraData                    = [];
            $.each(revenueByTrailerTypeData, function(key, value) {
                arraData.push([key, parseFloat(value)]);
            });

            var chart = new Highcharts.Chart({
                tooltip: {
                    formatter: function() {
                        return this.point.name + ': <b>' + '$' + Highcharts.numberFormat(this.y, 2, '.', ',') + '</b>';
                    }
                },
                chart: {
                    renderTo: chartData.chartId,
                    type: 'pie',
                    events: {
                        load: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text('$' + Highcharts.numberFormat(revenueByTrailerType, 2, '.', ',')+'<br>Revenue', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        },
                        redraw: function () {
                            if (this.title) {
                                this.title.destroy();
                            }
                            var r = this.renderer,
                                x = this.series[0].center[0],
                                y = this.series[0].center[1];

                            this.title = r.text('$' + Highcharts.numberFormat(revenueByTrailerType, 2, '.', ',')+'<br>Revenue', x, y, true)
                                .css({
                                'text-align': 'center',
                                fontSize: '100%'
                            }).hide()
                                .add();

                            var bbox = this.title.getBBox();
                            this.title.attr({
                                x: x - (bbox.width / 2),
                                y: y - bbox.height / 4
                            }).show();
                        }
                    },
                    marginLeft:0,
                    marginRight:0,
                    marginTop:0,
                    spacingTop: 0,
                    spacingBottom: 0,
                    spacingLeft: 0,
                    spacingRight: 0,
                },
                title: {
                    text: "", //'$' + Highcharts.numberFormat(revenueByTrailerType, 2, '.', ',')+'<br>Revenue'
                    margin: 0,
                    y: 0,
                    x: 0,
                    align: 'center',
                    verticalAlign: 'middle',
                },
                exporting: {
                    enabled: false
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: true
                        },
                        showInLegend: true,
                        innerSize: '60%',
                    }
                },
                legend: {
                    align: 'right',
                    verticalAlign: 'middle',
                    layout: 'vertical'
                },
                series: [{
                    data: arraData
                }],
                responsive: {
                    rules: [{
                        condition: {
                            maxWidth: 500
                        },
                        chartOptions: {
                            legend: {
                                align: 'center',
                                verticalAlign: 'bottom',
                                layout: 'horizontal'
                            }
                        }
                    }]
                }
            });
        }
        function revenueActualVsGoalHighChart(chartData) {
            Highcharts.chart(chartData.chartId, {
                chart: {
                    type: 'column',
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: false
                },
                xAxis: {
                    categories: chartData.weeks
                },
                yAxis: [{
                    min: 0,
                    labels: {
                        formatter: function() {
                            return '$' + this.axis.defaultLabelFormatter.call(this);
                        }
                    },
                    title: {
                        text: null
                    }
                }],
                legend: {
                    shadow: false
                },
                tooltip: {
                    shared: true
                },
                plotOptions: {
                    column: {
                        grouping: false,
                        shadow: false,
                        borderWidth: 0
                    }
                },
                series: [{
                    name: 'Actual Revenue',
                    color: 'rgba(165,170,217,1)',
                    data: chartData.actualRevenue,
                    tooltip: {
                        pointFormatter: function() {
                            return "\u003cspan style=\"color:" + this.series.color + "\"\u003e■\u003c/span\u003e " + this.series.name + ": \u003cb\u003e$" + Highcharts.numberFormat(this.y, 2, '.', ',') + "\u003c/b\u003e\u003cbr/\u003e"
                        }
                    },
                    pointPadding: 0.3,
                    pointPlacement: -0.2
                }, {
                    name: 'Revenue Goal',
                    color: 'rgba(126,86,134,.9)',
                    data: chartData.targetRevenue,
                    tooltip: {
                        pointFormatter: function() {
                            return "\u003cspan style=\"color:" + this.series.color + "\"\u003e■\u003c/span\u003e " + this.series.name + ": \u003cb\u003e$" + Highcharts.numberFormat(this.y, 2, '.', ',') + "\u003c/b\u003e\u003cbr/\u003e"
                        }
                    },
                    pointPadding: 0.4,
                    pointPlacement: -0.2
                }]
            });
        }
        function revenueOccupancyVsGoalHighChart(chartData) {
            Highcharts.chart(chartData.chartId, {
                chart: {
                    type: 'column'
                },
                title: {
                    text: null
                },
                exporting: {
                    enabled: false
                },
                xAxis: {
                    categories: chartData.weeks
                },
                yAxis: [{
                    min: 0,
                    max: 100,
                    labels: {
                        formatter: function() {
                            return this.axis.defaultLabelFormatter.call(this) + '%';
                        }
                    },
                    title: {
                        text: null
                    }
                }],
                legend: {
                    shadow: false
                },
                tooltip: {
                    shared: true
                },
                plotOptions: {
                    column: {
                        grouping: false,
                        shadow: false,
                        borderWidth: 0
                    }
                },
                series: [{
                    name: 'Fleet Occupancy',
                    color: 'rgba(248,161,63,1)',
                    data: chartData.fleetOccupancy,
                    tooltip: {
                        valueSuffix: '%'
                    },
                    pointPadding: 0.3,
                    pointPlacement: -0.2
                }, {
                    name: 'Occupancy Goal',
                    color: 'rgba(186,60,61,.9)',
                    data: chartData.occupancyGoal,
                    tooltip: {
                        valueSuffix: '%'
                    },
                    pointPadding: 0.4,
                    pointPlacement: -0.2
                }]
            });
        }
        function revenueOccupancyHighChart(chartData) {
            Highcharts.chart(chartData.chartId, {
                title: {
                    text: null
                },
                exporting: {
                    enabled: false
                },
                xAxis: [{
                    categories: chartData.weeks,
                    crosshair: true
                }],
                yAxis: [{ // Primary yAxis
                        title: {
                            text: 'Revenue',
                            style: {
                                color: Highcharts.getOptions().colors[0]
                            }
                        },
                        labels: {
                            formatter: function() {
                                return '$' + this.axis.defaultLabelFormatter.call(this);
                            },
                            style: {
                                color: Highcharts.getOptions().colors[0]
                            }
                        }
                    },
                    { // Secondary yAxis
                        labels: {
                            format: '{value}%',
                            style: {
                                color: Highcharts.getOptions().colors[1]
                            }
                        },
                        title: {
                            text: 'Occupancy',
                            style: {
                                color: Highcharts.getOptions().colors[1]
                            }
                        },
                        opposite: true
                    },
                ],
                tooltip: {
                    shared: true
                },
                legend: {
                    shadow: false
                },
                series: [{
                        name: 'Revenue',
                        type: 'column',
                        data: chartData.actualRevenue,
                        tooltip: {
                            pointFormatter: function() {
                                return "\u003cspan style=\"color:" + this.series.color + "\"\u003e■\u003c/span\u003e " + this.series.name + ": \u003cb\u003e$" + Highcharts.numberFormat(this.y, 2, '.', ',') + "\u003c/b\u003e\u003cbr/\u003e"
                            }
                        }
                    },
                    {
                        name: 'Occupancy',
                        type: 'spline',
                        yAxis: 1,
                        data: chartData.fleetOccupancy,
                        tooltip: {
                            valueSuffix: '%'
                        }
                    }
                ]
            });
        }
    </script>
    <script type="text/javascript">
        Highcharts.setOptions({
            lang: {
                decimalPoint: '.',
                thousandsSep: ','
            }
        });
    </script>
    <script type="text/javascript">
        $("#modalOneModal").on('click', ".card", function (event) {
            event.preventDefault();
            var card        = $(this);
            var id          = card.attr('data-id');
            var slug        = card.attr('data-slug');
            var isDelete    = card.attr('data-is_delete');
            if(slug){
                if(isDelete==1){
                    $.ajax({
                        type: 'POST',
                        url: '<?php echo route("driver.admin.widget.restore"); ?>',
                        data: { id: id, slug:slug },
                        dataType: 'json',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        async: false
                    }).done(function(response) {
                        if(response.success){
                            var widget              = response.widget;
                            var properties          = JSON.parse(widget.properties);

                            var slug                = widget.slug;
                            if(slug=='occupancy' || slug=='revenue' || slug=='cpm'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 3,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='trailer_type'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 3,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='target_actual_revenue'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 12,
                                    //minH: 4,
                                    content: properties.content
                                });
                            }else if (slug=='loads_in_transit'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 12,
                                    //minH: 4,
                                    content: properties.content
                                });
                            }else if (slug=='revenue_by_trailer_type'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 6,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='loads_stats'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 4,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='revenue_actual_vs_goal' || slug=='revenue_occupancy_vs_goal' || slug=='revenue_occupancy'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 12,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='events'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 4,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='notes'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 8,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='compel_announcements'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 4,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }else if (slug=='company_announcements'){
                                grid.addWidget({
                                    x:properties.x,
                                    y:properties.y,
                                    w:properties.w,
                                    h:properties.h,
                                    id: widget.id,
                                    //minW: 4,
                                    //minH: 3,
                                    content: properties.content
                                });
                            }

                            var img     = card.find('img');
                            if(img.length > 0)
                                img.attr('src', widget.active_image);

                            setTimeout(function() {
                                card.attr('data-is_delete', 0);
                                $('#modalOneModal').modal('hide');
                            }, 1500);

                            toastr.success('Restored successfully', 'Success Alert', { timeOut: 5000 });
                        }
                    }).fail(function(jqXHR, status, exception)  {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, {
                            timeOut: 5000
                        });
                    });
                    return false;
                }
            }
        });
    </script>
    <script>
      (function(d,t) {
        var BASE_URL="https://chat.nextgenerationdesigns.com";
        var g=d.createElement(t),s=d.getElementsByTagName(t)[0];
        g.src=BASE_URL+"/packs/js/sdk.js";
        g.defer = true;
        g.async = true;
        s.parentNode.insertBefore(g,s);
        g.onload=function(){
          window.chatwootSDK.run({
            websiteToken: 'Moqrd8LsREUuWsmspePfzRng',
            baseUrl: BASE_URL
          })
        }
      })(document,"script");
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($driverAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/driverAdmin/home.blade.php ENDPATH**/ ?>