<div class="left-menu ngd-left-menu ">
    <a href="<?php echo e(route('company.admin.home')); ?>" class="left-logo">
        <img src="<?php echo e(asset('theme/img/logo.png')); ?>" alt="Logo">
    </a>
    <div class="left-responsive">
        <ul>
            <li>
                <a href="javascript:void(0);">
                    <span style="background-image: url('<?php echo e(asset('theme/images/left-dashboard-icon.png')); ?>');"></span>
                </a>
            </li>
            <?php if(hasPermission(config('settings.company_admin_modules.reports'),config('settings.permissions.view'))): ?>
                <li>
                    <a href="<?php echo e(route('company.admin.loads.by.week.index')); ?>">
                        <span style="background-image: url('<?php echo e(asset('theme/images/left-dispatch-hub-icon.png')); ?>');"></span>
                    </a>
                </li>
            <?php endif; ?>
            <li>
                <a href="javascript:void(0);">
                    <span style="background-image: url('<?php echo e(asset('theme/images/left-loads-selected-icon.png')); ?>');"></span>
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <span style="background-image: url('<?php echo e(asset('theme/images/left-user-icon.png')); ?>');"></span>
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <span style="background-image: url('<?php echo e(asset('theme/images/left-calendar-icon.png')); ?>');"></span>
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <span style="background-image: url('<?php echo e(asset('theme/images/left-chat-icon.png')); ?>');"></span>
                </a>
            </li>
            <li>
                <a href="javascript:void(0);">
                    <span style="background-image: url('<?php echo e(asset('theme/images/left-brief-icon.png')); ?>');"></span>
                </a>
            </li>
        </ul>
        <ul class="left-bottom">
            <li>
                <div class="dropup">
                    <a
                        href="javascript:void(0);"
                        id="dropdownMenuButton"
                        data-toggle="dropdown"
                        aria-haspopup="true"
                        aria-expanded="false">
                        <span style="background-image: url('<?php echo e(asset('theme/images/left-settion-icon.png')); ?>');"></span>
                    </a>
                    <div class="dropdown-menu setting-menu" aria-labelledby="dropdownMenuLink">
                        <a
                            class="dropdown-item setting-menu-item"
                           href="<?php echo e(route('company.admin.integration.index')); ?>">
                            <i class="fa fa-cloud-download"></i> App Center
                        </a>
                        <a
                            class="dropdown-item setting-menu-item"
                          href="<?php echo e(route('company.admin.notifications-status.index')); ?>">
                            <i class="fa fa-bell"></i> Notifications
                        </a>

                        <?php if(auth()->guard('company-admin')->user()->type=='0' || auth()->guard('company-admin')->user()->type=='1'): ?>
                            <a class="dropdown-item setting-menu-item" href="<?php echo e(route('company.admin.setting.index')); ?>"><i class="fa fa-industry" ></i> Company Setting</a>
                        <?php endif; ?>
                        <a
                            class="dropdown-item setting-menu-item"
                            href="<?php echo e(route('company.admin.account.index')); ?>">
                            <i class="fa fa-toggle-on"></i> Account Setting
                        </a>
                    </div>
                </div>
            </li>
            <li class="">
                <a href="javascript:void(0);" class="menuToggle">
                    <span style="background-image: url('<?php echo e(asset('theme/images/left-menu-icon.png')); ?>');"></span>
                </a>
            </li>
        </ul>
    </div>
</div>


<?php if(auth()->guard('company-admin')->user()): ?>
<div class="left-menu-open ngdNew-left-menu left-menu-open-left
    <?php echo e(Request::is('company-admin/chart-of-accounts') ||
        Request::is('company-admin/dispatch-pro-announcement*') ||
        Request::is('company-admin/announcement*') ||
        Request::is('company-admin/roles*') ||
        Request::is('company-admin/galleries*') ||
        Request::is('company-admin/request-documents*') ||
        Request::is('company-admin/maintenance-ticket-types*') ||
        Request::is('company-admin/maintenance-appointment-types*') ||
        Request::is('company-admin/driver-hos-violation-code*') ||
        Request::is('company-admin/driver-citations-violation-code*') ||
        Request::is('company-admin/driver-accident-violation-code*') ||
        Request::is('company-admin/driver-inspection-level*') ||
        Request::is('company-admin/driver-disciplinary-action*') ||
        Request::is('company-admin/company-holiday*') ||
        Request::is('company-admin/leave-type*') ||
        Request::is('company-admin/manage-type*') ||
        Request::is('company-admin/trailer-types*') ||
        Request::is('company-admin/load-document*') ||
        Request::is('company-admin/load-requirement*') ||
        Request::is('company-admin/accessorial*') ||
        Request::is('company-admin/commodity*') ||
        Request::is('company-admin/terms*') ||
        Request::is('company-admin/integration-settings')||
        Request::is('company-admin/truck-types*')||
        Request::is('company-admin/work-order-documents*')||
        Request::is('company-admin/safety-and-compliance-documents*')||
        Request::is('company-admin/onboarding-documents*') ||
        Request::is('company-admin/deduction-names*') ||
        Request::is('company-admin/recruiting-source*') ||
        Request::is('company-admin/insurance-types*') ||
        Request::is('company-admin/insurance-profiles*') ||
        Request::is('company-admin/pm-service-profiles*')  ||
        Request::is('company-admin/pm-types*') ||
        Request::is('company-admin/pm-service-types*') ||
        Request::is('company-admin/pm-warranty-providers*') ||
        Request::is('company-admin/equipment-titles*') ||
        Request::is('company-admin/equipment-profiles*') ||
        Request::is('company-admin/document-titles*') ||
        Request::is('company-admin/on-board-document-profiles*') ||
        Request::is('company-admin/drop-locations*') ||
        Request::is('company-admin/usage*') ||
        Request::is('company-admin/email-templates*')
        ? '' : 'menu-close'); ?>">
<?php else: ?>
<div class="left-menu-open ngdNew-left-menu left-menu-open-left menu-close">
<?php endif; ?>
        <div class="left-responsive-open">
            <ul class="left-menus">
                <li>
                    <a href="javascript:void(0);"><b>Admin Setting</b></a>
                </li>
                <li>
                    <a href="javascript:void(0);">Company</a>
                </li>

                <li>
                    <a href="javascript:void(0);">Billing and Subscription</a>
                </li>
                <?php if(hasPermission(config('settings.company_admin_modules.usage'),config('settings.permissions.view'))): ?>
                    <li>
                        <div class="dropdown <?php echo e(Request::is('company-admin/usage*') ? 'show' : ''); ?>">
                            <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Usage
                            </button>
                            <div class="dropdown-menu <?php echo e(Request::is('company-admin/usage*') ? 'show' : ''); ?>" aria-labelledby="dropdownMenuButton1">
                                <a href="<?php echo e(route('company.admin.usage.email.index')); ?>" class="dropdown-item <?php echo e(Request::is('company-admin/usage/email*') ? 'active' : ''); ?>">Email</a>
                                <a href="<?php echo e(route('company.admin.usage.sms.index')); ?>" class="dropdown-item <?php echo e(Request::is('company-admin/usage/sms*') ? 'active' : ''); ?>">SMS</a>
                            </div>
                        </div>
                    </li>
                <?php endif; ?>
                <li>
                    <div class="dropdown <?php echo e(Request::is('company-admin/chart-of-accounts*') ? 'show' : ''); ?>">
                        <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Accounting
                        </button>
                        <div class="dropdown-menu <?php echo e(Request::is('company-admin/chart-of-accounts*') ? 'show' : ''); ?>" aria-labelledby="dropdownMenuButton2">
                            <?php if(hasPermission(config('settings.company_admin_modules.chart_of_accounts'),config('settings.permissions.view'))): ?>
                                <a href="<?php echo e(route('company.admin.chart-of-accounts.index')); ?>" class="dropdown-item <?php echo e(Request::is('company-admin/chart-of-accounts*') ? 'active' : ''); ?>">Chart Of Account</a>
                            <?php endif; ?>
                        </div>
                    </div>
                </li>

                 <li>
                    <a href="javascript:void(0);"> Operations</a>
                </li>

                 <li>
                    <a href="javascript:void(0);"> Events</a>
                </li>
                <?php if(
                    hasPermission(config('settings.company_admin_modules.compel_announcement'),config('settings.permissions.view')) ||
                    hasPermission(config('settings.company_admin_modules.announcement'),config('settings.permissions.view'))
                ): ?>
                <li>
                    <div class="dropdown <?php echo e(Request::is('company-admin/dispatch-pro-announcement*') || Request::is('company-admin/announcement*') ? 'show' : ''); ?>">
                        <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Announcements
                        </button>
                        <div class="dropdown-menu <?php echo e(Request::is('company-admin/dispatch-pro-announcement*') || Request::is('company-admin/announcement*') ? 'show' : ''); ?>" aria-labelledby="dropdownMenuButton1">
                            <?php if(hasPermission(config('settings.company_admin_modules.compel_announcement'),config('settings.permissions.view'))): ?>
                                <a href="<?php echo e(route('company.admin.compel.announcement.index')); ?>" class="dropdown-item <?php echo e(Request::is('company-admin/dispatch-pro-announcement*') ? 'active' : ''); ?>">Dispatch Pro Announcement</a>
                            <?php endif; ?>

                            <?php if(hasPermission(config('settings.company_admin_modules.announcement'),config('settings.permissions.view'))): ?>
                                <a href="<?php echo e(route('company.admin.announcement.index')); ?>" class="dropdown-item <?php echo e(Request::is('company-admin/announcement*') ? 'active' : ''); ?>">
                                    <?php if(auth()->guard('company-admin')->user()->type=='0' || auth()->guard('company-admin')->user()->type=='1'): ?>
                                        Company Announcement
                                    <?php else: ?>
                                        Company Announcement
                                    <?php endif; ?>
                                </a>
                            <?php endif; ?>
                        </div>
                    </div>
                </li>
                <?php endif; ?>
                <?php if(hasPermission(config('settings.company_admin_modules.email_templates'),config('settings.permissions.view'))): ?>
                    <li>
                        <div class="dropdown <?php echo e(Request::is('company-admin/email-templates*') ? 'show' : ''); ?>">
                            <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Templates
                            </button>
                            <div class="dropdown-menu <?php echo e(Request::is('company-admin/email-templates*') ? 'show' : ''); ?>" aria-labelledby="dropdownMenuButton1">
                                <?php if(hasPermission(config('settings.company_admin_modules.email_templates'),config('settings.permissions.view'))): ?>
                                    <a href="<?php echo e(route('company.admin.email-templates.index')); ?>" class="dropdown-item <?php echo e(Request::is('company-admin/email-templates*') ? 'active' : ''); ?>">Email Templates</a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </li>
                <?php endif; ?>
                <?php if(hasPermission(config('settings.company_admin_modules.roles'),config('settings.permissions.view'))): ?>
                 <li>
                    <a href="<?php echo e(route('company.admin.role.index')); ?>" class="<?php echo e(Request::is('company-admin/roles*') ? 'active' : ''); ?>"> Roles and Permissions</a>
                </li>
                <?php endif; ?>
                <?php if(hasPermission(config('settings.company_admin_modules.request_documents'),config('settings.permissions.view'))): ?>
                    <li> <a href="<?php echo e(route('company.admin.request-documents.index')); ?>" class="<?php echo e(Request::is('company-admin/galleries*') ? 'active' : ''); ?> <?php echo e(Request::is('company-admin/request-documents*') ? 'active' : ''); ?>">Request Document</a></li>
                <?php endif; ?>
                <?php if(hasPermission(config('settings.company_admin_modules.insurance_profiles'),config('settings.permissions.view')) || hasPermission(config('settings.company_admin_modules.pm_service_profiles'),config('settings.permissions.view')) || hasPermission(config('settings.company_admin_modules.equipment_profiles'),config('settings.permissions.view'))): ?>
                <li class="mb-0">
                    <a class="accordion-heading" data-toggle="collapse" data-target="#submenu1">
                        <span class="nav-header-primary">Profiles</span>
                    </a>
                    <ul class="nav nav-list collapse <?php echo e((Request::is('company-admin/insurance-profiles*') || Request::is('company-admin/pm-service-profiles*') || Request::is('company-admin/equipment-profiles*') || Request::is('company-admin/on-board-document-profiles*')) ? 'show' : ''); ?>" id="submenu1">
                        <li class="mb-0">
                            <a class="accordion-heading" data-toggle="collapse" data-target="#submenu2">Truck Profiles</a>
                            <ul class="nav nav-list collapse <?php echo e((Request::is('company-admin/insurance-profiles*') || Request::is('company-admin/pm-service-profiles*') || Request::is('company-admin/equipment-profiles*') || Request::is('company-admin/on-board-document-profiles*')) ? 'show' : ''); ?>" id="submenu2">
                                <?php if(hasPermission(config('settings.company_admin_modules.insurance_profiles'),config('settings.permissions.view'))): ?>
                                    <li class="mb-0"><a href="<?php echo e(route('company.admin.insurance-profiles.index')); ?>" class="<?php echo e(Request::is('company-admin/insurance-profiles*') ? 'active' : ''); ?>">Insurance Profiles</a></li>
                                <?php endif; ?>
                                <?php if(hasPermission(config('settings.company_admin_modules.pm_service_profiles'),config('settings.permissions.view'))): ?>
                                    <li class="mb-0"><a href="<?php echo e(route('company.admin.pm-service-profiles.index')); ?>" class="<?php echo e(Request::is('company-admin/pm-service-profiles*') ? 'active' : ''); ?>">PM Maintenance & Services</a></li>
                                <?php endif; ?>
                                <?php if(hasPermission(config('settings.company_admin_modules.equipment_profiles'),config('settings.permissions.view'))): ?>
                                    <li class="mb-0"><a href="<?php echo e(route('company.admin.equipment-profiles.index')); ?>" class="<?php echo e(Request::is('company-admin/equipment-profiles*') ? 'active' : ''); ?>">Tools, Equipment & Accessories</a></li>
                                <?php endif; ?>
                                <?php if(hasPermission(config('settings.company_admin_modules.on_board_document_profiles'),config('settings.permissions.view'))): ?>
                                    <li class="mb-0"><a href="<?php echo e(route('company.admin.on-board-document-profiles.index')); ?>" class="<?php echo e(Request::is('company-admin/on-board-document-profiles*') ? 'active' : ''); ?>">On Board Document Profiles</a></li>
                                <?php endif; ?>
                            </ul>
                        </li>
                    </ul>
                </li>
                <?php endif; ?>
                <li>
                    <div class="dropdown
                    <?php echo e(Request::is('company-admin/maintenance-ticket-types*') ||
                        Request::is('company-admin/maintenance-appointment-types*') ||
                        Request::is('company-admin/driver-hos-violation-code*') ||
                        Request::is('company-admin/driver-citations-violation-code*') ||
                        Request::is('company-admin/driver-accident-violation-code*') ||
                        Request::is('company-admin/driver-inspection-level*') ||
                        Request::is('company-admin/driver-disciplinary-action*') ||
                        Request::is('company-admin/company-holiday*') ||
                        Request::is('company-admin/leave-type*') ||
                        Request::is('company-admin/manage-type*') ||
                        Request::is('company-admin/trailer-types*') ||
                        Request::is('company-admin/load-document*') ||
                        Request::is('company-admin/load-requirement*') ||
                        Request::is('company-admin/accessorial*') ||
                        Request::is('company-admin/commodity*') ||
                        Request::is('company-admin/terms*')||
                        Request::is('company-admin/truck-types*')||
                        Request::is('company-admin/work-order-documents*')||
                        Request::is('company-admin/safety-and-compliance-documents*')||
                        Request::is('company-admin/onboarding-documents*') ||
                        Request::is('company-admin/deduction-names*') ||
                        Request::is('company-admin/recruiting-source*') ||
                        Request::is('company-admin/insurance-types*') ||
                        Request::is('company-admin/pm-types*') ||
                        Request::is('company-admin/pm-service-types*') ||
                        Request::is('company-admin/pm-warranty-providers*') ||
                        Request::is('company-admin/equipment-titles*') ||
                        Request::is('company-admin/document-titles*') ||
                        Request::is('company-admin/drop-locations*')
                        ? 'show' : ''); ?>">
                        <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                             Lists
                        </button>
                        <div class="dropdown-menu
                        <?php echo e(Request::is('company-admin/maintenance-ticket-types*') ||
                            Request::is('company-admin/maintenance-appointment-types*') ||
                            Request::is('company-admin/driver-hos-violation-code*') ||
                            Request::is('company-admin/driver-citations-violation-code*') ||
                            Request::is('company-admin/driver-accident-violation-code*') ||
                            Request::is('company-admin/driver-inspection-level*') ||
                            Request::is('company-admin/driver-disciplinary-action*') ||
                            Request::is('company-admin/company-holiday*') ||
                            Request::is('company-admin/leave-type*') ||
                            Request::is('company-admin/manage-type*') ||
                            Request::is('company-admin/trailer-types*') ||
                            Request::is('company-admin/load-document*') ||
                            Request::is('company-admin/load-requirement*') ||
                            Request::is('company-admin/accessorial*') ||
                            Request::is('company-admin/commodity*') ||
                            Request::is('company-admin/terms*')||
                            Request::is('company-admin/truck-types*')||
                            Request::is('company-admin/work-order-documents*')||
                            Request::is('company-admin/safety-and-compliance-documents*')||
                            Request::is('company-admin/onboarding-documents*') ||
                            Request::is('company-admin/deduction-names*') ||
                            Request::is('company-admin/recruiting-source*') ||
                            Request::is('company-admin/insurance-types*') ||
                            Request::is('company-admin/pm-types*') ||
                            Request::is('company-admin/pm-service-types*') ||
                            Request::is('company-admin/pm-warranty-providers*') ||
                            Request::is('company-admin/equipment-titles*') ||
                            Request::is('company-admin/document-titles*') ||
                            Request::is('company-admin/drop-locations*')
                            ? 'show' : ''); ?>" aria-labelledby="dropdownMenuButton">
                            <?php if(hasPermission(config('settings.company_admin_modules.maintenance_ticket_types'),config('settings.permissions.view'))): ?>
                                <a href="<?php echo e(route('company.admin.maintenance-ticket-types.index')); ?>" class="dropdown-item <?php echo e(Request::is('company-admin/maintenance-ticket-types*') ? 'active' : ''); ?>">Maintenance Ticket Types</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.maintenance_ticket_types'),config('settings.permissions.view'))): ?>
                                <a href="<?php echo e(route('company.admin.maintenance-appointment-types.index')); ?>" class="dropdown-item <?php echo e(Request::is('company-admin/maintenance-appointment-types*') ? 'active' : ''); ?>">Maintenance App Types</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.violation_codes.vendors'),config('settings.permissions.view'))): ?>
                                <a href="<?php echo e(route('company.admin.driver-hos-violation-code.index')); ?>" class="dropdown-item <?php echo e(Request::is('company-admin/driver-hos-violation-code*') ? 'active' : ''); ?>">Violations - Drivers </a>
                                <a href="<?php echo e(route('company.admin.driver-citations-violation-code.index')); ?>" class="dropdown-item <?php echo e(Request::is('company-admin/driver-citations-violation-code*') ? 'active' : ''); ?>">Violations - Citations </a>
                                <a href="<?php echo e(route('company.admin.driver-accident-violation-code.index')); ?>" class="dropdown-item <?php echo e(Request::is('company-admin/driver-accident-violation-code*') ? 'active' : ''); ?>">Violations - Accident</a>
                                <a href="<?php echo e(route('company.admin.driver-inspection-level.index')); ?>" class="dropdown-item <?php echo e(Request::is('company-admin/driver-inspection-level*') ? 'active' : ''); ?>">Inspection Levels </a>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/driver-disciplinary-action*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.driver-disciplinary-action.index')); ?>">Disciplinary Action</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.company_holiday'),config('settings.permissions.view'))): ?>
                            <a href="<?php echo e(route('company.admin.company-holiday.index')); ?>" class="dropdown-item <?php echo e(Request::is('company-admin/company-holiday*') ? 'active' : ''); ?>">Holidays</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.leave_type'),config('settings.permissions.view')) || hasPermission(config('settings.company_admin_modules.leave_type'),config('settings.permissions.edit'))): ?>
                                <a href="<?php echo e(route('company.admin.leave-type.index')); ?>" class="<?php echo e(Request::is('company-admin/leave-type*') ? 'active' : ''); ?> dropdown-item"> Leave Type</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.manage_type'),config('settings.permissions.view'))): ?>
                                <a href="<?php echo e(route('company.admin.manage-type.index')); ?>" class="dropdown-item <?php echo e(Request::is('company-admin/manage-type*') ? 'active' : ''); ?>">Manage Type</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.trailer_types'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/trailer-types*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.trailer-types.index')); ?>">Trailers Types</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.load_document'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/load-document*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.load-document.index')); ?>">Load Document</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.load_requirements_items'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/load-requirements-items*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.load-requirements-items.index')); ?>">Load Requirements Items</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.accessorial'),config('settings.permissions.view'))): ?>
                              <a class="dropdown-item <?php echo e(Request::is('company-admin/accessorial*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.accessorial.index')); ?>">Accessorial</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.commodity'),config('settings.permissions.view'))): ?>
                              <a class="dropdown-item <?php echo e(Request::is('company-admin/commodity*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.commodity.index')); ?>">Commodity</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.terms'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/terms*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.terms.index')); ?>">Terms</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.truck_types'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/truck-types*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.truck-types.index')); ?>">Truck Types</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.work_orders'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/work-order-documents*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.work-order-documents.index')); ?>">Work Order Documents</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.safety_compliance'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/safety-and-compliance-documents*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.safety-and-compliance-documents.index')); ?>">Safety And Compliance</br>Documents</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.onboarding'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/onboarding-documents*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.onboarding-documents.index')); ?>">Onboarding Documents</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.deduction_names'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/deduction-names*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.deduction-names.index')); ?>">Deduction Names</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.recruiting_source'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/recruiting-source*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.recruiting-source.index')); ?>">Recruiting Source</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.insurance_types'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/insurance-types*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.insurance-types.index')); ?>">Insurance Types</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.pm_types'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/pm-types*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.pm-types.index')); ?>">PM Types</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.pm_service_types'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/pm-service-types*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.pm-service-types.index')); ?>">PM Service Types</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.pm_warranty_providers'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/pm-warranty-providers*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.pm-warranty-providers.index')); ?>">PM Warranty Providers</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.equipment_titles'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/equipment-titles*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.equipment-titles.index')); ?>">Equipment Titles</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.document_titles'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/document-titles*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.document-titles.index')); ?>">Document Titles</a>
                            <?php endif; ?>
                            <?php if(hasPermission(config('settings.company_admin_modules.drop_locations'),config('settings.permissions.view'))): ?>
                                <a class="dropdown-item <?php echo e(Request::is('company-admin/drop-locations*') ? 'active' : ''); ?>" href="<?php echo e(route('company.admin.drop-locations.index')); ?>">Drop Location</a>
                            <?php endif; ?>
                        </div>
                    </div>
                </li>
                <li>
                    <a href="javascript:void(0);" class="">Payroll</a>
                </li>
                <li class="mb-5">
                    <a href="<?php echo e(route('company.admin.integration.index')); ?>" class="">App Center</a>
                </li>
            </ul>
        </div>
</div>
<?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdminTheme/sidebar.blade.php ENDPATH**/ ?>