

<?php $__env->startSection('title'); ?>
    Vendors
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="table-control">
    <a href="<?php echo e(route('company.admin.vendors.create')); ?>" class="btn green-btn green-link-btn">Add New</a>
</div>
<div class="white-box table-view">
    <h3 class="table-title">Vendors</h3>

    <div class="add-responsive">
        <table id="driversTable" class="table data-table">
            <thead>
                <tr>
                  
                  <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($filed == 1 && isset(config('settings.table_vendors')[$key]['name'])): ?>
                            <?php if(isset(config('settings.table_vendors')[$key]['searchBuilderType'])): ?>
                                <?php if( config('settings.table_vendors')[$key]['searchBuilderType'] == 'string' ): ?>
                                <th><?php echo e(config('settings.table_vendors')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_vendors_<?php echo e($key); ?>_string" data-modal="SearchByStringModal<?php echo e($key); ?>"></i></th>
                                <?php elseif( config('settings.table_vendors')[$key]['searchBuilderType'] == 'date' ): ?>
                                <th><?php echo e(config('settings.table_vendors')[$key]['name']); ?> <i class="fa fa-filter columnFilter table_vendors_<?php echo e($key); ?>_date" data-modal="SearchByDateModal<?php echo e($key); ?>"></i></th>
                                <?php endif; ?>
                            <?php else: ?>
                                <th><?php echo e(config('settings.table_vendors')[$key]['name']); ?></th>
                            <?php endif; ?>
                        <?php endif; ?>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <?php echo Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')); ?>

    <input type="hidden" name="table_id" value="vendors" />

    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
            <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <li class="ui-state-default">
                  <div class="custom-control custom-checkbox">
                    <input type='hidden' value='0' name='field[<?php echo e($key); ?>]'>
                    <input type="checkbox" class="custom-control-input" id="Check<?php echo e($key); ?>" name="field[<?php echo e($key); ?>]" value="1" <?php if($filed == 1): ?> checked <?php endif; ?>>
                    <label class="custom-control-label" for="Check<?php echo e($key); ?>"><?php echo e(config('settings.table_vendors')[$key]['name']); ?></label>
                  </div>
                  <i class="fa fa-align-justify drag-icon"></i>
              </li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-primary">Save</button>
      </div>
    </div>
    <?php echo Form::close(); ?>

  </div>
</div>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>

<script>
var table = $('.data-table').DataTable({
    stateSave: true,
    bSortCellsTop: true,
    language: {
        search: "",
        searchPlaceholder: "Search...",
    },
    dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
    processing: true,
    serverSide: true,
    fixedHeader: true,
    ordering: false,
    pageLength: "<?php echo e(perPageView()); ?>",

    //order: [[0, "desc"]],
    //ajax: "<?php echo e(route('company.admin.vendors.index')); ?>",
    ajax: {
    url: "<?php echo e(route('company.admin.vendors.index')); ?>",
    data: function (d) {
      <?php foreach($getField as $key => $filed): ?>
        d.search_string_value_<?php echo e($key); ?> = $('#search_string_<?php echo e($key); ?>').val();
        d.search_string_name_<?php echo e($key); ?> = $('#stringKey<?php echo e($key); ?>').val();
        d.search_string_type_<?php echo e($key); ?> = $('#stringType<?php echo e($key); ?>').val();
        d.search_table_name_<?php echo e($key); ?> = $('#stringTableType<?php echo e($key); ?>').val();
        d.search_string_condition_<?php echo e($key); ?> = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
        d.search_string_sort_<?php echo e($key); ?> = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();

        d.search_date_from_value_<?php echo e($key); ?> = $('#search_date_<?php echo e($key); ?>').val();
        d.search_date_to_value_<?php echo e($key); ?> = $('#search_date_end_<?php echo e($key); ?>').val();
        d.search_date_name_<?php echo e($key); ?> = $('#dateKey<?php echo e($key); ?>').val();
        d.search_date_type_<?php echo e($key); ?> = $('#dateType<?php echo e($key); ?>').val();
        d.search_date_table_name_<?php echo e($key); ?> = $('#dateTableType<?php echo e($key); ?>').val();
        d.search_date_condition_<?php echo e($key); ?> = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
        d.search_date_sort_<?php echo e($key); ?> = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();
      <?php endforeach; ?>
    }
    },
    columns: [
        <?php foreach($getField as $key => $filed): ?>
          <?php if($filed == 1): ?>
            <?php if(config("settings.table_vendors")[$key]["orderable"] == 1 && config("settings.table_vendors")[$key]["searchable"] == 1): ?>
              { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
            <?php elseif(config("settings.table_vendors")[$key]["orderable"] == 1): ?>
              { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
            <?php elseif(config("settings.table_vendors")[$key]["searchable"] == 1): ?>
              { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
            <?php else: ?>
              { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
            <?php endif; ?>
          <?php endif; ?>
        <?php endforeach; ?>

    ]
});

$('<a type="button" class="refreshAll btn btn-primary ml-3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
$('<a type="button" id="clearAll<?php echo e(str_replace("settings.","",$tableName)); ?>" class="clearAll filter_<?php echo e(str_replace("settings.","",$tableName)); ?> d-none btn btn-orange ml-3 <?php echo e(str_replace("settings.","",$tableName)); ?>">Clear filters</a>').prependTo(".dataTables_filter");
$('<button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".dataTables_filter");

// $(document).ready(function() {
//     $('.data-table thead tr').clone(true).appendTo('.data-table thead');
//     $('.data-table thead tr:eq(1) th').each( function (i) {
//         console.log();
//         var title = $(this).text();
//         var getClass = $(this).attr("class");
//         if(getClass == 'sorting'){
//           var search_value = table.column(i).search();
//           $(this).html( '<input type="text" value="'+search_value+'" placeholder=" Search '+title+'" class="sercol" onclick="stopPropagation(event);" />' );

//           $( 'input', this ).on( 'keyup change', function () {
//               if ( table.column(i).search() !== this.value ) {
//                   table
//                       .column(i)
//                       .search( this.value )
//                       .draw();
//               }
//           });
//         }else{
//           $(this).html('');
//         }
//     });
// });


$( function() {
  $("#sortable").sortable();
} );
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/vendor/index.blade.php ENDPATH**/ ?>