<header class="ngd-header">
    <div class="container-fluid">
        <nav class="navbar navbar-expand-lg navbar-light">
            <?php if(!empty(getCompanyLogo())): ?>
                <div class="d-flex align-items-center">
                    <div>
                        <img src="<?php echo e(getCompanyLogo()); ?>" alt="Logo" style="background-color: white;border-radius: 5px;">
                    </div>
                    <div>
                        <hr class="ml-3 mr-3" style="border: 1px solid #fff;height: 26px;" />
                    </div>
                    <div>
                        <h6 class="font-weight-bold text-white"><?php echo e(getCompanyNameById()[auth()->guard('company-admin')->user()->company_id]); ?></h6>
                    </div>
                </div>
            <?php else: ?>
                <h5 style="color: #fff;">Compel Labs</h5>
            <?php endif; ?>
            <button class="navbar-dark navbar-toggler"
                type="button"
                data-toggle="collapse"
                data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent"
                aria-expanded="false"
                aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ml-auto">
                    

                       <li class="nav-item">
                        <div class="row">
                            <div class="col-12 topsearchdiv">
                                <input type="text" class="header-search" placeholder="Search..." id="search-box" >
                                <img src="<?php echo e(asset('theme/img/header-search.png')); ?>" class="search-icon hedesearid" alt="">
                            </div>
                        </div>
                        <div id="suggesstion-box"></div>
                    </li>
                    <li class="nav-item menu-responsive pl-4 pr-4 header-fuel-surcharge-diesel">
                        <p class="mb-0 text-white">Fuel Surcharge Diesel</p>
                        <?php if(hasPermission(config('settings.company_admin_modules.default_fuel_surcharge'), config('settings.permissions.create')) && hasPermission(config('settings.company_admin_modules.default_fuel_surcharge'), config('settings.permissions.edit'))): ?>
                            <?php if(!empty(getDefaultFuelSurcharges()) && isset(getDefaultFuelSurcharges()->default_fuel_surcharge_diesel)): ?>
                                <a class="nav-link p-0" href="<?php echo e(route('company.admin.fuel-surcharges.index', ['customer' => 'fsd', 'company_id' => auth()->guard('company-admin')->user()->company_id])); ?>">
                                    <?php if(getDefaultFuelSurcharges()->rate_type_diesel == '1'): ?>
                                        <h6 class="text-white"><?php echo e(getDefaultFuelSurcharges()->default_fuel_surcharge_diesel ?? ''); ?>%</h6>
                                    <?php else: ?>
                                        <h6 class="text-white">$<?php echo e(getDefaultFuelSurcharges()->default_fuel_surcharge_diesel ?? ''); ?></h6>
                                    <?php endif; ?>
                                    <span class="nav-text mt-0">Last Updated: <?php echo e(Carbon\Carbon::parse(getDefaultFuelSurcharges()->updated_at)->format('m/d/Y') ?? ''); ?></span>
                                </a>
                            <?php else: ?>
                                <a class="nav-link p-0" href="<?php echo e(route('company.admin.fuel-surcharges.index')); ?>">
                                    <h5 class="text-white font-weight-bold">Set</h5>
                                </a>
                            <?php endif; ?>
                        <?php else: ?>
                            <?php if(!empty(getDefaultFuelSurcharges()) && isset(getDefaultFuelSurcharges()->default_fuel_surcharge_diesel)): ?>
                                <?php if(getDefaultFuelSurcharges()->rate_type_diesel == '1'): ?>
                                    <h6 class="text-white">$<?php echo e(getDefaultFuelSurcharges()->default_fuel_surcharge_diesel ?? ''); ?></h6>
                                <?php else: ?>
                                    <h6 class="text-white">$<?php echo e(getDefaultFuelSurcharges()->default_fuel_surcharge_diesel ?? ''); ?></h6>
                                <?php endif; ?>
                                <span class="nav-text mt-0">Last Updated: <?php echo e(Carbon\Carbon::parse(getDefaultFuelSurcharges()->updated_at)->format('m/d/Y') ?? ''); ?></span>
                            <?php else: ?>
                                <h5 class="text-white font-weight-bold">Set</h5>
                            <?php endif; ?>
                        <?php endif; ?>
                    </li>
                    <li class="nav-item menu-responsive pl-4 pr-5 header-fuel-surcharge-gas">
                        <p class="mb-0 text-white">Fuel Surcharge Gas</p>
                        <?php if(hasPermission(config('settings.company_admin_modules.default_fuel_surcharge'), config('settings.permissions.create')) && hasPermission(config('settings.company_admin_modules.default_fuel_surcharge'), config('settings.permissions.edit'))): ?>
                            <?php if(!empty(getDefaultFuelSurcharges()) && isset(getDefaultFuelSurcharges()->default_fuel_surcharge_gas)): ?>
                                <a class="nav-link p-0" href="<?php echo e(route('company.admin.fuel-surcharges.index', ['customer' => 'fsg', 'company_id' => auth()->guard('company-admin')->user()->company_id])); ?>">
                                    <?php if(getDefaultFuelSurcharges()->rate_type_gas == '1'): ?>
                                        <h6 class="text-white"><?php echo e(getDefaultFuelSurcharges()->default_fuel_surcharge_gas ?? ''); ?>%</h6>
                                    <?php else: ?>
                                        <h6 class="text-white">$<?php echo e(getDefaultFuelSurcharges()->default_fuel_surcharge_gas ?? ''); ?></h6>
                                    <?php endif; ?>
                                    <span class="nav-text mt-0">Last Updated: <?php echo e(Carbon\Carbon::parse(getDefaultFuelSurcharges()->updated_at)->format('m/d/Y') ?? ''); ?></span>
                                </a>
                            <?php else: ?>
                                <a class="nav-link p-0" href="<?php echo e(route('company.admin.fuel-surcharges.index')); ?>">
                                    <h5 class="text-white font-weight-bold">Set</h5>
                                </a>
                            <?php endif; ?>
                        <?php else: ?>
                            <?php if(!empty(getDefaultFuelSurcharges()) && isset(getDefaultFuelSurcharges()->default_fuel_surcharge_gas)): ?>
                                <?php if(getDefaultFuelSurcharges()->rate_type_gas == '1'): ?>
                                    <h6 class="text-white"><?php echo e(getDefaultFuelSurcharges()->default_fuel_surcharge_gas ?? ''); ?>%</h6>
                                <?php else: ?>
                                    <h6 class="text-white">$<?php echo e(getDefaultFuelSurcharges()->default_fuel_surcharge_gas ?? ''); ?></h6>
                                <?php endif; ?>
                                <span class="nav-text mt-0">Last Updated: <?php echo e(Carbon\Carbon::parse(getDefaultFuelSurcharges()->updated_at)->format('m/d/Y') ?? ''); ?></span>
                            <?php else: ?>
                                <h5 class="text-white font-weight-bold">Set</h5>
                            <?php endif; ?>
                        <?php endif; ?>
                    </li>
                    <li class="nav-item menu-responsive">
                        
                        <a class="nav-link addLoadPlus" href="javascript:void(0);" data-from="top_header" data-driver_id="" data-shipper_date="" data-url="<?php echo e(route('company.admin.loads.create')); ?>">
                            <img src="<?php echo e(asset('theme/images/plus-orange.svg')); ?>" alt="Add Load" class="addloadpluslogo">
                            <span class="nav-text">Add Load</span>
                        </a>
                    </li>
                    <li class="nav-item menu-responsive">
                        <a class="nav-link" href="javascript:void(0);">
                            <img src="<?php echo e(asset('theme/images/feedback-icon.png')); ?>" alt="Feedback">
                            <span class="nav-text">Feedback</span>
                        </a>
                    </li>
                    <li class="nav-item menu-responsive">
                        <a class="nav-link" href="javascript:void(0);">
                            <img src="<?php echo e(asset('theme/images/hepl-icon.png')); ?>" alt="Help">
                            <span class="nav-text">Help</span>
                        </a>
                    </li>
                    <li class="nav-item menu-responsive">
                        <a class="nav-link" href="javascript:void(0);">
                            <img src="<?php echo e(asset('theme/images/mailNew-icon.png')); ?>" alt="Mail">
                            <span class="nav-text">Mail</span>
                        </a>
                    </li>


                     <li class="nav-item menu-responsive">
                        <div class="dropdown ml-auto notification-dd">
                            <a class="nav-link dropdown-toggle notcliekt" href="javascript:void(0)" id="dropdownMenuButton" data-toggle="dropdown" aria-expanded="false">
                                <img src="<?php echo e(asset('theme/images/notifications-icon.png')); ?>" alt="Alerts">
                                <?php if(getNotificationCount() > 0): ?>
                                    <?php if(getNotificationCount() > 99): ?>
                                        <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill badge-danger">99+</span>
                                    <?php else: ?>
                                        <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill badge-danger"><?php echo e(getNotificationCount()); ?></span>
                                    <?php endif; ?>
                                <?php endif; ?>
                                <span class="nav-text">Alerts</span>
                            </a>
                            <div class="dropdown-menu dropdown-menu-lg-right" aria-labelledby="dropdownMenuButton">
                                <div class="dropdown-hrader">
                                    <h5 class="text-center">Notification</h5>
                                </div>
                                <?php
                                    $getNotificationList = getNotificationList();
                                ?>
                                <div class="notification-append">
                                    <?php if(!empty($getNotificationList)): ?>
                                        <?php echo $getNotificationList; ?>

                                    <?php else: ?>
                                    <p class="pt-4 text-center">No Records Found</p>
                                    <?php endif; ?>
                                </div>
                                <div class="dropdown-fotter">
                                    <h5 class="text-center">
                                        <a href="<?php echo e(route('company.admin.notifications.index')); ?>">See All Notification</a>
                                    </h5>
                                </div>
                            </div>
                        </div>
                    </li>
                   <!-- <li class="nav-item">
                        <a class="nav-link btn btn-orange" href="<?php echo e(route('company.admin.loads.create')); ?>">+ Add Load</a>
                    </li> -->
                      <?php
                        $getLoginData = auth()->guard('company-admin')->user();
                      ?>

                    <li class="nav-item menu-responsive profile-btn">
                        <div class="dropdown">
                            <button class="btn dropdown-toggle"
                                type="button"
                                id="dropdownCompanyMenuButton"
                                data-toggle="dropdown"
                                aria-haspopup="true"
                                aria-expanded="false">
                                <span class="userProfile-img">
                                 <?php if(!is_null($getLoginData->profile_image)): ?>
                                    <img src="<?php echo e(asset('storage/companyAdmin/profile/'.$getLoginData->profile_image)); ?>">
                                <?php else: ?>
                                    <img src="<?php echo e(asset('theme/img/avtar.png')); ?>" alt="User Logo">
                                    
                                <?php endif; ?>

                                </span>
                               <?php echo e($getLoginData->full_name ?? ""); ?> <img src="<?php echo e(asset('theme/images/dropdown.png')); ?>" alt="dropdown" class="dropdown-icon">
                            </button>
                            <div class="dropdown-menu" aria-labelledby="dropdownCompanyMenuButton">
                            <div class="mt-3"></div>
                                
                                <div class="dropdown-item pt-2" href="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-2 pr-0">
                                            <i class="fa fa-pencil-square-o text-dark" ></i>
                                        </div>
                                        <div class="col-10">
                                             <a  class="text-dark"  href="<?php echo e(route('company.admin.cadmin.editProfile')); ?>"> Edit Profile</a>
                                        </div>
                                    </div>
                                </div>
                                 <div class="dropdown-item pt-2" href="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-2 pr-0">
                                            <i class="fa fa-eye text-dark" ></i>
                                        </div>
                                        <div class="col-10">
                                            <a  class="text-dark" href="<?php echo e(route('company.admin.cadmin.viewProfile')); ?>">View Profile</a>
                                        </div>
                                    </div>
                                </div>

                                <div class="dropdown-item pt-2" href="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-2 pr-0">
                                        <i class="fa fa-unlock-alt text-red" ></i>
                                        </div>
                                        <div class="col-10">
                                            <a  class="text-dark" href="<?php echo e(route('company.admin.cadmin.changePassword')); ?>"> Change Password&nbsp;&nbsp;&nbsp;&nbsp;</a>
                                        </div>
                                    </div>
                                </div>

                                 <div class="dropdown-item pt-2" href="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-2 pr-0">
                                              <i class="fa fa-cogs text-dark" ></i>
                                        </div>
                                        <div class="col-10">
                                            <a  class="text-dark" href="<?php echo e(route('company.admin.account.index')); ?>">Account Setting</a>
                                        </div>
                                    </div>
                                </div>
                                 <div class="dropdown-item pt-2" href="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-2 pr-0">
                                             <i class="fa fa-bell text-dark" ></i>
                                        </div>
                                        <div class="col-10">
                                           <?php if(hasPermission(config('settings.company_admin_modules.notifications_status'),config('settings.permissions.view'))): ?>
                                <a  class="text-dark" href="<?php echo e(route('company.admin.notifications-status.index')); ?>">Notifications</a>
                                <?php endif; ?>
                                        </div>
                                    </div>
                                </div>

                                 <div class="dropdown-item pt-2" href="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-2 pr-0">
                                          <i class="fa fa-user-secret text-dark"></i>
                                        </div>
                                        <div class="col-10">
                                           <a  class="text-dark" href="<?php echo e(route('company.admin.two-factor.index')); ?>"> 2 factor settings</a>
                                        </div>
                                    </div>
                                </div>

                                  <div class="dropdown-item pt-2" href="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-2 pr-0">
                                             <i class="fa fa-sign-out text-dark"></i>
                                        </div>
                                        <div class="col-10">
                                           <a  class="text-dark" href="<?php echo e(route('company.admin.logout')); ?>"
                                    onclick="event.preventDefault();
                                    document.getElementById('logout-form').submit();">Logout</a>

                                <form id="logout-form" action="<?php echo e(route('company.admin.logout')); ?>" method="POST" class="d-none">
                                    <?php echo csrf_field(); ?>
                                </form>
                                        </div>
                                    </div>
                                </div>









                            <div class="mt-3"></div>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </nav>
    </div>
</header>
<?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdminTheme/header.blade.php ENDPATH**/ ?>