<table class="table load-documentSummary-table mt-0" id="tbl">
    <thead>
        <tr>
            <th>Status</th>
            <th>Stop</th>
            <th>Document Name</th>
            <th>Include w/ Billing</th>
            <th>Uploaded By</th>
            <th>Date Updated</th>
            <th>
                <a href="javascript:void(0);" class="a-link add-document-link">Add +</a>
            </th>
        </tr>
    </thead>
    <tbody>
        <?php if(count($static_files) > 0 || count($required_files) > 0 || count($requested_files) > 0 || count($accessorial_files) > 0 || count($cod_files) > 0 || count($getFile) > 0): ?>
            <?php
                $i=1;
            ?>
            <?php $__currentLoopData = $static_files; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php
                    if(isset($node['file']) && is_array($node['file']) && !empty($node['file'])){
                        $documents      = $node['file'];
                    }else{
                        $documents      = [];
                    }
                    $status_class       = '';
                    if($node['status']=='Complete'){
                        $status_class   = 'text-success';
                    }
                ?>
                <tr>
                    <td class="<?php echo e($status_class); ?>"><?php echo e($node['status']); ?></td>
                    <td><?php echo e($node['name']); ?></td>
                    <td>
                        <?php if(count($documents) > 0): ?>
                            <a href="javascript:void(0);" data-toggle="modal" data-target="#staticFileModal<?php echo e($i); ?>"><?php echo e($node['filename']); ?></a>
                            <div class="modal fade teamModal" id="staticFileModal<?php echo e($i); ?>" tabindex="-1" aria-labelledby="staticFileModalLabel<?php echo e($i); ?>" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="staticFileModalLabel<?php echo e($i); ?>"><?php echo e($node['filename']); ?></h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body text-left mulimagbu">
                                            <?php $__currentLoopData = $documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php
                                                    $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                    $type       = \File::extension($file_path);
                                                ?>
                                                <?php if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif'): ?>
                                                    <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="mb-3 d-block">
                                                        <img src="<?php echo e(asset($file_path)); ?>" alt="<?php echo e($node['filename']); ?>" class="img-fluid">
                                                    </a>
                                                <?php else: ?>
                                                    <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="btn btn-outline-primary mb-3 d-block">
                                                        <?php echo e($document); ?>

                                                    </a>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php else: ?>
                            <?php echo e($node['filename']); ?>

                        <?php endif; ?>
                    </td>
                    <td><?php echo e((isset($node['include_w_billing']) && $node['include_w_billing']=="yes")? "yes" : "no"); ?></td>
                    <td><?php echo e($node['uploaded_by'] ?? ''); ?></td>
                    <td><?php echo e($node['uploaded_at'] ?? ''); ?></td>
                    <td
                        class="edit-document-link"
                        data-id="<?php echo e($node['id']); ?>"
                        data-source_id="<?php echo e($node['source']); ?>"
                        data-field_name="<?php echo e($node['field_name']); ?>"
                        data-filename="<?php echo e($node['filename']); ?>"
                        data-note=""
                        data-hide_from_driver="<?php echo e($node['hide_from_driver']); ?>"
                        data-include_w_billing="<?php echo e($node['include_w_billing']); ?>">
                        <?php if(count($documents) > 0): ?>
                            <i class="fa fa-pencil" aria-hidden="true" style="font-weight: 600; color: #305F9C; font-size: 16px;"></i>
                        <?php else: ?>
                            <img src="<?php echo e(asset('theme/images/upload-blue.svg')); ?>" alt="Upload">
                        <?php endif; ?>
                    </td>
                </tr>
                <?php $i++; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <!--  -->
            <?php
                $i=1;
            ?>
            <?php $__currentLoopData = $required_files; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php
                    $filename           = $node['filename'] ?? '';
                    if(isset($node['filename_id']) && $node['filename_id']!=''){
                        $filename      .= '-'.$node['filename_id'];
                    }
                    if(isset($node['file']) && is_array($node['file']) && !empty($node['file'])){
                        $documents      = $node['file'];
                    }else{
                        $documents      = [];
                    }
                    $status_class       = '';
                    if($node['status']=='Complete'){
                        $status_class   = 'text-success';
                    }
                ?>
                <?php if($key==0): ?>
                    <tr>
                        <th colspan="6">Required Documents</th>
                    </tr>
                <?php endif; ?>
                <tr>
                    <td class="<?php echo e($status_class); ?>"><?php echo e($node['status']); ?></td>
                    <td>
                        <?php echo e($node['name']); ?>

                    </td>
                    <td>
                        <?php if(isset($node['filename_id']) && $node['filename_id']=='0'): ?>
                            Other - 
                        <?php endif; ?>
                        <?php if(count($documents) > 0): ?>
                            <a href="javascript:void(0);" data-toggle="modal" data-target="#requiredFileModal<?php echo e($i); ?>"><?php echo e($node['filename']); ?></a>
                            <div class="modal fade teamModal" id="requiredFileModal<?php echo e($i); ?>" tabindex="-1" aria-labelledby="requiredFileModalLabel<?php echo e($i); ?>" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="requiredFileModalLabel<?php echo e($i); ?>"><?php echo e($node['filename']); ?></h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body text-left mulimagbu">
                                            <?php $__currentLoopData = $documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php
                                                    $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                    $type       = \File::extension($file_path);
                                                ?>
                                                <?php if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif'): ?>
                                                    <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="mb-3 d-block" >
                                                        <img src="<?php echo e(asset($file_path)); ?>" alt="<?php echo e($node['filename']); ?>" class="img-fluid">
                                                    </a>
                                                <?php else: ?>
                                                    <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="btn btn-outline-primary mb-3 d-block">
                                                        <?php echo e($document); ?>

                                                    </a>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php else: ?>
                            <?php echo e($node['filename']); ?>

                        <?php endif; ?>
                    </td>
                    <td><?php echo e((isset($node['include_w_billing']) && $node['include_w_billing']=="yes")? "yes" : "no"); ?></td>
                    <td><?php echo e($node['uploaded_by'] ?? ''); ?></td>
                    <td><?php echo e($node['uploaded_at'] ?? ''); ?></td>
                    <td
                        class="edit-document-link"
                        data-id="<?php echo e($node['id']); ?>"
                        data-source_id="<?php echo e($node['source']); ?>"
                        data-field_name="<?php echo e($node['field_name']); ?>"
                        data-filename="<?php echo e($filename); ?>"
                        data-note=""
                        data-hide_from_driver="<?php echo e($node['hide_from_driver']); ?>"
                        data-include_w_billing="<?php echo e($node['include_w_billing']); ?>">
                        <?php if(count($documents) > 0): ?>
                            <i class="fa fa-pencil" aria-hidden="true" style="font-weight: 600; color: #305F9C; font-size: 16px;"></i>
                        <?php else: ?>
                            <img src="<?php echo e(asset('theme/images/upload-blue.svg')); ?>" alt="Upload">
                        <?php endif; ?>
                    </td>
                </tr>
                <?php $i++; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <!--  -->
            <!--  -->
            <?php
                $i=1;
            ?>
            <?php $__currentLoopData = $requested_files; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php
                    $filename           = $node['filename'] ?? '';
                    if(isset($node['filename_id']) && $node['filename_id']!=''){
                        $filename      .= '-'.$node['filename_id'];
                    }
                    if(isset($node['file']) && is_array($node['file']) && !empty($node['file'])){
                        $documents      = $node['file'];
                    }else{
                        $documents      = [];
                    }
                    $status_class       = '';
                    if($node['status']=='Complete'){
                        $status_class   = 'text-success';
                    }
                ?>
                <?php if($key==0): ?>
                    <tr>
                        <th colspan="6">Requested Documents</th>
                    </tr>
                <?php endif; ?>
                <tr>
                    <td class="<?php echo e($status_class); ?>"><?php echo e($node['status']); ?></td>
                    <td>
                        <?php echo e($node['name']); ?>

                    </td>
                    <td>
                        <?php if(isset($node['filename_id']) && $node['filename_id']=='0'): ?>
                            Other - 
                        <?php endif; ?>
                        <?php if(count($documents) > 0): ?>
                            <a href="javascript:void(0);" data-toggle="modal" data-target="#requestedFileModal<?php echo e($i); ?>"><?php echo e($node['filename']); ?></a>
                            <div class="modal fade teamModal" id="requestedFileModal<?php echo e($i); ?>" tabindex="-1" aria-labelledby="requestedFileModalLabel<?php echo e($i); ?>" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="requestedFileModalLabel<?php echo e($i); ?>"><?php echo e($node['filename']); ?></h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body text-left mulimagbu">
                                            <?php $__currentLoopData = $documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php
                                                    $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                    $type       = \File::extension($file_path);
                                                ?>
                                                <?php if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif'): ?>
                                                    <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="mb-3 d-block" >
                                                        <img src="<?php echo e(asset($file_path)); ?>" alt="<?php echo e($node['filename']); ?>" class="img-fluid">
                                                    </a>
                                                <?php else: ?>
                                                    <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="btn btn-outline-primary mb-3 d-block">
                                                        <?php echo e($document); ?>

                                                    </a>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php else: ?>
                            <?php echo e($node['filename']); ?>

                        <?php endif; ?>
                    </td>
                    <td><?php echo e((isset($node['include_w_billing']) && $node['include_w_billing']=="yes")? "yes" : "no"); ?></td>
                    <td><?php echo e($node['uploaded_by'] ?? ''); ?></td>
                    <td><?php echo e($node['uploaded_at'] ?? ''); ?></td>
                    <td
                        class="edit-document-link"
                        data-id="<?php echo e($node['id']); ?>"
                        data-source_id="<?php echo e($node['source']); ?>"
                        data-field_name="<?php echo e($node['field_name']); ?>"
                        data-filename="<?php echo e($filename); ?>"
                        data-note=""
                        data-hide_from_driver="<?php echo e($node['hide_from_driver']); ?>"
                        data-include_w_billing="<?php echo e($node['include_w_billing']); ?>">
                        <?php if(count($documents) > 0): ?>
                            <i class="fa fa-pencil" aria-hidden="true" style="font-weight: 600; color: #305F9C; font-size: 16px;"></i>
                        <?php else: ?>
                            <img src="<?php echo e(asset('theme/images/upload-blue.svg')); ?>" alt="Upload">
                        <?php endif; ?>
                    </td>
                </tr>
                <?php $i++; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <!--  -->
            <?php
                $i=1;
            ?>
            <?php $__currentLoopData = $accessorial_files; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php
                    $status_class       = '';
                    if($node['status']=='Complete'){
                        $status_class   = 'text-success';
                    }
                ?>
                <?php if($key==0): ?>
                    <tr>
                        <th colspan="6">Accessorial Documents</th>
                    </tr>
                <?php endif; ?>
                <tr>
                    <td class="<?php echo e($status_class); ?>"><?php echo e($node['status']); ?></td>
                    <td><?php echo e($node['name']); ?></td>
                    <td>
                        <?php if(!is_null($node['file']) && $node['file'] != ''): ?>
                            <a href="javascript:void(0);" data-toggle="modal" data-target="#accessorialFileModal<?php echo e($i); ?>"><?php echo e($node['filename']); ?></a>
                            <div class="modal fade teamModal" id="accessorialFileModal<?php echo e($i); ?>" tabindex="-1" aria-labelledby="accessorialFileModalLabel<?php echo e($i); ?>" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="accessorialFileModalLabel<?php echo e($i); ?>"><?php echo e($node['filename']); ?></h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body text-left mulimagbu">
                                            <?php
                                                $file_path  = 'storage/companyAdmin/gallery/'.$node['file'];
                                                $type       = \File::extension($file_path);
                                            ?>
                                            <?php if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif'): ?>
                                                <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="mb-3 d-block">
                                                    <img src="<?php echo e(asset($file_path)); ?>" alt="<?php echo e($node['filename']); ?>" class="img-fluid">
                                                </a>
                                            <?php else: ?>
                                                <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="btn btn-outline-primary mb-3 d-block">
                                                    <?php echo e($node['file']); ?>

                                                </a>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php else: ?>
                            <?php echo e($node['filename']); ?>

                        <?php endif; ?>
                    </td>
                    <td><?php echo e((isset($node['include_w_billing']) && $node['include_w_billing']=="yes")? "yes" : "no"); ?></td>
                    <td><?php echo e($node['uploaded_by'] ?? ''); ?></td>
                    <td><?php echo e($node['uploaded_at'] ?? ''); ?></td>
                    <td
                        class="edit-document-link"
                        data-id="<?php echo e($node['id']); ?>"
                        data-source_id="<?php echo e($node['source']); ?>"
                        data-field_name="<?php echo e($node['field_name']); ?>"
                        data-filename="<?php echo e($node['filename']); ?>"
                        data-note=""
                        data-hide_from_driver="<?php echo e($node['hide_from_driver']); ?>"
                        data-include_w_billing="<?php echo e($node['include_w_billing']); ?>">
                        <?php if(!is_null($node['file']) && $node['file'] != ''): ?>
                            <i class="fa fa-pencil" aria-hidden="true" style="font-weight: 600; color: #305F9C; font-size: 16px;"></i>
                        <?php else: ?>
                            <img src="<?php echo e(asset('theme/images/upload-blue.svg')); ?>" alt="Upload">
                        <?php endif; ?>
                    </td>
                </tr>
                <?php $i++; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <!--  -->
            <?php
                $i=1;
            ?>
            <?php $__currentLoopData = $cod_files; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php
                    $status_class       = '';
                    if($node['status']=='Complete'){
                        $status_class   = 'text-success';
                    }
                ?>
                <?php if($key==0): ?>
                    <tr>
                        <th colspan="6">COD Documents</th>
                    </tr>
                <?php endif; ?>
                <tr>
                    <td class="<?php echo e($status_class); ?>"><?php echo e($node['status']); ?></td>
                    <td><?php echo e($node['name']); ?></td>
                    <td>
                        <?php if(!is_null($node['file']) && $node['file'] != ''): ?>
                            <a href="javascript:void(0);" data-toggle="modal" data-target="#codFileModal<?php echo e($i); ?>"><?php echo e($node['filename']); ?></a>
                            <div class="modal fade teamModal" id="codFileModal<?php echo e($i); ?>" tabindex="-1" aria-labelledby="codFileModalLabel<?php echo e($i); ?>" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="codFileModalLabel<?php echo e($i); ?>"><?php echo e($node['filename']); ?></h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body text-left mulimagbu">
                                            <?php
                                                $file_path  = 'storage/companyAdmin/gallery/'.$node['file'];
                                                $type       = \File::extension($file_path);
                                            ?>
                                            <?php if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif'): ?>
                                                <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="mb-3 d-block">
                                                    <img src="<?php echo e(asset($file_path)); ?>" alt="<?php echo e($node['filename']); ?>" class="img-fluid">
                                                </a>
                                            <?php else: ?>
                                                <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="btn btn-outline-primary mb-3 d-block">
                                                    <?php echo e($node['file']); ?>

                                                </a>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php else: ?>
                            <?php echo e($node['filename']); ?>

                        <?php endif; ?>
                    </td>
                    <td><?php echo e((isset($node['include_w_billing']) && $node['include_w_billing']=="yes")? "yes" : "no"); ?></td>
                    <td><?php echo e($node['uploaded_by'] ?? ''); ?></td>
                    <td><?php echo e($node['uploaded_at'] ?? ''); ?></td>
                    <td
                        class="edit-document-link"
                        data-id="<?php echo e($node['id']); ?>"
                        data-source_id="<?php echo e($node['source']); ?>"
                        data-field_name="<?php echo e($node['field_name']); ?>"
                        data-filename="<?php echo e($node['filename']); ?>"
                        data-note=""
                        data-hide_from_driver="<?php echo e($node['hide_from_driver']); ?>"
                        data-include_w_billing="<?php echo e($node['include_w_billing']); ?>">
                        <?php if(!is_null($node['file']) && $node['file'] != ''): ?>
                            <i class="fa fa-pencil" aria-hidden="true" style="font-weight: 600; color: #305F9C; font-size: 16px;"></i>
                        <?php else: ?>
                            <img src="<?php echo e(asset('theme/images/upload-blue.svg')); ?>" alt="Upload">
                        <?php endif; ?>
                    </td>
                </tr>
                <?php $i++; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <!--  -->
            <?php
                $i=1;
            ?>
            <?php $__currentLoopData = $getFile; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($key==0): ?>
                    <tr>
                        <th colspan="6">Other Documents</th>
                    </tr>
                <?php endif; ?>
                <tr>
                    <td class="text-success">Completed</td>
                    <td>Load</td>
                    <td>
                        <a href="javascript:void(0);" data-toggle="modal" data-target="#otherFileModal<?php echo e($i); ?>"><?php echo e($node->company_load_document->name ?? $node->filename); ?></a>
                        <div class="modal fade teamModal" id="otherFileModal<?php echo e($i); ?>" tabindex="-1" aria-labelledby="otherFileModalLabel<?php echo e($i); ?>" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="otherFileModalLabel<?php echo e($i); ?>"><?php echo e($node->company_load_document->name ?? $node->filename); ?></h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body text-left mulimagbu">
                                        <?php
                                            if(!empty($node->document)){
                                                $documents = unserialize($node->document);
                                            }else{
                                                $documents = [];
                                            }
                                        ?>
                                        <?php if(is_array($documents) && count($documents) > 0): ?>
                                            <?php $__currentLoopData = $documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php
                                                    $file_path  = 'storage/companyAdmin/loadfile/'.$document;
                                                    $type       = \File::extension($file_path);
                                                ?>
                                                <?php if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif'): ?>
                                                   <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="mb-3 d-block">
                                                        <img src="<?php echo e(asset($file_path)); ?>" alt="<?php echo e($node->company_load_document->name ?? $node->filename); ?>" class="img-fluid">
                                                    </a>
                                                <?php else: ?>
                                                    <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="btn btn-outline-primary mb-3 d-block">
                                                        <?php echo e($document); ?>

                                                    </a>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                        <p class="teswrap"><strong>Note: </strong><?php echo e($node->note); ?></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </td>
                    <td><?php echo e((isset($node->include_w_billing) && $node->include_w_billing=="yes")? "yes" : "no"); ?></td>
                    <td><?php echo e($node->company_admin->full_name ?? ""); ?></td>
                    <td>
                        <?php echo e(\Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $node->updated_at)->setTimezone($getTimeZone)->format($getTimeLayout)." ".$getTimeZoneId); ?>

                    </td>
                    <td>
                        <a
                            href="javascript:void(0);"
                            class="edit-document-link"
                            data-id="<?php echo e($node->id); ?>"
                            data-source_id=""
                            data-field_name=""
                            data-filename="<?php echo e($node->company_load_document->name ?? $node->filename); ?>"
                            data-filename_id="<?php echo e($node->load_file_type_id); ?>"
                            data-note="<?php echo e($node->note); ?>"
                            data-hide_from_driver="<?php echo e($node->hide_from_driver); ?>"
                            data-include_w_billing="<?php echo e($node->include_w_billing); ?>" style="text-decoration: none; font-weight: 600; color: #305F9C; font-size: 16px;">
                            <i class="fa fa-pencil" aria-hidden="true"></i>
                        </a>
                        <a
                            href="javascript:void(0);"
                            class="destroy-document"
                            data-id="<?php echo e($node->id); ?>"
                            data-action="<?php echo e(route('company.admin.loads.file.view.delete',$node->id)); ?>" style="text-decoration: none; font-weight: 600; color: #305F9C; font-size: 16px;">
                            <i class="fa fa-trash" aria-hidden="true"></i>
                        </a>
                    </td>
                </tr>
                <?php $i++; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php else: ?>
            <tr>
                <td class="text-center" colspan="6">No data available in table</td>
            </tr>
        <?php endif; ?>
    </tbody>
</table><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/load/file/list.blade.php ENDPATH**/ ?>