<div class="modal-body p-0">
    <div class="modal-padding pb-3">
        <p class="fs-14 fw-500">Below are the requirements for this load. Accepting this load you agree to perform the requirements listed.</p>
    </div>
    <div class="table-responsive">
        <table class="table table-borderless">
            <thead>
                <tr>
                    <th class="text-theme-color fw-bold">Qty</th>
                    <th class="text-theme-color fw-bold">Item</th>
                </tr>
            </thead>
            <tbody>
                <?php if(isset($load_detail->loads->load_requirements) && $load_detail->loads->load_requirements->isNotEmpty()): ?>
                    <?php $__currentLoopData = $load_detail->loads->load_requirements; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $requirement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($requirement->qty); ?></td>
                            <td><?php echo e($requirement->name); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php else: ?>
                    <tr>
                        <td colspan="2">No data available in table</td>
                    </tr>
                <?php endif; ?>
            </tbody>
        </table>
    </div>
    <div class="modal-padding pt-3">
        <div class="custom-control custom-checkbox-blue d-flex align-items-center">
            <input type="checkbox" class="custom-control-input" id="not-received-check-202" name="not-received-check-202">
            <label class="custom-control-label text-theme-color fs-14 fw-500" for="not-received-check-202">I have read and agree to the load requirements. <i class="fa fa-info-circle" aria-hidden="true"></i></label>
        </div>
        <span class="error not-received-check-202_error text-danger"></span>
    </div>
</div>
<!-- Mytrip change status -->
<div class="modal-footer">
    <button
    	type="button"
    	class="btn btn-blueBr reject-btn"
    	data-id="<?php echo e($load_detail->id); ?>"
    	data-status="<?php echo e($load_detail->load_status); ?>"
    	data-type="2"
    	data-acknowledgement="2"
    	data-is_stop="0">Reject</button>
    <!-- Type = 2 ( Reason With Confirm ),  // Acknowledgement ( 1 = Preplaned Driver Acknowledgement, 2 = Confirmed Driver Acknowledgement, 3 = Intransit Driver Acknowledgement, 4 = Delivered Driver Acknowledgement ) -->
    <button
        type="button"
        class="btn btn-blue confirm-btn"
        data-id="<?php echo e($load_detail->id); ?>"
        data-status="4"
        data-type="1"
        data-acknowledgement="2"
        data-is_stop="0">Confirm</button>
    <!-- Type = 1 ( Reason Without Confirm ),  // Acknowledgement ( 1 = Preplaned Driver Acknowledgement, 2 = Confirmed Driver Acknowledgement, 3 = Intransit Driver Acknowledgement, 4 = Delivered Driver Acknowledgement ) -->
</div><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/driverAdmin/mytrips/ajax/upcoming_dispatch/dispatch_now/load_requirements.blade.php ENDPATH**/ ?>