

<?php $__env->startSection('title'); ?>
    Vendor Create
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <?php echo Form::open(array(
            'route'         => 'company.admin.vendors.store',
            'method'        => 'POST',
            'files'         => 'true',
            'autocomplete'  => 'off',
            'class'         => 'store-form'
        )
    ); ?>

        <div class="row">
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Vendor Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Vendor Name<span>*</span></label>
                                    <?php echo Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required', 'data-parsley-pattern' => '^[a-zA-Z ]*$')); ?>

                                    <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-12 geocoding">
                                <input type="hidden" class="geocoding-latitude" name="latitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="longitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="address_verified" value="0" autocomplete="off">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address<span>*</span></label>
                                            <?php echo Form::text('address', old('address'), array(
                                                    'class'         => 'form-control geocoding-address-1',
                                                    'placeholder'   => '',
                                                    'id'            => 'address',
                                                    'required'      => 'required'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address 2</label>
                                            <?php echo Form::text('address_2', old('address_2'), array(
                                                    'class'         => 'form-control geocoding-address-2',
                                                    'placeholder'   => '',
                                                    'id'            => 'address_2'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>City</label>
                                            <?php echo Form::text('city', old('city'), array(
                                                    'class'         => 'form-control geocoding-city',
                                                    'placeholder'   => '',
                                                    'id'            => 'city'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>State<span>*</span></label>
                                            <?php echo Form::text('state', old('state'), array(
                                                    'class'         => 'form-control geocoding-state',
                                                    'placeholder'   => '',
                                                    'id'            => 'state',
                                                    'required'      => 'required'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Zip<span>*</span></label>
                                            <?php echo Form::text('zip', old('zip'), array(
                                                    'class'         => 'form-control geocoding-zip',
                                                    'placeholder'   => '',
                                                    'id'            => 'zip',
                                                    'required'      => 'required'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <button type="button" class="btn btn-warning geocoding-btn" data-uid="<?php echo e('map-'.generateStrUniqueId()); ?>">Verify</button>
                                        <div id="timezone_abbr-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Phone</label>
                                    <?php echo Form::text('phone', old('phone'), array('class' => 'form-control phone')); ?>

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Email</label>
                                    <?php echo Form::email('email', old('email'), array('class' => 'form-control')); ?>

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Fax</label>
                                    <?php echo Form::text('fax', old('fax'), array('class' => 'form-control')); ?>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Business Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Account Number</label>
                                    <?php echo Form::text('account_number', old('account_number'), array('class' => 'form-control')); ?>

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Tax ID</label>
                                    <?php echo Form::text('tax_id', old('tax_id'), array('class' => 'form-control')); ?>

                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Vendor Website</label>
                                    <?php echo Form::text('website', old('website'), array('class' => 'form-control')); ?>

                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <div class="drop-zone">
                                        <span class="drop-zone__prompt">Drag and drop file here or click to browse</span>
                                        <input type="file" name="logo" class="drop-zone__input" accept="image/png,image/gif,image/jpeg" >
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Payments</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12 text-right">
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="sameaddress"><label class="custom-control-label" for="sameaddress">Same as above</label>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Pay to Name</label>
                                    <?php echo Form::text('bill_to_name', old('bill_to_name'), array('class' => 'form-control')); ?>

                                </div>
                            </div>
                            <div class="col-md-12 geocoding">
                                <input type="hidden" class="geocoding-latitude" name="billing_latitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="billing_longitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="billing_timezone_abbr" value="" autocomplete="off" data-parsley-errors-container="#billing_timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="billing_address_verified" value="0" autocomplete="off">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Pay Address<span>*</span></label>
                                            <?php echo Form::text('billing_address', old('billing_address'), array(
                                                    'class'         => 'form-control geocoding-address-1',
                                                    'placeholder'   => '',
                                                    'id'            => 'billing_address',
                                                    'required'      => 'required'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Pay Address 2</label>
                                            <?php echo Form::text('billing_address_2', old('billing_address_2'), array(
                                                    'class'         => 'form-control geocoding-address-2',
                                                    'placeholder'   => '',
                                                    'id'            => 'billing_address_2'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Pay City<span>*</span></label>
                                            <?php echo Form::text('billing_city', old('billing_city'), array(
                                                    'class'         => 'form-control geocoding-city',
                                                    'placeholder'   => '',
                                                    'id'            => 'billing_city'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Pay State<span>*</span></label>
                                            <?php echo Form::text('billing_state', old('billing_state'), array(
                                                    'class'         => 'form-control geocoding-state',
                                                    'placeholder'   => '',
                                                    'id'            => 'billing_state',
                                                    'required'      => 'required'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Pay Zip<span>*</span></label>
                                            <?php echo Form::text('billing_zip', old('billing_zip'), array(
                                                    'class'         => 'form-control geocoding-zip',
                                                    'placeholder'   => '',
                                                    'id'            => 'billing_zip',
                                                    'required'      => 'required'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <button type="button" class="btn btn-warning geocoding-btn" data-uid="<?php echo e('map-'.generateStrUniqueId()); ?>">Verify</button>
                                        <div id="billing_timezone_abbr-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Accounting Phone</label>
                                    <?php echo Form::text('billing_phone', old('billing_phone'), array('class' => 'form-control phone')); ?>

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Accounting Email</label>
                                    <?php echo Form::email('billing_email', old('billing_email'), array('class' => 'form-control')); ?>

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Accounting Extention</label>
                                    <?php echo Form::text('billing_extention', old('billing_extention'), array('class' => 'form-control')); ?>

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Accounting Fax</label>
                                    <?php echo Form::text('billing_fax', old('billing_fax'), array('class' => 'form-control')); ?>

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Payment Method</label>
                                    <?php echo Form::text('billing_method', old('billing_method'), array('class' => 'form-control')); ?>

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Default Payment Terms</label>
                                    <?php echo Form::select('payment_terms', ['' => 'Select Payment Tearms']+getPaymentTerms(), request()->get('payment_terms'), ['class' => 'custom-select form-control']); ?>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Required Documents</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>About Vendor</label>
                                    <?php echo Form::textarea('description', old('description'), array('class' => 'form-control')); ?>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-12">
                <div class="white-box mb-4 load-status">
                    <h4 class="box-title clear-btn">Vendor Notes</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group mt-2 mb-5">
                                    <label><strong>Note:</strong> Notes for a vendor can't be add until the create vendor is saved</label>
                                    <!--a class="addmorecut" data-toggle="modal" data-target="#newFinancialModal">+ Add</a-->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-12">
                <div class="white-box mb-4 load-status">
                    <h4 class="box-title clear-btn">Vendor Files</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group mt-2 mb-5">
                                    <label><strong>Note:</strong> Load Files for a vendor can't be add until the create vendor is saved</label>
                                    <!--a class="addmorecut" data-toggle="modal" data-target="#newFinancialModal">+ Add</a-->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="<?php echo e(route('company.admin.vendors.index')); ?>" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    <?php echo Form::close(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        $( document ).ready(function() {
            $('.store-form').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
        });
    </script>
    <script type="text/javascript">
        $("#sameaddress").click(function() {
            if ($("#sameaddress").is(":checked")) {
                $('input[name="bill_to_name"]').val($('input[name="name"]').val());
                $('input[name="billing_address"]').val($('input[name="address"]').val());
                $('input[name="billing_address_2"]').val($('input[name="address_2"]').val());
                $('input[name="billing_city"]').val($('input[name="city"]').val());
                $('input[name="billing_state"]').val($('input[name="state"]').val());
                $('input[name="billing_zip"]').val($('input[name="zip"]').val());
                $('input[name="billing_phone"]').val($('input[name="phone"]').val());
                $('input[name="billing_email"]').val($('input[name="email"]').val());
                $('input[name="billing_extention"]').val($('input[name="extention"]').val());
                $('input[name="billing_fax"]').val($('input[name="fax"]').val());
                //$('input[name="billing_method"]').val($('input[name="method"]').val());
                //$('input[name="factored"]').val($('input[name="factored"]').val());

                if($('input[name="billing_address"]').val()!=''){
                    $('input[name="billing_address"]').parsley().reset();
                }
                if($('input[name="billing_state"]').val()!=''){
                    $('input[name="billing_state"]').parsley().reset();
                }
                if($('input[name="billing_zip"]').val()!=''){
                    $('input[name="billing_zip"]').parsley().reset();
                }
                var address_verified    = $('input[name="address_verified"]').val();
                if(address_verified==1){
                    $('input[name="billing_latitude"]').val($('input[name="latitude"]').val());
                    $('input[name="billing_longitude"]').val($('input[name="longitude"]').val());
                    $('input[name="billing_timezone_abbr"]').val($('input[name="timezone_abbr"]').val());
                    $('input[name="billing_address_verified"]').val('1');

                    $('input[name="billing_timezone_abbr"]').parsley().reset();
                    var btn             = $('input[name="billing_latitude"]').closest('.geocoding').find('.geocoding-btn');
                    btn.text('Verified');
                    btn.removeClass("btn-warning");
                    btn.addClass("btn-success");
                }
            }else{
                $('input[name="bill_to_name"]').val('');
                $('input[name="billing_address"]').val('');
                $('input[name="billing_address_2"]').val('');
                $('input[name="billing_city"]').val('');
                $('input[name="billing_state"]').val('');
                $('input[name="billing_zip"]').val('');
                $('input[name="billing_phone"]').val('');
                $('input[name="billing_email"]').val('');
                $('input[name="billing_extention"]').val('');
                $('input[name="billing_fax"]').val('');
                //$('input[name="billing_method"]').val('');
                //$('input[name="factored"]').val('');

                $('input[name="billing_latitude"]').val('');
                $('input[name="billing_longitude"]').val('');
                $('input[name="billing_timezone_abbr"]').val('');
                $('input[name="billing_address_verified"]').val('0');

                var btn             = $('input[name="billing_latitude"]').closest('.geocoding').find('.geocoding-btn');
                btn.text('Verify');
                btn.removeClass("btn-success");
                btn.addClass("btn-warning");
            }
        });
    </script>
    <script type="text/javascript">
        document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
            const dropZoneElement = inputElement.closest(".drop-zone");

            dropZoneElement.addEventListener("click", (e) => {
                inputElement.click();
            });

            inputElement.addEventListener("change", (e) => {
                if (inputElement.files.length) {
                updateThumbnail(dropZoneElement, inputElement.files[0]);
                }
            });

            dropZoneElement.addEventListener("dragover", (e) => {
                e.preventDefault();
                dropZoneElement.classList.add("drop-zone--over");
            });

            ["dragleave", "dragend"].forEach((type) => {
                dropZoneElement.addEventListener(type, (e) => {
                dropZoneElement.classList.remove("drop-zone--over");
                });
            });

            dropZoneElement.addEventListener("drop", (e) => {
                e.preventDefault();

                if (e.dataTransfer.files.length) {
                inputElement.files = e.dataTransfer.files;
                updateThumbnail(dropZoneElement, e.dataTransfer.files[0]);
                }

                dropZoneElement.classList.remove("drop-zone--over");
            });
        });

        function updateThumbnail(dropZoneElement, file) {
            let thumbnailElement = dropZoneElement.querySelector(".drop-zone__thumb");

            // First time - remove the prompt
            if (dropZoneElement.querySelector(".drop-zone__prompt")) {
                dropZoneElement.querySelector(".drop-zone__prompt").remove();
            }

            // First time - there is no thumbnail element, so lets create it
            if (!thumbnailElement) {
                thumbnailElement = document.createElement("div");
                thumbnailElement.classList.add("drop-zone__thumb");
                dropZoneElement.appendChild(thumbnailElement);
            }

            thumbnailElement.dataset.label = file.name;

            // Show thumbnail for image files
            if (file.type.startsWith("image/")) {
                const reader = new FileReader();

                reader.readAsDataURL(file);
                reader.onload = () => {
                thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
                };
            } else {
                thumbnailElement.style.backgroundImage = null;
            }
        }
    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('after-scripts'); ?>
    <script src="<?php echo e(asset('theme/js/trimble.js')); ?>"></script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/vendor/create.blade.php ENDPATH**/ ?>