<div class="row px-3 py-2 pt-3">
    <div class="col-md-9 state-map-chart-custom-grid">
        <div id="map" style="width:1315px; height:808px"></div>
        <div class="map-legend d-flex flex-column">
            <div class="icon-preferred">
                <i class="fa fa-circle mr-1" aria-hidden="true"></i> <b>Preferred</b>
            </div>
            <div class="icon-Open mr-4">
                <i class="fa fa-circle mr-1" aria-hidden="true"></i> <b>Open</b>
            </div>
            <div class="icon-Block mr-4">
                <i class="fa fa-circle mr-1" aria-hidden="true"></i> <b>Block</b>
            </div>
        </div>
    </div>
    <div class="col-md-3 state-map-chkbox-custom-grid">
        <div class="state-map-base-box">
            <div class="box-header">
                <div class="row align-items-center">
                    <div class="col-sm-12">
                        <h3>Region</h3>
                    </div>
                </div>
            </div>
            <div class="table-responsive">
                <table class="table">
                    <tbody>
                    <tr class="tr-head">
                        <td>
                            <div class="d-flex">
                                <div class="d-none">
                                    <i class="fa fa-times state-map-block region-southwest-block ml-2 pr-2" aria-hidden="true"></i>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" id="region-southwest" name="region_southwest" value="0">
                                    <label class="form-check-label" for="region-southwest"></label>
                                </div>
                                <div>
                                    Southwest
                                </div>
                            </div>
                        </td>
                    </tr>
                    <?php $__currentLoopData = getZoneWiseStateList()['Southwest']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stateId => $stateName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td>
                                <div class="d-flex">
                                    <div class="d-none">
                                        <i class="fa fa-times state-map-block region-southwest-child-block ml-2 pr-2" aria-hidden="true"></i>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input region-southwest-child" type="checkbox" id="region-<?php echo e($stateId); ?>" name="region_<?php echo e($stateId); ?>" value="0">
                                        <label class="form-check-label" for="region-<?php echo e($stateId); ?>"></label>
                                    </div>
                                    <div>
                                        <?php echo e($stateName); ?>

                                    </div>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <tr class="tr-head">
                        <td>
                            <div class="d-flex">
                                <div class="d-none">
                                    <i class="fa fa-times state-map-block region-west-block ml-2 pr-2" aria-hidden="true"></i>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" id="region-west" name="region_west" value="0">
                                    <label class="form-check-label" for="region-west"></label>
                                </div>
                                <div>
                                    West
                                </div>
                            </div>
                        </td>
                    </tr>
                    <?php $__currentLoopData = getZoneWiseStateList()['West']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stateId => $stateName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td>
                                <div class="d-flex">
                                    <div class="d-none">
                                        <i class="fa fa-times state-map-block region-west-child-block ml-2 pr-2" aria-hidden="true"></i>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input region-west-child" type="checkbox" id="region-<?php echo e($stateId); ?>" name="region_<?php echo e($stateId); ?>" value="0">
                                        <label class="form-check-label" for="region-<?php echo e($stateId); ?>"></label>
                                    </div>
                                    <div>
                                        <?php echo e($stateName); ?>

                                    </div>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <tr class="tr-head">
                        <td>
                            <div class="d-flex">
                                <div class="d-none">
                                    <i class="fa fa-times state-map-block region-midwest-block ml-2 pr-2" aria-hidden="true"></i>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" id="region-midwest" name="region_midwest" value="0">
                                    <label class="form-check-label" for="region-midwest"></label>
                                </div>
                                <div>
                                    Midwest
                                </div>
                            </div>
                        </td>
                    </tr>
                    <?php $__currentLoopData = getZoneWiseStateList()['Midwest']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stateId => $stateName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td>
                                <div class="d-flex">
                                    <div class="d-none">
                                        <i class="fa fa-times state-map-block region-midwest-child-block ml-2 pr-2" aria-hidden="true"></i>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input region-midwest-child" type="checkbox" id="region-<?php echo e($stateId); ?>" name="region_<?php echo e($stateId); ?>" value="0">
                                        <label class="form-check-label" for="region-<?php echo e($stateId); ?>"></label>
                                    </div>
                                    <div>
                                        <?php echo e($stateName); ?>

                                    </div>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <tr class="tr-head">
                        <td>
                            <div class="d-flex">
                                <div class="d-none">
                                    <i class="fa fa-times state-map-block region-southeast-block ml-2 pr-2" aria-hidden="true"></i>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" id="region-southeast" name="region_southeast" value="0">
                                    <label class="form-check-label" for="region-southeast"></label>
                                </div>
                                <div>
                                    Southeast
                                </div>
                            </div>
                        </td>
                    </tr>
                    <?php $__currentLoopData = getZoneWiseStateList()['Southeast']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stateId => $stateName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td>
                                <div class="d-flex">
                                    <div class="d-none">
                                        <i class="fa fa-times state-map-block region-southeast-child-block ml-2 pr-2" aria-hidden="true"></i>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input region-southeast-child" type="checkbox" id="region-<?php echo e($stateId); ?>" name="region_<?php echo e($stateId); ?>" value="0">
                                        <label class="form-check-label" for="region-<?php echo e($stateId); ?>"></label>
                                    </div>
                                    <div>
                                        <?php echo e($stateName); ?>

                                    </div>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <tr class="tr-head">
                        <td>
                            <div class="d-flex">
                                <div class="d-none">
                                    <i class="fa fa-times state-map-block region-northeast-block ml-2 pr-2" aria-hidden="true"></i>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" id="region-northeast" name="region-northeast" value="0">
                                    <label class="form-check-label" for="region-northeast"></label>
                                </div>
                                <div>
                                    Northeast
                                </div>
                            </div>
                        </td>
                    </tr>
                    <?php $__currentLoopData = getZoneWiseStateList()['Northeast']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stateId => $stateName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td>
                                <div class="d-flex">
                                    <div class="d-none">
                                        <i class="fa fa-times state-map-block region-northeast-child-block ml-2 pr-2" aria-hidden="true"></i>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input region-northeast-child" type="checkbox" id="region-<?php echo e($stateId); ?>" name="region_<?php echo e($stateId); ?>" value="0">
                                        <label class="form-check-label" for="region-<?php echo e($stateId); ?>"></label>
                                    </div>
                                    <div>
                                        <?php echo e($stateName); ?>

                                    </div>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/driver/tab/stateMap.blade.php ENDPATH**/ ?>