

<?php $__env->startSection('title'); ?>
    Loads
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <style type="text/css">
        .load-btn label{width: 99px !important}
        .load-edit-link{text-decoration: underline}
  </style>
  <style type="text/css">
      .dataTables_length {display: block;}
      .cusotdiv2 {display: flex;justify-content: end;align-items: center;}
      .dataTables_length label {margin-bottom: 0;padding-left: 10px!important;}
  </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <input type="hidden" id="getTableName" value="<?php echo e(str_replace('settings.','',$tableName)); ?>">
    <input type="hidden" id="lastActiveTable" value="tableActive">

    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item" role="presentation">
            <a data-table="table1" class="nav-link active changeLoadTab" id="All-tab" data-toggle="tab" href="#All" role="tab" aria-controls="All" aria-selected="true">Active</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table2" class="nav-link changeLoadTab" id="View-tab" data-toggle="tab" href="#NewLoad" role="tab" aria-controls="View" aria-selected="false">Ready to Bill</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table3" class="nav-link changeLoadTab" id="Delivered-tab" data-toggle="tab" href="#delivered" role="tab" aria-controls="View" aria-selected="false">Delivered</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table4" class="nav-link changeLoadTab" id="leave-tab" data-toggle="tab" href="#CompleteLoad" role="tab" aria-controls="CompleteLoad" aria-selected="false">Complete</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table5" class="nav-link changeLoadTab" id="onhold-tab" data-toggle="tab" href="#onhold" role="tab" aria-controls="onhold" aria-selected="false">On Hold</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table6" class="nav-link changeLoadTab" id="cancel-tab" data-toggle="tab" href="#Cancel" role="tab" aria-controls="Cancel" aria-selected="false">Cancelled</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table7" class="nav-link changeLoadTab" id="unoccupied-tab" data-toggle="tab" href="#unoccupied" role="tab" aria-controls="unoccupied" aria-selected="false">Unoccupied</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table8" class="nav-link changeLoadTab" id="allload-tab" data-toggle="tab" href="#allload" role="tab" aria-controls="allload" aria-selected="false">All Loads</a>
        </li>
        <li class="nav-item" role="presentation">
            <a data-table="table9" class="nav-link changeLoadTab" id="oosapproval-tab" data-toggle="tab" href="#oosapproval" role="tab" aria-controls="oosapproval" aria-selected="false">OOS Pending</a>
        </li>
    </ul>

    <input type="hidden" name="previous_tab" id="previous_tab">

    <div class="tab-content" id="myTabContent">
        <?php $__currentLoopData = $tables; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k => $v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="tab-pane fade <?php if( $v['name'] == 'table1' ): ?> show active <?php endif; ?>" id="<?php echo e($v['id']); ?>" role="tabpanel" aria-labelledby="<?php echo e($v['id']); ?>-tab">
                <?php if( $v['name'] == 'table1' ): ?>
                    <div class="row">
                        <div class="col-md-3 col-sm-6">
                            <div class="white-box mb-4">
                                <div class="box-padding employee-box">
                                    <span class="big-ttl">Active Loads</span>
                                    <h5 class="centr"><?php echo e(totalActiveLoads()); ?></h5>
                                    <ul class="per-data">
                                        <li>This years</li>
                                        <li class="blue"><span><img src="<?php echo e(asset('theme/img/top-arrow.png')); ?>" alt=""></span> 5%</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 col-sm-6">
                            <div class="white-box mb-4">
                                <div class="box-padding employee-box">
                                    <span class="big-ttl">Ready to Bill</span>
                                    <h5 class="centr"><?php echo e(totalReadyToBillLoads()); ?></h5>
                                    <ul class="per-data">
                                        <li>This years</li>
                                        <li class="blue"><span><img src="<?php echo e(asset('theme/img/top-arrow.png')); ?>" alt=""></span> 5%</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 col-sm-6">
                            <div class="white-box mb-4">
                                <div class="box-padding employee-box">
                                    <span class="big-ttl">Completed Loads</span>
                                    <h5 class="centr"><?php echo e(totalCompletedLoads()); ?></h5>
                                    <ul class="per-data">
                                        <li>This years</li>
                                        <li class="blue"><span><img src="<?php echo e(asset('theme/img/top-arrow.png')); ?>" alt=""></span> 5%</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 col-sm-6">
                            <div class="white-box mb-4">
                                <div class="box-padding employee-box">
                                    <span class="big-ttl">Total Loads</span>
                                    <h5 class="centr"><?php echo e(totalLoads()); ?></h5>
                                    <ul class="per-data">
                                        <li>This years</li>
                                        <li class="orange"><span><img src="<?php echo e(asset('theme/img/down-arrow.png')); ?>" alt=""></span> 5%</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>

                <div class="white-box table-view">
                    <h3 class="table-title">Loads</h3>
                    <div class="table-responsive">
                        <table class="table <?php echo e($v['class']); ?>">
                            <thead>
                                <tr>
                                    <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($filed == 1 && isset(config('settings.table_loads_active')[$key]['name'])): ?>
                                            <?php if(isset(config('settings.table_loads_active')[$key]['searchBuilderType'])): ?>
                                                <?php if(config('settings.table_loads_active')[$key]['col_search'] == 0): ?>
                                                    <?php if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' ): ?>
                                                        <th class=" notsech"><?php echo e(config('settings.table_loads_active')[$key]['name']); ?> <i class="fa fa-filter table_loads_active_<?php echo e($key); ?>_string columnFilter" data-modal="SearchByStringModal<?php echo e($key); ?><?php echo e($v['name']); ?>"></i></th>
                                                    <?php elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' ): ?>
                                                        <th class=" notsech"><?php echo e(config('settings.table_loads_active')[$key]['name']); ?> <i class="fa fa-filter table_loads_active_<?php echo e($key); ?>_date columnFilter" data-modal="SearchByDateModal<?php echo e($key); ?><?php echo e($v['name']); ?>"></i></th>
                                                    <?php elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' ): ?>
                                                        <th class=" notsech"><?php echo e(config('settings.table_loads_active')[$key]['name']); ?> <i class="fa fa-filter table_loads_active_<?php echo e($key); ?>_status columnFilter" data-modal="SearchByStatusModal<?php echo e($key); ?><?php echo e($v['name']); ?>"></i></th>
                                                    <?php endif; ?>
                                                <?php else: ?>
                                                    <?php if( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'string' ): ?>
                                                        <th><?php echo e(config('settings.table_loads_active')[$key]['name']); ?> <i class="fa fa-filter table_loads_active_<?php echo e($key); ?>_string columnFilter" data-modal="SearchByStringModal<?php echo e($key); ?><?php echo e($v['name']); ?>"></i></th>
                                                    <?php elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'date' ): ?>
                                                        <th><?php echo e(config('settings.table_loads_active')[$key]['name']); ?> <i class="fa fa-filter table_loads_active_<?php echo e($key); ?>_date columnFilter" data-modal="SearchByDateModal<?php echo e($key); ?><?php echo e($v['name']); ?>"></i></th>
                                                    <?php elseif( config('settings.table_loads_active')[$key]['searchBuilderType'] == 'status' ): ?>
                                                        <th><?php echo e(config('settings.table_loads_active')[$key]['name']); ?> <i class="fa fa-filter table_loads_active_<?php echo e($key); ?>_status columnFilter" data-modal="SearchByStatusModal<?php echo e($key); ?><?php echo e($v['name']); ?>"></i></th>
                                                    <?php endif; ?>
                                                <?php endif; ?>
                                            <?php else: ?>
                                                <?php if(config('settings.table_loads_active')[$key]['col_search'] == 0): ?>
                                                    <th class=" notsech"><?php echo e(config('settings.table_loads_active')[$key]['name']); ?></th>
                                                <?php else: ?>
                                                    <th><?php echo e(config('settings.table_loads_active')[$key]['name']); ?></th>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tr>
                            </thead>
                            <tbody class="loadTableBody"></tbody>
                        </table>
                    </div>
                </div>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>

    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <?php echo Form::open(array('route' => 'company.admin.bookmarks.store','method'=>'POST','files'=>'true','class'=>'store-form')); ?>

                <input type="hidden" name="table_id" value="loads_active" />

                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Adjust Table Columns</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <ul class="sortableList connected-sortable droppable-area1" id="sortable">
                            <?php $__currentLoopData = $getField; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $filed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                                    <li class="ui-state-default">
                                        <div class="custom-control custom-checkbox">
                                            <input type='hidden' value='0' name='field[<?php echo e($key); ?>]'>
                                            <input type="checkbox" class="custom-control-input" id="Check<?php echo e($key); ?>" name="field[<?php echo e($key); ?>]" value="1" <?php if($filed == 1): ?> checked <?php endif; ?>>
                                            <label class="custom-control-label" for="Check<?php echo e($key); ?>"><?php echo e(config('settings.table_loads_active')[$key]['name']); ?></label>
                                        </div>
                                        <i class="fa fa-align-justify drag-icon"></i>
                                    </li>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
            <?php echo Form::close(); ?>

        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script>
        var table1 = $('.data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6 cusotdiv2'fl>><''><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "<?php echo e(perPageView()); ?>",
            ajax: {
                url: "<?php echo e(route('company.admin.active.loads.index')); ?>",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?>              = $('#search_string_<?php echo e($key); ?>_table1').val();
                        d.search_string_name_<?php echo e($key); ?>               = $('#stringKey<?php echo e($key); ?>_table1').val();
                        d.search_string_type_<?php echo e($key); ?>               = $('#stringType<?php echo e($key); ?>_table1').val();
                        d.search_table_name_<?php echo e($key); ?>                = $('#stringTableType<?php echo e($key); ?>_table1').val();
                        d.search_string_condition_<?php echo e($key); ?>          = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_string_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_string_relation_table_<?php echo e($key); ?>     = $('#stringRelationTable<?php echo e($key); ?>_table1').val();
                        d.search_string_col_name1_<?php echo e($key); ?>          = $('#stringColName1<?php echo e($key); ?>_table1').val();
                        d.search_string_col_name2_<?php echo e($key); ?>          = $('#stringColName2<?php echo e($key); ?>_table1').val();
                        d.search_string_static_<?php echo e($key); ?>             = $('#stringStatic<?php echo e($key); ?>_table1').val();

                        d.search_string_having_<?php echo e($key); ?>             = $('#stringHaving<?php echo e($key); ?>_table1').val();

                        d.search_string_col_alias1_name_<?php echo e($key); ?>    = $('#stringColAl1<?php echo e($key); ?>_table1').val();
                        d.search_string_col_alias2_name_<?php echo e($key); ?>    = $('#stringColAl2<?php echo e($key); ?>_table1').val();
                        d.search_string_col_alias3_name_<?php echo e($key); ?>    = $('#stringColAl3<?php echo e($key); ?>_table1').val();
                        d.search_string_col_alias4_name_<?php echo e($key); ?>    = $('#stringColAl4<?php echo e($key); ?>_table1').val();
                        d.search_string_col_alias5_name_<?php echo e($key); ?>    = $('#stringColAl5<?php echo e($key); ?>_table1').val();
                        d.search_string_col_alias6_name_<?php echo e($key); ?>    = $('#stringColAl6<?php echo e($key); ?>_table1').val();

                        d.search_date_from_value_<?php echo e($key); ?>           = $('#search_date_<?php echo e($key); ?>_table1').val();
                        d.search_date_to_value_<?php echo e($key); ?>             = $('#search_date_end_<?php echo e($key); ?>_table1').val();
                        d.search_date_name_<?php echo e($key); ?>                 = $('#dateKey<?php echo e($key); ?>_table1').val();
                        d.search_date_type_<?php echo e($key); ?>                 = $('#dateType<?php echo e($key); ?>_table1').val();
                        d.search_date_table_name_<?php echo e($key); ?>           = $('#dateTableType<?php echo e($key); ?>_table1').val();
                        d.search_date_condition_<?php echo e($key); ?>            = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                        d.search_date_sort_<?php echo e($key); ?>                 = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?>  = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_<?php echo e($key); ?>          = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                        d.search_status_name_<?php echo e($key); ?>               = $('#statusOrgColName<?php echo e($key); ?>').val();
                        d.search_status_table_name_<?php echo e($key); ?>         = $('#statusTableType<?php echo e($key); ?>').val();
                        d.search_status_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_status_sort_column_<?php echo e($key); ?>        = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table1 != 'undefined' && table1.hasOwnProperty('settings')) {
                        table1.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table2 = $('.new-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "<?php echo e(perPageView()); ?>",
            // ajax: "<?php echo e(route('company.admin.new.loads.index')); ?>",
            ajax: {
                url: "<?php echo e(route('company.admin.new.loads.index')); ?>",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url: "<?php echo e(route('company.admin.new.loads.index')); ?>",
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?>              = $('#search_string_<?php echo e($key); ?>_table2').val();
                        d.search_string_name_<?php echo e($key); ?>               = $('#stringKey<?php echo e($key); ?>_table2').val();
                        d.search_string_type_<?php echo e($key); ?>               = $('#stringType<?php echo e($key); ?>_table2').val();
                        d.search_table_name_<?php echo e($key); ?>                = $('#stringTableType<?php echo e($key); ?>_table2').val();
                        d.search_string_condition_<?php echo e($key); ?>          = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_string_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_string_relation_table_<?php echo e($key); ?>     = $('#stringRelationTable<?php echo e($key); ?>_table2').val();
                        d.search_string_col_name1_<?php echo e($key); ?>          = $('#stringColName1<?php echo e($key); ?>_table2').val();
                        d.search_string_col_name2_<?php echo e($key); ?>          = $('#stringColName2<?php echo e($key); ?>_table2').val();
                        d.search_string_static_<?php echo e($key); ?>             = $('#stringStatic<?php echo e($key); ?>_table2').val();

                        d.search_string_having_<?php echo e($key); ?>             = $('#stringHaving<?php echo e($key); ?>_table2').val();

                        d.search_string_col_alias1_name_<?php echo e($key); ?>    = $('#stringColAl1<?php echo e($key); ?>_table2').val();
                        d.search_string_col_alias2_name_<?php echo e($key); ?>    = $('#stringColAl2<?php echo e($key); ?>_table2').val();
                        d.search_string_col_alias3_name_<?php echo e($key); ?>    = $('#stringColAl3<?php echo e($key); ?>_table2').val();
                        d.search_string_col_alias4_name_<?php echo e($key); ?>    = $('#stringColAl4<?php echo e($key); ?>_table2').val();
                        d.search_string_col_alias5_name_<?php echo e($key); ?>    = $('#stringColAl5<?php echo e($key); ?>_table2').val();
                        d.search_string_col_alias6_name_<?php echo e($key); ?>    = $('#stringColAl6<?php echo e($key); ?>_table2').val();

                        d.search_date_from_value_<?php echo e($key); ?>           = $('#search_date_<?php echo e($key); ?>_table2').val();
                        d.search_date_to_value_<?php echo e($key); ?>             = $('#search_date_end_<?php echo e($key); ?>_table2').val();
                        d.search_date_name_<?php echo e($key); ?>                 = $('#dateKey<?php echo e($key); ?>_table2').val();
                        d.search_date_type_<?php echo e($key); ?>                 = $('#dateType<?php echo e($key); ?>_table2').val();
                        d.search_date_table_name_<?php echo e($key); ?>           = $('#dateTableType<?php echo e($key); ?>_table2').val();
                        d.search_date_condition_<?php echo e($key); ?>            = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                        d.search_date_sort_<?php echo e($key); ?>                 = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?>  = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_<?php echo e($key); ?>          = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                        d.search_status_name_<?php echo e($key); ?>               = $('#statusOrgColName<?php echo e($key); ?>').val();
                        d.search_status_table_name_<?php echo e($key); ?>         = $('#statusTableType<?php echo e($key); ?>').val();
                        d.search_status_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_status_sort_column_<?php echo e($key); ?>        = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table2 != 'undefined' && table2.hasOwnProperty('settings')) {
                        table2.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table3 = $('.delivered-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "<?php echo e(perPageView()); ?>",
            // ajax: "<?php echo e(route('company.admin.delivered.loads.index')); ?>",
            ajax: {
                url: "<?php echo e(route('company.admin.delivered.loads.index')); ?>",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?>              = $('#search_string_<?php echo e($key); ?>_table3').val();
                        d.search_string_name_<?php echo e($key); ?>               = $('#stringKey<?php echo e($key); ?>_table3').val();
                        d.search_string_type_<?php echo e($key); ?>               = $('#stringType<?php echo e($key); ?>_table3').val();
                        d.search_table_name_<?php echo e($key); ?>                = $('#stringTableType<?php echo e($key); ?>_table3').val();
                        d.search_string_condition_<?php echo e($key); ?>          = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_string_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_string_relation_table_<?php echo e($key); ?>     = $('#stringRelationTable<?php echo e($key); ?>_table3').val();
                        d.search_string_col_name1_<?php echo e($key); ?>          = $('#stringColName1<?php echo e($key); ?>_table3').val();
                        d.search_string_col_name2_<?php echo e($key); ?>          = $('#stringColName2<?php echo e($key); ?>_table3').val();
                        d.search_string_static_<?php echo e($key); ?>             = $('#stringStatic<?php echo e($key); ?>_table3').val();

                        d.search_string_having_<?php echo e($key); ?>             = $('#stringHaving<?php echo e($key); ?>_table3').val();

                        d.search_string_col_alias1_name_<?php echo e($key); ?>    = $('#stringColAl1<?php echo e($key); ?>_table3').val();
                        d.search_string_col_alias2_name_<?php echo e($key); ?>    = $('#stringColAl2<?php echo e($key); ?>_table3').val();
                        d.search_string_col_alias3_name_<?php echo e($key); ?>    = $('#stringColAl3<?php echo e($key); ?>_table3').val();
                        d.search_string_col_alias4_name_<?php echo e($key); ?>    = $('#stringColAl4<?php echo e($key); ?>_table3').val();
                        d.search_string_col_alias5_name_<?php echo e($key); ?>    = $('#stringColAl5<?php echo e($key); ?>_table3').val();
                        d.search_string_col_alias6_name_<?php echo e($key); ?>    = $('#stringColAl6<?php echo e($key); ?>_table3').val();

                        d.search_date_from_value_<?php echo e($key); ?>           = $('#search_date_<?php echo e($key); ?>_table3').val();
                        d.search_date_to_value_<?php echo e($key); ?>             = $('#search_date_end_<?php echo e($key); ?>_table3').val();
                        d.search_date_name_<?php echo e($key); ?>                 = $('#dateKey<?php echo e($key); ?>_table3').val();
                        d.search_date_type_<?php echo e($key); ?>                 = $('#dateType<?php echo e($key); ?>_table3').val();
                        d.search_date_table_name_<?php echo e($key); ?>           = $('#dateTableType<?php echo e($key); ?>_table3').val();
                        d.search_date_condition_<?php echo e($key); ?>            = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                        d.search_date_sort_<?php echo e($key); ?>                 = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?>  = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_<?php echo e($key); ?>          = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                        d.search_status_name_<?php echo e($key); ?>               = $('#statusOrgColName<?php echo e($key); ?>').val();
                        d.search_status_table_name_<?php echo e($key); ?>         = $('#statusTableType<?php echo e($key); ?>').val();
                        d.search_status_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_status_sort_column_<?php echo e($key); ?>        = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table3 != 'undefined' && table3.hasOwnProperty('settings')) {
                        table3.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table4 = $('.complete-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "<?php echo e(perPageView()); ?>",
            // ajax: "<?php echo e(route('company.admin.complete.loads.index')); ?>",
            ajax: {
                url: "<?php echo e(route('company.admin.complete.loads.index')); ?>",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?>              = $('#search_string_<?php echo e($key); ?>_table4').val();
                        d.search_string_name_<?php echo e($key); ?>               = $('#stringKey<?php echo e($key); ?>_table4').val();
                        d.search_string_type_<?php echo e($key); ?>               = $('#stringType<?php echo e($key); ?>_table4').val();
                        d.search_table_name_<?php echo e($key); ?>                = $('#stringTableType<?php echo e($key); ?>_table4').val();
                        d.search_string_condition_<?php echo e($key); ?>          = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_string_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_string_relation_table_<?php echo e($key); ?>     = $('#stringRelationTable<?php echo e($key); ?>_table4').val();
                        d.search_string_col_name1_<?php echo e($key); ?>          = $('#stringColName1<?php echo e($key); ?>_table4').val();
                        d.search_string_col_name2_<?php echo e($key); ?>          = $('#stringColName2<?php echo e($key); ?>_table4').val();
                        d.search_string_static_<?php echo e($key); ?>             = $('#stringStatic<?php echo e($key); ?>_table4').val();

                        d.search_string_having_<?php echo e($key); ?>             = $('#stringHaving<?php echo e($key); ?>_table4').val();

                        d.search_string_col_alias1_name_<?php echo e($key); ?>    = $('#stringColAl1<?php echo e($key); ?>_table4').val();
                        d.search_string_col_alias2_name_<?php echo e($key); ?>    = $('#stringColAl2<?php echo e($key); ?>_table4').val();
                        d.search_string_col_alias3_name_<?php echo e($key); ?>    = $('#stringColAl3<?php echo e($key); ?>_table4').val();
                        d.search_string_col_alias4_name_<?php echo e($key); ?>    = $('#stringColAl4<?php echo e($key); ?>_table4').val();
                        d.search_string_col_alias5_name_<?php echo e($key); ?>    = $('#stringColAl5<?php echo e($key); ?>_table4').val();
                        d.search_string_col_alias6_name_<?php echo e($key); ?>    = $('#stringColAl6<?php echo e($key); ?>_table4').val();

                        d.search_date_from_value_<?php echo e($key); ?>           = $('#search_date_<?php echo e($key); ?>_table4').val();
                        d.search_date_to_value_<?php echo e($key); ?>             = $('#search_date_end_<?php echo e($key); ?>_table4').val();
                        d.search_date_name_<?php echo e($key); ?>                 = $('#dateKey<?php echo e($key); ?>_table4').val();
                        d.search_date_type_<?php echo e($key); ?>                 = $('#dateType<?php echo e($key); ?>_table4').val();
                        d.search_date_table_name_<?php echo e($key); ?>           = $('#dateTableType<?php echo e($key); ?>_table4').val();
                        d.search_date_condition_<?php echo e($key); ?>            = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                        d.search_date_sort_<?php echo e($key); ?>                 = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?>  = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_<?php echo e($key); ?>          = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                        d.search_status_name_<?php echo e($key); ?>               = $('#statusOrgColName<?php echo e($key); ?>').val();
                        d.search_status_table_name_<?php echo e($key); ?>         = $('#statusTableType<?php echo e($key); ?>').val();
                        d.search_status_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_status_sort_column_<?php echo e($key); ?>        = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table4 != 'undefined' && table4.hasOwnProperty('settings')) {
                        table4.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table5 = $('.onhold-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "<?php echo e(perPageView()); ?>",
            // ajax: "<?php echo e(route('company.admin.onhold.loads.index')); ?>",
            ajax: {
                url: "<?php echo e(route('company.admin.onhold.loads.index')); ?>",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?>              = $('#search_string_<?php echo e($key); ?>_table5').val();
                        d.search_string_name_<?php echo e($key); ?>               = $('#stringKey<?php echo e($key); ?>_table5').val();
                        d.search_string_type_<?php echo e($key); ?>               = $('#stringType<?php echo e($key); ?>_table5').val();
                        d.search_table_name_<?php echo e($key); ?>                = $('#stringTableType<?php echo e($key); ?>_table5').val();
                        d.search_string_condition_<?php echo e($key); ?>          = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_string_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_string_relation_table_<?php echo e($key); ?>     = $('#stringRelationTable<?php echo e($key); ?>_table5').val();
                        d.search_string_col_name1_<?php echo e($key); ?>          = $('#stringColName1<?php echo e($key); ?>_table5').val();
                        d.search_string_col_name2_<?php echo e($key); ?>          = $('#stringColName2<?php echo e($key); ?>_table5').val();
                        d.search_string_static_<?php echo e($key); ?>             = $('#stringStatic<?php echo e($key); ?>_table5').val();

                        d.search_string_having_<?php echo e($key); ?>             = $('#stringHaving<?php echo e($key); ?>_table5').val();

                        d.search_string_col_alias1_name_<?php echo e($key); ?>    = $('#stringColAl1<?php echo e($key); ?>_table5').val();
                        d.search_string_col_alias2_name_<?php echo e($key); ?>    = $('#stringColAl2<?php echo e($key); ?>_table5').val();
                        d.search_string_col_alias3_name_<?php echo e($key); ?>    = $('#stringColAl3<?php echo e($key); ?>_table5').val();
                        d.search_string_col_alias4_name_<?php echo e($key); ?>    = $('#stringColAl4<?php echo e($key); ?>_table5').val();
                        d.search_string_col_alias5_name_<?php echo e($key); ?>    = $('#stringColAl5<?php echo e($key); ?>_table5').val();
                        d.search_string_col_alias6_name_<?php echo e($key); ?>    = $('#stringColAl6<?php echo e($key); ?>_table5').val();

                        d.search_date_from_value_<?php echo e($key); ?>           = $('#search_date_<?php echo e($key); ?>_table5').val();
                        d.search_date_to_value_<?php echo e($key); ?>             = $('#search_date_end_<?php echo e($key); ?>_table5').val();
                        d.search_date_name_<?php echo e($key); ?>                 = $('#dateKey<?php echo e($key); ?>_table5').val();
                        d.search_date_type_<?php echo e($key); ?>                 = $('#dateType<?php echo e($key); ?>_table5').val();
                        d.search_date_table_name_<?php echo e($key); ?>           = $('#dateTableType<?php echo e($key); ?>_table5').val();
                        d.search_date_condition_<?php echo e($key); ?>            = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                        d.search_date_sort_<?php echo e($key); ?>                 = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?>  = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_<?php echo e($key); ?>          = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                        d.search_status_name_<?php echo e($key); ?>               = $('#statusOrgColName<?php echo e($key); ?>').val();
                        d.search_status_table_name_<?php echo e($key); ?>         = $('#statusTableType<?php echo e($key); ?>').val();
                        d.search_status_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_status_sort_column_<?php echo e($key); ?>        = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table5 != 'undefined' && table5.hasOwnProperty('settings')) {
                        table5.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table6 = $('.cancel-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
                search: "",
                searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "<?php echo e(perPageView()); ?>",
            // ajax: "<?php echo e(route('company.admin.cancel.loads.index')); ?>",
            ajax: {
                url: "<?php echo e(route('company.admin.cancel.loads.index')); ?>",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?>              = $('#search_string_<?php echo e($key); ?>_table6').val();
                        d.search_string_name_<?php echo e($key); ?>               = $('#stringKey<?php echo e($key); ?>_table6').val();
                        d.search_string_type_<?php echo e($key); ?>               = $('#stringType<?php echo e($key); ?>_table6').val();
                        d.search_table_name_<?php echo e($key); ?>                = $('#stringTableType<?php echo e($key); ?>_table6').val();
                        d.search_string_condition_<?php echo e($key); ?>          = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_string_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_string_relation_table_<?php echo e($key); ?>     = $('#stringRelationTable<?php echo e($key); ?>_table6').val();
                        d.search_string_col_name1_<?php echo e($key); ?>          = $('#stringColName1<?php echo e($key); ?>_table6').val();
                        d.search_string_col_name2_<?php echo e($key); ?>          = $('#stringColName2<?php echo e($key); ?>_table6').val();
                        d.search_string_static_<?php echo e($key); ?>             = $('#stringStatic<?php echo e($key); ?>_table6').val();

                        d.search_string_having_<?php echo e($key); ?>             = $('#stringHaving<?php echo e($key); ?>_table6').val();

                        d.search_string_col_alias1_name_<?php echo e($key); ?>    = $('#stringColAl1<?php echo e($key); ?>_table6').val();
                        d.search_string_col_alias2_name_<?php echo e($key); ?>    = $('#stringColAl2<?php echo e($key); ?>_table6').val();
                        d.search_string_col_alias3_name_<?php echo e($key); ?>    = $('#stringColAl3<?php echo e($key); ?>_table6').val();
                        d.search_string_col_alias4_name_<?php echo e($key); ?>    = $('#stringColAl4<?php echo e($key); ?>_table6').val();
                        d.search_string_col_alias5_name_<?php echo e($key); ?>    = $('#stringColAl5<?php echo e($key); ?>_table6').val();
                        d.search_string_col_alias6_name_<?php echo e($key); ?>    = $('#stringColAl6<?php echo e($key); ?>_table6').val();

                        d.search_date_from_value_<?php echo e($key); ?>           = $('#search_date_<?php echo e($key); ?>_table6').val();
                        d.search_date_to_value_<?php echo e($key); ?>             = $('#search_date_end_<?php echo e($key); ?>_table6').val();
                        d.search_date_name_<?php echo e($key); ?>                 = $('#dateKey<?php echo e($key); ?>_table6').val();
                        d.search_date_type_<?php echo e($key); ?>                 = $('#dateType<?php echo e($key); ?>_table6').val();
                        d.search_date_table_name_<?php echo e($key); ?>           = $('#dateTableType<?php echo e($key); ?>_table6').val();
                        d.search_date_condition_<?php echo e($key); ?>            = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                        d.search_date_sort_<?php echo e($key); ?>                 = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?>  = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_<?php echo e($key); ?>          = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                        d.search_status_name_<?php echo e($key); ?>               = $('#statusOrgColName<?php echo e($key); ?>').val();
                        d.search_status_table_name_<?php echo e($key); ?>         = $('#statusTableType<?php echo e($key); ?>').val();
                        d.search_status_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_status_sort_column_<?php echo e($key); ?>        = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table6 != 'undefined' && table6.hasOwnProperty('settings')) {
                        table6.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table7 = $('.unoccupied-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
            search: "",
            searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "<?php echo e(perPageView()); ?>",
            // ajax: "<?php echo e(route('company.admin.unoccupied.loads.index')); ?>",
            ajax: {
                url: "<?php echo e(route('company.admin.unoccupied.loads.index')); ?>",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?>              = $('#search_string_<?php echo e($key); ?>_table7').val();
                        d.search_string_name_<?php echo e($key); ?>               = $('#stringKey<?php echo e($key); ?>_table7').val();
                        d.search_string_type_<?php echo e($key); ?>               = $('#stringType<?php echo e($key); ?>_table7').val();
                        d.search_table_name_<?php echo e($key); ?>                = $('#stringTableType<?php echo e($key); ?>_table7').val();
                        d.search_string_condition_<?php echo e($key); ?>          = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_string_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_string_relation_table_<?php echo e($key); ?>     = $('#stringRelationTable<?php echo e($key); ?>_table7').val();
                        d.search_string_col_name1_<?php echo e($key); ?>          = $('#stringColName1<?php echo e($key); ?>_table7').val();
                        d.search_string_col_name2_<?php echo e($key); ?>          = $('#stringColName2<?php echo e($key); ?>_table7').val();
                        d.search_string_static_<?php echo e($key); ?>             = $('#stringStatic<?php echo e($key); ?>_table7').val();

                        d.search_string_having_<?php echo e($key); ?>             = $('#stringHaving<?php echo e($key); ?>_table7').val();

                        d.search_string_col_alias1_name_<?php echo e($key); ?>    = $('#stringColAl1<?php echo e($key); ?>_table7').val();
                        d.search_string_col_alias2_name_<?php echo e($key); ?>    = $('#stringColAl2<?php echo e($key); ?>_table7').val();
                        d.search_string_col_alias3_name_<?php echo e($key); ?>    = $('#stringColAl3<?php echo e($key); ?>_table7').val();
                        d.search_string_col_alias4_name_<?php echo e($key); ?>    = $('#stringColAl4<?php echo e($key); ?>_table7').val();
                        d.search_string_col_alias5_name_<?php echo e($key); ?>    = $('#stringColAl5<?php echo e($key); ?>_table7').val();
                        d.search_string_col_alias6_name_<?php echo e($key); ?>    = $('#stringColAl6<?php echo e($key); ?>_table7').val();

                        d.search_date_from_value_<?php echo e($key); ?>           = $('#search_date_<?php echo e($key); ?>_table7').val();
                        d.search_date_to_value_<?php echo e($key); ?>             = $('#search_date_end_<?php echo e($key); ?>_table7').val();
                        d.search_date_name_<?php echo e($key); ?>                 = $('#dateKey<?php echo e($key); ?>_table7').val();
                        d.search_date_type_<?php echo e($key); ?>                 = $('#dateType<?php echo e($key); ?>_table7').val();
                        d.search_date_table_name_<?php echo e($key); ?>           = $('#dateTableType<?php echo e($key); ?>_table7').val();
                        d.search_date_condition_<?php echo e($key); ?>            = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                        d.search_date_sort_<?php echo e($key); ?>                 = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?>  = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_<?php echo e($key); ?>          = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                        d.search_status_name_<?php echo e($key); ?>               = $('#statusOrgColName<?php echo e($key); ?>').val();
                        d.search_status_table_name_<?php echo e($key); ?>         = $('#statusTableType<?php echo e($key); ?>').val();
                        d.search_status_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_status_sort_column_<?php echo e($key); ?>        = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table7 != 'undefined' && table7.hasOwnProperty('settings')) {
                        table7.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table8 = $('.allload-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
            search: "",
            searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "<?php echo e(perPageView()); ?>",
            // ajax: "<?php echo e(route('company.admin.allload.loads.index')); ?>",
            ajax: {
                url: "<?php echo e(route('company.admin.allload.loads.index')); ?>",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?>              = $('#search_string_<?php echo e($key); ?>_table8').val();
                        d.search_string_name_<?php echo e($key); ?>               = $('#stringKey<?php echo e($key); ?>_table8').val();
                        d.search_string_type_<?php echo e($key); ?>               = $('#stringType<?php echo e($key); ?>_table8').val();
                        d.search_table_name_<?php echo e($key); ?>                = $('#stringTableType<?php echo e($key); ?>_table8').val();
                        d.search_string_condition_<?php echo e($key); ?>          = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_string_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_string_relation_table_<?php echo e($key); ?>     = $('#stringRelationTable<?php echo e($key); ?>_table8').val();
                        d.search_string_col_name1_<?php echo e($key); ?>          = $('#stringColName1<?php echo e($key); ?>_table8').val();
                        d.search_string_col_name2_<?php echo e($key); ?>          = $('#stringColName2<?php echo e($key); ?>_table8').val();
                        d.search_string_static_<?php echo e($key); ?>             = $('#stringStatic<?php echo e($key); ?>_table8').val();

                        d.search_string_having_<?php echo e($key); ?>             = $('#stringHaving<?php echo e($key); ?>_table8').val();

                        d.search_string_col_alias1_name_<?php echo e($key); ?>    = $('#stringColAl1<?php echo e($key); ?>_table8').val();
                        d.search_string_col_alias2_name_<?php echo e($key); ?>    = $('#stringColAl2<?php echo e($key); ?>_table8').val();
                        d.search_string_col_alias3_name_<?php echo e($key); ?>    = $('#stringColAl3<?php echo e($key); ?>_table8').val();
                        d.search_string_col_alias4_name_<?php echo e($key); ?>    = $('#stringColAl4<?php echo e($key); ?>_table8').val();
                        d.search_string_col_alias5_name_<?php echo e($key); ?>    = $('#stringColAl5<?php echo e($key); ?>_table8').val();
                        d.search_string_col_alias6_name_<?php echo e($key); ?>    = $('#stringColAl6<?php echo e($key); ?>_table8').val();

                        d.search_date_from_value_<?php echo e($key); ?>           = $('#search_date_<?php echo e($key); ?>_table8').val();
                        d.search_date_to_value_<?php echo e($key); ?>             = $('#search_date_end_<?php echo e($key); ?>_table8').val();
                        d.search_date_name_<?php echo e($key); ?>                 = $('#dateKey<?php echo e($key); ?>_table8').val();
                        d.search_date_type_<?php echo e($key); ?>                 = $('#dateType<?php echo e($key); ?>_table8').val();
                        d.search_date_table_name_<?php echo e($key); ?>           = $('#dateTableType<?php echo e($key); ?>_table8').val();
                        d.search_date_condition_<?php echo e($key); ?>            = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                        d.search_date_sort_<?php echo e($key); ?>                 = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?>  = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_<?php echo e($key); ?>          = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                        d.search_status_name_<?php echo e($key); ?>               = $('#statusOrgColName<?php echo e($key); ?>').val();
                        d.search_status_table_name_<?php echo e($key); ?>         = $('#statusTableType<?php echo e($key); ?>').val();
                        d.search_status_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_status_sort_column_<?php echo e($key); ?>        = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table8 != 'undefined' && table8.hasOwnProperty('settings')) {
                        table8.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        var table9 = $('.oosapproval-load-data-table').DataTable({
            stateSave: true,
            bSortCellsTop: true,
            language: {
            search: "",
            searchPlaceholder: "Search...",
            },
            dom: "<'row cusotdiv'<'col-sm-5 col-md-6'f><''l>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
            processing: true,
            serverSide: true,
            fixedHeader: true,
            ordering: false,
            pageLength: "<?php echo e(perPageView()); ?>",
            // ajax: "<?php echo e(route('company.admin.oos.pending.loads.index')); ?>",
            ajax: {
                url: "<?php echo e(route('company.admin.oos.pending.loads.index')); ?>",
                type:'POST',
                dataType: "json",
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                data: function (d) {
                    <?php foreach($getField as $key => $filed): ?>
                        d.search_string_value_<?php echo e($key); ?>              = $('#search_string_<?php echo e($key); ?>_table9').val();
                        d.search_string_name_<?php echo e($key); ?>               = $('#stringKey<?php echo e($key); ?>_table9').val();
                        d.search_string_type_<?php echo e($key); ?>               = $('#stringType<?php echo e($key); ?>_table9').val();
                        d.search_table_name_<?php echo e($key); ?>                = $('#stringTableType<?php echo e($key); ?>_table9').val();
                        d.search_string_condition_<?php echo e($key); ?>          = $("input[type='radio'][name='condition<?php echo e($key); ?>']:checked").val();
                        d.search_string_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='string_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_string_relation_table_<?php echo e($key); ?>     = $('#stringRelationTable<?php echo e($key); ?>_table9').val();
                        d.search_string_col_name1_<?php echo e($key); ?>          = $('#stringColName1<?php echo e($key); ?>_table9').val();
                        d.search_string_col_name2_<?php echo e($key); ?>          = $('#stringColName2<?php echo e($key); ?>_table9').val();
                        d.search_string_static_<?php echo e($key); ?>             = $('#stringStatic<?php echo e($key); ?>_table9').val();

                        d.search_string_having_<?php echo e($key); ?>             = $('#stringHaving<?php echo e($key); ?>_table9').val();

                        d.search_string_col_alias1_name_<?php echo e($key); ?>    = $('#stringColAl1<?php echo e($key); ?>_table9').val();
                        d.search_string_col_alias2_name_<?php echo e($key); ?>    = $('#stringColAl2<?php echo e($key); ?>_table9').val();
                        d.search_string_col_alias3_name_<?php echo e($key); ?>    = $('#stringColAl3<?php echo e($key); ?>_table9').val();
                        d.search_string_col_alias4_name_<?php echo e($key); ?>    = $('#stringColAl4<?php echo e($key); ?>_table9').val();
                        d.search_string_col_alias5_name_<?php echo e($key); ?>    = $('#stringColAl5<?php echo e($key); ?>_table9').val();
                        d.search_string_col_alias6_name_<?php echo e($key); ?>    = $('#stringColAl6<?php echo e($key); ?>_table9').val();

                        d.search_date_from_value_<?php echo e($key); ?>           = $('#search_date_<?php echo e($key); ?>_table9').val();
                        d.search_date_to_value_<?php echo e($key); ?>             = $('#search_date_end_<?php echo e($key); ?>_table9').val();
                        d.search_date_name_<?php echo e($key); ?>                 = $('#dateKey<?php echo e($key); ?>_table9').val();
                        d.search_date_type_<?php echo e($key); ?>                 = $('#dateType<?php echo e($key); ?>_table9').val();
                        d.search_date_table_name_<?php echo e($key); ?>           = $('#dateTableType<?php echo e($key); ?>_table9').val();
                        d.search_date_condition_<?php echo e($key); ?>            = $("input[type='radio'][name='conditiondate<?php echo e($key); ?>']:checked").val();
                        d.search_date_sort_<?php echo e($key); ?>                 = $("input[type='radio'][name='date_sort_<?php echo e($key); ?>']:checked").val();

                        <?php foreach( App\Helpers\Common::getStaticLoadStatus() as $ke => $val ): ?>
                            d.search_status_value_<?php echo e($key); ?>_<?php echo e($ke); ?>  = $("#conditionstatus_<?php echo e($key); ?>_<?php echo e($ke); ?>:checked").val();
                        <?php endforeach; ?>

                        d.search_status_condition_<?php echo e($key); ?>          = $('#is_status_condition_applied<?php echo e($key); ?>').val();
                        d.search_status_name_<?php echo e($key); ?>               = $('#statusOrgColName<?php echo e($key); ?>').val();
                        d.search_status_table_name_<?php echo e($key); ?>         = $('#statusTableType<?php echo e($key); ?>').val();
                        d.search_status_sort_<?php echo e($key); ?>               = $("input[type='radio'][name='status_sort_<?php echo e($key); ?>']:checked").val();
                        d.search_status_sort_column_<?php echo e($key); ?>        = $("#statusOrderColName<?php echo e($key); ?>").val();
                    <?php endforeach; ?>
                },
                beforeSend: function () {
                    if (typeof table9 != 'undefined' && table9.hasOwnProperty('settings')) {
                        table9.settings()[0].jqXHR.abort();
                    }
                }
            },
            columns: [
                <?php foreach($getField as $key => $filed): ?>
                    <?php if($filed == 1): ?>
                        <?php if(isset(config('settings.table_loads_active')[$key]['name'])): ?>
                            <?php if(config("settings.table_loads_active")[$key]["orderable"] == 1 && config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:true },
                            <?php elseif(config("settings.table_loads_active")[$key]["orderable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:true, searchable:false },
                            <?php elseif(config("settings.table_loads_active")[$key]["searchable"] == 1): ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:true },
                            <?php else: ?>
                                { data: '<?php echo e($key); ?>', name: '<?php echo e($key); ?>', visible:true, orderable:false, searchable:false },
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            ]
        });

        $('<a type="button" class="refreshAll btn btn-primary ml-3"><i class="fa fa-refresh"></i> Refresh</a>').prependTo(".dataTables_filter");
        $('<a type="button" id="clearAll<?php echo e(str_replace("settings.","",$tableName)); ?>" class="clearAll filter_<?php echo e(str_replace("settings.","",$tableName)); ?> d-none btn btn-orange ml-3 <?php echo e(str_replace("settings.","",$tableName)); ?>">Clear filters</a>').prependTo(".dataTables_filter");
        $('<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">Columns</button>').appendTo(".cusotdiv");

        $( function() {
            $("#sortable").sortable();
        });

        $(document).ready( function() {
            $(document).on( 'click', '.changeLoadTab', function(e) {
                e.preventDefault();

                var getTableName        = $("#getTableName").val();
                var getLastActiveTable  = $("#lastActiveTable").val();
                var getTableVar         = $(this).data('table');

                $('.filter_'+getTableName).addClass("d-none");
                $('.columnFilter').removeClass("filter_icon_orange");

                $('.generalModel input[type=checkbox]').prop('checked', false);
                $('.generalModel input[type=radio]').prop('checked', false);
                $('.searchStringClass').val('');
                $('.filterfromdate').val('');
                $('.filtertodate').val('');

                $("#search_string_section").addClass('d-none');
                $("#search_date_section").addClass('d-none');
                $("#search_date_end_section").addClass('d-none');

                var previous_tab        = $("#previous_tab").val();
                if(previous_tab !=''){
                    drawTables(previous_tab);
                    $("#previous_tab").val('');
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/load/tempindex.blade.php ENDPATH**/ ?>