<?php
    $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
?>
<div class="col-md-6 col-lg-3 md-4">
    <div class="card">
        <div class="card-header " style="background-color:red">
            FLEET
        </div>
        <table class="cs-table   w-100 fleet-content">

            <tbody>
                <tr>
                    <td>Total Target Revenue</td>
                    <td class="text-right  ">
                        <?php echo e($fmt->formatCurrency($fleet['targetRevenueByDate'], "USD")); ?>

                    </td>
                </tr>
                <tr>
                    <td>Total Target Miles</td>
                    <td class="text-right">
                    <?php echo e(number_format($fleet['targetMilesByDate'])); ?>

                    </td>
                </tr>

            </tbody>
        </table>

        <table class="cs-table   w-100 fleet-content">
            <thead>
                <tr>
                    <th colspan="2" class="text-center">
                        <h5> Driver Count</h5>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Active Driver Count</td>
                    <td class="text-right  ">
                        <?php echo e($fleet['activeDriverCount']); ?>

                    </td>
                </tr>
                <tr>
                    <td>Inactive Driver Count</td>
                    <td class="text-right">
                         <?php echo e($fleet['inActiveDriverCount']); ?>

                    </td>
                </tr>
                 <tr class="lineclass">
                    <td>Net</td>
                    <td class="text-right">
                         <?php echo e($fleet['netDriverCount']); ?>

                    </td>
                </tr>

            </tbody>
        </table>
        <table class="cs-table   w-100 fleet-content">
            <thead>
                <tr>
                    <th colspan="2" class="text-center">
                        <h5>Unit Average</h5>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Revenue Per Unit</td>
                    <td class="text-right  ">
                     <?php echo e($fmt->formatCurrency($fleet['revenuePerUnit'], "USD")); ?>

                    </td>
                </tr>
                <tr>
                    <td>Mileage Per Unit</td>
                    <td class="text-right">
                        <?php echo e(number_format(round($fleet['mileagePerUnit']))); ?>

                    </td>
                </tr>
                <tr>
                    <td>CPM Per Unit</td>
                    <td class="text-right">
                        <?php echo e($fmt->formatCurrency($fleet['cpmPerUnit'], "USD")); ?>

                    </td>
                </tr>

            </tbody>
        </table>

        <table class="cs-table   w-100 fleet-content">
            <thead>
                <tr>
                    <th colspan="2" class="text-center table-head">
                        <h5 class="table-heading"> Revenue </h5>
                        <?php if($fleet['netRevenue'] < 0): ?>
                           <div class="valu-content  r-tike"> </div>
                        <?php else: ?>
                            <div class="valu-content  l-tike"> </div>
                        <?php endif; ?>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Occupancy Revenue</td>
                    <td class="text-right  ">
                          <?php echo e($fmt->formatCurrency($fleet['occupancyRevenue'], "USD")); ?>

                    </td>
                </tr>
                <tr>
                    <td>Actual Revenue</td>
                    <td class="text-right">
                        <?php echo e($fmt->formatCurrency($fleet['actualRevenue'], "USD")); ?>

                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="text-right">
                        <?php echo e($fmt->formatCurrency($fleet['netRevenue'], "USD")); ?>

                    </td>
                </tr>


            </tbody>
        </table>
        <table class="cs-table   w-100 fleet-content">
            <thead>
                <tr>
                    <th colspan="2" class="text-center table-head">
                        <h5 class="table-heading"> Mileage</h5>
                        <?php if($fleet['netMileage'] < 0): ?>
                           <div class="valu-content  r-tike"> </div>
                        <?php else: ?>
                            <div class="valu-content  l-tike"> </div>
                        <?php endif; ?>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Occupancy Miles</td>
                    <td class="text-right  ">
                         <?php echo e(number_format($fleet['occupancyMileage'])); ?>

                    </td>
                </tr>
                <tr>
                    <td>Actual Miles</td>
                    <td class="text-right">
                    <?php echo e(number_format($fleet['actualMileage'])); ?>

                  </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="text-right">
                        <?php echo e(number_format($fleet['netMileage'])); ?>

                    </td>
                </tr>

            </tbody>
        </table>
        <table class="cs-table   w-100 fleet-content">
            <thead>
                <tr>
                    <th colspan="2" class="text-center table-head">
                        <h5 class="table-heading"> Cent Per Mile </h5>
                        <?php if($fleet['netCPM'] < 0): ?>
                           <div class="valu-content  r-tike"> </div>
                        <?php else: ?>
                            <div class="valu-content  l-tike"> </div>
                        <?php endif; ?>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Target CPM</td>
                    <td class="text-right  ">
                          <?php echo e($fmt->formatCurrency($fleet['targetCPM'], "USD")); ?>

                    </td>
                </tr>
                <tr>
                    <td>Actual CPM</td>
                    <td class="text-right">
                        <?php echo e($fmt->formatCurrency($fleet['actualCPM'], "USD")); ?>

                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="text-right">
                        <?php echo e($fmt->formatCurrency($fleet['netCPM'], "USD")); ?>

                    </td>
                </tr>
            </tbody>
        </table>
        <table class="cs-table   w-100 fleet-content">
            <thead>
                <tr>
                    <th colspan="2" class="text-center table-head">
                        <h5 class="table-heading"> % of Goal </h5>
                        <?php if($fleet['goalOccvsRev'] < 0): ?>
                           <div class="valu-content  r-tike"> </div>
                        <?php else: ?>
                            <div class="valu-content  l-tike"> </div>
                        <?php endif; ?>
                    </th>
                </tr>
            </thead>
            <tbody class="border-bottom-2">
                 <tr>
                    <td class="text-center w-50">% of Units At Goal</td>
                    <td class="text-center w-50"><strong><?php echo e(@number_format($fleet['goalOfUnitsAtGoal'])); ?>% </strong></td>
                </tr>
                <tr>
                    <td class="text-center w-50">Fleet Occupancy</td>
                    <td class="text-center w-50"><strong><?php echo e(number_format(round($fleet['goalFleetOccupancy']))); ?>%</strong></td>
                </tr>
                <tr>
                    <td class="text-center w-50">% of Revenue Goal</td>
                    <td class="text-center w-50"><strong><?php echo e(number_format(round($fleet['goalOfRevenueGoal']))); ?>%</strong></td>
                </tr>
                <tr>
                    <td class="text-center w-50">Occ. Vs Rev. (-/+)</td>
                    <td class="text-center w-50 <?php if($fleet['goalOccvsRev'] > 0): ?> text-green <?php else: ?> text-danger <?php endif; ?> "><strong>
                    <?php echo e(number_format(round($fleet['goalOccvsRev']))); ?>%</strong></td>
                </tr>


            </tbody>
        </table>
        <table class="cs-table   w-100 fleet-content">
            <thead>
                <tr>
                    <th colspan="2" class="text-center table-head">
                        <h5 class="table-heading"> Occupancy </h5>
                        <?php if($fleet['netOccupancy'] < 0): ?>
                           <div class="valu-content  r-tike"> </div>
                        <?php else: ?>
                            <div class="valu-content  l-tike"> </div>
                        <?php endif; ?>
                    </th>
                </tr>
            </thead>
            <tbody class="border-bottom-2">
                 <tr>
                    <td class="text-center w-50">Occupancy Goal</td>
                    <td class="text-center w-50"><strong><?php echo e(@round($fleet['occupancyGoal'])); ?>% </strong></td>
                </tr>
                <tr>
                    <td class="text-center w-50">Fleet Occupancy</td>
                    <td class="text-center w-50"><strong><?php echo e(@round($fleet['fleetOccupancy'])); ?>%</strong></td>
                </tr>
                <tr>
                    <td class="text-center w-50">Occupancy (-/+)</td>
                    <td class="text-center w-50 <?php if($fleet['netOccupancy'] > 0): ?> text-green <?php else: ?> text-danger <?php endif; ?> "><strong>
                        <?php echo e(@round($fleet['netOccupancy'])); ?>%</strong></td>
                </tr>
            </tbody>
        </table>

        <table class="cs-table gauge-table   w-100 table-bordered">
             <tbody>
                 <tr>
                    <td class="text-center w-50">
                        <div> <!-- Gauge 1 --> <span> Revenue</span>
                            <figure class="highcharts-figure1">
                              <div id="maincontainer1"></div>
                            </figure>
                        </div>
                    </td>
                    <td class="text-center w-50">
                        <div> <!-- Gauge 2 --> <span> Mileage</span>
                            <figure class="highcharts-figure2">
                              <div id="maincontainer2"></div>
                            </figure>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="text-center w-50">
                        <div> <!-- Gauge 3 --> <span> CPM</span>
                            <figure class="highcharts-figure3">
                              <div id="maincontainer3"></div>
                            </figure>
                        </div>
                    </td>
                    <td class="text-center w-50">
                        <div> <!-- Gauge 4 --> <span> Occupancy</span>
                            <figure class="highcharts-figure4">
                              <div id="maincontainer4"></div>
                            </figure>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>

        <div style="border: 1px solid black; margin:8px 0">
            <table class="cs-table  revenue-band-table m-0 w-100 ">
                <thead>
                    <tr>
                        <th colspan="2" class="text-center">
                            <h5> Units By Revenue Band </h5>
                        </th>
                    </tr>
                    <tr class="bg-secondary">
                        <th class="text-center text-white py-1">Range</th>
                        <th class="text-center text-white py-1">Driver(s)</th>

                    </tr>
                </thead>
               <tbody>
                    <tr>
                        <td class="text-center w-50"><strong> &lt;$3,000.00</strong></td>
                        <td class="text-center w-50"><strong><?php echo e($fleet['range1']); ?></strong></td>
                    </tr>

                    <tr>
                        <td class="text-center w-50"><strong>$3001-$4,000</strong></td>
                        <td class="text-center w-50"><strong><?php echo e($fleet['range2']); ?></strong></td>
                    </tr>
                    <tr>
                        <td class="text-center w-50"><strong>$4001-$5,000</strong></td>
                        <td class="text-center w-50"><strong><?php echo e($fleet['range3']); ?></strong></td>
                    </tr>
                    <tr>
                        <td class="text-center w-50"><strong>$5001-$6,000</strong></td>
                        <td class="text-center w-50"><strong><?php echo e($fleet['range4']); ?></strong></td>
                    </tr>
                    <tr>
                        <td class="text-center w-50"><strong>$6001-$7,000</strong></td>
                        <td class="text-center w-50"><strong><?php echo e($fleet['range5']); ?></strong></td>
                    </tr>
                    <tr>
                        <td class="text-center w-50"><strong> &gt; $7,000.00</strong></td>
                        <td class="text-center w-50"><strong><?php echo e($fleet['range6']); ?></strong></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

<script type="text/javascript">
    
     var gaugeOptions = {
        chart: {
            type: 'solidgauge',
            spacingBottom: 0,
             height: 100,
             width: 100,
             marginRight: 0,
             marginBottom: 0,
        },

        title: null,

        pane: {
            center: ['50%', '50%'],
            size: '100%',
            startAngle: -130,
            endAngle: 130,
            background: {
                backgroundColor:
                    Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                innerRadius: '60%',
                outerRadius: '100%',
                shape: 'arc'
            }
        },

        exporting: {
            enabled: false
        },

        tooltip: {
            enabled: true
        },

        // the value axis
        yAxis: {
            stops: [
                [0.1, '#DF5353'], // red
                [0.4, '#DDDF0D'], // yellow
                [0.5, '#55BF3B'], // green


            ],
            lineWidth: 1,
            tickWidth: 1,
            minorTickInterval: null,
            tickAmount: 1,
            title: {
                y: -70
            },
            labels: {
                y: 16
            }
        },

            plotOptions: {
                solidgauge: {
                    dataLabels: {
                        y: 5,
                        borderWidth: 0,
                        useHTML: true
                    }
                }
            }
        };
    var chartSpeed = Highcharts.chart('maincontainer1', Highcharts.merge(gaugeOptions, {
        yAxis: {
            min: 0,
            max: <?php echo e(@number_format((float)$fleet['occupancyRevenue'], 2, '.', '')); ?>,
        },
        credits: {
            enabled: false
        },
        tooltip: {
               shared: true,
               useHTML: true,
               headerFormat: '',
               pointFormat: '<strong>Target Revenue: <?php echo e($fmt->formatCurrency($fleet['occupancyRevenue'], "USD")); ?> </strong><strong>Actual Revenue: <?php echo e($fmt->formatCurrency($fleet['actualRevenue'], "USD")); ?> </strong>',
               footerFormat: '',
               valueDecimals: 2,
               outside: true,
               hideDelay:0
           },
         series: [{
            data: [<?php echo e(@number_format((float)$fleet['actualRevenue'], 2, '.', '')); ?>],
            dataLabels: {
                format:
                    '<div style="margin-top:-25px;text-align:center">' +
                    '<span style="font-size:12px"><?php echo e(@number_format((float)$fleet['actualRevenue'], 2, '.', '')); ?></span>$<br/>' +
                    '</div>'
            }
        }]

    }));
    var chartSpeed = Highcharts.chart('maincontainer2', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: <?php echo e(@number_format((float)$fleet['occupancyMileage'], 2, '.', '')); ?>,
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong>Target Miles: <?php echo e(@number_format($fleet['occupancyMileage'])); ?> </strong><strong>Actual Miles: <?php echo e(number_format(round($fleet['actualMileage']))); ?></strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [<?php echo e($fleet['actualMileage']); ?>],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px"><?php echo e(round($fleet['actualMileage'])); ?></span><br/>' +
                            '</div>'
                    }
                }]

            }));
    var chartSpeed = Highcharts.chart('maincontainer3', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: 100,
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong>CPM: $<?php echo e(@number_format((float)$fleet['actualCPM'], 2, '.', '')); ?> </strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [<?php echo e(@number_format((float)$fleet['actualCPM'], 2, '.', '')); ?>],
                   // data: [<?php echo e(@number_format((float)$all_count_sum_actual_cpm, 2, '.', '')); ?>],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px">$<?php echo e(@number_format((float)$fleet['actualCPM'], 2, '.', '')); ?></span><br/>' +
                            '</div>'
                    }
                }]

            }));
    var chartSpeed = Highcharts.chart('maincontainer4', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: <?php echo e(@number_format((float)$fleet['goalOfRevenueGoal'], 2, '.', '')); ?>,
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong>Occupancy : <?php echo e(@number_format((float)$fleet['goalOfRevenueGoal'], 2, '.', '')); ?> %</strong><strong>Fleet Occupancy : <?php echo e(@number_format((float)$fleet['goalFleetOccupancy'], 2, '.', '')); ?> %</strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [<?php echo e(@number_format((float)$fleet['goalFleetOccupancy'], 2, '.', '')); ?>],
                    //data: [<?php echo e(@number_format((float)$all_count_fleetOccupancyData, 2, '.', '')); ?>],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px"><?php echo e(@number_format((float)$fleet['goalFleetOccupancy'], 2, '.', '')); ?></span>%<br/>' +
                            '</div>'
                    }
                }]

            }));
</script>


<?php
$m=0;
?>
<?php $__currentLoopData = $teams; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $temmloop): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

<div class="col-md-6 col-lg-3 md-4">
    <div class="card">
        <div class="card-header " style="background-color:<?php echo e($temmloop['team_color']); ?>">
            <?php echo e($temmloop['team_name']); ?> <a title="click to open team drivers details" href="<?php echo e(route('company.admin.revenue.tracker.team.id', base64Encode($temmloop['team_id']))); ?>" class="seopens"><i class="fa fa-external-link"></i></a>
        </div>
        <table class="cs-table   w-100 fleet-content">

            <tbody>
                <tr>
                    <td>Total Target Revenue</td>
                    <td class="text-right  ">
                        <?php echo e($fmt->formatCurrency($temmloop['targetRevenueByDate'], "USD")); ?>

                        
                    </td>
                </tr>
                <tr>
                    <td>Total Target Miles</td>
                    <td class="text-right">
                    <?php echo e(number_format($temmloop['targetMilesByDate'])); ?>

                    </td>
                </tr>

            </tbody>
        </table>

        <table class="cs-table   w-100 fleet-content">
            <thead>
                <tr>
                    <th colspan="2" class="text-center">
                        <h5> Driver Count</h5>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Active Driver Count</td>
                    <td class="text-right  ">
                        <?php echo e($temmloop['activeDriverCount']); ?>

                    </td>
                </tr>
                <tr>
                    <td>Inactive Driver Count</td>
                    <td class="text-right">
                         <?php echo e($temmloop['inActiveDriverCount']); ?>

                    </td>
                </tr>
                 <tr class="lineclass">
                    <td>Net</td>
                    <td class="text-right">
                         <?php echo e($temmloop['netDriverCount']); ?>

                    </td>
                </tr>

            </tbody>
        </table>
        <table class="cs-table   w-100 fleet-content">
            <thead>
                <tr>
                    <th colspan="2" class="text-center">
                        <h5>Unit Average</h5>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Revenue Per Unit</td>
                    <td class="text-right  ">
                        <?php echo e($fmt->formatCurrency($temmloop['revenuePerUnit'], "USD")); ?>

                     
                    </td>
                </tr>
                <tr>
                    <td>Mileage Per Unit</td>
                    <td class="text-right">
                        <?php echo e(number_format(round($temmloop['mileagePerUnit']))); ?>

                    </td>
                </tr>
                <tr>
                    <td>CPM Per Unit</td>
                    <td class="text-right">
                        <?php echo e($fmt->formatCurrency($temmloop['cpmPerUnit'], "USD")); ?>

                         
                    </td>
                </tr>

            </tbody>
        </table>

        <table class="cs-table   w-100 fleet-content">
            <thead>
                <tr>
                    <th colspan="2" class="text-center table-head">
                        <h5 class="table-heading"> Revenue </h5>
                        
                        <?php if($temmloop['netRevenue'] < 0): ?>
                           <div class="valu-content  r-tike"> </div>
                        <?php else: ?>
                            <div class="valu-content  l-tike"> </div>
                        <?php endif; ?>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Occupancy Revenue</td>
                    <td class="text-right  ">
                        <?php echo e($fmt->formatCurrency($temmloop['occupancyRevenue'], "USD")); ?>

                    </td>
                </tr>
                <tr>
                    <td>Actual Revenue</td>
                    <td class="text-right">
                        <?php echo e($fmt->formatCurrency($temmloop['actualRevenue'], "USD")); ?>

                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="text-right">
                        <?php echo e($fmt->formatCurrency($temmloop['netRevenue'], "USD")); ?>

                    </td>
                </tr>


            </tbody>
        </table>
        <table class="cs-table   w-100 fleet-content">
            <thead>
                <tr>
                    <th colspan="2" class="text-center table-head">
                        <h5 class="table-heading"> Mileage</h5>
                        <?php if($temmloop['netMileage'] < 0): ?>
                           <div class="valu-content  r-tike"> </div>
                        <?php else: ?>
                            <div class="valu-content  l-tike"> </div>
                        <?php endif; ?>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Occupancy Miles</td>
                    <td class="text-right  ">

                         <?php echo e(number_format($temmloop['occupancyMileage'])); ?>

                    </td>
                </tr>
                <tr>
                    <td>Actual Miles</td>
                    <td class="text-right">
                        <?php echo e(number_format($temmloop['actualMileage'])); ?>

                  </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="text-right">
                        <?php echo e(number_format($temmloop['netMileage'])); ?>

                    </td>
                </tr>

            </tbody>
        </table>
        <table class="cs-table   w-100 fleet-content">
            <thead>
                <tr>
                    <th colspan="2" class="text-center table-head">
                        <h5 class="table-heading"> Cent Per Mile </h5>
                        <?php if($temmloop['netCPM'] < 0): ?>
                           <div class="valu-content  r-tike"> </div>
                        <?php else: ?>
                            <div class="valu-content  l-tike"> </div>
                        <?php endif; ?>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>Target CPM</td>
                    <td class="text-right  ">
                        <?php echo e($fmt->formatCurrency($temmloop['targetCPM'], "USD")); ?>

                    </td>
                </tr>
                <tr>
                    <td>Actual CPM</td>
                    <td class="text-right">
                        <?php echo e($fmt->formatCurrency($temmloop['actualCPM'], "USD")); ?>

                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="text-right">
                        <?php echo e($fmt->formatCurrency($temmloop['netCPM'], "USD")); ?>

                    </td>
                </tr>
            </tbody>
        </table>
        <table class="cs-table   w-100 fleet-content">
            <thead>
                <tr>
                    <th colspan="2" class="text-center table-head">
                        <h5 class="table-heading"> % of Goal </h5>
                        <?php if($temmloop['goalOccvsRev'] > 0): ?>
                            <div class="valu-content  l-tike"> </div>
                        <?php else: ?>
                            <div class="valu-content  r-tike"> </div>
                        <?php endif; ?>
                    </th>
                </tr>
            </thead>
            <tbody class="border-bottom-2">
                 <tr>
                    <td class="text-center w-50">% of Units At Goal</td>
                    <td class="text-center w-50"><strong><?php echo e(@number_format($temmloop['goalOfUnitsAtGoal'])); ?>% </strong></td>
                </tr>
                <tr>
                    <td class="text-center w-50">Team Occupancy</td>
                    <td class="text-center w-50"><strong><?php echo e(round($temmloop['goalFleetOccupancy'])); ?>%</strong></td>
                </tr>
                <tr>
                    <td class="text-center w-50">% of Revenue Goal</td>
                    <td class="text-center w-50"><strong><?php echo e(@round($temmloop['goalOfRevenueGoal'])); ?>%</strong></td>
                </tr>
                <tr>
                    <td class="text-center w-50">Occ. Vs Rev. (-/+)</td>
                    <td class="text-center w-50 <?php if($temmloop['goalOccvsRev'] > 0): ?> text-green <?php else: ?> text-danger <?php endif; ?> "><strong>
                    <?php echo e(round($temmloop['goalOccvsRev'])); ?>%</strong></td>
                </tr>


            </tbody>
        </table>
        <table class="cs-table   w-100 fleet-content">
            <thead>
                <tr>
                    <th colspan="2" class="text-center table-head">
                        <h5 class="table-heading"> Occupancy </h5>
                        <?php if($temmloop['netOccupancy'] > 0): ?>
                           <div class="valu-content  l-tike"> </div>
                        <?php else: ?>
                            <div class="valu-content  r-tike"> </div>                        
                        <?php endif; ?>
                    </th>
                </tr>
            </thead>
            <tbody class="border-bottom-2">
                 <tr>
                    <td class="text-center w-50">Occupancy Goal</td>
                    <td class="text-center w-50"><strong><?php echo e(@round($temmloop['occupancyGoal'])); ?>% </strong></td>
                </tr>
                <tr>
                    <td class="text-center w-50">Team Occupancy</td>
                    <td class="text-center w-50"><strong><?php echo e(@round($temmloop['fleetOccupancy'])); ?>%</strong></td>
                </tr>
                <tr>
                    <td class="text-center w-50">Occupancy (-/+)</td>
                    <td class="text-center w-50 <?php if($temmloop['netOccupancy'] > 0): ?> text-green <?php else: ?> text-danger <?php endif; ?> "><strong>
                        <?php echo e(@round($temmloop['netOccupancy'])); ?>%</strong></td>
                </tr>
            </tbody>
        </table>

        <table class="cs-table gauge-table   w-100 table-bordered">
             <tbody>
                 <tr>
                    <td class="text-center w-50">
                        <div> <!-- Gauge 1 --> <span> Revenue</span>
                            <figure class="highcharts-figure1">
                              <div id="maincontainer1<?php echo e($m); ?>"></div>
                            </figure>
                        </div>
                    </td>
                    <td class="text-center w-50">
                        <div> <!-- Gauge 2 --> <span> Mileage</span>
                            <figure class="highcharts-figure2">
                              <div id="maincontainer2<?php echo e($m); ?>"></div>
                            </figure>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="text-center w-50">
                        <div> <!-- Gauge 3 --> <span> CPM</span>
                            <figure class="highcharts-figure3">
                              <div id="maincontainer3<?php echo e($m); ?>"></div>
                            </figure>
                        </div>
                    </td>
                    <td class="text-center w-50">
                        <div> <!-- Gauge 4 --> <span> Occupancy</span>
                            <figure class="highcharts-figure4">
                              <div id="maincontainer4<?php echo e($m); ?>"></div>
                            </figure>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>

        <div style="border: 1px solid black; margin:8px 0">
            <table class="cs-table  revenue-band-table m-0 w-100 ">
                <thead>
                    <tr>
                        <th colspan="2" class="text-center">
                            <h5> Units By Revenue Band </h5>
                        </th>
                    </tr>
                    <tr class="bg-secondary">
                        <th class="text-center text-white py-1">Range</th>
                        <th class="text-center text-white py-1">Driver(s)</th>

                    </tr>
                </thead>
               <tbody>
                    <tr>
                        <td class="text-center w-50"><strong> &lt;$3,000.00</strong></td>
                        <td class="text-center w-50"><strong><?php echo e($temmloop['range1']); ?></strong></td>
                    </tr>

                    <tr>
                        <td class="text-center w-50"><strong>$3001-$4,000</strong></td>
                        <td class="text-center w-50"><strong><?php echo e($temmloop['range2']); ?></strong></td>
                    </tr>
                    <tr>
                        <td class="text-center w-50"><strong>$4001-$5,000</strong></td>
                        <td class="text-center w-50"><strong><?php echo e($temmloop['range3']); ?></strong></td>
                    </tr>
                    <tr>
                        <td class="text-center w-50"><strong>$5001-$6,000</strong></td>
                        <td class="text-center w-50"><strong><?php echo e($temmloop['range4']); ?></strong></td>
                    </tr>
                    <tr>
                        <td class="text-center w-50"><strong>$6001-$7,000</strong></td>
                        <td class="text-center w-50"><strong><?php echo e($temmloop['range5']); ?></strong></td>
                    </tr>
                    <tr>
                        <td class="text-center w-50"><strong> &gt; $7,000.00</strong></td>
                        <td class="text-center w-50"><strong><?php echo e($temmloop['range6']); ?></strong></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

<script type="text/javascript">
     var gaugeOptions = {
        chart: {
            type: 'solidgauge',
            spacingBottom: 0,
             height: 100,
             width: 100,
             marginRight: 0,
             marginBottom: 0,
        },

        title: null,

        pane: {
            center: ['50%', '50%'],
            size: '100%',
            startAngle: -130,
            endAngle: 130,
            background: {
                backgroundColor:
                    Highcharts.defaultOptions.legend.backgroundColor || '#EEE',
                innerRadius: '60%',
                outerRadius: '100%',
                shape: 'arc'
            }
        },

        exporting: {
            enabled: false
        },

        tooltip: {
            enabled: true
        },

        // the value axis
        yAxis: {
            stops: [
                [0.1, '#DF5353'], // red
                [0.4, '#DDDF0D'], // yellow
                [0.5, '#55BF3B'], // green


            ],
            lineWidth: 1,
            tickWidth: 1,
            minorTickInterval: null,
            tickAmount: 1,
            title: {
                y: -70
            },
            labels: {
                y: 16
            }
        },

            plotOptions: {
                solidgauge: {
                    dataLabels: {
                        y: 5,
                        borderWidth: 0,
                        useHTML: true
                    }
                }
            }
        };
    var chartSpeed = Highcharts.chart('maincontainer1<?php echo e($m); ?>', Highcharts.merge(gaugeOptions, {
        yAxis: {
            min: 0,
            max: <?php echo e(@number_format((float)$temmloop['occupancyRevenue'], 2, '.', '')); ?>,
        },
        credits: {
            enabled: false
        },
        tooltip: {
               shared: true,
               useHTML: true,
               headerFormat: '',
               pointFormat: '<strong>Target Revenue: <?php echo e($fmt->formatCurrency($temmloop['occupancyRevenue'], "USD")); ?></strong> <strong>Actual Revenue: <?php echo e($fmt->formatCurrency($temmloop['actualRevenue'], "USD")); ?></strong>',
               footerFormat: '',
               valueDecimals: 2,
               outside: true,
               hideDelay:0
           },
         series: [{
            data: [<?php echo e(@number_format((float)$temmloop['actualRevenue'], 2, '.', '')); ?>],
            dataLabels: {
                format:
                    '<div style="margin-top:-25px;text-align:center">' +
                    '<span style="font-size:12px"><?php echo e($fmt->formatCurrency($temmloop['actualRevenue'], "USD")); ?></span><br/>' +
                    '</div>'
            }
        }]

    }));
    var chartSpeed = Highcharts.chart('maincontainer2<?php echo e($m); ?>', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: <?php echo e(@number_format((float)$temmloop['occupancyMileage'], 2, '.', '')); ?>,
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong>Target Miles: <?php echo e(@number_format($temmloop['occupancyMileage'])); ?> </strong><strong>Actual Miles: <?php echo e(number_format(round($temmloop['actualMileage']))); ?></strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [<?php echo e($temmloop['actualMileage']); ?>],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px"><?php echo e(number_format(round($temmloop['actualMileage']))); ?></span><br/>' +
                            '</div>'
                    }
                }]

            }));
    var chartSpeed = Highcharts.chart('maincontainer3<?php echo e($m); ?>', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: 100,
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong>CPM: <?php echo e($fmt->formatCurrency($temmloop['actualCPM'], "USD")); ?></strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [<?php echo e(@number_format((float)$temmloop['actualCPM'], 2, '.', '')); ?>],
                   // data: [<?php echo e(@number_format((float)$all_count_sum_actual_cpm, 2, '.', '')); ?>],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px"><?php echo e($fmt->formatCurrency($temmloop['actualCPM'], "USD")); ?></span><br/>' +
                            '</div>'
                    }
                }]

            }));
    var chartSpeed = Highcharts.chart('maincontainer4<?php echo e($m); ?>', Highcharts.merge(gaugeOptions, {
                yAxis: {
                    min: 0,
                    max: <?php echo e(@number_format((float)$temmloop['goalOfRevenueGoal'], 2, '.', '')); ?>,
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                       shared: true,
                       useHTML: true,
                       headerFormat: '',
                       pointFormat: '<strong>Occupancy : <?php echo e(@number_format((float)$temmloop['goalOfRevenueGoal'], 2, '.', '')); ?> %</strong><strong>Team Occupancy : <?php echo e(@number_format((float)$temmloop['goalFleetOccupancy'], 2, '.', '')); ?> %</strong>',
                       footerFormat: '',
                       valueDecimals: 2,
                       outside: true,
                       hideDelay:0
                   },
                series: [{
                    data: [<?php echo e(@number_format((float)$temmloop['goalFleetOccupancy'], 2, '.', '')); ?>],
                    //data: [<?php echo e(@number_format((float)$all_count_fleetOccupancyData, 2, '.', '')); ?>],
                    dataLabels: {
                        format:
                            '<div style="margin-top:-25px;text-align:center">' +
                            '<span style="font-size:12px"><?php echo e(@number_format((float)$temmloop['goalFleetOccupancy'], 2, '.', '')); ?></span>%<br/>' +
                            '</div>'
                    }
                }]

            }));
</script>
<?php
$m++;
?>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/revenueTrackers/ajax/teams.blade.php ENDPATH**/ ?>