import dotenv from 'dotenv';

// if (process.env.NODE_ENV.trim() == 'development') {
//     dotenv.config();
// }
dotenv.config();
console.log(process.env);

const corsClient = {
    domain: process.env.CORS_CLIENT_DOMAIN
};

const sessionDB = {
    host: process.env.SESSION_DB_HOST,
    user: process.env.SESSION_DB_USER,
    pass: process.env.SESSION_DB_PASS,
    port: process.env.SESSION_DB_PORT,
    name: process.env.SESSION_DB_NAME,
    secret: process.env.SESSION_DB_SECRET
};

const twilioConfig = {
    accountSid: process.env.TWILIO_ACCOUNT_SID,
    authToken: process.env.TWILIO_AUTH_TOKEN,
    apiKey: process.env.TWILIO_API_KEY,
    apiSecret: process.env.TWILIO_API_SECRET,
    // pushCredentialSid: 'CRa84d3141c384a8fbed9fb19e07c1ca4c'
    // pushCredentialSid: 'CRabc422afd20a5aa7f914f8a1e722f594'
    // pushCredentialSid: 'ISf2678e0c254eea2b89ab7b5eb24cbcce'
    pushCredentialSid: 'CRabc422afd20a5aa7f914f8a1e722f594'

};

const LaravelApiBaseURL = 'https://dev.compellabs.com';

const port = process.env.PORT || '8000';

const twilioServiceSid = process.env.TWILIO_SERVICE_SID || 'IS5e3e582eb11b49728fdad88defa5717b';

export { corsClient, port, sessionDB, twilioConfig ,LaravelApiBaseURL,twilioServiceSid };