<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class AppCenter extends Model
{
    use HasFactory;

    protected $table = 'app_center';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'logo', 'name', 'short_description', 'description', 'template', 'status', 'url_name_1', 'url_1', 'url_name_2', 'url_2', 'url_name_3', 'url_3'
    ];
}
