<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CompanyAdminRole extends Model
{
    protected $fillable = [
        'company_id', 'name', 'status','guard_name'
    ];

    public function scopeCompany($query)
    {
        return $query->where('company_id', auth()->guard('company-admin')->user()->company_id);
    }
}
