<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class DriverOnboardingSubStage extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'driver_onboarding_sub_stage';
    
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'driver_onboarding_setting_id', 'title', 'file', 'date','mark_as_completed'
    ];
}
