<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\SoftDeletes;

class ShortUrl extends Model
{
    use HasFactory, SoftDeletes;

    protected $table    = 'short_urls';
    protected $fillable = [
    	'long_url',
        'short_code',
    ];

    protected $dates   	= ['deleted_at'];
}
