<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TruckAvoidState extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'truck_id', 'state_id'
    ];

    /*
     * Relationships
     */
    public function state()
    {
        return $this->hasOne(State::class, 'id' , 'state_id');
    }
}
