<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

class DriverFinancialFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        return [
            'team_id' => '0',
            'year' => '2022',
            'quarter' => '4',
            'start_date' => '2022-10-01',
            'end_date' => '2022-12-31',
            'occupancy' => $this->faker->randomFloat(2, 1.00, 100.00),
            'revenue_target' => $this->faker->randomFloat(2, 1.00, 20000.00),
            'cpm_target' => $this->faker->randomFloat(2, 1.00, 10.00),
            'target_miles' => $this->faker->randomElement([2500, 3000, 5000]),
        ];
    }
}
