<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeDriverOnboardingsTableColumnType extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('driver_onboardings', function (Blueprint $table) {
            $table->date('application_date')->change();
            $table->date('start_date')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('driver_onboardings', function (Blueprint $table) {
            $table->integer('application_date')->change();
            $table->integer('start_date')->change();
        });
    }
}
