<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTrailerMaintenanceLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('trailer_maintenance_logs', function (Blueprint $table) {
            $table->id();
            $table->integer('trailer_id');
            $table->date('due_date')->nullable();
            $table->string('due_miles')->nullable();
            $table->date('completed_date')->nullable();
            $table->string('miles_at_completion')->nullable();
            $table->string('description')->nullable();
            $table->date('waranty_date')->nullable();
            $table->string('waranty_miles')->nullable();
            $table->integer('is_completed')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('trailer_maintenance_logs');
    }
}
