<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddFieldToDriverOnboardingSubStageTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('driver_onboarding_sub_stage', function (Blueprint $table) {
            $table->integer('file')->after('title')->default(0);
            $table->integer('date')->after('title')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('driver_onboarding_sub_stage', function (Blueprint $table) {
            $table->dropColumn('date');
            $table->dropColumn('file');
        });
    }
}
