<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddUrlToAppCenterTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('app_center', function (Blueprint $table) {
            $table->string('url_name_1')->after('template')->nullable();
            $table->string('url_1')->after('template')->nullable();
            $table->string('url_name_2')->after('template')->nullable();
            $table->string('url_2')->after('template')->nullable();
            $table->string('url_name_3')->after('template')->nullable();
            $table->string('url_3')->after('template')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('app_center', function (Blueprint $table) {
            $table->dropColumn('url_name_1');
            $table->dropColumn('url_1');
            $table->dropColumn('url_name_2');
            $table->dropColumn('url_2');
            $table->dropColumn('url_name_3');
            $table->dropColumn('url_3');
        });
    }
}
