<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class InsertSamsaraIdFieldToDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->string('samsara_id')->after('company_id')->nullable();
        });
        Schema::table('trucks', function (Blueprint $table) {
            $table->string('samsara_id')->after('company_id')->nullable();
        });
        Schema::table('trailers', function (Blueprint $table) {
            $table->string('samsara_id')->after('company_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->dropColumn('samsara_id');
        });
        Schema::table('trucks', function (Blueprint $table) {
            $table->dropColumn('samsara_id');
        });
        Schema::table('trailers', function (Blueprint $table) {
            $table->dropColumn('samsara_id');
        });
    }
}
