<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLeaveUserTypesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('leave_user_types', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('driver_id')->nullable();
            $table->integer('company_admins_id')->nullable();
            $table->integer('leave_type_id');
            $table->integer('days_per_year');
            $table->integer('edit_by_company_admins_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('leave_user_types');
    }
}
