<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNotificationDaytimesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('notification_daytimes', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->integer('user_type')->comment('Helper::getNotiUserTypeList()');
            $table->integer('day')->comment('Helper::getDays()');
            $table->time('start_time');
            $table->time('end_time');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('notification_daytimes');
    }
}
