<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateVendorsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vendors', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->string('name')->nullable();
            $table->string('address_search')->nullable();
            $table->string('address')->nullable();
            $table->string('address_2')->nullable();
            $table->string('city')->nullable();
            $table->string('state')->nullable();
            $table->string('zip')->nullable();
            $table->string('phone')->nullable();
            $table->string('email')->nullable();
            $table->string('fax')->nullable();
            $table->string('account_number')->nullable();
            $table->string('tax_id')->nullable();
            $table->string('website')->nullable();
            $table->string('logo')->nullable();
            $table->string('description')->nullable();
            $table->string('bill_to_name')->nullable();
            $table->string('bill_address_search')->nullable();
            $table->string('billing_address')->nullable();
            $table->string('billing_address_2')->nullable();
            $table->string('billing_city')->nullable();
            $table->string('billing_state')->nullable();
            $table->string('billing_zip')->nullable();
            $table->string('billing_phone')->nullable();
            $table->string('billing_extention')->nullable();
            $table->string('billing_email')->nullable();
            $table->string('billing_fax')->nullable();
            $table->string('billing_method')->nullable();
            $table->string('payment_terms')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vendors');
    }
}
