<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddLeftDrawerToDriversTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->rememberToken()->after('password');
            $table->integer('left_drawer')->after('remember_token')->default(0);
            $table->integer('weekly_strat_day')->after('left_drawer')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->dropRememberToken();
            $table->dropColumn('left_drawer');
            $table->dropColumn('weekly_strat_day');
        });
    }
}
