<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddModelFieldToDriverHosViolationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('driver_hos_violations', function (Blueprint $table) {
            $table->string('inspection_level')->nullable()->after('image');
            $table->time('starttime')->nullable()->after('image');
            $table->time('endtime')->nullable()->after('image');
            $table->string('motor_carrier')->nullable()->after('image');
            $table->string('unit1')->nullable()->after('image');
            $table->string('unit2')->nullable()->after('image');
            $table->string('hazmat_inspection')->nullable()->after('image');
            $table->string('disciplinary_action')->nullable()->after('image');
            $table->string('certified_returned')->nullable()->after('image');
            $table->string('dataq')->nullable()->after('image');
            $table->string('dot_crash')->nullable()->after('image');
            $table->string('towed')->nullable()->after('image');
            $table->string('injury')->nullable()->after('image');
            $table->string('citation_image')->nullable()->after('image');
            $table->string('repair_image')->nullable()->after('image');
            $table->string('disciplinary_image')->nullable()->after('image');
            $table->string('dataq_image')->nullable()->after('image');

            
            
            
            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('driver_hos_violations', function (Blueprint $table) {
            $table->dropColumn('inspection_level');
            $table->dropColumn('starttime');
            $table->dropColumn('endtime');
            $table->dropColumn('motor_carrier');
            $table->dropColumn('unit1');
            $table->dropColumn('unit2');
            $table->dropColumn('hazmat_inspection');
            $table->dropColumn('disciplinary_action');
            $table->dropColumn('certified_returned');
            $table->dropColumn('dataq');
            $table->dropColumn('dot_crash');
            $table->dropColumn('towed');
            $table->dropColumn('injury');
            $table->dropColumn('citation_image');
            $table->dropColumn('repair_image');
            $table->dropColumn('disciplinary_image');
            $table->dropColumn('dataq_image');
        });
    }
}
