<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeCustomerIdFieldToMaintenanceAppointmentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('maintenance_appointments', function (Blueprint $table) {
            $table->renameColumn('customer_id', 'maintenance_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('maintenance_appointments', function (Blueprint $table) {
            $table->renameColumn('maintenance_id', 'customer_id');
        });
    }
}
