<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTrailerTypesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('trailer_types', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id')->default(0);
            $table->string('name');
            $table->timestamps();
            $table->softDeletes();
        });

        DB::table('trailer_types')->insert([
            ['company_id' => 0, 'name' => 'Van'],
            ['company_id' => 0, 'name' => 'Reefer'],
            ['company_id' => 0, 'name' => 'Flatbed'],
            ['company_id' => 0, 'name' => 'Stepdeck'],
            ['company_id' => 0, 'name' => 'Power Only'],
            ['company_id' => 0, 'name' => 'Other']
        ]);

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('trailer_types');
    }
}
