<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoadAuditsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('load_audits', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('load_id');
            $table->integer('user_id');
            $table->longText('type');
            $table->longText('module')->nullable();
            $table->longText('section')->nullable();
            $table->longText('before_change')->nullable();
            $table->longText('after_change')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('load_audits');
    }
}
