<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class RemoveLoadAccessorialIdToLoadAccessorialTempsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_accessorial_temps', function (Blueprint $table) {
            $table->dropColumn('load_accessorial_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_accessorial_temps', function (Blueprint $table) {
            $table->unsignedBigInteger('load_accessorial_id')->nullable()->after('unique_id');
        });
    }
}
