<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class MoveCreatedAtToTrucksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        \DB::statement("ALTER TABLE `trucks` CHANGE `created_at` `created_at` TIMESTAMP NULL DEFAULT NULL AFTER `last_location_load_status`;");
        \DB::statement("ALTER TABLE `trucks` CHANGE `updated_at` `updated_at` TIMESTAMP NULL DEFAULT NULL AFTER `created_at`;");
        \DB::statement("ALTER TABLE `trucks` CHANGE `deleted_at` `deleted_at` TIMESTAMP NULL DEFAULT NULL AFTER `updated_at`;");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        \DB::statement("ALTER TABLE `trucks` CHANGE `created_at` `created_at` TIMESTAMP NULL DEFAULT NULL AFTER `fai_due_date`;");
        \DB::statement("ALTER TABLE `trucks` CHANGE `updated_at` `updated_at` TIMESTAMP NULL DEFAULT NULL AFTER `created_at`;");
        \DB::statement("ALTER TABLE `trucks` CHANGE `deleted_at` `deleted_at` TIMESTAMP NULL DEFAULT NULL AFTER `updated_at`;");
    }
}
