<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSourceToLoadAppointmentLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('load_appointment_logs', function (Blueprint $table) {
            $table->tinyInteger('source')->nullable()->comment('1=Email,2=SMS')->after('sent_at');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('load_appointment_logs', function (Blueprint $table) {
            $table->dropColumn('source');
        });
    }
}
