<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTruckAdditionalInsurancesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('truck_additional_insurances', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('truck_id');
            $table->integer('insurance_type');
            $table->integer('insurance_vendor')->nullable();
            $table->string('policy_number')->nullable();
            $table->string('value')->nullable();
            $table->date('date_added')->nullable();
            $table->date('expiration_date')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('truck_additional_insurances');
    }
}
