<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTruckWarrantyPmServicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('truck_warranty_pm_services', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id');
            $table->integer('truck_id');
            $table->integer('pm_service_profile');
            $table->integer('warranty_provider')->nullable();
            $table->string('description')->nullable();
            $table->string('type')->nullable();
            $table->string('term')->nullable();
            $table->date('warranty_start')->nullable();
            $table->date('warranty_exp')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('truck_warranty_pm_services');
    }
}
