@extends($adminTheme)

@section('title')
    Inspection Level Edit
@endsection

@section('header-title')
    Inspection Level
@endsection

@section('content')
{!! Form::model($companyInspectionLevel, array('route' => ['admin.company-inspection-level.update',$companyInspectionLevel->id],'method'=>'PATCH','files'=>'true','class'=>'post-form')) !!}

    <div class="row">
        <div class="col-lg-12">
            <div class="white-box mb-4 generalAccount">
                <h4 class="box-title">General Information</h4>
                <div class="box-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name<span>*</span></label>
                                {!! Form::text('name', old('name'), array('class' => 'form-control', 'id' => 'name-autocomplete', 'placeholder' => '', 'autocomplete' => 'new_address','required' => 'required')) !!}
                            </div>
                            @error('name')
                                <span class="text-danger" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        
                    </div>
                </div>
            </div>
        </div>
        
    </div>
    <div class="button-bottom">
        <a href="{{ route('admin.companies.index') }}" class="cancel-btn">Cancel</a>
        <button class="submit-btn">Submit</button>
    </div>
    
{!! Form::close() !!}
@endsection

@section('script')
<script type="text/javascript">
$('.post-form').parsley();
</script>
@endsection