@if(count($static_files) > 0 || count($required_files) > 0 || count($accessorial_files) > 0 || count($cod_files) > 0 || count($getFile) > 0)
    <table class="mt-0">
        <tr>
            <th>Stop</th>
            <th>Document Name</th>
        </tr>
        @php $i=1; @endphp
        @foreach ($static_files as $key => $node)
            @php
                if(isset($node['file']) && is_array($node['file']) && !empty($node['file'])){
                    $documents = $node['file'];
                }else{
                    $documents = [];
                }
            @endphp
            <tr>
                <td>{{ $node['name'] }}</td>
                <td>
                    @if(count($documents) > 0)
                        <a
                            href="javascript:void(0);"
                            data-toggle="modal"
                            data-target="#loadsdModal{{ $i }}"
                        >
                            {{ $node['filename'] }}
                        </a>
                        <div class="modal fade teamModal" id="loadsdModal{{ $i }}" tabindex="-1" aria-labelledby="loadsdModalLabel" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="loadsdModalLabel">{{ $node['filename'] }}</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body  text-left mulimagbu">
                                        @foreach($documents as $document)
                                            @php
                                                $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                $type       = \File::extension($file_path);
                                            @endphp
                                            @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                <a
                                                    href="{{ asset($file_path) }}"
                                                    target="_blank"
                                                    class="mb-3 d-block" >
                                                    <img src="{{ asset($file_path) }}" alt="{{ $node['filename'] }}" class="img-fluid">
                                                </a>
                                            @else
                                                <a
                                                    href="{{ asset($file_path) }}"
                                                    target="_blank"
                                                    class="btn btn-outline-primary mb-3 d-block">
                                                    {{ $document }}
                                                </a>
                                            @endif
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                        </div>
                    @else
                        {{ $node['filename'] }}
                    @endif
                </td>
            </tr>
            @php $i++; @endphp
        @endforeach
        <!--  -->
        @php $i=1; @endphp
        @foreach ($required_files as $key => $node)
            @if($key==0)
                <tr>
                    <td colspan="2" class="text-left">
                        <b>Required Documents</b>
                    </td>
                </tr>
            @endif
            @php
                if(isset($node['file']) && is_array($node['file']) && !empty($node['file'])){
                    $documents = $node['file'];
                }else{
                    $documents = [];
                }
            @endphp
            <tr>
                <td>{{ $node['name'] }}</td>
                <td>
                    @if(count($documents) > 0)
                        <a
                            href="javascript:void(0);"
                            data-toggle="modal"
                            data-target="#loadRdModal{{ $i }}"
                        >
                            {{ $node['filename'] }}
                        </a>
                        <div class="modal fade teamModal" id="loadRdModal{{ $i }}" tabindex="-1" aria-labelledby="loadRdModalLabel" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="loadRdModalLabel">{{ $node['filename'] }}</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body  text-left mulimagbu">
                                        @foreach($documents as $document)
                                            @php
                                                $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                $type       = \File::extension($file_path);
                                            @endphp
                                            @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                <a
                                                    href="{{ asset($file_path) }}"
                                                    target="_blank"
                                                    class="mb-3 d-block" >
                                                    <img src="{{ asset($file_path) }}" alt="{{ $node['filename'] }}" class="img-fluid">
                                                </a>
                                            @else
                                                <a
                                                    href="{{ asset($file_path) }}"
                                                    target="_blank"
                                                    class="btn btn-outline-primary mb-3 d-block">
                                                    {{ $document }}
                                                </a>
                                            @endif
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                        </div>
                    @else
                        {{ $node['filename'] }}
                    @endif
                </td>
            </tr>
            @php $i++; @endphp
        @endforeach
        <!--  -->
        @php $i=1; @endphp
        @foreach ($accessorial_files as $key => $node)
            @if($key==0)
                <tr>
                    <td colspan="2" class="text-left">
                        <b>Accessorial Documents</b>
                    </td>
                </tr>
            @endif
            <tr>
                <td>{{ $node['name'] }}</td>
                <td>
                    @if(!is_null($node['file']) && $node['file'] != '')
                        <a
                            href="javascript:void(0);"
                            data-toggle="modal"
                            data-target="#loadAdModal{{ $i }}"
                        >
                            {{ $node['filename'] }}
                        </a>
                        <div class="modal fade teamModal" id="loadAdModal{{$i}}" tabindex="-1" aria-labelledby="loadAdModalLabel" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="loadAdModalLabel">{{ $node['filename'] }}</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body  text-left mulimagbu">
                                        @php
                                            $file_path  = 'storage/companyAdmin/gallery/'.$node['file'];
                                            $type       = \File::extension($file_path);
                                        @endphp
                                        @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                            <a
                                                href="{{ asset($file_path) }}"
                                                target="_blank"
                                                class="mb-3 d-block">
                                                <img src="{{ asset($file_path) }}" alt="{{ $node['filename'] }}" class="img-fluid">
                                            </a>
                                        @else
                                            <a
                                                href="{{ asset($file_path) }}"
                                                target="_blank"
                                                class="btn btn-outline-primary mb-3 d-block">
                                                {{ $node['file'] }}
                                            </a>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    @else
                        {{ $node['filename'] }}
                    @endif
                </td>
            </tr>
            @php $i++; @endphp
        @endforeach
        <!--  -->
        @php $i=1; @endphp
        @foreach ($cod_files as $key => $node)
            @if($key==0)
                <tr>
                    <td colspan="2" class="text-left">
                        <b>COD Documents</b>
                    </td>
                </tr>
            @endif
            <tr>
                <td>{{ $node['name'] }}</td>
                <td>
                    @if(!is_null($node['file']) && $node['file'] != '')
                        <a
                            href="javascript:void(0);"
                            data-toggle="modal"
                            data-target="#loadCodModal{{ $i }}"
                        >
                            {{ $node['filename'] }}
                        </a>
                        <div class="modal fade teamModal" id="loadCodModal{{$i}}" tabindex="-1" aria-labelledby="loadCodModalLabel" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="loadCodModalLabel">{{ $node['filename'] }}</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body  text-left mulimagbu">
                                        @php
                                            $file_path  = 'storage/companyAdmin/gallery/'.$node['file'];
                                            $type       = \File::extension($file_path);
                                        @endphp
                                        @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                            <a
                                                href="{{ asset($file_path) }}"
                                                target="_blank"
                                                class="mb-3 d-block">
                                                <img src="{{ asset($file_path) }}" alt="{{ $node['filename'] }}" class="img-fluid">
                                            </a>
                                        @else
                                            <a
                                                href="{{ asset($file_path) }}"
                                                target="_blank"
                                                class="btn btn-outline-primary mb-3 d-block">
                                                {{ $node['file'] }}
                                            </a>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    @else
                        {{ $node['filename'] }}
                    @endif
                </td>
            </tr>
            @php $i++; @endphp
        @endforeach
        <!--  -->
        @php $i=1; @endphp
        @foreach ($getFile as $key => $node)
            @if($key==0)
                <tr>
                    <td colspan="6" class="text-left">
                        <b>Other Documents</b>
                    </td>
                </tr>
            @endif
            <tr>
                <td>Load</td>
                <td>
                    <a
                        href="javascript:void(0);"
                        data-toggle="modal"
                        data-target="#loadOdModal{{ $i }}"
                    >
                        {{ $node->filename }}
                    </a>
                    <div class="modal fade teamModal" id="loadOdModal{{$i}}" tabindex="-1" aria-labelledby="loadOdModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="loadOdModalLabel">{{ $node->filename }}</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body  text-left mulimagbu">
                                    @php
                                        if(!empty($node->document)){
                                            $documents = unserialize($node->document);
                                        }else{
                                            $documents = [];
                                        }
                                    @endphp
                                    @if(is_array($documents) && count($documents) > 0)
                                        @foreach($documents as $document)
                                            @php
                                                $file_path  = 'storage/companyAdmin/loadfile/'.$document;
                                                $type       = \File::extension($file_path);
                                            @endphp
                                            @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                               <a
                                                    href="{{ asset($file_path) }}"
                                                    target="_blank"
                                                    class="mb-3 d-block"
                                                >
                                                    <img src="{{ asset($file_path) }}" alt="{{ $node->filename }}" class="img-fluid">
                                                </a>
                                            @else
                                                <a
                                                    href="{{ asset($file_path) }}"
                                                    target="_blank"
                                                    class="btn btn-outline-primary mb-3 d-block"
                                                >
                                                    {{ $document }}
                                                </a>
                                            @endif
                                        @endforeach
                                    @endif
                                    <p class="teswrap"><strong>Note: </strong>{{ $node->note }}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </td>
            </tr>
            @php $i++; @endphp
        @endforeach
    </table>
@else
    <p><strong>Files Record Not Found.</strong></p>
@endif