{!! Form::model($companyChartOfAccount, array('route' => ['company.admin.chart-of-accounts.update', $companyChartOfAccount->id], 'method'=>'PATCH', 'class'=>'updateForm')) !!}
    <input type="hidden" id="editRec" value="{{$companyChartOfAccount->id}}">
    <input type="hidden" id="currentParent" value="{{$companyChartOfAccount->parent_account}}">
    <div class="form-group">
        <label for="editAcc-select">Account Type *</label>
        {!! Form::select('account_type', ['' => 'Select Type']+getChartOfAccountsTypes(null, 'listing'), null, ['class' => 'form-control accountType select2-select', 'required' => 'required', 'data-parsley-errors-container' => '#account_type-errors', 'data-parent-modal' => '#editModal']) !!}
        <div id="account_type-errors"></div>
        <div class="mt-1 custom-error-style account_type_error"></div>
    </div>
    <div class="form-group">
        <label for="parentAcc-select">Parent Account </label>
        {!! Form::select('parent_account', ['' => 'Select Parent']+$parents, null, ['class' => 'form-control select2-select addParentId']) !!}
    </div>
    <div class="form-group">
        <label for="parentAcc-select">Account Name *</label>
        {!! Form::text('account_name', old('account_name'), array('class' => 'form-control addAccountName appendNode', 'autocomplete' => 'new', 'required' => 'required')) !!}
        <div class="mt-1 custom-error-style account_name_error"></div>
    </div>
    <div class="form-group mb-3">
        <label for="parentAcc-select">Account Number *</label>
        {!! Form::text('account_number', old('account_number'), array('class' => 'form-control addAccountNumber appendNode', 'autocomplete' => 'new', 'required' => 'required')) !!}
        <div class="mt-1 custom-error-style account_number_error"></div>
    </div>
    <div class="text-right">
        <button type="button" class="btn btn-themeGray pl-4 pr-4" data-dismiss="modal">Cancel</button>
        <button class="btn btn-orange pl-4 pr-4">Save</button>
    </div>
{!! Form::close() !!}
