@if(count($getGallery) > 0)
    @foreach($getGallery as $gallary)
    @php
        $file_path = 'storage/companyAdmin/gallery/'.$gallary->image;
        $type = \File::extension($file_path);

        $user_type = auth()->guard('company-admin')->user()->type;

        $approved = 0;
        if(empty($gallary->access)){
          $approved = 1;
        }else if($gallary->access == 3){
          $approved = 1;
        }else if($gallary->access == 2){
          if($user_type == 3){
            $approved = 0;
          }else{
            $approved = 1;
          }
        }else if($gallary->access == 1){
          if($user_type == 3 || $user_type == 2){
            $approved = 0;
          }else{
            $approved = 1;
          }
        }


    @endphp
    @if($user_type == 0 || $approved == 1)
        <tr>
              <td>
                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                   <a href="{{ asset($file_path) }}" target="_blank" ><img src="{{ asset($file_path) }}" alt="" class="card-img-top"></a>
                @else
                    <a href="{{ asset($file_path) }}" style="height: 94px;padding: 15px;background-color: #e9e9e9;" target="_blank">{{ $gallary->image }}</a>
                @endif
              </td>
              <td>{{ $gallary->file_name }}</td>
              <td>{{ getFullNameByid($gallary->created_by, $gallary->created_by_type) }}</td>
              <td>{{ $gallary->uploaded_date." ".$getTimeZoneId }}</td>
              @if(hasPermission(config('settings.company_admin_modules.'.$gallary->source),config('settings.permissions.verify')))
                <td>
                  <select class="chagneaccess" data-id="{{ $gallary->id }}" style="border-color: #eee;padding: 4px 5px;">
                    <option value="">All User</option>
                    <option value="1" <?php if($gallary->access == 1): ?> Selected <?php endif; ?>>Managers</option>
                    <option value="2" <?php if($gallary->access == 2): ?> Selected <?php endif; ?>>Dispatchers</option>
                    <option value="3" <?php if($gallary->access == 3): ?> Selected <?php endif; ?>>Arivers</option>
                  </select>
                </td>
              @else
                @if(!empty($gallary->access))
                  <td>{{ isset(getNotiUserTypeList()[$gallary->access]) ? getNotiUserTypeList()[$gallary->access] : ''  }}</td>
                @else
                  <td>All User</td>
                @endif
                
              @endif              
              

              @if($gallary->requires_approval == 'yes' && hasPermission(config('settings.company_admin_modules.'.$gallary->source),config('settings.permissions.verify')))
              
                  @if($gallary->status == 'pending')
                      <td class="status-pending">
                  @endif
                  @if($gallary->status == 'approved')
                      <td class="status-approved">
                  @endif
                  @if($gallary->status == 'review')
                      <td class="status-review">
                  @endif
              
                  <select class="chagnestatus" data-id="{{ $gallary->id }}" style="border-color: #eee;padding: 4px 5px;">
                    <option value="pending" <?php if($gallary->status == 'pending'): ?> Selected <?php endif; ?>>Pending</option>
                    <option value="review" <?php if($gallary->status == 'review'): ?> Selected <?php endif; ?>>Review</option>
                    <option value="approved" <?php if($gallary->status == 'approved'): ?> Selected <?php endif; ?>>Approved</option>
                  </select>
              @else
              <td>
                  @if($gallary->status == 'pending')
                      <span class="status-pending">Pending</span>
                  @endif
                  @if($gallary->status == 'approved')
                      <span class="status-approved">Approved</span>
                  @endif
                  @if($gallary->status == 'review')
                      <span class="status-review">Review</span>
                  @endif
              </td>
              @endif
              </td>
              <td class="text-right">
                  <ul class="dark-actn">
                      <li>
                          <a href="{{ asset($file_path) }}" target="_blank" class="mr-2" ><img src="{{ asset('theme/img/eye.png') }}" alt=""/ ></a>
                          <a href="javascript:void(0);" class="clobtn" data-id="{{$gallary->id}}" data-action="{{ route('company.admin.request-documents.destroy',$gallary->id) }}"><img src="{{ asset('theme/img/delete-icon.png') }}" alt=""></a>
                      </li>
                  </ul>
              </td>
          </tr>
      @endif
    @endforeach
    
@else
<div class="col-lg-12 col-md-12 text-center mt-4 mb-4">
    <p>Record not found.</p>
</div>
    
@endif