<table class="table load-documentSummary-table mt-0" id="tbl">
    <thead>
        <tr>
            <th>Status</th>
            <th>Stop</th>
            <th>Document Name</th>
            <th>Include w/ Billing</th>
            <th>Uploaded By</th>
            <th>Date Updated</th>
            <th>
                <a href="javascript:void(0);" class="a-link add-document-link">Add +</a>
            </th>
        </tr>
    </thead>
    <tbody>
        @if(count($static_files) > 0 || count($required_files) > 0 || count($requested_files) > 0 || count($accessorial_files) > 0 || count($cod_files) > 0 || count($getFile) > 0)
            @php
                $i=1;
            @endphp
            @foreach ($static_files as $key => $node)
                @php
                    if(isset($node['file']) && is_array($node['file']) && !empty($node['file'])){
                        $documents      = $node['file'];
                    }else{
                        $documents      = [];
                    }
                    $status_class       = '';
                    if($node['status']=='Complete'){
                        $status_class   = 'text-success';
                    }
                @endphp
                <tr>
                    <td class="{{ $status_class }}">{{ $node['status'] }}</td>
                    <td>{{ $node['name'] }}</td>
                    <td>
                        @if(count($documents) > 0)
                            <a href="javascript:void(0);" data-toggle="modal" data-target="#staticFileModal{{ $i }}">{{ $node['filename'] }}</a>
                            <div class="modal fade teamModal" id="staticFileModal{{ $i }}" tabindex="-1" aria-labelledby="staticFileModalLabel{{ $i }}" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="staticFileModalLabel{{ $i }}">{{ $node['filename'] }}</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body text-left mulimagbu">
                                            @foreach($documents as $document)
                                                @php
                                                    $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                    $type       = \File::extension($file_path);
                                                @endphp
                                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                    <a href="{{ asset($file_path) }}" target="_blank" class="mb-3 d-block">
                                                        <img src="{{ asset($file_path) }}" alt="{{ $node['filename'] }}" class="img-fluid">
                                                    </a>
                                                @else
                                                    <a href="{{ asset($file_path) }}" target="_blank" class="btn btn-outline-primary mb-3 d-block">
                                                        {{ $document }}
                                                    </a>
                                                @endif
                                            @endforeach
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @else
                            {{ $node['filename'] }}
                        @endif
                    </td>
                    <td>{{ (isset($node['include_w_billing']) && $node['include_w_billing']=="yes")? "yes" : "no" }}</td>
                    <td>{{ $node['uploaded_by'] ?? '' }}</td>
                    <td>{{ $node['uploaded_at'] ?? '' }}</td>
                    <td
                        class="edit-document-link"
                        data-id="{{ $node['id'] }}"
                        data-source_id="{{ $node['source'] }}"
                        data-field_name="{{ $node['field_name'] }}"
                        data-filename="{{ $node['filename'] }}"
                        data-note=""
                        data-hide_from_driver="{{ $node['hide_from_driver'] }}"
                        data-include_w_billing="{{ $node['include_w_billing'] }}">
                        @if(count($documents) > 0)
                            <i class="fa fa-pencil" aria-hidden="true" style="font-weight: 600; color: #305F9C; font-size: 16px;"></i>
                        @else
                            <img src="{{ asset('theme/images/upload-blue.svg') }}" alt="Upload">
                        @endif
                    </td>
                </tr>
                @php $i++; @endphp
            @endforeach
            <!--  -->
            @php
                $i=1;
            @endphp
            @foreach ($required_files as $key => $node)
                @php
                    $filename           = $node['filename'] ?? '';
                    if(isset($node['filename_id']) && $node['filename_id']!=''){
                        $filename      .= '-'.$node['filename_id'];
                    }
                    if(isset($node['file']) && is_array($node['file']) && !empty($node['file'])){
                        $documents      = $node['file'];
                    }else{
                        $documents      = [];
                    }
                    $status_class       = '';
                    if($node['status']=='Complete'){
                        $status_class   = 'text-success';
                    }
                @endphp
                @if($key==0)
                    <tr>
                        <th colspan="6">Required Documents</th>
                    </tr>
                @endif
                <tr>
                    <td class="{{ $status_class }}">{{ $node['status'] }}</td>
                    <td>
                        {{ $node['name'] }}
                    </td>
                    <td>
                        @if(isset($node['filename_id']) && $node['filename_id']=='0')
                            Other - 
                        @endif
                        @if(count($documents) > 0)
                            <a href="javascript:void(0);" data-toggle="modal" data-target="#requiredFileModal{{ $i }}">{{ $node['filename'] }}</a>
                            <div class="modal fade teamModal" id="requiredFileModal{{ $i }}" tabindex="-1" aria-labelledby="requiredFileModalLabel{{ $i }}" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="requiredFileModalLabel{{ $i }}">{{ $node['filename'] }}</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body text-left mulimagbu">
                                            @foreach($documents as $document)
                                                @php
                                                    $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                    $type       = \File::extension($file_path);
                                                @endphp
                                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                    <a href="{{ asset($file_path) }}" target="_blank" class="mb-3 d-block" >
                                                        <img src="{{ asset($file_path) }}" alt="{{ $node['filename'] }}" class="img-fluid">
                                                    </a>
                                                @else
                                                    <a href="{{ asset($file_path) }}" target="_blank" class="btn btn-outline-primary mb-3 d-block">
                                                        {{ $document }}
                                                    </a>
                                                @endif
                                            @endforeach
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @else
                            {{ $node['filename'] }}
                        @endif
                    </td>
                    <td>{{ (isset($node['include_w_billing']) && $node['include_w_billing']=="yes")? "yes" : "no" }}</td>
                    <td>{{ $node['uploaded_by'] ?? '' }}</td>
                    <td>{{ $node['uploaded_at'] ?? '' }}</td>
                    <td
                        class="edit-document-link"
                        data-id="{{ $node['id'] }}"
                        data-source_id="{{ $node['source'] }}"
                        data-field_name="{{ $node['field_name'] }}"
                        data-filename="{{ $filename }}"
                        data-note=""
                        data-hide_from_driver="{{ $node['hide_from_driver'] }}"
                        data-include_w_billing="{{ $node['include_w_billing'] }}">
                        @if(count($documents) > 0)
                            <i class="fa fa-pencil" aria-hidden="true" style="font-weight: 600; color: #305F9C; font-size: 16px;"></i>
                        @else
                            <img src="{{ asset('theme/images/upload-blue.svg') }}" alt="Upload">
                        @endif
                    </td>
                </tr>
                @php $i++; @endphp
            @endforeach
            <!--  -->
            <!--  -->
            @php
                $i=1;
            @endphp
            @foreach ($requested_files as $key => $node)
                @php
                    $filename           = $node['filename'] ?? '';
                    if(isset($node['filename_id']) && $node['filename_id']!=''){
                        $filename      .= '-'.$node['filename_id'];
                    }
                    if(isset($node['file']) && is_array($node['file']) && !empty($node['file'])){
                        $documents      = $node['file'];
                    }else{
                        $documents      = [];
                    }
                    $status_class       = '';
                    if($node['status']=='Complete'){
                        $status_class   = 'text-success';
                    }
                @endphp
                @if($key==0)
                    <tr>
                        <th colspan="6">Requested Documents</th>
                    </tr>
                @endif
                <tr>
                    <td class="{{ $status_class }}">{{ $node['status'] }}</td>
                    <td>
                        {{ $node['name'] }}
                    </td>
                    <td>
                        @if(isset($node['filename_id']) && $node['filename_id']=='0')
                            Other - 
                        @endif
                        @if(count($documents) > 0)
                            <a href="javascript:void(0);" data-toggle="modal" data-target="#requestedFileModal{{ $i }}">{{ $node['filename'] }}</a>
                            <div class="modal fade teamModal" id="requestedFileModal{{ $i }}" tabindex="-1" aria-labelledby="requestedFileModalLabel{{ $i }}" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="requestedFileModalLabel{{ $i }}">{{ $node['filename'] }}</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body text-left mulimagbu">
                                            @foreach($documents as $document)
                                                @php
                                                    $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                                    $type       = \File::extension($file_path);
                                                @endphp
                                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                    <a href="{{ asset($file_path) }}" target="_blank" class="mb-3 d-block" >
                                                        <img src="{{ asset($file_path) }}" alt="{{ $node['filename'] }}" class="img-fluid">
                                                    </a>
                                                @else
                                                    <a href="{{ asset($file_path) }}" target="_blank" class="btn btn-outline-primary mb-3 d-block">
                                                        {{ $document }}
                                                    </a>
                                                @endif
                                            @endforeach
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @else
                            {{ $node['filename'] }}
                        @endif
                    </td>
                    <td>{{ (isset($node['include_w_billing']) && $node['include_w_billing']=="yes")? "yes" : "no" }}</td>
                    <td>{{ $node['uploaded_by'] ?? '' }}</td>
                    <td>{{ $node['uploaded_at'] ?? '' }}</td>
                    <td
                        class="edit-document-link"
                        data-id="{{ $node['id'] }}"
                        data-source_id="{{ $node['source'] }}"
                        data-field_name="{{ $node['field_name'] }}"
                        data-filename="{{ $filename }}"
                        data-note=""
                        data-hide_from_driver="{{ $node['hide_from_driver'] }}"
                        data-include_w_billing="{{ $node['include_w_billing'] }}">
                        @if(count($documents) > 0)
                            <i class="fa fa-pencil" aria-hidden="true" style="font-weight: 600; color: #305F9C; font-size: 16px;"></i>
                        @else
                            <img src="{{ asset('theme/images/upload-blue.svg') }}" alt="Upload">
                        @endif
                    </td>
                </tr>
                @php $i++; @endphp
            @endforeach
            <!--  -->
            @php
                $i=1;
            @endphp
            @foreach ($accessorial_files as $key => $node)
                @php
                    $status_class       = '';
                    if($node['status']=='Complete'){
                        $status_class   = 'text-success';
                    }
                @endphp
                @if($key==0)
                    <tr>
                        <th colspan="6">Accessorial Documents</th>
                    </tr>
                @endif
                <tr>
                    <td class="{{ $status_class }}">{{ $node['status'] }}</td>
                    <td>{{ $node['name'] }}</td>
                    <td>
                        @if(!is_null($node['file']) && $node['file'] != '')
                            <a href="javascript:void(0);" data-toggle="modal" data-target="#accessorialFileModal{{ $i }}">{{ $node['filename'] }}</a>
                            <div class="modal fade teamModal" id="accessorialFileModal{{ $i }}" tabindex="-1" aria-labelledby="accessorialFileModalLabel{{ $i }}" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="accessorialFileModalLabel{{ $i }}">{{ $node['filename'] }}</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body text-left mulimagbu">
                                            @php
                                                $file_path  = 'storage/companyAdmin/gallery/'.$node['file'];
                                                $type       = \File::extension($file_path);
                                            @endphp
                                            @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                <a href="{{ asset($file_path) }}" target="_blank" class="mb-3 d-block">
                                                    <img src="{{ asset($file_path) }}" alt="{{ $node['filename'] }}" class="img-fluid">
                                                </a>
                                            @else
                                                <a href="{{ asset($file_path) }}" target="_blank" class="btn btn-outline-primary mb-3 d-block">
                                                    {{ $node['file'] }}
                                                </a>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @else
                            {{ $node['filename'] }}
                        @endif
                    </td>
                    <td>{{ (isset($node['include_w_billing']) && $node['include_w_billing']=="yes")? "yes" : "no" }}</td>
                    <td>{{ $node['uploaded_by'] ?? '' }}</td>
                    <td>{{ $node['uploaded_at'] ?? '' }}</td>
                    <td
                        class="edit-document-link"
                        data-id="{{ $node['id'] }}"
                        data-source_id="{{ $node['source'] }}"
                        data-field_name="{{ $node['field_name'] }}"
                        data-filename="{{ $node['filename'] }}"
                        data-note=""
                        data-hide_from_driver="{{ $node['hide_from_driver'] }}"
                        data-include_w_billing="{{ $node['include_w_billing'] }}">
                        @if(!is_null($node['file']) && $node['file'] != '')
                            <i class="fa fa-pencil" aria-hidden="true" style="font-weight: 600; color: #305F9C; font-size: 16px;"></i>
                        @else
                            <img src="{{ asset('theme/images/upload-blue.svg') }}" alt="Upload">
                        @endif
                    </td>
                </tr>
                @php $i++; @endphp
            @endforeach
            <!--  -->
            @php
                $i=1;
            @endphp
            @foreach ($cod_files as $key => $node)
                @php
                    $status_class       = '';
                    if($node['status']=='Complete'){
                        $status_class   = 'text-success';
                    }
                @endphp
                @if($key==0)
                    <tr>
                        <th colspan="6">COD Documents</th>
                    </tr>
                @endif
                <tr>
                    <td class="{{ $status_class }}">{{ $node['status'] }}</td>
                    <td>{{ $node['name'] }}</td>
                    <td>
                        @if(!is_null($node['file']) && $node['file'] != '')
                            <a href="javascript:void(0);" data-toggle="modal" data-target="#codFileModal{{ $i }}">{{ $node['filename'] }}</a>
                            <div class="modal fade teamModal" id="codFileModal{{ $i }}" tabindex="-1" aria-labelledby="codFileModalLabel{{ $i }}" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="codFileModalLabel{{ $i }}">{{ $node['filename'] }}</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body text-left mulimagbu">
                                            @php
                                                $file_path  = 'storage/companyAdmin/gallery/'.$node['file'];
                                                $type       = \File::extension($file_path);
                                            @endphp
                                            @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                <a href="{{ asset($file_path) }}" target="_blank" class="mb-3 d-block">
                                                    <img src="{{ asset($file_path) }}" alt="{{ $node['filename'] }}" class="img-fluid">
                                                </a>
                                            @else
                                                <a href="{{ asset($file_path) }}" target="_blank" class="btn btn-outline-primary mb-3 d-block">
                                                    {{ $node['file'] }}
                                                </a>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @else
                            {{ $node['filename'] }}
                        @endif
                    </td>
                    <td>{{ (isset($node['include_w_billing']) && $node['include_w_billing']=="yes")? "yes" : "no" }}</td>
                    <td>{{ $node['uploaded_by'] ?? '' }}</td>
                    <td>{{ $node['uploaded_at'] ?? '' }}</td>
                    <td
                        class="edit-document-link"
                        data-id="{{ $node['id'] }}"
                        data-source_id="{{ $node['source'] }}"
                        data-field_name="{{ $node['field_name'] }}"
                        data-filename="{{ $node['filename'] }}"
                        data-note=""
                        data-hide_from_driver="{{ $node['hide_from_driver'] }}"
                        data-include_w_billing="{{ $node['include_w_billing'] }}">
                        @if(!is_null($node['file']) && $node['file'] != '')
                            <i class="fa fa-pencil" aria-hidden="true" style="font-weight: 600; color: #305F9C; font-size: 16px;"></i>
                        @else
                            <img src="{{ asset('theme/images/upload-blue.svg') }}" alt="Upload">
                        @endif
                    </td>
                </tr>
                @php $i++; @endphp
            @endforeach
            <!--  -->
            @php
                $i=1;
            @endphp
            @foreach ($getFile as $key => $node)
                @if($key==0)
                    <tr>
                        <th colspan="6">Other Documents</th>
                    </tr>
                @endif
                <tr>
                    <td class="text-success">Completed</td>
                    <td>Load</td>
                    <td>
                        <a href="javascript:void(0);" data-toggle="modal" data-target="#otherFileModal{{ $i }}">{{ $node->company_load_document->name ?? $node->filename }}</a>
                        <div class="modal fade teamModal" id="otherFileModal{{ $i }}" tabindex="-1" aria-labelledby="otherFileModalLabel{{ $i }}" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="otherFileModalLabel{{ $i }}">{{ $node->company_load_document->name ?? $node->filename }}</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body text-left mulimagbu">
                                        @php
                                            if(!empty($node->document)){
                                                $documents = unserialize($node->document);
                                            }else{
                                                $documents = [];
                                            }
                                        @endphp
                                        @if(is_array($documents) && count($documents) > 0)
                                            @foreach($documents as $document)
                                                @php
                                                    $file_path  = 'storage/companyAdmin/loadfile/'.$document;
                                                    $type       = \File::extension($file_path);
                                                @endphp
                                                @if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif')
                                                   <a href="{{ asset($file_path) }}" target="_blank" class="mb-3 d-block">
                                                        <img src="{{ asset($file_path) }}" alt="{{ $node->company_load_document->name ?? $node->filename }}" class="img-fluid">
                                                    </a>
                                                @else
                                                    <a href="{{ asset($file_path) }}" target="_blank" class="btn btn-outline-primary mb-3 d-block">
                                                        {{ $document }}
                                                    </a>
                                                @endif
                                            @endforeach
                                        @endif
                                        <p class="teswrap"><strong>Note: </strong>{{ $node->note }}</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </td>
                    <td>{{ (isset($node->include_w_billing) && $node->include_w_billing=="yes")? "yes" : "no" }}</td>
                    <td>{{ $node->company_admin->full_name ?? "" }}</td>
                    <td>
                        {{ \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $node->updated_at)->setTimezone($getTimeZone)->format($getTimeLayout)." ".$getTimeZoneId }}
                    </td>
                    <td>
                        <a
                            href="javascript:void(0);"
                            class="edit-document-link"
                            data-id="{{ $node->id }}"
                            data-source_id=""
                            data-field_name=""
                            data-filename="{{ $node->company_load_document->name ?? $node->filename }}"
                            data-filename_id="{{ $node->load_file_type_id }}"
                            data-note="{{ $node->note }}"
                            data-hide_from_driver="{{ $node->hide_from_driver }}"
                            data-include_w_billing="{{ $node->include_w_billing }}" style="text-decoration: none; font-weight: 600; color: #305F9C; font-size: 16px;">
                            <i class="fa fa-pencil" aria-hidden="true"></i>
                        </a>
                        <a
                            href="javascript:void(0);"
                            class="destroy-document"
                            data-id="{{ $node->id }}"
                            data-action="{{ route('company.admin.loads.file.view.delete',$node->id) }}" style="text-decoration: none; font-weight: 600; color: #305F9C; font-size: 16px;">
                            <i class="fa fa-trash" aria-hidden="true"></i>
                        </a>
                    </td>
                </tr>
                @php $i++; @endphp
            @endforeach
        @else
            <tr>
                <td class="text-center" colspan="6">No data available in table</td>
            </tr>
        @endif
    </tbody>
</table>