@php
    $msclass        = '';
    if(old('is_on_hold') == 3){
        $msclass    = 'setdropped';
    }elseif(old('is_on_hold') == 2){
        $msclass    = 'setcnacelte';
    }elseif(old('is_on_hold') == 1){
        $msclass    = 'setseonholds';
    }
@endphp
<section class="multi_step_form">
    <div id="msform" class="{{ $msclass }}">
        <div class="d-flex">
            <input type="hidden" name="load_status" class="load-status-input" value="{{ old('load_status') ?? 2 }}">
            <ul class="custom-progress-bar" id="progressbar">
                @if(!empty(old('load_status')))
                    <li id="preplaned"
                        class="{{ old('load_status') == 2 ? 'fill-active' : '' }}">
                        <a href="javascript:void(0)"><span class="progress-no">1</span>Preplanned</a>
                    </li>
                @else
                    <li id="preplaned" class="fill-active">
                        <a href="javascript:void(0)"><span class="progress-no">1</span>Preplanned</a>
                    </li>
                @endif
                <li id="sendToDriver"
                    class="{{ old('load_status') == 11 ? 'fill-active' : '' }}">
                    <a href="javascript:void(0)"><span class="progress-no">1</span>Send To Driver</a>
                </li>
                <li id="confirmed"
                    class="{{ old('load_status') == 3 ? 'fill-active' : '' }}">
                    <a href="javascript:void(0)"><span class="progress-no">1</span>Confirmed</a>
                </li>
                <li id="inTransit"
                    class="{{ old('load_status') == 4 ? 'fill-active' : '' }}">
                    <a href="javascript:void(0)"><span class="progress-no">1</span>In Transit</a>
                </li>
                <li id="delivered"
                    class="{{ old('load_status') == 5 ? 'fill-active' : '' }}">
                    <a href="javascript:void(0)"><span class="progress-no">1</span>Delivered</a>
                </li>
                <li id="readyToBill"
                    class="{{ old('load_status') == 6 ? 'fill-active' : '' }}">
                    <a href="javascript:void(0)"><span class="progress-no">1</span>Ready to Bill</a>
                </li>
                <li id="onInvoiced"
                    class="{{ old('load_status') == 10 ? 'fill-active' : '' }}">
                    <a href="javascript:void(0)"><span class="progress-no">1</span>Invoiced</a>
                </li>
                <li id="complete"
                    class="{{ old('load_status') == 8 ? 'fill-active' : '' }}">
                    <a href="javascript:void(0)"><span class="progress-no">1</span>Paid</a>
                </li>
                {{--
                <li id="onHold"
                    class="{{ old('load_status') == 7 ? 'fill-active' : '' }}">
                    <a href="javascript:void(0)"><span class="progress-no">1</span>On Hold</a>
                </li>
                <li id="cancelled"
                    class="{{ old('load_status') == 9 ? 'cancalled' : '' }}">
                    <a href="javascript:void(0)"><span class="progress-no">1</span>Cancelled</a>
                </li>
                --}}
            </ul>
            <div class="multi_step_checkbox mt-20 sechstatuwese">
                <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input hold-input" id="onHold" {{ old('is_on_hold') == '1' ? 'checked' : '' }}>
                    <label class="custom-control-label" for="onHold">On Hold</label>
                </div>
                <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input cancel-input" id="cancelled" {{ old('is_on_hold') == '2' ? 'checked' : '' }}>
                    <label class="custom-control-label" for="cancelled">Cancel</label>
                </div>
            </div>
        </div>
    </div>
</section>
<section>
    <div class="">
        <div class="">
            <div class="row">
                <div class="col-sm-12 col-md-12 col-lg-6 preplaned-driver-acknowledgement"
                    style="display: {{
                        (old('load_status') == null || old('load_status') == 2 || old('load_status') == 11) &&
                        (is_null(old('is_on_hold')) || old('is_on_hold') == 0) ? 'block' : 'none' }}">
                    <div class="white-box mb-4 load-status">
                        <div class="box-padding">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group mt-2">
                                        <label>Driver Acknowledgement</label>
                                        <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
                                            <label
                                                class="btn btn-secondary preplaned-driver-ack-label {{ old('preplaned_driver_acknowledgement') == 0 ? 'active' : '' }}">
                                                {!! Form::radio('preplaned_driver_acknowledgement', 0,
                                                    old('preplaned_driver_acknowledgement') == 0 ? true : false,
                                                    array(
                                                        'class' => 'custom-control-input preplaned-driver-acknowledgement-radio'
                                                    )
                                                ) !!} Pending
                                            </label>
                                            <label
                                                class="btn btn-secondary preplaned-driver-ack-label {{ old('preplaned_driver_acknowledgement') == 1 ? 'active' : '' }}">
                                                {!! Form::radio('preplaned_driver_acknowledgement', 1,
                                                    old('preplaned_driver_acknowledgement') == 1 ? true : false,
                                                    array(
                                                        'class' => 'custom-control-input preplaned-driver-acknowledgement-radio'
                                                    )
                                                ) !!} Accepted
                                            </label>
                                            <label
                                                class="btn btn-secondary preplaned-driver-ack-label {{ old('preplaned_driver_acknowledgement') == 2 ? 'active' : '' }}">
                                                {!! Form::radio('preplaned_driver_acknowledgement', 2,
                                                    old('preplaned_driver_acknowledgement') == 2 ? true : false,
                                                    array(
                                                        'class' => 'custom-control-input preplaned-driver-acknowledgement-radio'
                                                    )
                                                ) !!} Rejected
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group mt-2">
                                        <label>Sent to Driver</label>
                                        <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
                                            <label
                                                class="btn btn-secondary {{ old('sent_to_driver') == 0 ? 'active' : '' }}">
                                                {!! Form::radio('sent_to_driver', 0,
                                                    old('sent_to_driver') == 0 ? true : false,
                                                    array('class' => 'custom-control-input')
                                                ) !!} Use Current
                                            </label>
                                            <label
                                                class="btn btn-secondary {{ old('sent_to_driver') == 1 ? 'active' : '' }}">
                                                {!! Form::radio('sent_to_driver', 1,
                                                    old('sent_to_driver') == 1 ? true : false,
                                                    array('class' => 'custom-control-input')
                                                ) !!} Manual
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12 custom-width mt-3">
                                    <div class="form-group">
                                        {!! Form::text('default_current_time', request()->get('default_current_time'),
                                            array(
                                                'placeholder'   => 'Default Current time',
                                                'class'         => 'form-control shipper-date-time disabled-default-current-time',
                                                'id'            => 'defaultCurrentTime',
                                                'onPaste'       => 'return false'
                                            )
                                        ) !!}
                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="default_current_time">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 col-md-6 col-lg-6 confirmed-driver-acknowledgement"
                    style="display: {{
                        (old('load_status') == 3) &&
                        (is_null(old('is_on_hold')) || old('is_on_hold') == 0) ? 'block' : 'none' }}">
                    <div class="white-box mb-4 load-status">
                        <div class="box-padding">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group mt-2">
                                        <label>Driver Acknowledgement</label>
                                        <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
                                            <label
                                                class="btn btn-secondary confirmed-driver-ack-label {{ old('confirmed_driver_acknowledgement') == 0 ? 'active' : '' }}">
                                                {!! Form::radio('confirmed_driver_acknowledgement', 0,
                                                    old('confirmed_driver_acknowledgement') == 0 ? true : false,
                                                    array('class' => 'custom-control-input confirmed-driver-acknowledgement-radio')
                                                ) !!} Pending
                                            </label>
                                            <label
                                                class="btn btn-secondary confirmed-driver-ack-label {{ old('confirmed_driver_acknowledgement') == 1 ? 'active' : '' }}">
                                                {!! Form::radio('confirmed_driver_acknowledgement', 1,
                                                    old('confirmed_driver_acknowledgement') == 1 ? true : false,
                                                    array('class' => 'custom-control-input confirmed-driver-acknowledgement-radio')
                                                ) !!} Picked Up
                                            </label>
                                            <label
                                                class="btn btn-secondary confirmed-driver-ack-label  {{ old('confirmed_driver_acknowledgement') == 2 ? 'active' : '' }}">
                                                {!! Form::radio('confirmed_driver_acknowledgement', 2,
                                                    old('confirmed_driver_acknowledgement') == 2 ? true : false,
                                                    array('class' => 'custom-control-input confirmed-driver-acknowledgement-radio')
                                                ) !!} Rejected
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 col-md-6 col-lg-6 inTransit-driver-acknowledgement"
                    style="display: {{ (old('load_status') == 4) &&
                    (is_null(old('is_on_hold')) || old('is_on_hold') == 0) ? 'block' : 'none' }}">
                    <div class="white-box mb-4 load-status">
                        <div class="box-padding">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group mt-2">
                                        <label>Driver Acknowledgement</label>
                                        <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
                                            <label
                                                class="btn btn-secondary in-transit-driver-ack-label {{ old('intransit_driver_acknowledgement') == 0 ? 'active' : '' }}">
                                                {!! Form::radio('intransit_driver_acknowledgement', 0,
                                                    old('intransit_driver_acknowledgement') == 0 ? true : false,
                                                    array('class' => 'custom-control-input intransit-driver-acknowledgement-radio')
                                                ) !!} Pending
                                            </label>
                                            <label
                                                class="btn btn-secondary in-transit-driver-ack-label {{ old('intransit_driver_acknowledgement') == 1 ? 'active' : '' }}">
                                                {!! Form::radio('intransit_driver_acknowledgement', 1,
                                                    old('intransit_driver_acknowledgement') == 1 ? true : false,
                                                    array('class' => 'custom-control-input intransit-driver-acknowledgement-radio')
                                                ) !!} Delivered
                                            </label>
                                            <label
                                                class="btn btn-secondary in-transit-driver-ack-label {{ old('intransit_driver_acknowledgement') == 2 ? 'active' : '' }}">
                                                {!! Form::radio('intransit_driver_acknowledgement', 2,
                                                    old('intransit_driver_acknowledgement') == 2 ? true : false,
                                                    array('class' => 'custom-control-input intransit-driver-acknowledgement-radio')
                                                ) !!} Rejected
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 col-md-6 col-lg-6 inTransit-driver-acknowledgement2"
                    style="display: {{ (old('load_status') == 4 || old('load_status') == 5 || old('load_status') == 6 || old('load_status') == 8 || old('load_status') == 10) &&
                        (is_null(old('is_on_hold')) || old('is_on_hold') == 0) ? 'block' : 'none' }}">
                    <div class="white-box mb-4 load-status">
                        <div class="box-padding">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group mt-2">
                                        <label>In Transit Information</label>
                                        <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
                                            <label class="btn btn-secondary active">
                                                {!! Form::radio('intransit_shipping_information', 0, true, array('class'
                                                => 'custom-control-input')) !!} Use Shipper
                                            </label>
                                            <label class="btn btn-secondary">
                                                {!! Form::radio('intransit_shipping_information', 1, false,
                                                array('class' => 'custom-control-input')) !!} Use Current
                                            </label>
                                            <label class="btn btn-secondary">
                                                {!! Form::radio('intransit_shipping_information', 2, false,
                                                array('class' => 'custom-control-input')) !!} Manual
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12 custom-width mt-3">
                                    <div class="form-group">
                                        {!! Form::text('intransit_date_time', request()->get('intransit_date_time'),
                                            array(
                                                'placeholder'   => 'Default start shipping time',
                                                'class'         => 'form-control shipper-date-time disabled-shipping-date-time',
                                                'id'            => 'defaultStartShippingTime',
                                                'onPaste'       => 'return false'
                                            )
                                        ) !!}
                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="intransit_date_time">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 col-md-6 col-lg-6 delivered-driver-acknowledgement"
                    style="display: {{
                        (old('load_status') == 5 || old('load_status') == 6 || old('load_status') == 8 || old('load_status') == 10) &&
                        (is_null(old('is_on_hold')) || old('is_on_hold') == 0) ? 'block' : 'none' }}">
                    <div class="white-box mb-4 load-status">
                        <div class="box-padding">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group mt-2">
                                        <label>Delivery Information</label>
                                        <div class="btn-group btn-group-toggle d-block" data-toggle="buttons">
                                            <label class="btn btn-secondary active">
                                                {!! Form::radio('delivered_delivery_information', 0, true, array('class'
                                                => 'custom-control-input')) !!} Use Delivery
                                            </label>
                                            <label class="btn btn-secondary">
                                                {!! Form::radio('delivered_delivery_information', 1, false,
                                                array('class' => 'custom-control-input')) !!} Use Current
                                            </label>
                                            <label class="btn btn-secondary">
                                                {!! Form::radio('delivered_delivery_information', 2, false,
                                                array('class' => 'custom-control-input')) !!} Manual
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12 custom-width mt-3">
                                    <div class="form-group">
                                        {!! Form::text('delivered_date_time', request()->get('delivered_date_time'),
                                            array(
                                                'placeholder'   => 'Default start delivery time',
                                                'class'         => 'form-control shipper-date-time disabled-deliverd-date-time',
                                                'id'            => 'defaultStartDeliveryTime',
                                                'onPaste'       => 'return false'
                                            )
                                        ) !!}
                                        <img src="{{ asset('theme/img/calendar.png') }}" alt="delivered_date_time">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-12 col-md-12 col-lg-12 reason-on-hold-box"
                    style="display: {{ old('is_on_hold') == '1' ? 'block' : 'none' }}">
                    <div class="white-box mb-4 load-status">
                        <div class="box-padding">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="col-md-12">
                                        <div class="form-group mt-2">
                                            <label class="d-block">On Hold Information</label>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            {!! Form::select('notification_reason',
                                                ['' => 'Select Reason']+getNotificationReason(), null, [
                                                    'class' => 'custom-select notification-reason form-control'
                                                ]
                                            ) !!}
                                            @error('notification_reason')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group mt-2">
                                            {!! Form::textarea('reason_on_hold', old('reason_on_hold'), array('class' =>
                                            'form-control', 'rows' => '4','placeholder' => 'Notes')) !!}
                                            @error('reason_on_hold')
                                                <span class="text-danger" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
