<div class="modal fade" id="addBrockerContactModal" role="dialog" aria-labelledby="addBrockerContactModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl modal-blue modal-addLoad" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addBrockerContactModalLabel">New Representative +</h5>
                <div class="d-flex align-items-center">
                    <h5 class="modal-title rep-load-no"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
            <div class="modal-body">
                <form class="repfrm" name="repfrm" id="repfrm" autocomplete="off">
                    <input type="hidden" name="action_id" value="">
                    <input type="hidden" name="source" value="broker">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="rep_company_name" class="col-md-5 col-form-label">Company Name</label>
                                <div class="col-md-7">
                                    <input type="text" class="form-control" name="company_name" id="rep_company_name" readonly>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="rep_office_id" class="col-md-3 col-form-label">Office <span class="text-danger">*</span></label>
                                <div class="col-md-9">
                                    <select class="form-control" name="office_id" id="rep_office_id" data-parsley-errors-container="#office_id-error" required>
                                        <option value="">Select option</option>
                                    </select>
                                    <div id="office_id-error"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="rep_company_address" class="col-md-5 col-form-label">Company Address</label>
                                <div class="col-md-7">
                                    <p class="m-0 company_name d-none">C.H. <span></span></p>
                                    <p class="m-0 department d-none">c/o <span></span></p>
                                    <p class="m-0 company_address_1 d-none"></p>
                                    <p class="m-0 company_address d-none"></p>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="rep_department" class="col-md-3 col-form-label">Department <span class="text-danger">*</span></label>
                                <div class="col-md-9">
                                    <select class="form-control" name="department" id="rep_department" data-parsley-errors-container="#department-error" required>
                                        <option value="">Select option</option>
                                    </select>
                                    <div id="department-error"></div>
                                    <div class="form-group mt-2 mb-0">
                                        <div class="custom-control custom-checkbox mb-3">
                                            <input type="checkbox" class="custom-control-input" name="include_address" id="rep_include_address" value="1">
                                            <label class="custom-control-label pl-2" for="rep_include_address">
                                                <span>Include on address</span>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="rep_first_name" class="col-md-5 col-form-label">Representative Name <span class="text-danger">*</span></label>
                                <div class="col-md-7">
                                    <input type="text" class="form-control" name="first_name" id="rep_first_name" placeholder="Enter first name" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-5 offset-md-1 form-group">
                            <input type="text" class="form-control" name="last_name" id="rep_last_name" placeholder="Enter last name" required>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="rep_phone_number" class="col-md-5 col-form-label">Representative Phone <span class="text-danger">*</span></label>
                                <div class="col-md-7">
                                    <input type="text" class="form-control phone" name="phone_number" id="rep_phone_number" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="rep_ext" class="col-md-2 col-form-label">Ext </label>
                                <div class="col-md-10">
                                    <input type="text" class="form-control" name="ext" id="rep_ext">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="rep_cell_number" class="col-md-5 col-form-label">Representative Cell</label>
                                <div class="col-md-7">
                                    <input type="text" class="form-control phone" name="cell_number" id="rep_cell_number">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="rep_preferred_connections" class="col-md-5 col-form-label">Preferred Connection <span class="text-danger">*</span></label>
                                <div class="col-md-7">
                                    <div class="custom-checkbox-inline">
                                        <div class="custom-control custom-checkbox mr-2">
                                            <input type="checkbox" class="custom-control-input" name="preferred_connections[]" id="rep_preferred_connections_message" value="1" data-parsley-mincheck="1" data-parsley-errors-container="#preferredConnectionsErrorContainer" required>
                                            <label class="custom-control-label" for="rep_preferred_connections_message" title="Message">
                                                <i class="fa fa-commenting" aria-hidden="true"></i>
                                            </label>
                                        </div>
                                        <div class="custom-control custom-checkbox mr-2">
                                            <input type="checkbox" class="custom-control-input" name="preferred_connections[]" id="rep_preferred_connections_email" value="2">
                                            <label class="custom-control-label" for="rep_preferred_connections_email" title="Email">
                                                <i class="fa fa-envelope" aria-hidden="true"></i>
                                            </label>
                                        </div>
                                        <div class="custom-control custom-checkbox mr-2">
                                            <input type="checkbox" class="custom-control-input" name="preferred_connections[]" id="rep_preferred_connections_phone" value="3">
                                            <label class="custom-control-label" for="rep_preferred_connections_phone" title="Phone">
                                                <i class="fa fa-mobile" aria-hidden="true"></i>
                                            </label>
                                        </div>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" name="preferred_connections[]" id="rep_preferred_connections_cell" value="4">
                                            <label class="custom-control-label" for="rep_preferred_connections_cell" title="Cell">
                                                <i class="fa fa-phone" aria-hidden="true"></i>
                                            </label>
                                        </div>
                                        <div id="preferredConnectionsErrorContainer"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group row">
                                <label for="rep_email" class="col-md-5 col-form-label">Representative Email <span class="text-danger">*</span></label>
                                <div class="col-md-7">
                                    <input type="email" class="form-control" name="email" id="rep_email" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group row">
                                <div class="col-md-5">
                                    <div class="d-flex">
                                        <label for="rep_primary_contact" class="col-form-label mr-2">Primary Contact</label>
                                        <div>
                                            <div class="custom-control custom-switch-blue custom-switch-small">
                                                <input type="checkbox" class="custom-control-input" name="primary_contact" id="rep_primary_contact" value="1">
                                                <label class="custom-control-label mb-0" for="rep_primary_contact"></label>
                                            </div>
                                            <label class="switch-text mb-0" for="rep_primary_contact" style="width: 100%;">Off/On</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-7 rep-dispatcher_id-div d-none">
                                    <div class="form-group">
                                        <select class="form-control" name="dispatcher_id[]" id="rep_dispatcher_id" multiple>
                                            @foreach (getDispatcherListByCompany(auth()->guard('company-admin')->user()->company_id) as $dispatcher_id => $dispatcher_name)
                                                <option value="{{ $dispatcher_id }}">{{ $dispatcher_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group mb-0">
                        <div class="custom-control custom-checkbox mb-3">
                            <input type="checkbox" class="custom-control-input" name="invite" id="rep_invite" value="1">
                            <label class="custom-control-label pl-2" for="rep_invite">
                                <span>Send Dispatch Pro Messaging Invite</span>
                            </label>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer justify-content-between">
                <p class="mb-0">Entered By: {{ auth()->guard('company-admin')->user()->fullname }}</p>
                <div>
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button class="btn btn-blue rep-submit">Add New</button>
                </div>
            </div>
        </div>
    </div>
</div>