<div class="serchresult">
	@if(!empty($keyword) && ($getDriver->count() > 0 || $getManagerDispacher->count() > 0 || $getLoad->count() > 0 || $getTruck->count() > 0 || $getTrailer->count() > 0 || $getBroker->count() > 0 || $getCarrier->count() > 0 || $getTeam->count() > 0 ))
		<p>Show all results for <strong>{{ $keyword }}</strong></p>
		<ul>
			@if($getLoad->count() > 0)
				@foreach($getLoad as $load)
					@if ($load->is_disable == 0)
					    @if(in_array($load->load_type,['0', '6']))
					        @if($load->load_type == 0)
					        	<li>
					        		<a target="_blank" href="{{ route('company.admin.loads.show', base64Encode($load->id)) }}">
					        			<i class="fa fa-road" aria-hidden="true"></i>
					        			<strong>{{ $load->load_number }} </strong> {{ $load->actual_delivery_date }} <span>Load</span>
					        		</a>
					        	</li>
					        @else
					        	<li>
					        		<a target="_blank" href="{{ route('company.admin.loads.show', base64Encode($load->id)) }}">
					        			<i class="fa fa-road" aria-hidden="true"></i>
					        			<strong>{{ getLoadTypeList()[$load->load_type] }}</strong> {{ $load->actual_delivery_date }} <span>Load</span>
					        		</a>
					        	</li>
					        @endif
					    @else
					    	<li>
					    		<a target="_blank" href="{{ route('company.admin.loads.edit', base64Encode($load->load_id)) }}">
					    			<i class="fa fa-road" aria-hidden="true"></i>
					    			<strong>{{ getLoadTypeList()[$load->load_type] }}</strong> {{ $load->actual_delivery_date }} <span>Load</span>
					    		</a>
					    	</li>
					    @endif
					@else
					    @if($load->load_type == 0)
					    	<li>
					    		<a target="_blank" href="{{ route('company.admin.loads.show', base64Encode($load->id)) }}">
					    			<i class="fa fa-road" aria-hidden="true"></i>
					    			<strong>{{ $load->load_number }} </strong> {{ $load->actual_delivery_date }} <span>Load</span>
					    		</a>
					    	</li>
					    @else
					    	<li>
					    		<a target="_blank" href="{{ route('company.admin.loads.show', base64Encode($load->id)) }}">
					    			<i class="fa fa-road" aria-hidden="true"></i>
					    			<strong>{{ getLoadTypeList()[$load->load_type] }}</strong> {{ $load->actual_delivery_date }} <span>Load</span>
					    		</a>
					    	</li>
					    @endif
					@endif
				@endforeach
			@endif

			@if($getTruck->count() > 0)
				@foreach($getTruck as $truck)
					<li>
						<a target="_blank" href="{{ route('company.admin.trucks.show', base64Encode($truck->id)) }}">
							<i class="fa fa-bus" aria-hidden="true"></i>
							<strong>{{ $truck->unit }} </strong> {{ $truck->vin_number }} <span>Truck</span>
						</a>
					</li>
				@endforeach
			@endif

			@if($getTrailer->count() > 0)
				@foreach($getTrailer as $trailer)
					<li>
						<a target="_blank" href="{{ route('company.admin.trailers.show', base64Encode($trailer->id)) }}"><i class="fa fa-truck" aria-hidden="true"></i> <strong>{{ $trailer->vin }} </strong> {{ $trailer->tag_number }} <span>Trailer</span>
						</a>
					</li>
				@endforeach
			@endif

			@if($getDriver->count() > 0)
				@foreach($getDriver as $driver)
					<li>
						<a target="_blank" href="{{ route('company.admin.drivers.show', base64Encode($driver->id)) }}">
							<i class="fa fa-user" aria-hidden="true"></i>
							<strong>{{ $driver->first_name }} {{ $driver->last_name }}</strong> {{ $driver->email }} <span>Driver</span>
						</a>
					</li>
				@endforeach
			@endif

			@if($getManagerDispacher->count() > 0)
				@foreach($getManagerDispacher as $manager)
					@if($manager->type == 1)
						<li>
							<a target="_blank" href="{{ route('company.admin.managers.show', base64Encode($manager->id)) }}">
								<i class="fa fa-user-circle-o"></i>
								<strong>{{ $manager->first_name }} {{ $manager->last_name }}</strong> {{ $manager->email }} <span>Manager</span>
							</a>
						</li>
					@endif
					@if($manager->type == 2)
						<li>
							<a target="_blank" href="{{ route('company.admin.dispatchers.show', base64Encode($manager->id)) }}">
								<i class="fa fa-user-circle"></i>
								<strong>{{ $manager->first_name }} {{ $manager->last_name }}</strong> {{ $manager->email }} <span>dispatchers</span>
							</a>
						</li>
					@endif
				@endforeach
			@endif

			@if($getBroker->count() > 0)
				@foreach($getBroker as $broker)
					<li>
						<a target="_blank" href="{{ route('company.admin.brokers.show', base64Encode($broker->id)) }}">
							<i class="fa fa-link" aria-hidden="true"></i>
							<strong>{{ $broker->name }} </strong> {{ $broker->mc_number }} <span>Broker</span>
						</a>
					</li>
				@endforeach
			@endif

			@if($getCarrier->count() > 0)
				@foreach($getCarrier as $carrier)
					<li>
						<a target="_blank" href="{{ route('company.admin.carriers.show', base64Encode($carrier->id)) }}">
							<i class="fa fa-ship" aria-hidden="true"></i>
							<strong>{{ $carrier->name }} </strong> {{ $carrier->mc_number }} <span>Carrier</span>
						</a>
					</li>
				@endforeach
			@endif

			@if($getTeam->count() > 0)
				@foreach($getTeam as $teams)
					<li>
						<a target="_blank" href="{{ route('company.admin.teams.show', base64Encode($teams->id)) }}">
							<i class="fa fa-users" aria-hidden="true"></i>
							<strong>{{ $teams->name }} </strong> <span>Teams</span>
						</a>
					</li>
				@endforeach
			@endif

		</ul>
	@else
		<p>Show all results for <strong>?</strong></p>
		<ul>
			<li>Record not found!</li>
		</ul>
	@endif
</div>
