<div class="row pb-2">
    <div class="col-md-2 pr-1 pm-service-prev-custom-grid">
        <div class="form-group">
            @if($rowIndex == 0)
                <label for="types" class="mb-1">Type</label>
            @endif
            {!! Form::select('types[]', ['' => 'Select Type'] + getTruckPmType(), $truckAdditionalPmService->type ?? null, ['class' => 'form-control select2']) !!}
        </div>
    </div>
    <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
        <div class="form-group">
            @if($rowIndex == 0)
                <label for="service-type" class="mb-1">Service Type</label>
            @endif
            {!! Form::select('service_type[]', ['' => 'Select Service Type'] + getTruckPmServiceType(), $truckAdditionalPmService->service_type ?? null, ['class' => 'form-control select2']) !!}
        </div>
    </div>
    <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
        <div class="form-group">
            @if($rowIndex == 0)
                <label for="interval-type" class="mb-1">Interval Type</label>
            @endif
            {!! Form::select('interval_type[]', ['' => 'Select Interval Type'] + getTruckPmServiceIntervalType(), $truckAdditionalPmService->interval_type ?? null, ['class' => 'form-control intervalType select2']) !!}
        </div>
    </div>
    @if(isset($truckAdditionalPmService))
        @if($truckAdditionalPmService->interval_type == "1" || $truckAdditionalPmService->interval_type == "2")
            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                <div class="form-group">
                    @if($rowIndex == 0)
                        <label for="schedule" class="mb-1">Schedule</label>
                    @endif
                    {!! Form::text('schedule[]', $truckAdditionalPmService->schedule ?? null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                <div class="form-group">
                    @if($rowIndex == 0)
                        <label for="due" class="mb-1">Due</label>
                    @endif
                    {!! Form::text('due_date[]', $truckAdditionalPmService->due_date ?? null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                <div class="form-group">
                    @if($rowIndex == 0)
                        <label for="due" class="mb-1">Last Performed</label>
                    @endif
                    {!! Form::text('last_performed[]', $truckAdditionalPmService->last_performed ?? null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
                </div>
            </div>
        @else
            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                <div class="form-group">
                    @if($rowIndex == 0)
                        <label for="schedule" class="mb-1">Schedule</label>
                    @endif
                    {!! Form::select('schedule[]', ['' => 'Select', '1_year' => 'Annual', '30_days' => '30 Days', '60_days' => '60 Days', '90_days' => '90 Days', '120_days' => '120 Days', '180_days' => '180 Days'], $truckAdditionalPmService->schedule ?? null, ['class' => 'form-control schedule select2']) !!}
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                <div class="form-group">
                    @if($rowIndex == 0)
                        <label for="due" class="mb-1">Due</label>
                    @endif
                    <div class="input-group">
                        {!! Form::text('due_date[]', $truckAdditionalPmService->due_date ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
            <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
                <div class="form-group">
                    @if($rowIndex == 0)
                        <label for="due" class="mb-1">Last Performed</label>
                    @endif
                    <div class="input-group">
                        {!! Form::text('last_performed[]', $truckAdditionalPmService->last_performed ?? null, array('class' => 'form-control date', 'placeholder' => 'Enter')) !!}
                        <img src="{{ asset('theme/images/date-calender.svg') }}" alt="icon">
                    </div>
                </div>
            </div>
        @endif
    @else
        <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
            <div class="form-group">
                @if($rowIndex == 0)
                    <label for="schedule" class="mb-1">Schedule</label>
                @endif
                {!! Form::text('schedule[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
            <div class="form-group">
                @if($rowIndex == 0)
                    <label for="due" class="mb-1">Due</label>
                @endif
                {!! Form::text('due_date[]', null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
            </div>
        </div>
        <div class="col-md-2 pl-1 pr-1 pm-service-prev-custom-grid">
            <div class="form-group">
                @if($rowIndex == 0)
                    <label for="due" class="mb-1">Last Performed</label>
                @endif
                {!! Form::text('last_performed[]', $truckAdditionalPmService->last_performed ?? null, array('class' => 'form-control integer-input', 'placeholder' => 'Enter')) !!}
            </div>
        </div>
    @endif
    <div class="pl-1 @if($rowIndex == 0) mt-4 @endif">
        <div class="form-group d-flex">
            @if(isset($truckAdditionalPmService))
                <div>
                    <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceAdditionalRows">
                        <i class="fa fa-minus-square" aria-hidden="true"></i>
                    </a>
                </div>
                @if($isLast)
                    <div>
                        <a href="javascript:void(0);" class="addMoreBtn addAdditionalPmServiceBtn">
                            <i class="fa fa-plus-square" aria-hidden="true"></i>
                        </a>
                    </div>
                @endif
            @else
                <div>
                    <a href="javascript:void(0);" class="removeMoreBtn removeMorePmServiceAdditionalRows">
                        <i class="fa fa-minus-square" aria-hidden="true"></i>
                    </a>
                </div>
                <div>
                    <a href="javascript:void(0);" class="addMoreBtn addAdditionalPmServiceBtn">
                        <i class="fa fa-plus-square" aria-hidden="true"></i>
                    </a>
                </div>
            @endif
        </div>
    </div>
</div>
