<header class="ngd-header">
    <div class="container-fluid">
        <nav class="navbar navbar-expand-lg navbar-light">
            @if(!empty(getCompanyLogo()))
                <div class="d-flex align-items-center">
                    <div>
                        <img src="{{ getCompanyLogo() }}" alt="Logo" style="background-color: white;border-radius: 5px;">
                    </div>
                    <div>
                        <hr class="ml-3 mr-3" style="border: 1px solid #fff;height: 26px;" />
                    </div>
                    <div>
                        <h6 class="font-weight-bold text-white">{{ getCompanyNameById()[auth()->guard('company-admin')->user()->company_id] }}</h6>
                    </div>
                </div>
            @else
                <h5 style="color: #fff;">Compel Labs</h5>
            @endif
            <button class="navbar-dark navbar-toggler"
                type="button"
                data-toggle="collapse"
                data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent"
                aria-expanded="false"
                aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ml-auto">
                    {{--  <li class="nav-item">
                         <input type="text" class="header-search" placeholder="Search..." id="search-box" >
                        <img src="{{ asset('theme/images/search-icon-black.png') }}" class="search-icon" alt="Search">
                    </li>  --}}

                       <li class="nav-item">
                        <div class="row">
                            <div class="col-12 topsearchdiv">
                                <input type="text" class="header-search" placeholder="Search..." id="search-box" >
                                <img src="{{ asset('theme/img/header-search.png') }}" class="search-icon hedesearid" alt="">
                            </div>
                        </div>
                        <div id="suggesstion-box"></div>
                    </li>
                    <li class="nav-item menu-responsive pl-4 pr-4 header-fuel-surcharge-diesel">
                        <p class="mb-0 text-white">Fuel Surcharge Diesel</p>
                        @if(hasPermission(config('settings.company_admin_modules.default_fuel_surcharge'), config('settings.permissions.create')) && hasPermission(config('settings.company_admin_modules.default_fuel_surcharge'), config('settings.permissions.edit')))
                            @if(!empty(getDefaultFuelSurcharges()) && isset(getDefaultFuelSurcharges()->default_fuel_surcharge_diesel))
                                <a class="nav-link p-0" href="{{ route('company.admin.fuel-surcharges.index', ['customer' => 'fsd', 'company_id' => auth()->guard('company-admin')->user()->company_id]) }}">
                                    @if(getDefaultFuelSurcharges()->rate_type_diesel == '1')
                                        <h6 class="text-white">{{ getDefaultFuelSurcharges()->default_fuel_surcharge_diesel ?? '' }}%</h6>
                                    @else
                                        <h6 class="text-white">${{ getDefaultFuelSurcharges()->default_fuel_surcharge_diesel ?? '' }}</h6>
                                    @endif
                                    <span class="nav-text mt-0">Last Updated: {{ Carbon\Carbon::parse(getDefaultFuelSurcharges()->updated_at)->format('m/d/Y') ?? '' }}</span>
                                </a>
                            @else
                                <a class="nav-link p-0" href="{{ route('company.admin.fuel-surcharges.index') }}">
                                    <h5 class="text-white font-weight-bold">Set</h5>
                                </a>
                            @endif
                        @else
                            @if(!empty(getDefaultFuelSurcharges()) && isset(getDefaultFuelSurcharges()->default_fuel_surcharge_diesel))
                                @if(getDefaultFuelSurcharges()->rate_type_diesel == '1')
                                    <h6 class="text-white">${{ getDefaultFuelSurcharges()->default_fuel_surcharge_diesel ?? '' }}</h6>
                                @else
                                    <h6 class="text-white">${{ getDefaultFuelSurcharges()->default_fuel_surcharge_diesel ?? '' }}</h6>
                                @endif
                                <span class="nav-text mt-0">Last Updated: {{ Carbon\Carbon::parse(getDefaultFuelSurcharges()->updated_at)->format('m/d/Y') ?? '' }}</span>
                            @else
                                <h5 class="text-white font-weight-bold">Set</h5>
                            @endif
                        @endif
                    </li>
                    <li class="nav-item menu-responsive pl-4 pr-5 header-fuel-surcharge-gas">
                        <p class="mb-0 text-white">Fuel Surcharge Gas</p>
                        @if(hasPermission(config('settings.company_admin_modules.default_fuel_surcharge'), config('settings.permissions.create')) && hasPermission(config('settings.company_admin_modules.default_fuel_surcharge'), config('settings.permissions.edit')))
                            @if(!empty(getDefaultFuelSurcharges()) && isset(getDefaultFuelSurcharges()->default_fuel_surcharge_gas))
                                <a class="nav-link p-0" href="{{ route('company.admin.fuel-surcharges.index', ['customer' => 'fsg', 'company_id' => auth()->guard('company-admin')->user()->company_id]) }}">
                                    @if(getDefaultFuelSurcharges()->rate_type_gas == '1')
                                        <h6 class="text-white">{{ getDefaultFuelSurcharges()->default_fuel_surcharge_gas ?? '' }}%</h6>
                                    @else
                                        <h6 class="text-white">${{ getDefaultFuelSurcharges()->default_fuel_surcharge_gas ?? '' }}</h6>
                                    @endif
                                    <span class="nav-text mt-0">Last Updated: {{ Carbon\Carbon::parse(getDefaultFuelSurcharges()->updated_at)->format('m/d/Y') ?? '' }}</span>
                                </a>
                            @else
                                <a class="nav-link p-0" href="{{ route('company.admin.fuel-surcharges.index') }}">
                                    <h5 class="text-white font-weight-bold">Set</h5>
                                </a>
                            @endif
                        @else
                            @if(!empty(getDefaultFuelSurcharges()) && isset(getDefaultFuelSurcharges()->default_fuel_surcharge_gas))
                                @if(getDefaultFuelSurcharges()->rate_type_gas == '1')
                                    <h6 class="text-white">{{ getDefaultFuelSurcharges()->default_fuel_surcharge_gas ?? '' }}%</h6>
                                @else
                                    <h6 class="text-white">${{ getDefaultFuelSurcharges()->default_fuel_surcharge_gas ?? '' }}</h6>
                                @endif
                                <span class="nav-text mt-0">Last Updated: {{ Carbon\Carbon::parse(getDefaultFuelSurcharges()->updated_at)->format('m/d/Y') ?? '' }}</span>
                            @else
                                <h5 class="text-white font-weight-bold">Set</h5>
                            @endif
                        @endif
                    </li>
                    <li class="nav-item menu-responsive">
                        {{--
                        <a class="nav-link" href="{{ route('company.admin.loads.create') }}">
                            <img src="{{ asset('theme/images/plus-orange.svg') }}" alt="Add Load" class="addloadplus">
                            <span class="nav-text">Add Load</span>
                        </a>
                        --}}
                        <a class="nav-link addLoadPlus" href="javascript:void(0);" data-from="top_header" data-driver_id="" data-shipper_date="" data-url="{{ route('company.admin.loads.create') }}">
                            <img src="{{ asset('theme/images/plus-orange.svg') }}" alt="Add Load" class="addloadpluslogo">
                            <span class="nav-text">Add Load</span>
                        </a>
                    </li>
                    <li class="nav-item menu-responsive">
                        <a class="nav-link" href="javascript:void(0);">
                            <img src="{{ asset('theme/images/feedback-icon.png') }}" alt="Feedback">
                            <span class="nav-text">Feedback</span>
                        </a>
                    </li>
                    <li class="nav-item menu-responsive">
                        <a class="nav-link" href="javascript:void(0);">
                            <img src="{{ asset('theme/images/hepl-icon.png') }}" alt="Help">
                            <span class="nav-text">Help</span>
                        </a>
                    </li>
                    <li class="nav-item menu-responsive">
                        <a class="nav-link" href="javascript:void(0);">
                            <img src="{{ asset('theme/images/mailNew-icon.png') }}" alt="Mail">
                            <span class="nav-text">Mail</span>
                        </a>
                    </li>


                     <li class="nav-item menu-responsive">
                        <div class="dropdown ml-auto notification-dd">
                            <a class="nav-link dropdown-toggle notcliekt" href="javascript:void(0)" id="dropdownMenuButton" data-toggle="dropdown" aria-expanded="false">
                                <img src="{{ asset('theme/images/notifications-icon.png') }}" alt="Alerts">
                                @if(getNotificationCount() > 0)
                                    @if(getNotificationCount() > 99)
                                        <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill badge-danger">99+</span>
                                    @else
                                        <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill badge-danger">{{ getNotificationCount() }}</span>
                                    @endif
                                @endif
                                <span class="nav-text">Alerts</span>
                            </a>
                            <div class="dropdown-menu dropdown-menu-lg-right" aria-labelledby="dropdownMenuButton">
                                <div class="dropdown-hrader">
                                    <h5 class="text-center">Notification</h5>
                                </div>
                                @php
                                    $getNotificationList = getNotificationList();
                                @endphp
                                <div class="notification-append">
                                    @if(!empty($getNotificationList))
                                        {!! $getNotificationList !!}
                                    @else
                                    <p class="pt-4 text-center">No Records Found</p>
                                    @endif
                                </div>
                                <div class="dropdown-fotter">
                                    <h5 class="text-center">
                                        <a href="{{ route('company.admin.notifications.index') }}">See All Notification</a>
                                    </h5>
                                </div>
                            </div>
                        </div>
                    </li>
                   <!-- <li class="nav-item">
                        <a class="nav-link btn btn-orange" href="{{ route('company.admin.loads.create') }}">+ Add Load</a>
                    </li> -->
                      @php
                        $getLoginData = auth()->guard('company-admin')->user();
                      @endphp

                    <li class="nav-item menu-responsive profile-btn">
                        <div class="dropdown">
                            <button class="btn dropdown-toggle"
                                type="button"
                                id="dropdownCompanyMenuButton"
                                data-toggle="dropdown"
                                aria-haspopup="true"
                                aria-expanded="false">
                                <span class="userProfile-img">
                                 @if (!is_null($getLoginData->profile_image))
                                    <img src="{{ asset('storage/companyAdmin/profile/'.$getLoginData->profile_image) }}">
                                @else
                                    <img src="{{ asset('theme/img/avtar.png') }}" alt="User Logo">
                                    {{--  <img src="{{ asset('theme/images/user.png') }}" alt="User Logo">  --}}
                                @endif

                                </span>
                               {{ $getLoginData->full_name ?? "" }} <img src="{{ asset('theme/images/dropdown.png') }}" alt="dropdown" class="dropdown-icon">
                            </button>
                            <div class="dropdown-menu" aria-labelledby="dropdownCompanyMenuButton">
                            <div class="mt-3"></div>
                                {{--  <div class="dishline"></div>  --}}
                                <div class="dropdown-item pt-2" href="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-2 pr-0">
                                            <i class="fa fa-pencil-square-o text-dark" ></i>
                                        </div>
                                        <div class="col-10">
                                             <a  class="text-dark"  href="{{ route('company.admin.cadmin.editProfile') }}"> Edit Profile</a>
                                        </div>
                                    </div>
                                </div>
                                 <div class="dropdown-item pt-2" href="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-2 pr-0">
                                            <i class="fa fa-eye text-dark" ></i>
                                        </div>
                                        <div class="col-10">
                                            <a  class="text-dark" href="{{ route('company.admin.cadmin.viewProfile') }}">View Profile</a>
                                        </div>
                                    </div>
                                </div>

                                <div class="dropdown-item pt-2" href="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-2 pr-0">
                                        <i class="fa fa-unlock-alt text-red" ></i>
                                        </div>
                                        <div class="col-10">
                                            <a  class="text-dark" href="{{ route('company.admin.cadmin.changePassword') }}"> Change Password&nbsp;&nbsp;&nbsp;&nbsp;</a>
                                        </div>
                                    </div>
                                </div>

                                 <div class="dropdown-item pt-2" href="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-2 pr-0">
                                              <i class="fa fa-cogs text-dark" ></i>
                                        </div>
                                        <div class="col-10">
                                            <a  class="text-dark" href="{{ route('company.admin.account.index') }}">Account Setting</a>
                                        </div>
                                    </div>
                                </div>
                                 <div class="dropdown-item pt-2" href="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-2 pr-0">
                                             <i class="fa fa-bell text-dark" ></i>
                                        </div>
                                        <div class="col-10">
                                           @if(hasPermission(config('settings.company_admin_modules.notifications_status'),config('settings.permissions.view')))
                                <a  class="text-dark" href="{{ route('company.admin.notifications-status.index') }}">Notifications</a>
                                @endif
                                        </div>
                                    </div>
                                </div>

                                 <div class="dropdown-item pt-2" href="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-2 pr-0">
                                          <i class="fa fa-user-secret text-dark"></i>
                                        </div>
                                        <div class="col-10">
                                           <a  class="text-dark" href="{{ route('company.admin.two-factor.index') }}"> 2 factor settings</a>
                                        </div>
                                    </div>
                                </div>

                                  <div class="dropdown-item pt-2" href="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-2 pr-0">
                                             <i class="fa fa-sign-out text-dark"></i>
                                        </div>
                                        <div class="col-10">
                                           <a  class="text-dark" href="{{ route('company.admin.logout') }}"
                                    onclick="event.preventDefault();
                                    document.getElementById('logout-form').submit();">Logout</a>

                                <form id="logout-form" action="{{ route('company.admin.logout') }}" method="POST" class="d-none">
                                    @csrf
                                </form>
                                        </div>
                                    </div>
                                </div>









                            <div class="mt-3"></div>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </nav>
    </div>
</header>
