<div class="left-menu-open ngd-menu">
    <div class="container-fluid">
        <div class="left-responsive-open">
            <ul class="left-menus">
                <li>
                    <a href="{{ route('company.admin.home') }}" class="{{ Request::is('company-admin/home*') ? 'active' : '' }}">
                        {{--<span style="background-image: url('images/menu-1.png');"></span>--}} Home
                    </a>
                </li>
                <li>
                    <div class="dropdown">
                        <button type="button" class="btn btn-secondary dropdown-toggle {{
                                Request::is('company-admin/loads*')
                                || Request::is('company-admin/dispatch-hub*')
                                || Request::is('company-admin/detention-request*')
                                || Request::is('company-admin/load-by-week*')
                                || Request::is('company-admin/occupancy-calendar*')
                                || Request::is('company-admin/liner-fleet-calendar*')
                                || Request::is('company-admin/revenue-tracker*')
                                || Request::is('company-admin/fuel-surcharges*')
                            ? 'active' : '' }}" id="dropdownDispatch" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Dispatch
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownDispatch">
                            <h6>Dispatch</h6>
                            <ul>
                                @if(hasPermission(config('settings.company_admin_modules.loads'),config('settings.permissions.view')))
                                <li>
                                    <a class="dropdown-item {{ Request::is('company-admin/loads*') ? 'active' : '' }}" href="{{ route('company.admin.loads.index') }}"> Loads</a>
                                </li>
                                @endif

                                @if(hasPermission(config('settings.company_admin_modules.dispatch_hub'),config('settings.permissions.view')))
                                <li>
                                    <a class="dropdown-item {{ (Request::is('company-admin/dispatch-hub*') && !Request::is('company-admin/dispatch-hub/book-offer*')) ? 'active' : '' }}" href="{{ route('company.admin.dispatch.hub.index') }}"> Dispatch Hub</a>
                                </li>
                                @endif

                                @if(hasPermission(config('settings.company_admin_modules.pro_routes'),config('settings.permissions.view')))
                                <li>
                                    <a class="dropdown-item {{ Request::is('company-admin/pro-routes*') ? 'active' : '' }}" href="{{ route('company.admin.book.offer') }}"> ProRouter</a>
                                </li>
                                @endif

                                @if(hasPermission(config('settings.company_admin_modules.pro_routes'),config('settings.permissions.view')))
                                <li>
                                    <a class="dropdown-item {{ Request::is('company-admin/pro-routes*') ? 'active' : '' }}" href="{{ route('company.admin.pro-routes.index') }}"> Saved ProRoutes</a>
                                </li>
                                @endif

                                @if(hasPermission(config('settings.company_admin_modules.detention_request'),config('settings.permissions.view')))
                                <li>
                                    <a class="dropdown-item {{ Request::is('company-admin/detention-request*') ? 'active' : '' }}" href="{{ route('company.admin.detention.request.index') }}"> Detention Requests</a>
                                </li>
                                @endif

                                @if(hasPermission(config('settings.company_admin_modules.reports'),config('settings.permissions.view')))
                                <li>
                                    <a class="dropdown-item {{ Request::is('company-admin/load-by-week*') ? 'active' : '' }}" href="{{ route('company.admin.loads.by.week.index') }}"> Weekly View</a>
                                </li>
                                <li>
                                    <a class="dropdown-item {{ Request::is('company-admin/occupancy-calendar*') ? 'active' : '' }}" href="{{ route('company.admin.occupancy-calendar.index') }}"> Occupancy Calendar</a>
                                </li>
                                <li>
                                    <a class="dropdown-item {{ Request::is('company-admin/liner-fleet-calendar*') ? 'active' : '' }}" href="{{ route('company.admin.liner-fleet-calendar.index') }}"> Liner Fleet Calendar</a>
                                </li>
                                @php
                                $hdrt = hasDispatcherRevenueTracker();
                                @endphp
                                @if($hdrt['success'])
                                @if($hdrt['type']==2)
                                @php
                                $permissions = $hdrt['permissions'];
                                $view_own_team = $permissions[0];
                                $view_all_teams = $permissions[1];
                                @endphp
                                @if($view_own_team['success'])
                                <li>
                                    <a class="dropdown-item {{ Request::is('company-admin/revenue-tracker*') ? 'active' : '' }}" href="{{ $view_own_team['href'] }}"> Revenue Tracker</a>
                                </li>
                                @else
                                <li>
                                    <a class="dropdown-item {{ Request::is('company-admin/revenue-tracker*') ? 'active' : '' }}" href="{{ route('company.admin.revenue.trackers.index') }}"> Revenue Tracker</a>
                                </li>
                                @endif
                                @else
                                <li>
                                    <a class="dropdown-item {{ Request::is('company-admin/revenue-tracker*') ? 'active' : '' }}" href="{{ route('company.admin.revenue.trackers.index') }}"> Revenue Tracker</a>
                                </li>
                                @endif
                                @endif
                                @endif
                                <li>
                                    <a class="dropdown-item" href="javascript:void(0);"> Map <div class="badge badge-info ml-1">Coming Soon</div></a>
                                </li>
                                @if(hasPermission(config('settings.company_admin_modules.fuel_surcharges'),config('settings.permissions.view')))
                                <li>
                                    <a class="dropdown-item {{ Request::is('company-admin/fuel-surcharges*') ? 'active' : '' }}" href="{{ route('company.admin.fuel-surcharges.index') }}"> Fuel Surcharge</a>
                                </li>
                                @endif
                            </ul>
                        </div>
                    </div>
                </li>
                <li>
                    <div class="dropdown">
                        <button type="button" class="btn btn-secondary dropdown-toggle
                            {{
                                Request::is('company-admin/trucks*')
                                || Request::is('company-admin/trailers*')
                                || Request::is('company-admin/maintenances*')
                            ? 'active' : '' }}" id="dropdownEquipment" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Equipment
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownEquipment">
                            <h6>Equipment</h6>
                            <ul>
                                <li>
                                    <a class="dropdown-item" href="javascript:void(0);"> Dashboard <div class="badge badge-info ml-1">Coming</div></a>
                                </li>

                                @if(hasPermission(config('settings.company_admin_modules.trucks'),config('settings.permissions.view')))
                                <li>
                                    <a class="dropdown-item {{ Request::is('company-admin/trucks*') ? 'active' : '' }}" href="{{ route('company.admin.trucks.index') }}"> Trucks</a>
                                </li>
                                @endif

                                @if(hasPermission(config('settings.company_admin_modules.trailers'),config('settings.permissions.view')))
                                <li>
                                    <a class="dropdown-item {{ Request::is('company-admin/trailers*') ? 'active' : '' }}" href="{{ route('company.admin.trailers.index') }}"> Trailers</a>
                                </li>
                                @endif

                                @if(hasPermission(config('settings.company_admin_modules.maintenances'),config('settings.permissions.view')))
                                <li>
                                    <a class="dropdown-item {{ Request::is('company-admin/maintenances*') ? 'active' : '' }}" href="{{ route('company.admin.maintenances.index') }}"> Maintenance</a>
                                </li>
                                @endif

                                <li>
                                    <a class="dropdown-item" href="javascript:void(0);"> Equipment Locator <div class="badge badge-info ml-1">Coming Soon</div></a>
                                </li>
                                <li>
                                    <a class="dropdown-item" href="javascript:void(0);"> Yards <div class="badge badge-info ml-1">Coming</div></a>
                                </li>
                                <li>
                                    <a class="dropdown-item" href="javascript:void(0);"> Reports <div class="badge badge-info ml-1">Coming</div></a>
                                </li>

                                {{--
                                    @if(hasPermission(config('settings.company_admin_modules.trailer_types'),config('settings.permissions.view')))
                                        <li>
                                            <a class="dropdown-item {{ Request::is('company-admin/trailer-types*') ? 'active' : '' }}" href="{{ route('company.admin.trailer-types.index') }}">Trailers Types</a>
                </li>
                @endif

                <li>
                    <a class="dropdown-item {{ Request::is('company-admin/load-requirement*') ? 'active' : '' }}" href="{{ route('company.admin.load-requirement.index') }}">Load Requirements</a>
                </li>

                @if(hasPermission(config('settings.company_admin_modules.maintenance_ticket_types'),config('settings.permissions.view')))
                <li>
                    <a class="dropdown-item {{ Request::is('company-admin/maintenance-ticket-types*') ? 'active' : '' }}" href="{{ route('company.admin.maintenance-ticket-types.index') }}"> Maintenance Ticket Types</a>
                </li>
                @endif

                @if(hasPermission(config('settings.company_admin_modules.accessorial'),config('settings.permissions.view')))
                <li>
                    <a class="dropdown-item {{ Request::is('company-admin/accessorial*') ? 'active' : '' }}" href="{{ route('company.admin.accessorial.index') }}">Accessorial</a>
                </li>
                @endif

                @if(hasPermission(config('settings.company_admin_modules.commodity'),config('settings.permissions.view')))
                <li>
                    <a class="dropdown-item {{ Request::is('company-admin/commodity*') ? 'active' : '' }}" href="{{ route('company.admin.commodity.index') }}">Commodity</a>
                </li>
                @endif
                --}}
            </ul>
        </div>
    </div>
    </li>
    <li>
        <div class="dropdown">
            <button type="button" class="btn btn-secondary dropdown-toggle
                              {{ Request::is('company-admin/shippers-and-consignees*')
                            || Request::is('company-admin/brokers*')
                            || Request::is('company-admin/vendors*')
                            ? 'active' : '' }}
                            " id="dropdownCustomer" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Customer
            </button>
            <div class="dropdown-menu" aria-labelledby="dropdownCustomer">
                <h6>Customer</h6>
                <ul>
                    <li>
                        <a class="dropdown-item" href="javascript:void(0);"> Dashboard <div class="badge badge-info ml-1">Coming</div></a>
                    </li>
                    @if(hasPermission(config('settings.company_admin_modules.customer'),config('settings.permissions.view')))
                    <li>
                        <a class="dropdown-item {{ Request::is('company-admin/shippers-and-consignees*') ? 'active' : '' }}" href="{{ route('company.admin.customer.index') }}"> Shippers/Consignees</a>
                    </li>
                    @endif

                    @if(hasPermission(config('settings.company_admin_modules.brokers'),config('settings.permissions.view')))
                    <li>
                        <a class="dropdown-item {{ Request::is('company-admin/brokers*') ? 'active' : '' }}" href="{{ route('company.admin.brokers.index') }}"> Brokers</a>
                    </li>
                    @endif

                    @if(hasPermission(config('settings.company_admin_modules.vendors'),config('settings.permissions.view')))
                    <li>
                        <a class="dropdown-item {{ Request::is('company-admin/vendors*') ? 'active' : '' }}" href="{{ route('company.admin.vendors.index') }}"> Vendors</a>
                    </li>
                    @endif

                    <li>
                        <a class="dropdown-item" href="javascript:void(0);"> Suppliers <div class="badge badge-info ml-1">Coming Soon</div></a>
                    </li>
                    <li>
                        <a class="dropdown-item" href="javascript:void(0);"> Reviews <div class="badge badge-info ml-1">Coming Soon</div></a>
                    </li>
                    <li>
                        <a class="dropdown-item" href="javascript:void(0);"> Reports <div class="badge badge-info ml-1">Coming Soon</div></a>
                    </li>
                </ul>
            </div>
        </div>
    </li>
    <li>
        <div class="dropdown">
            <button type="button" class="btn btn-secondary dropdown-toggle
                            {{
                                Request::is('company-admin/driver-onboarding*')
                                || Request::is('company-admin/driver-quaterly-goal*')
                                || Request::is('company-admin/truck-owners*')
                                || Request::is('company-admin/leave-type*')
                                || Request::is('company-admin/leave-type*')
                                || Request::is('company-admin/leaves/approve*')
                                || Request::is('company-admin/drivers*')
                                || Request::is('company-admin/dispatchers*')
                                || Request::is('company-admin/teams*')
                                || Request::is('company-admin/managers*')
                                || Request::is('company-admin/carriers*')
                                || Request::is('company-admin/terminals*')
                            ? 'active' : '' }}" id="dropdownPersonnel" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Personnel
            </button>
            <div class="dropdown-menu" aria-labelledby="dropdownPersonnel">
                <h6>Personnel</h6>
                <ul>
                    <li>
                        <a class="dropdown-item" href="javascript:void(0);"> Dashboard <div class="badge badge-info ml-1">Coming</div></a>
                    </li>

                    @if(hasPermission(config('settings.company_admin_modules.currently_onboarding'),config('settings.permissions.view')))
                    <li>
                        <a class="dropdown-item {{ Request::is('company-admin/driver-onboarding*') ? 'active' : '' }}" href="{{ route('company.admin.driver.onboarding.on-boarding') }}"> Onboarding</a>
                    </li>
                    @endif

                    @if(hasPermission(config('settings.company_admin_modules.driver_quarterly_goals'),config('settings.permissions.view')))
                    <li>
                        <a class="dropdown-item {{ Request::is('company-admin/driver-quaterly-goal*') ? 'active' : '' }}" href="{{ route('company.admin.driver.quarterly.loads') }}"> Quarterly Goals</a>
                    </li>
                    @endif

                    @if(hasPermission(config('settings.company_admin_modules.truck_owners'),config('settings.permissions.view')))
                    <li>
                        <a class="dropdown-item {{ Request::is('company-admin/truck-owners*') ? 'active' : '' }}" href="{{ route('company.admin.truck-owners.index') }}"> Truck Owner</a>
                    </li>
                    @endif

                    {{--
                                    @if(hasPermission(config('settings.company_admin_modules.leave_type'),config('settings.permissions.edit')))
                                        <li>
                                            <a class="dropdown-item {{ Request::is('company-admin/leave-type*') ? 'active' : '' }}" href="{{ route('company.admin.leave-type.index') }}">Leave Type</a>
    </li>
    @endif
    --}}

    @if(hasPermission(config('settings.company_admin_modules.leaves'),config('settings.permissions.approve')))
    <li>
        <a class="dropdown-item {{ Request::is('company-admin/leaves/approve*') ? 'active' : '' }}" href="{{ route('company.admin.leave.take.approve') }}">Leave Pending Approval</a>
    </li>
    @endif

    @if(hasPermission(config('settings.company_admin_modules.drivers'),config('settings.permissions.view')))
    <li>
        <a class="dropdown-item {{ Request::is('company-admin/drivers*') ? 'active' : '' }}" href="{{ route('company.admin.drivers.index') }}"> Drivers</a>
    </li>
    @endif

    <!--li>
                                    <a class="dropdown-item" href="javascript:void(0);"> Owner Operators (1099)</a>
                                </li-->

    @if(hasPermission(config('settings.company_admin_modules.dispatchers'),config('settings.permissions.view')))
    <li>
        <a class="dropdown-item {{ Request::is('company-admin/dispatchers*') ? 'active' : '' }}" href="{{ route('company.admin.dispatchers.index') }}"> Dispatchers</a>
    </li>
    @endif

    @if(hasPermission(config('settings.company_admin_modules.teams'),config('settings.permissions.view')))
    <li>
        <a class="dropdown-item {{ Request::is('company-admin/teams*') ? 'active' : '' }}" href="{{ route('company.admin.teams.index') }}"> Teams</a>
    </li>
    @endif


    @if(hasPermission(config('settings.company_admin_modules.managers'),config('settings.permissions.view')))
    <li>
        <a class="dropdown-item {{ Request::is('company-admin/managers*') ? 'active' : '' }}" href="{{ route('company.admin.managers.index') }}"> Managers</a>
    </li>
    @endif

    @if(hasPermission(config('settings.company_admin_modules.carriers'),config('settings.permissions.view')))
    <li>
        <a class="dropdown-item {{ Request::is('company-admin/carriers*') ? 'active' : '' }}" href="{{ route('company.admin.carriers.index') }}"> Carriers</a>
    </li>
    @endif

    @if(hasPermission(config('settings.company_admin_modules.terminals'),config('settings.permissions.view')))
    <li>
        <a class="dropdown-item {{ Request::is('company-admin/terminals*') ? 'active' : '' }}" href="{{ route('company.admin.terminals.index') }}"> Terminals</a>
    </li>
    @endif

    <li>
        <a class="dropdown-item" href="javascript:void(0);"> Office Contact List <div class="badge badge-info ml-1">Coming Soon</div></a>
    </li>
    </ul>
</div>
</div>
</li>
<li>
    <div class="dropdown">
        <button type="button" class="btn btn-secondary dropdown-toggle {{
                                Request::is('company-admin/compliance*')
                            ? 'active' : '' }}" id="dropdownSafety" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Safety
        </button>
        <div class="dropdown-menu" aria-labelledby="dropdownSafety">
            <h6>Safety</h6>
            <ul>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Dashboard <div class="badge badge-info ml-1">Coming</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Claims <div class="badge badge-info ml-1">Coming</div></a>
                </li>
                @if(hasPermission(config('settings.company_admin_modules.compliance'), config('settings.permissions.view')))
                <li>
                    <a class="dropdown-item {{ Request::is('company-admin/compliance*') ? 'active' : '' }}" href="{{ route('company.admin.compliance.index') }}"> Compliance</a>
                </li>
                @endif
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> FMCSA Portal <div class="badge badge-info ml-1">Coming</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Log Violations <div class="badge badge-info ml-1">Coming Soon</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Image Center <div class="badge badge-info ml-1">Coming Soon</div></a>
                </li>
            </ul>
        </div>
    </div>
</li>
<li>
    <div class="dropdown">
        <button type="button" class="btn btn-secondary dropdown-toggle
                             {{ Request::is('company-admin/weekly-fuel-surcharges*')

                            ? 'active' : '' }}" id="dropdownBilling" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Billing
        </button>
        <div class="dropdown-menu" aria-labelledby="dropdownBilling">
            <h6>Billing</h6>
            <ul>
                <li>
                    <a class="dropdown-item {{ Request::is('company-admin/billing-dashboard*') ? 'active' : '' }}" href="{{ route('company.admin.billing.dashboard') }}"> Dashboard</a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Invoicing <div class="badge badge-info ml-1">Coming</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Queue <div class="badge badge-info ml-1">Coming</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Documents <div class="badge badge-info ml-1">Coming</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Receipts <div class="badge badge-info ml-1">Coming</div></a>
                </li>
                @if(hasPermission(config('settings.company_admin_modules.weekly_fuel_surcharges'),config('settings.permissions.view')))
                <li>
                    <a class="dropdown-item {{ Request::is('company-admin/weekly-fuel-surcharges*') ? 'active' : '' }}" href="{{ route('company.admin.weekly-fuel-surcharges.index') }}"> Fuel Surcharge</a>
                </li>
                @endif
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Reports <div class="badge badge-info ml-1">Coming</div></a>
                </li>
            </ul>
        </div>
    </div>
</li>
<li>
    <div class="dropdown">
        <button type="button" class="btn btn-secondary dropdown-toggle" id="dropdownSales" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Sales
        </button>
        <div class="dropdown-menu" aria-labelledby="dropdownSales">
            <h6>Sales</h6>
            <ul>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Dashboard <div class="badge badge-info ml-1">Coming</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Pipeline <div class="badge badge-info ml-1">Coming 2029</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> CRM <div class="badge badge-info ml-1">Coming 2029</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Leads <div class="badge badge-info ml-1">Coming</div></a>
                </li>
            </ul>
        </div>
    </div>
</li>
<li>
    <div class="dropdown">
        <button type="button" class="btn btn-secondary dropdown-toggle" id="dropdownReporting" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Reporting
        </button>
        <div class="dropdown-menu" aria-labelledby="dropdownReporting">
            <h6>Reporting</h6>
            <ul>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Dashboard <div class="badge badge-info ml-1">Coming</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Fuel Import <div class="badge badge-info ml-1">Coming</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> IFTA <div class="badge badge-info ml-1">Coming</div></a>
                </li>
                @if(hasPermission(config('settings.company_admin_modules.reports'),config('settings.permissions.view')))
                <li>
                    <a class="dropdown-item {{ Request::is('company-admin/dispatcher-report*') ? 'active' : '' }}" href="{{ route('company.admin.dispatcher.report.index') }}"> Dispatcher Report</a>
                </li>
                @endif
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Compliance Report <div class="badge badge-info ml-1">Coming Soon</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Operations Report <div class="badge badge-info ml-1">Coming</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Service Failure Report <div class="badge badge-info ml-1">Coming</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Manager Report <div class="badge badge-info ml-1">Coming</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Fuel Surcharge <div class="badge badge-info ml-1">Coming</div></a>
                </li>
            </ul>
        </div>
    </div>
</li>
<li>
    <div class="dropdown">
        <button type="button" class="btn btn-secondary dropdown-toggle" id="dropdownAccounting" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Accounting
        </button>
        <div class="dropdown-menu" aria-labelledby="dropdownAccounting">
            <h6>Accounting</h6>
            <ul>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Chart of account <div class="badge badge-info ml-1">Coming Soon</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Payroll <div class="badge badge-info ml-1">Coming 2025</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Settlements <div class="badge badge-info ml-1">Coming</div></a>
                </li>
                <li>
                    <a class="dropdown-item" href="javascript:void(0);"> Reports <div class="badge badge-info ml-1">Coming</div></a>
                </li>
            </ul>
        </div>
    </div>
</li>

<li>
    <a href="javascript:void(0);" class="menuToggleAdmin "> Admin</a>
</li>
{{--
                    <li>
                        <div class="dropdown">
                            <button
                                type="button"
                                class="btn btn-secondary dropdown-toggle
                                {{ Request::is('company-admin/company-settings*') ||
                                Request::is('company-admin/integration-settings*')
                                ? 'active' : '' }}"
id="dropdownAdmin"
data-toggle="dropdown"
aria-haspopup="true"
aria-expanded="false">
Admin
</button>
<div class="dropdown-menu" aria-labelledby="dropdownAdmin">
    <h6>Company Settings</h6>
    <ul>
        @if(auth()->guard('company-admin')->user()->type=='0' || auth()->guard('company-admin')->user()->type=='1')
        <li>
            <a class="dropdown-item {{ Request::is('company-admin/company-settings*') ? 'active' : '' }}" href="{{ route('company.admin.setting.index') }}"> Company</a>
        </li>
        @endif

        <li>
            <a class="dropdown-item" href="javascript:void(0);"> Billing and Subscription</a>
        </li>
        <li>
            <a class="dropdown-item" href="javascript:void(0);"> Usage</a>
        </li>
        <li>
            <a class="dropdown-item" href="javascript:void(0);"> Accounting</a>
        </li>
        <li>
            <a class="dropdown-item" href="javascript:void(0);"> Operations</a>
        </li>
        <li>
            <a class="dropdown-item" href="javascript:void(0);"> System Lists</a>
        </li>
        <li>
            <a class="dropdown-item" href="javascript:void(0);"> Payroll</a>
        </li>
        <li>
            <a class="dropdown-item {{ Request::is('company-admin/integration-settings*') ? 'active' : '' }}" href="{{ route('company.admin.integration.index') }}"> App Center</a>
        </li>
    </ul>
</div>
</div>
</li>
<li>
    <div class="dropdown">
        <button type="button" class="btn btn-secondary dropdown-toggle" id="dropdownAdmin" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Other
        </button>
        <div class="dropdown-menu" aria-labelledby="dropdownAdmin">
            <h6>Other</h6>
            <ul>
                @if(hasPermission(config('settings.company_admin_modules.roles'),config('settings.permissions.view')))
                <li>
                    <a href="{{ route('company.admin.role.index') }}" class="dropdown-item {{ Request::is('company-admin/roles*') ? 'active' : '' }}"> Roles And Permissions</a>
                </li>
                @endif

                @if(hasPermission(config('settings.company_admin_modules.company_holiday'),config('settings.permissions.view')))
                <li>
                    <a href="{{ route('company.admin.company-holiday.index') }}" class="{{ Request::is('company-admin/company-holiday*') ? 'active' : '' }}">Holidays</a>
                </li>
                @endif

                @if(hasPermission(config('settings.violation_codes.vendors'),config('settings.permissions.view')))
                <li>
                    <a class="dropdown-item {{ Request::is('company-admin/driver-citations-violation-code*') ? 'active' : '' }}" href="{{ route('company.admin.driver-citations-violation-code.index') }}">Citations</a>
                </li>
                @endif

                @if(hasPermission(config('settings.violation_codes.vendors'),config('settings.permissions.view')))
                <li>
                    <a class="dropdown-item {{ Request::is('company-admin/driver-accident-violation-code*') ? 'active' : '' }}" href="{{ route('company.admin.driver-accident-violation-code.index') }}">Accident</a>
                </li>
                @endif

                @if(hasPermission(config('settings.violation_codes.vendors'),config('settings.permissions.view')))
                <li>
                    <a class="dropdown-item {{ Request::is('company-admin/driver-inspection-level*') ? 'active' : '' }}" href="{{ route('company.admin.driver-inspection-level.index') }}">Inspection Level</a>
                </li>
                @endif

                @if(hasPermission(config('settings.violation_codes.vendors'),config('settings.permissions.view')))
                <li>
                    <a class="dropdown-item {{ Request::is('company-admin/driver-disciplinary-action*') ? 'active' : '' }}" href="{{ route('company.admin.driver-disciplinary-action.index') }}">Disciplinary Action</a>
                </li>
                @endif

                @if(hasPermission(config('settings.company_admin_modules.request_documents'),config('settings.permissions.view')))
                <li>
                    <a href="{{ route('company.admin.request-documents.index') }}" class="{{ Request::is('company-admin/galleries*') ? 'active' : '' }} {{ Request::is('company-admin/request-documents*') ? 'active' : '' }}">Request Document</a>
                </li>
                @endif

                @if(hasPermission(config('settings.company_admin_modules.compel_announcement'),config('settings.permissions.view')))
                <li>
                    <a href="{{ route('company.admin.compel.announcement.index') }}" class="{{ Request::is('company-admin/dispatch-pro-announcement*') ? 'active' : '' }}">Compel Announcement</a>
                </li>
                @endif

                @if(hasPermission(config('settings.company_admin_modules.announcement'),config('settings.permissions.view')))
                <li>
                    <a href="{{ route('company.admin.announcement.index') }}" class="{{ Request::is('company-admin/announcement*') ? 'active' : '' }}">
                        @if(auth()->guard('company-admin')->user()->type=='0' || auth()->guard('company-admin')->user()->type=='1')
                        Company Announcement
                        @else
                        Company Announcement
                        @endif
                    </a>
                </li>
                @endif

                @if(hasPermission(config('settings.company_admin_modules.manage_type'),config('settings.permissions.view')))
                <li>
                    <a href="{{ route('company.admin.manage-type.index') }}" class="{{ Request::is('company-admin/manage-type*') ? 'active' : '' }}"><span style="background-image: url('{{ asset('theme/img/menu-8.png') }}');"></span> Manage Type</a>
                </li>
                @endif
            </ul>
        </div>
    </div>
</li>
--}}
</ul>
<!-- <span class="copyright">Copyright 2021 CompelLabs</span> -->
</div>
</div>
</div>