@php
    $unique_id  = $formData['unique_id'];
@endphp
<div class="d-block p-2" data-unique_id="{{ $unique_id }}" data-status="{{ $additional_document['status'] }}" data-jsonString="{{ json_encode($additional_document) }}">
    <p class="fw-500">
        @if(isset($additional_document['filename_id']) && $additional_document['filename_id']=='0')
            Other - {{ $additional_document['filename'] }}
        @else
            {{ $additional_document['filename'] }}
        @endif
    </p>
    <ul class="nav required-documents-check">
        <li>
            <button class="btn btn-blue font-weight-bold custom-file file-upload">
                <span class="font-weight-bold fs-14 text-center pt-0 ml-0">Upload</span>
                <input type="file" class="custom-file-input" accept=".jpg, .jpeg, .png, .gif, .pdf" multiple>
            </button>
        </li>
        <li>
            <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                <input type="checkbox" class="custom-control-input file_not_provided-input" id="file_not_provided_{{ $unique_id }}" {{ isset($additional_document['file_not_provided']) && $additional_document['file_not_provided'] == 'on' ? 'checked' : '' }}>
                <label class="custom-control-label" for="file_not_provided_{{ $unique_id }}">Not Provided</label>
            </div>
        </li>
    </ul>
</div>