@if(!isset($formdata['status']))
    <div class="dishpatchPlan-main" style="padding: 0 !important;">
        <table class="table m-0">
            <tbody>
                <tr>
                    <td style="min-width: 18px;">
                    </td>
                    <td class="td-select">
                        <select class="form-control paperwork-options" data-id="{{ $load_detail->id }}">
                            <!-- <option value="">Select</option> -->
                            <option value="0">Missing Paperwork</option>
                            <option value="1" selected>All Paperwork</option>
                        </select>
                    </td>
                    <td class="p-0">
                        <div class="historic-dispatch-inner-heding p-0">
                            <ul class="heding nav w-100">
                                <li>Status</li>
                                <li>Stop</li>
                                <li>Stop Details</li>
                                <li>Location</li>
                                <li>Document Name</li>
                                <li>Type</li>
                                <li>&nbsp;</li>
                            </ul>
                            @if(
                                !empty($static_documents) ||
                                !empty($required_documents) ||
                                !empty($requested_documents) ||
                                !empty($accessorial_documents) ||
                                !empty($other_documents) ||
                                !empty($cod_documents)
                            )
                                <!-- Static Documents -->
                                @php
                                    $i                  = 1;
                                @endphp
                                @foreach ($static_documents as $key => $node)
                                    @php
                                        $random_id      = 'static_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                        $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);
                                    @endphp
                                    <ul class="historic-dispatch-inner-body nav w-100 {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                                        <li class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</li>
                                        <li>{{ $node['stop']['name'] ?? '' }}</li>
                                        <li></li>
                                        <li></li>
                                        <li>
                                            {{ $node['filename'] }}
                                        </li>
                                        <li>Copy</li>
                                        <li></li>
                                    </ul>
                                    @php
                                        $i++;
                                    @endphp
                                @endforeach
                                <!-- Required Documents -->
                                @php
                                    $i                  = 1;
                                @endphp
                                @foreach ($required_documents as $key => $node)
                                    @php
                                        $random_id      = 'required_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                        $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                                        $action         = 1;
                                        if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                                            if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                                                $action = 0;
                                            }
                                        }
                                    @endphp
                                    <ul class="historic-dispatch-inner-body nav w-100 {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                                        <li class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</li>
                                        <li>{{ $node['stop']['name'] ?? '' }}</li>
                                        <li>{{ $node['stop']['customer_name'] ?? '' }}</li>
                                        <li>{{ $node['stop']['addresses'] ?? '' }}</li>
                                        <li>
                                            @if(isset($node['filename_id']) && $node['filename_id']=='0')
                                                Other - {{ $node['filename'] }}
                                            @else
                                                {{ $node['filename'] }}
                                            @endif
                                        </li>
                                        <li>{{ $node['type'] == '1' ? 'Copy' : 'Original' }}</li>
                                        <li>
                                            @if($action == 1)
                                                @if($node['status'] == 'Complete')
                                                    <a href="javascript:void(0);" class="remove-document">
                                                        <i class="fa fa-times text-muted" aria-hidden="true"></i>
                                                    </a>
                                                @else
                                                    @if($node['type'] == '1')
                                                        <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                                            <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                                            <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                                        </a>
                                                    @else
                                                        <div class="custom-control custom-checkbox-blue pl-0 my-0 d-flex align-items-center">
                                                            <input type="checkbox" class="custom-control-input" id="is_received_{{ $random_id }}">
                                                            <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_{{ $random_id }}">Received</label>
                                                        </div>
                                                    @endif
                                                @endif
                                            @endif
                                        </li>
                                    </ul>
                                    @php
                                        $i++;
                                    @endphp
                                @endforeach
                                <!-- Requested Documents -->
                                @php
                                    $i                  = 1;
                                @endphp
                                @foreach ($requested_documents as $key => $node)
                                    @php
                                        $random_id      = 'requested_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                        $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                                        $action         = 1;
                                        if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                                            if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                                                $action = 0;
                                            }
                                        }
                                    @endphp
                                    <ul class="historic-dispatch-inner-body nav w-100 {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                                        <li class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</li>
                                        <li>{{ $node['stop']['name'] ?? '' }}</li>
                                        <li>{{ $node['stop']['customer_name'] ?? '' }}</li>
                                        <li>{{ $node['stop']['addresses'] ?? '' }}</li>
                                        <li>
                                            @if(isset($node['filename_id']) && $node['filename_id']=='0')
                                                Other - {{ $node['filename'] }}
                                            @else
                                                {{ $node['filename'] }}
                                            @endif
                                        </li>
                                        <li>{{ $node['type'] == '1' ? 'Copy' : 'Original' }}</li>
                                        <li>
                                            @if($action == 1)
                                                @if($node['status'] == 'Complete')
                                                    <a href="javascript:void(0);" class="remove-document">
                                                        <i class="fa fa-times text-muted" aria-hidden="true"></i>
                                                    </a>
                                                @else
                                                    @if($node['type'] == '1')
                                                        <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                                            <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                                            <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                                        </a>
                                                    @else
                                                        <div class="custom-control custom-checkbox-blue pl-0 my-0 d-flex align-items-center">
                                                            <input type="checkbox" class="custom-control-input" id="is_received_{{ $random_id }}">
                                                            <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_{{ $random_id }}">Received</label>
                                                        </div>
                                                    @endif
                                                @endif
                                            @endif
                                        </li>
                                    </ul>
                                    @php
                                        $i++;
                                    @endphp
                                @endforeach
                                <!-- Accessorial Documents -->
                                @php
                                    $i                  = 1;
                                @endphp
                                @foreach ($accessorial_documents as $key => $node)
                                    @php
                                        $random_id      = 'accessorial_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                        $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                                        $action         = 1;
                                        if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                                            if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                                                $action = 0;
                                            }
                                        }
                                    @endphp
                                    <ul class="historic-dispatch-inner-body nav w-100 {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                                        <li class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</li>
                                        <li>{{ $node['stop']['name'] ?? '' }}</li>
                                        <li>{{ $node['stop']['customer_name'] ?? '' }}</li>
                                        <li>{{ $node['stop']['addresses'] ?? '' }}</li>
                                        <li>
                                            {{ $node['filename'] }}
                                        </li>
                                        <li>Copy</li>
                                        <li>
                                            @if($action == 1)
                                                @if($node['status'] == 'Complete')
                                                    <a href="javascript:void(0);" class="remove-document">
                                                        <i class="fa fa-times text-muted" aria-hidden="true"></i>
                                                    </a>
                                                @else
                                                    <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                                        <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                                        <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                                    </a>
                                                @endif
                                            @endif
                                        </li>
                                    </ul>
                                    @php
                                        $i++;
                                    @endphp
                                @endforeach
                                <!-- Other Documents -->
                                @php
                                    $i                  = 1;
                                @endphp
                                @foreach ($other_documents as $key => $node)
                                    @php
                                        $random_id      = 'other_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                        $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                                        $action         = 1;
                                        if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                                            if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                                                $action = 0;
                                            }
                                        }
                                    @endphp
                                    <ul class="historic-dispatch-inner-body nav w-100 {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                                        <li class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</li>
                                        <li>{{ $node['stop']['name'] ?? '' }}</li>
                                        <li></li>
                                        <li></li>
                                        <li>
                                            {{ $node['filename'] }}
                                        </li>
                                        <li>Copy</li>
                                        <li>
                                            @if($action == 1)
                                                @if($node['status'] == 'Complete')
                                                    <a href="javascript:void(0);" class="remove-document">
                                                        <i class="fa fa-times text-muted" aria-hidden="true"></i>
                                                    </a>
                                                @else
                                                    <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                                        <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                                        <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                                    </a>
                                                @endif
                                            @endif
                                        </li>
                                    </ul>
                                    @php
                                        $i++;
                                    @endphp
                                @endforeach
                                <!-- COD Documents -->
                                @php
                                    $i                  = 1;
                                @endphp
                                @foreach ($cod_documents as $key => $node)
                                    @php
                                        $random_id      = 'cod_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                        $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);
                                    @endphp
                                    <ul class="historic-dispatch-inner-body nav w-100 {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                                        <li class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</li>
                                        <li>{{ $node['stop']['name'] ?? '' }}</li>
                                        <li></li>
                                        <li></li>
                                        <li>
                                            {{ $node['filename'] }}
                                        </li>
                                        <li>Copy</li>
                                        <li></li>
                                    </ul>
                                    @php
                                        $i++;
                                    @endphp
                                @endforeach
                            @else
                                <div class="historic-dispatch-inner-body nav w-100 py-3 d-block text-center">
                                    No data available in table
                                </div>
                            @endif
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
@else
    @if(
        !empty($static_documents) ||
        !empty($required_documents) ||
        !empty($requested_documents) ||
        !empty($accessorial_documents) ||
        !empty($other_documents) ||
        !empty($cod_documents)
    )
        <!-- Static Documents -->
        @php
            $i                  = 1;
        @endphp
        @foreach ($static_documents as $key => $node)
            @php
                $random_id      = 'static_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);
            @endphp
            <ul class="historic-dispatch-inner-body nav w-100 {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                <li class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</li>
                <li>{{ $node['stop']['name'] ?? '' }}</li>
                <li></li>
                <li></li>
                <li>
                    {{ $node['filename'] }}
                </li>
                <li>Copy</li>
                <li></li>
            </ul>
            @php
                $i++;
            @endphp
        @endforeach
        <!-- Required Documents -->
        @php
            $i                  = 1;
        @endphp
        @foreach ($required_documents as $key => $node)
            @php
                $random_id      = 'required_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                $action         = 1;
                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                        $action = 0;
                    }
                }
            @endphp
            <ul class="historic-dispatch-inner-body nav w-100 {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                <li class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</li>
                <li>{{ $node['stop']['name'] ?? '' }}</li>
                <li>{{ $node['stop']['customer_name'] ?? '' }}</li>
                <li>{{ $node['stop']['addresses'] ?? '' }}</li>
                <li>
                    @if(isset($node['filename_id']) && $node['filename_id']=='0')
                        Other - {{ $node['filename'] }}
                    @else
                        {{ $node['filename'] }}
                    @endif
                </li>
                <li>{{ $node['type'] == '1' ? 'Copy' : 'Original' }}</li>
                <li>
                    @if($action == 1)
                        @if($node['status'] == 'Complete')
                            <a href="javascript:void(0);" class="remove-document">
                                <i class="fa fa-times text-muted" aria-hidden="true"></i>
                            </a>
                        @else
                            @if($node['type'] == '1')
                                <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                    <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                    <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                </a>
                            @else
                                <div class="custom-control custom-checkbox-blue pl-0 my-0 d-flex align-items-center">
                                    <input type="checkbox" class="custom-control-input" id="is_received_{{ $random_id }}">
                                    <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_{{ $random_id }}">Received</label>
                                </div>
                            @endif
                        @endif
                    @endif
                </li>
            </ul>
            @php
                $i++;
            @endphp
        @endforeach
        <!-- Requested Documents -->
        @php
            $i                  = 1;
        @endphp
        @foreach ($requested_documents as $key => $node)
            @php
                $random_id      = 'requested_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                $action         = 1;
                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                        $action = 0;
                    }
                }
            @endphp
            <ul class="historic-dispatch-inner-body nav w-100 {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                <li class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</li>
                <li>{{ $node['stop']['name'] ?? '' }}</li>
                <li>{{ $node['stop']['customer_name'] ?? '' }}</li>
                <li>{{ $node['stop']['addresses'] ?? '' }}</li>
                <li>
                    @if(isset($node['filename_id']) && $node['filename_id']=='0')
                        Other - {{ $node['filename'] }}
                    @else
                        {{ $node['filename'] }}
                    @endif
                </li>
                <li>{{ $node['type'] == '1' ? 'Copy' : 'Original' }}</li>
                <li>
                    @if($action == 1)
                        @if($node['status'] == 'Complete')
                            <a href="javascript:void(0);" class="remove-document">
                                <i class="fa fa-times text-muted" aria-hidden="true"></i>
                            </a>
                        @else
                            @if($node['type'] == '1')
                                <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                    <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                    <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                </a>
                            @else
                                <div class="custom-control custom-checkbox-blue pl-0 my-0 d-flex align-items-center">
                                    <input type="checkbox" class="custom-control-input" id="is_received_{{ $random_id }}">
                                    <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_{{ $random_id }}">Received</label>
                                </div>
                            @endif
                        @endif
                    @endif
                </li>
            </ul>
            @php
                $i++;
            @endphp
        @endforeach
        <!-- Accessorial Documents -->
        @php
            $i                  = 1;
        @endphp
        @foreach ($accessorial_documents as $key => $node)
            @php
                $random_id      = 'accessorial_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                $action         = 1;
                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                        $action = 0;
                    }
                }
            @endphp
            <ul class="historic-dispatch-inner-body nav w-100 {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                <li class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</li>
                <li>{{ $node['stop']['name'] ?? '' }}</li>
                <li>{{ $node['stop']['customer_name'] ?? '' }}</li>
                <li>{{ $node['stop']['addresses'] ?? '' }}</li>
                <li>
                    {{ $node['filename'] }}
                </li>
                <li>Copy</li>
                <li>
                    @if($action == 1)
                        @if($node['status'] == 'Complete')
                            <a href="javascript:void(0);" class="remove-document">
                                <i class="fa fa-times text-muted" aria-hidden="true"></i>
                            </a>
                        @else
                            <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                            </a>
                        @endif
                    @endif
                </li>
            </ul>
            @php
                $i++;
            @endphp
        @endforeach
        <!-- Other Documents -->
        @php
            $i                  = 1;
        @endphp
        @foreach ($other_documents as $key => $node)
            @php
                $random_id      = 'other_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                $action         = 1;
                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                        $action = 0;
                    }
                }
            @endphp
            <ul class="historic-dispatch-inner-body nav w-100 {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                <li class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</li>
                <li>{{ $node['stop']['name'] ?? '' }}</li>
                <li></li>
                <li></li>
                <li>
                    {{ $node['filename'] }}
                </li>
                <li>Copy</li>
                <li>
                    @if($action == 1)
                        @if($node['status'] == 'Complete')
                            <a href="javascript:void(0);" class="remove-document">
                                <i class="fa fa-times text-muted" aria-hidden="true"></i>
                            </a>
                        @else
                            <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                            </a>
                        @endif
                    @endif
                </li>
            </ul>
            @php
                $i++;
            @endphp
        @endforeach
        <!-- COD Documents -->
        @php
            $i                  = 1;
        @endphp
        @foreach ($cod_documents as $key => $node)
            @php
                $random_id      = 'cod_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);
            @endphp
            <ul class="historic-dispatch-inner-body nav w-100 {{ $node['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($node) }}">
                <li class="{{ $node['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $node['status'] }}</li>
                <li>{{ $node['stop']['name'] ?? '' }}</li>
                <li></li>
                <li></li>
                <li>
                    {{ $node['filename'] }}
                </li>
                <li>Copy</li>
                <li></li>
            </ul>
            @php
                $i++;
            @endphp
        @endforeach
    @else
        <div class="historic-dispatch-inner-body nav w-100 py-3 d-block text-center">
            No data available in table
        </div>
    @endif
@endif