@if(in_array($jsonData['source'], ['load_details', 'load_stops']) && in_array($jsonData['field_name'], ['shipper_files_upload', 'consignee_files_upload', 'stop_shipper_files_upload', 'stop_consignee_files_upload']))
    @php
        $random_id  = 'required_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
        $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
    @endphp
    <ul class="historic-dispatch-inner-body nav w-100 {{ $jsonData['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($jsonData) }}">
        <li class="{{ $jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $jsonData['status'] }}</li>
        <li>{{ $jsonData['stop']['name'] ?? '' }}</li>
        <li>{{ $jsonData['stop']['customer_name'] ?? '' }}</li>
        <li>{{ $jsonData['stop']['addresses'] ?? '' }}</li>
        <li>
            @if(isset($jsonData['filename_id']) && $jsonData['filename_id']=='0')
                Other - {{ $jsonData['filename'] }}
            @else
                {{ $jsonData['filename'] }}
            @endif
        </li>
        <li>{{ $jsonData['type'] == '1' ? 'Copy' : 'Original' }}</li>
        <li>
            @if($jsonData['status'] == 'Complete')
                <a href="javascript:void(0);" class="remove-document">
                    <i class="fa fa-times text-muted" aria-hidden="true"></i>
                </a>
            @else
                @if($jsonData['type'] == '1')
                    <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                        <span class="font-weight-bold fs-14 ml-0">Upload</span>
                        <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                    </a>
                @else
                    <div class="custom-control custom-checkbox-blue pl-0 my-0 d-flex align-items-center">
                        <input type="checkbox" class="custom-control-input" id="is_received_{{ $random_id }}">
                        <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_{{ $random_id }}">Received</label>
                    </div>
                @endif
            @endif
        </li>
    </ul>
@elseif($jsonData['source'] == 'load_document_request_items')
    @php
        $random_id  = 'requested_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
        $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
    @endphp
    <ul class="historic-dispatch-inner-body nav w-100 {{ $jsonData['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($jsonData) }}">
        <li class="{{ $jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $jsonData['status'] }}</li>
        <li>{{ $jsonData['stop']['name'] ?? '' }}</li>
        <li>{{ $jsonData['stop']['customer_name'] ?? '' }}</li>
        <li>{{ $jsonData['stop']['addresses'] ?? '' }}</li>
        <li>
            @if(isset($jsonData['filename_id']) && $jsonData['filename_id']=='0')
                Other - {{ $jsonData['filename'] }}
            @else
                {{ $jsonData['filename'] }}
            @endif
        </li>
        <li>{{ $jsonData['type'] == '1' ? 'Copy' : 'Original' }}</li>
        <li>
            @if($jsonData['status'] == 'Complete')
                <a href="javascript:void(0);" class="remove-document">
                    <i class="fa fa-times text-muted" aria-hidden="true"></i>
                </a>
            @else
                @if($jsonData['type'] == '1')
                    <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                        <span class="font-weight-bold fs-14 ml-0">Upload</span>
                        <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                    </a>
                @else
                    <div class="custom-control custom-checkbox-blue pl-0 my-0 d-flex align-items-center">
                        <input type="checkbox" class="custom-control-input" id="is_received_{{ $random_id }}">
                        <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_{{ $random_id }}">Received</label>
                    </div>
                @endif
            @endif
        </li>
    </ul>
@elseif($jsonData['source'] == 'load_accessorials')
    @php
        $random_id  = 'accessorial_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
        $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
    @endphp
    <ul class="historic-dispatch-inner-body nav w-100 {{ $jsonData['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($jsonData) }}">
        <li class="{{ $jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $jsonData['status'] }}</li>
        <li>{{ $jsonData['stop']['name'] ?? '' }}</li>
        <li>{{ $jsonData['stop']['customer_name'] ?? '' }}</li>
        <li>{{ $jsonData['stop']['addresses'] ?? '' }}</li>
        <li>
            {{ $jsonData['filename'] }}
        </li>
        <li>Copy</li>
        <li>
            @if($jsonData['status'] == 'Complete')
                <a href="javascript:void(0);" class="remove-document">
                    <i class="fa fa-times text-muted" aria-hidden="true"></i>
                </a>
            @else
                <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                    <span class="font-weight-bold fs-14 ml-0">Upload</span>
                    <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                </a>
            @endif
        </li>
    </ul>
@elseif($jsonData['source'] == 'load_files')
    @php
        $random_id  = 'other_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
        $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
    @endphp
    <ul class="historic-dispatch-inner-body nav w-100 {{ $jsonData['status'] == 'Complete' ? 'lite-grey' : '' }}" data-jsonString="{{ json_encode($jsonData) }}">
        <li class="{{ $jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger' }}">{{ $jsonData['status'] }}</li>
        <li>{{ $jsonData['stop']['name'] ?? '' }}</li>
        <li></li>
        <li></li>
        <li>
            {{ $jsonData['filename'] }}
        </li>
        <li>Copy</li>
        <li>
            @if($jsonData['status'] == 'Complete')
                <a href="javascript:void(0);" class="remove-document">
                    <i class="fa fa-times text-muted" aria-hidden="true"></i>
                </a>
            @else
                <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                    <span class="font-weight-bold fs-14 ml-0">Upload</span>
                    <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                </a>
            @endif
        </li>
    </ul>
@endif