@php
    $getLoginData = auth()->guard('driver-admin')->user();
@endphp
<header class="ngd-header">
    <div class="container-fluid">
        <nav class="navbar navbar-expand-lg navbar-light">
            <h5 style="color: #fff;">Compel Labs</h5>
            <button class="navbar-dark navbar-toggler"
                type="button"
                data-toggle="collapse"
                data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent"
                aria-expanded="false"
                aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item menu-responsive profile-btn">
                        <div class="dropdown">
                            <button class="btn dropdown-toggle" type="button" id="dropdownAdminMenuButton"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="userProfile-img">
                                    <img src="{{ asset('theme/images/user.png') }}" alt="User Logo">
                                </span>
                                Hello, {{ $getLoginData->full_name }}
                                <img src="{{ asset('theme/images/dropdown.png') }}" alt="dropdown" class="dropdown-icon">
                            </button>
                            <div class="dropdown-menu" aria-labelledby="dropdownAdminMenuButton">
                                <a class="dropdown-item" href="javascript:void(0);">Edit Profile</a>
                                <a class="dropdown-item" href="javascript:void(0);">View Profile</a>
                                <a class="dropdown-item" href="{{ route('driver.admin.changePassword') }}">Change Password</a>
                                <a class="dropdown-item" href="{{ route('driver.admin.account.index') }}">Account setting</a>
                                <a class="dropdown-item" href="{{ route('driver.admin.two-factor.index') }}">2 factor settings</a>
                                <a
                                    class="dropdown-item" href="{{ route('admin.logout') }}"
                                    onclick="event.preventDefault();document.getElementById('logout-form').submit();">
                                    Logout
                                </a>
                                <form id="logout-form" action="{{ route('driver.admin.logout') }}" method="POST" class="d-none">
                                    @csrf
                                </form>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </nav>
    </div>
</header>
