@extends($managerTheme)

@section('title')
    Loads
@endsection

@section('style')
<style type="text/css">
	.load-btn label{
		width: 99px !important;
	}	
</style>
@endsection

@section('content')
<div class="main-wrapper">
    <!-- <button class="green-btn">Add New1</button> -->
    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item" role="presentation">
            <a class="nav-link active" id="All-tab" data-toggle="tab" href="#All" role="tab" aria-controls="All" aria-selected="true">Loads</a>
        </li>
        <li class="nav-item" role="presentation">
            <a class="nav-link" id="View-tab" data-toggle="tab" href="#View" role="tab" aria-controls="View" aria-selected="false">New Load</a>
        </li>
        <li class="nav-item" role="presentation">
            <a class="nav-link" id="leave-tab" data-toggle="tab" href="#leave" role="tab" aria-controls="leave" aria-selected="false">Expenses</a>
        </li>
    </ul>
    <div class="tab-content" id="myTabContent">
        <div class="tab-pane fade show active" id="All" role="tabpanel" aria-labelledby="All-tab">
            <div class="row">
                <div class="col-md-3 col-sm-6">
                    <div class="white-box mb-4">
                        <div class="box-padding employee-box">
                            <span class="big-ttl">Total Loads</span>
                            <h5 class="centr">78</h5>
                            <ul class="per-data">
                                <li>This years</li>
                                <li class="blue"><span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> 5%</li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="white-box mb-4">
                        <div class="box-padding employee-box">
                            <span class="big-ttl">Completed Loads</span>
                            <h5 class="centr">72</h5>
                            <ul class="per-data">
                                <li>This years</li>
                                <li class="blue"><span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> 5%</li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="white-box mb-4">
                        <div class="box-padding employee-box">
                            <span class="big-ttl">Uncompleted Loads</span>
                            <h5 class="centr">6</h5>
                            <ul class="per-data">
                                <li>This years</li>
                                <li class="blue"><span><img src="{{ asset('theme/img/top-arrow.png') }}" alt=""></span> 5%</li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="white-box mb-4">
                        <div class="box-padding employee-box">
                            <span class="big-ttl">Total Savings A/C</span>
                            <h5 class="centr">100</h5>
                            <ul class="per-data">
                                <li>This years</li>
                                <li class="orange"><span><img src="{{ asset('theme/img/down-arrow.png') }}" alt=""></span> 5%</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

                <div class="white-box">
                    <div class="ttl-box">
                        <div class="row">
                            <div class="col-sm-12 col-md-6">
                                <h3 class="table-title mb-0">Loads</h3>
                            </div>
                            <div class="col-sm-12 col-md-6">
                                <ul class="fltr-box">
                                    <li>
                                        <img src="{{ asset('theme/img/fillter-icon.png') }}" class="" alt="">
                                        <p>Filters</p>
                                    </li>
                                    <li>
                                        <div class="search-cmn">
                                            <input type="text" class="header-search srch-2" placeholder="Search...">
                                            <img src="{{ asset('theme/img/header-search.png') }}" class="search-icon t-35" alt="">
                                        </div>
                                    </li>
                                </ul>                                    
                            </div>
                        </div>
                    </div>
                    
                    <div class="table-responsive">
                      <table class="table">
                        <thead>
                          <tr>
                            <th>Load</th>
                            <th>Driver's Name <span><img src="{{ asset('theme/img/fillter-icon.png') }}" class="" alt=""></span></th>
                            <th>Truck</th>
                                    <th>Trailer</th>
                                    <th>Phone Number</th>
                                    <th>Dispatcher <span><img src="{{ asset('theme/img/fillter-icon.png') }}" class="" alt=""></span></th>
                                    <th>Customer</th>
                                    <th>Origin</th>
                                    <th>Destination <span><img src="{{ asset('theme/img/fillter-icon.png') }}" class="" alt=""></span></th>
                                    <th>Status <span><img src="{{ asset('theme/img/fillter-icon.png') }}" class="" alt=""></span></th>
                                    <th>Last Location</th>
                                    <th>Rate</th>
                                    <th style="width: 70px;">Action</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr>
                            <td>123456</td>
                                    <td>Mike Quesenberry</td>
                                    <td>5496621236y</td>
                                    <td>4561216564</td>
                                    <td>(540) 123-1234</td>
                                    <td>Chris Taylor</td>
                                    <td>Client A</td>
                                    <td>Roanoke, Va</td>
                                    <td>New York, Ny</td>
                                    <td>Preplanned</td>
                                    <td>Savanah, GA</td>
                                    <td>$2,400.00</td>
                                    <td class="text-right">
                                        <a href="javascript:void(0);" class=""><img src="{{ asset('theme/img/tbl--icon-1.png') }}" alt=""></a>
                                        <a href="javascript:void(0);"><img src="{{ asset('theme/img/tbl--icon-2.png') }}" alt=""></a>
                                        <a href="javascript:void(0);" class=""><img src="{{ asset('theme/img/tbl--icon-3.png') }}" alt=""></a>
                                        <a href="javascript:void(0);"><img src="{{ asset('theme/img/tbl--icon-4.png') }}" alt=""></a>
                                    </td>
                          </tr>
                          <tr>
                            <td>123456</td>
                                    <td>Mike Quesenberry</td>
                                    <td>5496621236y</td>
                                    <td>4561216564</td>
                                    <td>(540) 123-1234</td>
                                    <td>Chris Taylor</td>
                                    <td>Client A</td>
                                    <td>Roanoke, Va</td>
                                    <td>New York, Ny</td>
                                    <td>Preplanned</td>
                                    <td>Savanah, GA</td>
                                    <td>$2,400.00</td>
                                    <td class="text-right">
                                        <a href="javascript:void(0);" class=""><img src="{{ asset('theme/img/tbl--icon-1.png') }}" alt=""></a>
                                        <a href="javascript:void(0);"><img src="{{ asset('theme/img/tbl--icon-2.png') }}" alt=""></a>
                                        <a href="javascript:void(0);" class=""><img src="{{ asset('theme/img/tbl--icon-3.png') }}" alt=""></a>
                                        <a href="javascript:void(0);"><img src="{{ asset('theme/img/tbl--icon-4.png') }}" alt=""></a>
                                    </td>
                          </tr>
                          <tr>
                            <td>123456</td>
                                    <td>Mike Quesenberry</td>
                                    <td>5496621236y</td>
                                    <td>4561216564</td>
                                    <td>(540) 123-1234</td>
                                    <td>Chris Taylor</td>
                                    <td>Client A</td>
                                    <td>Roanoke, Va</td>
                                    <td>New York, Ny</td>
                                    <td>Preplanned</td>
                                    <td>Savanah, GA</td>
                                    <td>$2,400.00</td>
                                    <td class="text-right">
                                        <a href="javascript:void(0);" class=""><img src="{{ asset('theme/img/tbl--icon-1.png') }}" alt=""></a>
                                        <a href="javascript:void(0);"><img src="{{ asset('theme/img/tbl--icon-2.png') }}" alt=""></a>
                                        <a href="javascript:void(0);" class=""><img src="{{ asset('theme/img/tbl--icon-3.png') }}" alt=""></a>
                                        <a href="javascript:void(0);"><img src="{{ asset('theme/img/tbl--icon-4.png') }}" alt=""></a>
                                    </td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                    <!-- <div class="add-responsive">
                        <table id="teamsTable" class="table">
                            <thead>
                                <tr>
                                    <th>Load</th>
                                    <th>Driver's Name</th>
                                    <th>Truck</th>
                                    <th>Trailer</th>
                                    <th>Phone Number</th>
                                    <th>Dispatcher</th>
                                    <th>Customer</th>
                                    <th>Origin</th>
                                    <th>Destination</th>
                                    <th>Status</th>
                                    <th>Last Location</th>
                                    <th>Rate</th>
                                    <th style="width: 70px;">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>123456</td>
                                    <td>Mike Quesenberry</td>
                                    <td>5496621236y</td>
                                    <td>4561216564</td>
                                    <td>(540) 123-1234</td>
                                    <td>Chris Taylor</td>
                                    <td>Client A</td>
                                    <td>Roanoke, Va</td>
                                    <td>New York, Ny</td>
                                    <td>Preplanned</td>
                                    <td>Savanah, GA</td>
                                    <td>$2,400.00</td>
                                    <td class="text-right">
                                        <a href="javascript:void(0);" class="mr-4"><img src="theme/img/edit-icon.png" alt=""></a>
                                        <a href="javascript:void(0);"><img src="theme/img/delete-icon.png" alt=""></a>
                                    </td>
                                </tr>
                                <tr>
                                    <td>123456</td>
                                    <td>Mike Quesenberry</td>
                                    <td>5496621236y</td>
                                    <td>4561216564</td>
                                    <td>(540) 123-1234</td>
                                    <td>Chris Taylor</td>
                                    <td>Client A</td>
                                    <td>Roanoke, Va</td>
                                    <td>New York, Ny</td>
                                    <td>Preplanned</td>
                                    <td>Savanah, GA</td>
                                    <td>$2,400.00</td>
                                    <td class="text-right">
                                        <a href="javascript:void(0);" class="mr-4"><img src="theme/img/edit-icon.png" alt=""></a>
                                        <a href="javascript:void(0);"><img src="theme/img/delete-icon.png" alt=""></a>
                                    </td>
                                </tr>
                                <tr>
                                    <td>123456</td>
                                    <td>Mike Quesenberry</td>
                                    <td>5496621236y</td>
                                    <td>4561216564</td>
                                    <td>(540) 123-1234</td>
                                    <td>Chris Taylor</td>
                                    <td>Client A</td>
                                    <td>Roanoke, Va</td>
                                    <td>New York, Ny</td>
                                    <td>Preplanned</td>
                                    <td>Savanah, GA</td>
                                    <td>$2,400.00</td>
                                    <td class="text-right">
                                        <a href="javascript:void(0);" class="mr-4"><img src="theme/img/edit-icon.png" alt=""></a>
                                        <a href="javascript:void(0);"><img src="theme/img/delete-icon.png" alt=""></a>
                                    </td>
                                </tr>
                                <tr>
                                    <td>123456</td>
                                    <td>Mike Quesenberry</td>
                                    <td>5496621236y</td>
                                    <td>4561216564</td>
                                    <td>(540) 123-1234</td>
                                    <td>Chris Taylor</td>
                                    <td>Client A</td>
                                    <td>Roanoke, Va</td>
                                    <td>New York, Ny</td>
                                    <td>Preplanned</td>
                                    <td>Savanah, GA</td>
                                    <td>$2,400.00</td>
                                    <td class="text-right">
                                        <a href="javascript:void(0);" class="mr-4"><img src="theme/img/edit-icon.png" alt=""></a>
                                        <a href="javascript:void(0);"><img src="theme/img/delete-icon.png" alt=""></a>
                                    </td>
                                </tr>
                                <tr>
                                    <td>123456</td>
                                    <td>Mike Quesenberry</td>
                                    <td>5496621236y</td>
                                    <td>4561216564</td>
                                    <td>(540) 123-1234</td>
                                    <td>Chris Taylor</td>
                                    <td>Client A</td>
                                    <td>Roanoke, Va</td>
                                    <td>New York, Ny</td>
                                    <td>Preplanned</td>
                                    <td>Savanah, GA</td>
                                    <td>$2,400.00</td>
                                    <td class="text-right">
                                        <a href="javascript:void(0);" class="mr-4"><img src="theme/img/edit-icon.png" alt=""></a>
                                        <a href="javascript:void(0);"><img src="theme/img/delete-icon.png" alt=""></a>
                                    </td>
                                </tr>
                                <tr>
                                    <td>123456</td>
                                    <td>Mike Quesenberry</td>
                                    <td>5496621236y</td>
                                    <td>4561216564</td>
                                    <td>(540) 123-1234</td>
                                    <td>Chris Taylor</td>
                                    <td>Client A</td>
                                    <td>Roanoke, Va</td>
                                    <td>New York, Ny</td>
                                    <td>Preplanned</td>
                                    <td>Savanah, GA</td>
                                    <td>$2,400.00</td>
                                    <td class="text-right">
                                        <a href="javascript:void(0);" class="mr-4"><img src="theme/img/edit-icon.png" alt=""></a>
                                        <a href="javascript:void(0);"><img src="theme/img/delete-icon.png" alt=""></a>
                                    </td>
                                </tr>
                                <tr>
                                    <td>123456</td>
                                    <td>Mike Quesenberry</td>
                                    <td>5496621236y</td>
                                    <td>4561216564</td>
                                    <td>(540) 123-1234</td>
                                    <td>Chris Taylor</td>
                                    <td>Client A</td>
                                    <td>Roanoke, Va</td>
                                    <td>New York, Ny</td>
                                    <td>Preplanned</td>
                                    <td>Savanah, GA</td>
                                    <td>$2,400.00</td>
                                    <td class="text-right">
                                        <a href="javascript:void(0);" class="mr-4"><img src="theme/img/edit-icon.png" alt=""></a>
                                        <a href="javascript:void(0);"><img src="theme/img/delete-icon.png" alt=""></a>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div> -->
                </div>


        </div>  
        <div class="tab-pane fade" id="View" role="tabpanel" aria-labelledby="View-tab">
            
        </div>
        <div class="tab-pane fade" id="leave" role="tabpanel" aria-labelledby="leave-tab">
            
        </div>
    </div>
</div>
@endsection

@section('script')
<script>
var table = $('.data-table').DataTable({
    stateSave: true,
    language: {
        search: "",
        searchPlaceholder: "Search...",
    },
    processing: true,
    serverSide: true,
    bJQueryUI: true, 
    // pageLength: 1, 
    order: [[4, "desc"]],
    ajax: "{{ route('company.admin.drivers.index') }}",
    columns: [
    	{ data: 'DT_RowIndex', name: 'DT_RowIndex', orderable:false, searchable:false },
        { data: 'first_name', name: 'first_name' },
        { data: 'last_name', name: 'last_name' },
        { data: 'email', name: 'email' },
        { data: 'created_at', name: 'created_at', visible: false, searchable:false },
        { data: 'action', name: 'action', orderable:false, searchable:false }
    ]
});
</script>
@endsection