<?php

use App\Http\Controllers\Chat\ChatController;

Route::get('users', [ChatController::class, 'getChatUsers'])->name('users');

Route::post('group/create-or-update', [ChatController::class, 'createChatGroup'])->name('chat.group.createOrUpdate');
Route::post('group/exists', [ChatController::class, 'checkChatGroupExists'])->name('chat.group.exists');
Route::post('temo_demo', [ChatController::class, 'tempDemo'])->name('chat.tempDemo');
Route::post('create_load_internal_group', [ChatController::class, 'createLoadInternalGroup'])->name('chat.createLoadInternalGroup');
Route::post('update_load_internal_group_participants', [ChatController::class, 'updateLoadInternalGroupParticipants'])->name('chat.updateLoadInternalGroupParticipants');

Route::post('get_general_boards', [ChatController::class, 'getGeneralBoards'])->name('chat.get.general.boards');
Route::post('get_user_details', [ChatController::class, 'getUserDetails'])->name('chat.get.user.details');
Route::post('samsara_send_message', [ChatController::class, 'samsaraSendMessage'])->name('chat.samsara.send.message');
Route::post('get_chat_load_by_friendly_name', [ChatController::class, 'getChatLoadByFriendlyName'])->name('get.chat.load.by.friendly.name');