<?php
  $fmt = new \NumberFormatter('en_US', \NumberFormatter::CURRENCY);
?>

<thead>
  <tr>
      <th></th>
      <th>Revenue</th>
      <th>Mileage</th>
      <th>CPM</th>
      <th>Occupany</th>
  </tr>
</thead>
<tbody>
  <tr>
      <td>Target</td>
      <td><?php echo e($fmt->formatCurrency($getTargetRevenueByDate, "USD")); ?></td>
      <td><?php echo e($getTargetMilesByDate); ?></td>
      <td class="green"><?php echo e($fmt->formatCurrency($getDriverCpmTarget, "USD")); ?></td>
      <td class="green"><?php echo e($getDriverTargetOccupancy); ?>%</td>
  </tr>
  <tr>
      <td>Actual</td>
      <td><?php echo e($fmt->formatCurrency($getLoadGrossRevenue, "USD")); ?></td>
      <td><?php echo e($getLoadMileage); ?></td>
      <td><?php echo e($fmt->formatCurrency($CentPerMile, "USD")); ?></td>
      <td><?php echo e($getLoadOccupancy); ?>%</td>
  </tr>
  <tr>
      <td>Difference</td>
      <?php if($getRevenueeDifferent > 0): ?>
        <td class="text-green">+<?php echo e($fmt->formatCurrency($getRevenueeDifferent, "USD")); ?></td>
      <?php else: ?>
        <td class="text-red"><?php echo e($fmt->formatCurrency($getRevenueeDifferent, "USD")); ?></td>
      <?php endif; ?>
      <?php if($getMilesDifferent > 0): ?>
        <td class="text-green">+<?php echo e($getMilesDifferent); ?></td>
      <?php else: ?>
        <td class="text-red"><?php echo e($getMilesDifferent); ?></td>
      <?php endif; ?>
      <?php if($getCpmDifferent > 0): ?>
        <td class="text-green">+<?php echo e($fmt->formatCurrency($getCpmDifferent, "USD")); ?></td>
      <?php else: ?>
        <td class="text-red"><?php echo e($fmt->formatCurrency($getCpmDifferent, "USD")); ?></td>
      <?php endif; ?>
      <?php if($getOccupancyDifferent > 0): ?>
        <td class="text-green"><?php echo e($getOccupancyDifferent); ?></td>
      <?php else: ?>
        <td class="text-red"><?php echo e($getOccupancyDifferent); ?></td>
      <?php endif; ?>
  </tr>
</tbody>
<?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/driver/view/accountGoalsView.blade.php ENDPATH**/ ?>