<div class="row">
    <div class="col-md-3">
        <div class="white-box-small">
            <h4 class="box-title">Filters</h4>
            <div class="box-padding">
                <div class="filter-box">
                    <div class="form-group">
                        <label>Calendar Event</label>
                        <select class="form-control changeEvent" id="calendarEvent">
                            <option value="1">All</option>
                            <option value="2">Personal</option>
                            <option value="4">Team</option>
                        </select>
                    </div>
                    <div class="form-group selcompnay" style="display: none!important;">
                        <label>Companies</label>
                        <select class="form-control changeEvent" id="selectCompnay">
                            <option value="">Select Company</option>
                            <?php $__currentLoopData = getCompanyList(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $company): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($company->id); ?>"><?php echo e($company->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <div class="form-group selteam">
                        <label>Teams</label>
                        <select class="form-control changeEvent" id="selectTeam">
                            <option value="">Select Team</option>
                            <?php $__currentLoopData = getTeamList(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $team): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($key); ?>"><?php echo e($team); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label>Birthdays / Anniversary</label>
                        <div class="grey-switch ">
                            <div class="custom-control custom-switch">
                                <input type="checkbox" checked class="custom-control-input changeEvent" id="birthdays">
                                <label class="custom-control-label birthdayscolor" for="birthdays" ></label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Expirations</label>
                        <div class="grey-switch ">
                            <div class="custom-control custom-switch">
                                <input type="checkbox" checked class="custom-control-input changeEvent" id="expirations">
                                <label class="custom-control-label expirationscolor" for="expirations"></label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Maintenance Trucks</label>
                        <div class="grey-switch ">
                            <div class="custom-control custom-switch">
                                <input type="checkbox" checked class="custom-control-input changeEvent" id="maintenanceTrucks">
                                <label class="custom-control-label truckscolor" for="maintenanceTrucks"></label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Maintenance Trailers</label>
                        <div class="grey-switch ">
                            <div class="custom-control custom-switch">
                                <input type="checkbox" checked class="custom-control-input changeEvent" id="maintenanceTrailers">
                                <label class="custom-control-label trailerscolor" for="maintenanceTrailers"></label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Personal Events</label>
                        <div class="grey-switch ">
                            <div class="custom-control custom-switch">
                                <input type="checkbox" checked class="custom-control-input changeEvent" id="hidePersonalEvents">
                                <label class="custom-control-label personalcolor" for="hidePersonalEvents"></label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>My Leaves</label>
                        <div class="grey-switch ">
                            <div class="custom-control custom-switch">
                                <input type="checkbox" checked class="custom-control-input changeEvent" id="myLeaves">
                                <label class="custom-control-label myLeaveslcolor" for="myLeaves"></label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Driver Leaves</label>
                        <div class="grey-switch ">
                            <div class="custom-control custom-switch">
                                <input type="checkbox" checked class="custom-control-input changeEvent" id="driverleaves">
                                <label class="custom-control-label driverleaves" for="driverleaves"></label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Maintenance Ticket</label>
                        <div class="grey-switch ">
                            <div class="custom-control custom-switch">
                                <input type="checkbox" checked class="custom-control-input changeEvent" id="maintenanceTicket">
                                <label class="custom-control-label maintenanceTicketcolor" for="maintenanceTicket"></label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-9">
        <div class="white-box target-calendar">
            <!-- <div id='calendar' class="calendar"></div> -->
            <div id='calendar'></div>
        </div>
    </div>
</div>

<div class="modal fade blank-modal-body teamModal-2" id="newEvent" tabindex="-1" aria-labelledby="newEvent" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Add Event</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="append-form">
                <?php echo Form::open(array('route' => 'company.admin.driver.add.event','method'=>'POST','files'=>'true','class'=>'storeAddEvent')); ?>

                    <div class="modal-body">
                        <?php echo Form::hidden('company_admin_id', $companyAdmin->id); ?>

                        <div class="form-group">
                            <label>Title<span>*</span></label>
                            <?php echo Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required')); ?>

                            <span class="error title_error text-danger"></span>
                        </div>

                        <div class="form-group">
                            <label>Address<span>*</span></label>
                            <?php echo Form::text('address', old('address'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required')); ?>

                            <span class="error title_error text-danger"></span>
                        </div>

                        <div class="form-group">
                            <label>Event Type</label>
                            <?php echo Form::select('type', ['' => 'Select Type']+getEventTypes(), null, ['class' => 'custom-select driver-select2 form-control','required' => 'required','data-parsley-errors-container'=>'#drivernum']); ?>

                            <div id="drivernum"></div>
                            <?php $__errorArgs = ['type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="text-danger" role="alert">
                                    <strong><?php echo e($message); ?></strong>
                                </span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div class="form-group">
                            <label>Add Icon <input type="checkbox" class="addshoicon" name="addshoicon"></label>
                            <div class="row">
                                <div class="col-md-12 faicon">
                                    <?php
                                    $faicon = config('settings.icon_fa');
                                    ?>
                                    <?php $__currentLoopData = $faicon; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $icon): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <label for="<?php echo e($icon); ?>">
                                        <i class="fa <?php echo e($icon); ?>"></i>
                                        <input type="radio" id="<?php echo e($icon); ?>" name="fa_icon" value="<?php echo e($icon); ?>">
                                    </label>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Start Date<span>*</span></label>
                                    <?php echo Form::text('from_date', old('from_date'), array('class' => 'form-control eventstart', 'autocomplete' => 'off', 'required' => 'required')); ?>

                                    <img src="<?php echo e(asset('theme/img/calendar.png')); ?>" alt="">
                                </div>
                                <span class="error date_error text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>End Date<span>*</span></label>
                                    <?php echo Form::text('to_date', old('to_date'), array('class' => 'form-control eventend', 'autocomplete' => 'off', 'required' => 'required')); ?>

                                    <img src="<?php echo e(asset('theme/img/calendar.png')); ?>" alt="">
                                </div>
                                <span class="error date_error text-danger"></span>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Share With</label>
                            <select class="form-control" required="required" name="share">
                                <option value="0">Private</option>
                                <option value="2">Drivers</option>
                            </select>
                        </div>
                        <div class="form-group driversediv">
                            <label>Drivers</label>
                            <?php echo Form::select('setdriver', ['' => 'Select Driver']+getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), request()->get('driver_id'), ['class' => 'form-control driverse']); ?>

                        </div>
                        <div class="form-group">
                            <label>Is Repeat</label>
                            <?php echo Form::select('is_repeat', getEventRepeat(), null, ['class' => 'custom-select driver-select2 form-control']); ?>

                        </div>

                        <div class="form-group">
                            <label>Notes<span>*</span></label>
                            <?php echo Form::textarea('notes', old('notes'), array('class' => 'form-control', 'autocomplete' => 'new', 'required' => 'required')); ?>

                            <span class="error title_error text-danger"></span>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn cancel-btn" data-dismiss="modal">Cancel</button>
                        <button class="btn blue-btn">Add New</button>
                    </div>
                <?php echo Form::close(); ?>

            </div>
        </div>
    </div>
</div>

<?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/dispatcher/tab/eventsCalendar.blade.php ENDPATH**/ ?>