<?php if(count($getNote) > 0): ?>
    <?php $__currentLoopData = $getNote; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $note): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php if($note->type == 2): ?>
            <div class="row cusotbope yellow">
        <?php else: ?>
            <div class="row cusotbope">
        <?php endif; ?>
            <div class="col-md-12">
                <div class="row">
                    <div class="col-md-4">
                        <?php if($note->created_by_type == 3): ?>
                            <p><?php echo e($note->createdDriverBy->full_name); ?></p>
                        <?php else: ?>
                            <p><?php echo e($note->createdBy->full_name); ?></p>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-3">
                        <?php if(!empty($note->request_type)): ?>
                        <p><?php echo e(getNoteRequestType()[$note->request_type]); ?></p>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-3 text-right">
                        <?php if(!empty($note->created_at)): ?>
                        <p><?php echo e(\Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $note->created_at)->setTimezone($getTimeZone)->format(getTimeLayout())." ".$getTimeZoneId); ?></p>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-2 text-right">
                        <?php
                            if(!empty($note->document)){
                                $documents = unserialize($note->document);
                            }else{
                                $documents = [];
                            }
                        ?>
                        <?php if(is_array($documents) && count($documents) > 0): ?>
                        <div class="notefile">
                            <label  class="btn" data-toggle="modal" data-target="#loadNoteFile<?php echo e($note->id); ?>"><i class="fa fa-paperclip"></i></label>
                            <div class="modal fade teamModal" id="loadNoteFile<?php echo e($note->id); ?>" tabindex="-1" aria-labelledby="loadModalLabel" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="loadModalLabel"><?php echo e(getNoteRequestType()[$note->request_type]); ?></h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body text-left mulimagbu">
                                            <?php $__currentLoopData = $documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php
                                                    $file_path = 'storage/companyAdmin/notes/'.$document;
                                                    $type = \File::extension($file_path);
                                                ?>
                                                <?php if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif'): ?>
                                                   <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="mb-3 d-block" ><img src="<?php echo e(asset($file_path)); ?>" alt="" class="img-fluid"></a>
                                                <?php else: ?>
                                                    <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="btn btn-outline-primary mb-3 d-block"><?php echo e($document); ?></a>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <hr>
                                            <p class="teswrap"><strong>Note: </strong><?php echo e($note->note); ?></p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>
                        <div class="notefile">
                            <label  class="btn destroyNote" data-action="<?php echo e(route('company.admin.notes.destroy', $note->id)); ?>" data-id="<?php echo e($note->id); ?>"><i class="fa fa-trash"></i></label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <?php if(empty($note->type)): ?>
                <p><strong>Note:</strong> <?php echo e($note->note); ?></p>
                <?php else: ?>
                <p><strong><?php echo e(getNoteType()[$note->type]); ?>:</strong> <?php echo e($note->note); ?></p>
                <?php endif; ?>
                <br/>
                <div class="form-group">
                    <?php if(!empty($note->notify_dispatcher) || !empty($note->notify_dirver) || !empty($note->notify_my) || !empty($note->notify_private)): ?>
                    <div class="checkbox d-inline-block mr-2">
                        <label class=" control-label"><strong>Notify: </strong>
                    </div>
                    <?php else: ?>
                        <div class="checkbox d-inline-block mr-2">
                            <label class=" control-label"><strong>Notify: null </strong>
                        </div>
                    <?php endif; ?>
                    <?php if(!empty($note->notify_dispatcher)): ?>
                    <div class="checkbox d-inline-block mr-2">
                      <label class=" control-label">
                            <?php echo Form::checkbox('notify_dispatcher', 1, $note->notify_dispatcher == 1 ? true : false, array('class' => 'form-control loadregucheck','disabled' => 'disabled')); ?> Dispatcher
                      </label>
                    </div>
                    <?php endif; ?>
                    <?php if(!empty($note->notify_dirver)): ?>
                    <div class="checkbox d-inline-block mr-2">
                      <label class=" control-label">
                            <?php echo Form::checkbox('notify_dirver', 1, $note->notify_dirver == 1 ? true : false, array('class' => 'form-control loadregucheck','disabled' => 'disabled')); ?> Dirver
                      </label>
                    </div>
                    <?php endif; ?>
                    <?php if(!empty($note->notify_my)): ?>
                    <div class="checkbox d-inline-block mr-2">
                      <label class=" control-label">
                            <?php echo Form::checkbox('notify_my', 1, $note->notify_my == 1 ? true : false, array('class' => 'form-control loadregucheck','disabled' => 'disabled')); ?> Add to my notifications
                      </label>
                    </div>
                    <?php endif; ?>
                    <?php if(!empty($note->notify_private)): ?>
                    <div class="checkbox d-inline-block mr-2">
                      <label class=" control-label">
                            <?php echo Form::checkbox('notify_private', 1, $note->notify_private == 1 ? true : false, array('class' => 'form-control loadregucheck checknondriveruser','disabled' => 'disabled')); ?> All non drivers users
                            <?php if($note->notify_private == 1): ?>
                                (<?php echo e($note->notify_private_user_name($note->id)); ?>)
                            <?php endif; ?>
                      </label>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<?php endif; ?>

<script type="text/javascript">
  $("body").on("click", ".destroyNote", function () {
    var current_object = $(this);
    Swal.fire({
        title: "Are you sure?",
        text: "You won't be able to revert this!",
        icon: "warning",
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Yes, delete it!",
    }).then((result) => {
        if (result.value) {
            $(".getnotesave").html('<div class="loadingdiv"><img src="'+loadimg+'" /></div>');
            var action = current_object.attr('data-action');
            var id = current_object.attr('data-id');
            var token = $("input[name='_token']").val();

            $.ajax({
              url: action,
              method: "delete",
              data: { _token : token , id : id},
              success: function(response) {
                 toastr.success('deleted successfully', 'Success Alert', {timeOut: 5000})
                 getNoteSave();
              }
           }); 
        }
    });
});
</script><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/notes/index.blade.php ENDPATH**/ ?>