<?php if($showtype == 'year'): ?>
<div class="calender-title-content">
    <div class="row align-middle align-items-center">
        <div class="col-md-6 ">
            <h5 class="calender-title">Year <?php echo e($year); ?></h5>
            <input type="hidden" class="cyear" value="<?php echo e($year); ?>">
            <input type="hidden" class="cmonth" value="<?php echo e($month); ?>">
        </div>
        <div class="col-md-6">
            <div class="btn-group float-right " role="group" aria-label="Basic example">
                <button type="button" class="btn btn-left prev-arrow"><i class="fa fa-chevron-left"></i></button>

                <button type="button" class="btn btn-right next-arrow"><i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
<div class="calender-section quarterlyview">
    <!--h4 class="box-title text-uppercase">Annual View</h4-->
    <div class="row">
        <?php for($x = 1; $x <= 12; $x++): ?>
        <?php echo draw_calendar_year(str_pad($x, 2, "0", STR_PAD_LEFT),$year,$driver_id,$showtype); ?>
        <?php endfor; ?>
    </div>                
</div>
<?php endif; ?>

<?php if($showtype == 'month'): ?>

<div class="calender-title-content">
    <div class="row align-middle align-items-center">
        <div class="col-md-6 ">
            <h5 class="calender-title"><?php echo e($month_name); ?> <?php echo e($year); ?></h5>
            <input type="hidden" class="cyear" value="<?php echo e($year); ?>">
            <input type="hidden" class="cmonth" value="<?php echo e($month); ?>">
        </div>
        <div class="col-md-6">
            <div class="btn-group float-right" role="group" aria-label="Basic example">
                <button type="button" class="btn btn-left prev-arrow"><i class="fa fa-chevron-left"></i></button>

                <button type="button" class="btn btn-right next-arrow"><i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
<div class="calender-section monthly-calender">
    <!--h4 class="box-title text-uppercase"> Monthly View</h4-->
    <div class="row">
        <?php for($x = $month; $x <= $month; $x++): ?>
        <?php echo draw_calendar_year(str_pad($x, 2, "0", STR_PAD_LEFT),$year,$driver_id,$showtype); ?>
        <?php endfor; ?>
    </div> 
</div>

<?php endif; ?>

<?php if($showtype == 'quarterly'): ?>

<div class="calender-title-content ">
    <div class="row align-middle align-items-center">
        <div class="col-md-6 ">
            <h5 class="calender-title"><?php echo e($month_name); ?> - <?php echo e($last_month_name); ?> <?php echo e($year); ?></h5>
            <input type="hidden" class="cyear" value="<?php echo e($year); ?>">
            <input type="hidden" class="cmonth" value="<?php echo e($month); ?>">
        </div>
        <div class="col-md-6">
            <div class="btn-group float-right" role="group" aria-label="Basic example">
                <button type="button" class="btn btn-left prev-arrow"><i class="fa fa-chevron-left"></i></button>

                <button type="button" class="btn btn-right next-arrow"><i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
<div class="calender-section quarterlyview">
    <!--h4 class="box-title text-uppercase"> Monthly View</h4-->
    <div class="row">
        <?php for($x = $month; $x <= $month+2; $x++): ?>
        <?php echo draw_calendar_year(str_pad($x, 2, "0", STR_PAD_LEFT),$year,$driver_id,$showtype); ?>
        <?php endfor; ?>
    </div> 
</div>

<?php endif; ?>

<?php if($showtype == 'weekly'): ?>


<?php
   $sunday = \Carbon\Carbon::parse($startDate)->format('Y-m-d');
   $sunday_name = \Carbon\Carbon::parse($startDate)->format('l');

   $monday = \Carbon\Carbon::parse($startDate)->addDay()->format('Y-m-d');
   $monday_name = \Carbon\Carbon::parse($startDate)->addDay()->format('l');

   $tuesday = \Carbon\Carbon::parse($startDate)->addDays(2)->format('Y-m-d');
   $tuesday_name = \Carbon\Carbon::parse($startDate)->addDays(2)->format('l');

   $wednesday = \Carbon\Carbon::parse($startDate)->addDays(3)->format('Y-m-d');
   $wednesday_name = \Carbon\Carbon::parse($startDate)->addDays(3)->format('l');

   $thursday = \Carbon\Carbon::parse($startDate)->addDays(4)->format('Y-m-d');
   $thursday_name = \Carbon\Carbon::parse($startDate)->addDays(4)->format('l');

   $friday = \Carbon\Carbon::parse($startDate)->addDays(5)->format('Y-m-d');
   $friday_name = \Carbon\Carbon::parse($startDate)->addDays(5)->format('l');

   //$saturday = \Carbon\Carbon::parse($startDate)->addDays(6)->format('Y-m-d');
   //$saturday_name = \Carbon\Carbon::parse($startDate)->addDays(6)->format('l');

   $saturday = \Carbon\Carbon::parse($endDate)->format('Y-m-d');
   $saturday_name = \Carbon\Carbon::parse($endDate)->format('l');

   $days = [$sunday,$monday,$tuesday,$wednesday,$thursday,$friday,$saturday];
?>

<div class="calender-title-content">
    <div class="row align-middle align-items-center">
        <div class="col-md-6 ">
            <h5 class="calender-title"><?php echo e($year); ?> Week <?php echo e($week); ?></h5>
            <input type="hidden" class="start_date" value="<?php echo e($startDate); ?>">
            <input type="hidden" class="end_date" value="<?php echo e($endDate); ?>">
        </div>
        <div class="col-md-6">
            <div class="btn-group float-right" role="group" aria-label="Basic example">
                <button type="button" class="btn btn-left prev-arrow"><i class="fa fa-chevron-left"></i></button>

                <button type="button" class="btn btn-right next-arrow"><i class="fa fa-chevron-right"></i></button>
            </div>
        </div>
    </div>
</div>
<div class="calender-section monthly-calender weeklyview">
    <div class="row">
        <div class="calendar-content ">
            <div class="calendar-body">
                <div class="calendar-days">
                    <div><?php echo e($sunday_name); ?></div>
                    <div><?php echo e($monday_name); ?></div>
                    <div><?php echo e($tuesday_name); ?></div>
                    <div><?php echo e($wednesday_name); ?></div>
                    <div><?php echo e($thursday_name); ?></div>
                    <div><?php echo e($friday_name); ?></div>
                    <div><?php echo e($saturday_name); ?></div>
                </div>
                <div class="calendar-dates-no">
                    <?php $__currentLoopData = $days; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $day): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
                       <?php echo draw_calendar_weekly($day, $driver_id); ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>
    </div>
</div>

<?php endif; ?>
<?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/occupancyCalendar/view/OccupancyCalendarView.blade.php ENDPATH**/ ?>