

<?php $__env->startSection('title'); ?>
    Shippers and Consignees Edit
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
    <style type="text/css">
        .white-box {
            height: auto!important;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <?php echo Form::model($customer,array(
            'route'     => ['company.admin.customer.update',$customer->id],
            'method'    => 'PATCH',
            'files'     => 'true',
            'class'     => 'edit-form'
        )
    ); ?>

        <div class="row">
            <div class="col-lg-6">
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">General Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Name<span>*</span></label>
                                    <?php echo Form::text('name', old('name'), array('class' => 'form-control', 'autocomplete' => 'new','required' => 'required')); ?>

                                    <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-12 geocoding">
                                <input type="hidden" class="geocoding-latitude" name="latitude" value="<?php echo e(isset($customer->latitude)?$customer->latitude:''); ?>" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="longitude" value="<?php echo e(isset($customer->longitude)?$customer->longitude:''); ?>" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="<?php echo e(isset($customer->timezone_abbr)?$customer->timezone_abbr:''); ?>" autocomplete="off" data-parsley-errors-container="#timezone_abbr-errors" data-parsley-required-message="Please verify address" required>
                                <input type="hidden" class="geocoding-verified" name="address_verified" value="<?php echo e(isset($customer->address_verified)?$customer->address_verified:'0'); ?>" autocomplete="off">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address</label>
                                            <?php echo Form::text('address', old('address'), array(
                                                    'class'         => 'form-control geocoding-address-1',
                                                    'placeholder'   => '',
                                                    'id'            => 'address',
                                                    'required'      => 'required'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Address 2</label>
                                            <?php echo Form::text('address2', old('address2'), array(
                                                    'class'         => 'form-control geocoding-address-2',
                                                    'placeholder'   => '',
                                                    'id'            => 'address2'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>City</label>
                                            <?php echo Form::text('city', old('city'), array(
                                                    'class'         => 'form-control geocoding-city',
                                                    'placeholder'   => '',
                                                    'id'            => 'city'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>State</label>
                                            <?php echo Form::text('state', old('state'), array(
                                                    'class'         => 'form-control geocoding-state',
                                                    'placeholder'   => '',
                                                    'id'            => 'state',
                                                    'required'      => 'required'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Zip</label>
                                            <?php echo Form::text('zip', old('zip'), array(
                                                    'class'         => 'form-control geocoding-zip',
                                                    'placeholder'   => '',
                                                    'id'            => 'zip',
                                                    'required'      => 'required'
                                                )
                                            ); ?>

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <?php if(isset($customer->address_verified) && $customer->address_verified=='1'): ?>
                                            <button type="button" class="btn btn-success geocoding-btn" data-uid="<?php echo e('map-'.generateStrUniqueId()); ?>">Verified</button>
                                        <?php else: ?>
                                            <button type="button" class="btn btn-warning geocoding-btn" data-uid="<?php echo e('map-'.generateStrUniqueId()); ?>">Verify</button>
                                        <?php endif; ?>
                                        <div id="timezone_abbr-errors"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Phone</label>
                                    <?php echo Form::text('phone', old('phone'), array('class' => 'form-control phone')); ?>

                                    <?php $__errorArgs = ['phone'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Email</label>
                                    <?php echo Form::email('email', old('email'), array('class' => 'form-control')); ?>

                                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Fax</label>
                                    <?php echo Form::text('fax', old('fax'), array('class' => 'form-control')); ?>

                                    <?php $__errorArgs = ['fax'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Account</label>
                                    <?php echo Form::text('account', old('account'), array('class' => 'form-control')); ?>

                                    <?php $__errorArgs = ['account'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Business Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Federal ID</label>
                                    <?php echo Form::text('federal_id', old('federal_id'), array('class' => 'form-control')); ?>

                                    <?php $__errorArgs = ['federal_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>MC Number</label>
                                    <?php echo Form::text('mc_number', old('mc_number'), array('class' => 'form-control')); ?>

                                    <?php $__errorArgs = ['mc_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>USDOT</label>
                                    <?php echo Form::text('usdot', old('usdot'), array('class' => 'form-control')); ?>

                                    <?php $__errorArgs = ['usdot'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>SCAC</label>
                                    <?php echo Form::text('scac', old('scac'), array('class' => 'form-control')); ?>

                                    <?php $__errorArgs = ['scac'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Account No</label>
                                    <?php echo Form::text('business_account_no', old('business_account_no'), array('class' => 'form-control')); ?>

                                    <?php $__errorArgs = ['business_account_no'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Account Type</label>
                                    <?php echo Form::text('business_account_type', old('business_account_type'), array('class' => 'form-control')); ?>

                                    <?php $__errorArgs = ['business_account_type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="white-box mb-4">
                    <h4 class="box-title">Contact Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Dispatch Contact</label>
                                    <?php echo Form::text('dispatch_contact', old('dispatch_contact'), array('class' => 'form-control phone', 'autocomplete' => 'new')); ?>

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>A/P Contact</label>
                                    <?php echo Form::text('ap_contact', old('ap_contact'), array('class' => 'form-control phone')); ?>

                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Other Contact</label>
                                    <?php echo Form::text('other_contact', old('other_contact'), array('class' => 'form-control phone')); ?>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="white-box mb-4">
                    <h4 class="box-title">Billing Information</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Bill To(other)</label>
                                    <?php echo Form::text('bill_to', old('bill_to'), array('class' => 'form-control')); ?>

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Invoice Method</label>
                                    <?php echo Form::select('invoice_method', ['' => 'Select Invoice Method']+getInvoiceMethod(), null, ['class' => 'custom-select driver-select2 form-control']); ?>

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Invoicing Email</label>
                                    <?php echo Form::email('invoicing_email', old('invoicing_email'), array('class' => 'form-control')); ?>

                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Factored</label>
                                    <?php echo Form::text('factored', old('factored'), array('class' => 'form-control')); ?>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="white-box mb-4 generalAccount">
                    <h4 class="box-title">Required Documents</h4>
                    <div class="box-padding">
                        <div class="row">
                            <div class="col-md-12 mt-2 mb-2">
                                <p>When Shipper - <span class="text-primary rep-broker-contact" data-toggle="modal" id="shipperaddRow">Add New</span></p>
                            </div>
                            <div class="col-md-12">
                                <?php
                                    if(!empty($customer->shipper_files)){
                                        $shipper_files = unserialize($customer->shipper_files);
                                    }else{
                                        $shipper_files = unserialize(config('settings.shipper_files'));
                                    }

                                    $newSetShi=1001;
                                ?>
                                <?php if(is_array($shipper_files) && count($shipper_files) > 0): ?>
                                    <?php $__currentLoopData = $shipper_files; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shipperf): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="row align-items-center mb-2" id="shipperinputFormRow">
                                        <div class="col-md-1 cheskejw">
                                            <div class="custom-control custom-checkbox">
                                                <input type="hidden" name="shipper_files[is_required][<?php echo e($newSetShi); ?>]" value="off">
                                                <input type="checkbox" class="custom-control-input" id="is_required1<?php echo e($newSetShi); ?>"  name="shipper_files[is_required][<?php echo e($newSetShi); ?>]" <?php if($shipperf['is_required'] == 'on'): ?> checked <?php endif; ?>>
                                                <label class="custom-control-label" for="is_required1<?php echo e($newSetShi); ?>"></label>
                                            </div>
                                        </div>
                                        <div class="col-md-5 pl-0 pr-0">
                                            <?php if($shipperf['fixed'] == 'yes'): ?>
                                            <div class="form-group mt-1">
                                                <input type="hidden" name="shipper_files[name][<?php echo e($newSetShi); ?>]" value="<?php echo e($shipperf['name']); ?>">
                                                <label><?php echo e($shipperf['name']); ?></label>
                                            </div>
                                            <?php else: ?>
                                            <div class="form-group">
                                                <input class="form-control" name="shipper_files[name][<?php echo e($newSetShi); ?>]" value="<?php echo e($shipperf['name']); ?>" type="text" required />
                                            </div>
                                            <?php endif; ?>
                                        </div>
                                        <div class="col-md-5 custom-width radio-btn-div stradibut">
                                            <div class="btn-group btn-group-toggle" data-toggle="buttons">
                                                <label class="btn btn-secondary <?php if($shipperf['type'] == 1): ?> active <?php endif; ?>">
                                                <input class="custom-control-input" name="shipper_files[type][<?php echo e($newSetShi); ?>]" type="radio" value="1" <?php if($shipperf['type'] == 1): ?> checked <?php endif; ?>> Copy
                                                </label>
                                                <label class="btn btn-secondary <?php if($shipperf['type'] == 2): ?> active <?php endif; ?>">
                                                <input class="custom-control-input" name="shipper_files[type][<?php echo e($newSetShi); ?>]" type="radio" value="2" <?php if($shipperf['type'] == 2): ?> checked <?php endif; ?>> Original
                                                </label>
                                            </div>
                                        </div>
                                        <div class="col-md-1 pl-0 pr-0">
                                            <?php if($shipperf['fixed'] == 'yes'): ?>
                                                <input type="hidden" name="shipper_files[fixed][<?php echo e($newSetShi); ?>]" value="yes">
                                            <?php else: ?>
                                                <a href="javascript:void(0)" class="btn btn-danger" id="shipperremoveRow"><i class="fa fa-trash"></i></a>
                                                <input type="hidden" name="shipper_files[fixed][<?php echo e($newSetShi); ?>]" value="no">
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <?php $newSetShi++; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                                <div id="shippernewRow">
                                </div>
                            </div>
                            <div class="col-md-12 mt-4 mb-2">
                                <p>When Consignee - <span class="text-primary rep-broker-contact" data-toggle="modal" id="consigneeaddRow">Add New</span></p>
                            </div>
                            <div class="col-md-12">
                                <?php
                                    if(!empty($customer->shipper_files)){
                                        $consignee_files = unserialize($customer->consignee_files);
                                    }else{
                                        $consignee_files = unserialize(config('settings.consignee_files'));
                                    }
                                    $newConShi=1001;
                                ?>
                                <?php if(is_array($consignee_files) && count($consignee_files) > 0): ?>
                                    <?php $__currentLoopData = $consignee_files; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $consigneef): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="row align-items-center mb-2" id="shipperinputFormRow">
                                        <div class="col-md-1 cheskejw">
                                            <div class="custom-control custom-checkbox">
                                                <input type="hidden" name="consignee_files[is_required][<?php echo e($newConShi); ?>]" value="off">
                                                <input type="checkbox" class="custom-control-input" id="is_requi<?php echo e($newConShi); ?>"  name="consignee_files[is_required][<?php echo e($newConShi); ?>]" <?php if($consigneef['is_required'] == 'on'): ?> checked <?php endif; ?>>
                                                <label class="custom-control-label" for="is_requi<?php echo e($newConShi); ?>"></label>
                                            </div>
                                        </div>
                                        <div class="col-md-5 pl-0 pr-0">
                                            <?php if($consigneef['fixed'] == 'yes'): ?>
                                            <div class="form-group mt-1">
                                                <input type="hidden" name="consignee_files[name][<?php echo e($newConShi); ?>]" value="<?php echo e($consigneef['name']); ?>">
                                                <label><?php echo e($consigneef['name']); ?></label>
                                            </div>
                                            <?php else: ?>
                                            <div class="form-group">
                                                <input class="form-control" name="consignee_files[name][<?php echo e($newConShi); ?>]" value="<?php echo e($consigneef['name']); ?>" type="text" required />
                                            </div>
                                            <?php endif; ?>
                                        </div>
                                        <div class="col-md-5 custom-width radio-btn-div stradibut">
                                            <div class="btn-group btn-group-toggle" data-toggle="buttons">
                                                <label class="btn btn-secondary <?php if($consigneef['type'] == 1): ?> active <?php endif; ?>">
                                                <input class="custom-control-input" name="consignee_files[type][<?php echo e($newConShi); ?>]" type="radio" value="1" <?php if($consigneef['type'] == 1): ?> checked <?php endif; ?>> Copy
                                                </label>
                                                <label class="btn btn-secondary <?php if($consigneef['type'] == 2): ?> active <?php endif; ?>">
                                                <input class="custom-control-input" name="consignee_files[type][<?php echo e($newConShi); ?>]" type="radio" value="2" <?php if($consigneef['type'] == 2): ?> checked <?php endif; ?>> Original
                                                </label>
                                            </div>
                                        </div>
                                        <div class="col-md-1 pl-0 pr-0">
                                            <?php if($consigneef['fixed'] == 'yes'): ?>
                                                <input type="hidden" name="consignee_files[fixed][<?php echo e($newConShi); ?>]" value="yes">
                                            <?php else: ?>
                                                <a href="javascript:void(0)" class="btn btn-danger" id="shipperremoveRow"><i class="fa fa-trash"></i></a>
                                                <input type="hidden" name="consignee_files[fixed][<?php echo e($newConShi); ?>]" value="no">
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <?php $newConShi++; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                                <div id="consigneenewRow">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-bottom">
            <a href="<?php echo e(route('company.admin.customer.index')); ?>" class="cancel-btn">Cancel</a>
            <button class="submit-btn">Submit</button>
        </div>
    <?php echo Form::close(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        $( document ).ready(function() {
            $('.edit-form').parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
        });
    </script>
    <script type="text/javascript">
        var i       = parseInt('<?php echo e($newSetShi); ?>');
        $("#shipperaddRow").click(function () {
            var html = '';
            html    += '<div class="row align-items-center mb-2" id="shipperinputFormRow">';
            html    += '<div class="col-md-1 cheskejw">';
            html    += '<div class="custom-control custom-checkbox">';
            html    += '<input type="hidden" name="shipper_files[is_required]['+i+']" value="off">';
            html    += '<input type="checkbox" class="custom-control-input" id="sameashi2w'+i+'" name="shipper_files[is_required]['+i+']">';
            html    += '<label class="custom-control-label" for="sameashi2w'+i+'"></label>';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-5 pl-0 pr-0">';
            html    += '<div class="form-group mt-1">';
            html    += '<input class="form-control" name="shipper_files[name]['+i+']" type="text" required />';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-5 custom-width radio-btn-div stradibut">';
            html    += '<div class="btn-group btn-group-toggle" data-toggle="buttons">';
            html    += '<label class="btn btn-secondary">';
            html    += '<input class="custom-control-input" name="shipper_files[type]['+i+']" type="radio" value="1" > Copy';
            html    += '</label>';
            html    += '<label class="btn btn-secondary active">';
            html    += '<input class="custom-control-input" name="shipper_files[type]['+i+']" type="radio" value="2" checked="checked" > Original';
            html    += '</label>';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-1 pl-0 pr-0">';
            html    += '<a href="javascript:void(0)" class="btn btn-danger" id="shipperremoveRow"><i class="fa fa-trash"></i></a>';
            html    += '<input type="hidden" name="shipper_files[fixed]['+i+']" value="no">';
            html    += '</div>';
            html    += '</div>';

            $('#shippernewRow').append(html);
            i++

            setPhoneNumber();
        });

        // remove row
        $(document).on('click', '#shipperremoveRow', function () {
            $(this).closest('#shipperinputFormRow').remove();
        });

        var il      = parseInt('<?php echo e($newConShi); ?>');
        $("#consigneeaddRow").click(function () {
            var html = '';
            html    += '<div class="row align-items-center mb-2" id="consigneeinputFormRow">';
            html    += '<div class="col-md-1 cheskejw">';
            html    += '<div class="custom-control custom-checkbox">';
            html    += '<input type="hidden" name="consignee_files[is_required]['+il+']" value="off">';
            html    += '<input type="checkbox" class="custom-control-input" id="sameadd2w'+il+'" name="consignee_files[is_required]['+i+']">';
            html    += '<label class="custom-control-label" for="sameadd2w'+il+'"></label>';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-5 pl-0 pr-0">';
            html    += '<div class="form-group mt-1">';
            html    += '<input class="form-control" name="consignee_files[name]['+il+']" type="text" required />';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-5 custom-width radio-btn-div stradibut">';
            html    += '<div class="btn-group btn-group-toggle" data-toggle="buttons">';
            html    += '<label class="btn btn-secondary">';
            html    += '<input class="custom-control-input" name="consignee_files[type]['+il+']" type="radio" value="1" > Copy';
            html    += '</label>';
            html    += '<label class="btn btn-secondary active">';
            html    += '<input class="custom-control-input" name="consignee_files[type]['+il+']" type="radio" value="2" checked="checked" > Original';
            html    += '</label>';
            html    += '</div>';
            html    += '</div>';
            html    += '<div class="col-md-1 pl-0 pr-0">';
            html    += '<a href="javascript:void(0)" class="btn btn-danger" id="consigneeremoveRow"><i class="fa fa-trash"></i></a>';
            html    += '<input type="hidden" name="consignee_files[fixed]['+il+']" value="no">';
            html    += '</div>';
            html    += '</div>';

            $('#consigneenewRow').append(html);
            il++

            setPhoneNumber();
        });

        // remove row
        $(document).on('click', '#consigneeremoveRow', function () {
            $(this).closest('#consigneeinputFormRow').remove();
        });
    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('after-scripts'); ?>
    <script src="<?php echo e(asset('theme/js/trimble.js')); ?>"></script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/customer/edit.blade.php ENDPATH**/ ?>