<?php if(in_array($jsonData['source'], ['load_details', 'load_stops']) && in_array($jsonData['field_name'], ['shipper_files_upload', 'consignee_files_upload', 'stop_shipper_files_upload', 'stop_consignee_files_upload'])): ?>
    <?php
        $random_id  = 'required_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
        $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
    ?>
    <div class="col-xl-3 col-md-6">
        <div class="dishpatchPlan-content <?php echo e($jsonData['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($jsonData)); ?>">
            <div class="dishpatchPlan-block border-bottom">
                <div>
                    <label>Status</label>
                    <span class="<?php echo e($jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($jsonData['status']); ?></span>
                </div>
                <div>
                    <label>Stop</label>
                    <span><?php echo e($jsonData['stop']['name'] ?? ''); ?></span>
                </div>
                <div>
                    <label>Stop Details</label>
                    <span><?php echo e($jsonData['stop']['customer_name'] ?? ''); ?></span>
                </div>

                <div>
                    <label>Location</label>
                    <span><?php echo e($jsonData['stop']['addresses'] ?? ''); ?></span>
                </div>
                <div>
                    <label>Document Name</label>
                    <span>
                        <?php if(isset($jsonData['filename_id']) && $jsonData['filename_id']=='0'): ?>
                            Other - <?php echo e($jsonData['filename']); ?>

                        <?php else: ?>
                            <?php echo e($jsonData['filename']); ?>

                        <?php endif; ?>
                    </span>
                </div>
                <div>
                    <label>Type</label>
                    <span><?php echo e($jsonData['type'] == '1' ? 'Copy' : 'Original'); ?></span>
                </div>
            </div>
            <div class="dishpatchPlan-block">
                <div>
                    <label></label>
                    <?php if($jsonData['status'] == 'Complete'): ?>
                        <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                            Remove
                        </a>
                    <?php else: ?>
                        <?php if($jsonData['type'] == '1'): ?>
                            <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                            </a>
                        <?php else: ?>
                            <div class="custom-control custom-checkbox-blue pl-sm-0 my-0 d-flex align-items-center">
                                <input type="checkbox" class="custom-control-input" id="is_received_<?php echo e($random_id); ?>">
                                <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_<?php echo e($random_id); ?>">Received</label>
                            </div>
                        <?php endif; ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
<?php elseif($jsonData['source'] == 'load_document_request_items'): ?>
    <?php
        $random_id  = 'requested_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
        $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
    ?>
    <div class="col-xl-3 col-md-6">
        <div class="dishpatchPlan-content <?php echo e($jsonData['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($jsonData)); ?>">
            <div class="dishpatchPlan-block border-bottom">
                <div>
                    <label>Status</label>
                    <span class="<?php echo e($jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($jsonData['status']); ?></span>
                </div>
                <div>
                    <label>Stop</label>
                    <span><?php echo e($jsonData['stop']['name'] ?? ''); ?></span>
                </div>
                <div>
                    <label>Stop Details</label>
                    <span><?php echo e($jsonData['stop']['customer_name'] ?? ''); ?></span>
                </div>

                <div>
                    <label>Location</label>
                    <span><?php echo e($jsonData['stop']['addresses'] ?? ''); ?></span>
                </div>
                <div>
                    <label>Document Name</label>
                    <span>
                        <?php if(isset($jsonData['filename_id']) && $jsonData['filename_id']=='0'): ?>
                            Other - <?php echo e($jsonData['filename']); ?>

                        <?php else: ?>
                            <?php echo e($jsonData['filename']); ?>

                        <?php endif; ?>
                    </span>
                </div>
                <div>
                    <label>Type</label>
                    <span><?php echo e($jsonData['type'] == '1' ? 'Copy' : 'Original'); ?></span>
                </div>
            </div>
            <div class="dishpatchPlan-block">
                <div>
                    <label></label>
                    <?php if($jsonData['status'] == 'Complete'): ?>
                        <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                            Remove
                        </a>
                    <?php else: ?>
                        <?php if($jsonData['type'] == '1'): ?>
                            <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                            </a>
                        <?php else: ?>
                            <div class="custom-control custom-checkbox-blue pl-sm-0 my-0 d-flex align-items-center">
                                <input type="checkbox" class="custom-control-input" id="is_received_<?php echo e($random_id); ?>">
                                <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_<?php echo e($random_id); ?>">Received</label>
                            </div>
                        <?php endif; ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
<?php elseif($jsonData['source'] == 'load_accessorials'): ?>
    <?php
        $random_id  = 'accessorial_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
        $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
    ?>
    <div class="col-xl-3 col-md-6">
        <div class="dishpatchPlan-content <?php echo e($jsonData['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($jsonData)); ?>">
            <div class="dishpatchPlan-block border-bottom">
                <div>
                    <label>Status</label>
                    <span class="<?php echo e($jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($jsonData['status']); ?></span>
                </div>
                <div>
                    <label>Stop</label>
                    <span><?php echo e($jsonData['stop']['name'] ?? ''); ?></span>
                </div>
                <div>
                    <label>Stop Details</label>
                    <span><?php echo e($jsonData['stop']['customer_name'] ?? ''); ?></span>
                </div>

                <div>
                    <label>Location</label>
                    <span><?php echo e($jsonData['stop']['addresses'] ?? ''); ?></span>
                </div>
                <div>
                    <label>Document Name</label>
                    <span>
                        <?php echo e($jsonData['filename']); ?>

                    </span>
                </div>
                <div>
                    <label>Type</label>
                    <span>Copy</span>
                </div>
            </div>
            <div class="dishpatchPlan-block">
                <div>
                    <label></label>
                    <?php if($jsonData['status'] == 'Complete'): ?>
                        <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                            Remove
                        </a>
                    <?php else: ?>
                        <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                            <span class="font-weight-bold fs-14 ml-0">Upload</span>
                            <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                        </a>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
<?php elseif($jsonData['source'] == 'load_files'): ?>
    <?php
        $random_id  = 'other_'.substr(md5($jsonData['id'].'_'.$jsonData['source'].'_'.$jsonData['field_name']), 0, 12);
        $random_id .= '_1'.mt_rand(1000, 9999).'_'.\Str::random(8);
    ?>
    <div class="col-xl-3 col-md-6">
        <div class="dishpatchPlan-content <?php echo e($jsonData['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($jsonData)); ?>">
            <div class="dishpatchPlan-block border-bottom">
                <div>
                    <label>Status</label>
                    <span class="<?php echo e($jsonData['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($jsonData['status']); ?></span>
                </div>
                <div>
                    <label>Stop</label>
                    <span><?php echo e($jsonData['stop']['name'] ?? ''); ?></span>
                </div>
                <div>
                    <label>Stop Details</label>
                    <span></span>
                </div>

                <div>
                    <label>Location</label>
                    <span></span>
                </div>
                <div>
                    <label>Document Name</label>
                    <span>
                        <?php echo e($jsonData['filename']); ?>

                    </span>
                </div>
                <div>
                    <label>Type</label>
                    <span>Copy</span>
                </div>
            </div>
            <div class="dishpatchPlan-block">
                <div>
                    <label></label>
                    <?php if($jsonData['status'] == 'Complete'): ?>
                        <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                            Remove
                        </a>
                    <?php else: ?>
                        <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                            <span class="font-weight-bold fs-14 ml-0">Upload</span>
                            <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                        </a>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/driverAdmin/mytrips/ajax/historic_dispatch/document_detail-new.blade.php ENDPATH**/ ?>