<?php if(!isset($formdata['status'])): ?>
    <div class="dishpatchPlan-main p-0 mb-3">
        <div class="row justify-content-end historic-dispatch-content">
            <div class="col-lg-2 col-md-3 documents-options">
                <select class="form-control paperwork-options my-3 w-100" data-id="<?php echo e($load_detail->id); ?>">
                    <!-- <option value="">Select</option> -->
                    <option value="0">Missing Paperwork</option>
                    <option value="1" selected>All Paperwork</option>
                </select>
            </div>
            <div class="col-lg-10 col-md-9 documents-body">
                <div class="row g-2">
                    <?php if(
                        !empty($static_documents) ||
                        !empty($required_documents) ||
                        !empty($requested_documents) ||
                        !empty($accessorial_documents) ||
                        !empty($other_documents) ||
                        !empty($cod_documents)
                    ): ?>
                        <!-- Static Documents -->
                        <?php
                            $i                  = 1;
                        ?>
                        <?php $__currentLoopData = $static_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                $random_id      = 'static_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);
                            ?>
                            <div class="col-xl-3 col-md-6">
                                <div class="dishpatchPlan-content <?php echo e($node['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($node)); ?>">
                                    <div class="dishpatchPlan-block">
                                        <div>
                                            <label>Status</label>
                                            <span class="<?php echo e($node['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($node['status']); ?></span>
                                        </div>
                                        <div>
                                            <label>Stop</label>
                                            <span><?php echo e($node['stop']['name'] ?? ''); ?></span>
                                        </div>
                                        <div>
                                            <label>Stop Details</label>
                                            <span></span>
                                        </div>

                                        <div>
                                            <label>Location</label>
                                            <span></span>
                                        </div>
                                        <div>
                                            <label>Document Name</label>
                                            <span>
                                                <?php echo e($node['filename']); ?>

                                            </span>
                                        </div>
                                        <div>
                                            <label>Type</label>
                                            <span>Copy</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                                $i++;
                            ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <!-- Required Documents -->
                        <?php
                            $i                  = 1;
                        ?>
                        <?php $__currentLoopData = $required_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                $random_id      = 'required_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                                $action         = 1;
                                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                                        $action = 0;
                                    }
                                }
                            ?>
                            <div class="col-xl-3 col-md-6">
                                <div class="dishpatchPlan-content <?php echo e($node['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($node)); ?>">
                                    <div class="dishpatchPlan-block border-bottom">
                                        <div>
                                            <label>Status</label>
                                            <span class="<?php echo e($node['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($node['status']); ?></span>
                                        </div>
                                        <div>
                                            <label>Stop</label>
                                            <span><?php echo e($node['stop']['name'] ?? ''); ?></span>
                                        </div>
                                        <div>
                                            <label>Stop Details</label>
                                            <span><?php echo e($node['stop']['customer_name'] ?? ''); ?></span>
                                        </div>

                                        <div>
                                            <label>Location</label>
                                            <span><?php echo e($node['stop']['addresses'] ?? ''); ?></span>
                                        </div>
                                        <div>
                                            <label>Document Name</label>
                                            <span>
                                                <?php if(isset($node['filename_id']) && $node['filename_id']=='0'): ?>
                                                    Other - <?php echo e($node['filename']); ?>

                                                <?php else: ?>
                                                    <?php echo e($node['filename']); ?>

                                                <?php endif; ?>
                                            </span>
                                        </div>
                                        <div>
                                            <label>Type</label>
                                            <span><?php echo e($node['type'] == '1' ? 'Copy' : 'Original'); ?></span>
                                        </div>
                                    </div>
                                    <div class="dishpatchPlan-block">
                                        <div>
                                            <label></label>
                                            <?php if($action == 1): ?>
                                                <?php if($node['status'] == 'Complete'): ?>
                                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                                        Remove
                                                    </a>
                                                <?php else: ?>
                                                    <?php if($node['type'] == '1'): ?>
                                                        <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                                            <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                                            <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                                        </a>
                                                    <?php else: ?>
                                                        <div class="custom-control custom-checkbox-blue pl-sm-0 my-0 d-flex align-items-center">
                                                            <input type="checkbox" class="custom-control-input" id="is_received_<?php echo e($random_id); ?>">
                                                            <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_<?php echo e($random_id); ?>">Received</label>
                                                        </div>
                                                    <?php endif; ?>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                                $i++;
                            ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <!-- Requested Documents -->
                        <?php
                            $i                  = 1;
                        ?>
                        <?php $__currentLoopData = $requested_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                $random_id      = 'requested_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                                $action         = 1;
                                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                                        $action = 0;
                                    }
                                }
                            ?>
                            <div class="col-xl-3 col-md-6">
                                <div class="dishpatchPlan-content <?php echo e($node['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($node)); ?>">
                                    <div class="dishpatchPlan-block border-bottom">
                                        <div>
                                            <label>Status</label>
                                            <span class="<?php echo e($node['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($node['status']); ?></span>
                                        </div>
                                        <div>
                                            <label>Stop</label>
                                            <span><?php echo e($node['stop']['name'] ?? ''); ?></span>
                                        </div>
                                        <div>
                                            <label>Stop Details</label>
                                            <span><?php echo e($node['stop']['customer_name'] ?? ''); ?></span>
                                        </div>

                                        <div>
                                            <label>Location</label>
                                            <span><?php echo e($node['stop']['addresses'] ?? ''); ?></span>
                                        </div>
                                        <div>
                                            <label>Document Name</label>
                                            <span>
                                                <?php if(isset($node['filename_id']) && $node['filename_id']=='0'): ?>
                                                    Other - <?php echo e($node['filename']); ?>

                                                <?php else: ?>
                                                    <?php echo e($node['filename']); ?>

                                                <?php endif; ?>
                                            </span>
                                        </div>
                                        <div>
                                            <label>Type</label>
                                            <span><?php echo e($node['type'] == '1' ? 'Copy' : 'Original'); ?></span>
                                        </div>
                                    </div>
                                    <div class="dishpatchPlan-block">
                                        <div>
                                            <label></label>
                                            <?php if($action == 1): ?>
                                                <?php if($node['status'] == 'Complete'): ?>
                                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                                        Remove
                                                    </a>
                                                <?php else: ?>
                                                    <?php if($node['type'] == '1'): ?>
                                                        <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                                            <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                                            <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                                        </a>
                                                    <?php else: ?>
                                                        <div class="custom-control custom-checkbox-blue pl-sm-0 my-0 d-flex align-items-center">
                                                            <input type="checkbox" class="custom-control-input" id="is_received_<?php echo e($random_id); ?>">
                                                            <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_<?php echo e($random_id); ?>">Received</label>
                                                        </div>
                                                    <?php endif; ?>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                                $i++;
                            ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <!-- Accessorial Documents -->
                        <?php
                            $i                  = 1;
                        ?>
                        <?php $__currentLoopData = $accessorial_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                $random_id      = 'accessorial_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                                $action         = 1;
                                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                                        $action = 0;
                                    }
                                }
                            ?>
                            <div class="col-xl-3 col-md-6">
                                <div class="dishpatchPlan-content <?php echo e($node['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($node)); ?>">
                                    <div class="dishpatchPlan-block border-bottom">
                                        <div>
                                            <label>Status</label>
                                            <span class="<?php echo e($node['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($node['status']); ?></span>
                                        </div>
                                        <div>
                                            <label>Stop</label>
                                            <span><?php echo e($node['stop']['name'] ?? ''); ?></span>
                                        </div>
                                        <div>
                                            <label>Stop Details</label>
                                            <span><?php echo e($node['stop']['customer_name'] ?? ''); ?></span>
                                        </div>

                                        <div>
                                            <label>Location</label>
                                            <span><?php echo e($node['stop']['addresses'] ?? ''); ?></span>
                                        </div>
                                        <div>
                                            <label>Document Name</label>
                                            <span>
                                                <?php echo e($node['filename']); ?>

                                            </span>
                                        </div>
                                        <div>
                                            <label>Type</label>
                                            <span>Copy</span>
                                        </div>
                                    </div>
                                    <div class="dishpatchPlan-block">
                                        <div>
                                            <label></label>
                                            <?php if($action == 1): ?>
                                                <?php if($node['status'] == 'Complete'): ?>
                                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                                        Remove
                                                    </a>
                                                <?php else: ?>
                                                    <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                                        <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                                        <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                                    </a>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                                $i++;
                            ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <!-- Other Documents -->
                        <?php
                            $i                  = 1;
                        ?>
                        <?php $__currentLoopData = $other_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                $random_id      = 'other_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                                $action         = 1;
                                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                                        $action = 0;
                                    }
                                }
                            ?>
                            <div class="col-xl-3 col-md-6">
                                <div class="dishpatchPlan-content <?php echo e($node['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($node)); ?>">
                                    <div class="dishpatchPlan-block border-bottom">
                                        <div>
                                            <label>Status</label>
                                            <span class="<?php echo e($node['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($node['status']); ?></span>
                                        </div>
                                        <div>
                                            <label>Stop</label>
                                            <span><?php echo e($node['stop']['name'] ?? ''); ?></span>
                                        </div>
                                        <div>
                                            <label>Stop Details</label>
                                            <span></span>
                                        </div>

                                        <div>
                                            <label>Location</label>
                                            <span></span>
                                        </div>
                                        <div>
                                            <label>Document Name</label>
                                            <span>
                                                <?php echo e($node['filename']); ?>

                                            </span>
                                        </div>
                                        <div>
                                            <label>Type</label>
                                            <span>Copy</span>
                                        </div>
                                    </div>
                                    <div class="dishpatchPlan-block">
                                        <div>
                                            <label></label>
                                            <?php if($action == 1): ?>
                                                <?php if($node['status'] == 'Complete'): ?>
                                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                                        Remove
                                                    </a>
                                                <?php else: ?>
                                                    <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                                        <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                                        <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                                    </a>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                                $i++;
                            ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <!-- COD Documents -->
                        <?php
                            $i                  = 1;
                        ?>
                        <?php $__currentLoopData = $cod_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                $random_id      = 'cod_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);
                            ?>
                            <div class="col-xl-3 col-md-6">
                                <div class="dishpatchPlan-content <?php echo e($node['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($node)); ?>">
                                    <div class="dishpatchPlan-block">
                                        <div>
                                            <label>Status</label>
                                            <span class="<?php echo e($node['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($node['status']); ?></span>
                                        </div>
                                        <div>
                                            <label>Stop</label>
                                            <span><?php echo e($node['stop']['name'] ?? ''); ?></span>
                                        </div>
                                        <div>
                                            <label>Stop Details</label>
                                            <span></span>
                                        </div>

                                        <div>
                                            <label>Location</label>
                                            <span></span>
                                        </div>
                                        <div>
                                            <label>Document Name</label>
                                            <span>
                                                <?php echo e($node['filename']); ?>

                                            </span>
                                        </div>
                                        <div>
                                            <label>Type</label>
                                            <span>Copy</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                                $i++;
                            ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                        <div class="col-12 py-3">
                            <p class="text-center mt-1">No data available in table</p>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
<?php else: ?>
    <?php if(
        !empty($static_documents) ||
        !empty($required_documents) ||
        !empty($requested_documents) ||
        !empty($accessorial_documents) ||
        !empty($other_documents) ||
        !empty($cod_documents)
    ): ?>
        <!-- Static Documents -->
        <?php
            $i                  = 1;
        ?>
        <?php $__currentLoopData = $static_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
                $random_id      = 'static_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);
            ?>
            <div class="col-xl-3 col-md-6">
                <div class="dishpatchPlan-content <?php echo e($node['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($node)); ?>">
                    <div class="dishpatchPlan-block">
                        <div>
                            <label>Status</label>
                            <span class="<?php echo e($node['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($node['status']); ?></span>
                        </div>
                        <div>
                            <label>Stop</label>
                            <span><?php echo e($node['stop']['name'] ?? ''); ?></span>
                        </div>
                        <div>
                            <label>Stop Details</label>
                            <span></span>
                        </div>

                        <div>
                            <label>Location</label>
                            <span></span>
                        </div>
                        <div>
                            <label>Document Name</label>
                            <span>
                                <?php echo e($node['filename']); ?>

                            </span>
                        </div>
                        <div>
                            <label>Type</label>
                            <span>Copy</span>
                        </div>
                    </div>
                </div>
            </div>
            <?php
                $i++;
            ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <!-- Required Documents -->
        <?php
            $i                  = 1;
        ?>
        <?php $__currentLoopData = $required_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
                $random_id      = 'required_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                $action         = 1;
                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                        $action = 0;
                    }
                }
            ?>
            <div class="col-xl-3 col-md-6">
                <div class="dishpatchPlan-content <?php echo e($node['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($node)); ?>">
                    <div class="dishpatchPlan-block border-bottom">
                        <div>
                            <label>Status</label>
                            <span class="<?php echo e($node['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($node['status']); ?></span>
                        </div>
                        <div>
                            <label>Stop</label>
                            <span><?php echo e($node['stop']['name'] ?? ''); ?></span>
                        </div>
                        <div>
                            <label>Stop Details</label>
                            <span><?php echo e($node['stop']['customer_name'] ?? ''); ?></span>
                        </div>

                        <div>
                            <label>Location</label>
                            <span><?php echo e($node['stop']['addresses'] ?? ''); ?></span>
                        </div>
                        <div>
                            <label>Document Name</label>
                            <span>
                                <?php if(isset($node['filename_id']) && $node['filename_id']=='0'): ?>
                                    Other - <?php echo e($node['filename']); ?>

                                <?php else: ?>
                                    <?php echo e($node['filename']); ?>

                                <?php endif; ?>
                            </span>
                        </div>
                        <div>
                            <label>Type</label>
                            <span><?php echo e($node['type'] == '1' ? 'Copy' : 'Original'); ?></span>
                        </div>
                    </div>
                    <div class="dishpatchPlan-block">
                        <div>
                            <label></label>
                            <?php if($action == 1): ?>
                                <?php if($node['status'] == 'Complete'): ?>
                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                        Remove
                                    </a>
                                <?php else: ?>
                                    <?php if($node['type'] == '1'): ?>
                                        <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                            <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                            <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                        </a>
                                    <?php else: ?>
                                        <div class="custom-control custom-checkbox-blue pl-sm-0 my-0 d-flex align-items-center">
                                            <input type="checkbox" class="custom-control-input" id="is_received_<?php echo e($random_id); ?>">
                                            <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_<?php echo e($random_id); ?>">Received</label>
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php
                $i++;
            ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <!-- Requested Documents -->
        <?php
            $i                  = 1;
        ?>
        <?php $__currentLoopData = $requested_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
                $random_id      = 'requested_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                $action         = 1;
                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                        $action = 0;
                    }
                }
            ?>
            <div class="col-xl-3 col-md-6">
                <div class="dishpatchPlan-content <?php echo e($node['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($node)); ?>">
                    <div class="dishpatchPlan-block border-bottom">
                        <div>
                            <label>Status</label>
                            <span class="<?php echo e($node['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($node['status']); ?></span>
                        </div>
                        <div>
                            <label>Stop</label>
                            <span><?php echo e($node['stop']['name'] ?? ''); ?></span>
                        </div>
                        <div>
                            <label>Stop Details</label>
                            <span><?php echo e($node['stop']['customer_name'] ?? ''); ?></span>
                        </div>

                        <div>
                            <label>Location</label>
                            <span><?php echo e($node['stop']['addresses'] ?? ''); ?></span>
                        </div>
                        <div>
                            <label>Document Name</label>
                            <span>
                                <?php if(isset($node['filename_id']) && $node['filename_id']=='0'): ?>
                                    Other - <?php echo e($node['filename']); ?>

                                <?php else: ?>
                                    <?php echo e($node['filename']); ?>

                                <?php endif; ?>
                            </span>
                        </div>
                        <div>
                            <label>Type</label>
                            <span><?php echo e($node['type'] == '1' ? 'Copy' : 'Original'); ?></span>
                        </div>
                    </div>
                    <div class="dishpatchPlan-block">
                        <div>
                            <label></label>
                            <?php if($action == 1): ?>
                                <?php if($node['status'] == 'Complete'): ?>
                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                        Remove
                                    </a>
                                <?php else: ?>
                                    <?php if($node['type'] == '1'): ?>
                                        <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                            <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                            <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                        </a>
                                    <?php else: ?>
                                        <div class="custom-control custom-checkbox-blue pl-sm-0 my-0 d-flex align-items-center">
                                            <input type="checkbox" class="custom-control-input" id="is_received_<?php echo e($random_id); ?>">
                                            <label class="custom-control-label fs-12 fw-500 text-dark" for="is_received_<?php echo e($random_id); ?>">Received</label>
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php
                $i++;
            ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <!-- Accessorial Documents -->
        <?php
            $i                  = 1;
        ?>
        <?php $__currentLoopData = $accessorial_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
                $random_id      = 'accessorial_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                $action         = 1;
                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                        $action = 0;
                    }
                }
            ?>
            <div class="col-xl-3 col-md-6">
                <div class="dishpatchPlan-content <?php echo e($node['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($node)); ?>">
                    <div class="dishpatchPlan-block border-bottom">
                        <div>
                            <label>Status</label>
                            <span class="<?php echo e($node['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($node['status']); ?></span>
                        </div>
                        <div>
                            <label>Stop</label>
                            <span><?php echo e($node['stop']['name'] ?? ''); ?></span>
                        </div>
                        <div>
                            <label>Stop Details</label>
                            <span><?php echo e($node['stop']['customer_name'] ?? ''); ?></span>
                        </div>

                        <div>
                            <label>Location</label>
                            <span><?php echo e($node['stop']['addresses'] ?? ''); ?></span>
                        </div>
                        <div>
                            <label>Document Name</label>
                            <span>
                                <?php echo e($node['filename']); ?>

                            </span>
                        </div>
                        <div>
                            <label>Type</label>
                            <span>Copy</span>
                        </div>
                    </div>
                    <div class="dishpatchPlan-block">
                        <div>
                            <label></label>
                            <?php if($action == 1): ?>
                                <?php if($node['status'] == 'Complete'): ?>
                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                        Remove
                                    </a>
                                <?php else: ?>
                                    <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                        <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                        <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                    </a>
                                <?php endif; ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php
                $i++;
            ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <!-- Other Documents -->
        <?php
            $i                  = 1;
        ?>
        <?php $__currentLoopData = $other_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
                $random_id      = 'other_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);

                $action         = 1;
                if((isset($node['upload_user_type']) && $node['upload_user_type']!='') && (isset($node['upload_by']) && $node['upload_by']!='')){
                    if($typeUserId != $node['upload_user_type'].'_'.$node['upload_by']){
                        $action = 0;
                    }
                }
            ?>
            <div class="col-xl-3 col-md-6">
                <div class="dishpatchPlan-content <?php echo e($node['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($node)); ?>">
                    <div class="dishpatchPlan-block border-bottom">
                        <div>
                            <label>Status</label>
                            <span class="<?php echo e($node['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($node['status']); ?></span>
                        </div>
                        <div>
                            <label>Stop</label>
                            <span><?php echo e($node['stop']['name'] ?? ''); ?></span>
                        </div>
                        <div>
                            <label>Stop Details</label>
                            <span></span>
                        </div>

                        <div>
                            <label>Location</label>
                            <span></span>
                        </div>
                        <div>
                            <label>Document Name</label>
                            <span>
                                <?php echo e($node['filename']); ?>

                            </span>
                        </div>
                        <div>
                            <label>Type</label>
                            <span>Copy</span>
                        </div>
                    </div>
                    <div class="dishpatchPlan-block">
                        <div>
                            <label></label>
                            <?php if($action == 1): ?>
                                <?php if($node['status'] == 'Complete'): ?>
                                    <a href="javascript:void(0);" class="btn btn-outline-blue font-weight-bold remove-document ms-auto">
                                        Remove
                                    </a>
                                <?php else: ?>
                                    <a href="javascript:void(0);" class="btn btn-blue font-weight-bold custom-file file-upload w-auto">
                                        <span class="font-weight-bold fs-14 ml-0">Upload</span>
                                        <input type="file" class="custom-file-input" accept="image/png, image/gif, image/jpeg, image/jpg, application/pdf, application/vnd.ms-excel" multiple>
                                    </a>
                                <?php endif; ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php
                $i++;
            ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <!-- COD Documents -->
        <?php
            $i                  = 1;
        ?>
        <?php $__currentLoopData = $cod_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $node): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
                $random_id      = 'cod_'.substr(md5($node['id'].'_'.$node['source'].'_'.$node['field_name']), 0, 12);
                $random_id     .= $i.mt_rand(1000, 9999).'_'.\Str::random(8);
            ?>
            <div class="col-xl-3 col-md-6">
                <div class="dishpatchPlan-content <?php echo e($node['status'] == 'Complete' ? 'lite-grey' : ''); ?>" data-jsonString="<?php echo e(json_encode($node)); ?>">
                    <div class="dishpatchPlan-block">
                        <div>
                            <label>Status</label>
                            <span class="<?php echo e($node['status'] == 'Complete' ? 'text-success' : 'text-danger'); ?>"><?php echo e($node['status']); ?></span>
                        </div>
                        <div>
                            <label>Stop</label>
                            <span><?php echo e($node['stop']['name'] ?? ''); ?></span>
                        </div>
                        <div>
                            <label>Stop Details</label>
                            <span></span>
                        </div>

                        <div>
                            <label>Location</label>
                            <span></span>
                        </div>
                        <div>
                            <label>Document Name</label>
                            <span>
                                <?php echo e($node['filename']); ?>

                            </span>
                        </div>
                        <div>
                            <label>Type</label>
                            <span>Copy</span>
                        </div>
                    </div>
                </div>
            </div>
            <?php
                $i++;
            ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php else: ?>
        <div class="col-12 py-3">
            <p class="text-center mt-1">No data available in table</p>
        </div>
    <?php endif; ?>
<?php endif; ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/driverAdmin/mytrips/ajax/historic_dispatch/detail-new.blade.php ENDPATH**/ ?>