<div class="occupancy-table linerviewtabe">
    <div class="table-responsive">
        <table class="table-bordered">
            <thead class="parent-headdiv">
                <tr>
                    <th></th>
                    <?php $__currentLoopData = $monthdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdata): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <th><?php echo e($mdata['dayname']); ?></th>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <th></th>
                </tr>
                <tr>
                    <th>Name</th>
                    <?php $__currentLoopData = $monthdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdata): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <th><?php echo e($mdata['daynumber']); ?></th>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <th>Occupancy</th>
                </tr>
            </thead>
            <tbody class="parent-tbody">
                <?php $__currentLoopData = $driver_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $driver): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr class="abc">
                        <td class="text-center table-data" data-value="<?php echo e(strtolower($driver->last_name)); ?>" >
                          <span href="javascript:void(0)" class="show-available-driver" data-driver-id="<?php echo e($driver->id); ?>" data-toggle="modal" data-target="#availableDriverModal"><?php echo e($driver->last_name); ?>, <?php echo e($driver->first_name); ?></span><br>
                       </td>
                        <?php
                            echo liner_fleet_calendar($monthdata,$driver->id);
                        ?>
                        <td class="drivper<?php echo e($driver->id); ?>"></td>
                        <script type="text/javascript">
                            var driid                   = '<?php echo e($driver->id); ?>';
                            var workingday              = $("td.driv"+driid).length;
                            var oday                    = $("td.o-box.driv"+driid).length;
                            var tot                     = (oday * 100) / workingday;
                            var tot                     = Math.round(tot);
                            if (isNaN(tot)){
                                var tot                 = 0;
                            }
                            $("td.drivper<?php echo e($driver->id); ?>").html(Math.round(tot)+'%');
                        </script>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
            <tfoot class="footer-tbody-data">
                <tr>
                    <td><?php echo e($month_name); ?> Total</td>
                    <?php $__currentLoopData = $monthdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdata): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <td><?php echo e(count($driver_list)); ?></td>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </tr>
                <tr>
                    <td>Fleet Occupancy</td>
                    <input type="hidden" class="montcc" value="0" />
                    <input type="hidden" class="montedcc" value="0" />
                    <?php $__currentLoopData = $monthdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdata): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <script type="text/javascript">
                            var coln                    = '<?php echo e($mdata['daynumber']); ?>';
                            var workingday              = $("td.dayn"+coln).length;
                            var oday                    = $("td.o-box.dayn"+coln).length;
                            var ctot                    = (oday * 100) / workingday;
                            var ctot                    = Math.round(ctot);
                            if (isNaN(ctot)){
                                var ctot                = 0;
                            }else{
                                var montcc              = $(".montcc").val();
                                $(".montcc").val(parseInt(ctot)+parseInt(montcc));

                                var montedcc            = $(".montedcc").val();
                                $(".montedcc").val(parseInt(montedcc) + 1);
                            }
                            $("td.colnu"+coln).html(Math.round(ctot)+'%');
                        </script>
                        <td class="colnu<?php echo e($mdata['daynumber']); ?>"></td>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <td class="allper"></td>
                </tr>
            </tfoot>
        </table>
    </div>
</div>
<div class="occupancy-week">
    <div class="table-responsive">
        <table class="table-bordered">
            <thead>
                <tr>
                    <?php $__currentLoopData = $getWeekRange; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $weekRange): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <th>Week <?php echo e($key); ?></th>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <?php $__currentLoopData = $getWeekRange; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $weekkey => $weekRange): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <td class="weeknu<?php echo e($weekkey); ?>">0%</td>
                        <?php
                            $weekday                    = [];
                            $weekdayocu                 = [];
                            $m=0;
                        ?>
                        <?php $__currentLoopData = $weekRange; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dd): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                if($weekkey == count($getWeekRange)){
                                    if(01 != $dd){
                                        $weekday[$m]    = '.dayn'.$dd;
                                        $weekdayocu[$m] = '.o-box.dayn'.$dd;
                                    }
                                }else{
                                    $weekday[$m]        = '.dayn'.$dd;
                                    $weekdayocu[$m]     = '.o-box.dayn'.$dd;
                                }

                                $m++;
                            ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $weekday                    = implode(', ',$weekday);
                            $weekdayocu                 = implode(', ',$weekdayocu);
                        ?>
                        <script type="text/javascript">
                            function wekklodse<?php echo e($weekkey); ?>(){
                                var weekcol             = '<?php echo e($weekkey); ?>';
                                var cusclass            = '<?php echo e($weekday); ?>';
                                var cusclassocu         = '<?php echo e($weekdayocu); ?>';
                                var workingday          = $(cusclass).length;
                                var oday                = $(cusclassocu).length;
                                var ctot                = (oday * 100) / workingday;
                                var ctot                = Math.round(ctot);
                                if (isNaN(ctot)){
                                    var ctot            = 0;
                                }
                                $("td.weeknu"+weekcol).html(Math.round(ctot)+'%');
                            }
                            wekklodse<?php echo e($weekkey); ?>();
                        </script>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tr>
            </tbody>
        </table>
    </div>
</div>
<script type="text/javascript">
    function setontedcc(){
        var montcc      = $(".montcc").val();
        var montedcc    = $(".montedcc").val();
        var allper      = parseInt(montcc)/parseInt(montedcc);
        var allper      = Math.round(allper);
        $(".allper").html(allper+'%');
    }
    setontedcc();
</script>
<?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/linerFleetCalendar/view/linerFleetCalendar.blade.php ENDPATH**/ ?>