<?php if($formdata['for']=='Dispatch Now'): ?>
    <?php
        $colspan        = 3;
    ?>
    <?php if(isset($load_detail->loads->load_stops) && $load_detail->loads->load_stops->isNotEmpty()): ?>
        <?php
            $colspan    += $load_detail->loads->load_stops->count();
        ?>
    <?php endif; ?>
    <!--  -->
    <?php
        $total_pay                                  = (float)$load_detail->agreed_upon_rate;
    ?>
    <!--  -->
    <!-- Stop directions -->
    <?php
        $stop_directions                            = [];

        $origin                                     = '';
        $destination                                = '';
        if(isset($load_detail->deadhead_mileage_options)){
            $deadhead_mileage_options               = json_decode($load_detail->deadhead_mileage_options, true);
            if(!empty($deadhead_mileage_options) && isset($deadhead_mileage_options['latitude']) && isset($deadhead_mileage_options['longitude'])){
                $origin                             = $deadhead_mileage_options['latitude'].','.$deadhead_mileage_options['longitude'];
            }
        }
        if(isset($load_detail->shipper_latitude) && isset($load_detail->shipper_longitude)){
            $destination                            = $load_detail->shipper_latitude.','.$load_detail->shipper_longitude;
        }
        $stop_directions[1]                         = [
            'origin'                                => $origin,
            'destination'                           => $destination,
        ];
    ?>
    <?php
        $directionStopNo                            = 2;
    ?>
    <?php if(isset($load_detail->loads->load_stops) && $load_detail->loads->load_stops->isNotEmpty()): ?>
        <?php $__currentLoopData = $load_detail->loads->load_stops; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $stop): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
                $origin                             = '';
                $destination                        = '';
                $sds                                = array_values($stop_directions); // Convert the associative array to a numeric array
                $sdslastArray                       = end($sds); // Get the last element of the numeric array
                if (!empty($sdslastArray)) {
                    $origin                         = $sdslastArray['destination'];
                }
                if(isset($stop->latitude) && isset($stop->longitude)){
                    $destination                    = $stop->latitude.','.$stop->longitude;
                }
                $stop_directions[$directionStopNo]  = [
                    'origin'                        => $origin,
                    'destination'                   => $destination,
                ];
                $directionStopNo++;
            ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php endif; ?>
    <?php
        $origin                                     = '';
        $destination                                = '';
        $sds                                        = array_values($stop_directions); // Convert the associative array to a numeric array
        $sdslastArray                               = end($sds); // Get the last element of the numeric array
        if (!empty($sdslastArray)) {
            $origin                                 = $sdslastArray['destination'];
        }
        if(isset($load_detail->delivery_latitude) && isset($load_detail->delivery_longitude)){
            $destination                            = $load_detail->delivery_latitude.','.$load_detail->delivery_longitude;
        }
        $stop_directions[99]                        = [
            'origin'                                => $origin,
            'destination'                           => $destination,
        ];
    ?>
    <!-- Stop directions -->
    <div class="dishpatchPlan-main p-0">
        <div class="w-92">
            <div class="row g-2">
                <div class="<?php echo e($colspan <= 3 ? 'col-xl-4 col-md-6' : 'col-xl-3 col-md-6'); ?>">
                    <div class="dishpatchPlan-content mb-2 pb-2">
                        <div class="dishpatchPlan-hedding">
                            <h6><?php echo e($load_detail->broker->name ?? ''); ?></h6>
                        </div>
                        <div class="dishpatchPlan-block">
                            <div>
                                <label>Load No:</label>
                                <span><?php echo e($load_detail->load_number ?? ''); ?></span>
                            </div>
                            <div>
                                <label>MC Number:</label>
                                <span><?php echo e($load_detail->broker->mc_number ?? ''); ?></span>
                            </div>
                            <div>
                                <label>Representative:</label>
                                <span><?php echo e($load_detail->rep ?? ''); ?></span>
                            </div>
                            <div>
                                <label>Phone:</label>
                                <span><?php echo e($load_detail->phone ?? ''); ?></span>
                            </div>
                            <div>
                                <label>Ext:</label>
                                <span><?php echo e($load_detail->ext ?? ''); ?></span>
                            </div>
                            <div>
                                <label>ProChat <img src="<?php echo e(asset('theme/images/comment.svg')); ?>" alt="Comment" class="ml-1"></label>
                                <span></span>
                            </div>
                        </div>
                    </div>
                    <div class="dishpatchPlan-content load-requirements mb-2 pb-2">
                        <div class="dishpatchPlan-hedding">
                            <h6>Load Requirements</h6>
                        </div>
                        <!-- <div class="table-responsive"> -->
                            <table class="w-100 mt-0">
                                <thead class="bg-transparent border-bottom">
                                    <tr>
                                        <th class="text-left text-dark-blue fw-600">Qty</th>
                                        <th class="text-right text-dark-blue fw-600">Item</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php if(isset($load_detail->loads->load_requirements) && $load_detail->loads->load_requirements->isNotEmpty()): ?>
                                        <?php $__currentLoopData = $load_detail->loads->load_requirements; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $requirement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td class="text-left fw-500"><?php echo e($requirement->qty); ?></td>
                                                <td class="text-right fw-500"><?php echo e($requirement->name); ?></td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?>
                                        <tr>
                                            <td class="text-left fw-500" colspan="2">No data available in table</td>
                                        </tr>
                                    <?php endif; ?>
                                </tbody>
                            </table>
                        <!-- </div> -->
                    </div>
                    <div class="dishpatchPlan-content mb-2 pb-2">
                        <div class="dishpatchPlan-hedding">
                            <h6>Load Pay</h6>
                        </div>
                        <div class="dishpatchPlan-block text-left">
                            <ul class="nav flex-column w-100 align-items-start border-bottom pb-2">
                                <li class="border-bottom">
                                    <div class="">
                                        <label class="text-dark-grey font-weight-bold">Load Gross:</label>
                                        <span class="text-dark-grey font-weight-bold"><?php echo e(isset($load_detail->agreed_upon_rate) ? '$'.number_format($load_detail->agreed_upon_rate, 2, '.', ',') : ''); ?></span>
                                    </div>
                                </li>
                                <li class="py-0">
                                    <ul class="nav flex-column w-100 d-block">
                                        <li class="w-100">
                                            <div class="">
                                                <label class="text-dark-blue font-weight-bold">Fuel Surcharge Cost Per Mile</label>
                                                <span class="fw-500"><?php echo e(isset($load_detail->fuel_surcharge_cost_per_mile) ? '$'.number_format($load_detail->fuel_surcharge_cost_per_mile, 2, '.', ',') : ''); ?></span>
                                            </div>
                                        </li>
                                        <li class="w-100">
                                            <div class="">
                                                <label class="text-dark-blue font-weight-bold">Fuel Surcharge</label>
                                                <span class="fw-500"><?php echo e(isset($load_detail->fuel_surcharge) ? '$'.number_format($load_detail->fuel_surcharge, 2, '.', ',') : ''); ?></span>
                                            </div>
                                        </li>
                                        <li class="w-100">
                                            <div class="">
                                                <label class="text-dark-blue font-weight-bold">Line Haul</label>
                                                <span class="fw-500"><?php echo e(isset($load_detail->line_haul) ? '$'.number_format($load_detail->line_haul, 2, '.', ',') : ''); ?></span>
                                            </div>
                                        </li>
                                        <?php if(isset($load_detail->detentions) && $load_detail->detentions->isNotEmpty()): ?>
                                            <?php
                                                $detention_due                          = 0;
                                            ?>
                                            <?php $__currentLoopData = $load_detail->detentions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $load_detention): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php
                                                    if(in_array($load_detention->detention_status,[2,3]) && $load_detention->review_status!='Denied'){
                                                        $detention_due                  += (float)$load_detention->detention_due;
                                                    }
                                                ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php if($detention_due > 0): ?>
                                                <li class="w-100">
                                                    <div class="">
                                                        <label class="text-dark-blue font-weight-bold">Detention</label>
                                                        <span class="fw-500"><?php echo e('$'.number_format($detention_due, 2, '.', ',')); ?></span>
                                                    </div>
                                                </li>
                                            <?php endif; ?>
                                            <?php
                                                $total_pay                              += $detention_due;
                                            ?>
                                        <?php endif; ?>
                                    </ul>
                                </li>
                                <?php if(isset($load_detail->load_accessorials) && $load_detail->load_accessorials->isNotEmpty()): ?>
                                    <?php
                                        $mileage_accessorial_array                      = [];
                                    ?>
                                    <?php $__currentLoopData = $load_detail->load_accessorials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $load_accessorial): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php
                                            $mileage_accessorial_array[]                = [
                                                'company_accessorial_id'                => $load_accessorial->company_accessorial_id,
                                                'company_accessorial_name'              => $load_accessorial->company_accessorial->name ?? '',
                                                'charge_deduct'                         => $load_accessorial->charge_deduct,
                                                'qty'                                   => $load_accessorial->qty,
                                                'rate'                                  => $load_accessorial->rate,
                                                'total'                                 => $load_accessorial->total,
                                            ];
                                        ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $mileage_accessorial_array                      = array_reduce($mileage_accessorial_array, function ($carry, $item) {
                                            $key           = $item['company_accessorial_name'];
                                            $carry[$key][] = $item;
                                            return $carry;
                                        }, []);
                                    ?>
                                    <?php if(!empty($mileage_accessorial_array)): ?>
                                        <li>
                                            <div class="">
                                                <label class="text-dark-grey font-weight-bold">Accessorial</label>
                                            </div>
                                        </li>
                                        <li class="py-0">
                                            <ul class="nav flex-column w-100 d-block">
                                                <?php $__currentLoopData = $mileage_accessorial_array; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $company_accessorial_name => $accessorials_array): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php
                                                        $total                          = 0;
                                                    ?>
                                                    <?php $__currentLoopData = $accessorials_array; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $accessorial_array): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php
                                                            if($accessorial_array['charge_deduct']==1){
                                                                $total                  += $accessorial_array['total'];
                                                            }else if($accessorial_array['charge_deduct']==2){
                                                                $total                  -= $accessorial_array['total'];
                                                            }
                                                        ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if($total >= 0): ?>
                                                        <?php
                                                            $total_pay                  += $total;
                                                        ?>
                                                    <?php else: ?>
                                                        <?php
                                                            $total_pay                  -= abs($total);
                                                        ?>
                                                    <?php endif; ?>
                                                    <li class="w-100">
                                                        <div class="">
                                                            <label class="text-dark-blue font-weight-bold"><?php echo e($company_accessorial_name); ?></label>
                                                            <span class="fw-500">
                                                                <?php if($total >= 0): ?>
                                                                    <?php echo e('$'.number_format($total, 2, '.', ',')); ?>

                                                                <?php else: ?>
                                                                    <?php echo e('-$'.number_format(abs($total), 2, '.', ',')); ?>

                                                                <?php endif; ?>
                                                            </span>
                                                        </div>
                                                    </li>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>
                                        </li>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </ul>
                            <div class="">
                                <label class="text-dark-blue font-weight-bold">Total Pay</label>
                                <span class="fw-500"><?php echo e('$'.number_format($total_pay, 2, '.', ',')); ?></span>
                            </div>
                        </div>
                    </div>
                    <div class="dishpatchPlan-content pb-2">
                        <div class="dishpatchPlan-hedding">
                            <h6>General Details</h6>
                        </div>
                        <div class="dishpatchPlan-block">
                            <div>
                                <label>Load Type:</label>
                                <span>
                                    <?php if(isset($load_detail->load_type_2)): ?>
                                        <?php if($load_detail->load_type_2 == 1): ?>
                                            LTL
                                        <?php else: ?>
                                            Full Truck
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </span>
                            </div>
                            <?php if(isset($load_detail->itemize) && $load_detail->itemize != 1): ?>
                                <div>
                                    <label>Gross Weight:</label>
                                    <span><?php echo e(isset($load_detail->weight) ? number_format($load_detail->weight, 2, '.', ',').' lbs' : ''); ?></span>
                                </div>
                                <div>
                                    <label>Load Value:</label>
                                    <span><?php echo e(isset($load_detail->load_value) ? '$'.number_format($load_detail->load_value, 2, '.', ',') : ''); ?></span>
                                </div>
                                <div>
                                    <label>Commodity:</label>
                                    <span><?php echo e($load_detail->load_commodity->name ?? ''); ?></span>
                                </div>
                                <div>
                                    <label>Temperature:</label>
                                    <span>
                                        <?php if(isset($load_detail->temp)): ?>
                                            <?php echo e($load_detail->temp); ?>

                                            <?php if($load_detail->temp_type == 1): ?>
                                                °F
                                            <?php else: ?>
                                                °C
                                            <?php endif; ?>
                                        <?php else: ?>
                                            Not Applicable
                                        <?php endif; ?>
                                    </span>
                                </div>
                            <?php endif; ?>
                            <div class="dishpatchPlan-f-link">
                                <label></label>
                                <a href="javascript:void(0);" class="btn-link text-underline disabled">More Details</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="<?php echo e($colspan <= 3 ? 'col-xl-4 col-md-6' : 'col-xl-3 col-md-6'); ?>">
                    <div class="dishpatchPlan-content">
                        <div class="dishpatchPlan-hedding">
                            <h6>Stop 1</h6>
                        </div>
                        <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                            <div>
                                <label>Type:</label>
                                <span>
                                    Pickup |
                                    <?php if($load_detail->shipper_drop_trailer_schedule == 1): ?>
                                        Drop Trailer
                                    <?php elseif($load_detail->shipper_drop_trailer_schedule == 2): ?>
                                        Drop & Hook
                                    <?php else: ?>
                                        Live
                                    <?php endif; ?>
                                </span>
                            </div>
                            <div>
                                <label>Pickup Type:</label>
                                <span>
                                    <?php if($load_detail->shipping_time_range == 0): ?>
                                        Appointment
                                    <?php else: ?>
                                        Range
                                    <?php endif; ?>
                                </span>
                            </div>
                            <?php if($load_detail->shipping_time_range == 0): ?>
                                <div>
                                    <label>Date/ Time:</label>
                                    <span><?php echo e(date(getTimeLayout(), strtotime($load_detail->getRawOriginal('shipper_date_time'))).' '.$load_detail->shipper_timezone_abbr); ?></span>
                                </div>
                            <?php else: ?>
                                <div>
                                    <label>Open Date/Time:</label>
                                    <span><?php echo e(date(getTimeLayout(), strtotime($load_detail->getRawOriginal('shipper_date_time'))).' '.$load_detail->shipper_timezone_abbr); ?></span>
                                </div>
                                <div>
                                    <label>Close Date/Time:</label>
                                    <span><?php echo e(date(getTimeLayout(), strtotime($load_detail->getRawOriginal('shipper_date_time_end'))).' '.$load_detail->shipper_timezone_abbr); ?></span>
                                </div>
                            <?php endif; ?>
                            <div>
                                <label>Shipper:</label>
                                <span><?php echo e($load_detail->shipper->name ?? ''); ?></span>
                            </div>
                            <div>
                                <label>Address 1:</label>
                                <span
                                    data-customer_type="1"
                                    data-latitude="<?php echo e($load_detail->shipper_latitude ?? ''); ?>"
                                    data-longitude="<?php echo e($load_detail->shipper_longitude ?? ''); ?>"
                                    data-address_verified="<?php echo e($load_detail->shipper_address_verified ?? ''); ?>"
                                    data-abbr="<?php echo e($load_detail->shipper_timezone_abbr ?? ''); ?>"
                                    data-deadhead_mileage_options="<?php echo e($load_detail->deadhead_mileage_options ?? ''); ?>"><?php echo e($load_detail->shipper_address_one ?? ''); ?></span>
                            </div>
                            <div>
                                <label>City:</label>
                                <span><?php echo e($load_detail->shipper_city ?? ''); ?></span>
                            </div>
                            <div>
                                <label>State:</label>
                                <span><?php echo e($load_detail->shipper_state ?? ''); ?></span>
                            </div>
                            <div>
                                <label>Zip</label>
                                <span><?php echo e($load_detail->shipper_zip ?? ''); ?></span>
                            </div>
                            <div class="dishpatchPlan-f-link">
                                <label></label>
                                <?php if(isset($stop_directions[1])): ?>
                                    <a class="btn-link text-underline" href="https://www.google.com/maps/dir/?api=1&origin=<?php echo e($stop_directions[1]['origin'] ?? ''); ?>&destination=<?php echo e($stop_directions[1]['destination'] ?? ''); ?>&travelmode=driving" target="_blank">Get Directions</a>
                                <?php else: ?>
                                    <a href="javascript:void(0);" class="btn-link text-underline disabled">Get Directions</a>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                            <div>
                                <label>Phone:</label>
                                <span><?php echo e($load_detail->shipper->phone ?? ''); ?></span>
                            </div>
                            <div>
                                <label>Email:</label>
                                <span><?php echo e($load_detail->shipper->email ?? ''); ?></span>
                            </div>
                        </div>
                        <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                            <div>
                                <label>Dimensions:</label>
                                <span>
                                    <?php
                                        $dimensions     = [];
                                    ?>
                                    <?php if(isset($load_detail->shipper_dimension) && is_serialized($load_detail->shipper_dimension) && !empty($load_detail->shipper_dimension)): ?>
                                        <?php
                                            $dimensions = unserialize($load_detail->shipper_dimension);
                                        ?>
                                    <?php endif; ?>
                                    <?php if(!empty($dimensions)): ?>
                                        <a href="javascript:void(0);" class="text-underline text-dark-blue font-weight-bold fs-14" data-dimensions="<?php echo e(json_encode($dimensions)); ?>">View</a>
                                    <?php else: ?>
                                        N/A
                                    <?php endif; ?>
                                </span>
                            </div>
                            <?php if(isset($load_detail->itemize) && $load_detail->itemize == 1): ?>
                                <div>
                                    <label>Pickup Number:</label>
                                    <div>
                                        <span><?php echo e($load_detail->shipper_pickup_number ?? ''); ?></span>
                                    </div>
                                </div>
                                <div>
                                    <label>Gross Weight:</label>
                                    <span><?php echo e(isset($load_detail->shipper_stop_weight) ? number_format($load_detail->shipper_stop_weight, 2, '.', ',').' lbs' : ''); ?></span>
                                </div>
                                <div>
                                    <label>Load Value:</label>
                                    <span><?php echo e(isset($load_detail->shipper_stop_value) ? '$'.number_format($load_detail->shipper_stop_value, 2, '.', ',') : ''); ?></span>
                                </div>
                                <div>
                                    <label>Commodity:</label>
                                    <span><?php echo e(isset($load_detail->load_shipper_commodity) ? $load_detail->load_shipper_commodity->name : ''); ?></span>
                                </div>
                                <div>
                                    <label>Temperature:</label>
                                    <span>
                                        <?php if(isset($load_detail->shipper_reefer_temp)): ?>
                                            <?php echo e($load_detail->shipper_reefer_temp); ?>

                                            <?php if($load_detail->shipper_reefer_temp_type == 1): ?>
                                                °F
                                            <?php else: ?>
                                                °C
                                            <?php endif; ?>
                                        <?php else: ?>
                                            Not Applicable
                                        <?php endif; ?>
                                    </span>
                                </div>
                            <?php endif; ?>
                            <div class="dishpatchPlan-f-link">
                                <label></label>
                                <a href="javascript:void(0);" class="btn-link text-underline disabled">More Details</a>
                            </div>
                        </div>
                        <div class="dishpatchPlan-notes-box text-left">
                            <div class="form-group">
                                <select class="form-control mb-2">
                                    <option>Notes1</option>
                                </select>
                            </div>
                            <h6 class="font-weight-bold fs-14 text-dark-blue">Stop 1</h6>
                            <p class="fw-500 fs-14"><?php echo e($load_detail->shipper_note ?? ''); ?></p>
                        </div>
                    </div>
                </div>
                <?php
                    $stopNo = 2;
                ?>
                <?php if(isset($load_detail->loads->load_stops) && $load_detail->loads->load_stops->isNotEmpty()): ?>
                    <?php $__currentLoopData = $load_detail->loads->load_stops; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $stop): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="<?php echo e($colspan <= 3 ? 'col-xl-4 col-md-6' : 'col-xl-3 col-md-6'); ?>">
                            <div class="dishpatchPlan-content">
                                <div class="dishpatchPlan-hedding">
                                    <h6>Stop <?php echo e($stopNo); ?></h6>
                                </div>
                                <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                    <div>
                                        <label>Type:</label>
                                        <span>
                                            <?php if($stop->customer_type == 1): ?>
                                                Pickup |
                                            <?php else: ?>
                                                Delivery |
                                            <?php endif; ?>
                                            <?php if($stop->drop_trailer_schedule == 1): ?>
                                                Drop Trailer
                                            <?php elseif($stop->drop_trailer_schedule == 2): ?>
                                                Drop & Hook
                                            <?php else: ?>
                                                Live
                                            <?php endif; ?>
                                        </span>
                                    </div>
                                    <div>
                                        <label>
                                            <?php if($stop->customer_type == 1): ?>
                                                Pickup Type:
                                            <?php else: ?>
                                                Delivery Type:
                                            <?php endif; ?>
                                        </label>
                                        <span>
                                            <?php if($stop->date_time_range == 0): ?>
                                                Appointment
                                            <?php else: ?>
                                                Range
                                            <?php endif; ?>
                                        </span>
                                    </div>
                                    <?php if($stop->date_time_range == 0): ?>
                                        <div>
                                            <label>Date/ Time:</label>
                                            <span><?php echo e(date(getTimeLayout(), strtotime($stop->getRawOriginal('date_time'))).' '.$stop->timezone_abbr); ?></span>
                                        </div>
                                    <?php else: ?>
                                        <div>
                                            <label>Open Date/Time:</label>
                                            <span><?php echo e(date(getTimeLayout(), strtotime($stop->getRawOriginal('date_time'))).' '.$stop->timezone_abbr); ?></span>
                                        </div>
                                        <div>
                                            <label>Close Date/Time:</label>
                                            <span><?php echo e(date(getTimeLayout(), strtotime($stop->getRawOriginal('date_time_end'))).' '.$stop->timezone_abbr); ?></span>
                                        </div>
                                    <?php endif; ?>
                                    <div>
                                        <label>
                                            <?php if($stop->customer_type == 1): ?>
                                                Shipper:
                                            <?php else: ?>
                                                Consignee:
                                            <?php endif; ?>
                                        </label>
                                        <span><?php echo e($stop->customer->name ?? ''); ?></span>
                                    </div>
                                    <div>
                                        <label>Address 1:</label>
                                        <span
                                            data-customer_type="<?php echo e($stop->customer_type ?? ''); ?>"
                                            data-latitude="<?php echo e($stop->latitude ?? ''); ?>"
                                            data-longitude="<?php echo e($stop->longitude ?? ''); ?>"
                                            data-address_verified="<?php echo e($stop->address_verified ?? ''); ?>"
                                            data-abbr="<?php echo e($stop->timezone_abbr ?? ''); ?>"><?php echo e($stop->address_one ?? ''); ?></span>
                                    </div>
                                    <div>
                                        <label>City:</label>
                                        <span><?php echo e($stop->city ?? ''); ?></span>
                                    </div>
                                    <div>
                                        <label>State:</label>
                                        <span><?php echo e($stop->state ?? ''); ?></span>
                                    </div>
                                    <div>
                                        <label>Zip</label>
                                        <span><?php echo e($stop->zip ?? ''); ?></span>
                                    </div>
                                    <div class="dishpatchPlan-f-link">
                                        <label></label>
                                        <?php if(isset($stop_directions[$stopNo])): ?>
                                            <a class="btn-link text-underline" href="https://www.google.com/maps/dir/?api=1&origin=<?php echo e($stop_directions[$stopNo]['origin'] ?? ''); ?>&destination=<?php echo e($stop_directions[$stopNo]['destination'] ?? ''); ?>&travelmode=driving" target="_blank">Get Directions</a>
                                        <?php else: ?>
                                            <a href="javascript:void(0);" class="btn-link text-underline disabled">Get Directions</a>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                    <div>
                                        <label>Phone:</label>
                                        <span><?php echo e($stop->customer->phone ?? ''); ?></span>
                                    </div>
                                    <div>
                                        <label>Email:</label>
                                        <span><?php echo e($stop->customer->email ?? ''); ?></span>
                                    </div>
                                </div>
                                <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                                    <div>
                                        <label>Dimensions:</label>
                                        <span>
                                            <?php
                                                $dimensions     = [];
                                            ?>
                                            <?php if(isset($stop->dimension) && is_serialized($stop->dimension) && !empty($stop->dimension)): ?>
                                                <?php
                                                    $dimensions = unserialize($stop->dimension);
                                                ?>
                                            <?php endif; ?>
                                            <?php if(!empty($dimensions)): ?>
                                                <a href="javascript:void(0);" class="text-underline text-dark-blue font-weight-bold fs-14" data-dimensions="<?php echo e(json_encode($dimensions)); ?>">View</a>
                                            <?php else: ?>
                                                N/A
                                            <?php endif; ?>
                                        </span>
                                    </div>
                                    <?php if(isset($load_detail->itemize) && $load_detail->itemize == 1): ?>
                                        <div>
                                            <label>
                                                <?php if($stop->customer_type == 1): ?>
                                                    Pickup Number:
                                                <?php else: ?>
                                                    Delivery Number:
                                                <?php endif; ?>
                                            </label>
                                            <div>
                                                <span><?php echo e($stop->pickup_number ?? ''); ?></span>
                                            </div>
                                        </div>
                                        <div>
                                            <label>Gross Weight:</label>
                                            <span><?php echo e(isset($stop->stop_weight) ? number_format($stop->stop_weight, 2, '.', ',').' lbs' : ''); ?></span>
                                        </div>
                                        <div>
                                            <label>Load Value:</label>
                                            <span><?php echo e(isset($stop->stop_value) ? '$'.number_format($stop->stop_value, 2, '.', ',') : ''); ?></span>
                                        </div>
                                        <div>
                                            <label>Commodity:</label>
                                            <span><?php echo e(isset($stop->load_commodity) ? $stop->load_commodity->name : ''); ?></span>
                                        </div>
                                        <div>
                                            <label>Temperature:</label>
                                            <span>
                                                <?php if(isset($stop->reefer_temp)): ?>
                                                    <?php echo e($stop->reefer_temp); ?>

                                                    <?php if($stop->reefer_temp_type == 1): ?>
                                                        °F
                                                    <?php else: ?>
                                                        °C
                                                    <?php endif; ?>
                                                <?php else: ?>
                                                    Not Applicable
                                                <?php endif; ?>
                                            </span>
                                        </div>
                                    <?php endif; ?>
                                    <div class="dishpatchPlan-f-link">
                                        <label></label>
                                        <a href="javascript:void(0);" class="btn-link text-underline disabled">More Details</a>
                                    </div>
                                </div>
                                <div class="dishpatchPlan-notes-box text-left">
                                    <div class="form-group">
                                        <select class="form-control mb-2">
                                            <option>Notes1</option>
                                        </select>
                                    </div>
                                    <h6 class="font-weight-bold fs-14 text-dark-blue">Stop <?php echo e($stopNo); ?></h6>
                                    <p class="fw-500 fs-14"><?php echo e($stop->stop_note ?? ''); ?></p>
                                </div>
                            </div>
                        </div>
                        <?php
                            ++$stopNo;
                        ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>
                <div class="<?php echo e($colspan <= 3 ? 'col-xl-4 col-md-6' : 'col-xl-3 col-md-6'); ?>">
                    <div class="dishpatchPlan-content">
                        <div class="dishpatchPlan-hedding">
                            <h6>Stop 99</h6>
                        </div>
                        <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                            <div>
                                <label>Type:</label>
                                <span>
                                    Delivery |
                                    <?php if($load_detail->delivery_drop_trailer_schedule == 1): ?>
                                        Drop Trailer
                                    <?php elseif($load_detail->delivery_drop_trailer_schedule == 2): ?>
                                        Drop & Hook
                                    <?php else: ?>
                                        Live
                                    <?php endif; ?>
                                </span>
                            </div>
                            <div>
                                <label>Delivery Type:</label>
                                <span>
                                    <?php if($load_detail->delivery_time_range == 0): ?>
                                        Appointment
                                    <?php else: ?>
                                        Range
                                    <?php endif; ?>
                                </span>
                            </div>
                            <?php if($load_detail->delivery_time_range == 0): ?>
                                <div>
                                    <label>Date/ Time:</label>
                                    <span><?php echo e(date(getTimeLayout(), strtotime($load_detail->getRawOriginal('delivery_date_time'))).' '.$load_detail->delivery_timezone_abbr); ?></span>
                                </div>
                            <?php else: ?>
                                <div>
                                    <label>Open Date/Time:</label>
                                    <span><?php echo e(date(getTimeLayout(), strtotime($load_detail->getRawOriginal('delivery_date_time'))).' '.$load_detail->delivery_timezone_abbr); ?></span>
                                </div>
                                <div>
                                    <label>Close Date/Time:</label>
                                    <span><?php echo e(date(getTimeLayout(), strtotime($load_detail->getRawOriginal('delivery_date_time_end'))).' '.$load_detail->delivery_timezone_abbr); ?></span>
                                </div>
                            <?php endif; ?>
                            <div>
                                <label>Consignee:</label>
                                <span><?php echo e($load_detail->receiver->name ?? ''); ?></span>
                            </div>
                            <div>
                                <label>Address 1:</label>
                                <span 
                                    data-customer_type="2"
                                    data-latitude="<?php echo e($load_detail->delivery_latitude ?? ''); ?>"
                                    data-longitude="<?php echo e($load_detail->delivery_longitude ?? ''); ?>"
                                    data-address_verified="<?php echo e($load_detail->delivery_address_verified ?? ''); ?>"
                                    data-abbr="<?php echo e($load_detail->delivery_timezone_abbr ?? ''); ?>"><?php echo e($load_detail->delivery_address_one ?? ''); ?></span>
                            </div>
                            <div>
                                <label>City:</label>
                                <span><?php echo e($load_detail->delivery_city ?? ''); ?></span>
                            </div>
                            <div>
                                <label>State:</label>
                                <span><?php echo e($load_detail->delivery_state ?? ''); ?></span>
                            </div>
                            <div>
                                <label>Zip</label>
                                <span><?php echo e($load_detail->delivery_zip ?? ''); ?></span>
                            </div>
                            <div class="dishpatchPlan-f-link">
                                <label></label>
                                <?php if(isset($stop_directions[99])): ?>
                                    <a class="btn-link text-underline" href="https://www.google.com/maps/dir/?api=1&origin=<?php echo e($stop_directions[99]['origin'] ?? ''); ?>&destination=<?php echo e($stop_directions[99]['destination'] ?? ''); ?>&travelmode=driving" target="_blank">Get Directions</a>
                                <?php else: ?>
                                    <a href="javascript:void(0);" class="btn-link text-underline disabled">Get Directions</a>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                            <div>
                                <label>Phone:</label>
                                <span><?php echo e($load_detail->receiver->phone ?? ''); ?></span>
                            </div>
                            <div>
                                <label>Email:</label>
                                <span><?php echo e($load_detail->receiver->email ?? ''); ?></span>
                            </div>
                        </div>
                        <div class="dishpatchPlan-block border-bottom mb-2 pb-2">
                            <div>
                                <label>Dimensions:</label>
                                <span>
                                    <?php
                                        $dimensions     = [];
                                    ?>
                                    <?php if(isset($load_detail->delivery_dimension) && is_serialized($load_detail->delivery_dimension) && !empty($load_detail->delivery_dimension)): ?>
                                        <?php
                                            $dimensions = unserialize($load_detail->delivery_dimension);
                                        ?>
                                    <?php endif; ?>
                                    <?php if(!empty($dimensions)): ?>
                                        <a href="javascript:void(0);" class="text-underline text-dark-blue font-weight-bold fs-14" data-dimensions="<?php echo e(json_encode($dimensions)); ?>">View</a>
                                    <?php else: ?>
                                        N/A
                                    <?php endif; ?>
                                </span>
                            </div>
                            <?php if(isset($load_detail->itemize) && $load_detail->itemize == 1): ?>
                                <div>
                                    <label>Delivery Number:</label>
                                    <div>
                                        <span><?php echo e($load_detail->delivery_pickup_number ?? ''); ?></span>
                                    </div>
                                </div>
                                <div>
                                    <label>Gross Weight:</label>
                                    <span><?php echo e(isset($load_detail->delivery_stop_weight) ? number_format($load_detail->delivery_stop_weight, 2, '.', ',').' lbs' : ''); ?></span>
                                </div>
                                <div>
                                    <label>Load Value:</label>
                                    <span><?php echo e(isset($load_detail->delivery_stop_value) ? '$'.number_format($load_detail->delivery_stop_value, 2, '.', ',') : ''); ?></span>
                                </div>
                                <div>
                                    <label>Commodity:</label>
                                    <span><?php echo e(isset($load_detail->load_receiver_commodity) ? $load_detail->load_receiver_commodity->name : ''); ?></span>
                                </div>
                                <div>
                                    <label>Temperature:</label>
                                    <span>
                                        <?php if(isset($load_detail->delivery_reefer_temp)): ?>
                                            <?php echo e($load_detail->delivery_reefer_temp); ?>

                                            <?php if($load_detail->delivery_reefer_temp_type == 1): ?>
                                                °F
                                            <?php else: ?>
                                                °C
                                            <?php endif; ?>
                                        <?php else: ?>
                                            Not Applicable
                                        <?php endif; ?>
                                    </span>
                                </div>
                            <?php endif; ?>
                            <div class="dishpatchPlan-f-link">
                                <label></label>
                                <a href="javascript:void(0);" class="btn-link text-underline disabled">More Details</a>
                            </div>
                        </div>
                        <div class="dishpatchPlan-notes-box text-left">
                            <div class="form-group">
                                <select class="form-control mb-2">
                                    <option>Notes1</option>
                                </select>
                            </div>
                            <h6 class="font-weight-bold fs-14 text-dark-blue">Stop 99</h6>
                            <p class="fw-500 fs-14"><?php echo e($load_detail->delivery_note ?? ''); ?></p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row g-2">
                <div class="<?php echo e($colspan <= 3 ? 'col-xl-4 col-md-6' : 'col-xl-3 col-md-6'); ?>">
                    <div class="dishpatchPlan-content mb-2 pb-2">
                        <div class="dishpatchPlan-hedding">
                            <h6>Driver & Equipment</h6>
                        </div>
                        <div class="dishpatchPlan-block">
                            <div>
                                <label>Driver</label>
                                <span><?php echo e($load_detail->driver->full_name ?? ''); ?></span>
                            </div>
                            <?php if(isset($load_detail->co_driver)): ?>
                                <div>
                                    <label>Co Driver:</label>
                                    <span><?php echo e($load_detail->co_driver->full_name ?? ''); ?></span>
                                </div>
                            <?php endif; ?>
                            <div>
                                <label>Truck Number</label>
                                <span><?php echo e($load_detail->truck_number ?? ''); ?></span>
                            </div>
                            <?php if(isset($load_detail->loads->load_trailers) && $load_detail->loads->load_trailers->isNotEmpty()): ?>
                                <div>
                                    <label>Trailer Number 1:</label>
                                    <span>
                                        <?php
                                            $trailer            = [];
                                        ?>
                                        <?php if(isset($load_detail->trailer_number)): ?>
                                            <?php
                                                $trailer[]      = $load_detail->trailer_number;
                                            ?>
                                        <?php endif; ?>
                                        <?php
                                            $gtypeLabel         = 'Not specified';
                                            if (isset($load_detail->trailer_type) && $load_detail->trailer_type!='' && isset(getTrailerTypeList()[$load_detail->trailer_type])) {
                                                $gtypeLabel = getTrailerTypeList()[$load_detail->trailer_type];
                                            }
                                            $trailer[]          = $gtypeLabel;
                                        ?>
                                        <?php echo e(implode(' | ', $trailer)); ?>

                                    </span>
                                </div>
                                <?php
                                    $ti                         = 2;
                                ?>
                                <?php $__currentLoopData = $load_detail->loads->load_trailers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $load_trailer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div>
                                        <label>Trailer Number <?php echo e($ti); ?>:</label>
                                        <span>
                                            <?php
                                                $trailer        = [];
                                            ?>
                                            <?php if(isset($load_trailer->trailer_number)): ?>
                                                <?php
                                                    $trailer[]  = $load_trailer->trailer_number;
                                                ?>
                                            <?php endif; ?>
                                            <?php
                                                $gtypeLabel     = 'Not specified';
                                                if (isset($load_trailer->trailer_type) && $load_trailer->trailer_type!='' && isset(getTrailerTypeList()[$load_trailer->trailer_type])) {
                                                    $gtypeLabel = getTrailerTypeList()[$load_trailer->trailer_type];
                                                }
                                                $trailer[]      = $gtypeLabel;
                                            ?>
                                            <?php echo e(implode(' | ', $trailer)); ?>

                                        </span>
                                    </div>
                                    <?php
                                        ++$ti;
                                    ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                <div>
                                    <label>Trailer Number:</label>
                                    <span>
                                        <?php
                                            $trailer            = [];
                                        ?>
                                        <?php if(isset($load_detail->trailer_number)): ?>
                                            <?php
                                                $trailer[]      = $load_detail->trailer_number;
                                            ?>
                                        <?php endif; ?>
                                        <?php
                                            $gtypeLabel         = 'Not specified';
                                            if (isset($load_detail->trailer_type) && $load_detail->trailer_type!='' && isset(getTrailerTypeList()[$load_detail->trailer_type])) {
                                                $gtypeLabel     = getTrailerTypeList()[$load_detail->trailer_type];
                                            }
                                            $trailer[]          = $gtypeLabel;
                                        ?>
                                        <?php echo e(implode(' | ', $trailer)); ?>

                                    </span>
                                </div>
                            <?php endif; ?>
                            <div>
                                <label>Carrier:</label>
                                <span><?php echo e($load_detail->carrier->name ?? ''); ?></span>
                            </div>
                            <div>
                                <label>Terminal:</label>
                                <span><?php echo e($load_detail->terminal->name ?? ''); ?></span>
                            </div>
                            <div>
                                <label>Load Planner</label>
                                <span><?php echo e($load_detail->company_admin->full_name ?? ''); ?></span>
                            </div>
                            <div>
                                <label>Dispatcher</label>
                                <span><?php echo e($load_detail->driver->dispatcher->full_name ?? ''); ?></span>
                            </div>
                            <div>
                                <label>Team</label>
                                <span><?php echo e($load_detail->driver->team->name ?? ''); ?></span>
                            </div>
                            <div>
                                <label>Overdimensional:</label>
                                <span>
                                    <?php if($load_detail->overdimensional == '1'): ?>
                                        Yes
                                    <?php else: ?>
                                        No
                                    <?php endif; ?>
                                </span>
                            </div>
                            <div>
                                <label>Hazardous:</label>
                                <span>
                                    <?php if($load_detail->hazardous_load == '1'): ?>
                                        <?php echo e(getHazardousOptions()[$load_detail->hazardous_options] ?? 'Not Specified'); ?>

                                    <?php else: ?>
                                        No
                                    <?php endif; ?>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="<?php echo e($colspan <= 3 ? 'col-xl-4 col-md-6' : 'col-xl-3 col-md-6'); ?>">
                    <div class="dishpatchPlan-content mb-2 pb-2">
                        <div class="dishpatchPlan-hedding">
                            <h6>Mileage & Rating</h6>
                        </div>
                        <div class="dishpatchPlan-block border-bottom">
                            <div>
                                <label>Deadhead Miles</label>
                                <span><?php echo e(isset($load_detail->empty_miles) ? number_format($load_detail->empty_miles, 2, '.', ',') : ''); ?></span>
                            </div>
                            <div>
                                <label>Loaded Miles</label>
                                <span><?php echo e(isset($load_detail->loaded_miles) ? number_format($load_detail->loaded_miles, 2, '.', ',') : ''); ?></span>
                            </div>
                            <div>
                                <label>Total Miles</label>
                                <span><?php echo e(isset($load_detail->total_miles) ? number_format($load_detail->total_miles, 2, '.', ',') : ''); ?></span>
                            </div>
                        </div>
                        <div class="dishpatchPlan-block">
                            <div>
                                <label>CPM</label>
                                <span>
                                    <?php
                                        $cpm        = 0.00;
                                        if($load_detail->agreed_upon_rate > 0 && $load_detail->total_miles > 0){
                                            $cpm    = round($load_detail->agreed_upon_rate / $load_detail->total_miles, 2);
                                        }
                                    ?>
                                    <?php echo e(getPrice($cpm)); ?>

                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="<?php echo e($colspan <= 3 ? 'col-xl-4 col-md-6' : 'col-xl-5 col-md-6'); ?>">
                    <?php
                        $stop_drop_hook_details                     = [];
                        $shipper_drop_trailer_schedule              = $load_detail->shipper_drop_trailer_schedule ?? 0;
                        if($shipper_drop_trailer_schedule == 1){
                            // Drop Trailer
                            $stop_drop_hook_details[]               = [
                                'stop_no'                           => 1,
                                'type'                              => 'Drop Trailer',
                                'trailer'                           => $load_detail->shipper_drop_trailer_id
                            ];
                        }elseif($shipper_drop_trailer_schedule == 2){
                            // Drop & Hook
                            $stop_drop_hook_details[]               = [
                                'stop_no'                           => 1,
                                'type'                              => 'Drop Trailer',
                                'trailer'                           => $load_detail->shipper_drop_trailer_id
                            ];
                            $stop_drop_hook_details[]               = [
                                'stop_no'                           => 1,
                                'type'                              => 'Hook Trailer',
                                'trailer'                           => $load_detail->shipper_pickup_trailer_id
                            ];
                        }
                    ?>
                    <?php
                        $drophookStopNo                             = 2;
                    ?>
                    <?php if(isset($load_detail->loads->load_stops) && $load_detail->loads->load_stops->isNotEmpty()): ?>
                        <?php $__currentLoopData = $load_detail->loads->load_stops; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $stop): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                $drop_trailer_schedule              = $stop->drop_trailer_schedule ?? 0;
                                if($drop_trailer_schedule == 1){
                                    // Drop Trailer
                                    $stop_drop_hook_details[]       = [
                                        'stop_no'                   => $drophookStopNo,
                                        'type'                      => 'Drop Trailer',
                                        'trailer'                   => $stop->drop_trailer_id
                                    ];
                                }elseif($drop_trailer_schedule == 2){
                                    // Drop & Hook
                                    $stop_drop_hook_details[]       = [
                                        'stop_no'                   => $drophookStopNo,
                                        'type'                      => 'Drop Trailer',
                                        'trailer'                   => $stop->drop_trailer_id
                                    ];
                                    $stop_drop_hook_details[]       = [
                                        'stop_no'                   => $drophookStopNo,
                                        'type'                      => 'Hook Trailer',
                                        'trailer'                   => $stop->pickup_trailer_id
                                    ];
                                }
                                $drophookStopNo++;
                            ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                    <?php
                        $delivery_drop_trailer_schedule             = $load_detail->delivery_drop_trailer_schedule ?? 0;
                        if($delivery_drop_trailer_schedule == 1){
                            // Drop Trailer
                            $stop_drop_hook_details[]               = [
                                'stop_no'                           => 99,
                                'type'                              => 'Drop Trailer',
                                'trailer'                           => $load_detail->delivery_drop_trailer_id
                            ];
                        }elseif($delivery_drop_trailer_schedule == 2){
                            // Drop & Hook
                            $stop_drop_hook_details[]               = [
                                'stop_no'                           => 99,
                                'type'                              => 'Drop Trailer',
                                'trailer'                           => $load_detail->delivery_drop_trailer_id
                            ];
                            $stop_drop_hook_details[]               = [
                                'stop_no'                           => 99,
                                'type'                              => 'Hook Trailer',
                                'trailer'                           => $load_detail->delivery_pickup_trailer_id
                            ];
                        }
                    ?>
                    <div class="dishpatchPlan-content drop-hook-content overflow-hidden pb-sm-2 w-100">
                        <div class="dishpatchPlan-block direct-table">
                            <!-- <div class="table-responsive"> -->
                                <table class="w-100 mt-0 text-left">
                                    <thead class="border-bottom">
                                        <tr>
                                            <th class=""><strong class="fw-bold"> Drop & Hook Trailer Details</strong></th>
                                            <th class="text-center">Dispatch Assigned</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php if(!empty($stop_drop_hook_details)): ?>
                                            <?php $__currentLoopData = $stop_drop_hook_details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td>
                                                        <strong class="fw-bold mr-2"><?php echo e($detail['type']); ?></strong>
                                                        <a href="javascript:void(0);" class="text-dark-blue fs-12">Stop <?php echo e($detail['stop_no']); ?></a>
                                                    </td>
                                                    <td class="text-center"><?php echo e($detail['trailer']); ?></td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <tr>
                                                <td colspan="2">No data available in table</td>
                                            </tr>
                                        <?php endif; ?>
                                    </tbody>
                                </table>
                            <!-- </div> -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row justify-content-end g-2 p-3">
            <a href="javascript:void(0);" class="btn btn-outline-blue btn-cancel">Cancel</a>
            <?php if((isset($formdata['enable']) && $formdata['enable'] == '1') && (is_null($load_detail->is_on_hold) || $load_detail->is_on_hold == '0')): ?>
                <a href="javascript:void(0);" class="btn btn-blue dispatch-now-btn ml-1" data-id="<?php echo e($load_detail->id); ?>">Dispatch Now</a>
            <?php endif; ?>
        </div>
    </div>
<?php else: ?>
    <?php
        $colspan        = 2;
    ?>
    <?php if(isset($load_detail->loads->load_stops) && $load_detail->loads->load_stops->isNotEmpty()): ?>
        <?php
            $colspan    += $load_detail->loads->load_stops->count();
        ?>
    <?php endif; ?>
    <div class="dishpatchPlan-main p-0">
        <div class="w-92">
            <div class="row g-2">
                <div class="col-xl-3 col-md-6">
                    <?php
                        $shipper_addresses              = [];
                    ?>
                    <?php if(isset($load_detail->shipper_address_one) && $load_detail->shipper_address_one!==''): ?>
                        <?php
                            $shipper_addresses[]        = $load_detail->shipper_address_one;
                        ?>
                    <?php endif; ?>
                    <?php if(isset($load_detail->shipper_address_two) && $load_detail->shipper_address_two!==''): ?>
                        <?php
                            $shipper_addresses[]        = $load_detail->shipper_address_two;
                        ?>
                    <?php endif; ?>
                    <?php if(isset($load_detail->shipper_city) && $load_detail->shipper_city!==''): ?>
                        <?php
                            $shipper_addresses[]        = $load_detail->shipper_city;
                        ?>
                    <?php endif; ?>
                    <?php if(isset($load_detail->shipper_state) && $load_detail->shipper_state!==''): ?>
                        <?php
                            $shipper_addresses[]        = $load_detail->shipper_state;
                        ?>
                    <?php endif; ?>
                    <?php if(isset($load_detail->shipper_zip) && $load_detail->shipper_zip!==''): ?>
                        <?php
                            $shipper_addresses[]        = $load_detail->shipper_zip;
                        ?>
                    <?php endif; ?>
                    <?php
                        $shipper_addresses              = implode(', ', $shipper_addresses);
                    ?>
                    <div class="dishpatchPlan-content mb-2 pb-2">
                        <div class="dishpatchPlan-hedding">
                            <h6>Stop 1</h6>
                        </div>
                        <div class="dishpatchPlan-block <?php echo e(isset($load_detail->itemize) && $load_detail->itemize == 1 ? 'border-bottom mb-2 pb-2' : ''); ?>">
                            <div>
                                <label>Type:</label>
                                <span>Pickup</span>
                            </div>
                            <div>
                                <label>Pickup Type:</label>
                                <span>
                                    <?php if($load_detail->shipping_time_range == 0): ?>
                                        Appointment
                                    <?php else: ?>
                                        Range
                                    <?php endif; ?>
                                </span>
                            </div>
                            <?php if($load_detail->shipping_time_range == 0): ?>
                                <div>
                                    <label>Date/ Time:</label>
                                    <span><?php echo e(date(getTimeLayout(), strtotime($load_detail->getRawOriginal('shipper_date_time'))).' '.$load_detail->shipper_timezone_abbr); ?></span>
                                </div>
                            <?php else: ?>
                                <div>
                                    <label>Open Date/Time:</label>
                                    <span><?php echo e(date(getTimeLayout(), strtotime($load_detail->getRawOriginal('shipper_date_time'))).' '.$load_detail->shipper_timezone_abbr); ?></span>
                                </div>
                                <div>
                                    <label>Close Date/Time:</label>
                                    <span><?php echo e(date(getTimeLayout(), strtotime($load_detail->getRawOriginal('shipper_date_time_end'))).' '.$load_detail->shipper_timezone_abbr); ?></span>
                                </div>
                            <?php endif; ?>
                            <div>
                                <label>Pickup Location:</label>
                                <span><?php echo e($shipper_addresses); ?></span>
                            </div>
                            <div>
                                <label class="text-underline">
                                    <?php if($load_detail->shipper_drop_trailer_schedule == 1): ?>
                                        Drop Trailer
                                    <?php elseif($load_detail->shipper_drop_trailer_schedule == 2): ?>
                                        Drop & Hook
                                    <?php else: ?>
                                        Live
                                    <?php endif; ?>
                                </label>
                                <span></span>
                            </div>
                        </div>
                        <?php if(isset($load_detail->itemize) && $load_detail->itemize == 1): ?>
                            <div class="dishpatchPlan-block">
                                <div>
                                    <label>Gross Weight:</label>
                                    <span><?php echo e(isset($load_detail->shipper_stop_weight) ? number_format($load_detail->shipper_stop_weight, 2, '.', ',').' lbs' : ''); ?></span>
                                </div>
                                <div>
                                    <label>Load Value:</label>
                                    <span><?php echo e(isset($load_detail->shipper_stop_value) ? '$'.number_format($load_detail->shipper_stop_value, 2, '.', ',') : ''); ?></span>
                                </div>
                                <div>
                                    <label>Commodity:</label>
                                    <span><?php echo e(isset($load_detail->load_shipper_commodity) ? $load_detail->load_shipper_commodity->name : ''); ?></span>
                                </div>
                                <div>
                                    <label>Temperature:</label>
                                    <span>
                                        <?php if(isset($load_detail->shipper_reefer_temp)): ?>
                                            <?php echo e($load_detail->shipper_reefer_temp); ?>

                                            <?php if($load_detail->shipper_reefer_temp_type == 1): ?>
                                                °F
                                            <?php else: ?>
                                                °C
                                            <?php endif; ?>
                                        <?php else: ?>
                                            Not Applicable
                                        <?php endif; ?>
                                    </span>
                                </div>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
                <?php
                    $stopNo = 2;
                ?>
                <?php if(isset($load_detail->loads->load_stops) && $load_detail->loads->load_stops->isNotEmpty()): ?>
                    <?php $__currentLoopData = $load_detail->loads->load_stops; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $stop): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-xl-3 col-md-6">
                            <?php
                                $stop_addresses         = [];
                            ?>
                            <?php if(isset($stop->address_one) && $stop->address_one!==''): ?>
                                <?php
                                    $stop_addresses[]   = $stop->address_one;
                                ?>
                            <?php endif; ?>
                            <?php if(isset($stop->address_two) && $stop->address_two!==''): ?>
                                <?php
                                    $stop_addresses[]   = $stop->address_two;
                                ?>
                            <?php endif; ?>
                            <?php if(isset($stop->city) && $stop->city!==''): ?>
                                <?php
                                    $stop_addresses[]   = $stop->city;
                                ?>
                            <?php endif; ?>
                            <?php if(isset($stop->state) && $stop->state!==''): ?>
                                <?php
                                    $stop_addresses[]   = $stop->state;
                                ?>
                            <?php endif; ?>
                            <?php if(isset($stop->zip) && $stop->zip!==''): ?>
                                <?php
                                    $stop_addresses[]   = $stop->zip;
                                ?>
                            <?php endif; ?>
                            <?php
                                $stop_addresses         = implode(', ', $stop_addresses);
                            ?>
                            <div class="dishpatchPlan-content mb-2 pb-2">
                                <div class="dishpatchPlan-hedding">
                                    <h6>Stop <?php echo e($stopNo); ?></h6>
                                </div>
                                <div class="dishpatchPlan-block <?php echo e(isset($load_detail->itemize) && $load_detail->itemize == 1 ? 'border-bottom mb-2 pb-2' : ''); ?>">
                                    <div>
                                        <label>Type:</label>
                                        <span>
                                            <?php if($stop->customer_type == 1): ?>
                                                Pickup
                                            <?php else: ?>
                                                Delivery
                                            <?php endif; ?>
                                        </span>
                                    </div>
                                    <div>
                                        <label>
                                            <?php if($stop->customer_type == 1): ?>
                                                Pickup Type:
                                            <?php else: ?>
                                                Delivery Type:
                                            <?php endif; ?>
                                        </label>
                                        <span>
                                            <?php if($stop->date_time_range == 0): ?>
                                                Appointment
                                            <?php else: ?>
                                                Range
                                            <?php endif; ?>
                                        </span>
                                    </div>
                                    <?php if($stop->date_time_range == 0): ?>
                                        <div>
                                            <label>Date/ Time:</label>
                                            <span><?php echo e(date(getTimeLayout(), strtotime($stop->getRawOriginal('date_time'))).' '.$stop->timezone_abbr); ?></span>
                                        </div>
                                    <?php else: ?>
                                        <div>
                                            <label>Open Date/Time:</label>
                                            <span><?php echo e(date(getTimeLayout(), strtotime($stop->getRawOriginal('date_time'))).' '.$stop->timezone_abbr); ?></span>
                                        </div>
                                        <div>
                                            <label>Close Date/Time:</label>
                                            <span><?php echo e(date(getTimeLayout(), strtotime($stop->getRawOriginal('date_time_end'))).' '.$stop->timezone_abbr); ?></span>
                                        </div>
                                    <?php endif; ?>
                                    <div>
                                        <label>
                                            <?php if($stop->customer_type == 1): ?>
                                                Pickup Location:
                                            <?php else: ?>
                                                Delivery Location:
                                            <?php endif; ?>
                                        </label>
                                        <span><?php echo e($stop_addresses); ?></span>
                                    </div>
                                    <div>
                                        <label class="text-underline">
                                            <?php if($stop->drop_trailer_schedule == 1): ?>
                                                Drop Trailer
                                            <?php elseif($stop->drop_trailer_schedule == 2): ?>
                                                Drop & Hook
                                            <?php else: ?>
                                                Live
                                            <?php endif; ?>
                                        </label>
                                        <span></span>
                                    </div>
                                </div>
                                <?php if(isset($load_detail->itemize) && $load_detail->itemize == 1): ?>
                                    <div class="dishpatchPlan-block">
                                        <div>
                                            <label>Gross Weight:</label>
                                            <span><?php echo e(isset($stop->stop_weight) ? number_format($stop->stop_weight, 2, '.', ',').' lbs' : ''); ?></span>
                                        </div>
                                        <div>
                                            <label>Load Value:</label>
                                            <span><?php echo e(isset($stop->stop_value) ? '$'.number_format($stop->stop_value, 2, '.', ',') : ''); ?></span>
                                        </div>
                                        <div>
                                            <label>Commodity:</label>
                                            <span><?php echo e(isset($stop->load_commodity) ? $stop->load_commodity->name : ''); ?></span>
                                        </div>
                                        <div>
                                            <label>Temperature:</label>
                                            <span>
                                                <?php if(isset($stop->reefer_temp)): ?>
                                                    <?php echo e($stop->reefer_temp); ?>

                                                    <?php if($stop->reefer_temp_type == 1): ?>
                                                        °F
                                                    <?php else: ?>
                                                        °C
                                                    <?php endif; ?>
                                                <?php else: ?>
                                                    Not Applicable
                                                <?php endif; ?>
                                            </span>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                        <?php
                            ++$stopNo;
                        ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>
                <div class="col-xl-3 col-md-6">
                    <?php
                        $delivery_addresses             = [];
                    ?>
                    <?php if(isset($load_detail->delivery_address_one) && $load_detail->delivery_address_one!==''): ?>
                        <?php
                            $delivery_addresses[]       = $load_detail->delivery_address_one;
                        ?>
                    <?php endif; ?>
                    <?php if(isset($load_detail->delivery_address_two) && $load_detail->delivery_address_two!==''): ?>
                        <?php
                            $delivery_addresses[]       = $load_detail->delivery_address_two;
                        ?>
                    <?php endif; ?>
                    <?php if(isset($load_detail->delivery_city) && $load_detail->delivery_city!==''): ?>
                        <?php
                            $delivery_addresses[]       = $load_detail->delivery_city;
                        ?>
                    <?php endif; ?>
                    <?php if(isset($load_detail->delivery_state) && $load_detail->delivery_state!==''): ?>
                        <?php
                            $delivery_addresses[]       = $load_detail->delivery_state;
                        ?>
                    <?php endif; ?>
                    <?php if(isset($load_detail->delivery_zip) && $load_detail->delivery_zip!==''): ?>
                        <?php
                            $delivery_addresses[]       = $load_detail->delivery_zip;
                        ?>
                    <?php endif; ?>
                    <?php
                        $delivery_addresses             = implode(', ', $delivery_addresses);
                    ?>
                    <div class="dishpatchPlan-content mb-2 pb-2">
                        <div class="dishpatchPlan-hedding">
                            <h6>Stop 99</h6>
                        </div>
                        <div class="dishpatchPlan-block <?php echo e(isset($load_detail->itemize) && $load_detail->itemize == 1 ? 'border-bottom mb-2 pb-2' : ''); ?>">
                            <div>
                                <label>Type:</label>
                                <span>Delivery</span>
                            </div>
                            <div>
                                <label>Delivery Type:</label>
                                <span>
                                    <?php if($load_detail->delivery_time_range == 0): ?>
                                        Appointment
                                    <?php else: ?>
                                        Range
                                    <?php endif; ?>
                                </span>
                            </div>
                            <?php if($load_detail->delivery_time_range == 0): ?>
                                <div>
                                    <label>Date/ Time:</label>
                                    <span><?php echo e(date(getTimeLayout(), strtotime($load_detail->getRawOriginal('delivery_date_time'))).' '.$load_detail->delivery_timezone_abbr); ?></span>
                                </div>
                            <?php else: ?>
                                <div>
                                    <label>Open Date/Time:</label>
                                    <span><?php echo e(date(getTimeLayout(), strtotime($load_detail->getRawOriginal('delivery_date_time'))).' '.$load_detail->delivery_timezone_abbr); ?></span>
                                </div>
                                <div>
                                    <label>Close Date/Time:</label>
                                    <span><?php echo e(date(getTimeLayout(), strtotime($load_detail->getRawOriginal('delivery_date_time_end'))).' '.$load_detail->delivery_timezone_abbr); ?></span>
                                </div>
                            <?php endif; ?>
                            <div>
                                <label>Delivery Location:</label>
                                <span><?php echo e($delivery_addresses); ?></span>
                            </div>
                            <div>
                                <label class="text-underline">
                                    <?php if($load_detail->delivery_drop_trailer_schedule == 1): ?>
                                        Drop Trailer
                                    <?php elseif($load_detail->delivery_drop_trailer_schedule == 2): ?>
                                        Drop & Hook
                                    <?php else: ?>
                                        Live
                                    <?php endif; ?>
                                </label>
                                <span></span>
                            </div>
                        </div>
                        <?php if(isset($load_detail->itemize) && $load_detail->itemize == 1): ?>
                            <div class="dishpatchPlan-block">
                                <div>
                                    <label>Gross Weight:</label>
                                    <span><?php echo e(isset($load_detail->delivery_stop_weight) ? number_format($load_detail->delivery_stop_weight, 2, '.', ',').' lbs' : ''); ?></span>
                                </div>
                                <div>
                                    <label>Load Value:</label>
                                    <span><?php echo e(isset($load_detail->delivery_stop_value) ? '$'.number_format($load_detail->delivery_stop_value, 2, '.', ',') : ''); ?></span>
                                </div>
                                <div>
                                    <label>Commodity:</label>
                                    <span><?php echo e(isset($load_detail->load_receiver_commodity) ? $load_detail->load_receiver_commodity->name : ''); ?></span>
                                </div>
                                <div>
                                    <label>Temperature:</label>
                                    <span>
                                        <?php if(isset($load_detail->delivery_reefer_temp)): ?>
                                            <?php echo e($load_detail->delivery_reefer_temp); ?>

                                            <?php if($load_detail->delivery_reefer_temp_type == 1): ?>
                                                °F
                                            <?php else: ?>
                                                °C
                                            <?php endif; ?>
                                        <?php else: ?>
                                            Not Applicable
                                        <?php endif; ?>
                                    </span>
                                </div>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
                <?php if($colspan == 2): ?>
                    <div class="col-xl-3 col-md-6">
                        <div class="dishpatchPlan-content mb-2 pb-2">
                            <div class="dishpatchPlan-hedding">
                                <h6>Mileage & Rating</h6>
                            </div>
                            <div class="dishpatchPlan-block border-bottom">
                                <div>
                                    <label>Deadhead Miles:</label>
                                    <span><?php echo e(isset($load_detail->empty_miles) ? number_format($load_detail->empty_miles, 2, '.', ',') : ''); ?></span>
                                </div>
                                <div>
                                    <label>Loaded Miles:</label>
                                    <span><?php echo e(isset($load_detail->loaded_miles) ? number_format($load_detail->loaded_miles, 2, '.', ',') : ''); ?></span>
                                </div>
                                <div>
                                    <label>Total Miles:</label>
                                    <span><?php echo e(isset($load_detail->total_miles) ? number_format($load_detail->total_miles, 2, '.', ',') : ''); ?></span>
                                </div>
                            </div>
                            <div class="dishpatchPlan-block">
                                <div>
                                    <label>Load Gross:</label>
                                    <span><?php echo e(isset($load_detail->agreed_upon_rate) ? '$'.number_format($load_detail->agreed_upon_rate, 2, '.', ',') : ''); ?></span>
                                </div>
                                <div>
                                    <label>Cent Per Mile:</label>
                                    <span>
                                        <?php
                                            $cpm        = 0.00;
                                            if($load_detail->agreed_upon_rate > 0 && $load_detail->total_miles > 0){
                                                $cpm    = round($load_detail->agreed_upon_rate / $load_detail->total_miles, 2);
                                            }
                                        ?>
                                        <?php echo e(getPrice($cpm)); ?>

                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-md-6">
                        <div class="dishpatchPlan-content mb-2 pb-2">
                            <div class="dishpatchPlan-hedding">
                                <h6>Load Details</h6>
                            </div>
                            <div class="dishpatchPlan-block">
                                <div>
                                    <label>Load Type:</label>
                                    <span>
                                        <?php if(isset($load_detail->load_type_2)): ?>
                                            <?php if($load_detail->load_type_2 == 1): ?>
                                                LTL
                                            <?php else: ?>
                                                Full Truck
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    </span>
                                </div>
                                <?php if(isset($load_detail->itemize) && $load_detail->itemize != 1): ?>
                                    <div>
                                        <label>Gross Weight:</label>
                                        <span><?php echo e(isset($load_detail->weight) ? number_format($load_detail->weight, 2, '.', ',').' lbs' : ''); ?></span>
                                    </div>
                                    <div>
                                        <label>Load Value:</label>
                                        <span><?php echo e(isset($load_detail->load_value) ? '$'.number_format($load_detail->load_value, 2, '.', ',') : ''); ?></span>
                                    </div>
                                    <div>
                                        <label>Commodity:</label>
                                        <span><?php echo e($load_detail->load_commodity->name ?? ''); ?></span>
                                    </div>
                                    <div>
                                        <label>Temperature:</label>
                                        <span>
                                            <?php if(isset($load_detail->temp)): ?>
                                                <?php echo e($load_detail->temp); ?>

                                                <?php if($load_detail->temp_type == 1): ?>
                                                    °F
                                                <?php else: ?>
                                                    °C
                                                <?php endif; ?>
                                            <?php else: ?>
                                                Not Applicable
                                            <?php endif; ?>
                                        </span>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
            <?php if($colspan > 2): ?>
                <div class="row g-2">
                    <div class="col-xl-3 col-md-6">
                        <div class="dishpatchPlan-content mb-2 pb-2">
                            <div class="dishpatchPlan-hedding">
                                <h6>Mileage & Rating</h6>
                            </div>
                            <div class="dishpatchPlan-block border-bottom">
                                <div>
                                    <label>Deadhead Miles:</label>
                                    <span><?php echo e(isset($load_detail->empty_miles) ? number_format($load_detail->empty_miles, 2, '.', ',') : ''); ?></span>
                                </div>
                                <div>
                                    <label>Loaded Miles:</label>
                                    <span><?php echo e(isset($load_detail->loaded_miles) ? number_format($load_detail->loaded_miles, 2, '.', ',') : ''); ?></span>
                                </div>
                                <div>
                                    <label>Total Miles:</label>
                                    <span><?php echo e(isset($load_detail->total_miles) ? number_format($load_detail->total_miles, 2, '.', ',') : ''); ?></span>
                                </div>
                            </div>
                            <div class="dishpatchPlan-block">
                                <div>
                                    <label>Load Gross:</label>
                                    <span><?php echo e(isset($load_detail->agreed_upon_rate) ? '$'.number_format($load_detail->agreed_upon_rate, 2, '.', ',') : ''); ?></span>
                                </div>
                                <div>
                                    <label>Cent Per Mile:</label>
                                    <span>
                                        <?php
                                            $cpm        = 0.00;
                                            if($load_detail->agreed_upon_rate > 0 && $load_detail->total_miles > 0){
                                                $cpm    = round($load_detail->agreed_upon_rate / $load_detail->total_miles, 2);
                                            }
                                        ?>
                                        <?php echo e(getPrice($cpm)); ?>

                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-md-6">
                        <div class="dishpatchPlan-content mb-2 pb-2">
                            <div class="dishpatchPlan-hedding">
                                <h6>Load Details</h6>
                            </div>
                            <div class="dishpatchPlan-block">
                                <div>
                                    <label>Load Type:</label>
                                    <span>
                                        <?php if(isset($load_detail->load_type_2)): ?>
                                            <?php if($load_detail->load_type_2 == 1): ?>
                                                LTL
                                            <?php else: ?>
                                                Full Truck
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    </span>
                                </div>
                                <?php if(isset($load_detail->itemize) && $load_detail->itemize != 1): ?>
                                    <div>
                                        <label>Gross Weight:</label>
                                        <span><?php echo e(isset($load_detail->weight) ? number_format($load_detail->weight, 2, '.', ',').' lbs' : ''); ?></span>
                                    </div>
                                    <div>
                                        <label>Load Value:</label>
                                        <span><?php echo e(isset($load_detail->load_value) ? '$'.number_format($load_detail->load_value, 2, '.', ',') : ''); ?></span>
                                    </div>
                                    <div>
                                        <label>Commodity:</label>
                                        <span><?php echo e($load_detail->load_commodity->name ?? ''); ?></span>
                                    </div>
                                    <div>
                                        <label>Temperature:</label>
                                        <span>
                                            <?php if(isset($load_detail->temp)): ?>
                                                <?php echo e($load_detail->temp); ?>

                                                <?php if($load_detail->temp_type == 1): ?>
                                                    °F
                                                <?php else: ?>
                                                    °C
                                                <?php endif; ?>
                                            <?php else: ?>
                                                Not Applicable
                                            <?php endif; ?>
                                        </span>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
            <div class="row g-2">
                <div class="col-md-6">
                    <div class="dishpatchPlan-content mb-2 pb-2">
                        <div class="dishpatchPlan-hedding">
                            <h6>Driver & Equipment</h6>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="dishpatchPlan-block">
                                    <div>
                                        <label>Driver:</label>
                                        <span><?php echo e($load_detail->driver->full_name ?? ''); ?></span>
                                    </div>
                                    <?php if(isset($load_detail->co_driver)): ?>
                                        <div>
                                            <label>Co Driver:</label>
                                            <span><?php echo e($load_detail->co_driver->full_name ?? ''); ?></span>
                                        </div>
                                    <?php endif; ?>
                                    <div>
                                        <label>Truck Number:</label>
                                        <span><?php echo e($load_detail->truck_number ?? ''); ?></span>
                                    </div>
                                    <?php if(isset($load_detail->loads->load_trailers) && $load_detail->loads->load_trailers->isNotEmpty()): ?>
                                        <div>
                                            <label>Trailer Number 1:</label>
                                            <span>
                                                <?php
                                                    $trailer            = [];
                                                ?>
                                                <?php if(isset($load_detail->trailer_number)): ?>
                                                    <?php
                                                        $trailer[]      = $load_detail->trailer_number;
                                                    ?>
                                                <?php endif; ?>
                                                <?php
                                                    $gtypeLabel         = 'Not specified';
                                                    if (isset($load_detail->trailer_type) && $load_detail->trailer_type!='' && isset(getTrailerTypeList()[$load_detail->trailer_type])) {
                                                        $gtypeLabel = getTrailerTypeList()[$load_detail->trailer_type];
                                                    }
                                                    $trailer[]          = $gtypeLabel;
                                                ?>
                                                <?php echo e(implode(' | ', $trailer)); ?>

                                            </span>
                                        </div>
                                        <?php
                                            $ti                         = 2;
                                        ?>
                                        <?php $__currentLoopData = $load_detail->loads->load_trailers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $load_trailer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <div>
                                                <label>Trailer Number <?php echo e($ti); ?>:</label>
                                                <span>
                                                    <?php
                                                        $trailer        = [];
                                                    ?>
                                                    <?php if(isset($load_trailer->trailer_number)): ?>
                                                        <?php
                                                            $trailer[]  = $load_trailer->trailer_number;
                                                        ?>
                                                    <?php endif; ?>
                                                    <?php
                                                        $gtypeLabel     = 'Not specified';
                                                        if (isset($load_trailer->trailer_type) && $load_trailer->trailer_type!='' && isset(getTrailerTypeList()[$load_trailer->trailer_type])) {
                                                            $gtypeLabel = getTrailerTypeList()[$load_trailer->trailer_type];
                                                        }
                                                        $trailer[]      = $gtypeLabel;
                                                    ?>
                                                    <?php echo e(implode(' | ', $trailer)); ?>

                                                </span>
                                            </div>
                                            <?php
                                                ++$ti;
                                            ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?>
                                        <div>
                                            <label>Trailer Number:</label>
                                            <span>
                                                <?php
                                                    $trailer            = [];
                                                ?>
                                                <?php if(isset($load_detail->trailer_number)): ?>
                                                    <?php
                                                        $trailer[]      = $load_detail->trailer_number;
                                                    ?>
                                                <?php endif; ?>
                                                <?php
                                                    $gtypeLabel         = 'Not specified';
                                                    if (isset($load_detail->trailer_type) && $load_detail->trailer_type!='' && isset(getTrailerTypeList()[$load_detail->trailer_type])) {
                                                        $gtypeLabel = getTrailerTypeList()[$load_detail->trailer_type];
                                                    }
                                                    $trailer[]          = $gtypeLabel;
                                                ?>
                                                <?php echo e(implode(' | ', $trailer)); ?>

                                            </span>
                                        </div>
                                    <?php endif; ?>
                                    <div>
                                        <label>Carrier:</label>
                                        <span><?php echo e($load_detail->carrier->name ?? ''); ?></span>
                                    </div>
                                    <div>
                                        <label>Terminal:</label>
                                        <span><?php echo e($load_detail->terminal->name ?? ''); ?></span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="dishpatchPlan-block">
                                    <div>
                                        <label>Load Planner:</label>
                                        <span><?php echo e($load_detail->company_admin->full_name ?? ''); ?></span>
                                    </div>
                                    <div>
                                        <label>Dispatcher:</label>
                                        <span><?php echo e($load_detail->driver->dispatcher->full_name ?? ''); ?></span>
                                    </div>
                                    <div>
                                        <label>Team:</label>
                                        <span><?php echo e($load_detail->driver->team->name ?? ''); ?></span>
                                    </div>
                                    <div>
                                        <label>Overdimensional:</label>
                                        <span>
                                            <?php if($load_detail->overdimensional == '1'): ?>
                                                Yes
                                            <?php else: ?>
                                                No
                                            <?php endif; ?>
                                        </span>
                                    </div>
                                    <div>
                                        <label>Hazardous:</label>
                                        <span>
                                            <?php if($load_detail->hazardous_load == '1'): ?>
                                                <?php echo e(getHazardousOptions()[$load_detail->hazardous_options] ?? 'Not Specified'); ?>

                                            <?php else: ?>
                                                No
                                            <?php endif; ?>
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <?php
                        $stop_notes                     = [];
                        if(isset($load_detail->shipper_note) && $load_detail->shipper_note!=''){
                            $stop_notes[1]              = $load_detail->shipper_note;
                        }
                        if(isset($load_detail->loads->load_stops) && $load_detail->loads->load_stops->isNotEmpty()){
                            $lsn                        = 2;
                            foreach ($load_detail->loads->load_stops()->pluck('stop_note')->toArray() as $key => $note){
                                if($note!=''){
                                    $stop_notes[$lsn]   = $note;
                                }
                                ++$lsn;
                            }
                        }
                        if(isset($load_detail->delivery_note) && $load_detail->delivery_note!=''){
                            $stop_notes[99]             = $load_detail->delivery_note;
                        }
                    ?>
                    <div class="dishpatchPlan-content mb-2 pb-2">
                        <div class="dishpatchPlan-hedding">
                            <h6>Notes</h6>
                        </div>
                        <div class="dishpatchPlan-block">
                            <?php if(!empty($stop_notes)): ?>
                                <?php $__currentLoopData = $stop_notes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $note): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div>
                                        <p class="fw-500 fs-14 text-left" style="white-space: normal;">Stop <?php echo e($key); ?> : <?php echo e($note); ?></p>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                <div>
                                    <p class="fw-500 fs-14 text-left" style="white-space: normal;">No data available</p>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row g-2">
                <div class="col-xl-3 col-md-6">
                    <div class="dishpatchPlan-content load-requirements mb-2 pb-2">
                        <div class="dishpatchPlan-hedding">
                            <h6>Load Requirements</h6>
                        </div>
                        <!-- <div class="table-responsive"> -->
                            <table class="w-100 mt-0">
                                <thead class="bg-transparent border-bottom">
                                    <tr>
                                        <th class="text-left text-dark-blue fw-600">Qty</th>
                                        <th class="text-right text-dark-blue fw-600">Item</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php if(isset($load_detail->loads->load_requirements) && $load_detail->loads->load_requirements->isNotEmpty()): ?>
                                        <?php $__currentLoopData = $load_detail->loads->load_requirements; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $requirement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td class="text-left fw-500"><?php echo e($requirement->qty); ?></td>
                                                <td class="text-right fw-500"><?php echo e($requirement->name); ?></td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?>
                                        <tr>
                                            <td class="text-left fw-500" colspan="2">No data available in table</td>
                                        </tr>
                                    <?php endif; ?>
                                </tbody>
                            </table>
                        <!-- </div> -->
                    </div>
                </div>
            </div>
        </div>
        <div class="row justify-content-end g-2 p-3">
            <?php if(isset($load_detail->driver->dispatcher->cell_phone) && $load_detail->driver->dispatcher->cell_phone!=''): ?>
                <a href="tel:<?php echo e($load_detail->driver->dispatcher->cell_phone); ?>" class="btn btn-outline-blue">Call Dispatch</a>
            <?php else: ?>
                <a href="javascript:void(0);" class="btn btn-outline-blue disabled">Call Dispatch</a>
            <?php endif; ?>
            <!-- Mytrip change status -->
            <?php if((isset($formdata['enable']) && $formdata['enable'] == '1') && (is_null($load_detail->is_on_hold) || $load_detail->is_on_hold == '0')): ?>
                <a
                    href="javascript:void(0);"
                    class="btn btn-outline-blue change-status ml-1"
                    data-id="<?php echo e($load_detail->id); ?>"
                    data-status="<?php echo e($load_detail->load_status); ?>"
                    data-type="2"
                    data-acknowledgement="1"
                    data-is_stop="0">Reject Load</a>
                <!-- Type = 2 ( Reason With Confirm ),  // Acknowledgement ( 1 = Preplaned Driver Acknowledgement, 2 = Confirmed Driver Acknowledgement, 3 = Intransit Driver Acknowledgement, 4 = Delivered Driver Acknowledgement ) -->
                <a
                    href="javascript:void(0);"
                    class="btn btn-blue change-status ml-1"
                    data-id="<?php echo e($load_detail->id); ?>"
                    data-status="3"
                    data-type="1"
                    data-acknowledgement="1"
                    data-is_stop="0">Accept Load</a>
                <!-- Type = 1 ( Reason Without Confirm ),  // Acknowledgement ( 1 = Preplaned Driver Acknowledgement, 2 = Confirmed Driver Acknowledgement, 3 = Intransit Driver Acknowledgement, 4 = Delivered Driver Acknowledgement ) -->
            <?php endif; ?>
        </div>
    </div>
<?php endif; ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/driverAdmin/mytrips/ajax/upcoming_dispatch/detail-new.blade.php ENDPATH**/ ?>