<div class="modal fade teamModal-2 blank-modal-body" id="addReceiverModal" tabindex="-1" aria-labelledby="addReceiverModal" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-blue modal-addLoad">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Add Receiver</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <?php echo Form::open(array(
                    'route'         => 'company.admin.customer.storeAjax',
                    'method'        => 'POST',
                    'files'         => 'true',
                    'class'         => 'storeReceiverForm',
                    'autocomplete'  => 'off'
                )
            ); ?>

                <input type="hidden" name="stop_index" value="">
                <div class="modal-body">
                    <div class=" row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Name<span>*</span></label>
                                <?php echo Form::text('name', null, array(
                                        'class'                 => 'form-control',
                                        'autocomplete'          => 'new'
                                    )
                                ); ?>

                                <span class="error name_error text-danger"></span>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Phone Number</label>
                                <?php echo Form::text('phone', null, array(
                                        'class'                 => 'form-control phone',
                                        'placeholder'           => '(555) 123-1234',
                                        'autocomplete'          => 'new'
                                    )
                                ); ?>

                                <span class="error phone_error text-danger"></span>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>MC Number</label>
                                <?php echo Form::text('mc_number', null, array(
                                        'class'                 => 'form-control'
                                    )
                                ); ?>

                                <span class="error mc_number_error text-danger"></span>
                            </div>
                        </div>
                        <div class="col-md-12 geocoding" data-type="receiver">
                            <div class="row">
                                <input type="hidden" class="geocoding-latitude" name="latitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-longitude" name="longitude" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-abbr" name="timezone_abbr" value="" autocomplete="off">
                                <input type="hidden" class="geocoding-verified" name="address_verified" value="0" autocomplete="off">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Address</label>
                                        <?php echo Form::text('address', null, array(
                                                'class'         => 'form-control geocoding-address-1',
                                                'placeholder'   => '',
                                                'required'      => 'required'
                                            )
                                        ); ?>

                                        <span class="error address_error text-danger"></span>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Address 2</label>
                                        <?php echo Form::text('address2', null, array(
                                                'class'         => 'form-control geocoding-address-2',
                                                'placeholder'   => ''
                                            )
                                        ); ?>

                                        <span class="error address2_error text-danger"></span>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>City</label>
                                        <?php echo Form::text('city', null, array(
                                                'class'         => 'form-control geocoding-city'
                                            )
                                        ); ?>

                                        <span class="error city_error text-danger"></span>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>State</label>
                                        <?php echo Form::text('state', null, array(
                                                'class'         => 'form-control geocoding-state',
                                                'required'      => 'required'
                                            )
                                        ); ?>

                                        <span class="error state_error text-danger"></span>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Zip</label>
                                        <?php echo Form::text('zip', null, array(
                                                'class'         => 'form-control geocoding-zip',
                                                'required'      => 'required'
                                            )
                                        ); ?>

                                        <span class="error zip_error text-danger"></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-blueBr" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-warning add-receiver-geocoding-btn geocoding-btn" data-type="receiver" data-uid="<?php echo e('map-'.generateStrUniqueId()); ?>">Verify</button>
                    <button class="btn btn-blue save-btn d-none">Save</button>
                </div>
            <?php echo Form::close(); ?>

        </div>
    </div>
</div><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/load/modal/addReceiver.blade.php ENDPATH**/ ?>