<?php
    $unique_id  = $formData['unique_id'];
?>

<?php if(in_array($jsonData['source'], ['load_details', 'load_stops']) && in_array($jsonData['field_name'], ['shipper_files_upload', 'consignee_files_upload', 'stop_shipper_files_upload', 'stop_consignee_files_upload'])): ?>
    <div class="d-block p-2" data-unique_id="<?php echo e($unique_id); ?>" data-status="<?php echo e($jsonData['status']); ?>" data-jsonString="<?php echo e(json_encode($jsonData)); ?>">
        <p class="fw-500">
            <?php if(isset($jsonData['filename_id']) && $jsonData['filename_id']=='0'): ?>
                Other - <?php echo e($jsonData['filename']); ?>

            <?php else: ?>
                <?php echo e($jsonData['filename']); ?>

            <?php endif; ?>
            <?php if($jsonData['type'] == '2'): ?>
                (Original)
            <?php endif; ?>
        </p>
        <?php if($jsonData['type'] == '1'): ?>
            <?php if($jsonData['status'] == 'Complete'): ?>
                <ul class="nav required-documents-check">
                    <li>
                        <label class="fs-14 fw-600 text-success file-upload-msg d-flex align-items-center">Completed</label>
                    </li>
                    <li class="d-flex align-items-center">
                        <?php
                            $documents          = [];
                        ?>
                        <?php if(isset($jsonData['file']) && is_array($jsonData['file']) && !empty($jsonData['file'])): ?>
                            <?php
                                $documents      = $jsonData['file'];
                            ?>
                        <?php endif; ?>
                        <?php if(!empty($documents)): ?>
                            <div class="d-block">
                                <?php $__currentLoopData = $documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($document != '' && \File::exists('storage/companyAdmin/load_detail_document/'.$document)): ?>
                                        <?php
                                            $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                        ?>
                                        <a href="<?php echo e(asset($file_path)); ?>" class="fs-14 fw-normal d-block" target="_blank"><?php echo e($document); ?></a>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        <?php endif; ?>
                        <a href="javascript:void(0);" class="text-danger ml-3 remove-document">
                            <i class="fa fa-times" aria-hidden="true"></i>
                        </a>
                    </li>
                </ul>
            <?php else: ?>
                <ul class="nav required-documents-check">
                    <li>
                        <button class="btn btn-blue font-weight-bold custom-file file-upload">
                            <span class="font-weight-bold fs-14 text-center pt-0 ml-0">Upload</span>
                            <input type="file" class="custom-file-input" accept=".jpg, .jpeg, .png, .gif, .pdf" multiple>
                        </button>
                    </li>
                    <li>
                        <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                            <input type="checkbox" class="custom-control-input file_not_provided-input" id="file_not_provided_<?php echo e($unique_id); ?>" <?php echo e(isset($jsonData['file_not_provided']) && $jsonData['file_not_provided'] == 'on' ? 'checked' : ''); ?>>
                            <label class="custom-control-label" for="file_not_provided_<?php echo e($unique_id); ?>">Not Provided</label>
                        </div>
                    </li>
                </ul>
            <?php endif; ?>
        <?php else: ?>
            <ul class="nav required-documents-check">
                <li>
                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                        <input type="checkbox" class="custom-control-input received-checkbox-group is_received-input" id="is_received_<?php echo e($unique_id); ?>" <?php echo e(isset($jsonData['is_received']) && $jsonData['is_received'] == 'on' ? 'checked' : ''); ?>>
                        <label class="custom-control-label" for="is_received_<?php echo e($unique_id); ?>">Received</label>
                    </div>
                </li>
                <li>
                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                        <input type="checkbox" class="custom-control-input received-checkbox-group file_not_provided-input" id="file_not_provided_<?php echo e($unique_id); ?>" <?php echo e(isset($jsonData['file_not_provided']) && $jsonData['file_not_provided'] == 'on' ? 'checked' : ''); ?>>
                        <label class="custom-control-label" for="file_not_provided_<?php echo e($unique_id); ?>">Not Provided</label>
                    </div>
                </li>
            </ul>
        <?php endif; ?>
    </div>
<?php elseif($jsonData['source'] == 'load_document_request_items'): ?>
    <div class="d-block p-2" data-unique_id="<?php echo e($unique_id); ?>" data-status="<?php echo e($jsonData['status']); ?>" data-jsonString="<?php echo e(json_encode($jsonData)); ?>">
        <p class="fw-500">
            <?php if(isset($jsonData['filename_id']) && $jsonData['filename_id']=='0'): ?>
                Other - <?php echo e($jsonData['filename']); ?>

            <?php else: ?>
                <?php echo e($jsonData['filename']); ?>

            <?php endif; ?>
            <?php if($jsonData['type'] == '2'): ?>
                (Original)
            <?php endif; ?>
        </p>
        <?php if($jsonData['type'] == '1'): ?>
            <?php if($jsonData['status'] == 'Complete'): ?>
                <ul class="nav required-documents-check">
                    <li>
                        <label class="fs-14 fw-600 text-success file-upload-msg d-flex align-items-center">Completed</label>
                    </li>
                    <li class="d-flex align-items-center">
                        <?php
                            $documents          = [];
                        ?>
                        <?php if(isset($jsonData['file']) && is_array($jsonData['file']) && !empty($jsonData['file'])): ?>
                            <?php
                                $documents      = $jsonData['file'];
                            ?>
                        <?php endif; ?>
                        <?php if(!empty($documents)): ?>
                            <div class="d-block">
                                <?php $__currentLoopData = $documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($document != '' && \File::exists('storage/companyAdmin/load_detail_document/'.$document)): ?>
                                        <?php
                                            $file_path  = 'storage/companyAdmin/load_detail_document/'.$document;
                                        ?>
                                        <a href="<?php echo e(asset($file_path)); ?>" class="fs-14 fw-normal d-block" target="_blank"><?php echo e($document); ?></a>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        <?php endif; ?>
                        <a href="javascript:void(0);" class="text-danger ml-3 remove-document">
                            <i class="fa fa-times" aria-hidden="true"></i>
                        </a>
                    </li>
                </ul>
            <?php else: ?>
                <ul class="nav required-documents-check">
                    <li>
                        <button class="btn btn-blue font-weight-bold custom-file file-upload">
                            <span class="font-weight-bold fs-14 text-center pt-0 ml-0">Upload</span>
                            <input type="file" class="custom-file-input" accept=".jpg, .jpeg, .png, .gif, .pdf" multiple>
                        </button>
                    </li>
                    <li>
                        <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                            <input type="checkbox" class="custom-control-input file_not_provided-input" id="file_not_provided_<?php echo e($unique_id); ?>" <?php echo e(isset($jsonData['file_not_provided']) && $jsonData['file_not_provided'] == 'on' ? 'checked' : ''); ?>>
                            <label class="custom-control-label" for="file_not_provided_<?php echo e($unique_id); ?>">Not Provided</label>
                        </div>
                    </li>
                </ul>
            <?php endif; ?>
        <?php else: ?>
            <ul class="nav required-documents-check">
                <li>
                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                        <input type="checkbox" class="custom-control-input received-checkbox-group is_received-input" id="is_received_<?php echo e($unique_id); ?>" <?php echo e(isset($jsonData['is_received']) && $jsonData['is_received'] == 'on' ? 'checked' : ''); ?>>
                        <label class="custom-control-label" for="is_received_<?php echo e($unique_id); ?>">Received</label>
                    </div>
                </li>
                <li>
                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                        <input type="checkbox" class="custom-control-input received-checkbox-group file_not_provided-input" id="file_not_provided_<?php echo e($unique_id); ?>" <?php echo e(isset($jsonData['file_not_provided']) && $jsonData['file_not_provided'] == 'on' ? 'checked' : ''); ?>>
                        <label class="custom-control-label" for="file_not_provided_<?php echo e($unique_id); ?>">Not Provided</label>
                    </div>
                </li>
            </ul>
        <?php endif; ?>
    </div>
<?php elseif($jsonData['source'] == 'load_accessorials'): ?>
    <div class="d-block p-2" data-unique_id="<?php echo e($unique_id); ?>" data-status="<?php echo e($jsonData['status']); ?>" data-jsonString="<?php echo e(json_encode($jsonData)); ?>">
        <p class="fw-500">
            <?php echo e($jsonData['filename']); ?>

        </p>
        <?php if($jsonData['status'] == 'Complete'): ?>
            <ul class="nav required-documents-check">
                <li>
                    <label class="fs-14 fw-600 text-success file-upload-msg d-flex align-items-center">Completed</label>
                </li>
                <li class="d-flex align-items-center">
                    <?php if(isset($jsonData['file']) && !is_array($jsonData['file']) && $jsonData['file'] != '' && \File::exists('storage/companyAdmin/gallery/'.$jsonData['file'])): ?>
                        <?php
                            $file_path  = 'storage/companyAdmin/gallery/'.$jsonData['file'];
                        ?>
                        <div class="d-block">
                            <a href="<?php echo e(asset($file_path)); ?>" class="fs-14 fw-normal d-block" target="_blank"><?php echo e($jsonData['file']); ?></a>
                        </div>
                    <?php endif; ?>
                    <a href="javascript:void(0);" class="text-danger ml-3 remove-document">
                        <i class="fa fa-times" aria-hidden="true"></i>
                    </a>
                </li>
            </ul>
        <?php else: ?>
            <ul class="nav required-documents-check">
                <li>
                    <button class="btn btn-blue font-weight-bold custom-file file-upload">
                        <span class="font-weight-bold fs-14 text-center pt-0 ml-0">Upload</span>
                        <input type="file" class="custom-file-input" accept=".jpg, .jpeg, .png, .gif, .pdf" multiple>
                    </button>
                </li>
                <li>
                    <div class="custom-control custom-checkbox-blue d-flex align-items-center">
                        <input type="checkbox" class="custom-control-input file_not_provided-input" id="file_not_provided_<?php echo e($unique_id); ?>" <?php echo e(isset($jsonData['file_not_provided']) && $jsonData['file_not_provided'] == 'on' ? 'checked' : ''); ?>>
                        <label class="custom-control-label" for="file_not_provided_<?php echo e($unique_id); ?>">Not Provided</label>
                    </div>
                </li>
            </ul>
        <?php endif; ?>
    </div>
<?php endif; ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/driverAdmin/mytrips/ajax/current_dispatch/document_detail.blade.php ENDPATH**/ ?>