<?php if(count($getGallery) > 0): ?>
    <?php $__currentLoopData = $getGallery; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $gallary): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <?php
        $file_path = 'storage/companyAdmin/gallery/'.$gallary->image;
        $type = \File::extension($file_path);

        $user_type = auth()->guard('company-admin')->user()->type;

        $approved = 0;
        if(empty($gallary->access)){
          $approved = 1;
        }else if($gallary->access == 3){
          $approved = 1;
        }else if($gallary->access == 2){
          if($user_type == 3){
            $approved = 0;
          }else{
            $approved = 1;
          }
        }else if($gallary->access == 1){
          if($user_type == 3 || $user_type == 2){
            $approved = 0;
          }else{
            $approved = 1;
          }
        }


    ?>
    <?php if($user_type == 0 || $approved == 1): ?>
        <tr>
              <td>
                <?php if($type == 'png' || $type == 'jpeg' || $type == 'jpg' || $type == 'gif'): ?>
                   <a href="<?php echo e(asset($file_path)); ?>" target="_blank" ><img src="<?php echo e(asset($file_path)); ?>" alt="" class="card-img-top"></a>
                <?php else: ?>
                    <a href="<?php echo e(asset($file_path)); ?>" style="height: 94px;padding: 15px;background-color: #e9e9e9;" target="_blank"><?php echo e($gallary->image); ?></a>
                <?php endif; ?>
              </td>
              <td><?php echo e($gallary->file_name); ?></td>
              <td><?php echo e(getFullNameByid($gallary->created_by, $gallary->created_by_type)); ?></td>
              <td><?php echo e($gallary->uploaded_date." ".$getTimeZoneId); ?></td>
              <?php if(hasPermission(config('settings.company_admin_modules.'.$gallary->source),config('settings.permissions.verify'))): ?>
                <td>
                  <select class="chagneaccess" data-id="<?php echo e($gallary->id); ?>" style="border-color: #eee;padding: 4px 5px;">
                    <option value="">All User</option>
                    <option value="1" <?php if($gallary->access == 1): ?> Selected <?php endif; ?>>Managers</option>
                    <option value="2" <?php if($gallary->access == 2): ?> Selected <?php endif; ?>>Dispatchers</option>
                    <option value="3" <?php if($gallary->access == 3): ?> Selected <?php endif; ?>>Arivers</option>
                  </select>
                </td>
              <?php else: ?>
                <?php if(!empty($gallary->access)): ?>
                  <td><?php echo e(isset(getNotiUserTypeList()[$gallary->access]) ? getNotiUserTypeList()[$gallary->access] : ''); ?></td>
                <?php else: ?>
                  <td>All User</td>
                <?php endif; ?>
                
              <?php endif; ?>              
              

              <?php if($gallary->requires_approval == 'yes' && hasPermission(config('settings.company_admin_modules.'.$gallary->source),config('settings.permissions.verify'))): ?>
              
                  <?php if($gallary->status == 'pending'): ?>
                      <td class="status-pending">
                  <?php endif; ?>
                  <?php if($gallary->status == 'approved'): ?>
                      <td class="status-approved">
                  <?php endif; ?>
                  <?php if($gallary->status == 'review'): ?>
                      <td class="status-review">
                  <?php endif; ?>
              
                  <select class="chagnestatus" data-id="<?php echo e($gallary->id); ?>" style="border-color: #eee;padding: 4px 5px;">
                    <option value="pending" <?php if($gallary->status == 'pending'): ?> Selected <?php endif; ?>>Pending</option>
                    <option value="review" <?php if($gallary->status == 'review'): ?> Selected <?php endif; ?>>Review</option>
                    <option value="approved" <?php if($gallary->status == 'approved'): ?> Selected <?php endif; ?>>Approved</option>
                  </select>
              <?php else: ?>
              <td>
                  <?php if($gallary->status == 'pending'): ?>
                      <span class="status-pending">Pending</span>
                  <?php endif; ?>
                  <?php if($gallary->status == 'approved'): ?>
                      <span class="status-approved">Approved</span>
                  <?php endif; ?>
                  <?php if($gallary->status == 'review'): ?>
                      <span class="status-review">Review</span>
                  <?php endif; ?>
              </td>
              <?php endif; ?>
              </td>
              <td class="text-right">
                  <ul class="dark-actn">
                      <li>
                          <a href="<?php echo e(asset($file_path)); ?>" target="_blank" class="mr-2" ><img src="<?php echo e(asset('theme/img/eye.png')); ?>" alt=""/ ></a>
                          <a href="javascript:void(0);" class="clobtn" data-id="<?php echo e($gallary->id); ?>" data-action="<?php echo e(route('company.admin.request-documents.destroy',$gallary->id)); ?>"><img src="<?php echo e(asset('theme/img/delete-icon.png')); ?>" alt=""></a>
                      </li>
                  </ul>
              </td>
          </tr>
      <?php endif; ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    
<?php else: ?>
<div class="col-lg-12 col-md-12 text-center mt-4 mb-4">
    <p>Record not found.</p>
</div>
    
<?php endif; ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/gallery/view.blade.php ENDPATH**/ ?>