

<?php $__env->startSection('title'); ?>
    Load By Week
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/select2.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/datepicker3.min.css')); ?>">
    <style type="text/css">
        .load-detail {
            position: absolute;
            background-color: #ffffff;
            z-index: 11;
            padding: 5px 10px;
            box-shadow: 0 0 5px rgb(0 0 0 / 50%);
            border-radius: 5px;
            max-height: 120px;
            overflow: auto;
            overflow-x: hidden;
            right: 0;
            top: 26px;
            min-width: 100%;
            width: auto;
            display: none;
        }
        .load-detail ul,
        .load-detail ul li {
            list-style: disc;
            text-align: left;
        }
        .multiple-loads {
            cursor: pointer;
        }
        .week-date-block {
            position: absolute;
            top: 100%;
            left: 0;
            left: 50%;
            transform: translateX(-50%);
            max-width: 420px;
            /*width: 418px;*/
            width: 290px;
            margin-top: 15px;
            background: #fff;
            box-shadow: 0px -4px 44px #00000029;
            padding: 12px 22px;
            z-index: 9;
            display: none;
            border-radius: 10px;
        }
        .week-date-block .d-flex {
            gap: 10px;
            align-items: center;
            justify-content: center;
            font-size: 18px;
            font-weight: bold;
            margin-bottom: 10px;
        }
        .week-date-block .d-flex a {
            color: #444;
        }
        .week-date-block .d-flex p {
            margin: 0;
        }
        .week-date-detail p {
            margin: 0;
            color: #000;
            font-size: 14px;
            font-weight: normal;
            padding: 6px 0px;
            line-height: 0.8;
        }
        /*
        .week-date-detail #weeklistdata p:hover {
            background-color: #eee;
            border-radius: 10px;
        }
        */
        .week-date-detail p a {
            color: inherit;
            margin: 0;
        }
        .week-date-detail p:hover {
            color: #305F9C;
        }
        .week-date-detail p a {
            color: inherit;
        }
        .week-date-detail p a span {
            font-weight: bold;
        }
        .week-date-detail p a:hover,
        .week-date-detail p a.active {
            color: #0095FF;
        }
        .week-picker {
            cursor: pointer;
        }
        .cnt-icon {
            min-height: 31px !important;
        }
        .cst-tbl .table thead th a {
            color: #5d6678;
        }
        .table-header .asc:after {
            content: "\f160" !important;
            font-family: 'FontAwesome';
            padding-left: 3px;
        }
        .table-header .desc:after {
            content: "\f161" !important;
            font-family: 'FontAwesome';
            padding-left: 3px;
        }
        .table tbody td {
            padding: 10px 10px !important;
        }
        .table-fixed {
            width: 100%;
        }
        /*This will work on every browser but Chrome Browser*/
        .table-fixed thead {
            position: sticky;
            position: -webkit-sticky;
            top: 0;
            z-index: 1;
            border: none !important;
        }
        /*This will work on every browser*/
        .table-fixed thead th {
            position: sticky;
            position: -webkit-sticky;
            top: 0;
            z-index: 1;
            border: none !important;
        }
        .table-fixed tbody {
            position: relative;
            z-index: 0;
        }
        .week-block::before {
            border-bottom: 15px solid white !important;
            left: 50% !important;
        }
        .table-fixed tbody div table tbody {
            position: inherit;
        }
        .table tbody td.inner-table:last-child {
            padding-right: 10px !important;
        }
        /*::-webkit-scrollbar {
            width: 0px !important;
        }*/
        ::-webkit-scrollbar-thumb {
            background: #305F9C;
            border-radius: 10px;
        }
        .bootstrap-datetimepicker-widget .datepicker-days table tbody tr:hover {
            background-color: #eee;
        }
        .dropdown-footer .btn {
            border-radius: 10px !important;
        }
        .select2-container{
            width: 100% !important;
        }
        .select2-container--default .select2-selection--single{
            border-radius: 10px !important;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow{
            height: 35px;
        }
    </style>
    <?php if(getColorOption() == 0): ?>
        <style type="text/css">
            .welopage .BI_tablebody tr,
            .welopage .BI_tablebody td {
                background-color: transparent !important;
            }
            .welopage .multiple-loads span {
                color: #222b45 !important;
            }
            .welopage .load-detail ul li {
                color: transparent !important;
            }
        </style>
    <?php endif; ?>
    <?php if(getColorOption() == 1): ?>
        <style type="text/css">
            .parent-tbody .brg-red {
                background: transparent !important;
            }
            .parent-tbody .text-red {
                color: #222b45 !important;
            }
            .parent-tbody .brg-orange {
                background: transparent !important;
            }
            .parent-tbody .light-pink {
                background: transparent !important;
            }
            .parent-tbody .light-green {
                background: transparent !important;
            }
        </style>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <!-- <a href="#" class="btn btn-theme btn-oreng-theme mb-4" data-toggle="modal" data-target="#exampleModal">new</a> -->
    <!--  -->
    <div class="name-ttl welopage">
        <div class="white-box mb-3 spl-mrg loadbweek-dispatch-box">
            <div class="ttl-box disabled-click">
                <div class="row">
                    <div class="col-12 col-sm-12 col-xl-4 col-lg-4">
                        <div class="search-cmn left">
                            <input type="text" class="header-search srch-2" id="driversearch" placeholder="Search...">
                            <i class="fa fa-search search-icon2" aria-hidden="true"></i>
                            
                        </div>
                    </div>
                    <div class="col-12 col-sm-12 col-xl-4 order-xl-second order-last">
                        <div class="cust-select">
                            <a href="javascript:void(0);" class="prev-arrow">
                                <!-- <i class="fa fa-chevron-left" aria-hidden="true"></i> -->
                            </a>
                            <div class="year-week" data-start-date="<?php echo e($startDate); ?>" data-end-date="<?php echo e($endDate); ?>">
                                <div class="week-picker"></div>
                                <p>Week Ending <span id="weekEndingDate"><?php echo e(\Carbon\Carbon::parse($endDate)->format('m/d/Y')); ?></span>
                                    <div class="week-date-block week-block">
                                        <div class="week-date-detail">
                                            <div class="mb-0 d-flex justify-content-start"><strong>Select Year: </strong>
                                                <div class="form-group mb-2">
                                                    <select name="weekofyear" id="weekofyear">
                                                        <?php for($x = 2020; $x <= 2030; $x++): ?>
                                                            <?php if($x==$year): ?>
                                                                <option selected value="<?php echo e($x); ?>"><?php echo e($x); ?></option>
                                                            <?php else: ?>
                                                                <option value="<?php echo e($x); ?>"><?php echo e($x); ?></option>
                                                            <?php endif; ?>
                                                        <?php endfor; ?>
                                                    </select>
                                                </div>
                                            </div>
                                            <div id="weeklistdata"></div>
                                        </div>
                                    </div>
                                </p>
                            </div>
                            <a href="javascript:void(0)" class="next-arrow">
                                <!-- <i class="fa fa-chevron-right" aria-hidden="true"></i> -->
                            </a>
                        </div>
                        
                    </div>
                    <div class="col-xl-12 col-lg-8 col-custome-4 order-xl-last order-second">
                        <ul class="cust-select-2">
                            <li>
                                <div class="dropdown">
                                    <a class="btn btn-secondary dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false">
                                        Team <img src="<?php echo e(asset('theme/images/team.svg')); ?>" class="" alt="Team" />
                                    </a>
                                    <form class="dropdown-menu p-0">
                                        <div class="arrow">
                                            <div class="dropdown-hedding">
                                                <h6 class="">Select Team</h6>
                                            </div>
                                            <div class="dropdown-body">
                                                <?php if(count(getTeamList()) > 0): ?>
                                                    <ul>
                                                        <li>
                                                            <div class="d-flex align-items-center">
                                                                <div class="form-check all-check">
                                                                    <input class="form-check-input" type="checkbox" id="select_all_team" value="1">
                                                                    <label class="form-check-label" for="select_all_team">Select All</label>
                                                                </div>
                                                            </div>
                                                        </li>
                                                        <?php $__currentLoopData = getTeamList(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $teamId => $teamName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <li>
                                                                <div class="form-check">
                                                                    <input class="form-check-input" type="checkbox" id="team_<?php echo e($teamId); ?>" value="<?php echo e($teamId); ?>">
                                                                    <label class="form-check-label" for="team_<?php echo e($teamId); ?>"><?php echo e($teamName); ?></label>
                                                                </div>
                                                            </li>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </ul>
                                                <?php else: ?>
                                                    <h5 class="m-0 text-center text-black font-weight-bold">No found team</h5>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                        <hr class="dropdown-divider">
                                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                                            <button type="button" class="btn btn-outline-blue teamReset">Cancel</button>
                                            <?php if(count(getTeamList()) > 0): ?>
                                                <button type="button" class="btn btn-blue teamFilter">Filter Selected</button>
                                            <?php endif; ?>
                                        </div>
                                    </form>
                                </div>
                                
                            </li>
                            <li>
                                <div class="dropdown">
                                    <a class="btn btn-secondary dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false">
                                        Dispatcher <img src="<?php echo e(asset('theme/images/headset.svg')); ?>" class="mr-2" alt="Dispatcher" />
                                    </a>
                                    <form class="dropdown-menu p-0">
                                        <div class="arrow">
                                            <div class="dropdown-hedding">
                                                <h6 class="">Select Dispatcher</h6>
                                            </div>
                                            <div class="dropdown-body">
                                                <?php if(count(getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id)) > 0): ?>
                                                    <ul>
                                                        <li>
                                                            <div class="d-flex align-items-center">
                                                                <div class="form-check all-check">
                                                                    <input class="form-check-input" type="checkbox" id="select_all_dispatcher" value="1">
                                                                    <label class="form-check-label" for="select_all_dispatcher">Select All</label>
                                                                </div>
                                                            </div>
                                                        </li>
                                                        <?php $__currentLoopData = getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dispatcherId => $dispatcherName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <li>
                                                                <div class="form-check">
                                                                    <input class="form-check-input" type="checkbox" id="dispatcher_<?php echo e($dispatcherId); ?>" value="<?php echo e($dispatcherId); ?>">
                                                                    <label class="form-check-label" for="dispatcher_<?php echo e($dispatcherId); ?>"><?php echo e($dispatcherName); ?></label>
                                                                </div>
                                                            </li>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </ul>
                                                <?php else: ?>
                                                    <h6 class="m-0 text-center">No found any dispatcher</h6>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                        <hr class="dropdown-divider">
                                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                                            <button type="button" class="btn btn-outline-blue dispatcherReset">Cancel</button>
                                            <?php if(count(getTeamHeadListByCompany(auth()->guard('company-admin')->user()->company_id)) > 0): ?>
                                                <button type="button" class="btn btn-blue dispatcherFilter">Filter Selected</button>
                                            <?php endif; ?>
                                        </div>
                                    </form>
                                </div>
                                
                            </li>
                            <li>
                                <div class="dropdown">
                                    <a class="btn btn-secondary dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false">
                                        Equipment <img src="<?php echo e(asset('theme/images/truck.svg')); ?>" class="" alt="Equipment" />
                                    </a>
                                    <form class="dropdown-menu p-0">
                                        <div class="arrow">
                                            <div class="dropdown-hedding">
                                                <h6 class="">Select Equipment</h6>
                                            </div>
                                            <div class="dropdown-body">
                                                <?php if(count(getTrailerTypeList()) > 0): ?>
                                                    <ul>
                                                        <li>
                                                            <div class="d-flex align-items-center">
                                                                <div class="form-check all-check">
                                                                    <input class="form-check-input" type="checkbox" id="select_all_equipment" value="1">
                                                                    <label class="form-check-label" for="select_all_equipment">Select All</label>
                                                                </div>
                                                            </div>
                                                        </li>
                                                        <?php $__currentLoopData = getTrailerTypeList(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $equipmentId => $equipmentName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <li>
                                                                <div class="form-check">
                                                                    <input class="form-check-input" type="checkbox" id="equipment_<?php echo e($equipmentId); ?>" value="<?php echo e($equipmentId); ?>">
                                                                    <label class="form-check-label" for="equipment_<?php echo e($equipmentId); ?>"><?php echo e($equipmentName); ?></label>
                                                                </div>
                                                            </li>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </ul>
                                                <?php else: ?>
                                                    <h6 class="m-0 text-center">No found any equipment</h6>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                        <hr class="dropdown-divider">
                                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                                            <button type="button" class="btn btn-outline-blue equipmentReset">Cancel</button>
                                            <?php if(count(getTrailerTypeList()) > 0): ?>
                                                <button type="button" class="btn btn-blue equipmentFilter">Filter Selected</button>
                                            <?php endif; ?>
                                        </div>
                                    </form>
                                </div>
                                
                            </li>
                            <li>
                                <div class="dropdown">
                                    <a class="btn btn-secondary dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false">
                                        Week Ending <img src="<?php echo e(asset('theme/images/calender.svg')); ?>" class="mr-2" alt="Week Ending" />
                                    </a>
                                    <form class="dropdown-menu p-0">
                                        <div class="arrow">
                                            <div class="dropdown-hedding">
                                                <h6 class="">Select Week Ending</h6>
                                            </div>
                                            <div class="dropdown-body">
                                                <?php if(count(getDays()) > 0): ?>
                                                    <ul>
                                                        <?php $__currentLoopData = getDays(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $weekendingId => $weekendingName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <li>
                                                                <div class="form-check">
                                                                    <input class="form-check-input" type="checkbox" id="weekending_<?php echo e($weekendingId); ?>" value="<?php echo e($weekendingId); ?>" <?php echo e(($weeklyDay == $weekendingId) ? 'checked' : ''); ?>>
                                                                    <label class="form-check-label" for="weekending_<?php echo e($weekendingId); ?>"><?php echo e($weekendingName); ?></label>
                                                                </div>
                                                            </li>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </ul>
                                                <?php else: ?>
                                                    <h6 class="m-0 text-center">No found any week days</h6>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                        <hr class="dropdown-divider">
                                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                                            <button type="button" class="btn btn-outline-blue weekendingReset">Cancel</button>
                                            <?php if(count(getDays()) > 0): ?>
                                                <button type="button" class="btn btn-blue weekendingFilter">Filter Selected</button>
                                            <?php endif; ?>
                                        </div>
                                    </form>
                                </div>
                                
                            </li>
                            <li>
                                <div class="dropdown">
                                    <a class="btn btn-secondary dropdown-toggle" href="javascript:void(0);" role="button" data-toggle="dropdown" aria-expanded="false">
                                        Carrier <img src="<?php echo e(asset('theme/images/Carrier.svg')); ?>" class="" alt="Carrier" />
                                    </a>
                                    <form class="dropdown-menu p-0">
                                        <div class="arrow">
                                            <div class="dropdown-hedding">
                                                <h6 class="">Select Carrier</h6>
                                            </div>
                                            <div class="dropdown-body">
                                                <?php if(count(getCarrierList()) > 0): ?>
                                                    <ul>
                                                        <li>
                                                            <div class="d-flex align-items-center">
                                                                <div class="form-check all-check">
                                                                    <input class="form-check-input" type="checkbox" id="select_all_carrier" value="1">
                                                                    <label class="form-check-label" for="select_all_carrier">Select All</label>
                                                                </div>
                                                            </div>
                                                        </li>
                                                        <?php $__currentLoopData = getCarrierList(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $carrierId => $carrierName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <li>
                                                                <div class="form-check">
                                                                    <input class="form-check-input" type="checkbox" id="carrier_<?php echo e($carrierId); ?>" value="<?php echo e($carrierId); ?>">
                                                                    <label class="form-check-label" for="carrier_<?php echo e($carrierId); ?>"><?php echo e($carrierName); ?></label>
                                                                </div>
                                                            </li>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </ul>
                                                <?php else: ?>
                                                    <h6 class="m-0 text-center">No found any carrier</h6>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                        <hr class="dropdown-divider">
                                        <div class="dropdown-footer d-sm-flex justify-content-between pt-3">
                                            <button type="button" class="btn btn-outline-blue carrierReset">Cancel</button>
                                            <?php if(count(getCarrierList()) > 0): ?>
                                                <button type="button" class="btn btn-blue carrierFilter">Filter Selected</button>
                                            <?php endif; ?>
                                        </div>
                                    </form>
                                </div>
                                
                            </li>
                            
                        </ul>
                        <input type="hidden" name="skip" id="skip" value="0" />
                        <input type="hidden" name="take" id="take" value="8" />
                        <input type="hidden" name="sort" id="sort" value="0" />
                        <input type="hidden" name="flag" id="flag" value="0" />
                    </div>
                </div>
            </div>
            <div class="table-responsive cst-tbl append-view parent-tbody">
            </div>
        </div>
    </div>
    <?php echo $__env->make('companyAdmin.dispatchHub.modal.availableDriver', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!--  -->
    <div class="modal fade" id="weeklyCreateLoadModal" tabindex="-1" role="dialog" aria-labelledby="weeklyCreateLoadModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-cLoadNew modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="weeklyCreateLoadModalLabel">Create Load | Add Status</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="text-center">
                        <a class="btn btn-blue create-load" href="javascript:void(0);">
                            <i class="fa fa-plus-circle" aria-hidden="true"></i>
                            Create Load
                        </a>
                    </div>
                    <div class="orNew-block">
                        <p>OR</p>
                    </div>
                    <form class="createloadfrm" name="createloadfrm" id="createloadfrm" autocomplete="off">
                        <div class="row g-1 mb-3">
                            <div class="col-sm-5">
                                <label>Drive Name<span>*</span></label>
                            </div>
                            <div class="col-sm-7">
                                <div class="form-group">
                                    <?php echo Form::select('driver_id', ['' => 'Driver']+getDriverListByCompany(auth()->guard('company-admin')->user()->company_id), null,
                                        [
                                            'class'                         => 'form-control',
                                            'required'                      => 'required',
                                            'data-parsley-errors-container' => '#driver_id-error'
                                        ]
                                    ); ?>

                                    <div id="driver_id-error"></div>
                                    <span class="error driver_id_error text-danger"></span>
                                </div>
                            </div>
                        </div>
                        <div class="row g-1 mb-3">
                            <div class="col-sm-5">
                                <label>Booked By<span>*</span></label>
                            </div>
                            <div class="col-sm-7">
                                <div class="form-group">
                                    <?php echo Form::select('booked_by', [
                                        ''  => 'Booked By',
                                        '0' => 'Self Dispatch'
                                        ]+getCompanyAdminListByCompany(auth()->guard('company-admin')->user()->company_id),
                                        null,
                                        [
                                            'class'                         => 'form-control',
                                            'required'                      => 'required',
                                            'data-parsley-errors-container' => '#booked_by-error'
                                        ]
                                    ); ?>

                                    <div id="booked_by-error"></div>
                                    <span class="error booked_by_error text-danger"></span>
                                </div>
                            </div>
                        </div>
                        <div class="row g-1 mb-3">
                            <div class="col-sm-5">
                                <label>Add occupancy status<span>*</span></label>
                            </div>
                            <div class="col-sm-7">
                                <select class="form-control" name="load_type" data-parsley-errors-container="#load_type-error" required>
                                    <option value="">Choose Status</option>
                                    <option value="4">No Dispatch</option>
                                    <option value="1">Maintenance</option>
                                    <option value="2">Unauthorized</option>
                                    <option value="3">Hours Of Service</option>
                                    <option value="5">Time Off</option>
                                </select>
                                <div id="load_type-error"></div>
                                <span class="error load_type_error text-danger"></span>
                            </div>
                        </div>
                        <div class="row g-1 mb-3">
                            <div class="col-sm-5">
                                <label>Start Date<span>*</span></label>
                            </div>
                            <div class="col-sm-7">
                                <input type="text" class="form-control" name="start_date" value="" required readonly>
                            </div>
                        </div>
                        <div class="row g-1 mb-3">
                            <div class="col-sm-5">
                                <label>End Date<span>*</span></label>
                            </div>
                            <div class="col-sm-7">
                                <input type="text" class="form-control" name="end_date" value="" required readonly>
                            </div>
                        </div>
                        <div class="row g-1">
                            <div class="col-sm-5">
                                <label>Notes</label>
                            </div>
                            <div class="col-sm-7">
                                <textarea rows="3" class="form-control" name="notes"></textarea>
                                <span class="error notes_error text-danger"></span>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline-blue" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-blue weekly-create-load-submit">Save</button>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script src="<?php echo e(asset('theme/js/select2.full.min.js')); ?>"></script>
    <script src="<?php echo e(asset('theme/js/bootstrap-datepicker.js')); ?>"></script>
    
    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/highcharts-more.js"></script>
    <script src="https://code.highcharts.com/modules/solid-gauge.js"></script>
    <script type="text/javascript">
        var loadimg     = "<?php echo e(asset('theme/img/loading.gif')); ?>";
        var weeklyDay   = "<?php echo e($weeklyDay); ?>";
    </script>
    <script type="text/javascript">
        var search_name = null;
        var start_date  = $(".year-week").attr('data-start-date');
        var end_date    = $(".year-week").attr('data-end-date');
        var week        = 'current';
        var team_id     = [];
        var dispatcher  = [];
        var equipment   = [];
        var weekday     = null;
        var carrier     = [];
        var skip        = 0;
        var take        = 8;
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            getWeekList('<?php echo $year; ?>');

            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier,
                weekday);

            var typingTimer;
            var doneTypingInterval = 500;
            var $input  = $('#driversearch');

            $input.on('keyup', function() {
                clearTimeout(typingTimer);
                typingTimer = setTimeout(doneTyping, doneTypingInterval);
            });

            /*
            $input.on('keydown', function () {
                clearTimeout(typingTimer);
            });
            */
        });
    </script>
    <script type="text/javascript">
        $("body").on("click", ".show-available-driver", function() {
            $('#availableDriverModal').find('.append-view').html('');
            var token           = $('meta[name="csrf-token"]').attr('content');
            var driver_id       = $(this).data('driver-id');
            $.ajax({
                url: "/company-admin/dispatch-hub/available-driver/view",
                method: "POST",
                data: {
                    _token: token,
                    driver_id: driver_id
                },
                success: function(response) {
                    $('#availableDriverModal').find('.append-view').html(response.view);
                }
            });
        });
        // Current Week
        $("body").on("click", ".curweek", function() {
            var search_name     = $('#driversearch').val();

            // var team_id      = $(".team-select").val();
            // var dispatcher   = $(".dispatcher-select").val();
            // var equipment    = $(".equipment-select").val();
            // var carrier      = $(".carrier-select").val();
            // var weekday      = $(".weekday-select").val();

            let team_id         = filterSelectedOptions('team');
            let dispatcher      = filterSelectedOptions('dispatcher');
            let equipment       = filterSelectedOptions('equipment');
            let carrier         = filterSelectedOptions('carrier');
            let weekday         = null;
            $('[id^="weekending_"]').each(function() {
                if ($(this).is(':checked')) {
                    weekday     = $(this).attr('value')
                }
            });

            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier,
                weekday);
        });
        // Click Week
        $("body").on("click", ".clickweek", function(e) {
            var week            = 'current';
            var search_name     = $("#driversearch").val();
            var start_date      = $(this).attr('data-start-date');
            var end_date        = $(this).attr('data-end-date');

            // var team_id      = $(".team-select").val();
            // var dispatcher   = $(".dispatcher-select").val();
            // var equipment    = $(".equipment-select").val();
            // var carrier      = $(".carrier-select").val();
            // var weekday      = $(".weekday-select").val();

            let team_id         = filterSelectedOptions('team');
            let dispatcher      = filterSelectedOptions('dispatcher');
            let equipment       = filterSelectedOptions('equipment');
            let carrier         = filterSelectedOptions('carrier');
            let weekday         = null;
            $('[id^="weekending_"]').each(function() {
                if ($(this).is(':checked')) {
                    weekday     = $(this).attr('value')
                }
            });

            $('.clickweek').removeClass("active");
            $(this).addClass("active");
            $('.week-date-block').toggle("fast");

            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier,
                weekday);
        });
        // Next Week
        $("body").on("click", ".next-arrow", function(e) {
            var week            = 'next';
            var search_name     = $("#driversearch").val();
            var start_date      = $(".year-week").attr('data-start-date');
            var end_date        = $(".year-week").attr('data-end-date');

            // var team_id      = $(".team-select").val();
            // var dispatcher   = $(".dispatcher-select").val();
            // var equipment    = $(".equipment-select").val();
            // var carrier      = $(".carrier-select").val();
            // var weekday      = $(".weekday-select").val();

            let team_id         = filterSelectedOptions('team');
            let dispatcher      = filterSelectedOptions('dispatcher');
            let equipment       = filterSelectedOptions('equipment');
            let carrier         = filterSelectedOptions('carrier');
            let weekday         = null;
            $('[id^="weekending_"]').each(function() {
                if ($(this).is(':checked')) {
                    weekday     = $(this).attr('value')
                }
            });

            let flag            = 0;
            $("#weeklistdata p").each(function() {
                if ($(this).find('a').hasClass('active')) {
                    $(this).find('a').removeClass('active');
                    flag = 1;
                } else {
                    if (flag === 1) {
                        $(this).find('a').addClass('active');
                        flag    = 0;
                    }
                }
            });

            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier,
                weekday);
        });
        // Previous Week
        $("body").on("click", ".prev-arrow", function(e) {
            var week            = 'previous';
            var search_name     = $("#driversearch").val();
            var start_date      = $(".year-week").attr('data-start-date');
            var end_date        = $(".year-week").attr('data-end-date');

            // var team_id      = $(".team-select").val();
            // var dispatcher   = $(".dispatcher-select").val();
            // var equipment    = $(".equipment-select").val();
            // var carrier      = $(".carrier-select").val();
            // var weekday      = $(".weekday-select").val();

            let team_id         = filterSelectedOptions('team');
            let dispatcher      = filterSelectedOptions('dispatcher');
            let equipment       = filterSelectedOptions('equipment');
            let carrier         = filterSelectedOptions('carrier');
            let weekday         = null;
            $('[id^="weekending_"]').each(function() {
                if ($(this).is(':checked')) {
                    weekday     = $(this).attr('value')
                }
            });

            let flag            = 0;
            $($("#weeklistdata p").get().reverse()).each(function() {
                if ($(this).find('a').hasClass('active')) {
                    $(this).find('a').removeClass('active');
                    flag = 1;
                } else {
                    if (flag === 1) {
                        $(this).find('a').addClass('active');
                        flag    = 0;
                    }
                }
            });

            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier,
                weekday);
        });
        $("body").on("click", ".multiple-loads", function(e) {
            event.cancelBubble  = true;

            $(".load-detail").css("display", "none");
            $(this).parent().find(".load-detail").css("display", "block");
        });
    </script>
    <script type="text/javascript">
        /*
        $("body").on("change", ".team-select",function(e){
            var search_name         = $("#driversearch").val();
            var start_date          = $(".year-week").data('start-date');
            var end_date            = $(".year-week").data('end-date');
            var team_id             = $('.team-select').val();
            var equipment           = $('.equipment-select').val();
            var carrier             = $(".carrier-select").val();
            var dispatcher          = $('.dispatcher-select').val();
            var weekday             = $(".weekday-select").val();
            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday);
        });
        */
        /*
        $("body").on("change", ".dispatcher-select",function(e){
            var search_name         = $("#driversearch").val();
            var start_date          = $(".year-week").data('start-date');
            var end_date            = $(".year-week").data('end-date');
            var team_id             = $(".team-select").val();
            var equipment           = $(".equipment-select").val();
            var carrier             = $(".carrier-select").val();
            var dispatcher          = $('.dispatcher-select').val();
            var weekday             = $(".weekday-select").val();
            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday);
        });
        */
        /*
        $("body").on("change", ".equipment-select",function(e){
            var search_name         = $("#driversearch").val();
            var start_date          = $(".year-week").data('start-date');
            var end_date            = $(".year-week").data('end-date');
            var team_id             = $(".team-select").val();
            var equipment           = $('.equipment-select').val();
            var carrier             = $(".carrier-select").val();
            var dispatcher          = $('.dispatcher-select').val();
            var weekday             = $(".weekday-select").val();
            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday);
        });
         */
        /*
        $("body").on("change", ".weekday-select",function(e){
            var value               = $(".weekday-select").val();

            var url                 = window.location.href.split('?')[0]
            url                     += '?day='+value

            window.location.href    = url;
        });
        */
        /*
        $("body").on("change", ".carrier-select",function(e){
            var search_name         = $("#driversearch").val();
            var start_date          = $(".year-week").data('start-date');
            var end_date            = $(".year-week").data('end-date');
            var team_id             = $(".team-select").val();
            var equipment           = $('.equipment-select').val();
            var carrier             = $(".carrier-select").val();
            var dispatcher          = $('.dispatcher-select').val();
            var weekday             = $(".weekday-select").val();
            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday);
        });
        */
    </script>
    <script type="text/javascript">
        $(document).on("click", function() {
            $(".load-detail").css("display", "none");
        });
        if ($('#selectDiv').is(':visible')) {
            // console.log('yes');
        }
        $('.week-picker').click(function() {
            $('.week-date-block').toggle("fast");
        });
        $(document).on("change", "#weekofyear", function(e) {
            var year = $('#weekofyear').find(":selected").val();
            getWeekList(year);
        });
    </script>
    <script type="text/javascript">
        // Team Filter
        $(document).on("change", "#select_all_team", function() {
            if ($(this).is(':checked')) {
                $('[id^="team_"]').prop('checked', true);
                $(this).parent().removeClass('select-all-dash');
            } else {
                $('[id^="team_"]').prop('checked', false);
            }
        });
        $(document).on("change", "[id^='team_']", function() {
            if ($("[id^='team_']").filter(':checked').length === $("[id^='team_']").length) {
                $("#select_all_team").prop('checked', true);
                $("#select_all_team").parent().removeClass('select-all-dash');
            } else {
                $("#select_all_team").prop('checked', false);

                if ($("[id^='team_']").filter(':checked').length > 0) {
                    $("#select_all_team").parent().addClass('select-all-dash');
                } else {
                    $("#select_all_team").parent().removeClass('select-all-dash');
                }
            }
        });
        $(document).on("click", ".teamFilter", function() {
            var search_name         = $("#driversearch").val();
            var start_date          = $(".year-week").attr('data-start-date');
            var end_date            = $(".year-week").attr('data-end-date');

            // var team_id          = $(".team-select").val();
            // var dispatcher       = $('.dispatcher-select').val();
            // var equipment        = $('.equipment-select').val();
            // var carrier          = $(".carrier-select").val();
            // var weekday          = $(".weekday-select").val();

            let team_id             = filterSelectedOptions('team');
            let dispatcher          = filterSelectedOptions('dispatcher');
            let equipment           = filterSelectedOptions('equipment');
            let carrier             = filterSelectedOptions('carrier');
            let weekday             = null;
            $('[id^="weekending_"]').each(function() {
                if ($(this).is(':checked')) {
                    weekday         = $(this).attr('value')
                }
            });

            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday);

            $(this).parent().parent().parent().find('a').trigger('click');
        });
        $(document).on("click", ".teamReset", function() {
            $('#select_all_team').prop('checked', false);
            $('[id^="team_"]').each(function() {
                if ($(this).is(':checked')) {
                    $(this).prop('checked', false);
                }
            });

            var search_name         = $("#driversearch").val();
            var start_date          = $(".year-week").attr('data-start-date');
            var end_date            = $(".year-week").attr('data-end-date');

            // var team_id          = $(".team-select").val();
            // var dispatcher       = $('.dispatcher-select').val();
            // var equipment        = $('.equipment-select').val();
            // var carrier          = $(".carrier-select").val();
            // var weekday          = $(".weekday-select").val();

            let team_id             = filterSelectedOptions('team');
            let dispatcher          = filterSelectedOptions('dispatcher');
            let equipment           = filterSelectedOptions('equipment');
            let carrier             = filterSelectedOptions('carrier');
            let weekday             = null;
            $('[id^="weekending_"]').each(function() {
                if ($(this).is(':checked')) {
                    weekday         = $(this).attr('value')
                }
            });

            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday);

            $(this).parent().parent().parent().find('a').trigger('click');
        });

        // Dispatcher Filter
        $(document).on("change", "#select_all_dispatcher", function() {
            if ($(this).is(':checked')) {
                $('[id^="dispatcher_"]').prop('checked', true);
                $(this).parent().removeClass('select-all-dash');
            } else {
                $('[id^="dispatcher_"]').prop('checked', false);
            }
        });
        $(document).on("change", "[id^='dispatcher_']", function() {
            if ($("[id^='dispatcher_']").filter(':checked').length === $("[id^='dispatcher_']").length) {
                $("#select_all_dispatcher").prop('checked', true);
                $("#select_all_dispatcher").parent().removeClass('select-all-dash');
            } else {
                $("#select_all_dispatcher").prop('checked', false);

                if ($("[id^='dispatcher_']").filter(':checked').length > 0) {
                    $("#select_all_dispatcher").parent().addClass('select-all-dash');
                } else {
                    $("#select_all_dispatcher").parent().removeClass('select-all-dash');
                }
            }
        });
        $(document).on("click", ".dispatcherFilter", function() {
            var search_name         = $("#driversearch").val();
            var start_date          = $(".year-week").attr('data-start-date');
            var end_date            = $(".year-week").attr('data-end-date');

            // var team_id          = $(".team-select").val();
            // var dispatcher       = $('.dispatcher-select').val();
            // var equipment        = $(".equipment-select").val();
            // var carrier          = $(".carrier-select").val();
            // var weekday          = $(".weekday-select").val();

            let team_id             = filterSelectedOptions('team');
            let dispatcher          = filterSelectedOptions('dispatcher');
            let equipment           = filterSelectedOptions('equipment');
            let carrier             = filterSelectedOptions('carrier');
            let weekday             = null;
            $('[id^="weekending_"]').each(function() {
                if ($(this).is(':checked')) {
                    weekday         = $(this).attr('value')
                }
            });

            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday);

            $(this).parent().parent().parent().find('a').trigger('click');
        });
        $(document).on("click", ".dispatcherReset", function() {
            $('#select_all_dispatcher').prop('checked', false);
            $('[id^="dispatcher_"]').each(function() {
                if ($(this).is(':checked')) {
                    $(this).prop('checked', false);
                }
            });

            var search_name         = $("#driversearch").val();
            var start_date          = $(".year-week").attr('data-start-date');
            var end_date            = $(".year-week").attr('data-end-date');

            // var team_id          = $(".team-select").val();
            // var dispatcher       = $('.dispatcher-select').val();
            // var equipment        = $(".equipment-select").val();
            // var carrier          = $(".carrier-select").val();
            // var weekday          = $(".weekday-select").val();

            let team_id             = filterSelectedOptions('team');
            let dispatcher          = filterSelectedOptions('dispatcher');
            let equipment           = filterSelectedOptions('equipment');
            let carrier             = filterSelectedOptions('carrier');
            let weekday             = null;
            $('[id^="weekending_"]').each(function() {
                if ($(this).is(':checked')) {
                    weekday         = $(this).attr('value')
                }
            });

            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday);

            $(this).parent().parent().parent().find('a').trigger('click');
        });

        // Equipment Filter
        $(document).on("change", "#select_all_equipment", function() {
            if ($(this).is(':checked')) {
                $('[id^="equipment_"]').prop('checked', true);
                $(this).parent().removeClass('select-all-dash');
            } else {
                $('[id^="equipment_"]').prop('checked', false);
            }
        });
        $(document).on("change", "[id^='equipment_']", function() {
            if ($("[id^='equipment_']").filter(':checked').length === $("[id^='equipment_']").length) {
                $("#select_all_equipment").prop('checked', true);
                $("#select_all_equipment").parent().removeClass('select-all-dash');
            } else {
                $("#select_all_equipment").prop('checked', false);

                if ($("[id^='equipment_']").filter(':checked').length > 0) {
                    $("#select_all_equipment").parent().addClass('select-all-dash');
                } else {
                    $("#select_all_equipment").parent().removeClass('select-all-dash');
                }
            }
        });
        $(document).on("click", ".equipmentFilter", function() {
            var search_name         = $("#driversearch").val();
            var start_date          = $(".year-week").attr('data-start-date');
            var end_date            = $(".year-week").attr('data-end-date');

            // var team_id          = $(".team-select").val();
            // var dispatcher       = $('.dispatcher-select').val();
            // var equipment        = $('.equipment-select').val();
            // var carrier          = $(".carrier-select").val();
            // var weekday          = $(".weekday-select").val();

            let team_id             = filterSelectedOptions('team');
            let dispatcher          = filterSelectedOptions('dispatcher');
            let equipment           = filterSelectedOptions('equipment');
            let carrier             = filterSelectedOptions('carrier');
            let weekday             = null;
            $('[id^="weekending_"]').each(function() {
                if ($(this).is(':checked')) {
                    weekday         = $(this).attr('value')
                }
            });

            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday);

            $(this).parent().parent().parent().find('a').trigger('click');
        });
        $(document).on("click", ".equipmentReset", function() {
            $('#select_all_equipment').prop('checked', false);
            $('[id^="equipment_"]').each(function() {
                if ($(this).is(':checked')) {
                    $(this).prop('checked', false);
                }
            });

            var search_name         = $("#driversearch").val();
            var start_date          = $(".year-week").attr('data-start-date');
            var end_date            = $(".year-week").attr('data-end-date');

            // var team_id          = $(".team-select").val();
            // var dispatcher       = $('.dispatcher-select').val();
            // var equipment        = $('.equipment-select').val();
            // var carrier          = $(".carrier-select").val();
            // var weekday          = $(".weekday-select").val();

            let team_id             = filterSelectedOptions('team');
            let dispatcher          = filterSelectedOptions('dispatcher');
            let equipment           = filterSelectedOptions('equipment');
            let carrier             = filterSelectedOptions('carrier');
            let weekday             = null;
            $('[id^="weekending_"]').each(function() {
                if ($(this).is(':checked')) {
                    weekday         = $(this).attr('value')
                }
            });

            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday);

            $(this).parent().parent().parent().find('a').trigger('click');
        });

        // Week Ending
        $(document).on("change", "[id^='weekending_']", function() {
            let exceptChk           = $(this).attr('id');

            $('[id^="weekending_"]').each(function(key, val) {
                if (exceptChk != $(this).attr('id')) {
                    $(this).prop('checked', false);
                }
            });
        });
        $(document).on("click", ".weekendingFilter", function() {
            let weekday             = null;
            $('[id^="weekending_"]').each(function() {
                if ($(this).is(':checked')) {
                    weekday         = $(this).attr('value')
                }
            });

            let value               = weekday;
            let url                 = window.location.href.split('?')[0]
            url                     += '?day=' + value
            window.location.href    = url;
        });
        $(document).on("click", ".weekendingReset", function() {
            $('[id^="weekending_"]').each(function() {
                if ($(this).is(':checked')) {
                    $(this).prop('checked', false);
                }
            });

            let value               = 0;
            let url                 = window.location.href.split('?')[0]
            url                     += '?day=' + value
            window.location.href    = url;
        });
        //Carrier Filter
        $(document).on("change", "#select_all_carrier", function() {
            if ($(this).is(':checked')) {
                $('[id^="carrier_"]').prop('checked', true);
                $(this).parent().removeClass('select-all-dash');
            } else {
                $('[id^="carrier_"]').prop('checked', false);
            }
        });
        $(document).on("change", "[id^='carrier_']", function() {
            if ($("[id^='carrier_']").filter(':checked').length === $("[id^='carrier_']").length) {
                $("#select_all_carrier").prop('checked', true);
                $("#select_all_carrier").parent().removeClass('select-all-dash');
            } else {
                $("#select_all_carrier").prop('checked', false);

                if ($("[id^='carrier_']").filter(':checked').length > 0) {
                    $("#select_all_carrier").parent().addClass('select-all-dash');
                } else {
                    $("#select_all_carrier").parent().removeClass('select-all-dash');
                }
            }
        });
        $(document).on("click", ".carrierFilter", function() {
            var search_name         = $("#driversearch").val();
            var start_date          = $(".year-week").attr('data-start-date');
            var end_date            = $(".year-week").attr('data-end-date');

            // var team_id          = $(".team-select").val();
            // var dispatcher       = $('.dispatcher-select').val();
            // var equipment        = $('.equipment-select').val();
            // var carrier          = $(".carrier-select").val();
            // var weekday          = $(".weekday-select").val();

            let team_id             = filterSelectedOptions('team');
            let dispatcher          = filterSelectedOptions('dispatcher');
            let equipment           = filterSelectedOptions('equipment');
            let carrier             = filterSelectedOptions('carrier');
            let weekday             = null;
            $('[id^="weekending_"]').each(function() {
                if ($(this).is(':checked')) {
                    weekday         = $(this).attr('value')
                }
            });

            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday);

            $(this).parent().parent().parent().find('a').trigger('click');
        });
        $(document).on("click", ".carrierReset", function() {
            $('#select_all_carrier').prop('checked', false);
            $('[id^="carrier_"]').each(function() {
                if ($(this).is(':checked')) {
                    $(this).prop('checked', false);
                }
            });

            var search_name         = $("#driversearch").val();
            var start_date          = $(".year-week").attr('data-start-date');
            var end_date            = $(".year-week").attr('data-end-date');

            // var team_id          = $(".team-select").val();
            // var dispatcher       = $('.dispatcher-select').val();
            // var equipment        = $('.equipment-select').val();
            // var carrier          = $(".carrier-select").val();
            // var weekday          = $(".weekday-select").val();

            let team_id             = filterSelectedOptions('team');
            let dispatcher          = filterSelectedOptions('dispatcher');
            let equipment           = filterSelectedOptions('equipment');
            let carrier             = filterSelectedOptions('carrier');
            let weekday             = null;
            $('[id^="weekending_"]').each(function() {
                if ($(this).is(':checked')) {
                    weekday         = $(this).attr('value')
                }
            });

            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday);

            $(this).parent().parent().parent().find('a').trigger('click');
        });
    </script>
    <script type="text/javascript">
        function sortColumn(data = 'yes') {
            var properties = [
                'SortDriver',
                'SortOccupancyBaseRevenue',
                'SortOccupancy',
                'SortTargetRevenue',
                'SortGrossRevenue',
                'SortMileage',
                'SortCPM'
            ];
            $.each(properties, function(i, val) {
                var orderClass = '';
                $("#" + val).click(function(e) {
                    e.preventDefault();
                    if (data == 'yes') {
                        var search_name     = $("#driversearch").val();
                        var start_date      = $(".year-week").attr('data-start-date');
                        var end_date        = $(".year-week").attr('data-end-date');

                        // var team_id      = $(".team-select").val();
                        // var dispatcher   = $('.dispatcher-select').val();
                        // var equipment    = $(".equipment-select").val();
                        // var carrier      = $(".carrier-select").val();
                        // var weekday      = $(".weekday-select").val();

                        let team_id         = filterSelectedOptions('team');
                        let dispatcher      = filterSelectedOptions('dispatcher');
                        let equipment       = filterSelectedOptions('equipment');
                        let carrier         = filterSelectedOptions('carrier');
                        let weekday         = null;
                        $('[id^="weekending_"]').each(function() {
                            if ($(this).is(':checked')) {
                                weekday     = $(this).attr('value')
                            }
                        });

                        var take            = 500;
                        var load_count      = 8;
                        var sort_id         = '#' + val;
                        loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday, load_count = 8, sort_id = sort_id);
                    }

                    $('.filter__link.filter__link--active').not(this).removeClass('filter__link--active');
                    $(this).toggleClass('filter__link--active');
                    $('.filter__link').removeClass('asc desc');

                    if (orderClass == 'desc' || orderClass == '') {
                        $(this).addClass('asc');
                        orderClass          = 'asc';
                    } else {
                        $(this).addClass('desc');
                        orderClass          = 'desc';
                    }
                    var parent              = $(this).closest('.header__item');
                    var index               = $(".header__item").index(parent);
                    var $table              = $('.table-content');
                    var rows                = $table.find('.table-row').get();
                    var isSelected          = $(this).hasClass('filter__link--active');
                    var isNumber            = $(this).hasClass('filter__link--number');

                    rows.sort(function(a, b) {
                        var x = $(a).find('.table-data').eq(index).attr("data-value");
                        var y = $(b).find('.table-data').eq(index).attr("data-value");
                        if (isNumber == true) {
                            if (isSelected) {
                                return x - y;
                            } else {
                                return y - x;
                            }
                        } else {
                            if (isSelected) {
                                if (x < y) return -1;
                                if (x > y) return 1;
                                return 0;
                            } else {
                                if (x > y) return -1;
                                if (x < y) return 1;
                                return 0;
                            }
                        }
                    });

                    $table.html('');
                    $.each(rows, function(index, row) {
                        $table.append(row);
                    });
                    return false;
                });
            });
        }

        function ajaxload(data = 'yes') {
            // console.log('Call Ajax load - '+data);
            if (data == 'yes') {
                // console.log('Call Ajax load - check yes');
                $(".parent-tbody").on('scroll', function() {
                    // console.log('Parent tbody scroll');
                    var fixheight   = $(window).height();
                    var sethgith    = $(".parent-tbody").get(0).scrollHeight - fixheight;
                    // console.log('Parent tbody scroll [ fixheight - '+fixheight+' , parent - '+$(".parent-tbody").get(0).scrollHeight+' , sethgith - '+sethgith+' ]');
                    if (!$(".load_count").val()) {
                        var flag    = parseInt($("#flag").val());
                        // console.log('Parent scroll top - '+$(".parent-tbody").scrollTop()+' , sethgith - '+sethgith+' , flag - '+flag+' , (Parent scroll top > sethgith && flag == 0) => '+($(".parent-tbody").scrollTop() > sethgith && flag == 0));
                        if ($(".parent-tbody").scrollTop() >= sethgith && flag == 0) {
                            // if($(window).scrollTop() + $(window).height() >= $(document).height()) { //if user scrolled from top to bottom of the page
                            // console.log('1');
                            var search_name     = $("#driversearch").val();
                            var start_date      = $(".year-week").attr('data-start-date');
                            var end_date        = $(".year-week").attr('data-end-date');
                            var week            = 'current';

                            // var team_id      = $(".team-select").val();
                            // var dispatcher   = $(".dispatcher-select").val();
                            // var equipment    = $(".equipment-select").val();
                            // var carrier      = $(".carrier-select").val();
                            // var weekday      = $(".weekday-select").val();

                            let team_id         = filterSelectedOptions('team');
                            let dispatcher      = filterSelectedOptions('dispatcher');
                            let equipment       = filterSelectedOptions('equipment');
                            let carrier         = filterSelectedOptions('carrier');
                            let weekday         = null;
                            $('[id^="weekending_"]').each(function() {
                                if ($(this).is(':checked')) {
                                    weekday     = $(this).attr('value')
                                }
                            });

                            var skip            = parseInt($("#skip").val()) + 8;
                            $("#skip").val(skip);
                            var take            = $("#take").val();
                            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday);
                        }
                    }
                });
            }
        }

        function doneTyping() {
            var search_name         = $('#driversearch').val();
            var week                = 'current';
            var start_date          = $(".year-week").attr('data-start-date');
            var end_date            = $(".year-week").attr('data-end-date');

            // var team_id          = $(".team-select").val();
            // var dispatcher       = $(".dispatcher-select").val();
            // var equipment        = $(".equipment-select").val();
            // var carrier          = $(".carrier-select").val();
            // var weekday          = $(".weekday-select").val();

            let team_id             = filterSelectedOptions('team');
            let dispatcher          = filterSelectedOptions('dispatcher');
            let equipment           = filterSelectedOptions('equipment');
            let carrier             = filterSelectedOptions('carrier');
            let weekday             = null;
            $('[id^="weekending_"]').each(function() {
                if ($(this).is(':checked')) {
                    weekday         = $(this).attr('value')
                }
            });

            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday);
        }
    </script>
    <script type="text/javascript">
        function loadByWeekView(search_name = null, start_date, end_date, week, team_id, equipment, dispatcher, skip, take,
            carrier, weekday, load_count = 8, sort_id) {
            // console.log('Load By Week View');
            $("#flag").val(1);

            ajaxload('no');
            $(".ttl-box").addClass('disabled-click');
            if (skip == '0') {
                $(".append-view").html('<div class="loadingdiv"><img src="' + loadimg + '" /></div>');
            } else {
                $(".parent-tbody").append('<div class="loadingdiv"><img src="' + loadimg + '" /></div>');
            }

            var token = $('meta[name="csrf-token"]').attr('content');
            if (load_count == 8) {
                $.ajax({
                    url: "<?php echo e(route('company.admin.loads.by.week.view')); ?>",
                    method: "POST",
                    data: {
                        _token: token,
                        search_name: search_name,
                        start_date: start_date,
                        end_date: end_date,
                        week: week,
                        team_id: team_id,
                        equipment: equipment,
                        dispatcher: dispatcher,
                        skip: skip,
                        take: take,
                        carrier: carrier,
                        weekday: weekday
                    },
                    success: function(response) {
                        if (skip == '0') {
                            $(".append-view").html(response.view);
                            $("#skip").val(0);
                        } else {
                            //$(".parent-tbody").append(response.view);
                            $(".parent-tbody-data").append(response.view);
                        }
                        $(".ttl-box").removeClass('disabled-click');
                        $(".year-week").attr('data-start-date', response.start_date);
                        $(".year-week").attr('data-end-date', response.end_date);
                        $("#weekEndingDate").text(response.weekEndingDate);
                        $(".week-picker").html(response.year + ' Week ' + response.week);
                        $("#weeklistdata p:nth-child(" + response.week + ")").find('a').addClass('active');
                        $(".loadingdiv").remove();
                        ajaxload('yes');

                        if (take == 500) {
                            sortColumn('no');
                            $(sort_id)[0].click();
                        } else {
                            sortColumn('yes');
                        }

                        $("#flag").val(0);
                        if (!response.view) {
                            $("#flag").val(1);
                        }
                    }
                });
            }
        }

        function getWeekList(year) {
            $("#weeklistdata").html('<div class="loadingdiv"><img src="' + loadimg + '" /></div>');
            var token   = $('meta[name="csrf-token"]').attr('content');
            var year    = $('#weekofyear').find(":selected").val();
            $.ajax({
                url: "<?php echo e(route('company.admin.loads.by.week.get.week.list')); ?>",
                method: "POST",
                data: {
                    _token: token,
                    year: year,
                    weeklyDay: weeklyDay
                },
                success: function(response) {
                    $('#weeklistdata').html(response.view);
                }
            });
        }

        function filterSelectedOptions(filterName) {
            let optionsArray = [];

            $('[id^="' + filterName + '_"]').each(function() {
                if ($(this).is(':checked')) {
                    optionsArray.push($(this).attr('value'));
                }
            });

            return optionsArray;
        }
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#weeklyCreateLoadModal select[name="driver_id"]').select2({
                dropdownParent: $("#weeklyCreateLoadModal")
            }).on('select2:select', function (e) {
                var data            = e.params.data;
                // console.log(data);
            });
            $('#weeklyCreateLoadModal select[name="booked_by"]').select2({
                dropdownParent: $("#weeklyCreateLoadModal")
            }).on('select2:select', function (e) {
                var data            = e.params.data;
                // console.log(data);
            });
            $('#weeklyCreateLoadModal select[name="load_type"]').select2({
                dropdownParent: $("#weeklyCreateLoadModal")
            }).on('select2:select', function (e) {
                var data            = e.params.data;
                // console.log(data);
            });
        });
        $(document).on('click', '.weekly-create-load-btn', function(e) {
            e.preventDefault();
            // console.log('weekly-create-load-btn');
            // return false;

            var that                        = $(this);
            var url                         = that.attr('data-url');
            if(url){
                var driver_id               = that.attr('data-driver_id');
                var shipper_date            = that.attr('data-shipper_date');
                $('#weeklyCreateLoadModal').find('a.create-load')
                    .attr("href", url)
                    .attr("target","_blank");

                $('#weeklyCreateLoadModal #createloadfrm').trigger('reset');

                $('#weeklyCreateLoadModal select[name="driver_id"]').val(driver_id).trigger('change');
                $('#weeklyCreateLoadModal select[name="booked_by"]').val(null).trigger('change');
                $('#weeklyCreateLoadModal select[name="load_type"]').val(null).trigger('change');

                // Check if the datepicker has been initialized
                if ($('#weeklyCreateLoadModal input[name="start_date"]').data('datepicker')) {
                    // Remove the datepicker instance
                    $('#weeklyCreateLoadModal input[name="start_date"]').datepicker('remove');
                }
                $('#weeklyCreateLoadModal input[name="start_date"]').datepicker({
                    todayHighlight: false
                }).on("changeDate", function() {
                    var startDate   = $(this).datepicker("getDate");
                    var endDate     = $('#weeklyCreateLoadModal input[name="end_date"]').datepicker("getDate");
                    if (endDate != null && startDate > endDate) { // if (endDate != null && startDate >= endDate) {
                        $(this).val("");
                        toastr.error("Start date must be less than end date.", 'Error Alert', {
                            timeOut: 5000
                        });
                    }else{
                        $(this).parsley().validate();
                    }
                });

                // Check if the datepicker has been initialized
                if ($('#weeklyCreateLoadModal input[name="end_date"]').data('datepicker')) {
                    // Remove the datepicker instance
                    $('#weeklyCreateLoadModal input[name="end_date"]').datepicker('remove');
                }
                $('#weeklyCreateLoadModal input[name="end_date"]').datepicker({
                    todayHighlight: false
                }).on("changeDate", function() {
                    var startDate   = $('#weeklyCreateLoadModal input[name="start_date"]').datepicker("getDate");
                    var endDate     = $(this).datepicker("getDate");
                    if (startDate != null && endDate < startDate) { // if (startDate != null && endDate <= startDate) {
                        $(this).val("");
                        toastr.error("End date must be greater than start date.", 'Error Alert', {
                            timeOut: 5000
                        });
                    }else{
                        $(this).parsley().validate();
                    }
                });

                // Set the value of the datepicker to a specific date
                $('#weeklyCreateLoadModal input[name="start_date"]').datepicker("setDate", shipper_date); // Modify this to your specific date format

                setTimeout(function() {
                    $('#weeklyCreateLoadModal').modal({backdrop: 'static', keyboard: false}, 'show');
                }, 50);
            }
        });
        $(document).on('click', '.weekly-create-load-submit', function(e) {
            e.preventDefault();
            // console.log('weekly-create-load-submit');
            // return false;

            var that                = $(this);
            var btnTxt              = that.text();

            var form                = $('#weeklyCreateLoadModal #createloadfrm');
            var parsley             = form.parsley({
                excluded: 'input[type=button], input[type=submit], input[type=reset]',
                inputs: 'input, textarea, select, input[type=hidden], :hidden',
            });
            parsley.validate();
            if (parsley.isValid()){
                var formData        = new FormData(form[0]);
                $.ajax({
                    type: 'POST',
                    url: "<?php echo e(route('company.admin.loads.by.week.save')); ?>",
                    data: formData,
                    dataType: 'json',
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    cache : false,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        that.prop('disabled', true).html('Please Wait...');
                    },
                    success: function(response) {
                        if(response.success){
                            var search_name         = $("#driversearch").val();
                            var start_date          = $(".year-week").attr('data-start-date');
                            var end_date            = $(".year-week").attr('data-end-date');

                            let team_id             = filterSelectedOptions('team');
                            let dispatcher          = filterSelectedOptions('dispatcher');
                            let equipment           = filterSelectedOptions('equipment');
                            let carrier             = filterSelectedOptions('carrier');
                            let weekday             = null;
                            $('[id^="weekending_"]').each(function() {
                                if ($(this).is(':checked')) {
                                    weekday         = $(this).attr('value')
                                }
                            });

                            loadByWeekView(search_name, start_date, end_date, week, team_id, equipment, dispatcher, skip, take, carrier, weekday);

                            setTimeout(function() {
                                $('#weeklyCreateLoadModal').modal('hide');
                                toastr.success(response.message, 'Success Alert');
                            }, 250);
                        }else{
                            toastr.error(response.message, 'Error Alert');
                        }
                    },
                    complete: function() {
                        that.prop('disabled', false).html(btnTxt);
                    },
                    error: function(jqXHR, status, exception) {
                        if (jqXHR.status === 0) {
                            error = 'Not connected.\nPlease verify your network connection.';
                        } else if (jqXHR.status == 404) {
                            error = 'The requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            error = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            error = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            error = 'Time out error.';
                        } else if (exception === 'abort') {
                            error = 'Ajax request aborted.';
                        } else {
                            error = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        toastr.error(error, 'Error Alert');
                    }
                });
                return false;
            }
        });
        $('#weeklyCreateLoadModal').on('hidden.bs.modal', function() {
            $('#weeklyCreateLoadModal').find('a.create-load')
                .attr("href", "javascript:void(0);")
                .removeAttr("target");

            $('#weeklyCreateLoadModal select[name="driver_id"]').val(null).trigger('change');
            $('#weeklyCreateLoadModal select[name="booked_by"]').val(null).trigger('change');
            $('#weeklyCreateLoadModal select[name="load_type"]').val(null).trigger('change');
            $('#weeklyCreateLoadModal #createloadfrm').trigger('reset');

            $('#weeklyCreateLoadModal #createloadfrm').find('.error').text('');
            $('#weeklyCreateLoadModal #createloadfrm').parsley().reset();
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($companyAdminTheme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp8.6\htdocs\appdispatchpro\resources\views/companyAdmin/load/loadByWeek.blade.php ENDPATH**/ ?>